# 121.0.1

In this patch release we made some internal improvements to our imports and refined our deprecation policy.

## Component changes

### BottomNavigation

* [Fix imports for MDCBottomNavigationItemView.](https://github.com/material-components/material-components-ios/commit/afe4105debedd8c7b3376b5a37e9beeafb9b368e) (Alyssa Weiss)
* [Remove unused 'kOfAnnouncement' and fix imports.](https://github.com/material-components/material-components-ios/commit/3a4270e82053fec7c215a7a766fdfe6c7f153bae) (Alyssa Weiss)

### Ripple

* [Declare parameter type NSArray in the Ripple implementation.](https://github.com/material-components/material-components-ios/commit/73fb0330a6e1b0d6f70a0e50037b255cac1cafba) (Yarden Eitan)

### TextControls

* [Fix imports for clang tidy](https://github.com/material-components/material-components-ios/commit/ee7f2fce52de27f59a209cca2f43f7609e6e0172) (Andrew Overton)

### Typography

* [UIFont MDC simple equality: updated class docs.](https://github.com/material-components/material-components-ios/commit/274ba189abfb3d8065585b64a67f4d4179996e38) (Randall Li)

---

# 121.0.0

In this major release, we added a `scrollViewBounce` property and a `adjustHeightForSafeAreaInsets` property to BottomSheets, added a `shouldAutorotateOverride` property, a `preferredInterfaceOrientationForPresentationOverride` property, a `supportedInterfaceOrientationsOverride` property, and a `modalTransitionStyleOverride` property to MDCAlertController, and converted `progressTintColors` property on MDCProgressView to use light weight generics.

## Breaking changes

### ProgressView

MDCProgressView's property `progressTintColors` started using light weight generics so values pass in need to be typed correctly.

## New features

### BottomSheet

Bottom sheets have new propertie that turn off the overscroll and safe area insets.

### Dialogs

Added a `shouldAutorotateOverride` property, a `preferredInterfaceOrientationForPresentationOverride` property, a `supportedInterfaceOrientationsOverride` property, and a `modalTransitionStyleOverride` property to MDCAlertController.

### ProgressView

Converted `progressTintColors` property on MDCProgressView to use light weight generics.

## Component changes

### BottomSheet

* [Add BOOL property for whether or not the height of the bottom sheet should adjust for safe area insets.](https://github.com/material-components/material-components-ios/commit/1fefeaf03268b9126dfaea00907a9bb5362560e5) (Alyssa Weiss)
* [Add flag that turns off simulated bouncing when there isn't a tracking scroll view](https://github.com/material-components/material-components-ios/commit/1b985100ec89ed142981bd8f3d51b247f88e6f0c) (Andrew Overton)

### Buttons

* [Add documentation for Enums.](https://github.com/material-components/material-components-ios/commit/c727b890df3c0766706ad8000649f7733cdef997) (Cody Weaver)

### Chips

* [Add docs for MDCChipField](https://github.com/material-components/material-components-ios/commit/3f7cc9f51cf9ea9287b3e817bc730eaac31bd87e) (Andrew Overton)

### Dialogs

* [Adding customized interface orientations and transition style support to the alert dialog.](https://github.com/material-components/material-components-ios/commit/a9b6ca12b5cba778176b7cb129e866b8669ac8bc) (Nobody)

### List

* [Use isKindOfClass to ensure there is support for all MDCShadowLayer's subclasses.](https://github.com/material-components/material-components-ios/commit/d5bba14e9a51405ee2ed868fd630d852c49d0c6e) (Yarden Eitan)

### ProgressView

* [Add Objective-C generics to MDCProgressView](https://github.com/material-components/material-components-ios/commit/1b70fd6ad949c143d7225e3719c912fce8181719) (Andrew Overton)

---

# 120.0.0

In this major release, we deleted the `elevationOverlayColor` property from MDCSemanticColorScheme, added a `placeholderColor` property to MDCTextControls, added a `shapedBorderColor` property and a `shapedBorderWidth` property to MDCShapedView, and made multiple bug fixes.

## Breaking changes

### ColorScheme
The `elevationOverlayColor` property has been deleted.

## New features

### ShapedView
Added `shapedBorderColor` and `shapedBorderWidth` properties.

### TextControls
Added `placeholderColor` property.

## Component changes

### BottomSheet

* [Fix bug that was causing messy animation when a keyboard is going to appear after the bottom sheet dismisses.](https://github.com/material-components/material-components-ios/commit/4deaee13215776f82c104e4008c68168f8a62fba) (Alyssa Weiss)

### NavigationDrawer

* [Rotation UI Bug Fix This change is a slight alteration to the change introduced in cl/347036858 this moves the added code to the bottom of the method so as to not interfere with the recursive call.](https://github.com/material-components/material-components-ios/commit/6b4b0290a9df02f995f306e96a188b4b80745870) (Nobody)

### ShadowLayer

* [Add example for performance testing.](https://github.com/material-components/material-components-ios/commit/8da92053bd494128be6f659dd04c24f95ffa8b74) (Cody Weaver)

### Shapes

* [Add properties to configure the border color/width of `MDCShapedView`.](https://github.com/material-components/material-components-ios/commit/2d6db967af07c5805c7ded4cc56a7735a6c6337f) (Darren Mo)

### Snackbar

* [Add present+dismiss unit test for legacy snackbar.](https://github.com/material-components/material-components-ios/commit/11e4afa57cb8e59403715aa6bac4ec74788d1462) (Yarden Eitan)
* [Make imports more explicit](https://github.com/material-components/material-components-ios/commit/2158cbeda7e7b30e74d3635e315e707c06ef560a) (Cody Weaver)

### Tabs

* [Remove iOS 10 check in accessibilityTrait handling since only iOS 10 + is supported now](https://github.com/material-components/material-components-ios/commit/738a505dacefbb2371b5e0ae04989192eaa56370) (Alyssa Weiss)

### TextControls

* [Add placeholderColor property](https://github.com/material-components/material-components-ios/commit/48808bfe67683fbed035a9519be0b958ae9ae714) (Andrew Overton)

### schemes/Color

* [Delete elevationOverlayColor: It is not used in any theming extensions.](https://github.com/material-components/material-components-ios/commit/4195a48cca0c55245629f7eecb650ee1d292e635) (Randall Li)

---

# 119.5.0

In this minor release, we added a new userDraggingEnabled API to MDCBottomDrawerViewController.

## API changes

### NavigationDrawer

*new* property `userDraggingEnabled` in `MDCBottomDrawerViewController`.

## Component changes

### NavigationDrawer

* [Adds a property to `MDCBottomDrawerViewController` which allows to disable scrolling. It essentially exposes the 'scrollEnabled' property of the internal scroll view so that users may not drag the drawer manually. Programatic modifications of the content offset are still allowed.](https://github.com/material-components/material-components-ios/commit/e042db31045720e8995b924acf773205f3cf9603) (Nobody)

---

# 119.4.0

In this minor release, we added a new contentEdgeInsets API to Banner, added support for vertically centered image views in MDCSelfSizingStereoCell, and improved support for tvOS.

## API changes

### Banner

*new* property: `contentEdgeInsets` in `MDCBannerView`.

### Lists

*new* enum: `MDCSelfSizingStereoCellImageViewVerticalPosition`.
*new* property: `leadingImageViewVerticalPosition` in `MDCSelfSizingStereoCell`.
*new* property: `trailingImageViewVerticalPosition` in `MDCSelfSizingStereoCell`.

## Component changes

### Banner

* [ Add contentEdgeInsets support to replace layoutMargins usage in sizeThatFits:.](https://github.com/material-components/material-components-ios/commit/8bd8b295e227310a8c835ec9d3f58ca3b651319a) (Wenyu Zhang)
* [setNeedsLayout before showing Banner in BannerAutolayoutSwiftExampleViewController](https://github.com/material-components/material-components-ios/commit/1faf60e6f5fee51470fc2b21b26304879d6405da) (Wenyu Zhang)

### Cards

* [Update setting corner radius to match team style guide](https://github.com/material-components/material-components-ios/commit/4b7c446e7e14b43202421311894e388b18df6650) (Cody Weaver)

### List

* [Support vertically centered image views in MDCSelfSizingStereoCell](https://github.com/material-components/material-components-ios/commit/bdeb1f7e9d23708ab01440cb3f7e9d681c195038) (Andrew Overton)

## Multi-component changes

* [Additional requested docs changes](https://github.com/material-components/material-components-ios/commit/b42de42c876dada1437193a2c0b793b5cef41e70) (Andrew Overton)
* [Ensure swift snippets always come before objc](https://github.com/material-components/material-components-ios/commit/08ca10b07876de6f363c7f6baf6b265f3980fea1) (Andrew Overton)
* [Improve support for tvOS.](https://github.com/material-components/material-components-ios/commit/3bc7339b7a8e834a661de78fe3ae9805468f5259) (Jeff Verkoeyen)

---

# 119.3.0

In this minor release we added a new method to the `MDCBaseTextFieldDelegate` protocol and fixed bugs in NavigationDrawer, TextControls, and Tabs.

## API changes

*new* method: `-baseTextField:didUpdateIntrinsicHeight:` in `MDCBaseTextFieldDelegate`

## Component changes

### BottomSheet

* [Replace bottom sheet docs](https://github.com/material-components/material-components-ios/commit/82c03655498bd13cdf0229d71d562fed97d48813) (Andrew Overton)

### NavigationDrawer

* [Added `presentingViewYOffset` to `contentHeightSurplus` in `MDCBottomDrawerContainerViewController`](https://github.com/material-components/material-components-ios/commit/8ce4ebebd6877abce65e9b36123f39d97deded30) (Nobody)

### Tabs

* [Add call to update fonts from setItems to make sure tabBarView fonts are applied to new items.](https://github.com/material-components/material-components-ios/commit/0807c24b05bb588acede2152f2fca7d591ed0a1c) (Alyssa Weiss)
* [Add missing div tag](https://github.com/material-components/material-components-ios/commit/7de109ee8160c8853d274f9a9dfdb7d0188b465f) (Andrew Overton)
* [Fix an issue where the indicator was shown moving in, rather than already at the selected item, when the tab bar appears for the first time.](https://github.com/material-components/material-components-ios/commit/75a2ad15c78b7b5f504b6701cc0f0ce67deb1792) (Hao Sun)
* [Fix an issue where the indicator was shown moving in, rather than already at the selected item, when the tab bar items are recreated and the tab selected.](https://github.com/material-components/material-components-ios/commit/8343349fd944320eea78f3e1af50a3e0d65641c8) (Nobody)

### TextControls

* [Rethink sizing behavior with sizing delegate method](https://github.com/material-components/material-components-ios/commit/178fee91ff1965e75acc1c73214cb1f200598bf5) (Andrew Overton)

## Multi-component changes

* [Change component README ToCs to bold paragraph style](https://github.com/material-components/material-components-ios/commit/fb4d874f62a3aa5c59c54df829617e97ea9957bd) (Andrew Overton)

---

 # 119.2.0

In this minor release we deprecated hitAreaInsets APIs in Buttons, FloatingButtons, and Chips, and introduced minor bug fixes and documentation updates.

## API changes

### hitAreaInsets APIs

* hitAreaInsets APIs are deprecated in Buttons, FloatingButtons, and Chips.

## Component changes

### Buttons

* [Fix bug where updating MDCButton's title case does not affect attributed titles.](https://github.com/material-components/material-components-ios/commit/9a8399a5660146ca5f12289412aa68b6ea5f0405) (Bill Griesau)

### NavigationDrawer

* [Removed a condition for `presentingViewYOffset` in `MDCBottomDrawerContainerViewController`](https://github.com/material-components/material-components-ios/commit/1d2349b616ed4d24b5a66aadbfeb11d52849d9a1) (Nobody)

### Shapes

* [Fix CGPath memory leaks under -[MDCShapedShadowLayer generateColorPathGivenLineWidth]](https://github.com/material-components/material-components-ios/commit/0118f4a52f8cd03bb95f888a57e064f01096ff2e) (Nobody)

## Multi-component changes

* [Add ProgressIndicators.md for material.io](https://github.com/material-components/material-components-ios/commit/f1d4dd25f0688437caf9e5527a9ea44bb67e72cd) (Andrew Overton)
* [Audit recent docs changes, part 1 Closes https://github.com/material-components/material-components-ios/pull/10132](https://github.com/material-components/material-components-ios/commit/8d8763ef717236005cdb7300e1c712038a337f72) (Andrew Overton)
* [Audit recent docs changes, part 2](https://github.com/material-components/material-components-ios/commit/62ccb5c72fb6822c7199abbeeafcba8dd61e34e0) (Andrew Overton)
* [Deprecate hitAreaInsets APIs from MDCButton, MDCFloatingButton, and MDChipView.](https://github.com/material-components/material-components-ios/commit/a3d1aa132e97f4317320abf58e8c8496315319b4) (Wenyu Zhang)

---

# 119.1.3

In this patch release we updated the Tabs API and made documentation updates for Slider and other components.

## API changes

### Tabs

*new* property:   `itemViewContentInsets` in `MDCTabBarView`.
*new* property:   `minItemWidth` in `MDCTabBarView` and `MDCTabBarViewItemViewDelegate`
*new* property:   `itemViewDelegate` in `MDCTabBarViewItemView`.
*new* property:   `itemViewStyle` in `MDCTabBarViewItemViewDelegate`.

## Component changes

### Banner

* [Updated documentation](https://github.com/material-components/material-components-ios/commit/62863b262e31c43ef0aa355ae9d299a13fd040a4) (Cristina De Rito)

### Tabs

* [Add and expose property to MDCTabBarView for setting the edge insets for each item in the tab bar.](https://github.com/material-components/material-components-ios/commit/58431831194f7bd4c7acb49722f4aa15c873776d) (Alyssa Weiss)
* [Create and expose a minItemWidth property for MDCTabBarView to set the min width of items on the tab bar. This is done by adding a MDCTabBarViewItemViewDelegate protocol that MDCTabBarView conforms to.](https://github.com/material-components/material-components-ios/commit/a07df1ee5a64ac60cfeadd67caf1d43883ac2c7d) (Alyssa Weiss)
* [When building with -Wnullability-completeness, either no property should specify a nullability (nullable/nonnull) or all of them must specify one. If this is not the case, the compilation will fail.](https://github.com/material-components/material-components-ios/commit/d391e7a2bc91bea4ef0cf75cd02a34cd17de960f) (Sylvain Defresne)

## Multi-component changes

* [Miscellaneous doc fixes](https://github.com/material-components/material-components-ios/commit/0c7a12b0c7f2de8c6aaf4bd107289a89551aef34) (Andrew Overton)

---

# 119.1.2

In this patch release we made improvements to TextControls and Slider and fixed a bug in Tabs.

## API changes

### TextControls

*new* properties: `leadingView`, `trailingView`, `leadingViewMode` and `trailingViewMode` in `MDCBaseTextArea`.
*new* property:   `preferredContainerHeight` in `MDCBaseTextArea`.
*new* property:   `horizontalInterItemSpacingOverride` in `MDCBaseTextField`.

### Slider

*new* property: `thumbRippleMaximumRadius` in `MDCSlider`.

## Component changes

### Tabs

* [Support typical UIView initializers in MDCTabBarView](https://github.com/material-components/material-components-ios/commit/93df55946bd14c1aa8f4cbf07844face44952c11) (Andrew Overton)

### TextControls

* [Expose inter item spacing](https://github.com/material-components/material-components-ios/commit/16359d718a9c5af2983f7ba6c35f2dde227f642a) (Andrew Overton)
* [Expose preferredContainerHeight on MDCBaseTextArea](https://github.com/material-components/material-components-ios/commit/732e39b160d73545a7c1aad6bfd43df1d5e88198) (Andrew Overton)
* [Fix RTL placeholder behavior](https://github.com/material-components/material-components-ios/commit/77c77dc0f8ac9da6d3a1e127df40049924cdb18b) (Andrew Overton)
* [Modify automatic scrolling behavior](https://github.com/material-components/material-components-ios/commit/a4d2f5ac0acfe1af18eefc7df9349c1547f1b4ce) (Andrew Overton)
* [Add text areas leading/trailing views](https://github.com/material-components/material-components-ios/commit/a349540e26ce57f4102de7f3bb77a901cdb12df2) (Andrew Overton)

### Slider

* [Slider layout and size changes](https://github.com/material-components/material-components-ios/commit/a539853e3ca9603dfc10f9e6680114970a295879) (Andrew Overton)

---

# 119.1.1

In this patch release we have updated the Slider documentation and fixed a CocoaPods build issue.

## Component changes

### Slider

* [Replace Slider docs](https://github.com/material-components/material-components-ios/commit/0a56c1683f21af85f578e351eebca43114969cfa) (Andrew Overton)

### TextControls

* [Fix Cocoapods build error](https://github.com/material-components/material-components-ios/commit/09d8ea6bf66ec5dc8200bf3f869bdd412a328507) (Andrew Overton)

---

# 119.1.0

This minor release adds placeholder support to MDCTextArea and includes bug fixes for
BottomNavigation and TextControls.

## New features

You can now set a placeholder on any subclass of MDCBaseTextArea.

## Component changes

### BottomNavigation

* [Add fade animation to bottom navigation item title label on (de)selection.](https://github.com/material-components/material-components-ios/commit/d9e294ab0002f2c8569e0dc0e74825e4284d13ee) (Bryan Oltman)

### TextControls

* [Add text area snapshot tests](https://github.com/material-components/material-components-ios/commit/a180642678c2751866220ee965d50a3d89f8dbe4) (Andrew Overton)
* [Call -[MDCBaseTextAreaDelegate baseTextArea:shouldChangeSize:] when setting assistive label text (if needed).](https://github.com/material-components/material-components-ios/commit/0b7be00f853db7cf02a8e0c0122308aab1a56a58) (Nobody)

## Multi-component changes

* [Add placeholder to text area](https://github.com/material-components/material-components-ios/commit/52e9d15a2bc7de82a2210a8a7d0423998db3bc4c) (Andrew Overton)
* [Use custom leadingView/trailingView instead of UITextField's leftView/rightView](https://github.com/material-components/material-components-ios/commit/d729b5c464e2f4947056b7d98dd212132f7d7f68) (Andrew Overton)

---

# 119.0.0

This major release removes a deprecated MDCFloatingButton API, deprecates MDCTabBar, and provides
enhancements to MDCButton and Tabs.

## Breaking changes

MDCFloatingButton's `setVisibleAreaInsets:forShape:inMode:` API has been removed. Use
`setCenterVisibleArea:forShape:InMode:` instead.

## New deprecations

MDCTabBar has been deprecated. Please use MDCTabBarView instead.

## New features

MDCFloatingButton now has a `shape` property that can be used to change the button's shape.

MDCButton now has a `visibleAreaLayoutGuide` property that can be used to align content against the
button's visible area using AutoLayout.

## Component changes

### Buttons

* [Add shape API to allow changing FAB's shape after it is initialized.](https://github.com/material-components/material-components-ios/commit/a25c55ee80eb00b633228614cdb5b27ea229b2d5) (Wenyu Zhang)
* [Add visibleAreaLayoutGuide for providing anchors to the visible area when centerVisibleArea is set to YES.](https://github.com/material-components/material-components-ios/commit/0de498c394d21db7fb824b046bf405091fcfbc24) (Yarden Eitan)
* [Apply centerVisibleArea to a FAB with default shape example to reproduce shapeGenerator not getting updated issue on FAB.](https://github.com/material-components/material-components-ios/commit/d40ec950c35324985587f264805eeb72b80da6fd) (Wenyu Zhang)
* [Fix cornerRadius change not triggering the update on shapeGenerator when centerVisibleArea is YES.](https://github.com/material-components/material-components-ios/commit/d4e0da5ce430325e13b1490deac030ce8e7eead0) (Wenyu Zhang)
* [Migrate deprecated visibleAreaInsets API to centerVisibleArea API in FAB typical example.](https://github.com/material-components/material-components-ios/commit/7cdcc53b5b1ac75c6e03094b25aeeb02b16fb5b1) (Wenyu Zhang)
* [Remove deprecated setVisibleAreaInsets:forShape:inMode: API.](https://github.com/material-components/material-components-ios/commit/615f273a419196225007cf0bcef47a478284b377) (Wenyu Zhang)
* [Update note on visibleAreaInsets to indicate it will be deprecated explicitly to prevent future usage.](https://github.com/material-components/material-components-ios/commit/c371dd4169d3400dc37199732aa4fc46cd106225) (Wenyu Zhang)

### Tabs

* [Fallback to scrollable when scrollableCentered is set and VoiceOver is running](https://github.com/material-components/material-components-ios/commit/67e70a63c9fe47a5632e5fdbe83ce2e60ea77ecb) (Andrew Overton)
* [Mark MDCTabBar as deprecated.](https://github.com/material-components/material-components-ios/commit/b5bd0e39417bcecc14cb24a90ae8bf73d358fd4e) (Alyssa Weiss)
* [Update handling of ripple so that, for non scroll layout styles, it shows ripple on touch down rather than touch up.](https://github.com/material-components/material-components-ios/commit/b8dccb0965b97d0799aaae6bb3c45a1f33357641) (Alyssa Weiss)

### TextControls

* [add RTL snapshot tests](https://github.com/material-components/material-components-ios/commit/9e8c6cc75c6d7ec0a9f9ee716d12e608f043e64c) (Andrew Overton)

---

# 118.2.0

In this minor release, we have made several improvements to the Dialogs, Snackbar, and Tabs components. We also improved the Banner component's documentation.

## Component changes

### Banner

* [Replace banners docs](https://github.com/material-components/material-components-ios/commit/1ec910c31f5f6afd511ff030e79a80f6cfc4f0b1) (Andrew Overton)

### Buttons

* [Add extra width to buttons with text and image when UIAccessibilityIsBoldTextEnabled is true.](https://github.com/material-components/material-components-ios/commit/cf28c8191eeeaf03b0cd66865b4cd6368782a9ec) (Bryan Oltman)

### Dialogs

* [Support value comparison for MDCAlertAction](https://github.com/material-components/material-components-ios/commit/584294efffea830cb0f86ad061296f55cf1537e5) (Nobody)

### Snackbar

* [Update MDCSnackbarManagerDelegate presentation lifecycle methods to declare a nonnull MDCSnackbarMessageView.](https://github.com/material-components/material-components-ios/commit/0c6adf0080fd7acba535ec667576855a90c386c9) (Yarden Eitan)

### Tabs

* [Remove notion of max item width from TabBarView and MDCTabBarViewItemView](https://github.com/material-components/material-components-ios/commit/a60852c53ffd138f6b1bfcde8beb8a15e0811252) (Alyssa Weiss)

---

# 118.1.0

In this minor release, we have made several improvements to the TextControls component.

## New features

### TextControls

Added `-baseTextFieldShouldDeleteBackward:` and `-baseTextField:shouldPerformAction:withSender:canPerformAction:` to `MDCBaseTextFieldDelegate`.

## Component changes

### TextControls

* [Add -baseTextField:shouldPerformAction:withSender:canPerformAction:](https://github.com/material-components/material-components-ios/commit/6d0e6146188f84cbe19ce319745efa397df8fb97) (Andrew Overton)
* [Add shouldDeleteBackward delegate method](https://github.com/material-components/material-components-ios/commit/364b062a5096ede477160db7e8ed980497e9fdd6) (Andrew Overton)
* [consider floating label min Y in - accessibilityPath](https://github.com/material-components/material-components-ios/commit/b8d8690259c4560abb1c1806a8de032287c6e56e) (Andrew Overton)

---

# 118.0.1

In this patch release, an MDCNavigationDrawer bug for accessibility dismissal is fixed and references to deprecated Math APIs are removed.

## Component changes

### NavigationDrawer

* [Fix the bug caused by regression in the PR "Optional dismiss on accessibilityPerformEscape", where the forwarded touch events are interfered by gesture recognizer introduced in the CL. Cause: The variable dismissOnBackgroundTap should be used to determine whether gesture recognizer is added to the presentation view controller. When the check was removed, gesture recognizer is interfering and touchesended is not propagated. Fix: Add back the check and add tap gesture recognizer only when dismissOnBackgroundTap is set to true.](https://github.com/material-components/material-components-ios/commit/6ad0683d1aa17c4181439a082df98e7da54d635e) (Nobody)

### Snackbar

* [Replace snackbar docs](https://github.com/material-components/material-components-ios/commit/f8ef922901a41258cf9c3c68e617fa19af0e43b4) (Andrew Overton)

### private/Math

* [Remove use of deprecated methods.](https://github.com/material-components/material-components-ios/commit/139d7f628ec0d02ec545920899a43427d33e183a) (Aron Budinszky)

---

# 118.0.0

In this major release. we deleted all deprecated MDCSnackbarManager APIs, and made minor bug fixes and reorganizations.

## Breaking changes

### Snackbar

All Deprecated MDCSnackbarManager APIs have been deleted. For any of these APIs, instead of calling anything on MDCSnackbarManager, use MDCSnackbarManager.defaultManager and the same API will be available.

## API changes

## Component changes

### ActionSheet

* [Flatten the unit tests into a single directory.](https://github.com/material-components/material-components-ios/commit/ab1ea86eef7d3b0f15bb2c056281755283185264) (Jeff Verkoeyen)
* [Update all test and example files to match conventions.](https://github.com/material-components/material-components-ios/commit/791596b851fdac175b51f3685016b71c91d285e7) (Jeff Verkoeyen)

### Chips

* [Replace Chips docs](https://github.com/material-components/material-components-ios/commit/9cc66610ec101eadb4195355dd5e0e00239058a8) (Andrew Overton)

### Dialogs

* [Fix an issue that alertController:didTapAction:withEvent: delegate method is not called if the action doesn't have completion handler.](https://github.com/material-components/material-components-ios/commit/cbfa5400ede2c383980953311ee01a3e0937af32) (Nobody)

### Snackbar

* [Delete all deprecated APIs.](https://github.com/material-components/material-components-ios/commit/166e7ca6cbb528d223d17e4297103314b58e2667) (Jeff Verkoeyen)

---

# 117.0.0

In this major release, we deleted the `buttonFont` property on `MDCAlertController`, added the `accessoryViewHorizontalInset` property to `MDCAlertControllerView`, made minor bug fixes, and deprecated numerous APIs across multiple components.

## Breaking changes

### Dialogs

The `buttonFont` property on `MDCAlertController` has been deleted. To set a button font in a dialog use the `-buttonForAction:` method to get the button, then call `-setFont:` on its `titleLabel`.

## New deprecations

This release contains deprecations in ButtonBar, FeatureHighlight, NavigationBar, FlexibleHeader, AppBar, ThumbTrack, and TabBar. See the component section for specifics.

## New features

### Dialogs

Dialogs has a new `accessoryViewHorizontalInset` API.

## Component changes

### ActivityIndicator

* [Update default stroke width to be 2.5](https://github.com/material-components/material-components-ios/commit/f87b98f26b0952e9e39139608e34d1c6e59a6bd4) (Alyssa Weiss)

### AppBar

* [Deprecate API from MDCAppBarNavigationController.](https://github.com/material-components/material-components-ios/commit/bf908863531f43f5bb1f987ac274e8b89246f1f9) (Yarden Eitan)
* [Deprecate AppBar color themer APIs.](https://github.com/material-components/material-components-ios/commit/5a4f5baac656235517b1174a3918b2e9f658750f) (Yarden Eitan)

### ButtonBar

* [Deprecate inkColor API.](https://github.com/material-components/material-components-ios/commit/30b6cc170310343f85fa693ded5326be13b0fb45) (Yarden Eitan)

### Dialogs

* [Add an accessoryView with a collection example](https://github.com/material-components/material-components-ios/commit/e9b0eee25d5465c5fe43551754afcd7536879a41) (Galia Kaufman)
* [Adding accessoryViewHorizontalInset API](https://github.com/material-components/material-components-ios/commit/9d9bd938474d41c200417aef3ae338d9c1d329d6) (Galia Kaufman)
* [Delete deprecated buttonFont for MDCAlert and make all appropriate changes following deletion](https://github.com/material-components/material-components-ios/commit/bd6484925b3a3a26479dcca0cddef6c8d567510d) (Alyssa Weiss)
* [Deprecate button styling APIs.](https://github.com/material-components/material-components-ios/commit/c5c231c879fc92ca7c9e8e942d1fb98205ec151a) (Yarden Eitan)

### FeatureHighlight

* [Deprecate color themer APIs.](https://github.com/material-components/material-components-ios/commit/89606772218a555537d1835a2c9c21feea2221a4) (Yarden Eitan)

### FlexibleHeader

* [Deprecate MDCFlexibleHeaderMinMaxHeight API.](https://github.com/material-components/material-components-ios/commit/39e7aed49c1d791f4528d06c44ad9064bad54935) (Yarden Eitan)
* [Deprecate pre iOS 8 ToBeDeprecated APIs.](https://github.com/material-components/material-components-ios/commit/caafdae2176aad77b8759554af80fe8abe9fc710) (Yarden Eitan)

### NavigationBar

* [Deprecate color themer APIs.](https://github.com/material-components/material-components-ios/commit/2294616a4d06a258089c71337feeeac03aaccfbc) (Yarden Eitan)
* [Deprecate typography themer APIs.](https://github.com/material-components/material-components-ios/commit/654c6cfdd7a3003696d345ca5dcd70f411b9f0c6) (Yarden Eitan)

### Tabs

* [Deprecate typography themer API.](https://github.com/material-components/material-components-ios/commit/70f2368ffc78e35b76ac26826725de5b46b17367) (Yarden Eitan)
* [Scroll to selected item when there is an orientation/size change.](https://github.com/material-components/material-components-ios/commit/89b43fd8ffb98c0100a7d17e90bce4f4a3704ebc) (Yarden Eitan)

### TextControls

* [Translate frame to window coordinates in accessibilityPath](https://github.com/material-components/material-components-ios/commit/ea59fefa1c59d913903f9b5da38456d2b7c85080) (Andrew Overton)

### private/Math

* [Deprecate all APIs that have a direct standard library equivalent.](https://github.com/material-components/material-components-ios/commit/e1afe22cfb01722fd7e52a3ac61503e90e3a89c9) (Jeff Verkoeyen)

### private/ThumbTrack

* [Deprecate Ink APIs.](https://github.com/material-components/material-components-ios/commit/9a176d6c073ff103704b375eedbf051fe667c062) (Yarden Eitan)

## Multi-component changes

* [Internal change](https://github.com/material-components/material-components-ios/commit/09a07ca6d2514e6553f45537b300fb689d620e5c) (Jeff Verkoeyen)

---

# 116.0.1

This patch release contains various bug fixes and internal cleanup.

## Component changes

### BottomNavigation

* [Update ink and ripple handling for long press when LargeContentViewer is enabled](https://github.com/material-components/material-components-ios/commit/8ef317c16263975659da535ca1fabd583694570f) (Alyssa Weiss)

### BottomSheet

* [Mask elevation on bottom edge](https://github.com/material-components/material-components-ios/commit/588d9d2fe5c71931dad726c3d48e7b6133c79d89) (Andrew Overton)

### Dialogs

* [Remove iOS 10+ checks now that the minimum support contract is iOS 10.](https://github.com/material-components/material-components-ios/commit/d40c6d86080e060f7f20462f3f009b44674f6a57) (Alyssa Weiss)
* [Update the testing for the localization snapshot tests.](https://github.com/material-components/material-components-ios/commit/8842f55760143bc00b0d4457f9e2ed7b3eb20800) (Alyssa Weiss)

### Slider

* [Add call to [super prepareForReuse] in example.](https://github.com/material-components/material-components-ios/commit/5da1486c9f591ace570de1efef991ccd4ac6d148) (Bryan Oltman)
* [Remove checks for iOS 10 availability.](https://github.com/material-components/material-components-ios/commit/c861bd32c9cbedf74dde4bbd10b4bcf4bbdbfcf9) (Bryan Oltman)
* [Set thumbIsSmallerWhenDisabled to NO to match Material spec.](https://github.com/material-components/material-components-ios/commit/8e0ed49dc626d6e9ad91a9d3eb11c3517fb2af42) (Wenyu Zhang)

### Snackbar

* [Automated g4 rollback of changelist 331153646.](https://github.com/material-components/material-components-ios/commit/aba747b4808a48603bae4798569aff2eb7d2404d) (Yun Zhang)

### TextControls

* [Override accessibilityPath in MDCBaseTextField](https://github.com/material-components/material-components-ios/commit/873c0b78d8a57f77d19cf1ef20c701f2233a1f0e) (Andrew Overton)

### private/ThumbTrack

* [Do not adjust thumb size on touch down.](https://github.com/material-components/material-components-ios/commit/2a13da03738e3dddd1ff2ebe430778e22452f3be) (Bryan Oltman)
* [Internal change](https://github.com/material-components/material-components-ios/commit/bc81b052abdd2520546ba3bec428aafd2ca74cd8) (Bryan Oltman)

## Multi-component changes

* [Fix mdc_elevationDidChangeBlock block parameter types for Xcode 12](https://github.com/material-components/material-components-ios/commit/da4b8f7c7f99941332c13d56c7ccc8d08b25665e) (Bryan Oltman)
* [Internal change](https://github.com/material-components/material-components-ios/commit/eb829842242a3f8f657992381100407d205892fd) (Jeff Verkoeyen)
* [Internal change](https://github.com/material-components/material-components-ios/commit/fbb1f20aa253b4023b19353a7cbb6846edac8393) (Jeff Verkoeyen)
* [Remove ability for thumb view to grow while dragging.](https://github.com/material-components/material-components-ios/commit/39af7115f76986a039406143dad8a83abd2f0f0d) (Bryan Oltman)

---

# 116.0.0

In this major release, we deleted the `rippleAllowsSelection` property from MDCChipView and added containerRadius support to filled text fields.

## API changes

* Chips: `rippleAllowsSelection` has been deleted from MDCChipView.
* NavigationDrawer: `shouldDismissOnAccessibilityPerformEscape` property added to allow VoiceOver users to dismiss the Navigation Drawer using the VoiceOver dismiss gesture.

## Component changes

### Chips

* [Have Ripple imitate Ink's behavior in MDCChipView.](https://github.com/material-components/material-components-ios/commit/6543af21be74965abb609e792d744f8f76fe4c63) (Yarden Eitan)

## Multi-component changes

* [Optional dismiss on accessibilityPerformEscape.](https://github.com/material-components/material-components-ios/commit/e79fd9b19188be0a23263e3f0c5dc11105534412) (Nobody)
* [Add containerRadius support to filled text field](https://github.com/material-components/material-components-ios/commit/0907c196231629d9af7e86feeed86748ec96a20f) (Andrew Overton)
* [Internal change](https://github.com/material-components/material-components-ios/commit/9f62e64603adc68475ee3d21981dd79cdaff1129) (Yarden Eitan)

---

# 115.1.0

In this minor release we add 2 APIs to customize BottomNavigation's appearance and behavior, we deprecate the property `rippleAllowsSelection` from `MDCChipView`, we provide a `containerRadius` API to `MDCBaseTextField` and `MDCBaseTextArea`, along with other code cleanups.

## New deprecations

`MDCChipView`'s `rippleAllowSelection` property is now deprecated. Please instead use native UIKit APIs to control whether the chip is selected or not, using either the .selected API, or, with MDCChipCollectionViewCell, by calling the `deselectItemAtIndexPath` API to remove selection. Note, this only applies if you have the `enableRippleBehavior` property set to `YES` on `MDCChipView`.

## New features

### BottomNavigation

You can now customize MDCBottomNavigationBar's height using the `barHeight` property.

```objc
MDCBottomNavigationBar *bottomNavBar;
bottomNavBar = [[MDCBottomNavigationBar alloc] initWithFrame:CGRectZero];
bottomNavBar.barHeight = 44;
[self.view addSubview:bottomNavBar];
```

You can now also decide when to hide or show your navigation bar using the new `navigationBarHidden` APIs on MDCBottomNavigationBarController.

```swift
let bottomNavBarController = MDCBottomNavigationBarController()
bottomNavBarController.willMove(toParent: self)
view.addSubview(bottomNavBarController.view)
addChild(bottomNavBarController)
bottomNavBarController.didMove(toParent: self)
let viewController = UIViewController()
bottomNavBarController.viewControllers = [viewController]
bottomNavBarController.setNavigationBarHidden(true, animated: true)
```

### TextControls

Both `MDCBaseTextArea` and `MDCBaseTextField` now have a `containerRadius` API, which determines the corner radius of the container, when applicable.
Setting this property is a no-op for MDCBaseTextField and any subclasses with invisible containers.

```swift
let filledTextField = MDCFilledTextField()
filledTextField.label.text = "label text"
filledTextField.containerRadius = 8
```

## Component changes

### Banner

* [Change the trailing padding constraint for textView on MDCBannerView to match the Material Banner specs (https://material.io/components/banners#specs).](https://github.com/material-components/material-components-ios/commit/56226bbef5e50d2604b43699fad75c9d2d0b0873) (Nobody)

### BottomNavigation

* [Add navigationBarHidden property to MDCBottomNavigationBarController.](https://github.com/material-components/material-components-ios/commit/bb71d6bcbbf9205661e8a324db0d9ae260874689) (Bryan Oltman)
* [Provide an API to set the bar's height.](https://github.com/material-components/material-components-ios/commit/5d3662f0a203cf38e3e379b094b0ffb5f6563b59) (Yarden Eitan)
* [Remove all checks for iOS 10 availability now that components support iOS 10+](https://github.com/material-components/material-components-ios/commit/ef9fd055935cb3f29644ec1eeec10433355a3b31) (Alyssa Weiss)
* [Remove no longer used string bundle references](https://github.com/material-components/material-components-ios/commit/6878fc63446902f4d78c73f4a486ad28ef6caf72) (Alyssa Weiss)
* [Remove supplemental directory from examples.](https://github.com/material-components/material-components-ios/commit/d79d9a86c59ea80f5bbab56d3eaa9badc308d432) (Bryan Oltman)
* [Update Bottom Navigation Item View accessibility traits so that VoiceOver works correctly on iOS 14.](https://github.com/material-components/material-components-ios/commit/898e373ea257b1122a758cd3855420204c5c018e) (Alyssa Weiss)

### Chips

* [Deprecate rippleAllowsSelection as we move away from MDCStatefulRippleView and to a simpler MDCRippleView when enableRippleBehavior is set to YES.](https://github.com/material-components/material-components-ios/commit/4bcf88708b46a38db2f9d695a8e44e0b744ba7ba) (Yarden Eitan)

### Snackbar

* [Enable shouldDismissOnOverlayTap for VO enabled scenario](https://github.com/material-components/material-components-ios/commit/dcda0408f462d9e15e31ed6d95d9654145dab3f4) (Yun Zhang)
* [Example: Dismiss snackbars when push or popping the example VC.](https://github.com/material-components/material-components-ios/commit/4c6b2357e9cd89228049ae9cb4ea5b504fddafac) (Randall Li)
* [Remove non-shared classes from Snackbar supplemental directory.](https://github.com/material-components/material-components-ios/commit/63670a7b2c49c376b13be1dc5bb29356469bc516) (Bryan Oltman)
* [Remove references to deprecated static MDCSnackbarManager methods.](https://github.com/material-components/material-components-ios/commit/78868b55e6a01ed868f7a0918282d678605ce392) (Bryan Oltman)

### Tabs

* [Remove pre-iOS 10 handling for voiceover now that components support iOS 10+](https://github.com/material-components/material-components-ios/commit/6e127557ebe8d85faab9c4e1420343fad983fca6) (Alyssa Weiss)
* [Remove unused StringsConstant file from Tabs](https://github.com/material-components/material-components-ios/commit/ef4dc34cad6855f43dc39b8e432761d9259516c7) (Alyssa Weiss)

### TextControls

* [Refactor sizing behavior + expose sizing delegate method](https://github.com/material-components/material-components-ios/commit/58ae5f81390b44bd675a0694caaf4e385a6e39a1) (Andrew Overton)
* [Add `containerRadius` to MDCBaseTextField](https://github.com/material-components/material-components-ios/commit/d303da4db4c820f39ea5c69a29785aa43bb084a8) (Andrew Overton)
* [Add containerRadius to filled style object and base text area](https://github.com/material-components/material-components-ios/commit/3aace45a832e030d2e7812e310ffb4488e0bf77b) (Andrew Overton)

---

# 115.0.0

In this major release, we deprecated the Ink component in favor of Ripple and deleted the
deprecated `fontSize` property from the ThumbTrack component.

## Breaking changes

The `fontSize` property of ThumbTrack is now deleted. Please use the `font` property instead.

## New deprecations

The Ink component has been deprecated. Please use Ripple instead.

## Component changes

### BottomNavigation

* [Remove pre-iOS 10 handling for voiceover now that components support iOS 10+](https://github.com/material-components/material-components-ios/commit/01b1cbaa6621bafda648716f0e9074315cfcc0f3) (Alyssa Weiss)

### Collections

* [Silence warnings when including a header with a method that uses deprecated declarations.](https://github.com/material-components/material-components-ios/commit/21d67fef12496fa026e32d1b203e15464b7e5378) (Nobody)

### Dialogs

* [Issue:- We currently disable tap for message text view.](https://github.com/material-components/material-components-ios/commit/6e42102550f3ca3aff560951b037d3fe8a30cf7c) (Nobody)

### TextControls

* [Improve TextControls test coverage](https://github.com/material-components/material-components-ios/commit/9d12dc1f981b317877bf713b1ed906b9363cfb19) (Andrew Overton)

### private/ThumbTrack

* [Delete deprecated fontSize property.](https://github.com/material-components/material-components-ios/commit/959e66d5aea00e0aa124b5ac604c29856b6c4905) (Wenyu Zhang)

## Multi-component changes

* [Official deprecation of Ink.](https://github.com/material-components/material-components-ios/commit/8d7bc88a110d1c0ad0e2a14c6c4f106d5fd91d3e) (Yarden Eitan)

---

# 114.0.0

In this major release we have updated BottomNavigation safe area calculations and removed the deprecated `sizeThatFitsIncludesSafeArea` API, including a minor bug fix for Dialogs.

## Breaking changes

### BottomNavigation

The deprecated sizeThatFitsIncludesSafeArea property is deleted.

## Component changes

### BottomNavigation

* [Align barItemsBottomAnchor with safeAreaInsets.](https://github.com/material-components/material-components-ios/commit/ac3c854dc494a0e15e8b47304ca4ee89b31f528a) (Wenyu Zhang)
* [Delete deprecated sizeThatFitsIncludesSafeArea property.](https://github.com/material-components/material-components-ios/commit/f854548b975e308d9fb335fce554cdc6ccbd8985) (Wenyu Zhang)

### Dialogs

* [Update logic for using title insets in calculations](https://github.com/material-components/material-components-ios/commit/805a2af3a84866b7361d27faeb74b343cfcdbca3) (Alyssa Weiss)

## Multi-component changes

* [Remove reference to beta](https://github.com/material-components/material-components-ios/commit/378fab16a8f424ba9aa459197768a89bf210c023) (Andrew Overton)

---

# 113.2.0

In this minor release we have made minor improvements to BottomNavigation, NavigationDrawer and Tabs.

## New features

Adding a new property to MDCBottomDrawerViewController and MDCBottomDrawerContainerViewController that allows for non-fullscreen mobile landscape bottom drawer view.

```swift
drawerViewController.shouldDisplayMobileLandscapeFullscreen = false
```

## Component changes

### BottomNavigation

* [Clarify wording to reflect that enableRippleBehavior is To Be Deprecated and can still be used in new code](https://github.com/material-components/material-components-ios/commit/d60a9203a82fe103fda3bf90b6521653bb68bdec) (Alyssa Weiss)
* [Set default horizontal item padding to 0](https://github.com/material-components/material-components-ios/commit/fb9eec8ba09901184d62d7c9b227ab9977767cef) (Alyssa Weiss)
* [Update accessibility logic when switching selected view controllers so that VoiceOver will always switch to a new element visible on screen](https://github.com/material-components/material-components-ios/commit/915bc063fbbf52eef3a5c9f106d571378cce12db) (Alyssa Weiss)

### NavigationBar

* [Add example to demonstrate how to to set source for popover alert on iPad.](https://github.com/material-components/material-components-ios/commit/36430632eddbf535052023800fc33aeaa53a7c11) (Bryan Oltman)
* [Delete supplemental code from Swift examples](https://github.com/material-components/material-components-ios/commit/e28711a930df4024a9427af6e00683551945845e) (Bryan Oltman)

### NavigationDrawer

* [Adds shouldDisplayMobileLandscapeFullscreen property to MDCBottomDrawerContainerViewController and MDCBottomDrawerPresentationController to share the property between MDCBottomDrawerContainerViewController and MDCBottomDrawerViewController.](https://github.com/material-components/material-components-ios/commit/4cba6bbf5cc2ae64757e442a449f3409dff0b66b) (Nobody)
* [Replace navigation drawer component README](https://github.com/material-components/material-components-ios/commit/a278ec6b07b8323dfe735064323f3aafe43ef9ce) (Andrew Overton)

### Tabs

* [Remove the old selected view controller from the view hierarchy when switching selected view controller, and add accessibility post notifications when switching selected view controllers so that VoiceOver will always switch to a new element visible on screen.](https://github.com/material-components/material-components-ios/commit/c8d8757a66bdf7cf0291329d544a4f34d96fdb93) (Alyssa Weiss)

---

# 113.1.0

In this minor release we have added a ScalableFontDescriptor library to represent custom scalable fonts from iOS 11 and up, added UILargeContentViewer support to AppBar, NavigationBar, TabBarView, as well as other improvements.

## New deprecations

* We have deprecated some MDCSnackbarManager class methods. Please use MDCSnackbarManager.defaultManager and their corresponding instance methods instead.

## New features

On iOS 11 and up, using ScalableFontDescriptor enables you to describe a custom font and the corresponding UIFontMetrics that enable the font to scale in response to Dynamic Type settings.
This type enables you to pair font descriptors with specific UIFontMetrics. This is most commonly used for describing the metrics of a collection of custom fonts.

```swift
// Create the type scale.
let fontDescriptor = UIFontDescriptor(name: "CustomFont-Light", size: UIFont.labelFontSize)
let scalableFontDescriptor: MDCScalableFontDescriptor
if #available(iOS 11, *) {
 scalableFontDescriptor = MDCScalableFontDescriptor(
   fontDescriptor: fontDescriptor,
   fontMetrics: UIFontMetrics(forTextStyle: .largeTitle)
 )
} else {
 scalableFontDescriptor = MDCScalableFontDescriptor(fontDescriptor: fontDescriptor)
}
// Use the scalable font descriptor.
if #available(iOS 11, *) {
 label.font = scalableFontDescriptor.preferredFont(compatibleWith: label.traitCollection)
 label.adjustsFontForContentSizeCategory = true
} else {
 label.font = scalableFontDescriptor.baseFont()
}
```

You can now toggle if you would like that your BottomDrawer will display at fullscreen or not when in mobile landscape by setting the `shouldDisplayMobileLandscapeFullscreen` property on `MDCBottomDrawerViewController`.

```swift
let controller = MDCBottomDrawerViewController()
controller.shouldDisplayMobileLandscapeFullscreen = false
```

## Component changes

### BottomAppBar

* [Fix bug where FAB shadow would "bounce" when the position changed.](https://github.com/material-components/material-components-ios/commit/453eaa8a9a33e344276892ebb005ceaec205bab8) (Jeff Verkoeyen)

### BottomNavigation

* [modify layouts with division to use floor(), as not using this was causing some non integer pixel values, which then resulted in a blurry layout](https://github.com/material-components/material-components-ios/commit/4a3058d59175eb455ef2f4e38df262b3cb6040cf) (Alyssa Weiss)

### ButtonBar

* [Adds Large Content Viewer support to MDCButtonBar, MDCNavigationBar, and MDCAppBar.](https://github.com/material-components/material-components-ios/commit/7f9d2cc3504b12da7a8dec3d8028c6b6102cd75e) (Yarden Eitan)
* [Fall back to accessibilityLabel for UILargeContentView when there is an image and no title.](https://github.com/material-components/material-components-ios/commit/ae3fc08aac3722feb31148011d52af7a7dc926f5) (Yarden Eitan)
* [Removes nullability modifiers from file.](https://github.com/material-components/material-components-ios/commit/4511a9f5e4d2909dbc0c84b65af45a7e0d7e03f2) (Nobody)

### Chips

* [Add a snapshot test case for MDCChipView with minimumSize set and centerVisible set to YES.](https://github.com/material-components/material-components-ios/commit/70d7a73cb4beaf4aa67e1d51626c6e1ab9b12b6a) (Wenyu Zhang)

### NavigationDrawer

* [Adds shouldDisplayMobileLandscapeFullscreen property to MDCBottomDrawerViewController.](https://github.com/material-components/material-components-ios/commit/d63936f671a2b113eb57cbcc589b4ba14a160309) (Nobody)

### ScalableFontDescriptor

* [Add a new ScalableFontDescriptor library.](https://github.com/material-components/material-components-ios/commit/1baab835a533df37b5e599444937f75deadca056) (Jeff Verkoeyen)

### Snackbar

* [  Material Snackbar support for selecting which window to present on.](https://github.com/material-components/material-components-ios/commit/c48cd65ade15bc29ab2329ed9e8032e1f5f01a2c) (Nobody)
* [Deprecate more class methods on MDCSnackbarManager.](https://github.com/material-components/material-components-ios/commit/8dc2768f7fabd5451cf8b8956098020465ac9088) (Jeff Verkoeyen)
* [Deprecate remaining class methods on MDCSnackbarManager.](https://github.com/material-components/material-components-ios/commit/b928b4d5c8e854288450be0938b8bfc3927ad46e) (Jeff Verkoeyen)
* [Internal change](https://github.com/material-components/material-components-ios/commit/ad2b16134b8dc04667604a7b8609686a1c401494) (Jeff Verkoeyen)

### Tabs

* [Adds Large Content Viewer support to MDCTabBarView.](https://github.com/material-components/material-components-ios/commit/eb13147f839302bd0b0b42fcb74f90cf94fe72f1) (Yarden Eitan)
* [Animate text and icon colors when switching tabs.](https://github.com/material-components/material-components-ios/commit/3022102dbfd9833f325fbebe9ff7bceccb0c5778) (Jeff Verkoeyen)

## Multi-component changes

* [Add isPointerInteractionEnabled availability check.](https://github.com/material-components/material-components-ios/commit/91a2953b0d052bd6411c178be22923445ed03b35) (Bryan Oltman)
* [Ensure transition controller pass-through accessors work following presentation controller initialization](https://github.com/material-components/material-components-ios/commit/225cd3c0cba6ac194c77a418188d1c4421227f2e) (Andrew Overton)
* [Move MDCBottomNavigationBarController to main podspec](https://github.com/material-components/material-components-ios/commit/b22eef526fcd0ecb164f5eab0d8e42a36fc313de) (Andrew Overton)

---

# 113.0.0

In this major release we have dropped support for iOS 9.0, added support to Catalyst for our catalogs, and enlarged the minimum touch target of the thumb view of our Slider component.

## Breaking changes

* We have dropped support for iOS 9, our minimum iOS version is now set to 10.0.
* MDCChips visibleAreaInsets property is now set to read only.

## New deprecations

* We have deprecated some MDCSnackbarManager class methods. Please use MDCSnackbarManager.defaultManager and their corresponding instance methods instead.

## API changes

*modified* property: `visibleAreaInsets` in `MDCChipView` to be `readonly`.

## Component changes

### Chips

* [Expose visibleAreaInsets as a public readonly API.](https://github.com/material-components/material-components-ios/commit/f716061f0fe2ad5f05692ee84c1094f20dbbf84f) (Wenyu Zhang)
* [Remove visibleAreaInsets from public API.](https://github.com/material-components/material-components-ios/commit/899c57e8d5d27d2f57a91c8da50d7d05c0e54798) (Wenyu Zhang)

### Slider

* [Update Slider example to conform to minimum touch size by change frame.](https://github.com/material-components/material-components-ios/commit/e5c046c89a57d382bd01d23abbae9cd2711cdff2) (Wenyu Zhang)

### Snackbar

* [Deprecate all unused class methods.](https://github.com/material-components/material-components-ios/commit/12aa90eac30400ce3400d0946f31d4b46dd9e8ae) (Jeff Verkoeyen)
* [Internal change](https://github.com/material-components/material-components-ios/commit/0dd6376c6de22ff059f68023f0e876d0e275aeb1) (Jeff Verkoeyen)

### Tabs

* [Clarify handling of safe area layout in the documentation to make clear all properties that need to be set](https://github.com/material-components/material-components-ios/commit/8dac13ae51e05e60b394ac81dffa40cfcfd05bec) (Alyssa Weiss)

### TextControls

* [Add KVO for assistive labels](https://github.com/material-components/material-components-ios/commit/6e52d049a67499ca83c2b3094a4979e12cb06f7d) (Andrew Overton)

### private/ThumbTrack

* [Move primaryColor to the ToBeDeprecated category.](https://github.com/material-components/material-components-ios/commit/79e16bbf1fb0c519007df0a12b5c66a0da6354c1) (Jeff Verkoeyen)
* [Turn centerVisibleArea on on ThumbView to ensure its minimum touch target size.](https://github.com/material-components/material-components-ios/commit/ab519cac9fef728d8b2a08552f6603634a411c3e) (Wenyu Zhang)

## Multi-component changes

* [Drop support for iOS 9.](https://github.com/material-components/material-components-ios/commit/d7ff705337e62a33e31494ffd58d20239aff80ce) (Jeff Verkoeyen)
* [Enable Catalyst support for the catalogs.](https://github.com/material-components/material-components-ios/commit/8cea56b40566532b579110e7639be40c52e01e0c) (featherless)
* [Replace tabs docs](https://github.com/material-components/material-components-ios/commit/0448a330e3f5efe8e5581e31fd1b3fc7a5add79b) (Andrew Overton)

---

# 112.1.0

This minor change introduces two new features and fixes crashes due to UIPointerInteraction use in
iOS 13 betas.

## New features

BottomDrawer's MDCBottomDrawerPresentationControllerDelegate has a new method,
`bottomDrawerDidTapScrim:`. This method is invoked when the user taps the background behind the
bottom drawer.

MDCBaseTextFieldDelegate and its sole method, `baseTextFieldDidDeleteBackward:` have been added to
TextControls.

## API changes

## Component changes

### Banner

* [Add setUp and tearDown to AppBarBannerExample to avoid flaky testing result.](https://github.com/material-components/material-components-ios/commit/0f8c5f7f3c9d84477be3569035bd886fdc59ad08) (Wenyu Zhang)
* [Remove AppBar example snapshot tests because the animation involved causes flakiness.](https://github.com/material-components/material-components-ios/commit/22020cdccfff0679ec724588f54a4fac8f58e7a3) (Wenyu Zhang)

### BottomAppBar

* [Update links in README](https://github.com/material-components/material-components-ios/commit/68fa549cc13942ac5abb6b4d5f9b4b94e738ac46) (Andrew Overton)

### BottomNavigation

* [Updating handling of ripple/ink for long presses when large content view is enabled](https://github.com/material-components/material-components-ios/commit/e310d3c31366815abf5dccf042a995a0d56f8cb5) (Alyssa Weiss)

### NavigationDrawer

* [Add new delegate for when scrim is tapped.](https://github.com/material-components/material-components-ios/commit/f3b77c466b4000e0a08605cbd93aaf7f089f5ad5) (Nobody)

### Shapes

* [ Add a snapshot test for small path rendered in a large bounding box with same borderWidth and cornerRadius.](https://github.com/material-components/material-components-ios/commit/aeacc8dcc61e84af4da1f1680a8c95b8a05b94c2) (Wenyu Zhang)
* [Use the path's boundingBox to determine the scale used when borderWidth is deducted from the path.](https://github.com/material-components/material-components-ios/commit/bb04d0aab52f75f8b4596b340482791c549472e1) (Wenyu Zhang)

### TextControls

* [Add MDCBaseTextFieldDelegate](https://github.com/material-components/material-components-ios/commit/36ee03d99dc6c1b03bfea19fea275e7f1c893506) (Nobody)
* [Add typical use example](https://github.com/material-components/material-components-ios/commit/9b6db6fb44838e007cdcafba3b6b6fbd7a74e116) (Andrew Overton)

## Multi-component changes

* [Add checks for existence of UIPointerInteraction class to avoid iOS 13 beta crashes](https://github.com/material-components/material-components-ios/commit/f75ff1a02fa99d0194ef7720ca39e3a1d44bfde0) (Bryan Oltman)
* [Fix Cocoapods/compilation issues](https://github.com/material-components/material-components-ios/commit/1f46b8b02d62ffc92ed45fb9b1d1d133ecf79623) (Andrew Overton)
* [Internal change.](https://github.com/material-components/material-components-ios/commit/e2fd01ccdc84078c08bbb7fbbd2a1109c06e675d) (Jeff Verkoeyen)
* [Remove AppBar example snapshot tests because the animation involved causes flakiness.](https://github.com/material-components/material-components-ios/commit/1a4412cdbe0446b2cc4b65f3955237b30ac94922) (Wenyu Zhang)

---

# 112.0.1

This patch release fixes the broken podspec configuration.

---

# 112.0.0

This major releases deletes several deprecated APIs, expands Ripple support, and fixes several bugs.

## Breaking changes

Buttons' `MDCTitleColorAccessibilityMutator` and FeatureHighlight's
`MDCFeatureHighlightAccessibilityMutator` have been deleted. There are no official replacements for
these APIs.

`MDCHeaderStackViewColorThemer` has been deleted. There is no replacement for this API; use the
AppBar Theming APIs instead.

`MDCSnackbarFontThemer` and `MDCSnackbarTypographyThemer` have been deleted. Use the Snackbar
Theming APIs instead.

## New features

Buttons has several new Ripple APIs, including `rippleStyle`, `rippleColor`, `rippleEdgeInsets`,
and `rippleMaximumRadius`. These APIs are intended to act as replacements for the similar Ink APIs.

Chips similarly has added a `rippleForState` API.

TabBarView now has a Theming extension.

TextControls now expose a `preferredContainerHeight` API.

## API changes

## Component changes

### BottomAppBar

* [Material io bottom app bar](https://github.com/material-components/material-components-ios/commit/d6255fa0f431f3ee62b83637f0a50fb07c153292) (Andrew Overton)

### BottomNavigation

* [When large content view is enabled, on long presses it will correctly switch to the last selected item](https://github.com/material-components/material-components-ios/commit/3481620f18b9c3e62d1f9a5858f362843269099b) (Alyssa Weiss)

### ButtonBar

* [Fix ButtonBar typical example's crash by making containerScheme a property.](https://github.com/material-components/material-components-ios/commit/0a0f7347fac7639ac132934705e88f69d7fedc6b) (Wenyu Zhang)

### Buttons

* [Add rippleColor and rippleStyle APIs](https://github.com/material-components/material-components-ios/commit/9039d47602220f44f5ea2fa72d1683173e35b5c8) (Cody Weaver)
* [Add rippleEdgeInsets API.](https://github.com/material-components/material-components-ios/commit/330125967a95335c7c678982715b2bbdb085d9de) (Cody Weaver)
* [Add rippleMaximumRadius API.](https://github.com/material-components/material-components-ios/commit/2a5996b407f3ba821672bf35cee5cace2bebdbd8) (Cody Weaver)
* [Fix lint error `UppercaseAttributedString` in `MDCButton`](https://github.com/material-components/material-components-ios/commit/3132beea793356e3b0f6cb77c32c9c5a1a23e68b) (Nobody)
* [Remove unused TitleColorAccessibilityMutator.](https://github.com/material-components/material-components-ios/commit/7b45e787db8aaa9885e8c42bb94aa6406658f3dc) (Bryan Oltman)

### Chips

* [Add rippleForState APIs.](https://github.com/material-components/material-components-ios/commit/8a509d558ffdf3225b56823140c632fb2aa39ca1) (Cody Weaver)

### Dialogs

* [Improved titleIconView example with animation.](https://github.com/material-components/material-components-ios/commit/89ddea0cf1a5d6b646be808f288978318d7ce0dc) (Galia Kaufman)

### FeatureHighlight

* [Delete deprecated FeatureHighlightAccessibilityMutator.](https://github.com/material-components/material-components-ios/commit/180a5bf724f0fac5fa824660cca1c11a02de9721) (Bryan Oltman)

### HeaderStackView

* [Delete deprecated MDCHeaderStackViewColorThemer](https://github.com/material-components/material-components-ios/commit/77c7bfae5f113d90971c95f20fccb82cd3fe1cd2) (Bryan Oltman)

### ProgressView

* [Remove request for VoiceOver focus in MDCProgressView's setHidden.](https://github.com/material-components/material-components-ios/commit/1b68b485221f21a1a4ee4655f3971a3b56b769e4) (Bryan Oltman)

### Shapes

* [Add unit tests demonstrating a divide by zero error.](https://github.com/material-components/material-components-ios/commit/fb4f43d36c7b1887f8396dada4d88177ea32d3d7) (Jeff Verkoeyen)
* [Fix divide by zero bug.](https://github.com/material-components/material-components-ios/commit/2db3fd1ced49aefcd3d440e91e7fbc675967053d) (Jeff Verkoeyen)
* [Fixes for the shape shadow layer if the borderWidth is set multiple times and there isn't a prepareShadowPath pass.](https://github.com/material-components/material-components-ios/commit/a5ddb265b2967e449e18ab228f1da841e3bf4ae3) (Yarden Eitan)
* [Update shapeLayer to the correct path to correctly be a mask for content.](https://github.com/material-components/material-components-ios/commit/f4263fe70ed103b05912bec7cdf48b271d3b31ca) (Yarden Eitan)
* [Updates the shapeGenerator with a line width to inset the line rather than center it.](https://github.com/material-components/material-components-ios/commit/3f3816f014bc4c5f0760c8838a0dc6916dd42f33) (Yarden Eitan)

### Slider

* [Add EarlGrey test to expose bug where tapping on slider track opposite anchor point doesn't trigger UIControlEventValueChanged](https://github.com/material-components/material-components-ios/commit/0495b7987138dab2608f57772fdc5869481e59a7) (Bryan Oltman)
* [Remove supplemental directory from examples.](https://github.com/material-components/material-components-ios/commit/de482d077aa4fa1310bcb268952ce98a6d2291ba) (Bryan Oltman)

### Snackbar

* [Delete deprecated MDCSnackbarFontThemer.](https://github.com/material-components/material-components-ios/commit/40e66874e6ab9000226e825b75d71f91c93e07c0) (Bryan Oltman)
* [Delete deprecated MDCSnackbarTypographyThemer.](https://github.com/material-components/material-components-ios/commit/9b23c3474ad643d9ae63e6b163cd989e0c36d135) (Bryan Oltman)
* [Use different margins for multi-line snackbars](https://github.com/material-components/material-components-ios/commit/d6498592978d0ef3e22f11a7c49fc9f1aad25547) (Alyssa Weiss)

### Tabs

* [Adding theming extension for TabBarView](https://github.com/material-components/material-components-ios/commit/6f3b23dfb83d883b88aa061c05de4dc6c4d72a0c) (Alyssa Weiss)

### TextControls

* [Add debug stuff to text controls examples](https://github.com/material-components/material-components-ios/commit/93fb8836455d7716810afa054e09ccb9e4e02220) (Andrew Overton)
* [Expose preferredContainerHeight on MDCBaseTextField](https://github.com/material-components/material-components-ios/commit/e360f3c1c4e26bfad204876072241de753fc261e) (Andrew Overton)
* [Fix jumpiness in text areas](https://github.com/material-components/material-components-ios/commit/66497f78375748c4d71d1a45a82420ff438373e4) (Andrew Overton)
* [Fix secureTextEntry layout pass infinite loop](https://github.com/material-components/material-components-ios/commit/b18a9191cc84973f74003e277627676bb245177f) (Andrew Overton)

### private/Snapshot

* [Internal change.](https://github.com/material-components/material-components-ios/commit/8410fe26310d619a73d3ca54d2a143b33d4f9ffb) (Wenyu Zhang)

### private/TextControlsPrivate

* [Make filled positioning reference subclass NSObject](https://github.com/material-components/material-components-ios/commit/ae6938670e6083c94f300cbd2e9484d69ec060a4) (Andrew Overton)

### private/ThumbTrack

* [Add centerVisibleArea support with snapshot tests.](https://github.com/material-components/material-components-ios/commit/a142aae3e7be48a732d1730c1858f9c15125abc3) (Wenyu Zhang)
* [Add snapshot tests to MDCThumbTrack.](https://github.com/material-components/material-components-ios/commit/e4efea4264dd431768cc491c8e442624f4d39937) (Wenyu Zhang)
* [Fix an issue where sliders with non-min/max anchor points do not publish a UIControlEventValueChanged event when a track tap causes the value to cross the anchor point.](https://github.com/material-components/material-components-ios/commit/c5dbf01d5a072596ee9447a67e6dff5090936ea7) (Bryan Oltman)
* [Internal Change](https://github.com/material-components/material-components-ios/commit/6aea60a148025c15ddf8b8558192f4366abfb672) (Alyssa Weiss)
* [Use shapeGenerator to render the backing layer.](https://github.com/material-components/material-components-ios/commit/634db350f56c83c4337bbe7041be86beb347734f) (Wenyu Zhang)

### schemes/Shape

* [Add test demonstrating issue with calling borderWidth multiple times with same value.](https://github.com/material-components/material-components-ios/commit/719d68811944b8d20e92d83db3d95d6844dedc70) (Yarden Eitan)

## Multi-component changes

* [Allow setting underline thickness regardless of state](https://github.com/material-components/material-components-ios/commit/0950ece8f3d980d9fd13cd2718dc32e67e4ed18c) (Andrew Overton)
* [Prepare to expose preferredContainerHeight on text controls](https://github.com/material-components/material-components-ios/commit/49b441e84976df1d1f70b1809c2630c5073f1a44) (Andrew Overton)
* [Replace material.io API doc links with links to the relevant header f…](https://github.com/material-components/material-components-ios/commit/07c46757cc73d995eddc6205455d8c480f3270b5) (Andrew Overton)

---

# 111.0.0

In this Major release we removed some deprecated action sheet themers, made visual improvements to Chips, ProgressView, Banner and Tabs. We also made links clickable in Alert Dialogs

## Breaking changes

### ActionSheet

We deleted ActionSheet Themers. Use theming extensions.

## New features

### ButtonBar

Add UIMenu support for MDCButtonBar.

```objc
MDCButtonBar *buttonBar = [[MDCButtonBar alloc] init];
UIMenu *primaryMenu = [self exampleMenuWithTitle:@"A primary action menu"];
menuAsPrimaryActionItem = [[UIBarButtonItem alloc] initWithImage:nil menu:primaryMenu];
menuAsPrimaryActionItem.title = @"Menu on tap";

buttonBar.items = @[ menuAsSecondaryActionItem, menuAsPrimaryActionItem, changingActionItem ];

…
- (UIMenu *)exampleMenuWithTitle:(NSString *)title API_AVAILABLE(ios(14.0)) {
  UIAction *firstAction = [UIAction actionWithTitle:@"An action"
                                              image:nil
                                         identifier:nil
                                            handler:^(__kindof UIAction *_Nonnull action) {
                                              NSLog(@"First element was tapped.");
                                            }];
  UIAction *secondAction = [UIAction actionWithTitle:@"A second action"
                                               image:nil
                                          identifier:nil
                                             handler:^(__kindof UIAction *_Nonnull action) {
                                               NSLog(@"Second element was tapped.");
                                             }];

  NSArray<UIAction *> *menuElements = @[ firstAction, secondAction ];
  return [UIMenu menuWithTitle:title children:menuElements];
}
```

### Tabs

Add non fixed clustered centered layout style.

```objc
tabBar.preferredLayoutStyle =
                    MDCTabBarViewLayoutStyleNonFixedClusteredCentered;
```

## API changes

### TabBarView

*new* enum: `MDCTabBarViewLayoutStyleNonFixedClusteredCentered`

## Component changes

### ActionSheet

* [Delete MDCActionSheetColorThemer](https://github.com/material-components/material-components-ios/commit/e4805f0c2c439b8e0d1099021a5aadfcbc23b532) (Andrew Overton)
* [Delete MDCActionSheetThemer and MDCActionSheetScheme](https://github.com/material-components/material-components-ios/commit/742c7b3da7b51551110740f9b062d1a4eb7712e6) (Andrew Overton)
* [Delete MDCActionSheetTypographyThemer](https://github.com/material-components/material-components-ios/commit/a5d83de736d27458c42e3c76a4208e2e40704d53) (Andrew Overton)
* [Rename ActionSheet assets](https://github.com/material-components/material-components-ios/commit/1bca00af2f0aaefaf8c6f80cfe659b8a990d9094) (Andrew Overton)

### Banner

* [Add Banner snapshots for long text with no action style.](https://github.com/material-components/material-components-ios/commit/c1bc33cc4219ca4c4586316f87e8bf64d10972d0) (Wenyu Zhang)
* [Add height constraints to leadingButton and trailingButton on MDCBannerView to handle the case where they are hidden.](https://github.com/material-components/material-components-ios/commit/4216eb6ed560b65e7e5903d12da072a1f322b30d) (Wenyu Zhang)
* [Update sizeThatFits calculation to include layout margins in the height calculation and ensure entire leading button can be clicked when trailing button is hidden, by constraining the buttonContainerView to always be at least as tall as the leading button.](https://github.com/material-components/material-components-ios/commit/1b69ff6f39089b1e8a842f11bdd9a7fb98bdb22b) (Ingerid Fosli)

### BottomAppBar

* [Internal change](https://github.com/material-components/material-components-ios/commit/eb324d0394c0c0ee474551ac63650d617f5646a5) (Alyssa Weiss)

### ButtonBar

* [Add UIMenu support to MDCButtonBar.](https://github.com/material-components/material-components-ios/commit/3002e9a73f9b6c070495fc7f27d1cc183b8bdd4f) (Jan Philipp Sachse)

### Chips

* [Update inter-chip spacing in chip field to align with Material spec (8dp vertical and horizontal inter-chip spacing)](https://github.com/material-components/material-components-ios/commit/f2dd90e06cca99d66d4e33c99fad0d13180b1e04) (Bryan Oltman)

### Dialogs

* [Disabling selection in alerts while allowing tappable links](https://github.com/material-components/material-components-ios/commit/81b5c39f7e072bf57f4e1dabfb5d26d60736861e) (Galia Kaufman)

### NavigationDrawer

* [Make sure to update color of scrim view background when trait collection changes its user interface style.](https://github.com/material-components/material-components-ios/commit/45c4130d1804c5324beda3aaf719a8d25af75f8d) (Yarden Eitan)
* [Update the MDCBottomDrawerViewController MDC themer to use dynamic colors.](https://github.com/material-components/material-components-ios/commit/dde71806927bbc0af0ba01dfa7055e6d6a89476b) (Jake Rockland)

### ProgressView

* [Fix indeterminate animation being removed before it is presented on screen.](https://github.com/material-components/material-components-ios/commit/be54e359513d3156f40198becf635d230449a64a) (Wenyu Zhang)

### Tabs

* [Add non fixed clustered centered layout style](https://github.com/material-components/material-components-ios/commit/40e108d6b3e005372ae3afe07c1b6ca29abe19d2) (Andrew Overton)

---

# 110.3.0

In this release we switched button to use a `centerVisibleArea` over the `visibleAreaInsets` because it is more versitile. We made improvements to TextControl's layout as well. Bottom drawer can now respond to iPad Slide Over layout changes.

## New deprecations

Deprecated method `setVisibleAreaInsets:forShape:inMode:` in `MDCFloatingButton`. Consider using `setCenterVisibleArea:forShape:InMode:` to adjust visible area.

## New features

### Buttons

Button can now center the visible area so that the button's frame can maintain a touchable size.

```
CGSize containedButtonSize = [containedButton sizeThatFits:CGSizeZero];
CGFloat containedButtonHeight =
      MAX(kMinimumAccessibleButtonSize.height, containedButtonSize.height);
CGFloat containedButtonWidth = MAX(kMinimumAccessibleButtonSize.width, containedButtonSize.width);
containedButton.frame = CGRectMake(0, 0, containedButtonWidth, containedButtonHeight);
containedButton.centerVisibleArea = YES;
```
### NavigationDrawer

Bottom Drawer response to iPad Slide Over layout changes when the `adjustLayoutForIPadSlideOver` flag is used.

```objc
  bottomDrawer.adjustLayoutForIPadSlideOver = YES;
```

## API changes

### Buttons

*new* property: `centerVisibleArea` in `MDCButton`
*new* method: `setCenterVisibleArea:forShape:inMode:` in `MDCFloatingButton`

### NavigationDrawer

*new* property: `adjustLayoutForIPadSlideOver` in `MDCBottomDrawerPresentationController`
*new* property: `adjustLayoutForIPadSlideOver` in `MDCBottomDrawerViewController`

## Component changes

### Buttons

* [Add centerVisibleArea support for the FAB and deprecate visibleAreaMode API.](https://github.com/material-components/material-components-ios/commit/222ae37fc9d2fb002a7ec98747e2db653c5f0af3) (Wenyu Zhang)
* [Add centerVisibleArea to MDCButton and mark visibleAreaInsets as to be deprecated.](https://github.com/material-components/material-components-ios/commit/59c44fb3bdcd70d8f332b3443b5cbf2ac48537fd) (Wenyu Zhang)
* [Add safeguard to avoid overwriting centerVisibleArea with the same value.](https://github.com/material-components/material-components-ios/commit/2207b7a7d4035a43f1e7506968387a0f5f9f5a64) (Wenyu Zhang)

### Chips

* [Remove visibleAreaInsets usage in examples with their corresponding snapshot tests.](https://github.com/material-components/material-components-ios/commit/c7dfe422271f059d52c8dbc8539a1b2191106f64) (Wenyu Zhang)
* [Use MAX to decide the size of visible area instead of CGSizeZero.](https://github.com/material-components/material-components-ios/commit/a9d85c476aeb42b76e78b2d5750f602aaf342e99) (Wenyu Zhang)

### Dialogs

* [Migrate Dialogs to use centerVisibleArea from visibleAreaInsets.](https://github.com/material-components/material-components-ios/commit/0861811377f3919a21c1a09e00d1ce207d5219ec) (Wenyu Zhang)

### LibraryInfo

* [Add "k" to string const to fix clang-tidy](https://github.com/material-components/material-components-ios/commit/a998a88dd5f7c08022ed934a0323ead4d000da5a) (Cody Weaver)

### NavigationDrawer

* [Automated g4 rollback of changelist 319253730.](https://github.com/material-components/material-components-ios/commit/b4ceacb4aa34bb64583ebbdc6647a4c9ab961550) (Nobody)
* [Fix bug - New task options don’t have enough padding in iPad Slide Over.](https://github.com/material-components/material-components-ios/commit/54b62c91da5b93312ce7d40daaea957e86da7b4b) (Nobody)

### TextControls

* [Fix line counting mechanism in text areas](https://github.com/material-components/material-components-ios/commit/b919fad3a2973ee44bdc4845c28d20195dc6470f) (Andrew Overton)

### private/Math

* [Delete MDCVisibleAreaInsetsForMinimumTappability.](https://github.com/material-components/material-components-ios/commit/98f43faf56fd87f1c07896e22d07604ccc550d2f) (Wenyu Zhang)

## Multi-component changes

* [Make text fields without floating labels shorter](https://github.com/material-components/material-components-ios/commit/9480bf4c88224ce393268bee04774736cccbc343) (Andrew Overton)

---

# 110.2.0

In this minor release, we annotated several APIs as to be deprecated in BottomNavigation, Chips, Dialogs, FlexibleHeader, and NavigationBar. We also made improvements and bug fixes to Dialogs, NavigationDrawer, and TextControls.

## Component changes

### BottomNavigation

* [Mark more apis as to-be-deprecated.](https://github.com/material-components/material-components-ios/commit/2a912f3ee648d83d9088a63543fd212545381f37) (Jeff Verkoeyen)

### Chips

* [Mark more apis as to-be-deprecated.](https://github.com/material-components/material-components-ios/commit/f8435a54150e0803aad5c9a97d67aa6150510bd2) (Jeff Verkoeyen)

### Dialogs

* [Add title icon examples](https://github.com/material-components/material-components-ios/commit/d220234cef63e1a1926d1b8e55cada34ac4bedb8) (Galia Kaufman)
* [Adding dynamic type to accessory view examples](https://github.com/material-components/material-components-ios/commit/6f1b595d0db35bb7f552beb1d1a2453bbf5c18ba) (Galia Kaufman)
* [Fix position of leading/trailing actions in vertical layout](https://github.com/material-components/material-components-ios/commit/58c4a0e4e60402df7463d40a136ae0db719d18ea) (Galia Kaufman)
* [Fix title icon resize on orientation change](https://github.com/material-components/material-components-ios/commit/74cf7203562fe684824c63fd088c5be0d8b5447e) (Galia Kaufman)
* [Fixing alignment examples.](https://github.com/material-components/material-components-ios/commit/6b124ad79532c1593f2a1d15112edfc511862b03) (Galia Kaufman)
* [Mark more apis as to-be-deprecated.](https://github.com/material-components/material-components-ios/commit/c16f0de9ab9b6f413a3eedde8b752180fca5a82e) (Jeff Verkoeyen)
* [Merge typical use examples](https://github.com/material-components/material-components-ios/commit/80685a5a0064e958174bece3575b1a886ae55a18) (Galia Kaufman)
* [Moving attributed message example out from accessory view examples](https://github.com/material-components/material-components-ios/commit/97b1a1f6ce9f114a8685ea805b616cee3a1e878c) (Galia Kaufman)
* [Testing trailing actions in reversed vertical order](https://github.com/material-components/material-components-ios/commit/8bf81b7d0a0fdcf6cdb135b97a6d3999463730e6) (Galia Kaufman)
* [Use API_AVAILABLE instead of `#if defined (__IPHONE_10_0)` etc](https://github.com/material-components/material-components-ios/commit/679abbe6701c321f481b15134964d38e3ae2551f) (Andrew Overton)

### FlexibleHeader

* [Respect UIRefreshControl in tracked scroll view in flexible header.](https://github.com/material-components/material-components-ios/commit/8bd70a377ee4f5cd1044f308a3521b1a2aa52f33) (Nobody)

### NavigationBar

* [Mark more apis as to-be-deprecated.](https://github.com/material-components/material-components-ios/commit/b380dc58972adeb19b0e2d89cbc05016d4a02655) (Jeff Verkoeyen)

### NavigationDrawer

* [Fix bug where MDCBottomDrawerContainerViewController has the size of the screen instead of the window when in iPad Slide Over.](https://github.com/material-components/material-components-ios/commit/29a39ea375bcdaddcac5b5da1daed803be18cb69) (Nobody)
* [Update the MDCBottomDrawerViewController MDC themer to use dynamic colors.](https://github.com/material-components/material-components-ios/commit/ae438a451db4d051ddce50be520ea80ab67bc811) (Jake Rockland)

### TextControls

* [Make text areas respond to width changes](https://github.com/material-components/material-components-ios/commit/2675070cd5dbfaabe4af22f73117011bcc932ab6) (Andrew Overton)
* [Make text areas shorter when there is no floating label](https://github.com/material-components/material-components-ios/commit/cfd9b3ff560a6c75643f2d8c2c5748982ca3e9df) (Andrew Overton)

### private/Math

* [Mark MDCVisibleAreaInsetsForMinimumTappability deprecated.](https://github.com/material-components/material-components-ios/commit/a95c7968c80496e854d3490ecf69480583bef352) (Wenyu Zhang)

## Multi-component changes

* [Internal change](https://github.com/material-components/material-components-ios/commit/45ef431efa2898cb63ba237a73e3a70618db7cb6) (Wenyu Zhang)
* [Mark more apis as to-be-deprecated.](https://github.com/material-components/material-components-ios/commit/d0809e93bf13eb0a74313a50d91263fe4f23b6b4) (Jeff Verkoeyen)

---

# 110.1.0

In this minor release, we deprecated `visibleAreaInsets` from `MDCChipView` and added `centerVisibleArea` API. We annotated several APIs as to be deprecated in Buttons. Ripple support is added to CollectionCells and Collections as well.

## New deprecations

### Chips

`visibleAreaInsets` is deprecated.

## New features

### CollectionCells

Ripple is supported as an opt-in behavior.

**Objective-C**

```objc
MDCCollectionCell *cell= [[MDCCollectionCell alloc] init];
cell.enableRippleBehavior = YES;
```

**Swift**

```swift
let cell = MDCCollectionCell()
cell.enableRippleBehavior = true
```

### Chips

Chips supports `centerVisibleArea`, which is often used to configure invisible part of frame for tappable area.

**Objective-C**

```objc
MDChipView *chip = [[MDCChipView alloc] init];
chip.centerVisibleArea = YES;
```

**Swift**

```swift
let chip = MDCChipView()
chip.centerVisibleArea = true
```

## API changes

### Chips

*new* property: `centerVisibleArea` in `MDCChipView`

### CollectionCells

*new* property: `enableRippleBehavior` in `MDCCollectionViewCell`

*new* property: `rippleView` in `MDCCollectionViewCell`

### Collections

*new* property: `enableRippleBehavior` in `MDCCollectionViewController`

*new* method: `- collectionView:rippleTouchController:rippleViewAtIndexPath:` in `MDCCollectionViewStylingDelegate`

### TextFields

*new* property: `useConstraintsForIntrinsicContentSize` in `MDCMultilineTextField`

## Component changes

### ActionSheet

* [Fix broken links](https://github.com/material-components/material-components-ios/commit/4cc338ac65a02d7999013e0865474bea386411fd) (Andrew Overton)

### AppBar

* [Remove redundant To Be Deprecated annotation.](https://github.com/material-components/material-components-ios/commit/2445d525894be3ce63b97f8c116eb08ee600c644) (Jeff Verkoeyen)

### BottomNavigation

* [Add check for existence of UIPointerInteraction to prevent iOS 13 beta crashes.](https://github.com/material-components/material-components-ios/commit/7e252891630355519879ef0fe5d1b305061e9f18) (Bryan Oltman)

### Buttons

* [Mark more apis as to-be-deprecated.](https://github.com/material-components/material-components-ios/commit/89477800f19d3fff1162d6cad164ae9248379ae2) (Jeff Verkoeyen)

### Chips

* [Add centerVisibleArea to MDCChipView and deprecate visibleAreaInsets.](https://github.com/material-components/material-components-ios/commit/87422cf14f454ce8c0c9f4a9c3233f2aa73ef6b4) (Wenyu Zhang)

### Dialogs

* [Modify dialogs docs](https://github.com/material-components/material-components-ios/commit/9806cab151bf8feb7b22e431cb032d247b76a965) (Andrew Overton)

### NavigationDrawer

* [Updated documentation](https://github.com/material-components/material-components-ios/commit/b9e03824255ce734cf4741d19d25696f5108bf7f) (Josue Lopes)

### ProgressView

* [Fix RTL support on MDCProgressGradientView.](https://github.com/material-components/material-components-ios/commit/39de3e3efbabda3e20aabf14485f872979b8d230) (Wenyu Zhang)
* [Reimplement animation on indeterminate mode to meet specification.](https://github.com/material-components/material-components-ios/commit/989635ba8b6663eda33534c464c12cd4cf4ec1e2) (Wenyu Zhang)
* [Reverse the start point and end point of indeterminate progress stroke to make it aligning with the animation direction.](https://github.com/material-components/material-components-ios/commit/a411506026c6a27b5439264dba552900ef7fb11a) (Wenyu Zhang)

### Snackbar

* [Use the ToBeDeprecated convention for to-be-deprecated APIs.](https://github.com/material-components/material-components-ios/commit/55a51fad9a00327350489e9c4bec4f1ff2824fd9) (Jeff Verkoeyen)

### TextFields

* [Updates MDCMultilineTextField to better support being embedded in self-sizing cells.](https://github.com/material-components/material-components-ios/commit/b3a632da4654d30ffa6f152bf4954951305c84d6) (Nobody)
* [Updates MDCMultilineTextField's bottom textfield constraint to use the textInsets as the constant.](https://github.com/material-components/material-components-ios/commit/e214be3b2d4a945dcb8e3e0c4fe914c9e628b327) (Nobody)

### private/ThumbTrack

* [Move private MDCDiscreteDotView class into its own header and implementation files.](https://github.com/material-components/material-components-ios/commit/ba636497272b28ec28d2fbc65fb673b673bfa2cb) (Bryan Oltman)

## Multi-component changes

* [Add Ripple as an opt-in for MDCCollections and MDCCollectionCells](https://github.com/material-components/material-components-ios/commit/f8465c8fb3e68bc950c9991d803c223cdc82b60c) (Yarden Eitan)
* [Delete obsolete markdown files](https://github.com/material-components/material-components-ios/commit/b2051644778785099ed79f1c718191f69c3d1177) (Andrew Overton)

---

# 110.0.0

In this major release we removed an API from `MDCProgressView` and fixed bugs in ActionSheet, Dialogs, ProgressView, Ripple, and TextControls.

## Breaking changes

In this release we removed the `-setMode:animated:completion:` method that was added in the previous release.

## New features

`MDCActionSheetController` now announces it has been presented when VoiceOver is enabled.

`MDCBottomDrawerViewController` now supports coloring the `trackingScrollView` via the theming extension.

`MDCRippleView` allows users to query if a ripple was added to a given view.

`MDCRippleTouchController` allows users to control the creation and reuse of ripple views.

`MDCTextControls` now support custom padding for the leading and trailing views.

## API changes

### NavigationDrawer

*new* method: `- applyThemeWithScheme:applyToTrackingScrollView:` in `MDCBottomDrawerViewController`

### Ripple

*new* method: `- rippleTouchController:rippleViewAtTouchLocation:` in `MDCRippleTouchControllerDelegate`

*new* method: `+ injectedRippleViewForView:` in `MDCRippleView`

### TextControls

*new* property: `leadingEdgePaddingOverride` in `MDCBaseTextArea`

*new* property: `trailingEdgePaddingOverride` in `MDCBaseTextArea`

*new* property: `leadingEdgePaddingOverride` in `MDCBaseTextField`

*new* property: `trailingEdgePaddingOverride` in `MDCBaseTextArea`

## Component changes

### ActionSheet

* [Add alert anouncement for voiceover users.](https://github.com/material-components/material-components-ios/commit/b98382a762ed3349b8761a1cb528bf707ef69a64) (Yarden Eitan)

### BottomNavigation

* [Re-order TOC in README](https://github.com/material-components/material-components-ios/commit/55d64ef79955d31eb558574a7522694e9a98bc88) (Andrew Overton)

### Chips

* [Add safe guard to prevent setting visibleAreaInsets using same values.](https://github.com/material-components/material-components-ios/commit/22f92d4d10c3ec9d92481d888bc663634d852671) (Wenyu Zhang)

### Dialogs

* [Add visibleAreaInsets support.](https://github.com/material-components/material-components-ios/commit/313135ece2b6a7f3cd3223022741192ffbd41897) (Wenyu Zhang)

### List

* [Replace list docs](https://github.com/material-components/material-components-ios/commit/0ec073f1bc03e28d6fdb1996fc1a6a7bf5443ad7) (Andrew Overton)

### NavigationDrawer

* [Add method to theming extension to color tracking scrollview.](https://github.com/material-components/material-components-ios/commit/a5c3b4938a872eefe8ef53e686ab5514151ec6fc) (Nobody)

### ProgressView

* [Change float to CGFloat](https://github.com/material-components/material-components-ios/commit/685082b9a78de7c59dfbec8cf6324aba4d8b7ecd) (Andrew Overton)
* [Make indeterminate progress view example showing how transition looks.](https://github.com/material-components/material-components-ios/commit/d5b47fca05494783ce820a09afbdc78f3fd461c4) (Wenyu Zhang)
* [Remove setMode:animated:completion API.](https://github.com/material-components/material-components-ios/commit/00a6cab90b982a855493fc8968d1c4993707ed69) (Wenyu Zhang)

### Ripple

* [Add a convenience API for finding the ripple view in the view's subviews.](https://github.com/material-components/material-components-ios/commit/5462d27375bfadf6e4b78e86c4725da2ea8a134f) (Yarden Eitan)
* [Add delegate method to RippleTouchController existing in InkTouchController.](https://github.com/material-components/material-components-ios/commit/a68702e3a4d833ce6456189ccb2f888ceea4a63b) (Yarden Eitan)
* [Align ripple starting size with spec guidance.](https://github.com/material-components/material-components-ios/commit/ef53fab9cac468f10d2e1b80c3329cf7cea0f0bc) (Yarden Eitan)
* [Move the radius calculation into its own method.](https://github.com/material-components/material-components-ios/commit/3817d4523195da79e9831a927d2e70562b4e1bd1) (Yarden Eitan)
* [Update alpha value of Ripple to 0.12 instead of 0.16](https://github.com/material-components/material-components-ios/commit/f425b8995b257a45e8414503e4b04ba653ebd917) (Yarden Eitan)

### TextControls

* [Add padding customizing properties to MDCBaseTextField and MDCBaseTextArea](https://github.com/material-components/material-components-ios/commit/9c99bc9006f20b3e918a63b914f8f912f561383a) (Andrew Overton)
* [Separate side padding into leading/trailing padding](https://github.com/material-components/material-components-ios/commit/b7f5b0dd2b972e31b2edc89909acb9e1bab488e3) (Andrew Overton)

### Typography

* [Use MDFTextAccessibility's isLargeForContrastRatios.](https://github.com/material-components/material-components-ios/commit/244dd62b6c59218c9847fcf948f17aecdb727a45) (Jeff Verkoeyen)

---

# 109.8.0

In this minor release we added indeterminate mode to `MDCProgressView`. As well as various bug fixes to ActionSheet, Banner, Dialog, and TextFields components.

## New features

`MDCProgressView` now supports indeterminate mode.

```objc
MDCProgressView *progressView = [[MDCProgressView alloc] init];
progressView.mode = MDCProgressViewModeIndeterminate;
[progressView startAnimating];
```

## API changes

### Buttons

*new* property: `defaultContentEdgeInsets` in `MDCButton`

### ProgressView

*new* enum: `MDCProgressViewMode`

*new* property: `mode` in `MDCProgressView`

*new* property: `animating` in `MDCProgressView`

*new* method: `setMode:animated:completion:` in `MDCProgressView`

*new* method: `startAnimating` in `MDCProgressView`

*new* method: `stopAnimating` in `MDCProgressView`

## Component changes

### ActionSheet

* [Mark title as accessibility `.header`](https://github.com/material-components/material-components-ios/commit/386ba003220db035244c9d66cfe1468e1110ee37) (Rob Moore)

### Banner

* [Support two buttons on a single row style banner.](https://github.com/material-components/material-components-ios/commit/c13125fb26e64aea98392855ec3bfcda2a89ff36) (Wenyu Zhang)

### Buttons

* [Expose `defaultContentEdgeInsets` readonly property on MDCButton in regular header for the class, rather than only in the subclassing header, as clients may need to reset content insets back to their defaults after using a themer, even if they do not subclass MDCButton.](https://github.com/material-components/material-components-ios/commit/df6658771a83f2e8d3637f7ff0549437fb9c1d5f) (Jake Rockland)

### Dialogs

* [Voice over reads the message twice](https://github.com/material-components/material-components-ios/commit/8b4e6058db8a5235ef0ca145427795850c6b676f) (Nobody)

### ProgressView

* [Add and indeterminate state to the progress bar.](https://github.com/material-components/material-components-ios/commit/1a75f9dbbb5e5297834c1deb2c604d63175f4ed7) (Nobody)

### Tabs

* [Add explicit cast in MDCTabBarViewTests.](https://github.com/material-components/material-components-ios/commit/7c4dab62cf371ee9f89a9bff26c0d2ba1a0eb015) (Wenyu Zhang)
* [Internal change](https://github.com/material-components/material-components-ios/commit/a66e645d94f6d59e5ba8f97e75447ee57b3b7144) (Jeff Verkoeyen)

### TextFields

* [Return the empty string instead of nil in MDCTextField's accessibilityValue method to avoid VoiceOver defaulting to [super accessibilityValue].](https://github.com/material-components/material-components-ios/commit/d4880b46008f1636b39a50f939b746811994e37e) (Bryan Oltman)

### private/TextControlsPrivate

* [Rename + small refactor of horizontal positioning stuff](https://github.com/material-components/material-components-ios/commit/765676cca8d7705fe56c1d796c920b96fd45f5d0) (Andrew Overton)

## Multi-component changes

* [Add a convenience math method to calculate the correct visibleAreaInsets given a frame and a minimum touch target.](https://github.com/material-components/material-components-ios/commit/6bd4757079daa8a85828303d4826d46cb6e05583) (Yarden Eitan)
* [Change side view positioning for MDCUnderlinedTextField](https://github.com/material-components/material-components-ios/commit/c302339943de305772db2809fe864a53cbe5ab0f) (Andrew Overton)

---

# 109.7.0

This minor release makes accessibility improvements related to high contrast colors, adds new functionality to Buttons, Chips, Dialogs, Snackbars, and Tabs, and adds a new TextControls text field, `MDCUnderlinedTextField`, which is intended to replace `MDCTextInputControllerLegacyDefault` and `MDCTextInputControllerUnderline`.

## New features

### ActionSheet

- `MDCActionSheetControllerDelegate` has a new method, `-actionSheetControllerDismissalAnimationCompleted:`.

### Buttons

- `MDCFloatingButton` has a new `visibleHitAreaInsets` property.

### Chips

- `MDCChipView` has a new `cornerRadius` property.

### Dialogs

- `MDCAlertController` has improved attributed link support.

### Snackbar

- `MDCSnackbarMessage` has a new `completionHandlerWithError` property.

### Tabs

- `MDCItemBarCell` has a new `selectedImage` property.

### TextControls

- There is a new text field class, `MDCUnderlinedTextField`.

## Component changes

### ActionSheet

* [Add actionSheetControllerDismissalAnimationCompleted method to MDCActionSheetControllerDelegate.](https://github.com/material-components/material-components-ios/commit/e5f4e3fcb044a47d1a4e83b2148224ac4b1261be) (Bryan Oltman)

### Banner

* [Apply primary color to icon in theming.](https://github.com/material-components/material-components-ios/commit/1591b685646089020affd50e2625bd6d40b0f264) (Wenyu Zhang)

### BottomNavigation

* [Replace bottom navigation README](https://github.com/material-components/material-components-ios/commit/87595333681e82b3ecbd26caa8483a6c84142f4a) (Andrew Overton)

### BottomSheet

* [Add BottomSheetPresentationControllerDelegateExample to demonstrate usage of MDCBottomSheetPresentationControllerDelegate.](https://github.com/material-components/material-components-ios/commit/4e461e2c13e5472a15e445d98353a5975b994500) (Bryan Oltman)
* [Add bottomSheetDismissalAnimationCompleted method to MDCBottomSheetPresentationController.](https://github.com/material-components/material-components-ios/commit/464f202058020bee9f1f647f03e875eecd8b8460) (Bryan Oltman)
* [Internal change](https://github.com/material-components/material-components-ios/commit/b169119b9f8af5ccbad15cd08cc989b480f9d676) (Bryan Oltman)
* [Rename BottomSheetPresentationExample to BottomSheetModalPresentationExample to better represent its purpose.](https://github.com/material-components/material-components-ios/commit/ee0b388c5ccc129020154c1702bad528587e13f4) (Bryan Oltman)
* [Updating BottomSheet examples organization](https://github.com/material-components/material-components-ios/commit/87c8968e667106e9eda8669ed1a178624ed4a571) (Nobody)

### ButtonBar

* [Remove excess iPad insets from the button bar buttons.](https://github.com/material-components/material-components-ios/commit/b9e978c6e51715a9cd6498d2a9497b3553d420d4) (Jeff Verkoeyen)

### Buttons

* [Add a boolean for when observing cornerRadius so that we won't try to add 2 observers or remove a non-existent observer](https://github.com/material-components/material-components-ios/commit/3d5c27f12b93afddb3f43a33ff80daa2fecf0c19) (Yarden Eitan)
* [Add visibleAreaInsets support for the FAB.](https://github.com/material-components/material-components-ios/commit/afb87e9860dfa444a5d999064c791240968c4df0) (Yarden Eitan)
* [Put pointerStyleProvider API under a respondsToSelector conditional to ensure no crashes for 13.4 beta users.](https://github.com/material-components/material-components-ios/commit/da469c7660721d69f187f56db73ca76bc8868102) (Yarden Eitan)
* [When visibleAreaInsets are set, don't allow additional setting of the shapeGenerator API directly.](https://github.com/material-components/material-components-ios/commit/dee8934c69d66b70b05a2cf2ccf02b5c805349f3) (Yarden Eitan)

### Chips

* [Add cornerRadius API to support customizing chip's corner radius.](https://github.com/material-components/material-components-ios/commit/ab2801297f0ac18d6fe1cea72d64e47e0e4fff96) (Wenyu Zhang)

### Dialogs

* [Adding attributed link color API and updating theming extension](https://github.com/material-components/material-components-ios/commit/ea8887e284310b81c16c1f7f0bc23786db2c47d4) (Galia Kaufman)
* [Annotate API using UITextItemInteraction to be iOS 10 only](https://github.com/material-components/material-components-ios/commit/aa955479536c3a1c4e0c418204ac9885f861f855) (Andrew Overton)
* [Disable UIDataDetectorTypeLink by default for attributed messages.](https://github.com/material-components/material-components-ios/commit/24ce1c979cfa1b97b21cc82abaa335e086d58d15) (Galia Kaufman)
* [Fix mixed top and bottom insets for the actions.](https://github.com/material-components/material-components-ios/commit/5832985581a52767aa5823e286b42411e36a7cbf) (Iryna Berezan)
* [Header file comments cleanup](https://github.com/material-components/material-components-ios/commit/c273dfcfb4867746063a7175ae4886de25e86944) (Galia Kaufman)
* [Improve Dialogs docs Improve alt text and use string literals in Dialogs README examples.](https://github.com/material-components/material-components-ios/commit/226596fd7db10ddc2cc5224c9662632d2918d631) (Andrew Overton)
* [Setting `orderVerticalActionsByEmphasis` incorrectly calculates top and bottom insets for actions.](https://github.com/material-components/material-components-ios/commit/ba359990d58d468cdf8878973c680e895ea03c1f) (Galia Kaufman)

### Snackbar

* [Add completion handler with error parameter to snackbar message.](https://github.com/material-components/material-components-ios/commit/7593c0dc3aef726757cf9fd06cc02e6d6c3e0bde) (Randall Li)
* [Added error domain and code.](https://github.com/material-components/material-components-ios/commit/d4bc31276d19c459ad79f401f69b1f424634acc0) (Randall Li)
* [Added more information in description to Message and MessageView.](https://github.com/material-components/material-components-ios/commit/70dd23c6807ee8cea536c69c0d4129286464e131) (Randall Li)
* [Making the an internal read write Error property for messages.](https://github.com/material-components/material-components-ios/commit/86f5ae1f4a19e8f73af4cb30e2c9d3f10f53e875) (Randall Li)
* [Remove the unneeded hitAreaInsets usage, and set minimumSize instead.](https://github.com/material-components/material-components-ios/commit/2bc13bf9815153d15e9e67ea89cf7dd21f3fc64d) (Yarden Eitan)

### Tabs

* [Add selectedImage property to MDCItemBarCell to allow MDCTabBar to support selected images.](https://github.com/material-components/material-components-ios/commit/863af97e65c2d23a8b6efd4c7708690667b6d1fe) (Bryan Oltman)
* [Add snapshot test to expose MDCTabBar not respecting UITabBarItem's selectedImage property.](https://github.com/material-components/material-components-ios/commit/e7717be32c81da93c5ccacdfbca6d099ba08b6f6) (Bryan Oltman)

### TextControls

* [Add underlined text field](https://github.com/material-components/material-components-ios/commit/55f0fead0042f6610b272d45ecd2fd23e04042a5) (Andrew Overton)

### private/TextControlsPrivate

* [Add underlined style object](https://github.com/material-components/material-components-ios/commit/617675f3137259ed0cb0b7ca5875304284d1d2ce) (Andrew Overton)
* [Extract duplicated methods to C function](https://github.com/material-components/material-components-ios/commit/80bbc9fc03b4eb57c369bcf1d8b1e40c5dc6b737) (Andrew Overton)
* [Extract some duplicated methods to C functions](https://github.com/material-components/material-components-ios/commit/1d6faa1e6d92bb9ca5f7c170277dffb9644d56bf) (Andrew Overton)

### schemes/Color

* [[schemes/Color]Add high contrast color to MDCColorSchemeDefaultsMaterial201907 scheme to support Increase Contrast feature.](https://github.com/material-components/material-components-ios/commit/52ee2909025c3541284bae02d83b0d0d10bc90db) (Wenyu Zhang)

## Multi-component changes

* [Add notion of horizontal positioning reference](https://github.com/material-components/material-components-ios/commit/1b63eabe19a648e09f4c73175e4b3ee426c15422) (Andrew Overton)
* [Adding feedback menu option](https://github.com/material-components/material-components-ios/commit/ff5e5cfa2257d631f34857d9bca955f45c187780) (Galia Kaufman)
* [Move private text fields files to TextControlsPrivate](https://github.com/material-components/material-components-ios/commit/9b2e7ecd7ab8ab88b81b2c8b60e6c7e6e7158fde) (Andrew Overton)
* [Update Podspec after TextControls changes](https://github.com/material-components/material-components-ios/commit/6f169c99507495abc932f7bf1fa81b4b2f7ca003) (Andrew Overton)

---

# 109.6.0

This minor release adds new functionality to NavigationDrawer, ActionSheet, and Dialogs, and adds accessibility improvements to Buttons, Chips, and private/Color.

## New deprecations

While there are no new deprecations in this release, the `hitAreaInsets` APIs on `MDCChipView` and `MDCButton` have been moved to a `ToBeDeprecated` category. `hitAreaInsets` will eventually be deprecated across components. Its replacement, `visibleHitAreaInsets`, is in the process of being added to all relevant components.

## New features

### ActionSheet

- `MDCActionSheetControllerDelegate` has a new method, `-actionSheetController:willDisplayView:forRowAtIndexPath:`.

### Buttons

- `MDCButton` has a new `visibleHitAreaInsets` property.

### Chips

- `MDCChipView` has a new `visibleHitAreaInsets` property.

### Dialogs

- `MDCAlertController` has a new `attributedMessageAction` property.

### NavigationDrawer

- `MDCBottonDrawerPresentationController` has a new `maximumDrawerHeight` property.

## Component changes

### ActionSheet

* [internal change](https://github.com/material-components/material-components-ios/commit/abde17e493928c9ed2fd09620a4f2c7d848658b5) (Nobody)

### AppBar

* [Inject AppBars after view controllers have been added to the navigation controller.](https://github.com/material-components/material-components-ios/commit/b78737be488e0e3131d75aca928a4bff9d6f04fd) (Jeff Verkoeyen)

### Banner

* [Add example snapshot tests for verifying MDCColorSchemeDefaultsMaterial201907 color scheme.](https://github.com/material-components/material-components-ios/commit/f2f99a45206b546991b4ef19fef501997940ba58) (Wenyu Zhang)
* [Apply container theme in examples.](https://github.com/material-components/material-components-ios/commit/be3c97421b9466ad0228dbace95dc9c15c752c04) (Wenyu Zhang)

### Buttons

* [Add a visibleAreaInsets API.](https://github.com/material-components/material-components-ios/commit/e8a1c4e7e14ff72cefd68eef1c0e8d2c0a801b14) (Yarden Eitan)

### Chips

* [Add visibleAreaInsets API to MDCChipView.](https://github.com/material-components/material-components-ios/commit/db48cefa9b3817bee3372ad77e64b0346d5f0487) (Wenyu Zhang)

### Dialogs

* [Adding tappable link support to the alert message](https://github.com/material-components/material-components-ios/commit/6bb3ece3935540754d20adeb45eaa856a9f63766) (Galia Kaufman)
* [replace the message UILabel type to UITextview](https://github.com/material-components/material-components-ios/commit/f4fd6d015fedbb111adf25218f122825d465a51f) (Galia Kaufman)

### FeatureHighlight

* [Delete unused accessibility hint string and unused localization support.](https://github.com/material-components/material-components-ios/commit/b2ae9cdce12f2fc50816199417a4165b3ddcc052) (Bryan Oltman)

### FlexibleHeader

* [Remove ShiftBehaviorWithStatusBar from the public API.](https://github.com/material-components/material-components-ios/commit/0c4d18595824b22b0e9675723bf7e022e94db33e) (Jeff Verkoeyen)

### NavigationDrawer

* [Clarify `trackingScrollView` API.](https://github.com/material-components/material-components-ios/commit/57f25fd95aac12ca69567d74c2fac1fa74977254) (Cody Weaver)
* [Fix bug where `maximumDrawerHeight` wouldn't allow for the correct height.](https://github.com/material-components/material-components-ios/commit/11db172e79913c3fafa379e91061a9aad213359c) (Cody Weaver)
* [Fix bug where setting `maximumDrawerHeight` and `maximumInitialDrawerHeight` would allow scrolling.](https://github.com/material-components/material-components-ios/commit/2d533759d11e2596ea8106a3d7a8c1025f545e4c) (Cody Weaver)
* [Support a max height](https://github.com/material-components/material-components-ios/commit/33daf325e650b27a44004ff44b97a61d98221b79) (Cody Weaver)

### Shapes

* [Resolve UIColor instance when it is set as shapedBackgroundColor to MDCShapedShadowLayer.](https://github.com/material-components/material-components-ios/commit/245b90cd57ced5096476824cefc3bf7c522d95ee) (Wenyu Zhang)

### Tabs

* [Internal change](https://github.com/material-components/material-components-ios/commit/d404e5e83271250b544431767e348cd411794445) (Jeff Verkoeyen)

### private/Color

* [Add colorWithAccessibilityContrastHigh:normal: API to support Increase Contrast color.](https://github.com/material-components/material-components-ios/commit/45b9b222e30dbd77e508ff742892ea1fe45b650b) (Wenyu Zhang)

## Multi-component changes

* [Add prepareShadowPath to MDCShadowLayer to allow its subclass preparing shadow path before MDCShadowLayer lays out its sublayers.](https://github.com/material-components/material-components-ios/commit/b19e4e964d5a60e800d8ae71f7b87af7828094c8) (Wenyu Zhang)

---

# 109.5.0

This minor release adds functionality to MDCSnackbarManagerDelegate and includes internal cleanup of FlexibleHeader.

## New features

### Snackbar

MDCSnackbarManagerDelegate has new `snackbarWillDisappear` and `isPresentingSnackbarWithMessageView:` methods.

## Component changes

### AppBar

* [Fix a failing snapshot test](https://github.com/material-components/material-components-ios/commit/09171d15c71e762844bf697f7f9c3541a0179854) (Galia Kaufman)

### Buttons

* [Fix theme being applied to a wrong floating button in the example snapshot.](https://github.com/material-components/material-components-ios/commit/dfd5109f15627b8c159aa77dd8e8e5652146be37) (Wenyu Zhang)

### Chips

* [Adjust hitAreaInsets in the typical example.](https://github.com/material-components/material-components-ios/commit/1992bbdd21a009c345a253a9aa7816bae8841961) (Wenyu Zhang)

### Dialogs

* [Add additional theming screenshot to Dialogs docs](https://github.com/material-components/material-components-ios/commit/112ea0d0894a769dba4384325d04d09ba26362af) (Andrew Overton)

### FlexibleHeader

* [Extract hidesStatusBarWhenShiftedOffscreen to the shifter.](https://github.com/material-components/material-components-ios/commit/9fde103ea50df2f85c3dfc0650fa70a285989cfb) (Jeff Verkoeyen)
* [Move ShiftBehaviorForCurrentAppContext into the MDCFlexibleHeaderShifter.](https://github.com/material-components/material-components-ios/commit/3fc4f0cb472ef91e4761076f5f6444d6bb99aac0) (Jeff Verkoeyen)
* [Move the shift behavior types to separate targets.](https://github.com/material-components/material-components-ios/commit/643170dea99036cac1680faa7045ee4a4ee1aac9) (Jeff Verkoeyen)
* [Turn MDCFlexibleHeaderShiftBehavior into an extensible enum.](https://github.com/material-components/material-components-ios/commit/5b8abd6659b5c2ea71c18cb4ea8c6d04310f19ec) (Jeff Verkoeyen)

### NavigationDrawer

* [Add NavigationDrawer theming target to podspec](https://github.com/material-components/material-components-ios/commit/755a10e3be1344ba1ccb8671a7d8679cb278909a) (Andrew Overton)

### Snackbar

* [Add snackbarIsPresenting to MDCSnackbarManagerDelegate.](https://github.com/material-components/material-components-ios/commit/0fcf353c3abde1b300e5aee8a0c9ca256bbd0212) (Morgan Redding)
* [Add snackbarWillDisappear to SnackbarManagerDelegate](https://github.com/material-components/material-components-ios/commit/c8b569bd60f0702f21b32fe55112e458f0db3a67) (Morgan Redding)

## Multi-component changes

* [Internal change.](https://github.com/material-components/material-components-ios/commit/4d76e54f83e1d55910e1ec599668df6a18502c7c) (Wenyu Zhang)
* [Internal change](https://github.com/material-components/material-components-ios/commit/9c26a7e67aa298a57e5a78e22d7fbe5abc6fe34f) (Bryan Oltman)
* [Internal change](https://github.com/material-components/material-components-ios/commit/b5aa93e81cba6ab5670eb4096bb7c640d02585da) (Jeff Verkoeyen)

---

# 109.4.0

This minor release adds Theming extension support to MDCBottomDrawerViewController and includes bug fixes and minor refactoring.

## New features

- MDCBottomDrawerViewController now has Theming extension support.

## Component changes

### AppBar

* [Add NavigationController example with AppBar initially hidden.](https://github.com/material-components/material-components-ios/commit/dbb9ab1170fda2c4fd571fe682d1af6a84278a8e) (Jeff Verkoeyen)

### FlexibleHeader

* [Change links in FlexibleHeader README](https://github.com/material-components/material-components-ios/commit/a31b69ecd1bb89c33bcae5843a309808872889e4) (Andrew Overton)
* [Extract a shifter logical unit.](https://github.com/material-components/material-components-ios/commit/bebb73f5e55ec5b2fe9e6ba8bec57ca2e6b4b4aa) (Jeff Verkoeyen)

### Tabs

* [Add support for custom accessibility labels for tab bar items.](https://github.com/material-components/material-components-ios/commit/7335fb5ca9c46a4b27f731724f23c2c4cbdbeec3) (Yarden Eitan)

## Multi-component changes

* [  - 51170612999194997e160654411ac87bb61d4764 Automatic changelog preparation for release. by Galia Kaufman <galiak@google.com>   - 85feb7896b37c0a93b8c5b5dbcde72403b379dee [Tabs] Update podspec to include new folders. by Galia Kaufman <galiak@google.com>   - fbd3f81309b46b9d8e0a6a9dd03e4b63c7794f27 Hand-modified CHANGELOG.md API diff. by Galia Kaufman <galiak@google.com>   - 27927ce42748c7afb3ac270b6d6ec64d1c50d3bc Bumped version number to 109.3.1. by Galia Kaufman <galiak@google.com>](https://github.com/material-components/material-components-ios/commit/2d0d6a8faa6fe7acea7921552a8afe1f656c9088) (Galia Kaufman)
* [Ensure that the FlexibleHeader's position reacts to safeAreaInsets changes when hidden.](https://github.com/material-components/material-components-ios/commit/a502ce66b98101fcc155f98696a974ff91083557) (Jeff Verkoeyen)
* [Fix broken links This CL fixes some longstanding and some newly broken links.](https://github.com/material-components/material-components-ios/commit/0a36a3a12be81c9d2d1d84f15452ed6153c97f74) (Andrew Overton)
* [Fix broken links This CL fixes some longstanding and some newly broken links.](https://github.com/material-components/material-components-ios/commit/1fa6c77ee83f13b2e9711ae182cef5999152f36b) (Andrew Overton)
* [Internal change](https://github.com/material-components/material-components-ios/commit/70716800b8db661d8efa744ab8a3f41e15b99f57) (Nobody)
* [Internal change](https://github.com/material-components/material-components-ios/commit/efea2ddce69e4fdde643fe2e367b1f16b16c9880) (Jeff Verkoeyen)

---

# 109.3.1

This hotfix patch release fixes the podspec. Updating the podpsec with new folders that were added in the previous release.

---

# 109.3.0

This minor release includes API improvements to ProgressView, SnackBars and TextFields, as well as tests and bug fixes for ActionSheet, AppBar, BottomAppBar, BottomSheet, Collections, Dialogs, FlexibleHeader and Tabs.

## New features

ProgressView supports a gradient progress bar:

```objc
self.progressView.progressTintColors = @[
  (id)UIColor.greenColor.CGColor, (id)UIColor.blueColor.CGColor, (id)UIColor.redColor.CGColor
];
```

Snackbars support setting presentation host view on a specific message:

```objc
MDCSnackbarMessage *message = [MDCSnackbarMessage messageWithText:@"message"];
message.presentationHostViewOverride = self.collectionView;
```

Snackbars enable dismissal when the user taps anywhere on the snackbar.

```objc
MDCSnackbarMessage *message = [MDCSnackbarMessage messageWithText:@"message"];
message.shouldDismissOnOverlayTap = YES;
```

TextFields support setting the border radius:

```objc
textField.borderRadius = 4.0f;
```

## API changes

## Component changes

### ActionSheet

* [Add test showcasing how when an Action's image is set it does not update an ActionSheet.](https://github.com/material-components/material-components-ios/commit/d30de4507cf9dd80bd1cf487fa0d3f09cc931416) (Cody Weaver)
* [Support setting image later in lifecycle](https://github.com/material-components/material-components-ios/commit/b9822411b97730324dedca19492d895c68fc880a) (Cody Weaver)

### AppBar

* [Add a presented hidden example.](https://github.com/material-components/material-components-ios/commit/3b99d09c6940733a05c68464fb1d47c7e51bc3b0) (Jeff Verkoeyen)
* [Clarify the purpose of the example supplemental view controllers.](https://github.com/material-components/material-components-ios/commit/580a1ecbde28452041ca731d0bcc8f48ad0b1ded) (Jeff Verkoeyen)
* [Don't hide the navigation bar in AppBarNavigationControllerExample.](https://github.com/material-components/material-components-ios/commit/459066d00ee638e32b6c46ed05fa7242ed524ae3) (Jeff Verkoeyen)
* [Extract a sample app bar view controller to supplemental.](https://github.com/material-components/material-components-ios/commit/783c9de40ed114b6814fcf724e5d830e71b709ef) (Jeff Verkoeyen)
* [Make the presented hidden example show a new view controller each time.](https://github.com/material-components/material-components-ios/commit/97702e8b0c958f726d01a08eb47ed676949ca20b) (Jeff Verkoeyen)

### BottomAppBar

* [Have BottomAppBar respect safe area](https://github.com/material-components/material-components-ios/commit/9220d5b801487df51560e61327e8c47305c02bdf) (Andrew Overton)

### BottomSheet

* [Have the container sheet be laid out by the container view's bounds, not frame.](https://github.com/material-components/material-components-ios/commit/65b749fb56fc15fad14ff7f71c0fb432337ee033) (Yarden Eitan)

### Collections

* [Fix dynamic color not working when it is used in collectionView:cellBackgroundColorAtIndexPath:.](https://github.com/material-components/material-components-ios/commit/5e0294184b61f0e1cd382b7d97066f0e73924ef1) (Wenyu Zhang)
* [Remove special characters from example breadcrumbs.](https://github.com/material-components/material-components-ios/commit/146fb7754ca9f5d4e3615922399a8f6e78a9e716) (Jeff Verkoeyen)

### Dialogs

* [Allow MDCAlertController to become first responder via its view.](https://github.com/material-components/material-components-ios/commit/776d02886183fa8e089740731c1ee97f28963868) (Jake Rockland)
* [Allow MDCAlertController to become first responder.](https://github.com/material-components/material-components-ios/commit/da54c6f67a28691ecb3962e963f36d50ec501358) (Wenyu Zhang)
* [Fix the vertical alignment of long justified actions.](https://github.com/material-components/material-components-ios/commit/b3cf4e42e6a6daab59b0085de8038dc73d7e43d8) (Galia Kaufman)
* [Fix UITextView accessory view example](https://github.com/material-components/material-components-ios/commit/e9802b3e148b7c06f749d13491a9d306a1ac68e9) (Galia Kaufman)
* [Fixing broken unit test](https://github.com/material-components/material-components-ios/commit/67cb856040cd9d08c004b9e3ade21ad24f193422) (Galia Kaufman)
* [Include insets in alignment calculations of long actions](https://github.com/material-components/material-components-ios/commit/b3bf62df4ea5e92b0626d02ea9149c7f2184e283) (Galia Kaufman)
* [Test a large title image with custom insets.](https://github.com/material-components/material-components-ios/commit/99d6facc5bd41455bb86e6246745be29b699d67d) (Iryna Berezan)

### FlexibleHeader

* [Add a safe area layout guide example.](https://github.com/material-components/material-components-ios/commit/cb574d4141864606140b89787b3431d0120a7918) (Jeff Verkoeyen)

### ProgressView

* [Add support for gradient progress bar.](https://github.com/material-components/material-components-ios/commit/9c480c21a4bbebaae6b47d0e5d6bd14081504ae5) (Wenyu Zhang)
* [Change progressTintColor and trackTintColor to nullable.](https://github.com/material-components/material-components-ios/commit/7ea444964588754841229d0d4ca24740112e6891) (Wenyu Zhang)
* [Update expected translated string value for Progress localization test.](https://github.com/material-components/material-components-ios/commit/14bdd278b459c01249c7aa9077759afeac4b1460) (Wenyu Zhang)

### Snackbar

* [Add ability to set presentation host view on specific message.](https://github.com/material-components/material-components-ios/commit/ec84eb996ed00b2e7e5f9376c59b3a453e561bb1) (Yarden Eitan)
* [Add an option to dismiss when the user taps anywhere on the overlay.](https://github.com/material-components/material-components-ios/commit/39e9475f5efb84aee6ed4c636057ecc20239d269) (Nobody)
* [Update localized string in localization test.](https://github.com/material-components/material-components-ios/commit/d14c658666b1a2882be5b7642e67f6035c237ec2) (Wenyu Zhang)

### Tabs

* [Add programmatic tab switcher buttons to TabBarView example](https://github.com/material-components/material-components-ios/commit/0740f3d9e049944138f77947835740d8b0328723) (Andrew Overton)
* [Move effectively private MDCTabBarExtendedAlignment.h and MDCTabBarSizeClassDelegate.h headers into extension directories.](https://github.com/material-components/material-components-ios/commit/b2d470ea7da67ec40b8a7226e23f686e29f9d81b) (Bryan Oltman)

### TextFields

* [Add borderRadius property](https://github.com/material-components/material-components-ios/commit/fb10ae1b1fc70a689949ac5e46e72a54751116c5) (Jonathan Willing)

## Multi-component changes

* [Correct `accessibilityLabel` docs](https://github.com/material-components/material-components-ios/commit/5b2b452bb5de2becc209df346532c581446ba5c4) (Rob Moore)

---

# 109.2.0

This minor release includes bug fixes and tests for ActionSheet, BottomAppBar, BottomSheet, Cards, Dialogs, FlexibleHeader, NavigationBar and TextFields.

## New features

New example snapshot tests added to Cards, Dialogs, FlexibleHeader and NavigationBar.

## Component changes

### ActionSheet

* [Add test showcasing how when an Action's image is set it does not update an ActionSheet.](https://github.com/material-components/material-components-ios/commit/d30de4507cf9dd80bd1cf487fa0d3f09cc931416) (Cody Weaver)
* [Support setting image later in lifecycle](https://github.com/material-components/material-components-ios/commit/b9822411b97730324dedca19492d895c68fc880a) (Cody Weaver)

### BottomAppBar

* [Have BottomAppBar respect safe area](https://github.com/material-components/material-components-ios/commit/9220d5b801487df51560e61327e8c47305c02bdf) (Andrew Overton)

### BottomSheet

* [Have the container sheet be laid out by the container view's bounds, not frame.](https://github.com/material-components/material-components-ios/commit/65b749fb56fc15fad14ff7f71c0fb432337ee033) (Yarden Eitan)
* [[BottomSheet]Set MDCSheetStateExtended for MDCBottomSheetController in its initializer.](https://github.com/material-components/material-components-ios/commit/c8ba09ff95259644b70481a90681de38d5d1e184) (Wenyu Zhang)

### Cards

* [Add example snapshot tests.](https://github.com/material-components/material-components-ios/commit/f4b7c8eb2cd04e2afe8437772c5f85b0b0aceb47) (Jeff Verkoeyen)

### Chips

* [Internal change](https://github.com/material-components/material-components-ios/commit/c3f17b143a0f710a3f88a90d82f0baf4ca761622) (Bryan Oltman)

### Collections

* [Internal change.](https://github.com/material-components/material-components-ios/commit/a866a00f778d73c44261327a86914e2ed73d40be) (Wenyu Zhang)

### Dialogs

* [Add example snapshot tests.](https://github.com/material-components/material-components-ios/commit/1920b96b2ab03f2ba2faf89b62396e71777b1303) (Jeff Verkoeyen)
* [Allow MDCAlertController to become first responder.](https://github.com/material-components/material-components-ios/commit/da54c6f67a28691ecb3962e963f36d50ec501358) (Wenyu Zhang)
* [Document icon image scaling condition](https://github.com/material-components/material-components-ios/commit/5b5156eab6bb4412ebef0f95b87c96308afb413b) (Galia Kaufman)
* [No public changes, just a test that reproduces the issue.](https://github.com/material-components/material-components-ios/commit/99d6facc5bd41455bb86e6246745be29b699d67d) (Iryna Berezan)

### FlexibleHeader

* [Add example snapshot tests.](https://github.com/material-components/material-components-ios/commit/4a22863ca074ee5c5d1db7d7cd3e909e9feaf6ec) (Jeff Verkoeyen)

### NavigationBar

* [Add example snapshot tests.](https://github.com/material-components/material-components-ios/commit/9e3ab8703b8d7f2f124ceb90e9ceb01d7a60be99) (Jeff Verkoeyen)

### TextFields

* [Add borderRadius property](https://github.com/material-components/material-components-ios/commit/fb10ae1b1fc70a689949ac5e46e72a54751116c5) (Jonathan Willing)
* [Internal change.](https://github.com/material-components/material-components-ios/commit/81bd1dd07f3029dd7850fdfa299a58e06216b109) (Wenyu Zhang)

## Multi-component changes

* [Replace App Bar docs](https://github.com/material-components/material-components-ios/commit/7814b0c4600ac42504521d02178bcbaea79cbbe4) (Andrew Overton)

---

# 109.1.0

This minor release includes new examples for Dialogs, and bug fixes BottomSheet, Chips, and
FlexibleHeader. It also cleans up the removeObserver calls on NSNotificationCenter.

## Component changes

### ActionSheet

* [Pull MDCActionSheetActions into their own file](https://github.com/material-components/material-components-ios/commit/31bdbe56e17ea1d9b3abfe6003755b16993063c6) (Cody Weaver)

### ActivityIndicator

* [Mark the swift example as flaky due to its use of animations and remove explicit titles.](https://github.com/material-components/material-components-ios/commit/204072049269406d9a4015798c9e055b423c5a61) (Jeff Verkoeyen)

### AnimationTiming

* [Mark the swift example as flaky due to its use of animations and remove explicit titles.](https://github.com/material-components/material-components-ios/commit/7be3869b5b51aa814eb483b59c4e4f6d96f489ff) (Jeff Verkoeyen)

### AppBar

* [Implement catalogShouldHideNavigation in all examples.](https://github.com/material-components/material-components-ios/commit/de34b1cbfd1f7f68bdf6bbdc7d1f5f8c5b07821a) (Jeff Verkoeyen)
* [Mark the webview examples as flaky.](https://github.com/material-components/material-components-ios/commit/776dacc084ed272c846eda595073477eaf8e15e9) (Jeff Verkoeyen)

### Banner

* [Add snapshot test hooks to the examples.](https://github.com/material-components/material-components-ios/commit/a9512e0dba1faa4ef632c06208b78cc9ae51e644) (Jeff Verkoeyen)

### BottomSheet

* [Better logging output in example.](https://github.com/material-components/material-components-ios/commit/da90ed6640987d89d609a97203182a2e7a5af8a3) (Randall Li)
* [Set the contentView's frame later in the lifecycle.](https://github.com/material-components/material-components-ios/commit/59631d0077f91f75eaf250e2ae35389972b4e666) (Yarden Eitan)
* [TableViewExample: Fixed swift format and added class description to example.](https://github.com/material-components/material-components-ios/commit/fa0e96173d2ed4384192041dbd8d3614afc7f8e9) (Randall Li)
* [recreate bug in catalog. Landscape presented tableviews resist scrolling up with longer content.](https://github.com/material-components/material-components-ios/commit/ceff0080c1f1e797fcd2202794a529ddcba6b2fc) (Randall Li)
* [Fix dismissOnDraggingDownSheet behavior](https://github.com/material-components/material-components-ios/commit/0100cfe4147ce24c91cae51a0e0bfaa762624932) (Randall Li)

### Buttons

* [Move button alpha tests into their own file.](https://github.com/material-components/material-components-ios/commit/f7f154d483b56cb7d71cb53d21dd2c2c26326e50) (Bryan Oltman)

### Chips

* [Inform MDCChipField's delegate of height change in layoutSubviews.](https://github.com/material-components/material-components-ios/commit/4862d65e13517eedd540efc752bd81df690fecfb) (Bryan Oltman)
* [Only hide MDCChipField's placeholder text if showPlaceholderWithChips is false and chips are present.](https://github.com/material-components/material-components-ios/commit/4c74563162241adc525369fa9d24b2f28e148c85) (Bryan Oltman)

### Dialogs

* [Add accessory view examples](https://github.com/material-components/material-components-ios/commit/78f2369dfb91d84c27c93d2b9e6f9506db862f54) (Galia Kaufman)
* [Add manual and auto layout accessory view tests.](https://github.com/material-components/material-components-ios/commit/b98d977309695464b4c3a5d0ee221458d2a66859) (Galia Kaufman)
* [Fix incorrect initialization of properties](https://github.com/material-components/material-components-ios/commit/bffc2c3d07c02fb15dfbdca267cbb3dd263673b2) (Galia Kaufman)

### FlexibleHeader

* [Round content offset clamp to nearest integer.](https://github.com/material-components/material-components-ios/commit/9ef494d52e39e1f4e4065903ad89374a92e00136) (Yarden Eitan)

### Snackbar

* [Add snapshot test cases to the examples.](https://github.com/material-components/material-components-ios/commit/a5324f3bf3a4843d1356bb4c24b3552f7b5d76bf) (Jeff Verkoeyen)

### Tabs

* [Adjust string description by added link to the material.io spec on tabs.](https://github.com/material-components/material-components-ios/commit/5125441f76fad429e55bd74606eafcd01787af85) (Randall Li)

## Multi-component changes

* [As of iOS 9/macOS 10.11 (circa 2015) removing objective C objects from the NSNotificationCenter in - (void)dealloc. is no longer required (the classic example is: [[NSNotificationCenter defaultCenter] removeObserver:self] but there are several variations).](https://github.com/material-components/material-components-ios/commit/ebac2a8eb7362a16cee5eaecde0e8d782ac9bf0b) (Dave MacLachlan)
* [Fix the bazel BUILD files and snapshot that were restored unintentionally.(#9983)](https://github.com/material-components/material-components-ios/commit/a3381717f73e96e015be27c3eabf20746fa4886b) (Wenyu Zhang)
* [Project import generated by Copybara.](https://github.com/material-components/material-components-ios/commit/e035d70f5035f4f89a6123d4271fed78ba611b8f) (Nobody)
* [Rename "flaky" to "skip_snapshots".](https://github.com/material-components/material-components-ios/commit/25471afea02324ad69d0788c46e447b0cd109654) (Jeff Verkoeyen)
* [Rename all icons to an ic_<#name#> convention.](https://github.com/material-components/material-components-ios/commit/92254ea1198cff6ba81e51e52c235bafe87d1d05) (Jeff Verkoeyen)

---

# 109.0.0

This major release deletes bazel support, improves documentation for Cards and TextControls, and
adds the large content view support for MDCItemBar.

## Breaking changes

Bazel is no longer supported.

## Component changes

### ActionSheet

* [Remove duplicate primary demo bit.](https://github.com/material-components/material-components-ios/commit/b56963f4edb029e4642409a317a74637ab9f5e8b) (Jeff Verkoeyen)

### Banner

* [Make the primary demo presentable.](https://github.com/material-components/material-components-ios/commit/fb7a6f4f266117319b36ae57c89d3acf07412bb5) (Jeff Verkoeyen)

### BottomAppBar

* [Add MDCRipple support to MDCBottomAppBarView](https://github.com/material-components/material-components-ios/commit/cd30e764c252865d1d7c8fa973cb7996ac2421d2) (Cody Weaver)

### BottomSheet

* [Present in full screen in vertical compact size classes when the content height is taller than the sheet view's bounds.](https://github.com/material-components/material-components-ios/commit/b5c894e7e31b280a5ee2bc345cf0d7d6dbad4aa7) (Andrew Overton)

### Buttons

* [Fix compilation with -std=c11](https://github.com/material-components/material-components-ios/commit/e49657fb1435f04ad58bee8502cc4c32801fa26b) (Sylvain Defresne)

### Cards

* [Replace Cards documentation](https://github.com/material-components/material-components-ios/commit/54723a16a4a9c44e8866ddfe9977d85cbb8524c1) (Andrew Overton)

### Chips

* [Add unit tests for MDCChipField delegate interaction.](https://github.com/material-components/material-components-ios/commit/ee625232f81bacd82bb6347492ea4f3fc3ed9388) (Bryan Oltman)
* [Invalidate MDCChipField intrinsic content size in layoutSubviews.](https://github.com/material-components/material-components-ios/commit/3171e89ed6698bb6df0c23e62173eb716ca367b9) (Bryan Oltman)
* [When deleting text in MDCChipField, only select the last chip if the text field is empty.](https://github.com/material-components/material-components-ios/commit/6a6c33b4cc6a3b24c752a31b4cb0b894331f500b) (Bryan Oltman)

### List

* [Use standard "List Items" name for all Lists examples.](https://github.com/material-components/material-components-ios/commit/5957dd223a089155428806af5a13bb8cd13d039f) (Jeff Verkoeyen)

### Snackbar

* [Add a property to allow customization the accessibility post notification level.](https://github.com/material-components/material-components-ios/commit/23a372798c4844dae04c18fa3b9fee67292c328d) (Yarden Eitan)
* [Ensure snackbar buttons meet minimum touch target requirements](https://github.com/material-components/material-components-ios/commit/853f461ab6b6d5b5b3429243df974e0931c47508) (Andrew Overton)

### Tabs

* [Add ScrollableCentered option to TabBarView example](https://github.com/material-components/material-components-ios/commit/1666348de940fc67bf2579bec7cc71574c80088b) (Andrew Overton)
* [Add example to expose a bug where tab selection indicator and selected text highlighting can get out of sync.](https://github.com/material-components/material-components-ios/commit/99345ad5084f92db2ca46c15513b1a1d62a35509) (Bryan Oltman)
* [Adds large content viewer support to MDCItemBar.](https://github.com/material-components/material-components-ios/commit/28c20ee11cd9bedff0f52687bf62cca900cb22cd) (Nobody)
* [Adds large content viewer support to MDCItemBar.](https://github.com/material-components/material-components-ios/commit/b387c367d8addb0f88572991f4b763960ad7abaa) (Eric Lee)
* [Ensure the cell representing MDCTabBar's selected item is selected before display.](https://github.com/material-components/material-components-ios/commit/c715e6bcf78953ee2aa4b21d21ef7cf2dd299284) (Bryan Oltman)
* [Stop ripple in MDCTabBar from showing up on scroll](https://github.com/material-components/material-components-ios/commit/f1a125544b8b111fc90686ca9c9798dad6c6506c) (Cody Weaver)

### TextControls

* [Update TextControls readme metadata path](https://github.com/material-components/material-components-ios/commit/2a3a0adfaeb2837a1220ab23491c2702c2ae6787) (Andrew Overton)
* [Replace TextControls documentation](https://github.com/material-components/material-components-ios/commit/512d6a00495b782b0979677178ce5caee188643b) (Andrew Overton)

## Multi-component changes

* [Delete all bazel support.](https://github.com/material-components/material-components-ios/commit/8abbb099a920ee04e2cd6d50731930cd9fea9cdc) (Jeff Verkoeyen)
* [Remove stale code coverage badge.](https://github.com/material-components/material-components-ios/commit/c577ec898cea2a5313a7c215f8a38be5d92e4417) (Jeff Verkoeyen)

---

# 108.1.0

This minor release improves our support of the new iPadOS cursor APIs, deprecates a themer, and
adds the ability to animate a floating button's mode.

## New deprecations

BottomSheet's ShapeThemer is now deprecated.

## New features

Improved UIPointerInteraction support for ActionSheet, Buttons, and Dialogs.

MDCFloatingButton has a new animated API for animating the mode from normal to expanded.

```objc
[button setMode:MDCFloatingButtonModeExpanded animated:YES];
```

## API changes

## Component changes

### ActionSheet

* [Add UIPointerInteraction support for actions..](https://github.com/material-components/material-components-ios/commit/45671537f593d07164d2d8ec15edd9a651f680a7) (Wenyu Zhang)

### BottomSheet

* [Deprecate the ShapeThemer.](https://github.com/material-components/material-components-ios/commit/1cf770cc40f1b29f1f89b0a3ed03f5f8899e4647) (Jeff Verkoeyen)

### Buttons

* [Add a snapshot test for floating buttons in normal mode with a label.](https://github.com/material-components/material-components-ios/commit/bc113b658c9a9e1befe6e3b4f83d6fa3b0e9db87) (Jeff Verkoeyen)
* [Add custom UIButtonPointerStyleProvider to MDCButton for better iPadOS pointer interaction.](https://github.com/material-components/material-components-ios/commit/5a2b2caae09680e38950dfb4c81c2c14f7a57359) (Bryan Oltman)
* [Add support to MDCFloatingButton for animating mode changes.](https://github.com/material-components/material-components-ios/commit/6ac7e6c3d87795a6ade75500c7c6af768f1463f0) (Jeff Verkoeyen)
* [Disable pointer interactions for MDCFloatingButton during animation.](https://github.com/material-components/material-components-ios/commit/4f75f7c33f8cb5e7999aa638102f04ce6de5f153) (Bryan Oltman)
* [Fix broken link in Buttons docs](https://github.com/material-components/material-components-ios/commit/8c27dcf2e53f038ba97e4e6452143a8f223c35b7) (Andrew Overton)
* [Fix build error](https://github.com/material-components/material-components-ios/commit/f5841c6d2fe269f4b3cadde869e1db44d1ca49cc) (Andrew Overton)
* [Standardize all examples on the same <Component><Example>Example pattern.](https://github.com/material-components/material-components-ios/commit/3a157e1f4309fbf2c2fe4404acbbfcd34136666c) (Jeff Verkoeyen)
* [Standardize all test names on <Symbol><TestCategory>Tests.](https://github.com/material-components/material-components-ios/commit/57ec631be27332140267393711e1c06400452fb1) (Jeff Verkoeyen)
* [Update MDCButton to use the proposed pointer effect in pointerStyleProvider.](https://github.com/material-components/material-components-ios/commit/bff4209df216fd538dcb8d49b3941179b4a8a767) (Bryan Oltman)
* [Use static storage for all local consts.](https://github.com/material-components/material-components-ios/commit/4454d0be942d588fcea5a390fb78711c07513a6c) (Jeff Verkoeyen)

### Dialogs

* [Add UIPointerInteraction support for buttons..](https://github.com/material-components/material-components-ios/commit/d36b5e8f3d12b4123032a3a3abc9296984a617a3) (Wenyu Zhang)
* [Add a Testing target](https://github.com/material-components/material-components-ios/commit/f0747fdac58b97c1252e0c985e48913dce129c22) (Galia Kaufman)
* [Adding accessory view tests](https://github.com/material-components/material-components-ios/commit/969f6f55460312e5f16236ad0e06c3e725f1fb74) (Galia Kaufman)
* [Clean up some comments.](https://github.com/material-components/material-components-ios/commit/57a566909fb7d89247b93887262c7cb93597c75f) (Dave MacLachlan)
* [Cleanup: move deprecated API to private header.](https://github.com/material-components/material-components-ios/commit/2f0a4af1c9a965cbe76b23ca5f1f92f500d11983) (Galia Kaufman)
* [Disable broken test.](https://github.com/material-components/material-components-ios/commit/9c32878a48bc074e315f1edada3dd06b5302059e) (Jeff Verkoeyen)
* [Resolve issue with sizing a dialog's accessoryView.](https://github.com/material-components/material-components-ios/commit/579370c4d6ae72931c83dcf32f6a62ef47473464) (Nobody)
* [Using Testing target in configuration snapshots.](https://github.com/material-components/material-components-ios/commit/2e19a8aa7e363e49c7d345f76ce4b402bf245b68) (Galia Kaufman)
* [Using the new Testing target in accessory snapshots.](https://github.com/material-components/material-components-ios/commit/f7d799a9cfb50384e2f304920fcfb87d574b6a55) (Galia Kaufman)
* [Using the new Testing target in actions snapshots.](https://github.com/material-components/material-components-ios/commit/e48d79a9cc82c9187a80dcd24d513052554dbb79) (Galia Kaufman)
* [Using the new Testing target in insets snapshots.](https://github.com/material-components/material-components-ios/commit/666ed14ba0cd16bb4914f0cbbad8f022b1e7ac15) (Galia Kaufman)
* [Using the new Testing target in insets unit tests.](https://github.com/material-components/material-components-ios/commit/7346de3ce076b426cfc6f0e877ac457c255fd700) (Galia Kaufman)

### Ripple

* [Add a respondsToSelector check to resolve crashes of unrecognized selector.](https://github.com/material-components/material-components-ios/commit/1e969f0e46be66ddc8401c34e444a1378100a661) (Yarden Eitan)

### TextControls

* [This change finishes adding TextControls examples to the internal Catalog.](https://github.com/material-components/material-components-ios/commit/965cde39c85ca3e0e1e6295784321065c786dfe0) (Andrew Overton)

## Multi-component changes

* [Expose the catalog by convention tree via the AppDelegate and walk the tree with the UI test runner.](https://github.com/material-components/material-components-ios/commit/c2c1cc64b36fd93877a66e39867ec4917ad82a59) (Jeff Verkoeyen)
* [Fix a lot of formatting issues with material.io and some broken links](https://github.com/material-components/material-components-ios/commit/f9a72c3df80e89904fa72ad058032059e74fcf59) (Andrew Overton)

---

# 108.0.0

This major release removes the default `init` methods from MDCSemanticColorScheme, improves support
for iOS 13.4's pointer effects on iPads, and includes various bugfixes.

## Breaking changes

MDCSemanticColorScheme's `init` method is now unavailable. Please use `initWithDefaults:` instead.

## Component changes

### ActionSheet

* [Mark all Themer APIs as to-be-deprecated.](https://github.com/material-components/material-components-ios/commit/d779e63b9fb2266d902c351979ef7851721e69a9) (Jeff Verkoeyen)

### AppBar

* [Add example to dragons to demonstrate AppBar crash when VoiceOver is turned on and contentInset is set.](https://github.com/material-components/material-components-ios/commit/5e99873e0573cdb4922763128397bbac87d6d0f1) (Yarden Eitan)
* [Fix AppBar from jumping when contentOffset updates when VoiceOver is on.](https://github.com/material-components/material-components-ios/commit/13b63828612cce8ddf54cad6aebc1b4361ec3532) (Yarden Eitan)

### BottomNavigation

* [Add UIPointerHighlightEffects to BottomNavigation button items.](https://github.com/material-components/material-components-ios/commit/e5f1498d4533d604177b2c0681d9159a184a6df7) (Bryan Oltman)
* [Shrink UIPointerEffect frame size to fit content of navigation item views.](https://github.com/material-components/material-components-ios/commit/ef1cc6dfd73fee5a54307c79b321237b184b02e3) (Bryan Oltman)

### ButtonBar

* [Add highlight pointer effect to MDCButtonBarButtons](https://github.com/material-components/material-components-ios/commit/b05945db1872e617f145a8dfc501889330477f19) (Bryan Oltman)
* [Remove custom shape for MDCButtonBarButton highlight effect.](https://github.com/material-components/material-components-ios/commit/57f98a60f2ee03d0c99f2f5a45dcb22a7ab4aacb) (Bryan Oltman)
* [Set inkOffset when given asymmetric contentEdgeInsets.](https://github.com/material-components/material-components-ios/commit/e95d65a96ce1aab5ec1b3a5f94db62502a8257fc) (Bryan Oltman)

### Buttons

* [Add inkViewOffset property to allow adjustment of inkView/rippleView. This is pre-work to address an issue in MDCButtonBar, where buttons are assigned asymmetric contentEdgeInsets by MDCAppBarButtonBarBuilder](https://github.com/material-components/material-components-ios/commit/df522841a254b4da5d07e48fb99c70e1af4b6e28) (Bryan Oltman)
* [Add new fab anatomy pngs](https://github.com/material-components/material-components-ios/commit/7fa3ffc10507d095531dc63a630b4a57303adc8e) (Andrew Overton)
* [Fix broken links in README](https://github.com/material-components/material-components-ios/commit/12bc8b628a76c5703605fa9211695fb642269b6c) (Andrew Overton)
* [Update images again because they weren't using secondary theming before](https://github.com/material-components/material-components-ios/commit/40a62dc32851016cbf10b9baf4135ec27daa8106) (Andrew Overton)

### Dialogs

* [Add a minimum dialog width.](https://github.com/material-components/material-components-ios/commit/4a53cc44c270affe12c4e749c652d5f12d61925e) (Iryna Berezan)
* [Add missing @c in several places of MDCAlertController.](https://github.com/material-components/material-components-ios/commit/bb1fd86511f67a458de5939395d2f7b3dc852a8d) (Iryna Berezan)
* [Fixing a repeated typo in comments "Default to" => "Defaults to".](https://github.com/material-components/material-components-ios/commit/d17210d02fe0852ceb437b5111a34104c1a8cc1b) (Iryna Berezan)
* [Size justified-aligned title-icons to fit the alert's width.](https://github.com/material-components/material-components-ios/commit/e5b43d2e72582c0733845851390bdd13cef3699c) (Galia Kaufman)

### FlexibleHeader

* [Crash fix for VoiceOver + ContentInset](https://github.com/material-components/material-components-ios/commit/4a92b86f0a3d5c47696d719ea6beae8062153972) (Yarden Eitan)

### NavigationDrawer

* [Update `MDCBottomDrawerContainerViewController` to present fullscreen when Voice Over or Switch Control is running, even when the view controller presenting the bottom drawer is not presented fullscreen (ex. is presented with new iOS 13 pageSheet presentation style), by using `presentingViewYOffset` that is used to make adjustments for these non-fullscreen presentation styles when not forcing the drawer to present fullscreen.](https://github.com/material-components/material-components-ios/commit/c7ff69c0bd9b7d62491066f56b9c3d953a4a7f4b) (Jake Rockland)

### Tabs

* [Add UIPointerInteraction support to MDCTabBar.](https://github.com/material-components/material-components-ios/commit/cc82257e5c411f6340cc551db198056a22f70139) (Bryan Oltman)
* [Add UIPointerInteraction support to MDCTabBarView.](https://github.com/material-components/material-components-ios/commit/3165207b57a4a73c9c3a5fd45a6197491030b5b3) (Bryan Oltman)

### schemes/Color

* [Delete init.](https://github.com/material-components/material-components-ios/commit/8176beb6b145752677ad231f29c82976edaca8ad) (Cody Weaver)

---

# 107.5.0

This minor release includes several API additions to BottomSheet, Dialogs, and NavigationDrawer, along with a bug fix to Snackbar and improved Buttons documentation.

## New deprecations

MDCSemanticColorScheme's `init` was deprecated. Please use initWithDefaults: instead.

## New features

### Creating a Dialog with attributed text

```objc
NSAttributedString *attributedStr =
    [[NSAttributedString alloc] initWithString:@"attributed message" attributes:@{}];
self.attributedAlert = [MDCAlertController alertControllerWithTitle:@"title"
                                                  attributedMessage:attributedStr];
```

### Positioning subviews of a Dialog

The default insets of dialogs work well for the majority of use cases. Use the adjustable insets APIs to accommodate special use cases:

```objc
// Get a reference to the alert's view.
MDCAlertControllerView *alertView =
    (MDCAlertControllerView *)mdcAlertController.view;

// Set the insets of the alert's title icon:
alertView.titleIconInsets = UIEdgeInsetsMake(10.0f, 10.0f, 10.0f, 10.0f);

// Set the insets of the alert's title:
alertView.titleInsets = UIEdgeInsetsMake(10.0f, 10.0f, 10.0f, 10.0f);

// Set the insets of the alert's content:
alertView.contentInsets = UIEdgeInsetsMake(10.0f, 10.0f, 10.0f, 10.0f);

// Set the insets of the insets's actions:
alertView.actionsInsets = UIEdgeInsetsMake(10.0f, 10.0f, 10.0f, 10.0f);
```

## API changes

The following properties were added to `MDCAlertController`:
* `titleIconAlignment`
* `attributedMessage`

`MDCAlertController` also has a new initializer:
* `alertControllerWithTitle:attributedMessage:`

The following previously private `MDCAlertControllerView` properties are now exposed:
* `titleIconInset`
* `titleInsets`
* `contentInsets`
* `actionsInsets`
* `actionsHorizontalMargin`
* `actionsVerticalMargin`
* `accessoryViewVerticalInset`

## Component changes

### BottomSheet

* [Give MDCBottomSheetPresentationController an opt-in mechanism to propagate presentingViewController safeAreaInsets to the presentedViewController.](https://github.com/material-components/material-components-ios/commit/3b7dfcd48c53292284d3759e3cb71e4d45414d9b) (Andrew Overton)

### Buttons

* [Internal change.](https://github.com/material-components/material-components-ios/commit/d11159f59c9e3b1775cb91c0ab9feff16621becf) (Jeff Verkoeyen)
* [Replace Buttons documentation](https://github.com/material-components/material-components-ios/commit/91595a819a608551186f66a24b54fa94fec42ff0) (Andrew Overton)

### Chips

* [Allow ending touch animation to proceed if chip is disabled on tap.](https://github.com/material-components/material-components-ios/commit/a23ac9406214720b001e681af0f0f2c0e4314ebf) (Bryan Oltman)

### Dialogs

* [Add support for attributed dialog message text](https://github.com/material-components/material-components-ios/commit/19a973ff44331438165e7ce73ca1756420040b48) (Vladimir Pomsztein)
* [Calculate title Insets independently of content insets](https://github.com/material-components/material-components-ios/commit/6b790fe2e1e5fedd2783c2e43c5c0910ef71ce79) (Galia Kaufman)
* [Calculate title Insets independently of content insets](https://github.com/material-components/material-components-ios/commit/144b2f61dc052661a81e8822c9739fc61a1df8e4) (Galia Kaufman)
* [Moving static c helper functions outside of test classes.](https://github.com/material-components/material-components-ios/commit/8c7be049e94b0da2843869888281fdf115e2da7f) (Galia Kaufman)
* [Publish Adjustable Insets API](https://github.com/material-components/material-components-ios/commit/a477732a95e56bd556dd1107c2ab8bbc86843f30) (Galia Kaufman)
* [Publish Customize API](https://github.com/material-components/material-components-ios/commit/2a0d0febc5b3c68a88405932b85d3847dfdec04f) (Galia Kaufman)
* [Remove the logic that sets accessibilityFrame manually on messageLabel.](https://github.com/material-components/material-components-ios/commit/db06c081c3f9a2c8e7fd085c61bb41b0c328a8c0) (Wenyu Zhang)
* [Rollback of PR #9877 to fix the message text disappearing on device rotation when voiceover is active.](https://github.com/material-components/material-components-ios/commit/75fc33afc2db9c968b61d704b09292d9d850b8a6) (Galia Kaufman)
* [Support custom alignment for the title image (independent of title)](https://github.com/material-components/material-components-ios/commit/a4d690cb1c01ea34e784e875ff447e913beacc73) (Galia Kaufman)
* [snapshot test for custom insets.](https://github.com/material-components/material-components-ios/commit/0c1910ec64911d9e749b853bae83f8408a235fc9) (Galia Kaufman)

### NavigationDrawer

* [Update `MDCBottomDrawerContainerViewController` to account for non-full screen presentation styles when the content is large enough to scroll to fullscreen, by adjusting the container and scroll view height rather than just adjusting the scroll view offset.](https://github.com/material-components/material-components-ios/commit/a7451b084c9f7b3032807528a7537c7abc2c0035) (Jake Rockland)

### ProgressView

* [Adding default accessibility label](https://github.com/material-components/material-components-ios/commit/a8a560da42e41a8268f4081df0810f9e19d934f7) (Yarden Eitan)

### Snackbar

* [Add additional nil checks in SnackBar display/dismissal](https://github.com/material-components/material-components-ios/commit/5a03fc07abb2b34af5d0f7fa429f67c3caa75eb3) (Andrew Overton)
* [Only use self.snackbarView for dismissing snackbars, not presenting them](https://github.com/material-components/material-components-ios/commit/1d30c3ee1f5ae9667824fb223de36ef898bb2504) (Andrew Overton)

### Tabs

* [Have an option in MDCTabBarView to not adjust for safe are insets (default is to adjust).](https://github.com/material-components/material-components-ios/commit/27d333c7495bbc6ac458927581abefff28a723ce) (Alvin Wong)

### TextFields

* [Update TextFields docs](https://github.com/material-components/material-components-ios/commit/d26c963b758933e8c51ac5e635cec73e046eb2a7) (Andrew Overton)

### schemes/Color

* [Mark init as deprecated.](https://github.com/material-components/material-components-ios/commit/086c1d590ea57279eff8547c31a58379920f3e7d) (Cody Weaver)

## Multi-component changes

* [Remove usage of `init` within MDC.](https://github.com/material-components/material-components-ios/commit/fdf87c59954e208df9a68999cb3ab7b24922c6d6) (Cody Weaver)

---

# 107.4.0

This minor release includes improvements to Chips, Dialogs, HeaderStackView, ProgressView, NavigationBar, NavigationDrawer, and Tabs.

## New deprecations

### Dialogs

### MDCAlertControllerView
- `titleAlignment`, `messageAlignment`, and `titleIconView` properties have been deprecated.

## API changes

### MDCTabBarView
- The previously private `effectiveLayoutStyle` is now publicly exposed as a readonly property.

## Component changes

### ActionSheet

* [Fix umbrella header imports](https://github.com/material-components/material-components-ios/commit/481aed787781f0d2291e725a2a95be9b0ebbb692) (Bryan Oltman)
* [Move protocol definitions into separate header files (#9926)](https://github.com/material-components/material-components-ios/commit/542261e4059c29ff03c8d20f3638debefac64c94) (copybara-service[bot])

### ActivityIndicator

* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/ebc52ec3152e63c516bc7ceaf111b469ba13c38d) (Bryan Oltman)

### AppBar

* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/bf2e9af1a740e29bd262759bbd80ce032c122ba6) (Bryan Oltman)

### BottomNavigation

* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/b3d6e47e249360a4bac11fa74160afadf4dff7d6) (Bryan Oltman)

### BottomSheet

* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/7cd01d2fbacc801ba41a261fe46c871179c5acb6) (Bryan Oltman)
* [Remove private header imports from MaterialBottomSheet.h](https://github.com/material-components/material-components-ios/commit/c6a586b72e99f001edb6acf3e45c6b1f34d58f5b) (Bryan Oltman)

### ButtonBar

* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/0da64e1315738c70d5b7de1b595040c2ffdaa5fc) (Bryan Oltman)

### Chips

* [Add call to invalidateIntrinsicContentSize when text entry moves up or down a line.](https://github.com/material-components/material-components-ios/commit/e4f53d57f47f0627792716fd8e57e33b53d49d6a) (Bryan Oltman)
* [Adds disabling chip example to the Dragons catalog.](https://github.com/material-components/material-components-ios/commit/d9b5a826c826063c75dec945421809b8d30e1637) (Bryan Oltman)
* [Project import generated by Copybara.](https://github.com/material-components/material-components-ios/commit/c97239df854aaf34119024aae5d2a9eba052cc51) (Nobody)
* [Update intrinsicContentSize when text, font, or image change.](https://github.com/material-components/material-components-ios/commit/cfb97206ea2f867ce219f2312fc8a5ebeb871d11) (Cody Weaver)

### Collections

* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/91856c66ffba91d4b4dbfe9ca8abbe7151b224d5) (Nobody)
* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/97f26d5767864f49bb0f22d2ef6ce9f18c524736) (Bryan Oltman)
* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/a245b4468e466bc477d2936365abc4c4aa83d907) (Bryan Oltman)
* [Remove private header imports from MaterialCollections.h](https://github.com/material-components/material-components-ios/commit/41eaca5b962dd22dedbb2cb3f831beb57745a0e4) (Bryan Oltman)
* [Remove private header imports from MaterialCollections.h](https://github.com/material-components/material-components-ios/commit/4d636f111d8bbb9d72b8d0c1cb2bcd23afc69053) (Nobody)

### Dialogs

* [# Problem The current snapshot is inaccurate because there is not enough room to layout all the dialog's elements, so spaces between the elements are inaccurate for many snapshots.](https://github.com/material-components/material-components-ios/commit/5c24a5dcc6a2f1063c7b8e61fcbbee6210773b07) (Galia Kaufman)
* [Add TitleIcon snapshot tests.](https://github.com/material-components/material-components-ios/commit/e79828dc5bf65eb0975398ba03363619558fe2ef) (Galia Kaufman)
* [Custom title icon public API: Flip the priority between title icon and title custom view to mirror UIKit convention.](https://github.com/material-components/material-components-ios/commit/65758b73af4c97551fce65ae4f8bfedd39a360b3) (Iryna Berezan)
* [Fix layout of configuration snapshot test.](https://github.com/material-components/material-components-ios/commit/e2267236b065d0d3f8a171754cce3bbb5036a0d0) (Galia Kaufman)
* [Minor grammatical fix.](https://github.com/material-components/material-components-ios/commit/b377b45dd4f98e9bcc4062aeee9dc0f43b6bf787) (Jeff Verkoeyen)
* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/8c21f2c8970e99a572482b78ec7779417bd9074e) (Bryan Oltman)
* [Moving non appearance API to private header](https://github.com/material-components/material-components-ios/commit/69d7eaf16fab3fadf3ad5e7d525abeeb955de138) (Galia Kaufman)
* [Refactor titleIconViewSize.](https://github.com/material-components/material-components-ios/commit/7e903a68c3dba12bc246c7a774fdce7b7279ab07) (Galia Kaufman)
* [Support title icon content mode through custom titleIconImageView.](https://github.com/material-components/material-components-ios/commit/73582da9d8872546f6b151331fbb5eee0201b2db) (Galia Kaufman)
* [recalculate alert layout after adding a title icon and title view](https://github.com/material-components/material-components-ios/commit/46f8a2f715044fdca90c96286c61af94b3d66494) (Galia Kaufman)

### FeatureHighlight

* [Minor docs fix.](https://github.com/material-components/material-components-ios/commit/04c7a4b768ed866e7480b59f640dcbc7bf8bfe57) (Jeff Verkoeyen)

### FlexibleHeader

* [Add synonyms to hairline API documentation for increased discovery.](https://github.com/material-components/material-components-ios/commit/fd6d603be8caa9f94c620eea63a0d1132782ecf2) (Jeff Verkoeyen)
* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/f55a0417b5c3fafcb38572d0dfe554cff68d8192) (Bryan Oltman)
* [Remove imports of private headers from MaterialFlexibleHeader.h](https://github.com/material-components/material-components-ios/commit/02c66a45d8fdacaf3f69881d13abced1a7892a88) (Bryan Oltman)

### HeaderStackView

* [Fix sizeThatFits method for MDCHeaderStackView to take into account both topBar and bottomBar.](https://github.com/material-components/material-components-ios/commit/551b12dbeab5ba0990edb7d4fb9ee1c98d2c0147) (Nobody)

### Ink

* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/98b464180bef5620eb5c567de37b29e40a45825f) (Bryan Oltman)

### NavigationBar

* [Problem: The title label does not resize in an edge case when the user enables bold text in settings->display & brightness and then opening the app if the title label was already on the screen.](https://github.com/material-components/material-components-ios/commit/8a3118161c18cb98346aa595095134d510ecd934) (Tony Lai)
* [Remove default insets for leading titles.](https://github.com/material-components/material-components-ios/commit/23878968f4f2d18487c580ed3452caa1575773c1) (Jeff Verkoeyen)

### NavigationDrawer

* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/a5efd6c35034569352a03ac7ee07f6c29b881e2d) (Bryan Oltman)
* [This CL makes it such that when `bottomSafeAreaInsetsToAdjustContainerHeight` is set to YES, for performant scrolling the safe area is respected in calculating the max scroll origin, preventing a safe area presentation issue.](https://github.com/material-components/material-components-ios/commit/5efa798ac349be63acb9768755bf4b6ce2b9928e) (Jake Rockland)
* [This closes b/151091406, which was being caused because the presenting view controller is used to determine the frame of the bottom drawer's scroll view, which caused issues for situations in which the bottom drawer was presented from a modal view controller in the page or form sheet style.](https://github.com/material-components/material-components-ios/commit/800e5b64ec4673e8e9bfadc02be369d9f084685f) (Jake Rockland)

### ProgressView

* [Adding default accessibility label](https://github.com/material-components/material-components-ios/commit/58a181306f5dabb4bbb42f75a479db71b649b3a8) (Nobody)
* [Adding default accessibility label](https://github.com/material-components/material-components-ios/commit/8fe34d13e088105d5b43f264df46032a839b46ce) (Yarden Eitan)
* [Remove MDCProgressViewMotionSpec.](https://github.com/material-components/material-components-ios/commit/ae5515ea4ae94d8bf068d2f622493dc6eebdf619) (Wenyu Zhang)

### Ripple

* [Migrates Ripple to MDCAvailability.](https://github.com/material-components/material-components-ios/commit/608694e26046d3ca3d81b4e3a23ebd78869f3481) (Eric Lee)
* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/d0f7fe4ab357bdd374307c151de4ba8fe7d9b1af) (Bryan Oltman)

### Slider

* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/0e9362f933f32915824b1e175421e643a1a3f182) (Bryan Oltman)

### Snackbar

* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/349fbdccb6812a57aea766fc995257d3f1513b16) (Bryan Oltman)

### Tabs

* [Expose effectiveLayoutStyle as a readonly property.](https://github.com/material-components/material-components-ios/commit/23628cda933848e4722077544439d787b77453e1) (Alvin Wong)
* [For the ScrollableCentered layout, update -contentOffsetNeededToCenterItemView to handle empty itemView.frame, use computed content size, and clamp contentOffsetX when contentSize.width < availableWidth.](https://github.com/material-components/material-components-ios/commit/60b59157f2dd9a13d76ae6a97cae67384743e92a) (Alvin Wong)
* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/6a7857e8072ba86c16e92b14bf91bc90b9ec6525) (Bryan Oltman)

### TextFields

* [Move protocol definitions into separate header files](https://github.com/material-components/material-components-ios/commit/cc3fa165b8f6f40a185d74f5031982e9e4b2400e) (Bryan Oltman)

### private/Icons/icons/ic_arrow_back

* [Use AssetCatalogs for ic_arrow_back images.](https://github.com/material-components/material-components-ios/commit/eb83589e4167dd56d0fb18244cd0d16461a5c4f1) (Wenyu Zhang)

### private/Icons

* [Use AssetCatalogs for ic_arrow_back images.](https://github.com/material-components/material-components-ios/commit/eb83589e4167dd56d0fb18244cd0d16461a5c4f1) (Wenyu Zhang)
* [Use AssetCatalogs for icons.](https://github.com/material-components/material-components-ios/commit/0e72afc0a64415d79dcf07bac44b2d96c919d82c) (Wenyu Zhang)

## Multi-component changes

* [Remove pathFor_ic_* methods.](https://github.com/material-components/material-components-ios/commit/c005997f654405c3aa90c319e3a5caa776ac7b75) (Wenyu Zhang)
* [Use AssetCatalogs for icons.](https://github.com/material-components/material-components-ios/commit/0e72afc0a64415d79dcf07bac44b2d96c919d82c) (Wenyu Zhang)

---

# 107.3.0

This minor release includes several new APIs and improvements to Dialogs, AppBar, and Slider.

## New features

MDCAppBarViewController now provides an `accessibilityPerformEscapeDelegate`, which can be used to
customize the `accessibilityPerformEscape` behavior of the AppBar without subclassing.

```swift
class SomeDelegate: NSObject, MDCAppBarViewControllerAccessibilityPerformEscapeDelegate {
  func appBarViewControllerAccessibilityPerformEscape(_ appBarViewController: MDCAppBarViewController) -> Bool {
		// Perform custom escape handling
    return true
  }
}

appBarViewController.accessibilityPerformEscapeDelegate = delegate
```

MDCAlertController has a new `messageAlignment` API which can be used to adjust the alignment of the
message text:

```swift
alertController.messageAlignment = .right
```

MDCAlertController also now allow the order and alignment of actions to be customized with three new
APIs:

- `actionsHorizontalAlignment`
- `actionsHorizontalAlignmentInVerticalLayout`
- `orderVerticalActionsByEmphasis`

```swift
alert.actionsHorizontalAlignment = .justified
alert.actionsHorizontalAlignmentInVerticalLayout = .justified
alert.orderVerticalActionsByEmphasis = true
```

MDCSlider now allows you to customize the appearance of the thumb track with the new
`shouldDisplayThumbWithDiscreteValueLabel` API. Turning this API on will keep the thumb track
visible while the user is interacting with the slider.

```swift
slider.shouldDisplayThumbWithDiscreteValueLabel = true
```

## Component changes

### AppBar

* [Add AppBarCustomButtonThemeExample. (#9883)](https://github.com/material-components/material-components-ios/commit/027f240063350c642c5396aa1179f4e4ace97ed5) (featherless)
* [Add AppBarWithExpandableCells example. (#9873)](https://github.com/material-components/material-components-ios/commit/e6989ce5e3c1808e51702c48cec35114680f0a02) (featherless)
* [Add a delegate for customizing accessibilityPerformEscape behavior. (#9879)](https://github.com/material-components/material-components-ios/commit/9ea7f0d21a0f4f2131f08b0ea94f3ee1e3b56d9c) (featherless)
* [Test the UINavigationController accessibilityPerformEscape behavior. (#9876)](https://github.com/material-components/material-components-ios/commit/c58d4d8abdf3263508618d6c17e7785e209ac664) (featherless)

### Dialogs

* [Accessibility frame is larger than displayed text. (#9865)](https://github.com/material-components/material-components-ios/commit/a10704de7bc90a6abaf51ce8c98b2799c1b321e8) (Galia Kaufman)
* [Add a snapshot test for extea long buttons (#9897)](https://github.com/material-components/material-components-ios/commit/6ec85ffb6d881ee1fe394ada75e0f46fc82751b1) (Galia Kaufman)
* [Add missed accessibility labels for the UI elements of the dialog. (#9895)](https://github.com/material-components/material-components-ios/commit/4dc4da3a7afc72ce79d9029491399a16c16dc313) (Galia Kaufman)
* [Add snapshots tests for adjustable insets (#9899)](https://github.com/material-components/material-components-ios/commit/c66e0c307c44f2f14ddadc149e48432e5ef12424) (Galia Kaufman)
* [Adding a snapshot test to verify correct layout of actions in edge cases found in issue: #8434. (#9875)](https://github.com/material-components/material-components-ios/commit/4c601a50045fd609bbc6f4fcf41065a233e6a79e) (Galia Kaufman)
* [Allow setting text alignment for alert message text (#9839)](https://github.com/material-components/material-components-ios/commit/42584f3f1efe99cb1c8ce59c5dd1b0b668f1e546) (Galia Kaufman)
* [Fix actions order for center and justified actions alignment. (#9889)](https://github.com/material-components/material-components-ios/commit/ba0614003e1c1040c28f737e53d5e4796beb422e) (Galia Kaufman)
* [Fix comment line length (#9887)](https://github.com/material-components/material-components-ios/commit/1e9d259b9efae9966e07af129f1f37c10118bc13) (Galia Kaufman)
* [Fix incorrect content height for non-standard dialogs (#9864)](https://github.com/material-components/material-components-ios/commit/ba30b6ffe870cf993ae19b0cb7efa43ee21130c3) (Galia Kaufman)
* [Fix incorrect vertical layout for uppercase buttons (#9877)](https://github.com/material-components/material-components-ios/commit/acdfee53fd8d74a3e22c2690c73d3ed255e510c0) (Galia Kaufman)
* [Fix vertical calculations for wide actions view (#9878)](https://github.com/material-components/material-components-ios/commit/a265dad769aad1ebf9a4bdfef82cf6894676a893) (Galia Kaufman)
* [Publishing actions API (#9888)](https://github.com/material-components/material-components-ios/commit/88ecf017301f66452f7cfb456a07fd4b7fb9fafe) (Galia Kaufman)
* [Refactoring alert actions test (#9886)](https://github.com/material-components/material-components-ios/commit/9febb9de3013e251bed4ffcc798e5f24a77fc6fe) (Galia Kaufman)

### FlexibleHeader

* [Add unit test to reproduce https://github.com/material-components/material-components-ios/issues/9863. (#9880)](https://github.com/material-components/material-components-ios/commit/1116209825249a36e64c9f150b4dfca89c26b60f) (featherless)
* [Fix bug where hairline configuration would not persist. (#9881)](https://github.com/material-components/material-components-ios/commit/3ca65ab2a8a28966a693ff08b5dd1af2eb912920) (featherless)
* [Fix jumping effect in a table view with dynamic cell heights. (#9872)](https://github.com/material-components/material-components-ios/commit/b15e6d8ace969d84af3104a5912cfb4a53e34269) (featherless)

### Ink

* [Refactor MDCInkView logic grappling with interplay between legacy ink layer and max ripple radius, ink style, etc (#9855)](https://github.com/material-components/material-components-ios/commit/830f6dfdc0f00ccc3aac8b01b1de7af2b78fd7ce) (Andrew Overton)

### Slider

* [Allow thumb to stay filled with discrete value label (#9866)](https://github.com/material-components/material-components-ios/commit/6326cd055aef43882257c9cd4264376b7be4523a) (Yarden Eitan)

---

# 107.2.0

This minor release includes the introduction of a self-sizing mechanism to MDCBaseCell, a new layout style for MDCTabBarView, and numerous improvements and bug fixes for BottomSheet, Snackbar, Dialogs, Ink, and TextFields.

## New features

### List

Having the `UICollectionViewLayoutAttributes` you use with `MDCBaseCell` conform to `MDCSelfSizingLayoutAttributes` allows you to specify whether the height or the width should be fixed.

```objc
-(BOOL)isFixedWidth {
  return 100;
}

-(BOOL)isFixedHeight {
  return 100;
}
```

```swift
var isFixedWidth: Bool {
  return 100;
}

var isFixedHeight: Bool {
  return 100;
}
```

### Tabs

Setting the `preferredLayoutStyle` property on `MDCTabBarView` to `MDCTabBarViewLayoutStyleScrollableCentered` allows you to have a scrolling tab bar that centers the selected tab.

```objc
tabBarView.preferredLayoutStyle = MDCTabBarViewLayoutStyleScrollableCentered;
```

```swift
tabBarView.preferredLayoutStyle = .scrollableCentered
```

## Component changes

### BottomSheet

* [Anchor movement of the bottom sheet along the y axis. (#9835)](https://github.com/material-components/material-components-ios/commit/2ca4e3e229a01ca0f4ce6b71496d8c311f489b5d) (featherless)

### Chips

* [Account for MDCChipField contentInset in placeholder width calculation (#9843)](https://github.com/material-components/material-components-ios/commit/d7906ec47b26916aad464592d0686c621973e273) (Bryan Oltman)
* [Add MDCChipField snapshot test for placeholder truncation (#9842)](https://github.com/material-components/material-components-ios/commit/0d00e58cd008ef139165d9e0a8097c45b16fcea0) (Bryan Oltman)
* [Add MDCChipField snapshot tests verifying text field placement (#9831)](https://github.com/material-components/material-components-ios/commit/a42a84cca9e9254ac56da2d4aed0ac03474d335e) (Bryan Oltman)
* [Add tips about "Adjusting chip sizes after changing the label". (#9852)](https://github.com/material-components/material-components-ios/commit/738e82aede3d3fc8cc16aefe7b6a3362141d3ef0) (featherless)
* [Do not include contentEdgeInsets for MDCChipField placeholder if no placeholder is present (#9847)](https://github.com/material-components/material-components-ios/commit/992d235d9b39075962cc6be6f14e1ff9a442b1d2) (Bryan Oltman)
* [Do not include insets in MDCChipField placeholder width if there is no placeholder (#9850)](https://github.com/material-components/material-components-ios/commit/975c7994fc8831e154f115e3879366492c2c7e84) (Bryan Oltman)
* [In MDCChipField, account for horizontal padding when calculating available width for text field (#9841)](https://github.com/material-components/material-components-ios/commit/2ceeb0ac73c85e116f4406cfe6980e9a9d6c074f) (Bryan Oltman)
* [Move MDCChipField text input to a new line if text is too wide (#9845)](https://github.com/material-components/material-components-ios/commit/4cc8c3ecbefc3f8fc13ef80122ca8e187586f4d4) (Bryan Oltman)
* [Resize MDCChipField's textField frame instead of using left insets to align with chips (#9827)](https://github.com/material-components/material-components-ios/commit/04567ba1653cb61927117160c3e8fd37e186d4b9) (Bryan Oltman)
* [Resize MDCChipField's textField frame instead of using left insets to align with chips (#9837)](https://github.com/material-components/material-components-ios/commit/e1aee8556d04a64cef5149d51897f44711a5b077) (Bryan Oltman)
* [Revert "Resize MDCChipField's textField frame instead of using left insets to align with chips" (#9828)](https://github.com/material-components/material-components-ios/commit/f8d520b4f1845e06af3f2256080a7629a16e3d68) (Bryan Oltman)
* [Update MDCChipField to move long text from a line with chips to a new line. (#9826)](https://github.com/material-components/material-components-ios/commit/8b7c2b696c1f1ea212817f38b75d47825f3deb39) (Bryan Oltman)

### Dialogs

* [Adding actions order tests (#9829)](https://github.com/material-components/material-components-ios/commit/42b2e1ec69642e37aee6a4efd2e9ad68b745b974) (Galia Kaufman)
* [Removing enableAdjustableInsets and fixed-insets calculations. (#9832)](https://github.com/material-components/material-components-ios/commit/130676fb1be0dc479116e59245400568235543cc) (Galia Kaufman)
* [Try to fix testActionsAreOrderedByEmphasis snapshot (#9862)](https://github.com/material-components/material-components-ios/commit/1f0f03526dab131db8d46a0eed78ab544edc54ed) (Andrew Overton)

### Ink

* [Conditionally maskToBounds on MDCInkView layer (a MDCLegacyInkLayer) when usesLegacyInkRipple is set to NO (#9818)](https://github.com/material-components/material-components-ios/commit/5862e5b7b6e4d8e38dbde59a2c9f1acf5c26c0f3) (Andrew Overton)

### List

* [Add MDCSelfSizingLayoutAttributes (#9823)](https://github.com/material-components/material-components-ios/commit/79c96ec26f66aea353e5c8ff39c1de808c44b45f) (Andrew Overton)

### Snackbar

* [Support orientation changes that respect safe area (#9838)](https://github.com/material-components/material-components-ios/commit/808bceac64b8cb90c5fe0bd6f474781f22c1aeb3) (Yarden Eitan)
* [add multi-window guessing support (#9830)](https://github.com/material-components/material-components-ios/commit/5a64f3ff1ebf0876b3727891139df3cd2729685f) (Yarden Eitan)

### Tabs

* [Add MDCTabBarViewLayoutStyleScrollableCentered (#9849)](https://github.com/material-components/material-components-ios/commit/898277ced1e9150b7713fb41cd4c437812781147) (Andrew Overton)

### TextControls

* [Update MDCBaseTextField docs (#9861)](https://github.com/material-components/material-components-ios/commit/f01ede70ed059ef9494cd2b1493c0686f6bfc9c6) (Andrew Overton)

### TextFields

* [Lower the error VoiceOver announcement delay to near zero. (#9822)](https://github.com/material-components/material-components-ios/commit/057bfd0b957bacff0257554a27ef277b5c587cfd) (featherless)

## Multi-component changes

* [Remove traitCollection overrides from examples. (#9851)](https://github.com/material-components/material-components-ios/commit/395ad9b3950a9dfa10e40d537f04292e6f70fb21) (Bryan Oltman)

---

# 107.1.0

This minor release includes additions to the `MDCSnackbarManagerDelegate` protocol, touch target improvements to Chips, alignment improvements to Dialogs, and various other bug fixes.

## New features

In this release we added a new method to the `MDCSnackbarManagerDelegate` protocol that informs the user when a snackbar disappears.

```swift
extension MyCustomViewController: MDCSnackbarManagerDelegate {
  func snackbarDidDisappear() {
    print("The snackbar disappeared I should act accordingly")
  }
}
```

## Component changes

### Chips

* [MDCChipCollectionViewCell to correctly support increased touch target (#9816)](https://github.com/material-components/material-components-ios/commit/9b21ec994ba2b34b8143f00081d7fc0238a65777) (Yarden Eitan)
* [Update MDCChipCollectionViewFlowLayout to respect sectionInset (#9813)](https://github.com/material-components/material-components-ios/commit/8daed7f588366f64c172027c51697e7ee8e0eacb) (Bryan Oltman)

### Dialogs

* [Consider all actions alignments for horizontal layout (#9805)](https://github.com/material-components/material-components-ios/commit/594e477685268094783deab7522e479b463a8760) (Galia Kaufman)
* [Consider all actions alignments for vertical layouts (#9804)](https://github.com/material-components/material-components-ios/commit/b32c232339dcac5f2d6585d5990da094d017d3c0) (Galia Kaufman)

### FlexibleHeader

* [Subtract minimumHeaderViewHeight from fhv_accumulatorMax.](https://github.com/material-components/material-components-ios/commit/9f57fd45347ca22ec37094b9a372eed976ed1323) (shingzhao)

### Snackbar

* [Add 'snackbarDidDisappear' to MDCSnackbarManagerDelegate. (#9815)](https://github.com/material-components/material-components-ios/commit/ecbb85397f685dd369399db8f2fd625ff8a856a6) (Yarden Eitan)

---

# 107.0.0

In this major release we deleted the deprecated `MDCAlertScheme` and `MDCAlertControllerThemer` classes.

## Breaking changes

`MDCAlertScheme` and `MDCAlertControllerThemer` have been deleted. Please use the `MDCAlertController (MaterialTheming)` extension instead.

## New features

In this release we added a new `delegate` property to `MDCAlertController` which exposes dialogs lifecycle events that are useful for impression logging. As well as various minor improvements to the `Dialogs` component and other bug fixes.

## API changes

### Dialogs

*new* property: `delegate` in `MDCAlertController`

*new* protocol: `MDCAlertControllerDelegate`

## Component changes

### BottomSheet

* [Add example to reproduce issue 9773 (#9789)](https://github.com/material-components/material-components-ios/commit/00a4f37a4aae8dd5e9e5e66f7a8315aefac57593) (Bryan Oltman)
* [KVO `contentInset` property (#9726)](https://github.com/material-components/material-components-ios/commit/b027eeed70db247274aaaaa1ecfe9a85db5243c0) (Robert Moore)

### Chips

* [Add snapshot tests for MDCChipCollectionViewFlowLayout (#9796)](https://github.com/material-components/material-components-ios/commit/45952d95a7bfd9a9da99318e69f05c4065880375) (Bryan Oltman)
* [Refactor MDCChipCollectionViewFlowLayout (#9799)](https://github.com/material-components/material-components-ios/commit/fbc35415a2f9342102a003cdefea28a4f955dfda) (Bryan Oltman)

### Dialogs

* [Adding actions alignment API in a private header. (#9795)](https://github.com/material-components/material-components-ios/commit/8a8077d20eaf511a3a8f8e78b63ec7ced4b857a8) (Galia Kaufman)
* [Adding alignment snapshot tests (#9801)](https://github.com/material-components/material-components-ios/commit/64a79b29bf7ceba090f65520caf49f5bd56ec38a) (Galia Kaufman)
* [Adding justified actions alignment calculations to actions size calculations (#9800)](https://github.com/material-components/material-components-ios/commit/3537e43ef82c549a7c449a7fb6bdfbea829092ce) (Galia Kaufman)
* [Delete deprecated DialogThemer (#9776)](https://github.com/material-components/material-components-ios/commit/511da587d485fac0407ccc8a0519aaa941dceea5) (Bryan Oltman)
* [Moving actions layout out to simplify layoutSubviews. (#9803)](https://github.com/material-components/material-components-ios/commit/fa919c8da817fa59ba6bdd6379454dd061846886) (Galia Kaufman)
* [Support impressions logging in Material Design Dialogs. (#9794)](https://github.com/material-components/material-components-ios/commit/c2af4ae17f0feec12a1a6778dba3bb80505263c7) (Galia Kaufman)
* [Use consistent syntax for float constants (#9750)](https://github.com/material-components/material-components-ios/commit/e96b7efd28d7284eb090dab1408e0083dc06353e) (Galia Kaufman)

## TextField

* [implement resignFirstResponder in MDCMultilineTextField (#9793)](https://github.com/material-components/material-components-ios/commit/d83af534c3121bc8f9f2c0cb459917bec33158fe) (Bryan Oltman)

---

# 106.0.0

In this major release we deleted the deprecated themer: `MDCFloatingButtonShapeThemer`.

## Breaking changes

Deleted `MDCFloatingButtonShapeThemer` class, please use the theming extensions.
Learn more at https://github.com/material-components/material-components-ios/blob/develop/docs/theming.md#migration-guide-themers-to-theming-extensions

## New features

In this release we added the `MDCFilledTextArea` and `MDCOutlinedTextArea` components, made improvements to our Dialogs component, and added other bug fixes.

## API changes

### BottomNavigation

*new* property: `itemsHorizontalPadding` in `MDCBottomNavigationBar`

### TextControls

*new* property: `label` in `MDCBaseTextArea`

*new* property: `labelBehavior` in `MDCBaseTextArea`

*new* property: `leadingAssistiveLabel` in `MDCBaseTextArea`

*new* property: `trailingAssistiveLabel` in `MDCBaseTextArea`

*new* property: `minimumNumberOfVisibleRows` in `MDCBaseTextArea`

*new* property: `maximumNumberOfVisibleRows` in `MDCBaseTextArea`

*new* method: `setFloatingLabelColor:forState:` in `MDCBaseTextArea`

*new* method: `floatingLabelColorForState` in `MDCBaseTextArea`

*new* method: `setNormalLabelColor:forState:` in `MDCBaseTextArea`

*new* method: `normalLabelColorForState:` in `MDCBaseTextArea`

*new* method: `setTextColor:forState:` in `MDCBaseTextArea`

*new* method: `textColorForState:` in `MDCBaseTextArea`

*new* method: `setLeadingAssistiveLabelColor:forState:` in `MDCBaseTextArea`

*new* method: `leadingAssistiveLabelColorForState:` in `MDCBaseTextArea`

*new* method: `setTrailingAssistiveLabelColor:forState:` in `MDCBaseTextArea`

*new* method: `trailingAssistiveLabelColorForState:` in `MDCBaseTextArea`

*new* class: `MDCFilledTextArea`

*new* class: `MDCOutlinedTextArea`

## Component changes

### BottomAppBar

* [Migrates BottomAppBar to MDCAvailability. (#9729)](https://github.com/material-components/material-components-ios/commit/a204ee6f8e9665cc3318822e58bb507a04232b1f) (Randall Li)

### BottomNavigation

* [Add horizontal padding property to MDCBottomNavigationBar (#9765)](https://github.com/material-components/material-components-ios/commit/c068063cadd2fd43caef5c09a4dbc0779495325c) (Andrew Overton)

### Buttons

* [Deletes deprecated MDCFloatingButtonShapeThemer (#9746)](https://github.com/material-components/material-components-ios/commit/14c9d903cfca915fe5580ae0c34e7961213cbe16) (Bryan Oltman)

### ButtonBar

* [Do not allow implicit downcasting of item views. (#9761)](https://github.com/material-components/material-components-ios/commit/2897baaafbf4e03b54e2b872e7e3b0334dd71cd5) (featherless)
* [Fix crash when assigning tint color, title, or image to bar button item with custom view. (#9759)](https://github.com/material-components/material-components-ios/commit/e3df3459fc1ed8a381e39c1f61251284d96cc157) (featherless)

### Collections

* [Migrates Collections to MDCAvailability. (#9712)](https://github.com/material-components/material-components-ios/commit/b3f784f11e918b054104bf24882e1292b36fc22b) (Randall Li)

### Dialogs

* [Add orderVerticalActionsByEmphasis flag (#9775)](https://github.com/material-components/material-components-ios/commit/34d68a929cf6e08ed5b743e9a181f6a371f7394c) (Galia Kaufman)
* [Fix adjustable insets for title icon. (#9752)](https://github.com/material-components/material-components-ios/commit/3d1b00cff67c54c63372ed2a41881616a4b88db9) (Galia Kaufman)
* [Group UIViewController methods of MDCAlertController. (#9784)](https://github.com/material-components/material-components-ios/commit/7758ff5ea038802511e55bded689371d9a688b07) (Galia Kaufman)
* [Refactor actions layout calculations. (#9783)](https://github.com/material-components/material-components-ios/commit/b0630b465330406a28563f12194395fe7b9d6be2) (Galia Kaufman)
* [Updating adjustable action margins (#9782)](https://github.com/material-components/material-components-ios/commit/b1e6ee3326e2a1c1db88154b733fec77a1c73b67) (Galia Kaufman)

### Ink

* [Remove additional strong reference to self.layer (#9755)](https://github.com/material-components/material-components-ios/commit/8819916990738560ff3fcabdf4783e7b8820ae46) (Bryan Oltman)

### OverlayWindow

* [Migrates Overlay Window to MDCAvailability. (#9730)](https://github.com/material-components/material-components-ios/commit/7e4f9f61a9d362639d8d73383fd89af1e12a0ca6) (Randall Li)

### Shapes

* [Update MDCShapedShadowLayer color properties to use copy semantics (#9756)](https://github.com/material-components/material-components-ios/commit/d7e0e82b07d02f4da02ff97ccf09d4e40bd7e29a) (Bryan Oltman)

### TextControls

* [Add text area example (#9772)](https://github.com/material-components/material-components-ios/commit/3e5edeccecb8e4cc268d0e16820a8ee18b05e182) (Andrew Overton)
* [Add first pass of unit tests for MDCBaseTextArea (#9754)](https://github.com/material-components/material-components-ios/commit/2c1669718c6437886c7f355ed93ad3210161953a) (Andrew Overton)
* [Add outlined text areas (#9771)](https://github.com/material-components/material-components-ios/commit/79d0ba023115eb7a3818f497d1398355d51b48c2) (Andrew Overton)
* [Add the rest of MDCBaseTextArea (#9731)](https://github.com/material-components/material-components-ios/commit/2f6b40a58811089e5bc8fcf69128e315faf7d96f) (Andrew Overton)
* [MDCTextControlLabelState renamed to MDCTextControlLabelPosition and other changes (#9753)](https://github.com/material-components/material-components-ios/commit/a37edbf81a32645e4992cf599a8b990fc8ec491a) (Andrew Overton)
* [add filled text areas (#9770)](https://github.com/material-components/material-components-ios/commit/beca30be4acfaca8fdfcbca86021204aa487a9e2) (Andrew Overton)

### private/ThumbTrack

* [Migrates Thumb Track to MDCAvailability. (#9714)](https://github.com/material-components/material-components-ios/commit/d19b024d322f4b0bb7ce624d73090ca8ebfac0c7) (Randall Li)


---

# 105.0.2

This hotfix patch release fixes a crasher with ButtonBars when using custom item views and tint colors.

## Component changes

### ButtonBar

* [Fix crash when assigning tint color, title, or image to bar button item with custom view. (#9759)](https://github.com/material-components/material-components-ios/commit/332ee7c9aa7567f253e86d28adf2854609834d8b) (featherless)

---

# 105.0.1

This patch release addresses merge issues with the v105.0.0 release. It is intended to be equivalent to
v105.0.0.

---

# 105.0.0

In this major release we removed the deprecated themers: MDCTextFieldTypographyThemer, MDCOutlinedButtonThemer.

## Breaking changes

Deleted MDCTextFieldTypographyThemer and MDCOutlinedButtonThemer classes. Please use the theming extensions.
Learn more at https://github.com/material-components/material-components-ios/blob/develop/docs/theming.md#migration-guide-themers-to-theming-extensions

## Component changes

### ActionSheet

* [Migrates Action sheet to MDCAvailability. (#9733)](https://github.com/material-components/material-components-ios/commit/652077c779b06fc6b44e9bbae237f47e083c053c) (Bryan Oltman)

### ActivityIndicator

* [Migrates activity indicator to MDCAvailability. (#9735)](https://github.com/material-components/material-components-ios/commit/28a7fac63f7ee5f1787ab56190c8a579532810d6) (Bryan Oltman)

### BottomNavigation

* [Migrates Bottom Navigation to MDCAvailability. (#9717)](https://github.com/material-components/material-components-ios/commit/02efdd188990305ff298fbad25fa48634974b1b4) (Randall Li)

### Buttons

* [Fix tvOS target bug. (#9705)](https://github.com/material-components/material-components-ios/commit/95518f48d4fe6c10e13cbdcfcc3a1c863697298d) (Randall Li)
* [MDCButton. (#9667)](https://github.com/material-components/material-components-ios/commit/1d8d647f1f534de4366c8722992b67858d7ba444) (copybara-service[bot])
* [Delete deprecated MDCOutlinedButtonThemer (#9688)](https://github.com/material-components/material-components-ios/commit/1118f14124858fe9a258b0971393e33b3966d2bf) (Bryan Oltman)

### Cards

* [Migrates cards to MDCAvailability. (#9728)](https://github.com/material-components/material-components-ios/commit/b677a3629e180a89f1e6a15256b45790ca794af5) (Randall Li)

### Chips

* [Migrates Chips to MDCAvailability. (#9713)](https://github.com/material-components/material-components-ios/commit/33fbdfc3be62b4ff78951898b9abe6fc59041db4) (Randall Li)

### Dialogs

* [Add snapshot tests for additional dialog configurations. (#9646)](https://github.com/material-components/material-components-ios/commit/e2bff768df18fc24f91857447ddb8992071e778f) (Galia Kaufman)
* [Adding accessory view vertical inset to private header (#9692)](https://github.com/material-components/material-components-ios/commit/ecddca8d58d8e02fb350d31277693dbaff56f952) (Galia Kaufman)
* [Adding an adjustable insets feature flag. Flag default is NO. Clients must enable flag if they want to customize the inset. This flag has no effect yet in this CL. Adjustable layout logic will be introduced in followup CLs. (#9648)](https://github.com/material-components/material-components-ios/commit/0c8647cfca40fc04aa9da1ff7dde30efbe6456dc) (Galia Kaufman)
* [Delete Dialogs OWNERS file (#9697)](https://github.com/material-components/material-components-ios/commit/5884725f8746bfaecbc02ed509cb70eac42c5428) (Randall Li)
* [Fix custom title icon view layout - top inset (#9721)](https://github.com/material-components/material-components-ios/commit/3b89aecee05c95d49f331ce77427cc5731fbea99) (Iryna Berezan)
* [Migrate dialogs to availability (#9743)](https://github.com/material-components/material-components-ios/commit/88b5767bdb200438108c46f9eae96a8695ef91f7) (Andrew Overton)
* [Refactor action frame calculations to accommodate adjustable insets (5 seconds ago) (#9656)](https://github.com/material-components/material-components-ios/commit/a40a4eb171994b72de473b974131350bed870b1b) (Galia Kaufman)
* [Refactor content frame calculations to accommodate adjustable insets  (#9710)](https://github.com/material-components/material-components-ios/commit/05e38ef7387ff7bb455978031339ecda3ae19893) (Galia Kaufman)
* [Refactor title frame calculations to accommodate adjustable insets (#9709)](https://github.com/material-components/material-components-ios/commit/6011e001f6cfc28ea28591d098a14b9cff4ca78f) (Galia Kaufman)
* [Refactor title-icon, title-icon-view frames calculations to accommodate adjustable insets (#9657)](https://github.com/material-components/material-components-ios/commit/b3ba7e6d2c9deeb7c155f2242cad3c10c15f3e39) (Galia Kaufman)
* [Update adjustable insets comments (#9694)](https://github.com/material-components/material-components-ios/commit/60a531ca2ad9604c7559be0241aabec874cb87a4) (Galia Kaufman)
* [Update adjustable insets values (#9695)](https://github.com/material-components/material-components-ios/commit/735d2d28183cf977eb9508ac913a234f8e4d5bc3) (Galia Kaufman)

### FlexibleHeader

* [Added property for minimumHeaderViewHeight (#9649)](https://github.com/material-components/material-components-ios/commit/8e782d43a2d0a8033f0c65809c9dd09624ff3dbd) (copybara-service[bot])
* [Migrates Flexible Header to MDCAvailability. (#9744)](https://github.com/material-components/material-components-ios/commit/d962e50cf2564d07a6b823bf02170bdd7fb38f20) (Bryan Oltman)

### Ink

* [Migrates Ink to MDCAvailability. (#9741)](https://github.com/material-components/material-components-ios/commit/f168dd2806d5b9a069f08dd715cb8dc895db996e) (Bryan Oltman)

### NavigationDrawer

* [Delete NavigationDrawer OWNERS file (#9696)](https://github.com/material-components/material-components-ios/commit/43706fa2f9c919421867e442656b24c6dd762da1) (Randall Li)

### Slider

* [Migrates Slider to MDCAvailability. (#9704)](https://github.com/material-components/material-components-ios/commit/d03c34293fb3935e2d24f306e5add2f81741ea21) (Randall Li)

### Snackbar

* [Migrates Snackbar to MDCAvailability. (#9739)](https://github.com/material-components/material-components-ios/commit/1a221fe8b02aa2c1df77ad91a00f544c7eb1756a) (Bryan Oltman)

### Tabs

* [Migrates Tabs to MDCAvailability. (#9716)](https://github.com/material-components/material-components-ios/commit/549e52668e3525bc41e728ccf3e158574951bdd1) (Randall Li)

### TextFields

* [Delete deprecated MDCTextFieldTypographyThemer (#9689)](https://github.com/material-components/material-components-ios/commit/86b4fbcb2c2074b9e60dfb7987a3a1dc92c37937) (Bryan Oltman)

### private/Color

* [Make private/color use availability  (#9738)](https://github.com/material-components/material-components-ios/commit/1cc8bb781d6142452f40d8265664077ba7c85710) (Andrew Overton)

### private/TextControlsPrivate

* [Migrates Text Controls to MDCAvailability (#9720)](https://github.com/material-components/material-components-ios/commit/d89fa3fb11b97727265254afac91c2f9be6afb21) (Andrew Overton)
* [Move static const assignment to MDCTextControl.m (#9701)](https://github.com/material-components/material-components-ios/commit/2d8d6a082fbf046df5b108b03e4566fb1fe91ea8) (Andrew Overton)
* [Changes from text-area-feature-branch with additional podspec and BUILD file changes (#9711)](https://github.com/material-components/material-components-ios/commit/e6ef298bdff1f25005f013777f9e534cb4b6a6d4) (Andrew Overton)

### schemes/Color

* [Migrates Schemes to MDCAvailability (#9736)](https://github.com/material-components/material-components-ios/commit/ae6d6d9a908c13f0466ad566ba7763925739dd49) (Andrew Overton)

---

# 104.0.1

In this patch release we fixed the syntax of the TV_OS macro.

## Component changes

### Buttons

* [Fix tvOS target bug. (#9705)](https://github.com/material-components/material-components-ios/commit/ed3d6306e6bbe25e1a486fa5853391343eb0e39c) (Randall Li)
---

# 104.0.0

In this major release we removed the deprecated MDCFloatingActionButtonThemer, added APIs to AppBar flexible header, alert controllers, bottom drawers and sliders to make the more configurable for clients.

## Breaking changes

Deleted the MDCFloatingActionButtonThemer class. Use the theming extension.

## New features

AppBar added an API for changing the stack view offset.
Flexible header added an API for showing the hairline and its color.
Availability macro for internal use.
AlertControllers added an API for titleIconView.

Bottom drawer added an API for sticky status bars and adjustment when content size changes.
```swift
let contentViewController = UIViewController()	let bottomDrawerViewController = MDCBottomDrawerViewController()
...
bottomDrawerVC.shouldIncludeSafeAreaInContentHeight = true
bottomDrawerVC.shouldIncludeSafeAreaInInitialDrawerHeight = true
present(bottomDrawerViewController, animated: true, completion: nil)
```

Slider added an API for allowAnimatedValueChanges and trackEndsAreRounded or trackEndsAreInset.

## API changes

## Component changes

### ActionSheet

* [Change default header to be 8pt tall instead of 0.](https://github.com/material-components/material-components-ios/commit/2015a3f0774a93f37932eb6245eaefaeb67396a6) (Cody Weaver)

### AppBar

* [Add a snapshot test for a scrolled app bar.](https://github.com/material-components/material-components-ios/commit/26bca1a6af7ccdb4ed59b6ead91133d2449bcdf2) (Jeff Verkoeyen)
* [Add an AppBar Theming example.](https://github.com/material-components/material-components-ios/commit/5fc9ec512e6225900139710bd5ed6cbb4f115da8) (Jeff Verkoeyen)
* [Always apply the default shadow behavior when theming.](https://github.com/material-components/material-components-ios/commit/85150487fc6bacc8ce8ee6fac4b1f592a177a1a1) (featherless)
* [Minor clarification to example documentation.](https://github.com/material-components/material-components-ios/commit/d17144ee68804d033ddd7dc5a06186db05f5579e) (Jeff Verkoeyen)
* [internal change](https://github.com/material-components/material-components-ios/commit/a409da4cf0b1e31559ce1ff13694247495f7c2e7) (Nobody)

### Availability

* [Add an umbrella header.](https://github.com/material-components/material-components-ios/commit/e02bd712609bb90ded1e7ade824d75fb7d1eafe2) (Jeff Verkoeyen)
* [add Availability build file (#9678)](https://github.com/material-components/material-components-ios/commit/f00071b38402da58bfbf208ce477624eb3c002ef) (Randall Li)

### Banner

* [Migrates the Banner to MDCAvailability.](https://github.com/material-components/material-components-ios/commit/081fd7a6b43e5cb28fab93d6d50bdafcbb79c5b8) (Nobody)

### BottomNavigation

* [Layout item views after title changes.](https://github.com/material-components/material-components-ios/commit/9c71657ac0e9103c3ffc39eeaf218d10a591ed4b) (Rob Moore)

### ButtonBar

* [Add missing self-> within a block.](https://github.com/material-components/material-components-ios/commit/b30d4c9162675cf3b6b5dbb64c9e13f4312295fe) (Jeff Verkoeyen)
* [Add snapshot tests for title color behavior.](https://github.com/material-components/material-components-ios/commit/45b435c70c5060e532e18dde322eb5f89dbe4639) (Jeff Verkoeyen)
* [Assign the UIBarButtonItem's tintColor to the button's text color.](https://github.com/material-components/material-components-ios/commit/169cd386a647704065e6726e9293aae737d4dfe8) (Jeff Verkoeyen)
* [Assign the UIBarButtonItem's tintColor to the button's text color.](https://github.com/material-components/material-components-ios/commit/eb528a9349bba206e4e4eebf9ccfa98b6e518781) (Jeff Verkoeyen)
* [Refactor title color logic to a single location.](https://github.com/material-components/material-components-ios/commit/6ec9f334f0e093e1d2bf04165895ca725455150e) (Jeff Verkoeyen)
* [Rolling back "Assign the UIBarButtonItem's tintColor to the button's text color."](https://github.com/material-components/material-components-ios/commit/aca8bbd5e284966c2a2bcd52a0397edf890fabf6) (Jeff Verkoeyen)
* [Use CGSizeZero instead of CGSizeMake(0, 0).](https://github.com/material-components/material-components-ios/commit/e91b5bfb9f9384c5fa9d37ad371d970d1948eedf) (Jeff Verkoeyen)

### Buttons

* [Delete deprecated MDCFloatingActionButtonThemer (#9662)](https://github.com/material-components/material-components-ios/commit/0efb82cf5f0acc3053a1af0e44c7b09464430417) (Bryan Oltman)
* [Migrates Buttons to MDCAvailability.](https://github.com/material-components/material-components-ios/commit/421770ca2e40399dcbe69552458e1e68d8f88c4c) (Nobody)
* [Set contentEdgeInsets in theming for MDCFloatingButton with normal shape.](https://github.com/material-components/material-components-ios/commit/623986d5136b927d8d72670afc810d791adc3051) (Wenyu Zhang)

### Dialogs

* [Add a private API for passing a custom title icon view. It can be used for passing a custom animation into the title.](https://github.com/material-components/material-components-ios/commit/ecb0ddcae0965d3f779d2c1b99d8911a3462c6f2) (Iryna Berezan)
* [Adding snapshot tests for long, short, text and outlined actions in vertical and horizontal layout, in LTR and RTL.](https://github.com/material-components/material-components-ios/commit/31c2f236fd172a0303d599013c349687049cb60f) (Galia Kaufman)
* [Avoid code duplication for placing action and content scroll views in 'layoutSubviews' method of MDCAlerControllerView.](https://github.com/material-components/material-components-ios/commit/654f3dff28baba58ca61942a1f10422bce1e629d) (Iryna Berezan)
* [Ensure to remove correct notification observer for the style updates.](https://github.com/material-components/material-components-ios/commit/408359680fb78fb7e148b716494147cf431d6a9a) (Iryna Berezan)
* [Initialize a few CGFloat expressions in dialogs with a single-precision floating point constant.](https://github.com/material-components/material-components-ios/commit/5aaf54801f29f98e8e9ead3949805c8102ab119b) (Iryna Berezan)
* [Keep the title on the screen during scrolling, just like the action buttons, to follow MD guidelines on Dialogs.](https://github.com/material-components/material-components-ios/commit/ab081a99b105fdaaf34a8064ae3005c133e8b1db) (Iryna Berezan)
* [Refactor out the layout calculations for title, title icon, message and the view insets into private methods.](https://github.com/material-components/material-components-ios/commit/b0922091d75ce751d3f1725b9416849a22fb2590) (Iryna Berezan)
* [Removing redundant function argument](https://github.com/material-components/material-components-ios/commit/35aac79c34be5bc58a1369955042535ba49bb37d) (Galia Kaufman)
* [Renaming "custom" category to "customize".](https://github.com/material-components/material-components-ios/commit/09a10a4fca17de844ed1680b4ef0ee32f54ffe54) (Galia Kaufman)
* [Renaming "custom" category to "customize".](https://github.com/material-components/material-components-ios/commit/992cdb4433195895e8a3fd35359a09d75d7da847) (Galia Kaufman)
* [Update comments describing private margin properties.](https://github.com/material-components/material-components-ios/commit/468f7f6b910e018202850ad389fe91816287ec05) (Galia Kaufman)
* [Update comments describing private margin properties.](https://github.com/material-components/material-components-ios/commit/48afe8cf39b2dace97b3391aefc4fb16027697be) (Galia Kaufman)

### Elevation

* [Migrates elevation to MDCAvailability.](https://github.com/material-components/material-components-ios/commit/98f8968ebe8c7f00951a97a6cd299aee54ae61c5) (Nobody)

### FeatureHighlight

* [Migrates Feature Hightlight to MDCAvailability.](https://github.com/material-components/material-components-ios/commit/ef3c2bf8c9f78aaab34e2be035f6d894f306f82f) (Nobody)

### FlexibleHeader

* [Add hairline support.](https://github.com/material-components/material-components-ios/commit/e1f6550638c929da11735c92faf65c2db927ff18) (Jeff Verkoeyen)
* [Add missing import to MDCFlexibleHeaderView+Private.h](https://github.com/material-components/material-components-ios/commit/bb54592579a5e45e8ba557f6e0bb960068517db9) (Jeff Verkoeyen)
* [Add missing nullability annotation.](https://github.com/material-components/material-components-ios/commit/866cee927378c4fdbae70a16fb00e333ed538129) (Jeff Verkoeyen)
* [Resolve precision warning due to use of floating point.](https://github.com/material-components/material-components-ios/commit/c6feff1314c92747024dd464de74abebb92ae9b4) (Jeff Verkoeyen)

### List

* [Make padding between title label and detail label smaller](https://github.com/material-components/material-components-ios/commit/cea950de09fd3d13d8987332580603df05a64e54) (Andrew Overton)
* [This change makes rippleColor null_resettable on MDCBaseCell](https://github.com/material-components/material-components-ios/commit/f3c66548f7835e5bc88337e231833d0e6c53a687) (Andrew Overton)

### NavigationDrawer

* [Add ability to change the maximumInitialDrawerHeight after drawer has been presented.](https://github.com/material-components/material-components-ios/commit/19c171280bf73f500dfa8882f5038a29126adf8d) (Yarden Eitan)
* [Add contributor to OWNERS file](https://github.com/material-components/material-components-ios/commit/6ac24af12d664468a1de76fb500c3859b781b7bd) (Yarden Eitan)
* [Adding a flag to allow clients to opt-in to when the preferredContentSize of the contentViewController changes, it visually updates the drawer height.](https://github.com/material-components/material-components-ios/commit/62fc0634810416eed83e50b4ee6aafc85e35fd62) (Yarden Eitan)
* [Implemented opt-in ability to have a "sticky" view, presented behind top safe area, when a headerViewController is not provided (continuation of #9464).](https://github.com/material-components/material-components-ios/commit/c9eba44c691c6bc0cb194cc5f126c87606652ad9) (Nobody)
* [Improve behavior when navigating the bottom drawer with Voice Over. This change makes it possible to navigate back and forth between the `headerViewController` and `contentViewController`, without VO getting stuck, by making the view hierarchy's `accessibilityElements` explicit.](https://github.com/material-components/material-components-ios/commit/8c2e4e2c407a9d77a42921161116369ab19e80c5) (Jake Rockland)
* [Improve swipe-down-to-dismiss behavior for drawers where drawer content is less than `160`. This adjustment ensures that for drawer contents that are quite small (ex. 100pt) the drawer contents to not become undismissable. Without this adjustment it is nearly impossible to achieve a scroll offset of (40pt), the current `kVerticalDistanceDismissalThreshold`, making the drawer effectively undismissable.](https://github.com/material-components/material-components-ios/commit/000f0d8ddd13fc07243978b9abeb3bfe17d229c0) (Jake Rockland)
* [Refactor `CGFloat topAreaInsetForHeader = (self.headerViewController ? self.topSafeAreaInset : 0);` usage into its own private method.](https://github.com/material-components/material-components-ios/commit/54fd1dac39a6c3d9db41fd6f85abf4671be34a97) (Nobody)
* [Update documentation basic examples for MDCBottomDrawerViewController usage.](https://github.com/material-components/material-components-ios/commit/a9789f280deca65b1f529eba2cf39083c32bd6ec) (Jake Rockland)
* [Use keyWindow top inset to maintain backwards consistency with behavior prior to moving off of MDCDeviceTopSafeAreaInset.](https://github.com/material-components/material-components-ios/commit/31c3cd734089ede8b8942e3f34d18d4c7ecc291a) (Nobody)
* [Use positive booleans to improve readability of height layout calculations.](https://github.com/material-components/material-components-ios/commit/16c1cf8932d2b5678883114beba56d8b0e1df1fa) (Nobody)

### ProgressView

* [Allow the progress view to be sized to fractional points.](https://github.com/material-components/material-components-ios/commit/2fb26e01b1c43b3285836b3b78d0831a0bcc67ae) (Jeff Verkoeyen)

### Slider

* [Add trackEndsAreInset property to MDCSlider](https://github.com/material-components/material-components-ios/commit/a742270f97cf1e1c74f2a48a89806f892b78b7ca) (Jacob Lukas)

### TextControls

* [Add Swift-friendlier names to TextControl text fields](https://github.com/material-components/material-components-ios/commit/54b9d1b72e9ca2f55c75f98792e842c9197ea374) (Andrew Overton)
* [Invalidate intrinsic content size in MDCBaseTextField](https://github.com/material-components/material-components-ios/commit/905dac8d81f05312d3abb767fd2c59ca39e4c117) (Andrew Overton)
* [This change gives MDCBaseTextField the same default font as UITextField.](https://github.com/material-components/material-components-ios/commit/6efc87a1ad5c59fe93b2495d23244c44075e8ddf) (Andrew Overton)
* [This change removes some log statements that would otherwise annoy clients.](https://github.com/material-components/material-components-ios/commit/f6dd4a5e24b2184ff4b2097ffbfb2420bdcd534c) (Andrew Overton)

### TextFields

* [Add localized clear text string for multiline text field.](https://github.com/material-components/material-components-ios/commit/7dbd3e0ef50188d5481b428e009588288adbb3f0) (Cody Weaver)
* [Use correct localization API.](https://github.com/material-components/material-components-ios/commit/6c2b38e46faed1f8707f88b22bd5328a09949d68) (Cody Weaver)

### private/TextControlsPrivate

* [Remove unwanted animations from filled style.](https://github.com/material-components/material-components-ios/commit/5b1788424a1ad99d199d570271e86714ec2e4998) (Andrew Overton)

## Multi-component changes

* [Add allowAnimatedValueChanges property to MDCSlider](https://github.com/material-components/material-components-ios/commit/f0816875d70ea3d0b2b841628fd9279ded463e25) (Jacob Lukas)
* [Add iberezan to the codeowners.](https://github.com/material-components/material-components-ios/commit/6443f9cf16f13fa375d545ea6a59f7de07cba24e) (Iryna Berezan)
* [Add trackEndsAreRounded property to MDCSlider](https://github.com/material-components/material-components-ios/commit/2ee31932b69157ceef1f55c90a802e224f622b67) (Jacob Lukas)
* [Adds availability macro for conditionally compiling OS sensitive code.](https://github.com/material-components/material-components-ios/commit/770095c612c1f6fc993c42a4e4c80e0ec79a37a4) (Nobody)
* [Internal Change](https://github.com/material-components/material-components-ios/commit/b8ffaabc73bcdd0b19d762d9b51f7b143ddb574e) (Nobody)
* [Move off of MDCDeviceTopSafeAreaInset (continuation of #9476).](https://github.com/material-components/material-components-ios/commit/afe22513f72d49d447f24a65c45889014750a011) (Nobody)
* [Reevaluate RTL logic because of internal snapshot testing infrastructure](https://github.com/material-components/material-components-ios/commit/1d7746f552d8cf043ab23d0f60dd041cb4478281) (Andrew Overton)
* [This change adds a new property to the private protocol MDCTextControl. This property, labelFrame, is used by the outlined style object during style application. The outlined style object needs to know the label frame because the outline breaks before it hits the label and resumes after it. Accessing `label.frame` has proven unreliable during this scenario because of animations in progress.](https://github.com/material-components/material-components-ios/commit/2103f285ee7fd5d19cf298cc7125f88533c85e17) (Andrew Overton)
* [add deps on availability for a bunch of components (#9679)](https://github.com/material-components/material-components-ios/commit/fa62718bc55b331f613b49b9324b9189843188f0) (Randall Li)

---

# 103.1.0

This minor release introduces iOS 13 support for BottomNavigation, divider customization for ActionSheet actions, and several bug fixes.

## New features

### ActionSheet

MDCActionSheetAction has two new APIs, `dividerColor` and `showsDivider`. These APIs can be used to show a divider above the action.

```objc
action.showsDivider = YES;
action.dividerColor = UIColor.greenColor;
```

MDCActionSheetController now has a delegate, `MDCActionSheetControllerDelegate`, that can be used to react to action sheet dismissal.

```objc
actionSheet.delegate = self;

- (void)actionSheetControllerDidDismiss:(MDCActionSheetController *)actionSheetController {
  NSLog(@"Did dismiss");
}
```

### BottomNavigation

MDCBottomNavigationBar now supports iOS 13's large content viewer functionality.

## Component changes

### ActionSheet

* [Action sheet divider (#9449)](https://github.com/material-components/material-components-ios/commit/0d632ff762d69049463817a80db7149a4c535a16) (Cody Weaver)
* [Add delegate to support dismissal notification (#9475)](https://github.com/material-components/material-components-ios/commit/42b004fcd7108825bf9d8f436c557a0a11fd2a97) (Bryan Oltman)

### AppBar

* [Fix swipe to go back gesture for MDCAppBarNavigationController. (#9448)](https://github.com/material-components/material-components-ios/commit/53ab07d693a8a27f96d12dc17715b768d16059af) (featherless)

### BottomNavigation

* [Adds large content viewer support (#9451)](https://github.com/material-components/material-components-ios/commit/69d39caeb96c2c2dc4ff80e10269ba815c799159) (Eric Lee)
* [Fix bug in delegate method call (#9489)](https://github.com/material-components/material-components-ios/commit/e51a83afeb149b2e051f9abb8b43ce134f0b23f4) (Robert Moore)

### Dialogs

* [Use dot notation for properties and copyedits. (#9458)](https://github.com/material-components/material-components-ios/commit/33e69ab97351299ad6c3daac93946422922d7b1c) (Randall Li)

### FeatureHighlight

* [Allow UIAccessibility to activate the "dismiss" affordance. (#9486)](https://github.com/material-components/material-components-ios/commit/076aaa29dc039ec393533f27094903d9eebbcb6b) (Robert Moore)

### FlexibleHeader

* [Annotate to-be-deprecated APIs accordingly. (#9492)](https://github.com/material-components/material-components-ios/commit/9efa83581e90da776d848a9ae12140b0a695cc00) (featherless)

### NavigationDrawer

* [Update `transitionPercentageForContentOffset:` to use `kEpsilon` (#9471)](https://github.com/material-components/material-components-ios/commit/5e316d7a1575bd7cfcd4b20d083cfdcd3ddefc68) (Jake Rockland)

### Snackbar

* [Add example to show snackbar with keyboard (#9479)](https://github.com/material-components/material-components-ios/commit/c95a4449972c43da4642e622a3247a4c16ab7687) (Bryan Oltman)
* [Update dismiss animation duration (#9472)](https://github.com/material-components/material-components-ios/commit/a20a5f6aa6ee704a49b9ec3270a7d547003e457c) (Yarden Eitan)

### TextControls

* [Update README (#9466)](https://github.com/material-components/material-components-ios/commit/c70ad694273d71e33c9edd6b268692c21e9bd4fb) (Andrew Overton)

### TextFields

* [Add identity check in -setTextColor: in MDCTextField (#9480)](https://github.com/material-components/material-components-ios/commit/7a48d3997fafb2b7a9e8ed4b76cf39772389430d) (Andrew Overton)
* [MDCTextInputControllerOutlinedTextArea border width fix (#9454)](https://github.com/material-components/material-components-ios/commit/b28e09d345e518a042609b9a176e9ca99d98b024) (Andrew Overton)

---

# 103.0.0

This major release includes a refactoring of the TextControls libraries, a theming extension for TextFields' underline controller,
a bugfix change to Chips imagePadding handling, and the annotation of an AppBar API as to be deprecated.

## API changes

### TextControls+BaseTextFields

**New extension.**

### TextControls+Enums

**New extension.**

### TextControls+FilledTextFields

**New extension.**

### TextControls+FilledTextFieldsTheming

**New extension.**

### TextControls+OutlinedTextFields

**New extension.**

### TextControls+OutlinedTextFieldsTheming

**New extension.**

## Component changes

### AppBar

* [Annotate MDCAppBarNavigationControllerDelegate's appBarNavigationController:willAddAppBar:asChildOfViewController: as to be deprecated. (#9395)](https://github.com/material-components/material-components-ios/commit/8f80efe08d3af4643ef402f10d369f15f4eeef51) (featherless)

### Chips

* [Additional `imagePadding` tests. (#9441)](https://github.com/material-components/material-components-ios/commit/8377722bdb22163068e0775aea5cc39a89a35f6f) (Robert Moore)
* [Fix `contentPadding` API. (#9440)](https://github.com/material-components/material-components-ios/commit/d1d494b0ef0fe716f9b1422830077b5552e48996) (Robert Moore)
* [Fix `imagePadding` behavior. (#9442)](https://github.com/material-components/material-components-ios/commit/944ed3a1852e77dcf8a961e022fd18dd3645b6dc) (Robert Moore)

### TextFields

* [Add theming extension for underline controller (#9437)](https://github.com/material-components/material-components-ios/commit/3b3d288ea42ddcc53b61127283770f145b9def38) (Cody Weaver)

## Multi-component changes

* [Restructure Cocoapods and Bazel targets (#9430)](https://github.com/material-components/material-components-ios/commit/083cf8c12f8efe1d9351ddb56f513a5fed5cd289) (Andrew Overton)

---

# 102.0.0

This major hotfix release reverts a change introduced in 101.1.0 that caused Snackbar not to appear in some situations.

## Component changes

### Snackbar

* [Revert "[Snackbar] Add tvOS support to MDCSnackbar. (#9428)"](https://github.com/material-components/material-components-ios/commit/5b75d64207b9c7a7a5f3bb85cb4b5b203b0748e7) (jverkoey@)

---

# 101.1.1

This release includes a bug fix for Dialogs. In some cases a change in
`preferredContentSize` did not correctly trigger a layout of an Alert's
subviews.

## Component changes

### Dialogs

* [Layout fix for MDCAlertController (#9383)](https://github.com/material-components/material-components-ios/commit/04e6f18b1417d3ae44d2bd3a1a9796dfa03f5586) (Bambara@)

---

# 101.1.0

This minor release improves tvOS support for Buttons and Snackbar, annotates some AppBar APIs as to-be-deprecated, and fixes a bug in the NavigationDrawer.

## New features

tvOS support is being added to some of our components.

## Component changes

### AppBar

* [Annotate MDCAppBarContainerViewController's appBar and topLayoutGuideAdjustmentEnabled as to be deprecated. (#9394)](https://github.com/material-components/material-components-ios/commit/d7c2865c3d754edf39e28db62ec7039b9ed469c2) (featherless)

### Buttons

* [Add tvOS support to MDCButton. (#9427)](https://github.com/material-components/material-components-ios/commit/71b5766eaa49a4245d8b0c8527773597ce5407d6) (Yarden Eitan)

### Chips

* [Add snapshot tests for selectedImage layout. (#9425)](https://github.com/material-components/material-components-ios/commit/aadb9a6bd099311ea97c189cb7ca2f60701dc201) (Robert Moore)
* [Tests to evaluate `padding` APIs. (#9423)](https://github.com/material-components/material-components-ios/commit/9694cb2fb68b2717ff16412b3e1ea7c7085bb3b2) (Robert Moore)

### NavigationDrawer

* [Fix #9410 (#9411)](https://github.com/material-components/material-components-ios/commit/bcaf187e373cd3d20fb06b9ea0b5f4ae5546214f) (Jake Rockland)

### Snackbar

* [Add tvOS support to MDCSnackbar. (#9428)](https://github.com/material-components/material-components-ios/commit/7f5d3c76e1e00e461d799019a4fdb52d3c40f9d8) (Yarden Eitan)

---

# 101.0.1

In this patch release we reverted Snackar's display accessibility level from `UIAccessibilityScreenChangedNotification` to `UIAccessibilityLayoutChangedNotification`, as it caused in some cases an unwanted immediate focus shift for VoiceOver users.

## Component changes

### Snackbar

* [Revert "[Snackbar] Accessibility focus change to include the accessibil… (#9389)"](https://github.com/material-components/material-components-ios/commit/c1bd3640a4683345cc569150d1255dbabd5bd1eb) (Yarden Eitan)

---

# 101.0.0

In this major release we deleted the class `MDCFlexibleHeaderColorThemer` and deprecated the `MDCHeaderStackViewColorThemer`. As well as allowing the NavigationDrawer to account for the bottom safe area in presentation, improvements to our BUILD files, touch targets on `TextFields` and our `TextControl` examples and documentation.

## Breaking changes

The `MDCFlexibleHeaderColorThemer` no longer exists.
## New deprecations

We deprecated `MDCHeaderStackViewColorThemer`. No current replacement exists.

## New features

In order to account for the bottom safe area in presentation of a `MDCBottomDrawerViewController` we added a behavioral flag `shouldIncludeSafeAreaInInitialDrawerHeight`.

```objc
  MDCBottomDrawerViewController *bottomDrawer =
      [[MDCBottomDrawerViewController alloc] init];
  bottomDrawer.shouldIncludeSafeAreaInInitialDrawerHeight = YES;
```

## API changes

### HeaderStackView

*deprecated* class: `MDCHeaderStackViewColorThemer`, no replacement exists.

### NavigationDrawer

*new* property: `shouldIncludeSafeAreaInInitialDrawerHeight` in `MDCBottomDrawerPresentationController`.

*new* property: `shouldIncludeSafeAreaInInitialDrawerHeight` in `MDCBottomDrawerViewController`.

## Component changes

### Cards

* [Properly use headings for 'Swift' and 'Objective C' above sample code (#9353)](https://github.com/material-components/material-components-ios/commit/900ace5c7b648acb003ef6f28cfd2a2731c3814c) (Bryan Oltman)

### FlexibleHeader

* [Delete MDCFlexibleHeaderColorThemer (#9351)](https://github.com/material-components/material-components-ios/commit/a2eb1dcdbdf45616bcf712a0a04d99822a3edc5b) (Bryan Oltman)

### HeaderStackView

* [Mark MDCHeaderStackViewColorThemer deprecated (#9354)](https://github.com/material-components/material-components-ios/commit/aff103cbf93823e377829f66feeb6847e6950267) (Bryan Oltman)

### NavigationDrawer

* [Added ability to account for bottom safe are… (#9321)](https://github.com/material-components/material-components-ios/commit/620d2e27ef3442b16b9edae757a59729fa48c4e1) (Jake Rockland)

### Snackbar

* [Update reference image for testSnackbarOverlayViewWithHighElevation (#9373)](https://github.com/material-components/material-components-ios/commit/d0ff0e38a146fcb89dac7e2058bd4893c0384bc0) (Bryan Oltman)

### TextControls

* [Refactor text control examples (#9358)](https://github.com/material-components/material-components-ios/commit/dc10fe2d0db0cbefebd801eb08bf183df7588001) (Andrew Overton)
* [Use CGFloat consts in theming extensions (#9360)](https://github.com/material-components/material-components-ios/commit/9e51717abf1de2d5e606402d74a38c01d324892d) (Andrew Overton)
* [Write docs for MDCTextControls (#9327)](https://github.com/material-components/material-components-ios/commit/d99e87232035c6a369220a989ff3628f9b45d54f) (Andrew Overton)

### TextFields

* [Give MDCTextField clear button proper hit area insets (#8790)](https://github.com/material-components/material-components-ios/commit/703589b3eb68512d448e6a25e10a74fde19504cd) (Andrew Overton)

### Typography

* [Remove unused import in //components/Typography:SwiftExamples. (#9367)](https://github.com/material-components/material-components-ios/commit/3b96c0b37ec03b93f6faff362fff0758dc34f946) (featherless)

## Multi-component changes

* [Implement Swift import rewriting as part of Bazel. (#9368)](https://github.com/material-components/material-components-ios/commit/26b5e48574a07f4e79ac463bededf7517495fe36) (featherless)
* [Ran buildifier on all BUILD files. (#9366)](https://github.com/material-components/material-components-ios/commit/0a0bc4b47be3ca986e0442262656cc363edb3088) (featherless)
* [Remove all unused mdc_objc_library loads. (#9376)](https://github.com/material-components/material-components-ios/commit/162a063bdaff001a0a4aeba10c7ede5f0c96f3e0) (featherless)
* [Remove all unused swift_library load statements. (#9369)](https://github.com/material-components/material-components-ios/commit/b7cf0de9158345f35d25e8f41bd7d6e174fafb05) (featherless)
* [Remove unused motion_transitioning_objc dependency. (#9379)](https://github.com/material-components/material-components-ios/commit/2b186d6e47846fb53acfdcc66af488ce8566f109) (featherless)

---

# 100.1.0

In this minor release we addressed a bug in `MDCSnackbar` where the Snackbar would not read the `accessibilityHint`.

## Component changes

### Snackbar

* [Accessibility focus change to include the accessibil… (#9389)](https://github.com/material-components/material-components-ios/commit/bba4713a77537b43d154eb775323d1abd774ea49) (Yarden Eitan)

---

# 100.0.1

In this patch release we addressed a bug in `MDCSnackbar` where the Snackbar would not `clipToBounds` if the legacy behavior was enabled.

## Component changes

### Snackbar

* [clipToBounds for legacy Snackbar (#9386)](https://github.com/material-components/material-components-ios/commit/e493ac64d70a2b030b8abfe1f5a60c8053f9788c) (Yarden Eitan)

---

# 100.0.0

In this major release we made a breaking change improvement to Ink’s `inkColor` API. As well as improvements including customization Dialogs presentation animation,
Flexible Header behavior around safe area. Also, we addressed bugs in Snackbar and TextFields.

## Breaking changes

The `inkColor` in `MDCInkView` is now `null_resettable`.

## New features


### Dialogs

We added the ability to customize MDCAlertController presentation animation.

```swift
let alertController = MDCAlertController()
alertController.presentationOpacityAnimationDuration = 0.5
alertController.presentationScaleAnimationDuration = 0.25
alertController.presentationInitialScaleFactor = 0.7
```

```objc
MDCAlertController *alertController = [[MDCAlertController alloc] init];
alertController.presentationOpacityAnimationDuration = 0.5;
alertController.presentationScaleAnimationDuration = 0.25;
alertController.presentationInitialScaleFactor = 0.7;
```

### FlexibleHeader

We added a new runtime flag `permitInferringTopSafeAreaFromTopLayoutGuideViewController` to address a crash that was occurring in certain configurations.

When disabled, if both inferTopSafeAreaInsetFromViewController and topLayoutGuideAdjustmentEnabled are set to YES, and the view controller selected to extract the safe area inset from (either automatically or via the delegate) is the same as topLayoutGuideViewController, the app will crash.

When enabled, the app will not crash in the situation described above. This is only supported on iOS 11+.

Enable this property before setting inferTopSafeAreaInsetFromViewController or topLayoutGuideViewController.

```swift
let flexibleHeader = MDCFlexibleHeaderViewController()
flexibleHeader.permitInferringTopSafeAreaFromTopLayoutGuideViewController = true
```

```objc
MDCFlexibleHeaderViewController *flexibleHeader = [[MDCFlexibleHeaderViewController alloc] init];
flexibleHeader.permitInferringTopSafeAreaFromTopLayoutGuideViewController = YES;
```

## API changes

### Dialogs

*new* property: `presentationOpacityAnimationDuration` in `MDCAlertController`.

*new* property: `presentationScaleAnimationDuration` in `MDCAlertController`.

*new* property: `presentationInitialScaleFactor` in `MDCAlertController`.

### FlexibleHeader

*new* property: `permitInferringTopSafeAreaFromTopLayoutGuideViewController` in `MDCFlexibleHeaderViewController`.

### Ink

*modified* property: `inkColor` in `MDCInkView` to be `null_resettable`.

## Component changes

### ActionSheet

* [Standardize the examples. (#9334)](https://github.com/material-components/material-components-ios/commit/315140a146b3b8f6a2ee7b1d2bd1d664e4ebc038) (featherless)

### Banner

* [Update README.md (#9292)](https://github.com/material-components/material-components-ios/commit/20b32f415f7d8a22c873a87fc22af37d93dca71f) (Radek)

### Dialogs

* [Add `const` keyword to CGFloat and UIEdgeInsets constants in MDCDialogPresentationController. (#9325)](https://github.com/material-components/material-components-ios/commit/72e1aa88a0b5fe65118996d3defccbad2c30639d) (Randall Li)
* [Expose MDCAlertController presentation animation properties (#9314)](https://github.com/material-components/material-components-ios/commit/f08507474ceed7b48e1a1bb0f7fb1611bc99e9cf) (Bryan Oltman)

### FlexibleHeader

* [Add new flag to allow use of inferTopSafeAreaInsetFromViewController with topLayoutGuideAdjustmentEnabled (#9323)](https://github.com/material-components/material-components-ios/commit/194d08f305921dc087a4c3303324fa696e086295) (featherless)
* [Clean up unsupported situation when inferring the top safe area inset (#9317)](https://github.com/material-components/material-components-ios/commit/36981ec75c4b146a46a12314c2872a4479d50700) (featherless)

### Ink

* [Update ink color to be null resettable. (#9253)](https://github.com/material-components/material-components-ios/commit/60e467f65408536e5f6f9bdd5f8c071b03de558e) (Yarden Eitan)

### Snackbar

* [Add snapshot test showing reported shadow bug (#9309)](https://github.com/material-components/material-components-ios/commit/d7a242e07fa2498a5fb9859dacd4c58a765421d3) (Yarden Eitan)
* [Resolve truncation of shadow in Snackbars (#9315)](https://github.com/material-components/material-components-ios/commit/c5f7118b13db0331ec16a596b0763130af4eb74e) (Yarden Eitan)

### Tabs

* [Remove out of date color theming docs (#9330)](https://github.com/material-components/material-components-ios/commit/25ee86e3fc4c6c2a0c1e3c14517360c5a8e55961) (Andrew Overton)

### TextControls

* [Add swift storyboard example (#9328)](https://github.com/material-components/material-components-ios/commit/95889abf03927e75e7c6976d19c5101e1e8e3c9f) (Andrew Overton)

### TextFields

* [Ensures that constraints used for the trailing view are properly removed when a new trailing view is set (#9336)](https://github.com/material-components/material-components-ios/commit/f4ec87ac392175df9e2b6827cb5eccc1738519b2) (Andrew Overton)
* [Removes requirement that the textView delegate be set when informing layout delegate of a size change (#9337)](https://github.com/material-components/material-components-ios/commit/f8d9897aac396090e15140aed1800b4431f04684) (Andrew Overton)

## Multi-component changes

* [Use prefix on category name for UIApplication+AppExtensions so that category names don't conflict in ObjC namespace. (#9277)](https://github.com/material-components/material-components-ios/commit/b86e38f249cb28211def17da69add34fb50badf6) (Randall Li)

---

# 99.0.2

This patch release is an empty release intended solely to connect `stable` to `develop`'s ancestry.

---

# 99.0.1

This patch release is an empty release intended solely to re-connect the `develop` and `stable`
branch histories.

# 99.0.0

In this major release we deleted and deprecated numerous APIs in ButtonBar, FeatureHighlight, List,
Tabs, TextFields and Flexible Header. We fixed layout issues in Dialogs and BottomAppBar, and added
support for non-transient Snackbars.

## New features

### Snackbar

We added an opt-in flag to ignore the default timeout and allow Snackbars to persist until an action
is made upon it:

```swift
let snackBarMessage = MDCSnackbarMessage(text: "Message text")
snackBarMessage.automaticallyDismisses = false
```

```objc
MDCSnackbarMessage *snackBarMessage = [MDCSnackbarMessage messageWithText:@"Message text"];
snackBarMessage.automaticallyDismisses = NO;
```

## New deprecations

### ButtonBar

* [Revert "Revert "Delete MDCButtonBarColorThemer (#9235)"" (#9272)](https://github.com/material-components/material-components-ios/commit/8814a6f55c716ff86134818d0dc3ea43747290da) (Andrew Overton)

### FeatureHighlight

* [Delete MDCFeatureHighlightTypographyThemer (#9273)](https://github.com/material-components/material-components-ios/commit/0b2323ad42ccfd2fdafc56b596866e9d70472ee5) (Andrew Overton)

### List

* [Fix typo in doc (#9301)](https://github.com/material-components/material-components-ios/commit/71ee6bd77e70d8b5969891680a03305a1ed5f12b) (Galia Kaufman)
* [Remove MDCListColorThemer (#9188)](https://github.com/material-components/material-components-ios/commit/7119b49862df7f0434de21d409cb6ed34a35799c) (Galia Kaufman)
* [Remove MDCListTypographyThemer (#9190)](https://github.com/material-components/material-components-ios/commit/d5863ef1b5d82daf1f68f0eb612f90936dde6154) (Galia Kaufman)

### Tabs

* [Revert "revert of commit ca2f2ad64046b4a2583abbe7cb705e42ed5f0ae7" (#9271 - [Tabs] Delete MDCTabBarColorThemer)](https://github.com/material-components/material-components-ios/commit/6049a8c9704ecf60d9b4f79c62d406807caf14a8) (Andrew Overton)

### TextFields

* [Delete MDCOutlinedTextFieldColorThemer (#9274)](https://github.com/material-components/material-components-ios/commit/8a510746f681b2d69fdf16fb37e03dec30dfc174) (Andrew Overton)

## Multi-component changes

* [Deprecate MDCFlexibleHeaderColorThemer (#9281)](https://github.com/material-components/material-components-ios/commit/e729515e5c0660827c33369db177a063e52812b5) (Bryan Oltman)
* [Remove uses of MDCFlexibleHeaderColorThemer (#9282)](https://github.com/material-components/material-components-ios/commit/8febe04908420dd3eb2362150ec54185375b2470) (Bryan Oltman)

## Component changes

### BottomAppBar

* [Add intrinsicContentSize (#9290)](https://github.com/material-components/material-components-ios/commit/3596a5638bbf859e5c9faf7daa9b9ff816fe364c) (Bryan Oltman)
* [Add snapshot test to verify autolayout bug (#9289)](https://github.com/material-components/material-components-ios/commit/2a17b6ef46bbc501bc15e40d34a1eba42abb162c) (Bryan Oltman)

### Cards

* [Remove leading space before Swift and ObjC example headers (#9295)](https://github.com/material-components/material-components-ios/commit/d658b7cceda2009c11b7032acc76d191d0bcd023) (Bryan Oltman)

### Chips

* [Fix documentation error for Theming section (#9294)](https://github.com/material-components/material-components-ios/commit/817055e50cf4aea6bc83934d32a16ebcdb1248c9) (Will Ernest)

### Dialogs

* [Fix for MDCAlertController icon centering. (#9219)](https://github.com/material-components/material-components-ios/commit/5236258337f91ffccf8a86906758cfaa114930d1) (Bambara@)

### List

* [Fix typo in doc (#9301)](https://github.com/material-components/material-components-ios/commit/71ee6bd77e70d8b5969891680a03305a1ed5f12b) (Galia Kaufman)
* [Removing Themers from documentation (#9296)](https://github.com/material-components/material-components-ios/commit/ef9887f735ad42e7dc8ea3a45ff287a4e8d5b2b3) (Galia Kaufman)

### Snackbar

* [Allow Snackbars to be non-transient if needed. (#9299)](https://github.com/material-components/material-components-ios/commit/d0f05aef60e48a39118b7fde1f5bd3589a0b438a) (Yarden Eitan)

---

# 98.0.0

In this major release we deleted and deprecated numerous APIs in ActionSheet, BottomNavigation,
Cards, List.
Fix issue with unbounded ink. NavigationDrawer now allows its trackingScrollView to be resettable.

## Breaking changes

### ActionSheet

Delete inkColor and enableRippleBehavior from MDCActionSheetItemTableViewCell

### BottomNavigation

Delete MDCBottomNavigationBarTypographyThemer

## New deprecations

### List

Deprecate MDCListColorThemer

Deprecate MDCListTypographyThemer

## API changes

### BottomNavigation

*removed* class: `MDCBottomNavigationBarTypographyThemer`. Please use the Theming extension instead.

### List

*deprecated* class: `MDCListColorThemer`. Please use MaterialList+Theming instead.

*deprecated* class: `MDCListTypographyThemer`. Please use MDCSelfSizingStereoCell+MaterialTheming instead. (Note: Typography theming is no longer available as an independent API.)

## Component changes

### ActionSheet

* [Delete inkColor and enableRippleBehavior from MDCActionSheetItemTableViewCell (#9240)](https://github.com/material-components/material-components-ios/commit/eb46b2810eb98068146d8bbdf1b0e320bf3a8820) (Bryan Oltman)

### Banner

* [Update Readme to remove Beta related information. (#9248)](https://github.com/material-components/material-components-ios/commit/e47bedadb2fb6681522161d3fe86ff1fab5e072c) (Wenyu Zhang)

### BottomNavigation

* [Use NotoNastaliq for Arabic/RTL tests. (#9260)](https://github.com/material-components/material-components-ios/commit/19c810d61d38ca735b8256adac0ef734ade87141) (Robert Moore)
* [delete-MDCBottomNavigationBarTypographyThemer (#9234)](https://github.com/material-components/material-components-ios/commit/d89eb249aacf6c9204e6544a3a3667fe6e3120e5) (Andrew Overton)

### Cards

* [Remove references to Themer from README (#9261)](https://github.com/material-components/material-components-ios/commit/08a2b20d70079342f0556dc55bdd52b4aa6b8dcc) (Bryan Oltman)

### Ink

* [Fix issue with unbounded ink (#9254)](https://github.com/material-components/material-components-ios/commit/fd63f37684fd28b8c8ecf2f0137a0d98084bc921) (Andrew Overton)

### List

* [Deprecaet MDCListColorThemer (#9265)](https://github.com/material-components/material-components-ios/commit/6e8fdfff36938475c4a8d253a55577cbed98db91) (Galia Kaufman)
* [Deprecate MDCListTypographyThemer (#9269)](https://github.com/material-components/material-components-ios/commit/20c4cad5297889cf41b430b823b7bbb2cc4a15f0) (Galia Kaufman)
* [Remove usage of MDCListTypographyThemer within our library (#9189)](https://github.com/material-components/material-components-ios/commit/6271396e6c027025310df8917604cca19bbb3441) (Galia Kaufman)

### NavigationDrawer

* [Resolve runtime warning from example in iOS… (#9251)](https://github.com/material-components/material-components-ios/commit/cf44736503819fe24c6eb37be6332b082f5eaebe) (Yarden Eitan)
* [allow trackingScrollView to be resettable (#9206)](https://github.com/material-components/material-components-ios/commit/ead4785d5c4c7179a114964ab138f608bc58a3e5) (Yarden Eitan)

### Tabs

* [removed build file dep that was deleted but the colorThemer revert accidentally readd it (#9278)](https://github.com/material-components/material-components-ios/commit/98ad8eb4a431cb1c414e696ab4414388f87ea44e) (Randall Li)

## Multi-component changes

* [Add Swift example for MDCTabBarView (#9246)](https://github.com/material-components/material-components-ios/commit/687ca49597ba420ba552a70677df0f057fbdb20d) (Bryan Oltman)

---

# 97.0.1

This hotfix patch release fixes the podspec. The previous release forgot to remove deleted references to card themers.

---

# 97.0.0

In this major release we deleted and deprecated numerous APIs in ActionSheet, BottomNavigation,
ButtonBar, Cards, Feature highlight, Ink, Page control, Snackbar, TextField, and Tabs. We also
fixed Chip padding for Material theming.

## Breaking changes

### ActionSheet

Delete inkColor and enableRippleBehavior properties.

### BottomNavigation

Delete MDCBottomNavigationBarColorThemer

### Cards

Delete MDCCardsColorThemer
Delete MDCCardsShapeThemer

### FeatureHighlight

Delete MDCFeatureHighlightFontThemer

### Ink

Delete MDCInkColorThemer

### List

Delete MDCListThemer

### PageControl

Delete MDCPageControlColorThemer

### ProgressView

Delete MDCProgressViewColorThemer

### Snackbar

Delete MDCSnackbarColorThemer

### Tabs

Delete MDCTabBarFontThemer

### TextFields

Delete MDCTextFieldFontThemer

## New deprecations

### Buttons

Deprecate MDCButtonColorThemer
Deprecate MDCFloatingActionButtonThemer
Deprecate MDCTextButtonThemer
Deprecating MDCButtonScheme
Deprecating MDCButtonShapeThemer
Deprecating MDCButtonTypographyThemer
Deprecating MDCContainedButtonThemer
Deprecating MDCOutlinedButtonThemer

### Cards

Delete Themer classes

### FeatureHighlight

Deprecate MDCFeatureHighlightTypographyThemer

### NavigationDrawer

Deprecate MDCBottomDrawerColorTHemer

### TextFields

Deprecate MDCTextFieldTypographyThemer
Deprecate MDCOutlinedTextFieldColorThemer

## API changes

### ActionSheet

*removed* property: `inkColor` in `MDCActionSheetController`. Use rippleColor instead.

*removed* property: `enableRippleBehavior` in `MDCActionSheetController`. Use ripple.

#### Navigation Bar

*removed* class: MDCBottomNavigationBarColorThemer. Use MaterialBottomNavigation+Theming instead.

#### Buttons

*deprecated* protocol: `MDCButtonScheming`. Please use MDCContainerScheming.

*deprecated* class: `MDCButtonScheme`. Please use MDCContainerScheming.

*deprecated* class: `MDCContainedButtonThemer`. Please use MDCButton:applyContainedThemeWithScheme: instead.

*deprecated* class: `MDCFloatingActionButtonThemer`. Please use [MDCFloatingButton applySecondaryThemeWithScheme:] instead.

*deprecated* class: `MDCOutlinedButtonThemer`. Please use MDCButton:applyOutlinedThemeWithScheme: instead.

*deprecated* class: `MDCTextButtonThemer`. Please use MDCButton:applyTextThemeWithScheme: instead.

*deprecated* class: `MDCButtonColorThemer`. Please use the MDCButton+MaterialTheming API instead.

*deprecated* class: `MDCButtonShapeThemer`. Please use MDCButton+MaterialTheming instead. (Note: Shape theming is no longer available as an independent API.).

*deprecated* class: `MDCButtonTypographyThemer`. Please use MDCButton+MaterialTheming instead. (Note: Typography theming is no longer available as an independent API.).

#### Cards

*removed* protocol: `MDCCardScheming`. MDCCardScheming was made obsolete by theming with MDCContainerSchemes.

*removed* class: `MDCCardScheme`. MDCCardScheming was made obsolete by theming with MDCContainerSchemes.

*removed* class: `MDCCardThemer`. Please use MaterialCards+Theming instead.

*removed* class: `MDCCardsColorThemer`. Please use MaterialCards+Theming instead.
*removed* class: `MDCCardsShapeThemer`. Please use MaterialCards+Theming instead.

#### FeatureHighlight

*removed* class: `MDCFeatureHighlightFontThemer`. No replacement exists. Please comment on https://github.com/material-components/material-components-ios/issues/7172 in order to indicate interest in a replacement API.
*deprecated* class: `MDCFeatureHighlightTypographyThemer`. No replacement exists. Please comment on https://github.com/material-components/material-components-ios/issues/7172 in order to indicate interest in a replacement API.

### Ink

*removed* class: `MDCInkColorThemer`. Please use Ripple instead.

### List

*removed* class: `MDCListScheming`. Please use MDCContainerScheme APIs.
*removed* class: `MDCListScheme`. Please use MDCContainerScheme APIs.
*removed* class: `MDCListThemer`. Please use MDCContainerScheme APIs.

### BottomDrawer

*deprecated* class: `MDCBottomDrawerColorThemer`.  No replacement exists. Please comment on https://github.com/material-components/material-components-ios/issues/7172 in order to indicate interest in a replacement API.

#### Page Control

*removed* class: `MDCPageControlColorThemer`.  No replacement exists. Please comment on https://github.com/material-components/material-components-ios/issues/7172 in order to indicate interest in a replacement API.

#### ProgressView

*removed* class: `MDCProgressViewColorThemer`.  No replacement exists. Please comment on https://github.com/material-components/material-components-ios/issues/7172 in order to indicate interest in a replacement API.


#### Snackbar

*removed* class: `MDCSnackbarColorThemer`.  Please use the Theming extension instead.

#### Tab Bar

*removed* class: MDCTabBarFontThemer. Please use the theming extension instead.

#### TextField

*deprecated* class: `MDCOutlinedTextFieldColorThemer`. Please use the Theming extension on MDCTextInputControllerOutlined instead.

*removed* class: `MDCTextFieldFontThemer`. Please use the Theming extension, or MDCTextControls and their theming extensions instead.

*deprecated* class: `MDCTextFieldTypographyThemer`. Please use MDCTextInputControllerFilled+MaterialTheming.h or MDCTextInputControllerOutlined+MaterialTheming.h instead.

#### Thumb Track

*removed* property: `thumbMaxRippleRadius` in `MDCThumbTrack`. Opt-in to Ripple by setting enableRippleBehavior to YES, and then use thumbRippleMaximumRadius instead. Learn more at https://github.com/material-components/material-components-ios/tree/develop/components/Ink#migration-guide-ink-to-ripple

## Component changes

## Changes

### ActionSheet

* [Delete inkColor and enableRippleBehavior properties (#9238)](https://github.com/material-components/material-components-ios/commit/4d945c06b144c0406520d218e76588a59cadb782) (Bryan Oltman)
* [Remove equality check when setting rippleColor to prevent crashes stemming from CIColor (#9237)](https://github.com/material-components/material-components-ios/commit/30df338682e1abd7d3e547ca59844d9ea4ff1b19) (Bryan Oltman)

### Banner

* [Fix height when no action button shows. (#9218)](https://github.com/material-components/material-components-ios/commit/95c9b0bb8c62826a83a973be4404282bc1a53931) (Wenyu Zhang)

### BottomNavigation

* [Delete MDCBottomNavigationBarColorThemer (#9198)](https://github.com/material-components/material-components-ios/commit/1ae1e4cbbb437199d260f85d4dd0929b4dfe6ca5) (Bryan Oltman)

### Buttons

* [Deprecate MDCButtonColorThemer (#9179)](https://github.com/material-components/material-components-ios/commit/615eafc7dedb4de6d651277ef162f2cfa1f4c3b7) (Galia Kaufman)
* [Deprecate MDCFloatingActionButtonThemer (#9183)](https://github.com/material-components/material-components-ios/commit/8ac2b48023f29ee9c13d5a8c81651b76151bd168) (Galia Kaufman)
* [Deprecate MDCTextButtonThemer (#9182)](https://github.com/material-components/material-components-ios/commit/9c52d3f51958ff6c191a0a05fb02dc335a0a524c) (Galia Kaufman)
* [Deprecating MDCButtonScheme (#9186)](https://github.com/material-components/material-components-ios/commit/770509b00ea117bad845d4872c43c784e524ac5d) (Galia Kaufman)
* [Deprecating MDCButtonShapeThemer (#9184)](https://github.com/material-components/material-components-ios/commit/f3c2e944564dfc2924f297b9e0d09f8f09a84c63) (Galia Kaufman)
* [Deprecating MDCButtonTypographyThemer (#9185)](https://github.com/material-components/material-components-ios/commit/8ca168b8eb231bd5f1ed4db752a2afe45df2732d) (Galia Kaufman)
* [Deprecating MDCContainedButtonThemer (#9180)](https://github.com/material-components/material-components-ios/commit/26f40643b4179ba09775cff5e7fa3371c4dd639f) (Galia Kaufman)
* [Deprecating MDCOutlinedButtonThemer (#9181)](https://github.com/material-components/material-components-ios/commit/435d573df41f084a71486e55d668a2797fcf1840) (Galia Kaufman)

### Chips

* [Fix padding for Material theming. (#9193)](https://github.com/material-components/material-components-ios/commit/06a4713d557dd55abd49525fba00f86d768ea53a) (Robert Moore)

### Dialogs

* [Limit Action Button width (#9143)](https://github.com/material-components/material-components-ios/commit/87d9b7ad7523f31353366cb1159e9c35e64d6135) (Bambara@)

### FeatureHighlight

* [Delete MDCFeatureHighlightFontThemer (#9230)](https://github.com/material-components/material-components-ios/commit/ad9631c0f771bcb5ccb3b153054abf1848d944b6) (Andrew Overton)
* [Deprecate MDCFeatureHighlightTypographyThemer (#9225)](https://github.com/material-components/material-components-ios/commit/1920dd687859b517a3d22d0f1ef473f5f8fa5187) (Andrew Overton)
* [Don't use MDCFeatureHighlightTypographyThemer in examples (#9224)](https://github.com/material-components/material-components-ios/commit/0f9e889b7d15348f14079a2b0ed2ca673e6f1ffc) (Andrew Overton)

### Ink

* [Remove MDCInkColorThemer (#9228)](https://github.com/material-components/material-components-ios/commit/388fea7ebe0813b907a4b4cf74772318047e837b) (Andrew Overton)

### List

* [Removing MDCListThemer (#9187)](https://github.com/material-components/material-components-ios/commit/36f6a30fa6530a141c25d5e4522b2428d4e473b2) (Galia Kaufman)

### NavigationDrawer

* [Deprecate MDCBottomDrawerColorTHemer (#9205)](https://github.com/material-components/material-components-ios/commit/e3603e4bfaa431710449f35040f778ca2ba7be08) (Andrew Overton)
* [Don't use MDCBottomDrawerColorThemer (#9204)](https://github.com/material-components/material-components-ios/commit/ab8c10bfdf57b6ae226ffe6aa6a7bbe825871ddc) (Andrew Overton)

### PageControl

* [Delete MDCPageControlColorThemer (#9202)](https://github.com/material-components/material-components-ios/commit/f30baf3330ba5d4aac79811b3906da64a3af6989) (Andrew Overton)

### ProgressView

* [Delete MDCProgressViewColorThemer (#9231)](https://github.com/material-components/material-components-ios/commit/b47266325e6ed1fdffd3094bc7133bb6fe4024a6) (Andrew Overton)
* [Deprecate MDCProgressViewColorThemer (#9203)](https://github.com/material-components/material-components-ios/commit/c0fc20cce933f9a208407367bb215c7f5df8af33) (Andrew Overton)

### Snackbar

* [Delete MDCSnackbarColorThemer (#9227)](https://github.com/material-components/material-components-ios/commit/04de6086a913577ce3dd780ef3f9a2295e121740) (Andrew Overton)

### Tabs

* [Delete MDCTabBarFontThemer (#9201)](https://github.com/material-components/material-components-ios/commit/da280903ddbec822d497f8a97cd9a8093f50029c) (Andrew Overton)
* [Fix examples. (#9233)](https://github.com/material-components/material-components-ios/commit/1606c38d208e295610c32d22dd334a8d7369c21e) (Robert Moore)

### TextFields

* [Delete MDCTextFieldFontThemer (#9226)](https://github.com/material-components/material-components-ios/commit/df1ac34ea1bc1859a31cd81a65106a85f2d46e45) (Andrew Overton)
* [Deprecate MDCTypographyThemer (#9175)](https://github.com/material-components/material-components-ios/commit/4b450aecc3241c70580b8e2a10b5759c75d7a84c) (Andrew Overton)
* [Don't use MDCTextFieldTypographyThemer (#9170)](https://github.com/material-components/material-components-ios/commit/4c75e862d4d4bdc5f0132e21a8ce2b847ce02b56) (Andrew Overton)
* [Remove MDCTextFieldTypographyThemer from snapshot tests (#9196)](https://github.com/material-components/material-components-ios/commit/40afee6e0d4398bd27ca6b070e07dfdbe294cee7) (Andrew Overton)
* [Remove usage of MDCOutlinedTextFieldColorThemer (#9214)](https://github.com/material-components/material-components-ios/commit/cd7172a36a6b140373f58c48d393907b2556aefd) (Andrew Overton)
* [Update MDCTextInputControllerOutlined theming extension to not use color themer (#9223)](https://github.com/material-components/material-components-ios/commit/63a7c6f3f6a4a8b23994b3ea148b4bcc4d974a5f) (Andrew Overton)
* [deprecate-MDCOutlinedTextFieldColorThemer (#9215)](https://github.com/material-components/material-components-ios/commit/747844b4bbc31b97d4ca0b1072013c9bd10e7ad8) (Andrew Overton)

### private/ThumbTrack

* [delete-thumbMaxRippleRadius (#9232)](https://github.com/material-components/material-components-ios/commit/97ec4c4348adc0957ed6f86554958c5841b9a0d5) (Andrew Overton)

## Multi-component changes

* [Delete Themer classes (#9197)](https://github.com/material-components/material-components-ios/commit/f44e5d679d78c01957677ee04c0471c57f0cad4b) (Bryan Oltman)
* [Fix container scheme properties. (#9192)](https://github.com/material-components/material-components-ios/commit/8eb7296dab22080c399e9476af4c047db9b37d01) (Robert Moore)

---

# 96.0.0

In this major release we deleted and deprecated a bunch of APIs in BottomAppBar, Snackbar,
TextField, ActionSheet, BottomNavigation, ButtonBar, Cards, Feature highlight, Ink, Page control,
and Tabs. We also enables ripple by default on Action Sheet. It was using a legacy ink animation.

## Breaking changes

### BottomAppBar

Delete deprecated MDCBottomAppBarColorThemer

### Snackbar

Delete snackbarMessageViewTextColor

### TextField

Delete MDCTextFieldColorThemer

## New deprecations

### ActionSheet

Deprecated inkColor. Use the ripple APIs.

### BottomNavigation

Deprecate MDCBottomNavigationTypography themer

### ButtonBar

Deprecate MDCButtonBarColorThemer

### Button

Deprecate MDCFloatingButtonShapeThemer

### Cards

Deprecate MDCCardThemer

### Feature highlight

Deprecate MDCFeatureHighlightFontThemer

### Ink

Deprecate MDCInkColorThemer

### Page Control

Deprecate-MDCPageControlColorThemer-applyColorScheme-toPageContro

### Snackbar

Deprecate MDCSnackbarColorThemer

### Tabs

Deprecate MDCTabBarColorThemer

### TextFields

Deprecate MDCTextFieldFontThemer

## New features

### Chips

ChipFieldShouldBeginEditing method to MDCChipFieldDelegate to control if editing is allowed.

```
- (BOOL)chipFieldShouldBeginEditing:(MDCChipField *)chipField {
  return YES;
}
````

### Snackbar

Adds elementToFocusOnDismiss to MDCSnackbarMessage so a client can specify a view to focus on after the snackbar message is dismissed.

```objc
snackBarMessage.elementToFocusOnDismiss = view;
```

## API changes

#### ActionSheet

*deprecated* property: `inkColor` in `MDCActionSheetController`. Use rippleColor instead.

*deprecated* property: `enableRippleBehavior` in `MDCActionSheetController`. Use ripple.

#### BottomAppBar

*deprecated* class: `MDCBottomAppBarColorThemer`. No replacement exists. Please comment on https://github.com/material-components/material-components-ios/issues/7172 in order to indicate interest in a replacement API.

#### BottomNavigationBar

*deprecated* class: `MDCBottomNavigationBarTypographyThemer`. Please use the Theming extension instead.

#### ButtonBar

*deprecated* class: `MDCButtonBarColorThemer`. ButtonBar is not intended to be themed as a standalone component. Please theme it via the AppBar component's Theming extension instead.

#### Button

*deprecated* class: `MDCFloatingButtonShapeThemer`. Please use [MDCFloatingButton applySecondaryThemeWithScheme:] instead. (Note: Shape theming is no longer available as an independent API.

#### Cards

*deprecated* protocol: `MDCCardScheming`. MDCCardScheming was made obsolete by theming with MDCContainerSchemes.

*deprecated* class: `MDCCardScheme`. MDCCardScheming was made obsolete by theming with MDCContainerSchemes.

*deprecated* class: `MDCCardThemer`. Please use MaterialCards+Theming instead.

#### ChipField

*new* method: `-chipFieldShouldBeginEditing:` in `MDCChipFieldDelegate`. Asks the delegate if editing should begin in the specified chip field.

#### FeatureHighlight

*deprecated* class: `MDCFeatureHighlightFontThemer`. No replacement exists. Please comment on https://github.com/material-components/material-components-ios/issues/7172 in order to indicate interest in a replacement API.

#### Ink

*deprecated* class: `MDCInkColorThemer`. Please use Ripple instead.

#### Page Control

*deprecated* class: `MDCPageControlColorThemer`.  No replacement exists. Please comment on https://github.com/material-components/material-components-ios/issues/7172 in order to indicate interest in a replacement API.

#### Snackbar

*removed* property: `snackbarMessageViewTextColor` in `MDCSnackbarMessageView`. Use messsageTextColor instead.

*deprecated* class: `MDCSnackbarColorThemer`.  No replacement exists. Please comment on https://github.com/material-components/material-components-ios/issues/7172 in order to indicate interest in a replacement API.

*new* property: `elementToFocusOnDismiss` in `MDCSnackbarMessage`.  Element to focus on snackbar message dismiss. Focuses the first element on screen after dismiss by default. The focus will change to the element only if the focus is on the snackbar message.

#### Tabs

*deprecated* class: `MDCTabBarColorThemer`.  Please use the Theming extension instead.

## Component changes

### ActionSheet

* [Action sheet enable ripple (#9135)](https://github.com/material-components/material-components-ios/commit/96cebca8cdf5bdb52f4f508f222e51bf011a8348) (Bryan Oltman)
* [Deprecate MDCActionSheetAction inkColor (#9127)](https://github.com/material-components/material-components-ios/commit/0107d70d28b286e66e909d068600e577f673ee2a) (Bryan Oltman)

### Banner

* [Add a Swift example. (#9173)](https://github.com/material-components/material-components-ios/commit/d1b7468f336d0f875356f2435774e897da9ca431) (Wenyu Zhang)
* [Update Readme to document the latest APIs. (#9100)](https://github.com/material-components/material-components-ios/commit/033bbd7a7addd6f38d72aa63d699c7bcc09e08d0) (Wenyu Zhang)

### BottomNavigation

* [Deprecate MDCBottomNavigationTypography themer and update docs (#9156)](https://github.com/material-components/material-components-ios/commit/3a92bc4acb767bcd6ebc9aa07c34b19e4e47c34d) (Andrew Overton)
* [Migrate MDCBottomNavigationBarColorThemer use to theming extension (#9142)](https://github.com/material-components/material-components-ios/commit/3b0bc4fda3b9792606730e0fe0d52acbcd24daf3) (Bryan Oltman)

### ButtonBar

* [Deprecate MDCButtonBarColorThemer (#9155)](https://github.com/material-components/material-components-ios/commit/1e167e23766a9cc70d92a9d132ef72930e5990d7) (Andrew Overton)

### Buttons

* [Deprecate MDCFloatingButtonShapeThemer (#9101)](https://github.com/material-components/material-components-ios/commit/b4858b9bf56cd7172fb86cb89d7a6e87cf61c615) (Galia Kaufman)
* [Removing deprecated MDCFloatingButtonShapeThemer from theming extension (#9102)](https://github.com/material-components/material-components-ios/commit/16320d671e24a374c70acb0afbcacfd77aab255b) (Galia Kaufman)

### Cards

* [Delete old docs (#9163)](https://github.com/material-components/material-components-ios/commit/1a067127a2004b8a6eedacf9bfd3e709a884fe3b) (Andrew Overton)
* [Deprecate MDCCardThemer (#9054)](https://github.com/material-components/material-components-ios/commit/394a518d3e1203f7512167c4add9938bb21d191c) (Andrew Overton)
* [Deprecate MDCCardThemer (#9108)](https://github.com/material-components/material-components-ios/commit/0c529fd53d0121a8759f02f6c0f780116cc6a92b) (Bryan Oltman)
* [Migrate MDCCardsColorThemer to theming extensions (#9141)](https://github.com/material-components/material-components-ios/commit/4e414624388c896c573fa1a67344d1caeab08f5a) (Bryan Oltman)

### Chips

* [Add RTL snapshot tests. (#9131)](https://github.com/material-components/material-components-ios/commit/c369d445e52a925b2aa6435ed80ab976fee09cd0) (Robert Moore)
* [Add chipFieldShouldBeginEditing method to MDCChipFieldDelegate (#9157)](https://github.com/material-components/material-components-ios/commit/9c3a3fbdd2d97b0a45a1273730e5e71c76f46c83) (Bryan Oltman)
* [Fix calculation of accessory frame. (#9167)](https://github.com/material-components/material-components-ios/commit/df352364df6d128f15b7fe0ec93c84774f412e6d) (Robert Moore)
* [Remove Themer references from README (#9149)](https://github.com/material-components/material-components-ios/commit/7491ff40712ecd1bc5b6952b5f0ad66f48f13e54) (Bryan Oltman)

### Dialogs

* [Snapshot tests for long action titles. (#9154)](https://github.com/material-components/material-components-ios/commit/a73bc32e9fa870a7a95fe6eed9e8505cab26830c) (Robert Moore)

### FeatureHighlight

* [deprecate MDCFeatureHighlightFontThemer (#9115)](https://github.com/material-components/material-components-ios/commit/c8b904426e6ca6c8e2cdc363c00d8bf6bbd99f05) (Andrew Overton)

### Ink

* [Deprecate MDCInkColorThemer (#9113)](https://github.com/material-components/material-components-ios/commit/06d9c4a0eb1022a677671b5b3f7db3b2bad8ae47) (Andrew Overton)

### List

* [removing use of MDCListColorThemer before deprecating it. (#9145)](https://github.com/material-components/material-components-ios/commit/5c4884261f5e228f7bc1e81c7d5a967b8c2b917b) (Galia Kaufman)

### PageControl

* [Update read me for MDCPageControlColorThemer (#9153)](https://github.com/material-components/material-components-ios/commit/41dd9f2ac300b49fa8c1e71209a5795655bc0a86) (Andrew Overton)
* [deprecate-MDCPageControlColorThemer-applyColorScheme-toPageControl (#9123)](https://github.com/material-components/material-components-ios/commit/27957164144e00b5a4a30ef40f712126ebb5db1b) (Andrew Overton)

### Snackbar

* [Adds elementToFocusOnDismiss to MDCSnackbar (#9148)](https://github.com/material-components/material-components-ios/commit/a14b9c668da2e19a629b3d69999e9e3a5811bf16) (Yarden Eitan)
* [Deprecate MDCSnackbarColorThemer (#9152)](https://github.com/material-components/material-components-ios/commit/e4fad9a7a88f1f907043a88dae024327000d1c12) (Andrew Overton)
* [delete snackbarMessageViewTextColor (#9056)](https://github.com/material-components/material-components-ios/commit/13b9ec6835818d8c389ac6520570e2acca618402) (Andrew Overton)

### Tabs

* [Deprecate MDCTabBarColorThemer (#9103)](https://github.com/material-components/material-components-ios/commit/044d5331d74253745fc3494487f953b62038b2de) (Andrew Overton)
* [Disable Ripple while scrolling TabBarView (#9144)](https://github.com/material-components/material-components-ios/commit/79e48f49416256d1af8eb09f7ba6b273a97887c0) (Robert Moore)
* [Document `MDCTabBarViewLayoutStyle` (#9132)](https://github.com/material-components/material-components-ios/commit/9ef0b30611b8283d19ea496060acafd2433e1188) (Robert Moore)

### TextFields

* [Delete MDCTextFieldColorThemer (#9109)](https://github.com/material-components/material-components-ios/commit/87b9dd5a7d9b8bf38c8ed1ba1c3c5b0e9b838dd8) (Bryan Oltman)
* [Deprecate MDCTextFieldFontThemer (#9169)](https://github.com/material-components/material-components-ios/commit/6d2bfc4e3bcb7e6e6fb8586d1f17b5d39fe94cbe) (Andrew Overton)
* [Remove references to MDCTextFieldColorThemer from README (#9151)](https://github.com/material-components/material-components-ios/commit/85f6dd9c09ae70973632c50b11dbd3b737354ed9) (Bryan Oltman)

## Multi-component changes

* [Delete deprecated MDCBottomAppBarColorThemer (#9166)](https://github.com/material-components/material-components-ios/commit/68a65d33d374baa0d5814f42cc7b52e8b9b4d2ae) (Bryan Oltman)

---

# 95.0.1

In this hotfix we revert c83333f to address issue where dialog messages are not properly displayed
during rotation while VoiceOver is on.

## Component changes

## Changes

### Dialogs

* [Revert "[Dialogs] Set dialog message accessibilityFrame based on visible message text (#8786)" (#9171)](https://github.com/material-components/material-components-ios/commit/f1fb666ed56086c612daa89d1446d0a8c81c57cf) (Bryan Oltman)

---

# 95.0.0

In this major release we deleted a bunch of APIs already marked deprecated in the Button Bar,
 Button, Ink, Chip componnts.

## Breaking changes

### Button

`MDCButton` removed `cornerRadius`.

#### Chips

We removed a bunch of themer classes and protocols that are not part of our latest theming offering.

## New deprecations

### Navigation Bar

We deprecated the color themer in preperation of deleting it. Use theming instead.

### Outlined Button

We deprecated the color themer in preperation of deleting it. Use theming instead.

### Text Button

We deprecated the color themer in preperation of deleting it. Use theming instead.

### Cards

We deprecated the color themer in preperation of deleting it. Use theming instead.

### Tab Bar

We deprecated the color themer in preperation of deleting it. Use theming instead.

### Text Field

We deprecated the color themer in preperation of deleting it. Use theming instead.

### Thumb Track

We deprecated the private thumbtrack component's `thumbMaxRippleRadius`.

## API changes

#### MDCButton

*removed* property: `cornerRadius` in `MDCButton`

#### Chips

*removed* protocol: `MDCChipViewScheming`. Use Chips+Theming instead.

*removed* class: `MDCChipViewThemer`. Use Chips+Theming instead.

*removed* class: `MDCChipViewColorThemer`. Use Chips+Theming instead.

*removed* class: `MDCChipViewFontThemer`. Use Chips+Theming instead.

*removed* class: `MDCChipViewShapeThemer`. Use Chips+Theming instead.

*removed* class: `MDCChipViewTypographyThemer`. Use Chips+Theming instead.

#### Navigation Bar

*deprecated* class: MDCBottomNavigationBarColorThemer. Use MaterialBottomNavigation+Theming instead.

#### Outlined Button

*deprecated* class: MDCOutlinedButtonColorThemer. Please use
[MDCButton applyOutlinedThemeWithScheme:] instead. (Note: Color theming is no longer available as an
independent API.

#### Text Button

*deprecated* class: MDCTextButtonColorThemer. Please use [MDCButton applyTextThemeWithScheme:]
instead. (Note: Color theming is no longer available as an independent API.)")

#### Cards

*deprecated* class: MDCCardsColorThemer. Please use MaterialCards+Theming instead.

#### Tab Bar

*deprecated* class: MDCTabBarFontThemer. Please use the theming extension instead.

#### Text Field

*deprecated* class: MDCTextFieldColorThemer. Please use the MaterialTextFields+Theming instead.

#### Thumb Track

*deprecated* property: `thumbMaxRippleRadius` in `MDCThumbTrack`. Opt-in to Ripple by setting
enableRippleBehavior to YES, and then use thumbRippleMaximumRadius instead. Learn more at
https://github.com/material-components/material-components-ios/tree/develop/components/Ink#migration-guide-ink-to-ripple

## Component changes

## Changes

### Banner

* [Add unit test to test background color change when user interface changes. (#9073)](https://github.com/material-components/material-components-ios/commit/8a2650d5c31cddd73f3ca497a8a9e5f64bb6bdb4) (Wenyu Zhang)
* [Implement UIAccessibilityContainer informal protocol to correct accessibility order. (#9116)](https://github.com/material-components/material-components-ios/commit/8a9a81a74811112de32c92215819dada5cd4672e) (Wenyu Zhang)
* [Post accessibility notification when Banner shows on the screen in examples. (#9111)](https://github.com/material-components/material-components-ios/commit/0fcef85a440e108745cdf74d1e698fd47563881c) (Wenyu Zhang)

### BottomNavigation

* [Deprecate MDCBottomNavigationBarColorThemer (#9126)](https://github.com/material-components/material-components-ios/commit/352a110b81ca1f8b562ad7d150715b7448d4e6e2) (Bryan Oltman)

### ButtonBar

* [delete-MDCButtonBarTypographyThemer (#9117)](https://github.com/material-components/material-components-ios/commit/7ece2c118751771fab24fbf27642e0066ef826cc) (Andrew Overton)

### Buttons

* [Delete MDCButton cornerRadius (#9121)](https://github.com/material-components/material-components-ios/commit/c0464f44da0a4c460f6fc28daef5f4b00f18295a) (Bryan Oltman)
* [Deprecate MDCOutlinedButtonColorThemer (#9048)](https://github.com/material-components/material-components-ios/commit/92ac86ec863564cfad5e618c8d17ca63f2ade3c7) (Galia Kaufman)
* [Deprecating MDCTextButtonColorThemer (#9049)](https://github.com/material-components/material-components-ios/commit/705dfd7788ba8f9ef03ca6d9cbeb2d2c7d56a63c) (Galia Kaufman)

### Cards

* [Deprecate MDCCardsColorThemer (#9078)](https://github.com/material-components/material-components-ios/commit/285c8898c094ed314b6b38cfe63f2f1bdb50232c) (Bryan Oltman)

### Chips

* [Move themer code to MDCChipView+MaterialTheming (#9110)](https://github.com/material-components/material-components-ios/commit/322d162c5ef3035f3447f51adc206aedb8ed995e) (Bryan Oltman)

### Ink

* [Delete deprecated MDCInkTouchControllerLegacyDelegate (#9077)](https://github.com/material-components/material-components-ios/commit/0aa91cca0a1cacdb11c327413f119c41a7e611dd) (Bryan Oltman)

### Tabs

* [Deprecate MDCTabbarFontThemer (#9114)](https://github.com/material-components/material-components-ios/commit/23ddfe27155f4eef619a8291ec8f38c14419cb39) (Andrew Overton)
* [Don't use MDCTabBarColorThemer in examples (#9125)](https://github.com/material-components/material-components-ios/commit/38840677fff750814bf31d4ac5ae15eb4d9f0882) (Andrew Overton)

### TextFields

* [Mark MDCTextFieldColorThemer as deprecated (#9076)](https://github.com/material-components/material-components-ios/commit/9adc054ce046bb5f938f229f32f62f63697923b6) (Bryan Oltman)

### private/ThumbTrack

* [deprecate-MDCThumbTrack-thumbMaxRippleRadius (#9120)](https://github.com/material-components/material-components-ios/commit/8e1dae7e3ec64ed08864eb3c3616499d4270a593) (Andrew Overton)

## Multi-component changes

* [Delete Themers (#9028)](https://github.com/material-components/material-components-ios/commit/f848eaf5eed5a242fc02b0a7b815541e11041979) (Bryan Oltman)

---

# 94.5.0

This minor release introduces new APIs to AppBar, FlexibleHeader and Dialogs. AppBar and
FlexibleHeader adds behavior to mimic the behavior of UINavigationController's
`setNavigationBarHidden:`. Dialogs exposes transition APIs to customize the presentation animations.
We also deprecated some themers for Chips and Buttons.

## New deprecations

### Chips

####MDCChipViewColorThemer

Use Chips+Theming to theme the ChipView instead.

####MDCChipViewShapeThemer

Use Chips+Theming to theme the ChipView instead.

### Buttons

#### MDCFloatingButtonColorThemer

Please use [MDCFloatingButton applySecondaryThemeWithScheme:] instead.

#### MDCContainedButtonColorThemer

Please use [MDCButton applyContainedThemeWithScheme:] instead.

## New features

###AppBar

The new `shouldSetNavigationBarHiddenHideAppBar` flag allows view controllers to control the
visibility of their app bar via the standard UINavigationController setNavigationBarHidden: APIs

```swift
    let contentViewController = PresentedViewController()
    let navigationController = MDCAppBarNavigationController()
    navigationController.shouldSetNavigationBarHiddenHideAppBar = true
    navigationController.delegate = self
    navigationController.pushViewController(contentViewController, animated: false)
```

###FlexibleHeader

This new shift behavior mode enables the flexible header to mimic the behavior of
UINavigationController's `setNavigationBarHidden:`.

#### Swift

```swift
headerViewController.headerView.shiftBehavior = .hideable
// You can now toggle visibility of the header view using the following invocations:
headerViewController.headerView.shiftHeaderOffScreen(animated: true)
headerViewController.headerView.shiftHeaderOnScreen(animated: true)
override func childViewControllerForStatusBarHidden() -> UIViewController? {
  return headerViewController
}
```

#### Objective-C

```objc
headerViewController.headerView.shiftBehavior = MDCFlexibleHeaderShiftBehaviorHideable;
// You can now toggle visibility of the header view using the following invocations:
[headerViewController.headerView shiftHeaderOffScreenAnimated:YES];
[headerViewController.headerView shiftHeaderOnScreenAnimated:YES];
- (UIViewController *)childViewControllerForStatusBarHidden {
  return _headerViewController;
}
```

## API changes

### AppBar

*new* property: `navigationBarHidden` in MDCAppBarNavigationController
*new* property: `shouldSetNavigationBarHiddenHideAppBar;

### Chips

*deprecated* class: MDCChipViewColorThemer. Use Chips+Theming instead.
*deprecated* class: MDCChipViewShapeThemer. Use Chips+Theming instead.

### Dialogs

*new* property: `dialogTransform` in MDCDialogPresentationController

*new* property: `opacityAnimationDuration` in MDCDialogTransitionController
*new* property: `scaleAnimationDuration` in MDCDialogTransitionController
*new* property: `dialogInitialScaleFactor` in MDCDialogTransitionController

### Flexible header

*new* enum value: `MDCFlexibleHeaderShiftBehaviorHideable` in MDCFlexibleHeaderShiftBehavior

### Ripple

*new* property: `usesSuperviewShadowLayerAsMask` in MDCRippleView

## Component changes

## Changes

### ActionSheet

* [Refactor edge insets API snapshot tests. (#9035)](https://github.com/material-components/material-components-ios/commit/c87d65330f840a57ede6aaef03a08bddbb118238) (Robert Moore)

### AppBar

* [Add a shouldSetNavigationBarHiddenHideAppBar behavior flag. (#9001)](https://github.com/material-components/material-components-ios/commit/ae532421091d416476fdc39b9dc7ff0be6bd973c) (featherless)
* [Rename test cases to match component conventions. (#9038)](https://github.com/material-components/material-components-ios/commit/d0322ef8c2eb2bbf967b9afda77dd9fb76800663) (featherless)

### Banner

* [Fix top layout constraint in Autolayout example on pre iOS 11 OSes. (#9042)](https://github.com/material-components/material-components-ios/commit/5e98e17c9767c4c0a395c1524618a599af3626bd) (Wenyu Zhang)

### Buttons

* [Deprecating MDCContainedButtonColorThemer (#9051)](https://github.com/material-components/material-components-ios/commit/0ff791396ea53caf817ffe42bfd0509d147b754f) (Galia Kaufman)
* [Deprecating MDCFloatingButtonColorThemer (#9050)](https://github.com/material-components/material-components-ios/commit/75e616f915f0f8c6e5213a0d7514de841d45a136) (Galia Kaufman)

### Chips

* [Mark MDCChipViewColorThemer and MDCChipViewShapeThemer as deprecated (#9040)](https://github.com/material-components/material-components-ios/commit/c360df15878ab0b510dcfc634217650bd11e538b) (Bryan Oltman)

### Dialogs

* [Add configuration options to MDCDialogTransitionController (#9033)](https://github.com/material-components/material-components-ios/commit/0aba80cfdfda07f8d79aa7c115cd0ba55812034d) (Bryan Oltman)

### FlexibleHeader

* [Add MDCFlexibleHeaderShiftBehaviorHideable. (#9026)](https://github.com/material-components/material-components-ios/commit/a24c11f7fc637252c50334fa89fb081a77752137) (featherless)
* [Add test that validates all defaults. (#9036)](https://github.com/material-components/material-components-ios/commit/337af58b066ca1868d1f0dfc44afd9a692265d12) (featherless)
* [Document the default value of shiftBehavior. (#9037)](https://github.com/material-components/material-components-ios/commit/10c2b1205e13fca4e25ec0b6aba0fb83c9465a80) (featherless)

### Ripple

* [Add usesSuperviewShadowLayerAsMask flag. (#8822)](https://github.com/material-components/material-components-ios/commit/9d60c22e29802d2a5e5df6433aa26287e5c75a83) (featherless)

---

# 94.4.0

This minor release introduces new APIs to ActionSheet, BottomSheet and FlexibleHeader. Additionally, it includes new theming extensions for TextControls component.

## New features

TextControls component now has theming extensions.

```objc
MDCFilledTextField *filledTextField = [[MDCFilledTextField alloc] init];
MDCContainerScheme *containerScheme = [[MDCContainerScheme alloc] init];

[filledTextField applyThemeWithScheme:containerScheme];
```

```swift
let filledTextField = MDCFilledTextField()
let scheme = MDCContainerScheme()

filledTextField.applyTheme(withScheme: scheme)
```

## API changes

### ActionSheet

#### MDCActionSheetController

*new* property: `contentEdgeInsets` in `MDCActionSheetController`

### BottomSheet

#### MDCBottomSheetController

*new* property: `dismissOnDraggingDownSheet` in `MDCBottomSheetController`

#### MDCBottomSheetPresentationController

*new* property: `dismissOnDraggingDownSheet` in `MDCBottomSheetPresentationController`

#### MDCBottomSheetTransitionController

*new* property: `dismissOnDraggingDownSheet` in `MDCBottomSheetTransitionController`

### FlexibleHeader

#### MDCFlexibleHeaderView(ShiftBehavior)

*new* property: `shiftedOffscreen` in `MDCFlexibleHeaderView(ShiftBehavior)`

## Component changes

## Changes

### ActionSheet

* [Add `contentEdgeInsets` API. (#9008)](https://github.com/material-components/material-components-ios/commit/8fb17f7b0ae42be323967d53ddcb43a18f9f1e7e) (Robert Moore)
* [Align title/image to their leading edges directly. (#9013)](https://github.com/material-components/material-components-ios/commit/b5fef2ef75dda92d28c72c61232ab57bea1ff307) (Robert Moore)
* [Correct RTL snapshot tests. (#9011)](https://github.com/material-components/material-components-ios/commit/8405097173b3430c47d43c1fca65be2a38828dee) (Robert Moore)
* [Name unit tests to match class. (#9003)](https://github.com/material-components/material-components-ios/commit/06ea8732d21d7ba6f4376c794206247a2271e1a9) (Robert Moore)
* [Refactor snapshot tests. (#8999)](https://github.com/material-components/material-components-ios/commit/a14720f7d7d4b560a87ad1581ec3a1a692d83bc1) (Robert Moore)
* [Split "insets" API snapshot tests to separate file. (#9020)](https://github.com/material-components/material-components-ios/commit/c33be81182f6dfb0b61564f3f3ccbfe51baf11f5) (Robert Moore)

### BottomSheet

* [Add API to not allow dragging of Bottom Sheet to dismiss. (#9004)](https://github.com/material-components/material-components-ios/commit/8841f90ff478e547c7eb328a393b6f7610d713ad) (Yarden Eitan)

### Buttons

* [Fix dynamic type example. (#8992)](https://github.com/material-components/material-components-ios/commit/613ad1104324e621fd4088284659b09c053a6f4a) (Cody Weaver)

### FeatureHighlight

* [Fix accessibility tests. (#9018)](https://github.com/material-components/material-components-ios/commit/36d950545f34d23867d4a94e50e47bb69d3d0905) (Robert Moore)

### FlexibleHeader

* [Add FlexibleHeaderShiftedOffscreenWithShiftBehaviorDisabledTests. (#9023)](https://github.com/material-components/material-components-ios/commit/91803e3516278684094722205c05c2e68c46b9eb) (featherless)
* [Expose a shiftedOffscreen property. (#9014)](https://github.com/material-components/material-components-ios/commit/61458cca02693614895f222eefbfb02f50c839a7) (featherless)

### ShadowElevations

* [Delete swift example target since there is no input file. (#9005)](https://github.com/material-components/material-components-ios/commit/ef4aad367748f60ddc4fd31cfaadf1a005cd76e7) (Wenyu Zhang)

### TextControls

* [Add Outlined theming extension (#9002)](https://github.com/material-components/material-components-ios/commit/f3daf9b4986e8f0b45b55bc517913cb11e4441ac) (Andrew Overton)
* [Add MDCFilledTextField theming extension (#8993)](https://github.com/material-components/material-components-ios/commit/c806e4b9d0acfcee53336fa54459a0ef22bc30fb) (Andrew Overton)

---

# 94.3.0

This minor release primarily consists of accessibility improvements. A number of components now provide increased support for VoiceOver and Dynamic Type, and many components have been audited to make sure minimum touch target requirements and minimum color contrast requirements are met. Additionally, many examples in our Catalog and Dragons apps have been improved from an accessibility standpoint.

## New deprecations

* `adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable` in `MDCSnackbarManager`

* `adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable` in `MDCSnackbarMessageView`

## Component changes

### ActionSheet

* [Allow Swift example to support dynamic type (#8946)](https://github.com/material-components/material-components-ios/commit/5310c5c448776beec0f5b379b47b10c497134a9c) (Cody Weaver)

### ActivityIndicator

* [Add a voiceover layout change notification… (#8909)](https://github.com/material-components/material-components-ios/commit/c0a0d2b1de326006ac35a133559f28ea04a0b722) (Yarden Eitan)

### AppBar

* [AppBar example has low-contrast text (#8966)](https://github.com/material-components/material-components-ios/commit/af583a58285bc2ddb3b70d7a0d1d880ff25133e7) (Galia Kaufman)
* [Make example titles more accurate. (#8828)](https://github.com/material-components/material-components-ios/commit/bd832a416caa863dea3bd283164c93fd0d90ac44) (Robert Moore)

### Banner

* [Add a snapshot for banner with no action case. (#8968)](https://github.com/material-components/material-components-ios/commit/e1ceaf955b7a3f4ee0f94d16dae1a1e10e025741) (Wenyu Zhang)
* [Fix Banner positioning in example for iOS 10 (#8829)](https://github.com/material-components/material-components-ios/commit/bd0d571ae35eb54b29c0e6bf4cbf32c40c593753) (Bryan Oltman)
* [Support use case where no button appears on Banner. (#8951)](https://github.com/material-components/material-components-ios/commit/97e435ae881fe5e755196fcac6951f4a7b6f5c76) (Wenyu Zhang)

### BottomNavigation

* [Add accessibility value for badge (#8920)](https://github.com/material-components/material-components-ios/commit/ba3bc2b15a3376f412e12d8f00590fdec7b9a354) (Cody Weaver)
* [Clean up badge value test example (#8921)](https://github.com/material-components/material-components-ios/commit/98ec8abdbfdc9ffbd8a817c5f18030ebdd3cda80) (Cody Weaver)

### BottomSheet

* [Add VoiceOver support to BottomSheetShortCollectionExample (#8849)](https://github.com/material-components/material-components-ios/commit/adfe99ed30c5a46eb264b692e1cbf2b690e701fe) (Bryan Oltman)
* [Add accessibility elements to BottomSheetExamples (#8923)](https://github.com/material-components/material-components-ios/commit/78fe3701d073eb1fe932df507d0205da0e0e2ed2) (Bryan Oltman)
* [Make bottom sheet be in extended state when voiceover is on (#8787)](https://github.com/material-components/material-components-ios/commit/7807cf53fa10a1af71501d9509eb485ddd5b7b09) (Andrew Overton)
* [Remove scrim accessibility logic from BottomSheetUIControlExample (#8848)](https://github.com/material-components/material-components-ios/commit/5b826f163a574291f7193450907988e687a69f60) (Bryan Oltman)

### ButtonBar

* [Darken ButtonBarIconExample icon colors (#8826)](https://github.com/material-components/material-components-ios/commit/4baa770fde0c12dcd9583fb91a24bc3c98d1061b) (Bryan Oltman)
* [Delete the Theming extension. (#8696)](https://github.com/material-components/material-components-ios/commit/fb36f304ba1ed53608606763be45dee2bc47d15e) (featherless)

### Buttons

* [Fix a11y issues in Buttons (Content Edge Insets) exam… (#8900)](https://github.com/material-components/material-components-ios/commit/f6855caa775a461ca0cc1b3f433cfd250b2a465e) (Yarden Eitan)
* [Improve accessibility of Shaped Buttons. (#8964)](https://github.com/material-components/material-components-ios/commit/b12a4cba54b0c11a93da4912d521b4984000c6c2) (Robert Moore)
* [Update accessibility label for FABs (#8911)](https://github.com/material-components/material-components-ios/commit/98cafa6756916de88b7ac429d118364870f09fb0) (Cody Weaver)

### Cards

* [Fix bug in the "Typical use" example where the image would not appear. (#8943)](https://github.com/material-components/material-components-ios/commit/be33d3196a60602de1f367e1efef1f77bb096cb1) (featherless)
* [Make the "Typical use" example title label an a11y heading. (#8945)](https://github.com/material-components/material-components-ios/commit/f6f2ff28215ef572c0b3b384992ee2c873f2828a) (featherless)
* [Make the Shaped Edit/Reorder example class/files match the name of the example. (#8899)](https://github.com/material-components/material-components-ios/commit/ae7db6f03d55a69af118cbe5736d767355fd9a65) (featherless)
* [Make the shaped collection cell an accessibility button. (#8901)](https://github.com/material-components/material-components-ios/commit/28b838cc9da7bdc6dc9f2799140acb6bfa51923a) (featherless)

### Chips

* [Fix layout of ChipsSizingExampleViewController. (#8940)](https://github.com/material-components/material-components-ios/commit/e9e913b4dddcf57a4879bdc92723a42d06a86e63) (featherless)
* [Give the ChipsSizing example's sliders a11y labels and values. (#8942)](https://github.com/material-components/material-components-ios/commit/a0dd0a34b3b756fef038c6a62949e720d2096f93) (featherless)
* [Set UIAccessibilityTraitButton on MDCChipView's accessibilityTraits. (#8792)](https://github.com/material-components/material-components-ios/commit/edca5401bf810572a6fcab9ff0bd90acd73b4282) (featherless)

### Dialogs

* [Allow clients to customize message accessibility label  (#8801)](https://github.com/material-components/material-components-ios/commit/8becfc1ec55d2142d09b22700fd8980ab9c301e8) (Cody Weaver)
* [Allow clients to customize title accessibilityLabel. (#8799)](https://github.com/material-components/material-components-ios/commit/0796e543321a6e059b401a04c115ac588b101eb2) (Cody Weaver)
* [Fix bug in "Dismissing Dialogs" dialogs where the buttons were not themed. (#8967)](https://github.com/material-components/material-components-ios/commit/a331cb6a1a8dbd704fe5d86e63c00bdf50e86bc7) (featherless)
* [Implement the a11y escape gesture on all custom dialogs in the "Dismissing Dialogs" example. (#8965)](https://github.com/material-components/material-components-ios/commit/5d8e992963920b70c1ef609af0fb6593ba157daf) (featherless)
* [Make all "Dismissing Dialogs" cells a11y buttons. (#8956)](https://github.com/material-components/material-components-ios/commit/7cfb460a01341b67efa58a7a34e0937b92d0b605) (featherless)
* [Make the "Dialogs with accessory view" example's cells accessibility buttons. (#8939)](https://github.com/material-components/material-components-ios/commit/88d3bed28ab87a975ed74799b3a22941a68aa1c3) (featherless)
* [Make the "View with corner radius" example's dialog escapable in VoiceOver. (#8950)](https://github.com/material-components/material-components-ios/commit/34b0ad9ba249e125cd0ca74341d8e7dafdcbb841) (featherless)
* [More Material Alerts examples is more accessible. (#8960)](https://github.com/material-components/material-components-ios/commit/bde962e51179989977b819b92f3e2580c193b5f4) (Robert Moore)
* [Provide accessibility traits for Input Field example (#8958)](https://github.com/material-components/material-components-ios/commit/32ba0c927e6cc0a2ac1100a5e2a2f5a462d4c473) (Robert Moore)
* [Remove usage of `buttonFont` in example (#8772)](https://github.com/material-components/material-components-ios/commit/524ca5cab9874b437fef0c0138b3ee9f8bf99cb6) (Cody Weaver)
* [Set dialog message accessibilityFrame based on visible message text (#8786)](https://github.com/material-components/material-components-ios/commit/c83333f56518399f374b1b8914eac0d853fa20da) (Bryan Oltman)

### FeatureHighlight

* [Add a voiceover dismissal affordance for the feature highlight. (#8959)](https://github.com/material-components/material-components-ios/commit/4c7402857c173db101f846409ad716fac8ada4a3) (Yarden Eitan)
* [Make "Color" example accessible. (#8957)](https://github.com/material-components/material-components-ios/commit/8e9eff85f846f15e2bb954854586c91fe7bf814b) (Robert Moore)
* [Positions label not hidden behind nav bar. (#8969)](https://github.com/material-components/material-components-ios/commit/db709613cc58397dfb2ee7a9d0d21a8be8d9a2d9) (Yarden Eitan)
* [Fix accessibility tests. (#9018)](https://github.com/material-components/material-components-ios/commits/84007513b71c6b9a35c0d7304ea9129fc1855087) (Robert Moore)

### Ink

* [Consolidate example code into a single file. (#8890)](https://github.com/material-components/material-components-ios/commit/cdaf0977567486546a633704809c759211f80b94) (featherless)
* [Make the ink views accessibility elements. (#8891)](https://github.com/material-components/material-components-ios/commit/baf74b9336ca8ac12422a7291bd85cad0acd0237) (featherless)

### List

* [Fix MDCBaseCell Example to work with Voice Over (#8953)](https://github.com/material-components/material-components-ios/commit/722399ddce71f214211651d01bdbf344f9c9829c) (Galia Kaufman)
* [Fix accessibility labels and layout in CollectionListCellExampleTypicalUse (#8944)](https://github.com/material-components/material-components-ios/commit/c89ac31d2b02bf345c97c0019ed132d63149def9) (Bryan Oltman)
* [Fix catalog compile issue (#8974)](https://github.com/material-components/material-components-ios/commit/f660c8a73226410927cb906155e76a198d53d0b8) (Cody Weaver)
* [Make Base Cell example more accessible. (#8947)](https://github.com/material-components/material-components-ios/commit/009af8be8159ff460bfa8908dd2d320eec8ad9a4) (Robert Moore)
* [Make Base Cell example more accessible. (#8982)](https://github.com/material-components/material-components-ios/commit/90fcc9281a2e8505bc8cd6daaf42efd4ce04f0ef) (Robert Moore)

### NavigationDrawer

* [Add close button to bottom drawer example header (#8963)](https://github.com/material-components/material-components-ios/commit/e67d2e5b660d1880bc879c4377cc231beb8b749b) (Bryan Oltman)
* [Remove container view when dismiss transitio… (#8660)](https://github.com/material-components/material-components-ios/commit/36d2ec7618fc8dcc3b4cf57759e3c84674eabee9) (Jonathan Willing)

### PageControl

* [Fixes contrast ratio and button interactivity for… (#8922)](https://github.com/material-components/material-components-ios/commit/e550e27089883cb4bde1de40341c5d1d9c1ed107) (Yarden Eitan)
* [Improve contrast ratio in PageControlSwiftExampleViewController (#8938)](https://github.com/material-components/material-components-ios/commit/111da2c00c44a704e7e812a9d31c05cae99bb4f0) (Bryan Oltman)
* [Improve contrast ratio in PageControlTypicalUseViewController (#8941)](https://github.com/material-components/material-components-ios/commit/f40e7f09ca6e05212563cad7eb862f7b7ec6a6f9) (Bryan Oltman)
* [adds a11y support for page control with next button example (#8932)](https://github.com/material-components/material-components-ios/commit/f58c3451f5dab1482448c2f7838559873dda39de) (Yarden Eitan)

### ProgressView

* [Add accessibilityLabel (#8775)](https://github.com/material-components/material-components-ios/commit/a049592f235a23b7f563f910e5fce786b350d7a5) (Bryan Oltman)

### Ripple

* [Add tests demonstrating unexpected layer.mask behavior. (#8808)](https://github.com/material-components/material-components-ios/commit/9123dc603e62d8068d5f3ed7423216148b1bfde1) (featherless)
* [Ripple typical example now can be used with Voice Over (#8924)](https://github.com/material-components/material-components-ios/commit/83d465eedc8dd8e7007a34448708b1ca0b45aaee) (Yarden Eitan)
* [make card with ripple example a5able (#8929)](https://github.com/material-components/material-components-ios/commit/b18c7481239a2cf4c6d9141caebbe9947426ef76) (Yarden Eitan)

### ShadowElevations

* [Delete non-functional ShadowElevationsTypicalUseViewController.swift (#8955)](https://github.com/material-components/material-components-ios/commit/655604fe58e82b9fb967e608d34c34984c111d8f) (Bryan Oltman)
* [Provide semantic VoiceOver labels when interacting with the typical use example. (#8930)](https://github.com/material-components/material-components-ios/commit/74f6530d154a58886f3b7ad2dd619628d370d807) (featherless)
* [Delete swift example target since there is no input file. (#8955)](https://github.com/material-components/material-components-ios/commit/ef4aad367748f60ddc4fd31cfaadf1a005cd76e7) (Wenyu Zhang)

### ShadowLayer

* [Make Shadow Corner Radius example more accessible. (#8962)](https://github.com/material-components/material-components-ios/commit/69e8021b2af5627534b5051ab832d74b02604157) (Cody Weaver)

### Slider

* [Update documentation to match behavior. (#8782)](https://github.com/material-components/material-components-ios/commit/3671e05bde32bf2bfb693d3eb6e21dcf87abe4e8) (Robert Moore)

### Snackbar

* [Add invisible hit target for legacy snackbar (#8807)](https://github.com/material-components/material-components-ios/commit/bd938100fb6a0b9fc000e16c6dbd113e4f558dc0) (Bryan Oltman)
* [Deprecate adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable (#8728)](https://github.com/material-components/material-components-ios/commit/6717fca5942b5fb49b0c3678746a5e63f90e6877) (Bryan Oltman)

### Tabs

* [Add newlines after all Swift doc headers. (#8931)](https://github.com/material-components/material-components-ios/commit/71ad8292e155152813dce8dd22456108e094c0b3) (featherless)
* [Improve accessibility for TabBar example. (#8983)](https://github.com/material-components/material-components-ios/commit/93700ab4d9ae04afb24cb45dead0585fed814e7c) (Robert Moore)
* [Improve custom view documentation. (#8813)](https://github.com/material-components/material-components-ios/commit/deab4b91ffae9aa04df921fd0b997dbaf39fbefa) (Robert Moore)
* [Mark TabBarView as accessibility tab bar. (#8811)](https://github.com/material-components/material-components-ios/commit/ed8acbbc71a919f7340b9b0e38295fd9d56bd903) (Robert Moore)
* [Use built-in "tabs" behavior on iOS 10+ (#8812)](https://github.com/material-components/material-components-ios/commit/a4a17a58dac1c6068f275e54b30961605bde808e) (Robert Moore)

### TextControls

* [Add adjusts content size category behavior (#8802)](https://github.com/material-components/material-components-ios/commit/c1dc83ed445b6dcab734251bf7d838b94020a0ff) (Andrew Overton)
* [Add dynamic type functionality to text controls example (#8847)](https://github.com/material-components/material-components-ios/commit/d93ddfbc1be6b65606fed710a077cb6bbd6fc348) (Andrew Overton)
* [Snapshot test with AXXXL sizes (#8781)](https://github.com/material-components/material-components-ios/commit/53a925d96d101777080aea05e5f1d9125fa12708) (Andrew Overton)
* [Use system dynamic colors for sensible defaults in iOS 13 (#8818)](https://github.com/material-components/material-components-ios/commit/9b9edf9f462fd0470a6a4486fd8e013471f69574) (Andrew Overton)

### TextFields

* [Added accessibility label tests for MDCMultilineTextFields (#8902)](https://github.com/material-components/material-components-ios/commit/1c17792b3656ff2f73f2261ddc9e2d1b0b1b78ed) (Randall Li)
* [Added header comment: placeholder APIs are for `label text` (#8803)](https://github.com/material-components/material-components-ios/commit/3c0d7953ada34365c0de9aed9664eed46984f431) (Randall Li)
* [Added tests for accessibilityLabel (#8830)](https://github.com/material-components/material-components-ios/commit/3d1b6f9acc0eeea2f5a2ae820d7c6ede437df628) (Randall Li)
* [Convert clear button to MDCButton (#8784)](https://github.com/material-components/material-components-ios/commit/42e220d9c1bcf133a1dcf1186023395a4303a0e9) (Bryan Oltman)
* [Fix spelling mistake (#8910)](https://github.com/material-components/material-components-ios/commit/a4decc6c8e17ecab74aceab006bf36e676c3acfa) (Randall Li)
* [Update announcement text for fields with a character limit (#8777)](https://github.com/material-components/material-components-ios/commit/be03cec76744914a7861e9dc6d77c6fcd5e38bef) (Bryan Oltman)
* [Update character count announcement in MDCTextInputControllerFullWidth (#8789)](https://github.com/material-components/material-components-ios/commit/118dfa3d58b69fed2d8bbfdbaf263a4cbf51e1ca) (Bryan Oltman)
* [Add accessibilityLabel override to MDCBaseTextField (#8773)](https://github.com/material-components/material-components-ios/commit/d5e69512644fee50c3c78e44ef62242826b2785a) (Andrew Overton)

### Typography

* [Using safeSharedApplication in test (#8815)](https://github.com/material-components/material-components-ios/commit/afbd7351b50bcb8c0c7b97ec5e12f3002d6021c9) (Randall Li)

### schemes/Typography

* [Separate protocol target. (#8798)](https://github.com/material-components/material-components-ios/commit/692c743f34421d4bf06acc733f1f77886d65b092) (Robert Moore)

## Multi-component changes

* [Annotate all catalogShouldHideNavigation invocations with @objc. (#8791)](https://github.com/material-components/material-components-ios/commit/5425884431d6cd48d3ebb5f875d859a3a08ed059) (featherless)

---

# 94.2.0

This minor release introduces new APIs to MDCAppBarViewController and MDCSlider. Additionally, it includes some fixes for Banner constraints.

## New Features

### AppBar

`MDCAppBarViewController` allows automatically adjust the height of the app bar based on its `headerStackView`.

**Objective-C**

```objc
MDCAppBarViewController *appBar= [[MDCAppBarViewController alloc] init];
appBar.shouldAdjustHeightBasedOnHeaderStackView = YES;
```

**Swift**

```swift
let appBar = MDCAppBarViewController()
appBar.shouldAdjustHeightBasedOnHeaderStackView = true
```

### Slider

`MDCSlider` allows having a continuous Slider that shows track tick marks.

**Objective-C**

```objc
MDCSlider *slider = [[MDCSlider alloc] init];
slider.discrete = NO;
slider.numberOfDiscreteValues = 5;
```

**Swift**

```swift
let slider = MDCSlider()
slider.discrete = false
slider.numberOfDiscreteValues = 5;
```

## API changes

#### AppBar

#### MDCAppBarViewController

*new* property: `shouldAdjustHeightBasedOnHeaderStackView` in `MDCAppBarViewController`

### Slider

#### MDCSlider

*new* property: `discrete` in `MDCSlider`

## Component changes

### AppBar

* [Add API to auto adjust height based on HeaderStackView for app bar. (#8764)](https://github.com/material-components/material-components-ios/commit/2f52dece95bc24d63d4505d9dd58db09de291975) (Wenyu Zhang)

### Banner

* [Add an example to show how Banner can be used as bottom bar in AppBar. (#8785)](https://github.com/material-components/material-components-ios/commit/509d6bff90b7a9a704a1ea9e8714100615ae1244) (Wenyu Zhang)
* [Deactivate custom constraints when there is a need to update constraints.(#8793)](https://github.com/material-components/material-components-ios/commit/f69b7d54e919d4796f747446cfc31a24d6c7a978) (Wenyu Zhang)
* [update constraint when frame is changed. (#8765)](https://github.com/material-components/material-components-ios/commit/6d7edec5815ce03f1c56930abc76cf23982f30d6) (Wenyu Zhang)

## Slider

* [Fix event handling. (#8759)](https://github.com/material-components/material-components-ios/commit/f588ea9dbe560a9e89457d8b8b3015f7c3e1f394) (Robert Moore)

---

# 94.1.0

This minor release introduces new APIs to FlexibleHeader and Ripple, and updates the appearance of `MDCSnackbar` to the latest style. The release also includes bug fixes for multiple components.

## New Features

### FlexibleHeader

FlexibleHeader can now inform the receiver that its view's tracking scroll view has changed through the `flexibleHeaderView:didChangeTrackingScrollViewAnimated:` API. Example:

**Swift**

```swift
class MyAnimationDelegate: NSObject, MDCFlexibleHeaderViewAnimationDelegate {
  func flexibleHeaderView(_ flexibleHeaderView: MDCFlexibleHeaderView,
                          didChangeTrackingScrollViewAnimated animated: Bool) {
  if animated {
    // ...
  }
}
```

**Objective-C**

```objc
-(BOOL)flexibleHeaderView:(MDCFlexibleHeaderView *)flexibleHeaderView
	didChangeTrackingScrollViewAnimated:(BOOL)animated {
  if (animated) {
    // ...
  }
}
```

Additionally, you can now animate your own changes alongside the default animations of the flexible header, by passing an animation sequence and a completion block to `animateWithAnimations:completion:`. Example:

**Swift**

```swift
myHeaderView.animate(animations: {
  scrollView.contentOffset = CGPoint(x: 0, y: -100)
  myHeaderView.maximumHeight = 100
})
```

**Objective-C**

```objc
[myHeaderView animate:^{
  scrollView.contentOffset = CGPointMake(0, -100.f);
  myHeaderView.maximumHeight = 100.f;
}];
```

## Component changes

### ActionSheet

* [Fix crash in example (#8734)](https://github.com/material-components/material-components-ios/commit/762ef5e4840234233a22514cb1eb79553f8df707) (Cody Weaver)
* [Move layout code to `viewDidLayoutSubviews` (#8735)](https://github.com/material-components/material-components-ios/commit/9fc4f0afbc4b6fd11a0620b10905e30f76dc5075) (Cody Weaver)
* [Use anchor-based constraints. (#8731)](https://github.com/material-components/material-components-ios/commit/779ca64b7e36654d446e88fbad074919602aeff3) (Robert Moore)

### Banner

* [Use lastBaseLineAnchor to align buttons if they are on the same line. (#8752)](https://github.com/material-components/material-components-ios/commit/628b2ecb9020b0287f44b384b93946977fd07b8a) (Wenyu Zhang)
* [stop updating custom constraints before bound size is set. (#8749)](https://github.com/material-components/material-components-ios/commit/35188a5d5cc81d70ae059fbf9b0b12b00adbac11) (Wenyu Zhang)

### FlexibleHeader

* [Add a flexibleHeaderView:didChangeTrackingScrollViewAnimated: event to MDCFlexibleHeaderViewAnimationDelegate. (#8757)](https://github.com/material-components/material-components-ios/commit/e3aa7eace2a1528110fad59ef9dce2d745e790c6) (featherless)
* [Add an animateWithAnimations:completion: API. (#8739)](https://github.com/material-components/material-components-ios/commit/1bcdfc77ca2a5df0034c3ae038193df73859b911) (featherless)

### Ripple

* [Improve MDCRippleTouchController (#8631)](https://github.com/material-components/material-components-ios/commit/3b4c9d170a9f1d9760d7da147f30832bc1e78398) (Michael Schneider)

### Snackbar

* [Update documentation on default. #8736](https://github.com/material-components/material-components-ios/commit/5516c5f6c9a8267020369eb5c55eaf4225b9d679) (Yarden Eitan)

### TextFields

* [Capture snapshots outside of view (#8718)](https://github.com/material-components/material-components-ios/commit/dec1670f8b34b75f2d78b27e460a72567326cb07) (Andrew Overton)

---

# 94.0.0

This major release adds a new configuration block to MDCSnackBarMessage and moves the currently in development MDCTextControl based TextFields from the TextFields component directory to their own TextControls directory. While there are no API changes associated with this move, it does have the potential to break anyone importing these textfields from their old location, hence the major version bump.

## New features

MDCSnackBarMessage now provides a block that is called before the message is presented. This allows clients to perform last minute configurations.

**Objective-C**

```objc
MDCSnackbarMessage *message = [[MDCSnackbarMessage alloc] init];
message.snackbarMessageWillPresentBlock =
  ^(MDCSnackbarMessage *snackbarMessage, MDCSnackbarMessageView *messageView) {
      // Configure snackbar message.
    };
[MDCSnackbarManager showMessage:message];
```

**Swift**

```swift
let message = MDCSnackbarMessage()
message.snackbarMessageWillPresentBlock = { snackbarMessage, messageView in
  // Configure snackbar message.
}
MDCSnackbarManager.showMessage(message)
```

## Component changes

### TextControls

* [Move new TextFields into TextControls directory. (#8726)](https://github.com/material-components/material-components-ios/commit/02f9c9f01d049305a8f79eb2afd16bff5caf71d2) (Andrew Overton)

### Snackbar

* [Fix MDCSnackbarMessage convenience class methods (#8746)](https://github.com/material-components/material-components-ios/commit/f2821ce66ae3cb7360dd14f9dfdd8d80e01b2613) (Yarden Eitan)

* [Fix MDCSnackbarMessage convenience class methods (#8751)](https://github.com/material-components/material-components-ios/commit/e5a94aea1fe5c7f5d96ae11984c36416c641e1d5) (Yarden Eitan)

---

# 93.5.0

This minor release introduces new APIs for Slider. The track height and the
visibility of track tick marks can be customized.

## New features

`MDCSlider` allows customization of the track height.

**Objective-C**

```objc
MDCSlider *slider = [[MDCSlider alloc] init];
slider.trackHeight = 4;
```

**Swift**

```swift
let slider = MDCSlider()
slider.trackHeight = 4
```

`MDCSlider` also allows controlling the display of the track tick marks for
continuous and discrete sliders.  Setting this property disables the automatic
conversion of a slider to "discrete" when setting `numberOfDiscreteValues`.

**Objective-C**

```objc
MDCSlider *slider = [[MDCSlider alloc] init];
// Track tick marks are always shown. Remains a continuous slider.
slider.trackTickVisibility = MDCSliderTrackTickVisibilityAlways;
slider.minimumValue = 0;
slider.maximumValue = 100;
// Show tick marks at 0, 10, 20, ..., 100
slider.numberOfDiscreteValues = 11;
```

**Swift**

```swift
let slider = MDCSlider()
// Track tick marks are always shown. Remains a continuous slider.
slider.trackTickVisibility = .always
slider.minimumValue = 0;
slider.maximumValue = 100;
// Show tick marks at 0, 10, 20, ..., 100
slider.numberOfDiscreteValues = 11;
```

## Component changes

### ThumbTrack

* [Discrete dots scale slowly with track height. (#8744)](https://github.com/material-components/material-components-ios/commit/8209a86761f81fe9e3b36689608f53cebcff3d40) (Robert Moore)

### Multi-component changes

* [Add API to control showing tick marks. (#8743)](https://github.com/material-components/material-components-ios/commit/826779f2a470a708a95ddfdcba491fe7dd47e5b4) (Robert Moore)
* [Add trackHeight property (#8740)](https://github.com/material-components/material-components-ios/commit/f0647ad0fe20d586599a7c2170982d0d8b645230) (Bryan Oltman)
* [Continuous sliders show tick marks. (#8745)](https://github.com/material-components/material-components-ios/commit/a742a6132e5aa69ce9eec6dcfc2a74bd0c93765e) (Robert Moore)

---

# 93.4.0

This minor release adds a new Filled and Outlined TextFields that will eventually replace MDCTextField's filled and outlined controllers. Additionally, it fixes dynamic type issues for multiple components, and removes deprecated themers.

## New features

### TextFields

* [Add filled textfields (#8674)](https://github.com/material-components/material-components-ios/commit/f2e5fe4fbd17735858b1897765ce6c4f55147cb9) (Andrew Overton)
* [Add outlined textfield (#8705)](https://github.com/material-components/material-components-ios/commit/cfc699b1992c56e2e67cfc082e568863ac80da18) (Andrew Overton)

## Component changes

### ActivityIndicator

* [Delete MDCActivityIndicatorColorThemer. (#8694)](https://github.com/material-components/material-components-ios/commit/79fb766e0158628aec39bdf81e963edb317f6f3d) (featherless)

### Dialogs

* [Title supports Dynamic Type. (#8691)](https://github.com/material-components/material-components-ios/commit/8c445f613865ae9c29e5ec6ab1b11435c1e2b34c) (Robert Moore)

### TextFields

* [Add animation duration property to properly snapshot test MDCBaseTextField's subclasses (#8693)](https://github.com/material-components/material-components-ios/commit/2ea2f012074a4eb93d6f5613591f832445662939) (Andrew Overton)
* [Change base textfield floating label scale factor. (#8704)](https://github.com/material-components/material-components-ios/commit/cc5d2c15047bb02dcf74b666aee354dcd7b981b6) (Andrew Overton)
* [Change label animation again (#8703)](https://github.com/material-components/material-components-ios/commit/4fb5f96a4429c1f90629d208a2a1565a1b4f3bd7) (Andrew Overton)
* [Fix minor animation glitch when opening example (#8716)](https://github.com/material-components/material-components-ios/commit/918dd0b0423964f09843e2ea8e08ae494ab049f1) (Andrew Overton)
* [Refactor label animation (#8700)](https://github.com/material-components/material-components-ios/commit/64ff7086dc40bc230d947fea4e359c0d4929d59e) (Andrew Overton)
* [Refactor snapshots in preparation for more types of textfields (#8670)](https://github.com/material-components/material-components-ios/commit/f5e955d85498e26855285dccf989b32079b7769f) (Andrew Overton)
* [Capture snapshots outside of view (#8718)](https://github.com/material-components/material-components-ios/commit/dec1670f8b34b75f2d78b27e460a72567326cb07) (Andrew Overton)
* [Add safety return to new multiline logic to make i… (#8695)](https://github.com/material-components/material-components-ios/commit/5707f863a1bb4f036b25600f9a8d0856c274fa5e) (Yarden Eitan)
* [Bring back original textInsets API for clients sub… (#8688)](https://github.com/material-components/material-components-ios/commit/8dbebd1c6ca99e75e0480c5e16c87f6aa3a7939a) (Yarden Eitan)

### FlexibleHeader

* [Add behavioral flag for animating shadow layer frames when tracking scroll view is changed (#8715)](https://github.com/material-components/material-components-ios/commit/06f9328350646cf7215e952e6cd22333e1c0eb1e) (featherless)

* [Expose an animation delegate on MDCFlexibleHeaderView. (#8712)](https://github.com/material-components/material-components-ios/commit/bd39f8483b750816bcfae30e2906aad782cc9665) (featherless)
* [Move all supplemental code into the examples. (#8690)](https://github.com/material-components/material-components-ios/commit/f758365a6e931a401b756b396679bfb08cf8ca35) (featherless)

### Slider

* [Add snapshot tests for setting preferredFont with adju… (#8645)](https://github.com/material-components/material-components-ios/commit/1b7b249805276bd8aab0c0331a433b2364d7151f) (Yarden Eitan)

### ThumbTrack

* [[ThumbTrack] Add Font API and Dynamic Type support (#8708)](https://github.com/material-components/material-components-ios/commit/8f9dd740d07b880d038ab6a6daa8dfe253070536) (Yarden Eitan)

## Multi-component changes

* [Deprecate the ShapeThemer extension. (#8697)](https://github.com/material-components/material-components-ios/commit/8b9f0bbea6165c14ceaf76c9debe92cf669e758f) (featherless)


---

# 93.3.0

This minor release adds two new APIs to FlexibleHeader for contexts involving multiple tracking
scroll views (such as tabbed interfaces).

## New features

MDCFlexibleHeaderView has a new API,
`allowShadowLayerFrameAnimationsWhenChangingTrackingScrollView`, that can be used to enable shadow
layer frame animations when the header's height is animated after switching to a new tracking
scroll view. This flag is false by default, but will be enabled and then deleted in the future, so
please consider enabling it wherever you instantiate a flexible header or app bar.

MDCFlexibleHeaderView has a new `animationDelegate` API that can be used to react to the completion
of the animation that occurs when changing tracking scroll views.

## Component changes

### FlexibleHeader

* [Add behavioral flag for animating shadow layer frames when tracking scroll view is changed (#8715)](https://github.com/material-components/material-components-ios/commit/06c6be082a7d02c674902e78c0154668761cf983) (featherless)
* [Expose an animation delegate on MDCFlexibleHeaderView. (#8712)](https://github.com/material-components/material-components-ios/commit/96d6880071352be0a6aa25be599ad18cffeda765) (featherless)

---

# 93.2.0

In this minor release TextFields support multiline error/helper text, FeatureHighlight supports Dynamic Type, OverlayWindow supports iOS 13 UIWindow scene initializer API, along with a PageControl dot placement fix, and additional component testing.

## New features

### FeatureHighlight

You can now set `adjustsFontForContentSizeCategory` on `MDCFeatureHighlightViewController` to automatically update your scalable font when content size category changes.
Namely, when `adjustsFontForContentSizeCategory` is set to `YES` the title and body fonts will scale appropriately if given a scalable font.

### OverlayWindow

`MDCOverlayWindow` now supports being initialized with `initWithWindowScene:` as part of the new `UIWindow` iOS 13 APIs.

### TextFields

`MDCTextField` now supports multiline error and helper texts. To set this up you will need to change the number of lines and word wrapping of the label:

```objc
MDCTextField *textField = [[MDCTextField alloc] init];
textField.leadingUnderlineLabel.numberOfLines = 0;
textField.leadingUnderlineLabel.lineBreakMode = NSLineBreakByWordWrapping;
```

## API changes

## Component changes

## Changes

### Banner

* [Add snapshot tests for setting preferredFont with adjustsFontForContentSizeCategory (#8623)](https://github.com/material-components/material-components-ios/commit/dc66b7fe8764a7da914a7d33616b5546fdf67594) (Yarden Eitan)

### Buttons

* [Support non-stateful fonts in theming. (#8650)](https://github.com/material-components/material-components-ios/commit/9c96aa99686f25934b62bf4156c6855996631320) (Robert Moore)

### Cards

* [New toggle-button example (#8663)](https://github.com/material-components/material-components-ios/commit/8c103b0fc965f117a8444aa9e692ce77eb8d03b3) (Galia Kaufman)

### Chips

* [Add snapshot tests for setting preferredFont with adjustsFontForContentSizeCategory (#8624)](https://github.com/material-components/material-components-ios/commit/d05629ca09db043175a6b55e9c36b452216ea33c) (Yarden Eitan)

### Dialogs

* [Add tests for Dynamic Type. (#8675)](https://github.com/material-components/material-components-ios/commit/27b170cf91b79f9e548b22bd59ab428fc2a5ae04) (Robert Moore)
* [Remove broken snapshot tests. (#8676)](https://github.com/material-components/material-components-ios/commit/70591f73b6e68846fb5ff7ca2ef7a4a05cb14b14) (Robert Moore)

### FeatureHighlight

* [Add adjustsFontForContentSizeCategory suppor… (#8655)](https://github.com/material-components/material-components-ios/commit/ee10e067aac7f4244580421acd58827c6363cb9c) (Yarden Eitan)
* [Add snapshot tests for setting preferredFont with adjustsFontForContentSizeCategory (#8629)](https://github.com/material-components/material-components-ios/commit/115780b1a384f4a60898f9c8342867228f88fd6e) (Yarden Eitan)

### FlexibleHeader

* [Remove unnecessary caching of CATransaction's disableActions. (#8668)](https://github.com/material-components/material-components-ios/commit/060cbfd23f1aed3d0ad26bd48d10b5d00592457b) (featherless)

### List

* [Add snapshot tests for setting preferredFont with adjustsFontForContentSizeCategory (#8636)](https://github.com/material-components/material-components-ios/commit/6123da4c55f4aa7a230279ecc25f700f3ca86222) (Yarden Eitan)

### OverlayWindow

* [Add initWithWindowScene: initializer (#8633)](https://github.com/material-components/material-components-ios/commit/3ff88f1aaccdd3695886e85498e8668f59b9397d) (Bryan Oltman)

### PageControl

* [Position active page indicator correctly after scrolling (#8662)](https://github.com/material-components/material-components-ios/commit/5610dd39b0c7b6c6f64ae296fd9a27123599c9ea) (Bryan Oltman)

### ShadowLayer

* [Fix bug where headless layers would not piggyback shadowPath changes. (#8666)](https://github.com/material-components/material-components-ios/commit/37e92a1acb9919808844bc076637f1fdd0c2e41d) (featherless)

### TextFields

* [Add density and preferredContainerHeight as private functionality (#8607)](https://github.com/material-components/material-components-ios/commit/e2d88e87478f58adb28a69792bdb427b74bd2a22) (Andrew Overton)
* [Add filled and outlined positioning references (#8627)](https://github.com/material-components/material-components-ios/commit/9dcbc6bc117767d70b5af0b9b64823b5cc36a88f) (Andrew Overton)
* [Add filled style object (#8657)](https://github.com/material-components/material-components-ios/commit/09499f2771f3a61064d8c8816a2ac82acefe526e) (Andrew Overton)
* [Add outlined style object (#8658)](https://github.com/material-components/material-components-ios/commit/8f02dc8ffc20f6fe5d3c5f93b938ca828de49475) (Andrew Overton)
* [Add path drawing utils for style objects (#8628)](https://github.com/material-components/material-components-ios/commit/d78853c4c23e48950b65be74a69fe402a75fbe3b) (Andrew Overton)
* [Add tests for preferredFont APIs. (#8635)](https://github.com/material-components/material-components-ios/commit/bdf183db464e2298bb11e1afa06e45caf1acc686) (Robert Moore)
* [Bring back original textInsets API for clients sub… (#8688)](https://github.com/material-components/material-components-ios/commit/10802395af704baf1daad54013f51add7820dbc1) (Yarden Eitan)
* [Add support for multi-line in helper and error tex… (#8665)](https://github.com/material-components/material-components-ios/commit/2c99391aef7db5ee761cecdfa67e60d6b126fbbc) (Yarden Eitan)

---

# 93.1.1

This patch hotfix release addresses a bug in NavigationDrawer where the scrim is visible when the drawer's trackingScrollView is scrolled to the end of the content.

## Changes

### NavigationDrawer

* [Address issue where scrim is visible when scrolled to end of content. (#8638)](https://github.com/material-components/material-components-ios/commit/8b3ce02a7ae9cf9722c1c86ba8c98cb0e3a23eb7) (Andrew Overton)

---

# 93.1.0

This minor hotfix release deprecates the `buttonFont` API of
`MDCAlertController`.

## New deprecations

The `buttonFont` API on `MDCAlertController` is being deprecated and will soon
be removed. Clients should instead use `buttonForAction:` to access and theme
each button as desired.

**Objective-C**

```objc
for (MDCAlertAction *action in self.actions) {
  MDCButton *button = [self buttonForAction:action];
  // Perform button customization
}
```

## API changes

### Dialogs

#### MDCAlertController

*modified* property: `buttonFont` in `MDCAlertController`

| Type of change: | Deprecation message |
|---|---|
| From: | `` |
| To: | `Please use buttonForAction: to set button properties.` |

*modified* property: `buttonFont` in `MDCAlertController`

| Type of change: | Deprecation |
|---|---|
| From: | `0` |
| To: | `1` |

## Changes

### Dialogs

* [Mark `buttonFont` deprecated. (#8649)](https://github.com/material-components/material-components-ios/commit/c2c1511f673b988f87f46f8e6d709eaa53337f39) (Robert Moore)

---

# 93.0.0

This major release deletes MaskedTransition, fixes bugs in ActionSheet, and adds an API to Buttons related to fonts.

## Breaking changes

MaskedTransition has been deleted.

## Changes

### ActionSheet

* [Fix behavior of `alwaysAlignTitleLeadingEdges`. (#8610)](https://github.com/material-components/material-components-ios/commit/dede397d7e4d2fc488b225ead42bf09b8475a00c) (Robert Moore)

### Buttons

* [Add API to disable state-based fonts. (#8606)](https://github.com/material-components/material-components-ios/commit/86ebced717396768096df50dd962af4b8663b797) (Robert Moore)

### Chips

* [Add an "animated" button to the filter example. (#8615)](https://github.com/material-components/material-components-ios/commit/539f39215d52d1a2ea0666330127ca39e4db8123) (featherless)
* [Deprecate MDCChipViewTypographyThemer. (#8590)](https://github.com/material-components/material-components-ios/commit/48eb3d723292bd23151df757036e78b81338a160) (featherless)
* [Fold MDCChipViewTypographyThemer into the Theming extension. (#8591)](https://github.com/material-components/material-components-ios/commit/e7521ed500a14ebd6807e57cbe8d61116dd2dbe0) (featherless)
* [Fold more supplemental code into the examples. (#8605)](https://github.com/material-components/material-components-ios/commit/d59cab0d9fb4b3250852f91e132cb189529cc410) (featherless)
* [Fold supplemental code into the examples. (#8587)](https://github.com/material-components/material-components-ios/commit/588024d04fddb2f7b0334977f318a4bf328ed067) (featherless)

### Dialogs

* [Remove uncontrolled snapshot tests. (#8619)](https://github.com/material-components/material-components-ios/commit/5aeba560cd83d541d992b32398ba1e2b1072b012) (Robert Moore)

### Tabs

* [Optimization to avoid creating unnecessary views. (#8613)](https://github.com/material-components/material-components-ios/commit/d95bc29b04958b442eb2d86d32d7e8ac1413bd3b) (Mark Klara)

---

# 92.5.0

This minor release prepares MDCButton for the deprecation and removal of its
`titleFont:forState:` APIs in a future release.

## Changes

### Buttons

* [Add API to disable state-based fonts. (#8606)](https://github.com/material-components/material-components-ios/commit/72e50eb0a2c8944e46f656bd6aaa2d6c36f57329) (Robert Moore)

---

# 92.4.0

This minor release addresses issues with Dialogs in Dark Mode, adds delegate methods for Navigation Drawer, and makes Outlined Text Areas more configurable.

## New deprecations

This minor release deprecates Chips+ChipThemer and MDCChipViewFontThemer.

## New features

MDCTextInputControllerOutlinedTextArea now allows users to specify `minimumLines` and `expandsOnOverflow`.

```objc
MDCTextInputControllerOutlinedTextArea *textInputControllerOutlinedTextArea =
    [[MDCTextInputControllerOutlinedTextArea alloc] initWithTextInput:self.textField];
textInputControllerOutlinedTextArea.minimumLines = 1;
textInputControllerOutlinedTextArea.expandsOnOverflow = YES;
```

```swift
let textInputControllerOutlinedTextArea =
    MDCTextInputControllerOutlinedTextArea(textInput: textField)
textInputControllerOutlinedTextArea.minimumLines = 1
textInputControllerOutlinedTextArea.expandsOnOverflow = true
```

MDCBottomDrawerPresentationControllerDelegate has new methods that allow clients to respond to animation lifecycle events and touches to the scrim.

#### Touch events set to delegate

Touch events are propagated to delegate to allow clients to interpret touches in the scrim area.

```objc
navigationDrawer.dismissOnBackgroundTap = NO;
navigationDrawer.shouldForwardTouchEvents = YES;
...
- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
}
- (void)touchesEnded:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
}
```

```swift
navigationDrawer.dismissOnBackgroundTap = false
navigationDrawer.shouldForwardTouchEvents = true
...
override public func touchesBegan(_ touches: Set<UITouch>, with event: UIEvent?) {
}
public override func touchesEnded(_ touches: Set<UITouch>, with event: UIEvent?) {
}

```

### Animation events sent to delegate

The animation lifecycle events are forwarded to the delegate so that clients can respond to them.

```objc
- (void)bottomDrawerControllerWillTransitionOpen:(nonnull MDCBottomDrawerViewController *)controller
                                 withCoordinator:
                                     (nullable id<UIViewControllerTransitionCoordinator>)
                                         transitionCoordinator
                                   targetYOffset:(CGFloat)targetYOffset {
}

- (void)bottomDrawerControllerDidEndOpenTransition:(MDCBottomDrawerViewController *)controller {
}

- (void)
    bottomDrawerControllerWillTransitionClosed:(nonnull MDCBottomDrawerViewController *)controller
                               withCoordinator:(nullable id<UIViewControllerTransitionCoordinator>)
                                                   transitionCoordinator
                                 targetYOffset:(CGFloat)targetYOffset {
}

- (void)bottomDrawerControllerDidEndCloseTransition:(MDCBottomDrawerViewController *)controller {
}

- (void)bottomDrawerControllerDidChangeTopYOffset:
            (nonnull MDCBottomDrawerViewController *)controller
                                          yOffset:(CGFloat)yOffset {
}
```

```swift
public func bottomDrawerControllerWillTransitionOpen(_ controller: MDCBottomDrawerViewController, with transitionCoordinator: UIViewControllerTransitionCoordinator?, targetYOffset:CGFloat) {
}

public func bottomDrawerControllerDidEndOpenTransition(_ controller: MDCBottomDrawerViewController) {
}

public func bottomDrawerControllerWillTransitionClosed(_ controller: MDCBottomDrawerViewController, with transitionCoordinator: UIViewControllerTransitionCoordinator?) {
}

public func bottomDrawerControllerDidEndCloseTransition(_ controller: MDCBottomDrawerViewController) {
}

public func bottomDrawerControllerDidChangeTopYOffset(_ controller: MDCBottomDrawerViewController, yOffset: CGFloat) {
}

func transitionWith(_ controller: MDCBottomDrawerViewController, _transitionCoordinator: UIViewControllerTransitionCoordinator?, yOffset:CGFloat) {
}
```

## Changes

### BottomSheet

* [Disable pan gesture on UIControl (#8491)](https://github.com/material-components/material-components-ios/commit/948199ab047db4fba61fcdc818c0d41a7c97c393) (Linksmt)

### Chips

* [Add Dynamic Type support to ChipsActionExampleViewController. (#8565)](https://github.com/material-components/material-components-ios/commit/20102a792caaa2cadc1f0cbf44820b7f5bdf0e24) (featherless)
* [Add Dynamic Type support to ChipsInputExampleViewController. (#8569)](https://github.com/material-components/material-components-ios/commit/eac0034d93a1f59d0318d4a7d3f60f0325481d9b) (featherless)
* [Add Dynamic Type support to the remaining chip collection examples. (#8567)](https://github.com/material-components/material-components-ios/commit/dbfaa92f9b625ffad81a6544f28d7b3fc7f438bf) (featherless)
* [Deprecate Chips+ChipThemer. (#8593)](https://github.com/material-components/material-components-ios/commit/27c4d5354a41c17589da90b899daf92cef8098a1) (featherless)
* [Deprecate MDCChipViewFontThemer. (#8589)](https://github.com/material-components/material-components-ios/commit/8fdd809b2547195411e36a3b5f0e11ffb1f53dc6) (featherless)
* [Move ChipModel into ChipsTypicalUseViewController. (#8579)](https://github.com/material-components/material-components-ios/commit/cf1a9010f18892dc41365163245c278f440511e1) (featherless)
* [Move all example assets to a supplemental file. (#8577)](https://github.com/material-components/material-components-ios/commit/ecba8c89d66bd8606881e562d12c741ea4430d44) (featherless)
* [Remove all lazy initialization of models from examples. (#8576)](https://github.com/material-components/material-components-ios/commit/4f7e1e00c308ba7510ce8424765e7dba9bd7700e) (featherless)
* [Remove sizing chips from all remaining examples. (#8575)](https://github.com/material-components/material-components-ios/commit/acdbc6f1d66c21217c79fa3f917080cd100599de) (featherless)
* [Remove unnecessary explicit layout code. (#8564)](https://github.com/material-components/material-components-ios/commit/332123d241fa6037cd9b7890cd55a6ed984f40a1) (featherless)
* [Remove unnecessary theming logic. (#8562)](https://github.com/material-components/material-components-ios/commit/08ece1de1dc09e5630fceeccaa62d0eb09391928) (featherless)

### Dialogs

* [Explicitly set title and message color (#8588)](https://github.com/material-components/material-components-ios/commit/e4825c628b3a6dcc97708a42d2ad932935cb0b43) (Cody Weaver)

### NavigationDrawer

* [Add delegate methods to allow the presenting VC to gain access to the transitionCoordinator used during the present/dismiss transitions.  (#8566)](https://github.com/material-components/material-components-ios/commit/a91bf9c2ec7b04184d8d74151d678d48c33654b3) (Randall Li)
* [Allow touch events to propagate to delegate for  MDCBottomNavigationDrawer (#8578)](https://github.com/material-components/material-components-ios/commit/b578f9ee67ab85cde3c8e7786c8d07c7720431cf) (Randall Li)

### TextFields

* [Allow customization of overflow and lines on OutlinedTextArea (#8570)](https://github.com/material-components/material-components-ios/commit/e3acbb9b863f27adbf15933723b9c77d5105e86b) (Yarden Eitan)

### Typography

* [Remove checks for `systemFontOfSize:weight:`. (#8581)](https://github.com/material-components/material-components-ios/commit/2550aa00b3a4ba765416c9c05b92897aa80a2ac4) (Robert Moore)

## Multi-component changes

* [Reran ./scripts/generate_all_readmes (#8557)](https://github.com/material-components/material-components-ios/commit/1eaff651f9502fcd156a93f96d6344c576b00500) (Randall Li)

---

# 92.3.1

This minor hotfix adds a missing podspec dependency to TextFields+ContainedInputView extension.

## Component changes

### TextFields

* [[TextFields] Missing containedinputview podspec dependency (#8554)](https://github.com/material-components/material-components-ios/commit/dfb670ead5062324728eda2bd1dd56f18dd3c836) (Yarden Eitan)

---

# 92.3.0

This minor release introduces new color properties to TextFields and removes max size constraints on ActivityIndicator.

## New features

MDCTextInputControllerBase now allows setting the input field's border in the resting state using `borderStrokeColor`:

```objc
MDCTextField *textField = [[MDCTextField alloc] init];
MDCTextInputControllerOutlined *controller =
  [[MDCTextInputControllerOutlined alloc] initWithTextInput:textField];
controller.borderStrokeColor = UIColor.redColor;
```

MDCTextInputControllerFloatingPlaceholder now allows setting the error color of the border of the input field while being in edit mode using `floatingPlaceholderErrorActiveColor`:

```swift
let textFieldFilled = MDCTextField()
let textFieldControllerFilled = MDCTextInputControllerFilled(textInput: textFieldFilled)
textFieldControllerFilled.floatingPlaceholderErrorActiveColor = .red
```

## Component changes

## Changes

### ActivityIndicator

* [Removes 72dp radius limit on activity indicator (#8534)](https://github.com/material-components/material-components-ios/commit/4d39b55d09bdbc13d9338a61f8cb5daeae2b4e83) (Josh Converse)

### Tabs

* [Add TabBarView API to set content padding (#8529)](https://github.com/material-components/material-components-ios/commit/993eea2e9ea3dea8015dba03a8d043d7406ba7f0) (Robert Moore)

### TextFields

* [Add assistive label view (#8539)](https://github.com/material-components/material-components-ios/commit/f06651ee89e8f5b04b3d3a3431713649d12f3766) (Andrew Overton)
* [Add some MDCTextControl properties and some small methods I forgot to implement (#8535)](https://github.com/material-components/material-components-ios/commit/4eb5b58a9625081c2606e94ef10b4c1d25970283) (Andrew Overton)
* [Adding border stroke color (#8510)](https://github.com/material-components/material-components-ios/commit/b52b0b41188bcc8c185b228a68a96fe9cbdbf397) (Galia Kaufman)
* [Adding floatingPlaceholder Error Active color API to controller (#8526)](https://github.com/material-components/material-components-ios/commit/a1c2e4b0a9ad8c76d976f94940a83aa9c7a7e804) (Galia Kaufman)
* [Bring more of base positioning reference over (#8530)](https://github.com/material-components/material-components-ios/commit/9d814f27fc334165365f67313fe18b8a82abecee) (Andrew Overton)
* [Minor cleanup (#8543)](https://github.com/material-components/material-components-ios/commit/de9f2baadfe8184d314a1050035f32b616b96881) (Andrew Overton)

## Multi-component changes

* [Added section for iOS 13 collection considerations (#8527)](https://github.com/material-components/material-components-ios/commit/302077c4ba3a9c95682de3b9e9fd90e0ee1dcb9d) (Randall Li)

---

# 92.2.0

This minor hotfix release adds a new accessory view feature to MDCAlertController.

## New features

MDCAlertController has a new `accessoryView` property. This property can be used to add custom views
to the alert controller. Example usage:

```swift
let alert = MDCAlertController(title: "This is a title", message: "This is a message")
let textField = UITextField()
textField.placeholder = "This is a text field"
alert.accessoryView = textField
```

## Changes

### Dialogs

* [Add accessoryView to MDCAlertController (#8538)](https://github.com/material-components/material-components-ios/commit/c84e1ab11535a2dd846e0500374883bcd9044edc) (Jacob Lukas‎)

---

# 92.1.0

This minor release introduces badge color APIs for Bottom Navigation and Bottom Drawer support for
full-height presentation with any content. Tabs and TextFields received bug fixes. Ripple optimizations
improved callback behavior.

## New features

### Bottom Navigation

Bottom Navigation addded itemBadgeBackgroundColor and itemBadgeTextColor APIs to allow clients to
set a custom badge background and text colors for all badges.

```
  itemView.badgeColor = UIColor.whiteColor;
  itemView.badgeTextColor = UIColor.redColor;
```

### Navigation Drawer

#### Always allow the header to expand

Header can expand even if content doest fill screen.

```
  self.navigationDrawer.shouldAlwaysExpandHeader = YES;
```

## Changes

### BottomNavigation

* [Add support for custom badge and text colors. (#8518)](https://github.com/material-components/material-components-ios/commit/d19d3882922ec1bd34f07400e709bfeacb671e0a) (Robert Moore)

### NavigationDrawer

* [Allow header to expand even if content doesn't fill screen. (#8484)](https://github.com/material-components/material-components-ios/commit/0d30e34a2c4f3c1962d2cd7fc394e7355835aedc) (Cody Weaver)
* [Allow users to scroll to dismiss on lower resolution devices. (#8503)](https://github.com/material-components/material-components-ios/commit/a80e41c20710024d01941ab538817678352e480c) (Cody Weaver)
* [Fix broken header when content expands (#8514)](https://github.com/material-components/material-components-ios/commit/6de8286be5637216715b963e17d2cc008f52232d) (Cody Weaver)

### Ripple

* [Add callbacks for MDCRippleView and MDCRippleLayer NO is passed in for animated parameter (#8505)](https://github.com/material-components/material-components-ios/commit/f7ac93819d24604754132cf28b7b80f32e10e2da) (Michael Schneider)

### Tabs

* [Add newline for code snippet. (#8472)](https://github.com/material-components/material-components-ios/commit/ccbe89d0207105b4362075bf3df60f8f26a0fbe4) (Robert Moore)
* [Correct MDCTabBarView behavior for contentInset. (#8512)](https://github.com/material-components/material-components-ios/commit/86b59715a01dbbfe4fbb61646f88df99c9ce7065) (Robert Moore)
* [Expand configuration in MDCTabBarView example. (#8498)](https://github.com/material-components/material-components-ios/commit/1ce82c678bf95b6d2247fbab3d44ed35a857eb24) (Robert Moore)
* [Remove internal layout type. (#8519)](https://github.com/material-components/material-components-ios/commit/f9560f63ee0afe32df2b45f1a0e5e490047fb0ec) (Robert Moore)
* [Update TabBarView documentation. (#8489)](https://github.com/material-components/material-components-ios/commit/4e6ad990e91c9f27cfb97bc34b953e18d05cdba1) (Robert Moore)

### TextFields

* [Add initial stateful coloring stuff (#8406)](https://github.com/material-components/material-components-ios/commit/b6eb3d73a00d07f5f037371c98efaf6d16c184a8) (Andrew Overton)
* [Add some important protocols (#8493)](https://github.com/material-components/material-components-ios/commit/85bd705a22c5a600d84efc677e48f3a7914dcd69) (Andrew Overton)
* [Add some placeholder logic (#8448)](https://github.com/material-components/material-components-ios/commit/6febfa95cf81f3ce7991418f668f20ce71278dba) (Andrew Overton)
* [Implement some UIView overrides in MDCBaseTextField (#8494)](https://github.com/material-components/material-components-ios/commit/e1c48320767c699d7190c31cbcc4f59bc1583479) (Andrew Overton)
* [Preserve placeholder font. (#8521)](https://github.com/material-components/material-components-ios/commit/0ecae7177b965aa33a6a569ef1433b888bab88d8) (Robert Moore)
* [Rename "contained input view" to "text control" (#8524)](https://github.com/material-components/material-components-ios/commit/2420eba2168a836b59090bea285b74fa99f20e6d) (Andrew Overton)
* [Tinkering with snapshot tests (#8511)](https://github.com/material-components/material-components-ios/commit/27015d885b16c8142016facf3607bf3f4f363323) (Andrew Overton)

### Typography

* [Fix scaling test. (#8477)](https://github.com/material-components/material-components-ios/commit/d8858723ef0b6d0a17812550fbefb86f087d9fba) (Robert Moore)

### private/Icons

* [Add tests for remaining icons. (#8499)](https://github.com/material-components/material-components-ios/commit/2f4b35e2aaa1443c80c2d2328fc0f0d31583cd0a) (Robert Moore)

## Multi-component changes

* [Correct icons scripts and integration. (#8501)](https://github.com/material-components/material-components-ios/commit/c3ad8fb9f52bde4af0fcd27cd5394c3e0e6e2c84) (Robert Moore)
* [Replace `mdc_adjustsFontForContentSizeCategory` with (#8476)](https://github.com/material-components/material-components-ios/commit/0f7758dda70c1f03262e87ae774e882e73119a3e) (Robert Moore)
* [Suppress deprecation warnings. (#8481)](https://github.com/material-components/material-components-ios/commit/8cebc56185fd4e54a210493486987d74dc29c09a) (Robert Moore)
* [Use XCTAssertEqualColors from MDFTesting to help color testing. (#8497)](https://github.com/material-components/material-components-ios/commit/9dfd40427dcf0c7c8d20b971613833b780a72e85) (Wenyu Zhang)
* [remove MDFTesting references. (#8531)](https://github.com/material-components/material-components-ios/commit/b843136be3f6b80df75adc2fb00b99ae337e5c00) (Wenyu Zhang)

---

# 92.0.0

This major release removes the `mdc_adjustsFontForContentSizeCategory` API
from `MDCTypographyScheming`. It makes
`useCurrentContentSizeCategoryWhenApplied` required for all implementations.

## Breaking changes

Classes conforming to `MDCTypographyScheming` must now provide the API
`useCurrentContentSizeCategoryWhenApplied`. It was previously recommended that
it be bound to the value of `mdc_adjustsFontForContentSizeCategory`.

## Changes

## schemes/Typography

* [Replace `mdc_adjustsFontForContentSizeCategory` with (#8476)](https://github.com/material-components/material-components-ios/commit/fd3395b5297c9dd4e4aeb25c02dee6026720c962) (Robert Moore)

---

# 91.1.1

This patch release corrects initalization of AppBar and splits the typography scheme so the protocol can be
used separately from the class conforming to the protocol.

## Changes

### ActionSheet

* [Add elevation property to ActionSheet. (#8465)](https://github.com/material-components/material-components-ios/commit/efe0592ff78c9cf05844f61072311d97eb564829) (Wenyu Zhang)

### AppBar

* [Hide the navigation bar in MDCAppBarNavigationController's initWithRootViewController API. (#8471)](https://github.com/material-components/material-components-ios/commit/204c25080d60798e4e98eecc260db7c20cb4f1e1) (featherless)

### NavigationDrawer

* [Minor change to example to help debug some bugs. (#8467)](https://github.com/material-components/material-components-ios/commit/08fa1a3638c9ad59007927d49513368d4e91f924) (Randall Li)

### schemes/Typography

* [Separate the declaration of MDCTypopgraphyScheming from MDCTypography, as requested in https://github.com/material-components/material-components-ios/issues/8445. (#8460)](https://github.com/material-components/material-components-ios/commit/39ec06ef5bded8664c9a96d4a84d17b3887ecd1c) (Bryan Oltman)

## Multi-component changes

* [set elevation value in theming extension. (#8466)](https://github.com/material-components/material-components-ios/commit/bca36107405594d5b7b16265a5b0ed698f85a5ee) (Wenyu Zhang)

---

# 91.1.0

This minor release adds support for customizing the elevation on ActionSheet component, and updates its
theming extension to apply a customized elevation value.

## Changes

### ActionSheet

* [set elevation value in theming extension. (#8466)](https://github.com/material-components/material-components-ios/commit/a651fe5e4e73f40e616aa916ff02acd4550c47b4) (Wenyu Zhang)
* [Add elevation property to ActionSheet. (#8465)](https://github.com/material-components/material-components-ios/commit/60547de63810c8dc6d25b22b51209b9433edebc2) (Wenyu Zhang)

---

# 91.0.0

This major release deletes several deprecated APIs and annotates several APIs as deprecated. Usage
of `UIWebView` has also been replaced with `WKWebView`.

## Breaking changes

Buttons `shouldRaiseOnTouch` was deleted. Set elevation to `MDCShadowElevationNone` for all states
instead.

Buttons `underlyingColor` property was deleted. Use `underlyingColorHint` instead.

## New deprecations

`MDCMaskedTransitionController` was deprecated. There is no replacement for this component. Please
use a standard `presentViewController` invocation instead.

## New features

ProgressView's `cornerRadius` property was added. This enables clients to customize the corner radius
of the filled portion of the progress view.

ActionSheet added the ability to add a divider between the header and table. Properties
`headerDividerColor` and `showHeaderDivider` were added to MDCActionSheetController. If a client
wants to show a header divider they would need to set `showHeaderDivider` and then set an
appropriate color for their use case, by default it is `clearColor`. By default the property
`showHeaderDivider` view is `NO` so that we do not break clients. This matches a pattern outlined
in [`MDCBannerView`](https://github.com/material-components/material-components-ios/blob/ac114b4bda9dbad328ae445c4529a43a94ccd97d/components/Banner/src/MDCBannerView.h#L76-L88).

## Changes

### ActionSheet

* [Add ability to add a divider between header and table (#8230)](https://github.com/material-components/material-components-ios/commit/693d01a06a088d93a84338f0c76b41bb8633223c) (Cody Weaver)

### BottomSheet

* [replace UIWebView usage with WKWebView. (#8453)](https://github.com/material-components/material-components-ios/commit/9bd8770ae49884f2fe7889a2441ea03d46ef9e87) (Wenyu Zhang)

### Buttons

* [Delete underlyingColor property (#8451)](https://github.com/material-components/material-components-ios/commit/7b0f8ee01bf32903cf8b0ac65472584e96dbe242) (Bryan Oltman)
* [Remove unused shouldRaiseOnTouch property (#8455)](https://github.com/material-components/material-components-ios/commit/a6053f4afd983c78b8c6d3347a1cdd81f0f734dc) (Bryan Oltman)

### MaskedTransition

* [Deprecate MDCMaskedTransitionController. (#8443)](https://github.com/material-components/material-components-ios/commit/16e7009604624d9d9f99b9a0cde0f2725e8eb1a2) (featherless)

### ProgressView

* [Add cornerRadius API. (#7417)](https://github.com/material-components/material-components-ios/commit/63bb1a8c9faa4513fb29e5ca22c23c17503f76bc) (featherless)

### schemes/Typography

* [Rename MaterialTypography+BasicFontScheme.h to MaterialTypographyScheme+BasicFontScheme.h. (#8442)](https://github.com/material-components/material-components-ios/commit/c5aac50a89a0e2b2a1e7eea86de46c78e30d2d0b) (featherless)

---

# 90.0.0

This major release deletes several deprecated APIs and annotates several APIs as deprecated.

## Breaking changes

Buttons' `buttonWithShape:` API has been deleted. Please use `floatingButtonWithShape:` instead.

FlexibleHeader's `behavior` API has been deleted. Please use `shiftBehavior` instead.

NavigationBar's `textAlignment` API has been deleted. Please use `titleAlignment` instead.

## New deprecations

ActivityIndicator's ColorThemer is now deprecated. Please theme MDCActivityIndicator's colors
directly instead.

ButtonBar's Theming extension and TypographyThemer are now deprecated. ButtonBar is not intended to
be themed as a standalone component. Please theme it via the AppBar component's Theming extension
instead.

BottomAppBar's ColorThemer is now deprecated. There is presently no replacement. Please indicate
interest in a replacement at
https://github.com/material-components/material-components-ios/issues/7172.

## Upcoming breaking changes

BasicFontScheme is now a standalone target within schemes/Typography with the CocoaPods spec name:
`MaterialComponents/schemes/Typography+BasicFontScheme`. For backwards compatibility, this new
target is still a dependency of `MaterialComponents/schemes/Typography.  This dependency will be
removed as a breaking change in a subsequent release, with the intent of eventually deprecating
and deleting the BasicFontScheme target altogether.

## Changes

### ActionSheet

* [Minor style cleanup of import statements. (#8428)](https://github.com/material-components/material-components-ios/commit/42a912da8cdf879f703f983f4fffa1968c6e68c3) (featherless)

### ActivityIndicator

* [Deprecate ColorThemer. (#8430)](https://github.com/material-components/material-components-ios/commit/97bb87866b56bfa80127f2b36cc271d98d90b44f) (featherless)

### BottomAppBar

* [Deprecate the ColorThemer. (#8438)](https://github.com/material-components/material-components-ios/commit/a01712388be973c3912e2b32d3bd57e816dfa120) (featherless)

### ButtonBar

* [Deprecate Theming and TypographyThemer. (#8432)](https://github.com/material-components/material-components-ios/commit/0f7ee59f139b3e1e48cddd1aada1de4715c54b8a) (featherless)

### Buttons

* [Clarify the alternative to shouldRaiseOnTouch. (#8422)](https://github.com/material-components/material-components-ios/commit/2085de156ca18cd61275c33cd8a3eca157c7b388) (featherless)
* [Delete MDCFloatingButton's buttonWithShape method (#8416)](https://github.com/material-components/material-components-ios/commit/cf04f20a9ede9c6e9a4b17d519365628ed05857a) (Bryan Oltman)

### FlexibleHeader

* [Delete unused behavior property (#8414)](https://github.com/material-components/material-components-ios/commit/700908fae5ecc8341dfb3ec3837fc4edae7ffa46) (Bryan Oltman)

### NavigationBar

* [Delete unused MDCNavigationBar textAlignment property (#8411)](https://github.com/material-components/material-components-ios/commit/14febdb6a1770f89f0a3b58463d906b814f9deec) (Bryan Oltman)

### TextFields

* [Try new approach to snapshot testing textfields (#8407)](https://github.com/material-components/material-components-ios/commit/2d747d5da18b106624e62a21d33d0f37cd4f1e3b) (Andrew Overton)

### private/ThumbTrack

* [Delete unused hasShadow property (#8412)](https://github.com/material-components/material-components-ios/commit/d158f657a28ecccd3f7735b9ca96bdad08ffb8d8) (Bryan Oltman)

### schemes/Typography

* [Pull BasicFontScheme out to an extension. (#8425)](https://github.com/material-components/material-components-ios/commit/c0e74b1d201f546164d411063e7eaf6b3bffd51a) (featherless)
* [Rename MaterialTypography+BasicFontScheme.h to MaterialTypographyScheme+BasicFontScheme.h. (#8442)](https://github.com/material-components/material-components-ios/commit/d54d89b413ab7d1eb1db452656d9209cf123c739) (featherless)

## Multi-component changes

* [Fix theming docs. (#8431)](https://github.com/material-components/material-components-ios/commit/c5188966f65f39edb269ee13c63eaa4185c31d92) (Robert Moore)

---

# 89.0.0

This major release deletes several deprecated APIs, includes bug fixes for iOS 13, and improves
haptics support in Slider.

## Breaking changes

Buttons' `customTitleColor` and `shouldCapitalizeTitle` APIs have been deleted.

Chips' `inkColor` API has been deleted.

## Changes

### Buttons

* [Delete deprecated customTitleColor property (#8403)](https://github.com/material-components/material-components-ios/commit/2feace84a9050fec15bd6c48b2bcb1745864af57) (Bryan Oltman)
* [Remove unused shouldCapitalizeTitle property (#8402)](https://github.com/material-components/material-components-ios/commit/d6139cbfa90fd38adcf55c261cc1b6ad13d70bf9) (Bryan Oltman)

### Chips

* [Remove deprecated inkColor property (#8399)](https://github.com/material-components/material-components-ios/commit/c326f923234240957575fc4ff57fde48f28f9f48) (Bryan Oltman)

### FlexibleHeader

* [Update inferred status bar style on light backgrounds for iOS 13 (#8380)](https://github.com/material-components/material-components-ios/commit/f52abf7a87409d79071fe25596648b7a61079b63) (Cameron Spickert)

### Slider

* [Adding Haptic Feedback When Crossing Anchored Value (#8225)](https://github.com/material-components/material-components-ios/commit/8a587b8c61ceaabdc0a0bbf5f6ffc52bb0f9fda8) (afweiss)

### TextFields

* [Add label animator (#8382)](https://github.com/material-components/material-components-ios/commit/1fbb91217f0d8d71c54a26f4875fc1a94741367f) (Andrew Overton)
* [Misc clean up (#8404)](https://github.com/material-components/material-components-ios/commit/7873ef4c2fddd9a5448221e0c68b55f7aa6ec93f) (Andrew Overton)

---

# 88.2.0

This minor release makes the Banner component generally available, and
provides a bug fix for Buttons.

## New features

`MDCBannerView` is now available for providing messaging to your app's users.
It implements [Material Banners](https://material.io/components/banners/) and
"displays a prominent message and related optional actions."

## Changes

### ActionSheet

* [ [ActionSheet] Add snapshot tests to ensure the default presentation behavior doesn't change under iOS 13. (#8365)](https://github.com/material-components/material-components-ios/commit/05d01faa2cd5570b0a63c9f23007206871a9a829) (Wenyu Zhang)

### Banner

* [Add a missing button title in example. (#8369)](https://github.com/material-components/material-components-ios/commit/7f980895801cc7c236cd43e0e604cb98869b5828) (Wenyu Zhang)
* [Add an example to show super long text case. (#8372)](https://github.com/material-components/material-components-ios/commit/8428e0690c9d0ca8ac30c64ca027fce770bbe241) (Wenyu Zhang)
* [Add documentation on setting hidden of trailing button. (#8371)](https://github.com/material-components/material-components-ios/commit/0079e5741c1474897d564b5c19dc49cb00d214cb) (Wenyu Zhang)
* [Refactor typical example view controller. (#8373)](https://github.com/material-components/material-components-ios/commit/93f9527e94e22439eed673d5b70e53c6e7a5ebdd) (Wenyu Zhang)
* [Update readme after updating API from textLabel to textView. (#8378)](https://github.com/material-components/material-components-ios/commit/2bc08dc44a18a929545e5f857a2ef2e50e5ef5c1) (Wenyu Zhang)

### BottomSheet

* [Add snapshot tests to ensure BottomSheet's default presentation behavior doesn't change under iOS 13. (#8364)](https://github.com/material-components/material-components-ios/commit/0891e70dfca389730738cb4d7930ee44cb17ab59) (Wenyu Zhang)

### Buttons

* [overwrite intrinsicContentSize method. (#8370)](https://github.com/material-components/material-components-ios/commit/e3784afe259055679479f09b2e92324b61cf7fe0) (Wenyu Zhang)

### Dialogs

* [Add snapshot tests to ensure Dialog's default presentation behavior (#8360)](https://github.com/material-components/material-components-ios/commit/a91b1116b8fe90694aa55ae29ab7f652d2e7cee7) (Wenyu Zhang)

### FeatureHighlight

* [Add snapshot tests to ensure the default presentation behavior doesn't change under iOS 13. (#8366)](https://github.com/material-components/material-components-ios/commit/c2d5bf6f9b5708c8b50adf963a813bfa6a85f8eb) (Wenyu Zhang)

### TextFields

* [Add contained input view clear button (#8247)](https://github.com/material-components/material-components-ios/commit/ab4f218a0902b21b2eea81537ffd49387803094e) (Andrew Overton)

### private/Snapshot/TestHost

* [Add a window into the app delegate of host application. (#8361)](https://github.com/material-components/material-components-ios/commit/e4127f23f8ab1bf2fb1d293c3ea868caadc095ec) (Wenyu Zhang)

### private/Snapshot

* [Add a window into the app delegate of host application. (#8361)](https://github.com/material-components/material-components-ios/commit/e4127f23f8ab1bf2fb1d293c3ea868caadc095ec) (Wenyu Zhang)

---

# 88.1.0

This minor change introduces presentation and dismissal improvements to
NavigationDrawer.  `MDCSnackbarMessage` subclasses must now respond to `-
init`. Further improvements are made to the in-development Contained Input
Fields.

## API changes

### TextFields+ContainedInputView

#### MDCBaseTextField

*new* property: `labelBehavior` in `MDCBaseTextField`

*new* property: `label` in `MDCBaseTextField`

#### MDCTextControlLabelBehavior

*new* enum value: `MDCTextControlLabelBehaviorDisappears` in `MDCTextControlLabelBehavior`

*new* enum: `MDCTextControlLabelBehavior`

*new* enum value: `MDCTextControlLabelBehaviorFloats` in `MDCTextControlLabelBehavior`

*new* typedef: `MDCTextControlLabelBehavior`

## Changes

### Banner

* [Apply text theme to button in the typical example. (#8337)](https://github.com/material-components/material-components-ios/commit/42fbedcc4acfdb658f86d410e84ba44af923a274) (Wenyu Zhang)

### List

* [Fix docs rendering for snippet. (#8353)](https://github.com/material-components/material-components-ios/commit/822cbcbfe084beeff4afe9ceb60a5d7cee7067e1) (Robert Moore)

### NavigationDrawer

* [Add fix for jump on interactive dismissal (#8347)](https://github.com/material-components/material-components-ios/commit/6c5db5b212f438d2b385a94d47f261acbbb8aaa6) (Jonathan Willing)
* [Respect the rotation preferences of presenting controller (#8278)](https://github.com/material-components/material-components-ios/commit/cfbdd2a0a096be4822ac71b7e333e265dea0cbac) (Michael Cheung)

### Ripple

* [Add the layer masking in layoutSublayers if there are sublayers present. (#8359)](https://github.com/material-components/material-components-ios/commit/a70588207d6c18e62edca35dae6172c66e15f8c5) (Yarden Eitan)
* [Performance Improvements on initialization (#8354)](https://github.com/material-components/material-components-ios/commit/00d6c02d7db60068a4b23d66b32e0de030f1df0e) (Yarden Eitan)

### Snackbar

* [Fix MDCSnackbarMessage convenience class methods (#7724)](https://github.com/material-components/material-components-ios/commit/6b3fc4cda7616a392f7d46e5da25cdfc7f066782) (Jack Freeman)

### TextFields

* [Add floating label to MDCBaseTextField (#8358)](https://github.com/material-components/material-components-ios/commit/70daa8f70d3e4863901915131120b315869b5350) (Andrew Overton)
* [Add initial text rect logic (#8324)](https://github.com/material-components/material-components-ios/commit/35c01a8354ad4e374ac51401c3e3526710143fbb) (Andrew Overton)

---

# 88.0.1

This patch release adds performance improvements to Ripple during its initilization and layout phases.

## Component changes

## Changes

### Ripple

* [Add the layer masking in layoutSublayers if there are sublayers present. (#8359)](https://github.com/material-components/material-components-ios/commit/cd4b5f13cbfddee5d4022c55e9dfa02ce0a672b7) (Yarden Eitan)
* [Performance Improvements on initialization (#8354)](https://github.com/material-components/material-components-ios/commit/352e1a07cec5ebb96f3a8ff95bfc64b9e5f70837) (Yarden Eitan)

---

# 88.0.0

This major release removes the `mdc_legacyFontScaling` API from Chips and
Buttons.  Ripple's colors when combining `.highlighted` with the `.selected`
or `.dragged` states fall-back to the color for the `.normal` state rather
than for the `.selected` or `.dragged` state.  Snackbar allows disabling the
legacy font scaling behavior when no attached Material scaling curves are
found on its fonts. TextFields fully supports Material Elevation, ActionSheet
fixed a bug with dynamic color support, and Banner received a Theming
Extension.  Several experimental examples were removed from TextFields.

## Breaking changes

Buttons and Chips removed the `mdc_legacyFontScaling` API.  It can be replaced
with `adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable` in all
instances without any change in behavior.

## New deprecations

Typography's API `mdc_adjustsFontForContentSizeCategory` is now deprecated and
will be replaced with `useCurrentContentSizeCategoryWhenApplied`. It will be
removed in a future release.

## New features

### Ripple State Management

Unless a color is explicitly set for the combination state,
`MDCStatefulRippleView` now falls-back to the `.normal` color when either the
`.selected` or `.dragged` states are combined with the `.highlighted` state.
This more closely matches the behavior of `UIControl` subclasses.

### Snackbar Dynamic Type

`MDCSnackbarManager` and `MDCSnackbarMessageView` both allow disabling of the
fall-back Material Typography behavior for Dynamic Type support. When the
`adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable` property is
`YES` and no Material scaling curves are found attached to the fonts, then no
automatic Dynamic Type scaling will take place for the manager's or view's
fonts. This effectively disables the pre-2019 behavior for Dynamic Type.

### TextFields Support Material Elevation

`MDCMultilineTextField` now supports Material Elevation. Clients can assign a
value for `mdc_overrideBaseElevation` or an `elevationDidChangeBlock` to
ensure that both the Text Field and any subviews can react to elevation
changes.

### Banner Theming

`MDCBannerView` now supports a Theming Extension. Please note that Banner is
still in Beta and not published to CocoaPods.

```objc
MDCBannerView *banner = [[MDCBannerView alloc] init];
id<MDCContainerScheming> containerScheme = [[MDCContainerScheme alloc] init];
[banner applyThemeWithScheme:containerScheme];
```

## API changes

### Banner+Theming

**New extension.**

### Buttons

#### MDCButton

*removed* property: `mdc_legacyFontScaling` in `MDCButton`

### Snackbar

#### MDCSnackbarManager

*new* property: `adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable` in `MDCSnackbarManager`

#### MDCSnackbarMessageView()

*new* category: `MDCSnackbarMessageView()`

*removed* category: `MDCSnackbarMessageView()`

*modified* property: `snackbarMessageViewTextColor` in `MDCSnackbarMessageView()`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(ext)MDCSnackbarMessageView@MDCSnackbarMessageView.h@4029` |
| To: | `c:objc(ext)MDCSnackbarMessageView@MDCSnackbarMessageView.h@4574` |

#### MDCSnackbarMessageView

*new* property: `adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable` in `MDCSnackbarMessageView`

### TextFields

#### MDCMultilineTextField

*modified* class: `MDCMultilineTextField`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCMultilineTextField : UIView <MDCTextInput, MDCMultilineTextInput>` |
| To: | `@interface MDCMultilineTextField : UIView` |

*modified* class: `MDCMultilineTextField`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCMultilineTextField : UIView, MDCTextInput, MDCMultilineTextInput` |
| To: | `class MDCMultilineTextField : UIView` |

### TypographyScheme

#### MDCTypographyScheming

*modified* property: `mdc_adjustsFontForContentSizeCategory` in `MDCTypographyScheming`

| Type of change: | Deprecation |
|---|---|
| From: | `0` |
| To: | `1` |

*modified* property: `mdc_adjustsFontForContentSizeCategory` in `MDCTypographyScheming`

| Type of change: | Deprecation message |
|---|---|
| From: | `` |
| To: | `Use useCurrentContentSizeCategoryWhenApplied instead.` |

## Component changes

## Changes

### ActionSheet

* [Update cells when the background is set. (#8341)](https://github.com/material-components/material-components-ios/commit/841bfc6948ded0a5ba77791f0377f4b2abd07156) (Cody Weaver)

### Banner

* [Refactor theming extension to use new color method for elevation.(#8332)](https://github.com/material-components/material-components-ios/commit/2d0bf3d5c967a23901f607acc60a711a47e6d566) (Wenyu Zhang)

### Buttons

* [Add theming extension. (#8285)](https://github.com/material-components/material-components-ios/commit/68f5b9d1e491b7764adf582353757891ae93652b) (Wenyu Zhang)
* [Clarify docs for accessibilityTraitsIncludesButton. (#8328)](https://github.com/material-components/material-components-ios/commit/46a38b50718cbc4761f3af159ae6a5a52ebd3045) (Robert Moore)
* [Delete deprecated mdc_legacyFontScaling API. (#8306)](https://github.com/material-components/material-components-ios/commit/a703c2359420c6af2c38987ee24c4ee59b116155) (Wenyu Zhang)

### Chips

* [delete deprecated mdc_legacyFontScaling. (#8305)](https://github.com/material-components/material-components-ios/commit/ffd8a84fc110ff61dda2d5123e01da78b36eb161) (Wenyu Zhang)

### Elevation

* [Add a convenience method to resolve dynamic color only when traitCollection's color appearance has changed. (#8315)](https://github.com/material-components/material-components-ios/commit/ba2336c38e2a3877f1579c6cb771dfcc0516320d) (Wenyu Zhang)
* [Fix spelling error (#8336)](https://github.com/material-components/material-components-ios/commit/614820316af915429e22342c98ec6740f8e16e9b) (Cody Weaver)

### Ink

* [Remove use of `NS_ASSUME_NONNULL_BEGIN`. (#8298)](https://github.com/material-components/material-components-ios/commit/1ca983726f5e1200c5c5610136cd009af0aa3b57) (Robert Moore)

### List

* [Fix docs markdown. (#8294)](https://github.com/material-components/material-components-ios/commit/ea2f2ca2ebc52a514cd690e50ef498fb950cbfc9) (Robert Moore)
* [Fix missing images on material.io. (#8310)](https://github.com/material-components/material-components-ios/commit/63ce18bfb337152cd337a27f84a1cca04c2f8167) (Robert Moore)
* [Fix remaining code blocks. (#8313)](https://github.com/material-components/material-components-ios/commit/39bcd3e651829ae09d4a2a296e556872a0011fd7) (Robert Moore)
* [Fix typo in README (#8302)](https://github.com/material-components/material-components-ios/commit/70bb5995e7cdaa68ea673e29fd26fa2ca60f8e72) (Robert Moore)

### Ripple

* [Fixing selection state in Ripple (#7609)](https://github.com/material-components/material-components-ios/commit/87cc5aa535a3e9821488fd917d5588716d672aa1) (Galia Kaufman)

### Shapes

* [Update border color to support dynamic color (#8308)](https://github.com/material-components/material-components-ios/commit/a18d6e6b412375ecca86ea0d43da16b821d6f2f8) (Cody Weaver)

### Slider

* [Remove use of `NS_ASSUME_NONNULL_BEGIN`. (#8300)](https://github.com/material-components/material-components-ios/commit/efdbb44938da11a8f155bb5f86613fd7d2dbee62) (Robert Moore)

### Snackbar

* [Add dynamic type M2 support. (#8303)](https://github.com/material-components/material-components-ios/commit/ab552b1ae07ad2b21dd6fe3c86a259fe60f0d595) (Wenyu Zhang)
* [Adding traitCollection and elevationDidChange blocks of the messageView in the manager. (#8330)](https://github.com/material-components/material-components-ios/commit/b00771afb7c4b6c4b8c2425b7ba7fd02a4e6ea7f) (Yarden Eitan)

### TextFields

* [Add MDCBaseTextFieldLayout object with leading/trailing view behavior (#8292)](https://github.com/material-components/material-components-ios/commit/74c2f3f962636d15a5bfdeb7af6f61db20ea7179) (Andrew Overton)
* [Add MaterialElevation support. (#8325)](https://github.com/material-components/material-components-ios/commit/5ce079eca870b4bc22fc8f213482d2199c118a24) (Cody Weaver)
* [Add MaterialElevation support. (#8333)](https://github.com/material-components/material-components-ios/commit/81729e13e313b1921f4e78f73f0319a4ebd3dfb2) (Cody Weaver)
* [Remove Experimental BUILD targets. (#8322)](https://github.com/material-components/material-components-ios/commit/64bc79daebc06420079140964f5735884e64ec99) (Robert Moore)
* [Remove use of `NS_ASSUME_NONNULL_BEGIN`. (#8301)](https://github.com/material-components/material-components-ios/commit/f14a71f02fcd6af13c44c6ed2728e6dce6b1c877) (Robert Moore)
* [Revert "Revert "[TextFields] Add MDCBaseTextFieldLayout object with leading/trailing view behavior (#8292)" #8316" (#8320)](https://github.com/material-components/material-components-ios/commit/b531792527bb286044a7b40e38012ddbb539c135) (Andrew Overton)
* [Revert "[TextFields] Add MDCBaseTextFieldLayout object with leading/trailing view behavior (#8292)" (#8316)](https://github.com/material-components/material-components-ios/commit/a80df6dbd092f3d4498d8c60d8bafde71c0e36e9) (Robert Moore)
* [Delete experimental textfields (#8317)](https://github.com/material-components/material-components-ios/commit/fecd9092639c19b8127ec495355aa9e2f5326702) (Andrew Overton)

### private/Color

* [Add a method for MDC to call resolveColorWithTraitCollection on pre-iOS 13 (#8307)](https://github.com/material-components/material-components-ios/commit/a1d1296884a3158ed1c32c04cd437ee2b11ef278) (Cody Weaver)
* [Remove use of `NS_ASSUME_NONNULL_BEGIN`. (#8299)](https://github.com/material-components/material-components-ios/commit/e6389754e155c1d97fbb1d8b48773ebf86e9c4a4) (Robert Moore)

### schemes/Typography

* [Add deprecation flag to mdc_adjustsFontForContentSizeCategory. (#8312)](https://github.com/material-components/material-components-ios/commit/cd4098cb65b6a6117b3bdff1a24574eea1be44bf) (Wenyu Zhang)
* [add doc to clarify useCurrentContentSizeCategoryWhenApplied. (#8311)](https://github.com/material-components/material-components-ios/commit/14aa5b9ac6f237056eb7c00a9044dafdee5711db) (Wenyu Zhang)

---

# 87.1.1

This patch release corrects issues with Git-LFS on the `stable` branch.

## Multi-component changes

* [{Git LFS} Correct `.gitattributes` to use path and not glob. (#8338)](https://github.com/material-components/material-components-ios/commit/2906c3c5b3bf3369982cf176b618b75c52e32cdc) (Rob Moore)

---

# 87.1.0

This minor release enhances support for Material Elevation in Text Fields and
Snackbar, brings new conveniences for resolving dynamic colors, and fixes a
dynamic color bug in `MDCShapedShadowLayer`.

## New features

### Text Fields

`MDCTextField` now supports Material Elevation. Clients can assign a value for
`mdc_overrideBaseElevation` or an `elevationDidChangeBlock` to ensure that
both the Text Field and any subviews can react to elevation changes.

### Snackbar

`MDCSnackbarManager` now supports assigning a
`traitCollectionDidChangeBlockForMessageView` and an
`mdc_elevationDidChangeBlockForMessageView`. These blocks make it easier to
respond to changes in either the elevation or trait collections of the
`MDCSnackbarMessageView`.

### Material Elevation

Material Elevation has a new `UIColor` category method to make it easier to
optimize checking for dynamic color changes.

**Previously**

```objc
UIColor *resolvedColor = originalColor;
#if defined(__IPHONE_13_0) && (__IPHONE_OS_VERSION_MAX_ALLOWED >= __IPHONE_13_0)
  if (@available(iOS 13.0, *)) {
    if ([traitCollection
            hasDifferentColorAppearanceComparedToTraitCollection:previousTraitCollection]) {
      resolvedColor = [self mdc_resolvedColorWithTraitCollection:traitCollection elevation:elevation];
    }
  }
#endif
```

**This Release**

```objc
UIColor *resolvedColor =
        [dynamicColor mdc_resolvedColorWithTraitCollection:currentTraitCollection
                                   previousTraitCollection:previousTraitCollection
                                                 elevation:elevation];
```

## API changes

### Elevation

#### UIColor(MaterialElevation)

*new* method: `-mdc_resolvedColorWithTraitCollection:previousTraitCollection:elevation:` in `UIColor(MaterialElevation)`

### Snackbar

#### MDCSnackbarManager

*new* property: `mdc_elevationDidChangeBlockForMessageView` in `MDCSnackbarManager`

*new* property: `traitCollectionDidChangeBlockForMessageView` in `MDCSnackbarManager`

### TextFields

#### MDCTextField

*modified* class: `MDCTextField`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCTextField : UITextField, MDCTextInput, MDCLeadingViewTextInput` |
| To: | `class MDCTextField : UITextField` |

*modified* class: `MDCTextField`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCTextField : UITextField <MDCTextInput, MDCLeadingViewTextInput>` |
| To: | `@interface MDCTextField : UITextField` |

## Changes

### Elevation

* [Add a convenience method to resolve dynamic color only when traitCollection's color appearance has changed. (#8315)](https://github.com/material-components/material-components-ios/commit/a667b241f18a23f789bfb2b4e2f8235d36320d0a) (Wenyu Zhang)

### Shapes

* [Update border color to support dynamic color (#8308)](https://github.com/material-components/material-components-ios/commit/04cf12c72cf6b7a16e1d9546bd4545648da38a2d) (Cody Weaver)

### Snackbar

* [Adding traitCollection and elevationDidChange blocks of the messageView in the manager. (#8330)](https://github.com/material-components/material-components-ios/commit/ab77bd31d4668a25ce1ee731c01dae8bdc3d97e4) (Yarden Eitan)

### TextFields

* [Add MaterialElevation support. (#8325)](https://github.com/material-components/material-components-ios/commit/3b0e812dd603281b74d54adae523fdf09ca40377) (Cody Weaver)

### private/Color

* [Add a method for MDC to call resolveColorWithTraitCollection on pre-iOS 13 (#8307)](https://github.com/material-components/material-components-ios/commit/cdcb0000cd0853d262633d046a033946ca9eaab6) (Cody Weaver)

---

# 87.0.2

This patch release includes no code changes but is necessary due to merge
problems with the `stable` branch in version 87.0.1.

---

# 87.0.1

This patch release fixes a bug where Git-LFS was required on the `stable`
branch.

## Component changes

## Multi-component changes
* [Restore working .gitattributes file. (#8234)](https://github.com/material-components/material-components-ios/commit/ad0bfaf5bc1b1d32f87513e0f1a88e3185880e6f) (Rob Moore)

---

# 87.0.0

This major release improves the `traitCollectionDidChangeBlock` for
`MDCButton`.

## Breaking changes

`MDCButton.traitCollectionDidChangeBlock` now requires an `MDCButton *`
instance as its first parameter. This is to allow passing the button itself
into the block and eliminate the need for retaining the button in its own
block.

### Previous Releases

```objc
button.traitCollectionDidChangeBlock =
    ^(UITraitCollection *_Nullable previousTraitCollection) {
      // Code
    };
```

### In This Release
```objc
button.traitCollectionDidChangeBlock =
    ^(MDCButton *_Nonnull buttonInBlock, UITraitCollection *_Nullable previousTraitCollection) {
      // Code
    };
```

## API changes

### Buttons

#### MDCButton

*modified* property: `traitCollectionDidChangeBlock` in `MDCButton`

| Type of change: | Swift declaration |
|---|---|
| From: | `var traitCollectionDidChangeBlock: ((UITraitCollection?) -> Void)? { get set }` |
| To: | `var traitCollectionDidChangeBlock: ((MDCButton, UITraitCollection?) -> Void)? { get set }` |

*modified* property: `traitCollectionDidChangeBlock` in `MDCButton`

| Type of change: | Declaration |
|---|---|
| From: | `@property (readwrite, copy, nonatomic, nullable) void (^)     (UITraitCollection *_Nullable) traitCollectionDidChangeBlock;` |
| To: | `@property (readwrite, copy, nonatomic, nullable) void (^)     (MDCButton *_Nonnull, UITraitCollection *_Nullable)         traitCollectionDidChangeBlock;` |

## Changes

### ActionSheet

* [Add dark mode support to theming extension (#8245)](https://github.com/material-components/material-components-ios/commit/d73d498d7ef78b2f728e88f3e45ec6d32ac81283) (Cody Weaver)
* [Stop running swift tests on Autobot. (#8274)](https://github.com/material-components/material-components-ios/commit/ef362e851bdda50d9d0d5ec5526cbc8c700173d1) (Wenyu Zhang)

### ButtonBar

* [Stop running swift tests on Autobot. (#8267)](https://github.com/material-components/material-components-ios/commit/f837b914073a27f72d131dcb7dc1a7108e334321) (Wenyu Zhang)

### Buttons

* [Add missing self to traitCollectionDidChangeBlock (#8276)](https://github.com/material-components/material-components-ios/commit/f4352d73e6cddcb6b8573215788693ab6f6bacc8) (Yarden Eitan)

### FlexibleHeader

* [Stop running swift tests on Autobot. (#8269)](https://github.com/material-components/material-components-ios/commit/aa4478e423fc71d49494959a8ed5b153a690ec4f) (Wenyu Zhang)

### NavigationBar

* [Stop running swift tests on Autobot. (#8272)](https://github.com/material-components/material-components-ios/commit/5f0fadc504fe329f78ac013437777e181e597713) (Wenyu Zhang)

### TextFields

* [Add non-experimental MDCBaseTextField example (#8287)](https://github.com/material-components/material-components-ios/commit/59f5551313f0d465e0196414aeab0b441a801c4c) (Andrew Overton)
* [Stop running swift tests on Autobot. (#8275)](https://github.com/material-components/material-components-ios/commit/65b142ab751dce68ffd8839257b2b853f6509e92) (Wenyu Zhang)

---

# 86.1.0

This minor release introduces new theming APIs for `MDCActionSheetAction` and
bug fixes. It also includes improvements to the Contained Input Fields and
Bottom Navigation Bar Controller beta component extensions.

## New features

You can now set title and icon tint colors on individual Action Sheet actions.

```objc
MDCActionSheetAction *action = [MDCActionSheetAction actionWithTitle:@"An action"
                                                               image:nil
                                                             handler:nil];
action.titleColor = UIColor.darkTextColor;
action.tintColor = UIColor.darkTextColor;
```

## API changes

### ActionSheet

#### MDCActionSheetAction

*new* property: `tintColor` in `MDCActionSheetAction`

*new* property: `titleColor` in `MDCActionSheetAction`

### TextFields+ContainedInputView

#### MDCBaseTextField

*new* property: `trailingView` in `MDCBaseTextField`

*new* property: `leadingViewMode` in `MDCBaseTextField`

*new* property: `leadingView` in `MDCBaseTextField`

*new* property: `trailingViewMode` in `MDCBaseTextField`

## Changes

### ActionSheet

* [Allow clients to customize the tint color of actions  (#8227)](https://github.com/material-components/material-components-ios/commit/7d208af2466d57f0c3c4fd1a840c630d74b15b8e) (Cody Weaver)
* [Allow clients to customize the title color of actions (#8226)](https://github.com/material-components/material-components-ios/commit/efc2f9214eb89e2c148e58ca24e95a7979f55bb2) (Cody Weaver)
* [Disable a iOS13 failing test. (#8246)](https://github.com/material-components/material-components-ios/commit/a25909f77d32b9f40a82056451b5c954f6edc88e) (Wenyu Zhang)

### ActivityIndicator

* [Rewrite tests in ObjC to prevent the failing unit tests on iOS 13. (#8248)](https://github.com/material-components/material-components-ios/commit/97dfca80033853897173f4bbd5088ec4532e01b8) (Wenyu Zhang)

### AppBar

* [Rewrite tests in ObjC to prevent the failing unit tests on iOS 13. (#8253)](https://github.com/material-components/material-components-ios/commit/3565b6506ea67b0ccec35c2671ac23f6c4eb1924) (Wenyu Zhang)

### Banner

* [Make default textView background color clear (#8258)](https://github.com/material-components/material-components-ios/commit/64a7f84e5558e6342cd1bcf1b138167020d74f8a) (Cody Weaver)

### BottomNavigation

* [Adds state restoration support to the bottom navigation bar controller. (#8117)](https://github.com/material-components/material-components-ios/commit/815d3745eb72369096ad6c76cc7b925b22e92b80) (Eric Lee)
* [Don't assign `accessibilityIdentifier` to the item view (#8240)](https://github.com/material-components/material-components-ios/commit/e50b9be8bca5fe311ed635aad74b815d11b98476) (Robert Moore)
* [Propagate `accessibilityHint` to the accessibility element. (#8241)](https://github.com/material-components/material-components-ios/commit/30de3a875647c993e913ece302d84149e6f7b755) (Robert Moore)

### Buttons

* [Replace mdc_legacyFontScaling usage with adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable. (#8244)](https://github.com/material-components/material-components-ios/commit/af29d5d7372bbc39453e7a6d54863f06aa5567de) (featherless)

### Dialogs

* [Rewrite tests in ObjC to prevent the failing unit tests on iOS 13 (#8257)](https://github.com/material-components/material-components-ios/commit/3c9355711cea0725c246ca95c44ef150373a7aaa) (Wenyu Zhang)

### LibraryInfo

* [Rewrite tests in ObjC to prevent the failing unit tests on iOS 13. (#8251)](https://github.com/material-components/material-components-ios/commit/861f6361653beb4cd56fcca4235e2676d5964bdf) (Wenyu Zhang)

### Palettes

* [Rewrite tests in ObjC to prevent the failing unit tests on iOS 13. (#8255)](https://github.com/material-components/material-components-ios/commit/707b49dd0ea34badde67ae3c3df1b1f7b4e279d5) (Wenyu Zhang)

### TextFields

* [Add some RTL functionality to MDCBaseTextField (#7705)](https://github.com/material-components/material-components-ios/commit/f0cb9b406f2d45f629a105834b403227e9a64abd) (Andrew Overton)

## Multi-component changes

* [Fixes beta components CocoaPods build. (#8134)](https://github.com/material-components/material-components-ios/commit/d389bcc3461712b5dbfaf4b51d6e60fb73f4f800) (Eric Lee)

---

# 86.0.0

In this major release we have provided improvements to our Elevation code for Dark Mode as well as internal clean up.

## Breaking changes

Our `MDCElevatable` protocol now conforms to NSObject so it can leverage the `isKindOfClass:` and `conformsToProtocol:` APIs.

## API changes

### Elevation

#### MDCElevatable

*modified* protocol: `MDCElevatable`

| Type of change: | Declaration |
|---|---|
| From: | `@protocol MDCElevatable` |
| To: | `@protocol MDCElevatable <NSObject>` |

*modified* protocol: `MDCElevatable`

| Type of change: | Swift declaration |
|---|---|
| From: | `protocol MDCElevatable` |
| To: | `protocol MDCElevatable : NSObjectProtocol` |

## Component changes

## Changes

### ActionSheet

* [BUILD file uses Skylark macros. (#8152)](https://github.com/material-components/material-components-ios/commit/e3a0fb9a4d72a9fff660288628d566f0e9a61944) (Robert Moore)

### ActivityIndicator

* [Update BUILD to use Skylark macros. (#8153)](https://github.com/material-components/material-components-ios/commit/ed55e0f1b2d7210f92fbd29132218f6e6aa1394e) (Robert Moore)

### AnimationTiming

* [Use Skylark macros in BUILD file. (#8154)](https://github.com/material-components/material-components-ios/commit/25dcf26e73c85d6c83f437cb1a3d43c26d2e31cf) (Robert Moore)

### Banner

* [Use Starlark macros. (#8155)](https://github.com/material-components/material-components-ios/commit/d123d7a35613201a44c8f88b2bcbc9016f94f33d) (Robert Moore)

### BottomAppBar

* [Use Starlark macros. (#8156)](https://github.com/material-components/material-components-ios/commit/ff0c94cdf8eb256bec8f333e837015e6dcf162bf) (Robert Moore)

### BottomNavigation

* [Renames functions and fixes comments. (#8133)](https://github.com/material-components/material-components-ios/commit/3b54f2c6ea1731a061761070b9dd8497822ea9d3) (Eric Lee)
* [Use Starlark macros. (#8159)](https://github.com/material-components/material-components-ios/commit/3c03bd05d62ab78ed1371c874d170107afb14f09) (Robert Moore)

### BottomSheet

* [Use Starlark macros. (#8160)](https://github.com/material-components/material-components-ios/commit/51f63776ace8802208f7eb56a95fa3f81b95e7fe) (Robert Moore)

### ButtonBar

* [Use Starlark macros. (#8161)](https://github.com/material-components/material-components-ios/commit/cab960098bf0e10bac7e2c4adb2492273d1646b1) (Robert Moore)

### Buttons

* [Use Starlark macros. (#8162)](https://github.com/material-components/material-components-ios/commit/54fe07bd2e489e3b0edf2f9b2e754f78da5326a0) (Robert Moore)

### Cards

* [Use Starlark macros. (#8163)](https://github.com/material-components/material-components-ios/commit/6578b292e25201667f3fb032d0020a80464f77e5) (Robert Moore)

### Chips

* [Use Starlark macros. (#8164)](https://github.com/material-components/material-components-ios/commit/363e02d8bdd759f2226b33a5e23dc5d7c9349155) (Robert Moore)

### CollectionCells

* [Use Starlark macros. (#8165)](https://github.com/material-components/material-components-ios/commit/3255f96aa61b02e89cd0b8672879382435e7f09b) (Robert Moore)

### CollectionLayoutAttributes

* [Use more Starlark macros. (#8166)](https://github.com/material-components/material-components-ios/commit/43828e32ce81f2628a2495cc742836294a29263c) (Robert Moore)

### Collections

* [Use more Starlark macros. (#8167)](https://github.com/material-components/material-components-ios/commit/a97f0e9dd435b009e34bc056fee579ca7f4a166d) (Robert Moore)

### Elevation

* [Add smooth continuous formula for values between 0 and 1 (#8212)](https://github.com/material-components/material-components-ios/commit/7d6164356f78b8987a7fece2c3072ddd51701760) (Yarden Eitan)
* [Update mdc_resolvedColorWithTraitCollection:elevation: to support pre-iOS 13 (#8217)](https://github.com/material-components/material-components-ios/commit/3f121b7014b04d470b83d7fc5f80c5ca2efd1130) (Yarden Eitan)
* [nsobject (#8188)](https://github.com/material-components/material-components-ios/commit/17f000a076ddda25dd83581ea1dbb37982ef0c82) (Yarden Eitan)

### FeatureHighlight

* [Use Starlark rules. (#8168)](https://github.com/material-components/material-components-ios/commit/e92e0ef7d591e28b3338bb5001f25cbb7837a8a9) (Robert Moore)

### FlexibleHeader

* [Use Starlark macros. (#8169)](https://github.com/material-components/material-components-ios/commit/6e7b7474f368564ca3690560ef46f50f1b748dc3) (Robert Moore)

### HeaderStackView

* [Use Starlark macros. (#8170)](https://github.com/material-components/material-components-ios/commit/a047c779d54048a8efef7212a1a65bcc8366a42d) (Robert Moore)

### Ink

* [Use Starlark macros. (#8172)](https://github.com/material-components/material-components-ios/commit/77c5ebbe7e2f90ddb0846c57949c9a8949c866c3) (Robert Moore)

### LibraryInfo

* [Use Starlark macros. (#8173)](https://github.com/material-components/material-components-ios/commit/67927c9e6f30cf1c259cb5406022188fe60350fb) (Robert Moore)

### List

* [Use Starlark macros in BUILD file. (#8174)](https://github.com/material-components/material-components-ios/commit/0d493b69ccd4768fac3edbf8ac6617814e36d2af) (Robert Moore)

### MaskedTransition

* [Use more Starlark macros. (#8175)](https://github.com/material-components/material-components-ios/commit/ec20611bed01086b5eaf4d5e5b0bd2a77f7d6914) (Robert Moore)

### NavigationBar

* [Use Starlark macros. (#8176)](https://github.com/material-components/material-components-ios/commit/bbdf2f459fdb9b0f735a3cf5acc62b7862c2e35d) (Robert Moore)

### NavigationDrawer

* [Use more Starlark macros. (#8177)](https://github.com/material-components/material-components-ios/commit/58df819da46b672eec751724d14990d7e31b81c2) (Robert Moore)

### OverlayWindow

* [Use more Starlark macros. (#8178)](https://github.com/material-components/material-components-ios/commit/2ed63ed2060bd5b8d44545529f7fa94a13af9679) (Robert Moore)

### PageControl

* [Use Starlark macros in BUILD file. (#8179)](https://github.com/material-components/material-components-ios/commit/b0ee32b59b11f3e7ec332fcc9872829cdb6c4254) (Robert Moore)

### Palettes

* [Use more Starlark macros in the BUILD file. (#8180)](https://github.com/material-components/material-components-ios/commit/6ed797156d8e9c0c2c9cf76b26ed234c1eb5e64d) (Robert Moore)

### ProgressView

* [Add more Starlark macros. (#8181)](https://github.com/material-components/material-components-ios/commit/bbfe5f8193e0f87eba1e15f0e36d86e02c4ab272) (Robert Moore)

### Ripple

* [Use Starlark macros. (#8183)](https://github.com/material-components/material-components-ios/commit/48d3d591bf83a69f5f886a4c5639baa930f799fc) (Robert Moore)

### ShadowElevations

* [Use Starlark macros. (#8184)](https://github.com/material-components/material-components-ios/commit/0cb45de8fc4d8a308172380a038121f2de4c32a1) (Robert Moore)

### ShadowLayer

* [Use Starlark macros. (#8185)](https://github.com/material-components/material-components-ios/commit/c354e6f35ae7c8182fe3890f06cbaaf4e9437c8d) (Robert Moore)

### ShapeLibrary

* [Use Starlark macros. (#8186)](https://github.com/material-components/material-components-ios/commit/fad566278ea6175ff94e0d493507f02389e9cba4) (Robert Moore)

### Shapes

* [Use Starlark macros. (#8192)](https://github.com/material-components/material-components-ios/commit/b556ab09c363ed54237aecd97dc01c2a944ccc4f) (Robert Moore)

### Slider

* [Use Starlark BUILD macros. (#8194)](https://github.com/material-components/material-components-ios/commit/be45bbf3ee672f0ca6ef905447a802d90190b43f) (Robert Moore)

### Snackbar

* [Use Starlark macros in BUILD file. (#8195)](https://github.com/material-components/material-components-ios/commit/870cd5b40461022bebf8a3d7b6075318a66d153a) (Robert Moore)

### Tabs

* [Use Starlark macros in BUILD file. (#8196)](https://github.com/material-components/material-components-ios/commit/7718df1037838ec664c97cc82a1ed1c2214b6f09) (Robert Moore)

### TextFields

* [Use Starlark macros in the BUILD file. (#8197)](https://github.com/material-components/material-components-ios/commit/9f707d1a65b0f51d13f085bcb029d76f13b447ff) (Robert Moore)

### Themes

* [Use Starlark macros in BUILD file. (#8198)](https://github.com/material-components/material-components-ios/commit/e17f9d9d5273d5d38520d8c294d81436317faed7) (Robert Moore)

### Typography

* [Use Starlark macros. (#8199)](https://github.com/material-components/material-components-ios/commit/80e8c3252ef16cffcd4a3c4f535f18b4f6e7004b) (Robert Moore)

### private/Application

* [Use Starlark macros in BUILD file. (#8200)](https://github.com/material-components/material-components-ios/commit/4d435b8096665d30bfbb98a5531c09b7d85c9a6c) (Robert Moore)

### private/Color

* [Use Starlark macros. (#8201)](https://github.com/material-components/material-components-ios/commit/5d42706fdafbb57839339b423418cd5432275b2b) (Robert Moore)

### private/Icons

* [Use Starlark macros in BUILD file. (#8202)](https://github.com/material-components/material-components-ios/commit/6a9ee1fa0cec1eabb28697df9394a474da367604) (Robert Moore)

### private/KeyboardWatcher

* [Use more Starlark macros. (#8203)](https://github.com/material-components/material-components-ios/commit/fa5080487912fa7cd8a1e7e4da9e3682860cb351) (Robert Moore)

### private/Math

* [Use Starlark macros. (#8204)](https://github.com/material-components/material-components-ios/commit/00c88d5317762471c034d259db6c75eae23ad523) (Robert Moore)

### private/Overlay

* [Use more Starlark macros. (#8205)](https://github.com/material-components/material-components-ios/commit/09b261953767614d8ec5d7f7885a6d3bd28c8dad) (Robert Moore)

### private/ThumbTrack

* [Use Starlark macros in BUILD file. (#8206)](https://github.com/material-components/material-components-ios/commit/be19699d29e835e9564cc048c3992b1563a5f688) (Robert Moore)

### private/UIMetrics

* [Use Starlark macros in the BUILD file. (#8207)](https://github.com/material-components/material-components-ios/commit/e048554a3e1d22a14933571716123ef55be63958) (Robert Moore)

### schemes/Color

* [Use Starlark macros in BUILD file. (#8208)](https://github.com/material-components/material-components-ios/commit/dc800bbb04d4c876ded748af3b12377ab8df53ed) (Robert Moore)

### schemes/Container

* [Use Starlark macros in the BUILD file. (#8210)](https://github.com/material-components/material-components-ios/commit/15ae19df4b9b04170045cb9fbcaea49986badf80) (Robert Moore)

### schemes/Shape

* [Use Starlark macros in BUILD file. (#8209)](https://github.com/material-components/material-components-ios/commit/08ee58bcb31761a99e625fb8f3432a003fc1423f) (Robert Moore)

### schemes/Typography

* [Use Starlark macros in BUILD file. (#8211)](https://github.com/material-components/material-components-ios/commit/9e56b9c2143f459c5a1686d854e4a627fddc959b) (Robert Moore)

---

# 85.12.0

This minor release introduces Material Elevation support for ActionSheet and Banner (Beta). It also includes performance improvements for Ink and Ripple.

## New features

Support for Material Elevation expanded to two more components. APIs to support
overriding the computed value for `mdc_baseElevation` and to respond to
elevation changes are available. Assigning an `elevationDidChangeBlock` on a
supported component enables code to be executed whenever the component's
elevation changes. This may include state-based elevation changes (like
pressing on a Chip) or when the component's elevation value is changed
programmatically.

## Changes

### ActionSheet

* [Add MaterialElevation support (#8111)](https://github.com/material-components/material-components-ios/commit/2feb8f96cda6fc9ab2fc7d6bcb23f1076c2055aa) (Cody Weaver)

### Banner

* [Add MaterialElevation support (#8142)](https://github.com/material-components/material-components-ios/commit/534649a1cd74a65c56a0d605238546796eed54a2) (Cody Weaver)

## Multi-component changes

* [Use static default colors (#8146)](https://github.com/material-components/material-components-ios/commit/4be077a61bfeda44058ebc1f73e2cf8b71a5c65a) (Cody Weaver)

---

# 85.11.0

This minor release introduces Material Elevation support for Bottom Sheet,
Navigation Bar, Slider, and Tabs. Bottom Sheet removed its broken `-init`
initializer, and some internal clean-up was done to remove iOS 8 support.

## New features

Support for Material Elevation expanded to several more components. APIs to
support overriding the computed value for `mdc_baseElevation` and to respond to
elevation changes are available. Assigning an `elevationDidChangeBlock` on a
supported component enables code to be executed whenever the component's
elevation changes. This may include state-based elevation changes (like
pressing on a Chip) or when the component's elevation value is changed
programmatically.

## Changes

### ActionSheet

* [Drop iOS 8 work-arounds. (#8120)](https://github.com/material-components/material-components-ios/commit/7bc09cdf8bac90db8acfd38431e7e60f2fec6fd3) (Robert Moore)

### BottomNavigation

* [Test for `additionalSafeAreaInsets` behavior. (#8113)](https://github.com/material-components/material-components-ios/commit/9e936bfb6201c07993119d0b1c2368be7a88d2fe) (Robert Moore)

### BottomSheet

* [Add MaterialElevation support (#8102)](https://github.com/material-components/material-components-ios/commit/606f0386b3a1cead72c7cf05caf187248e1fadc0) (Cody Weaver)
* [Mark init unavailable (#8108)](https://github.com/material-components/material-components-ios/commit/c336d025e8b09445829a74c10aeea71e6bfbfc1e) (Cody Weaver)

### Elevation

* [Fix spelling typos. (#8114)](https://github.com/material-components/material-components-ios/commit/9ea5f99c122637c6da0be0be666ce095ae6f56de) (Robert Moore)

### NavigationBar

* [Add MaterialElevation support. (#8115)](https://github.com/material-components/material-components-ios/commit/60c60f288cc9eb0e8f87736febdeaf1993ceb79a) (Cody Weaver)
* [Add doc to note UIBarButtonItem cannot be used in UIPopoverPresentationController. (#8129)](https://github.com/material-components/material-components-ios/commit/4191d03853b20acfe14259d4babddac7e9ee250a) (Wenyu Zhang)

### Slider

* [Add MaterialElevation support (#8127)](https://github.com/material-components/material-components-ios/commit/c6ab74349d0c4dc5b44d69696b3baca4a613276a) (Cody Weaver)

### Tabs

* [Add MaterialElevation support (#8116)](https://github.com/material-components/material-components-ios/commit/a9a0fcadd089e9db5ef45408cf20ee9ab9cf6ebc) (Cody Weaver)

### Typography

* [Drop iOS 8 pragmas. (#8119)](https://github.com/material-components/material-components-ios/commit/ae728261675f67286d4245f8979abc47b5ec5650) (Robert Moore)

### private/Color

* [Fix Math import. (#8104)](https://github.com/material-components/material-components-ios/commit/37d5b8d87cd7fbf9ed455ade98bf2b0ed91ab0a1) (Robert Moore)

### schemes/Typography

* [Remove CoreText dependency. (#8132)](https://github.com/material-components/material-components-ios/commit/c973907f212b58498803db1aa30d26a29c7de1e0) (Robert Moore)
* [Remove iOS 8 code. (#8118)](https://github.com/material-components/material-components-ios/commit/867fe1bd1e05afca0958d1ecfe55d488bcfd484e) (Robert Moore)

---

# 85.10.0

This minor release expands support for trait collection and Material Elevation
changes in several components. Bottom Sheet and Navigation Drawer now support
shadows and elevation.

## Breaking changes

The following breaking changes were made for Beta components that are not
published to CocoaPods.

*   `MDCBottomNavigationBarController` now positions child view controllers'
    views behind the Bottom Navigation bar.
*   `MDCBannerView` now uses a `UITextView` for the message text instead of a
    `UILabel`.

## New features

Several more components received APIs that allow responding to
`UITraitCollection` changes. Assigning a `traitCollectionDidBlock` on a
supported component enables code to be executed in the component's
`traitCollectionDidChange:` method without subclassing.

Support for Material Elevation expanded to several more components. APIs to
support overriding the computed value for `mdc_baseElevation` and to respond to
elevation changes are available. Assigning an `elevationDidChangeBlock` on a
supported component enables code to be executed whenever the component's
elevation changes. This may include state-based elevation changes (like
pressing on a Chip) or when the component's elevation value is changed
programmatically.

The Bottom Sheet component, specifically `MDCBottomSheetController` now renders
a shadow by default. This may cause a very slight change in the shading around
the edges of the view. If desired, non-elevated Bottom Sheets can be configured
by setting the `elevation` property's value to `0`.

Likewise, the Navigation Drawer's `MDCBottomDrawerPresentationController`
renders a shadow by default. To disable the shadow or modify the drawer's
elevation, set the `elevation` property to the desired value.

```objc
MDCBottomSheetController *bottomSheet =
      [[MDCBottomSheetController alloc] initWithContentViewController:mySheetContentVC];
bottomSheet.elevation = 0;
```

`MDCTabBarView`, currently in Beta, now provides an API to set its preferred
layout style.

```objc
MDCTabBarView *tabBarView = [[MDCTabBarView alloc] init];
tabBarView.preferredLayoutStyle = MDCTabBarViewLayoutStyleScrollable;
```

## Changes

### AppBar

* [Set headerView elevation when shadow intensity changes (#8101)](https://github.com/material-components/material-components-ios/commit/74a65bc6d092c2a6a5a501217165c406d68a4e04) (Bryan Oltman)

### Banner

* [use UITextView for text instead of UILabel. (#7993)](https://github.com/material-components/material-components-ios/commit/e58c550a212040ef8cedd0b7c14ef4521c46de19) (Wenyu Zhang)

### BottomAppBar

* [Remove no-op tests. (#8072)](https://github.com/material-components/material-components-ios/commit/db4b31e1edb5d1460f4282f0196db7a50187071a) (Robert Moore)

### BottomNavigation

* [Add MDCElevation support. (#8038)](https://github.com/material-components/material-components-ios/commit/4768e610a8054741f8024161a5b3ebe28f69f608) (Robert Moore)
* [Deprecate `sizeThatFitsIncludesSafeArea`. (#8066)](https://github.com/material-components/material-components-ios/commit/b6eed78eb43deb580348e293ff561663bf738369) (Robert Moore)
* [Don't set `sizeThatFitsIncludesSafeArea`. (#8065)](https://github.com/material-components/material-components-ios/commit/48e95bbf0e16e361a6e26210790c89650af1bfd7) (Robert Moore)
* [Make KVO safe for `nil`. (#8083)](https://github.com/material-components/material-components-ios/commit/eed4679d887829fc35a160b080eaad24e7995cb3) (Robert Moore)
* [Store child VCs in `childViewControllers`. (#7992)](https://github.com/material-components/material-components-ios/commit/9ed52651c4390722d1a6b3024e896e1d3008520a) (Robert Moore)
* [Test for `mdc_overrideBaseElevation` (#8075)](https://github.com/material-components/material-components-ios/commit/bce0f4937b2c1956afef21cbacd434aef5ab6190) (Robert Moore)

### BottomSheet

* [Add elevation property (#8089)](https://github.com/material-components/material-components-ios/commit/43dddb988e341b88b033419d731e09e2cf003de1) (Cody Weaver)

### Buttons

* [Move MDCButton's defaultContentInset configuration to later in init (#8069)](https://github.com/material-components/material-components-ios/commit/4fcf3cd5a221297d428f965d2f876a139b3a0516) (Bryan Oltman)
* [Support MaterialElevation. (#8073)](https://github.com/material-components/material-components-ios/commit/403c1b6a295da0fd905f4c82ecca5f365fb4aeee) (Robert Moore)

### Cards

* [CardCell Supports MaterialElevation. (#8079)](https://github.com/material-components/material-components-ios/commit/130289a6d4960fa14d773334e381b773f0fd8ee7) (Yarden Eitan)
* [MDCCard conforms to MDCElevation and MDCElevationOverride (#8054)](https://github.com/material-components/material-components-ios/commit/f2b12a10ed25b9c209c0b96832703d814a8cf191) (Yarden Eitan)

### Chips

* [Conform to MDCElevatable and MDCElevationOverriding. (#8068)](https://github.com/material-components/material-components-ios/commit/58aa3402bf0a9ca7cbf876622f6aca90f9a78e30) (Robert Moore)
* [Fix default value for mdc_overrideBaseElevation. (#8076)](https://github.com/material-components/material-components-ios/commit/d93b4e8fd51cef6a95655f5310863ac5b3ef8279) (Robert Moore)

### Dialogs

* [Add MaterialElevation support to AlertController. (#8098)](https://github.com/material-components/material-components-ios/commit/dce2d98f92b38f522e92e379bbf9dc15c1f1aa85) (Robert Moore)

### Elevation

* [Add MDCElevationOverride to umbrella header (#8052)](https://github.com/material-components/material-components-ios/commit/eab643ea8c0afb928b014af3dea88992fd1218b5) (Robert Moore)
* [Add a UIColor category to support resolving color with elevation. (#8085)](https://github.com/material-components/material-components-ios/commit/c3f8c6adeb4e3425d2997a291a3f616202f6c3c5) (Wenyu Zhang)
* [Add absoluteElevation property and clarify the elevationDidChange block param (#8071)](https://github.com/material-components/material-components-ios/commit/c980a95d54ca051468945e9a9b77af7bc9acd17b) (Yarden Eitan)
* [Add elevationDidChange method to UIView category (#8067)](https://github.com/material-components/material-components-ios/commit/e312d88119e34fa3be48c45c4da948223d9cb133) (Cody Weaver)
* [Doc clarification (#8074)](https://github.com/material-components/material-components-ios/commit/50ba836103621f510cfb70fc6fac9a0d7ec486fc) (Yarden Eitan)
* [Improve protocol naming (#8055)](https://github.com/material-components/material-components-ios/commit/d9d038130a30fc57be90bc87ff04218a1ba1a721) (Yarden Eitan)
* [passing self to the elevationDidChangeBlock (#8058)](https://github.com/material-components/material-components-ios/commit/0643370347a8d0b31ef4eb590c84dfa2424d0ed4) (Yarden Eitan)
* [Add category to UIView (#7969)](https://github.com/material-components/material-components-ios/commit/f335b9627799cffa4259a498086a489df811657a) (Cody Weaver)

### FeatureHighlight

* [Add traitCollectionDidChange block (#8036)](https://github.com/material-components/material-components-ios/commit/a57245ed9102726529daa3397bee6138dfd616c7) (Cody Weaver)

### FlexibleHeader

* [ [FlexibleHeader] Conform to MDCElevatable, MDCElevationOverriding (#8099)](https://github.com/material-components/material-components-ios/commit/657483ea40e354ec47fb41d785c1b2b9b69cb502) (Bryan Oltman)

### HeaderStackView

* [Add traitCollectionDidChange block (#8061)](https://github.com/material-components/material-components-ios/commit/6190a33c72554fbd92254c4281168a07408624ec) (Cody Weaver)

### Ink

* [Add traitCollectionDidChange block (#8064)](https://github.com/material-components/material-components-ios/commit/b19962a7472f615a25bd68fcf87cc71e691e20ea) (Cody Weaver)
* [Fix documentation for enum types. (#8090)](https://github.com/material-components/material-components-ios/commit/99f2aec3e28a3d1e1378c3b51f02beb03b6fb775) (Robert Moore)

### List

* [Support MaterialElevation. (#8078)](https://github.com/material-components/material-components-ios/commit/cbeb6f5bc77ddf504c504ad1bf610aab97370005) (Robert Moore)

### NavigationDrawer

* [Adds an elevation and shadow to Bottom Drawer. (#8095)](https://github.com/material-components/material-components-ios/commit/7ded6431437dd364bbb6ca0b7ef16f6b6a981ef3) (Yarden Eitan)
* [Adding MDCElevation support (#8100)](https://github.com/material-components/material-components-ios/commit/b8ea85d21ae3c1affadd68853b8aea4dd79408cc) (Yarden Eitan)

### PageControl

* [Add traitCollectionDidChange block (#8037)](https://github.com/material-components/material-components-ios/commit/61aea173fa31681a84bb7b9e407b1af0ab57a72f) (Cody Weaver)

### ProgressView

* [Add traitCollectionDidChange block (#8035)](https://github.com/material-components/material-components-ios/commit/5ebe48ba4e8f72b5a16d2126ec1ad2d4ca2a8b08) (Cody Weaver)

### Ripple

* [Add traitCollectionDidChange block (#8062)](https://github.com/material-components/material-components-ios/commit/8f6338e0b2d91e31b3df276b66eb6b8ca216a92d) (Cody Weaver)
* [Fix active ripple layer not using active ripple color. (#8059)](https://github.com/material-components/material-components-ios/commit/013f3a890ee637898975bf36ebdda79b9de8eab0) (Wenyu Zhang)

### Slider

* [Add traitCollectionDidChange block (#8057)](https://github.com/material-components/material-components-ios/commit/118840dfc859c217413f0ebb625105cd6c306f82) (Cody Weaver)

### Snackbar

* [Supports MaterialElevation. (#8081)](https://github.com/material-components/material-components-ios/commit/f1a0665d67119b446d6936c5f8ccd5202a2084ba) (Yarden Eitan)

### Tabs

* [Add traitCollectionDidChange block (#8056)](https://github.com/material-components/material-components-ios/commit/7bd0bdf14d9fc9283303e21c12ebf061066242ff) (Cody Weaver)
* [Add traitCollectionDidChange block (#8060)](https://github.com/material-components/material-components-ios/commit/0d624ace58b997447c59d2c0bf6ff84dcc206fd7) (Cody Weaver)
* [Properties before methods. (#8063)](https://github.com/material-components/material-components-ios/commit/6c3877da223db9cca3b56c3d4fd2122e99aa62d5) (Robert Moore)

### TextFields

* [Add traitCollectionDidChange block (#8070)](https://github.com/material-components/material-components-ios/commit/065de4b2884a55bc6ba7bb8b892db08a59d8db39) (Cody Weaver)

### Typography

* [Internal comments to explain font scaling. (#8087)](https://github.com/material-components/material-components-ios/commit/e64c4400356d9eb608add0dd3f7ad7b18322b256) (Robert Moore)

### private/Color

* [add method for regular color blending. (#8077)](https://github.com/material-components/material-components-ios/commit/997b3b2021670b4adddaee3d0abadccc63931df9) (Wenyu Zhang)

## Multi-component changes

* [Add conformance to MDCElevatable, MDCElevationOverriding (#8094)](https://github.com/material-components/material-components-ios/commit/02a707a5b401c8a0321445a77964f0cb38e69440) (Bryan Oltman)
* [Correct `elevationDidChangeBlock` type. (#8106)](https://github.com/material-components/material-components-ios/commit/1c0827f2ef6c80cecb484931c10cd39c63f60b43) (Robert Moore)
* [Create umbrella header. (#8091)](https://github.com/material-components/material-components-ios/commit/66435f1b685c363c2ee534d8f2a065cef369b2b0) (Robert Moore)

---

# 85.9.1

This patch release fixes a crash in BottomNavigation when a KVO'd property is assigned `nil`.

## Changes

### BottomNavigation

* [Make KVO safe for `nil`. (#8083)](https://github.com/material-components/material-components-ios/commit/5af184f197e8c0d299617a0ed60fed03c0445d6b) (Robert Moore)

---

# 85.9.0

This minor release includes new elevation protocols to prepare for Dark Mode, dynamic color
support in several components, and a number of MDCTabBarView features.

## New features

Several components support `traitCollectionDidChangeBlock` to allow clients inject a block for exection when traitCollections
changes. TabBarView allows clients to set preferred layout style.

## API changes

### ActionSheet

#### MDCActionSheetController

*new* property: `traitCollectionDidChangeBlock` in `MDCActionSheetController`

### ActivityIndicator

#### MDCActivityIndicator

*new* property: `traitCollectionDidChangeBlock` in `MDCActivityIndicator`

### Banner

#### MDCBannerView

*new* property: `traitCollectionDidChangeBlock` in `MDCBannerView`

### BottomAppBar

#### MDCBottomAppBarView

*new* property: `traitCollectionDidChangeBlock` in `MDCBottomAppBarView`

### BottomSheet

#### MDCBottomSheetController

*new* property: `traitCollectionDidChangeBlock` in `MDCBottomSheetController`

#### MDCBottomSheetPresentationController

*new* property: `traitCollectionDidChangeBlock` in `MDCBottomSheetPresentationController`

### ButtonBar

#### MDCButtonBar

*new* property: `traitCollectionDidChangeBlock` in `MDCButtonBar`

### Cards

#### MDCCard

*new* property: `traitCollectionDidChangeBlock` in `MDCCard`

#### MDCCardCollectionCell

*new* property: `traitCollectionDidChangeBlock` in `MDCCardCollectionCell`

### Chips

#### MDCChipView

*new* property: `traitCollectionDidChangeBlock` in `MDCChipView`

### Dialogs

#### MDCAlertController

*new* property: `shadowColor` in `MDCAlertController`

*new* property: `traitCollectionDidChangeBlock` in `MDCAlertController`

#### MDCDialogPresentationController

*new* property: `dialogShadowColor` in `MDCDialogPresentationController`

*new* property: `traitCollectionDidChangeBlock` in `MDCDialogPresentationController`

### Elevation

#### MDCElevatable

*new* property: `mdc_currentElevation` in `MDCElevatable`

*new* property: `mdc_elevationDidChangeBlock` in `MDCElevatable`

*new* protocol: `MDCElevatable`

#### MDCElevatableOverriding

*new* property: `mdc_overrideBaseElevation` in `MDCElevatable`

*new* protocol: `MDCElevatableOverriding`

### List

#### MDCBaseCell

*new* property: `traitCollectionDidChangeBlock` in `MDCBaseCell`

### NavigationDrawer

#### MDCBottomDrawerPresentationController

*new* property: `traitCollectionDidChangeBlock` in `MDCBottomDrawerPresentationController`

#### MDCBottomDrawerViewController

*new* property: `traitCollectionDidChangeBlock` in `MDCBottomDrawerViewController`

### Ripple

#### MDCRippleView

*new* property: `activeRippleColor` in `MDCRippleView`

*removed* method: `-setActiveRippleColor:` in `MDCRippleView`

### Slider

#### MDCSlider

*new* property: `thumbShadowColor` in `MDCSlider`

### Tabs

#### MDCTabBarView

*new* enum value: `MDCTabBarViewLayoutStyleFixed` in `MDCTabBarView`

*new* enum value: `MDCTabBarViewLayoutStyleScrollable` in `MDCTabBarView`

*new* enum value: `MDCTabBarViewLayoutStyleFixedClusteredCentered` in `MDCTabBarView`

*new* enum value: `MDCTabBarViewLayoutStyleFixedClusteredLeading` in `MDCTabBarView`

*new* enum value: `MDCTabBarViewLayoutStyleFixedClusteredTrailing` in `MDCTabBarView`

*new* enum: `MDCTabBarViewLayoutStyle`

*new* typedef: `MDCTabBarViewLayoutStyle`

*new* property: `preferredLayoutStyle` in `MDCTabBarView`

*new* property: `selectionChangeAnimationDuration` in `MDCTabBarView`

*new* property: `selectionChangeAnimationTimingFunction` in `MDCTabBarView`

## Component changes

### ActionSheet

* [Add traitCollectionDidChange block (#7929)](https://github.com/material-components/material-components-ios/commit/fdc9631dfae547a42ed27d508cd80c138c8c83b9) (Cody Weaver)

### ActivityIndicator

* [Add traitCollectionDidChange block (#7931)](https://github.com/material-components/material-components-ios/commit/8275bcb858047b879ca0af6b18a4f43e32d24bab) (Cody Weaver)
* [Support dynamic color (#7950)](https://github.com/material-components/material-components-ios/commit/a0ee1f0ff1e86f95ce1e8b78ed23919b103aca97) (Cody Weaver)

### Banner

* [Add traitCollectionDidChangeBlock API. (#7948)](https://github.com/material-components/material-components-ios/commit/a0c0b2b3143f7878ffa9a6d108f20b9af513416e) (Wenyu Zhang)
* [Add two test cases with icons. (#7989)](https://github.com/material-components/material-components-ios/commit/e852b398dfbc3ae899a015fa63abe48aa9401169) (Wenyu Zhang)
* [Use Arabic for RTL snapshot test (#8010)](https://github.com/material-components/material-components-ios/commit/9f09ea01fef119a5718209d75cc3f93a609d39ca) (Wenyu Zhang)
* [add snapshot test for middle length text with large layout margin. (#7957)](https://github.com/material-components/material-components-ios/commit/b8b6780796ccf345dd7bd1720159ed98c141df05) (Wenyu Zhang)
* [fix layout margin not being considered for all layout styles. (#7956)](https://github.com/material-components/material-components-ios/commit/f61504e7f853d1fb94299f6fb0af7259e16cd50c) (Wenyu Zhang)

### BottomAppBar

* [Add traitCollectionDidChange block (#7930)](https://github.com/material-components/material-components-ios/commit/ce0ab9122ee6548c1a1620510b8b488e1cbbeb61) (Cody Weaver)
* [add support for dynamic color. (#7975)](https://github.com/material-components/material-components-ios/commit/bc4a297012c66e9f82dd2cf4f76c83ca7882f185) (Wenyu Zhang)

### BottomNavigation

* [Add snapshot tests for Bottom Navigation controller. (#7963)](https://github.com/material-components/material-components-ios/commit/3b32d0c29c13a820e2f270a20ab3a1b327dd241c) (Robert Moore)
* [Controller positions content behind the bar (#7970)](https://github.com/material-components/material-components-ios/commit/56d42d34be38eb8ed00731eb717037c1327a7779) (Robert Moore)
* [Remove iOS 9 guards. (#7997)](https://github.com/material-components/material-components-ios/commit/25a931201247543d189f521858ccf7eb1cd37175) (Robert Moore)
* [Update example to demonstrate lazy loading. (#7991)](https://github.com/material-components/material-components-ios/commit/da95087650afdfa5dbf902fa71c6d5b2a435e3bd) (Robert Moore)

### BottomSheet

* [add traitCollectionDidChangeBlock support. (#7966)](https://github.com/material-components/material-components-ios/commit/81938277b6b825e5f2ca73ab661254fd5cb8aa0d) (Wenyu Zhang)

### ButtonBar

* [add traitCollectionDidChangeBlock support. (#7976)](https://github.com/material-components/material-components-ios/commit/1d03b28fb65892e7d1e9bac792cf4a2bc445f81b) (Wenyu Zhang)

### Cards

* [Add Cards dynamic color support (#7906)](https://github.com/material-components/material-components-ios/commit/f25c85abd74c283c85b908856d22e91e605f00c3) (Andrew Overton)
* [Add traitCollectionDidChange block to MDCCard (#8006)](https://github.com/material-components/material-components-ios/commit/acd2827f2b8fc9cd344ac73cf9ed884bb4a1e04a) (Cody Weaver)
* [Add traitCollectionDidChange block to MDCCardCollectionCell (#8007)](https://github.com/material-components/material-components-ios/commit/bda9d92cac9d8b1da0d59fbd4f07e9c0f07acc44) (Cody Weaver)

### Chips

* [Add Dynamic Color Support for Chips (#7946)](https://github.com/material-components/material-components-ios/commit/c455ea172e15690a58ce5492b10015494a563e0f) (Andrew Overton)
* [Add traitCollectionDidChangeBlock (#7980)](https://github.com/material-components/material-components-ios/commit/31b3fbc4dadf5367cc2ed93e08c8a60253c38427) (Bryan Oltman)

### Dialogs

* [Add shadow color API (#7911)](https://github.com/material-components/material-components-ios/commit/8c2bcdc9d82a8fc37ec368b952c0d70388aa3b37) (Cody Weaver)
* [Add traitCollectionDidChangeBlock to MDCAlertController (#7981)](https://github.com/material-components/material-components-ios/commit/1a29c33790bbade814943b572455255320d30010) (Bryan Oltman)
* [Remove iOS 9 guards. (#7998)](https://github.com/material-components/material-components-ios/commit/9b5c2faf215c9bccee3b6928c3be67a9b4c24176) (Robert Moore)

### Elevation

* [Add MDCElevation protocol. (#7955)](https://github.com/material-components/material-components-ios/commit/63eda9bfa0a743e9fe0444b30cec27a56aad87f9) (Cody Weaver)
* [Add elevationDidChangeBlock to MDCElevation protocol (#7962)](https://github.com/material-components/material-components-ios/commit/c1ab40b72f1a56cefc793be095145699fefb3374) (Cody Weaver)
* [Add property mdc_overrideElevation property (#7965)](https://github.com/material-components/material-components-ios/commit/0c0d26356bfdc4de6a57ca9a77cbebbb5545c285) (Cody Weaver)
* [Add second protocol for overrides (#8034)](https://github.com/material-components/material-components-ios/commit/26a6a9139a1c83177c50034d93d667e04f882944) (Cody Weaver)
* [Add MDCElevationOverride to umbrella header (#8052)](https://github.com/material-components/material-components-ios/commit/eab643ea8c0afb928b014af3dea88992fd1218b5) (Robert Moore)
* [Improve protocol naming (#8055)](https://github.com/material-components/material-components-ios/commit/d9d038130a30fc57be90bc87ff04218a1ba1a721) (Yarden Eitan)
* [Add category to UIView (#7969)](https://github.com/material-components/material-components-ios/commit/f335b9627799cffa4259a498086a489df811657a) (Cody Weaver)
* [passing self to the elevationDidChangeBlock (#8058)](https://github.com/material-components/material-components-ios/commit/0643370347a8d0b31ef4eb590c84dfa2424d0ed4) (Yarden Eitan)

### FeatureHighlight

* [Support dynamic color (#7936)](https://github.com/material-components/material-components-ios/commit/086cdb43e5066257c8ef2de165db5f70fbd5e25f) (Bryan Oltman)

### FlexibleHeader

* [ [FlexibleHeader] Add a snapshot for shadow pre iOS 13. (#7941)](https://github.com/material-components/material-components-ios/commit/ba222be80d315ddc53e9967d9c352dfd4da60286) (Wenyu Zhang)

### Ink

* [Dynamic color support (#7974)](https://github.com/material-components/material-components-ios/commit/6eb335a0f925bff9b65fac9cb9245dbc0159665b) (Yarden Eitan)

### List

* [Add traitCollectionDidChange block to MDCBaseCell (#8033)](https://github.com/material-components/material-components-ios/commit/f75253d2740538cc1f6cca6e4a7beca9ba1f132d) (Cody Weaver)

### NavigationDrawer

* [Add traitCollectionDidChange block (#8008)](https://github.com/material-components/material-components-ios/commit/e68ae6c57b7fca486fe1542b275dd6747b601b46) (Cody Weaver)
* [Add traitCollectionDidChange block to presentation controller. (#8009)](https://github.com/material-components/material-components-ios/commit/5516e8dc0af11465ce88805adac014a0916492c2) (Cody Weaver)

### private/Snapshot

* [add support to change TextInput to RTL mode. (#7986)](https://github.com/material-components/material-components-ios/commit/4953449e209b1e9187b12440e890b5e935d2ec70) (Wenyu Zhang)

### Ripple

* [Add dynamic color support for ripple. (#7968)](https://github.com/material-components/material-components-ios/commit/5cdb7f95f75a516de2eb208f93ee1ad9e5253ed6) (Yarden Eitan)
* [Turn activeRippleColor into a property (#7949)](https://github.com/material-components/material-components-ios/commit/8a0308f6499abb877e0e5fb6f6686c82eb101526) (Yarden Eitan)
* [Fix active ripple layer not using active ripple color. (#8059)](https://github.com/material-components/material-components-ios/commit/013f3a890ee637898975bf36ebdda79b9de8eab0) (Wenyu Zhang)

### Slider

* [Add snapshot test for dynamic color with elevation. (#7960)](https://github.com/material-components/material-components-ios/commit/ceb874acaf2ff3876d39dec21a7c6acb62578834) (Wenyu Zhang)
* [change track background color. (#7967)](https://github.com/material-components/material-components-ios/commit/cf7ed4c5f9c92f290110f7aee0d6718ea06903fb) (Wenyu Zhang)
* [Add shadowColor to support dynamic color behavior. (#7972)](https://github.com/material-components/material-components-ios/commit/4d47e68dd807877538c0857d83b0ddc2ec30280b) (Wenyu Zhang)

### Tabs

* [Allow clients to set preferred layout style. (#8003)](https://github.com/material-components/material-components-ios/commit/696ee3cdda4e8dcefb9e7d727c20b155cecd586b) (Robert Moore)
* [Drop iOS 9 guards. (#7999)](https://github.com/material-components/material-components-ios/commit/3913e29f528f0620ae7b7ba474cc22c13ee95bbf) (Robert Moore)
* [Expose selection change animation properties. (#7944)](https://github.com/material-components/material-components-ios/commit/be5bd6e9c71cf727b4e0fe6a8c8216f24a5b7950) (Robert Moore)
* [Support Fixed Clustered layout when Justified won't fit. (#7908)](https://github.com/material-components/material-components-ios/commit/4fc9257ca57b6ebb0e922d474404208f4558720f) (Robert Moore)
* [Support Leading, Trailing Fixed Clustered Layout styles. (#8002)](https://github.com/material-components/material-components-ios/commit/5b7f39de35e2334b4691e6671e848a3f20d1aa42) (Robert Moore)
* [Tabs dynamic color (#7977)](https://github.com/material-components/material-components-ios/commit/08e4bcbdbdb98c616b6bfbb77e01379f19e88a16) (Andrew Overton)

### TextFields

* [Remove iOS 9 guards. (#8000)](https://github.com/material-components/material-components-ios/commit/14ab9ae9e5165563a1b1cfb316a0fd79cfcd5727) (Robert Moore)
* [Use new Snapshot RTL methods. (#7994)](https://github.com/material-components/material-components-ios/commit/f72fc36221df06026746da4b609e81db6a30aa77) (Robert Moore)

## Multi-component changes

* [Drop iOS 9 guards for Swift. (#8001)](https://github.com/material-components/material-components-ios/commit/ff2d8a4e7f67567c870158ec6699f0970faf0c2a) (Robert Moore)
* [Remove RTL snapshot method overrides. (#7996)](https://github.com/material-components/material-components-ios/commit/8dcf1e4a568a75c48c139c1cdf5ca3e2882759ef) (Robert Moore)

---

# 85.8.0

This minor release includes two new default color schemes and elevation properties to prepare for Dark Mode, dynamic color
support in several components, Haptics feature in Slider, and a number of MDCTabBarView features.

## New features

Several components support `traitCollectionDidChangeBlock` to allow clients inject a block for exection when traitCollections
changes. Slider supports Haptics feature.

## API changes

### AppBar

#### MDCAppBar

*new* property: `traitCollectionDidChangeBlockForAppBarController` in `MDCAppBarNavigationController`

### BottomNavigation

#### MDCBottomNavigationBar

*new* property: `traitCollectionDidChangeBlock` in `MDCBottomNavigationBar`

### Buttons

#### MDCButton

*new* property: `traitCollectionDidChangeBlock` in `MDCButton`

### FlexibleHeader

#### MDCFlexibleHeaderContainerViewController

*new* property: `traitCollectionDidChangeBlock` in `MDCFlexibleHeaderContainerViewController`

#### MDCFlexibleHeaderView

*new* property: `shadowColor` in `MDCFlexibleHeaderView`

*new* property: `traitCollectionDidChangeBlock` in `MDCFlexibleHeaderView`

#### MDCFlexibleHeaderViewController

*new* property: `traitCollectionDidChangeBlock` in `MDCFlexibleHeaderViewController`

### NavigationBar

#### MDCNavigationBar

*new* property: `traitCollectionDidChangeBlock` in `MDCNavigationBar`

### NavigationDrawer

#### MDCBottomDrawerContainerViewController

*new* property: `headerShadowColor` in `MDCBottomDrawerContainerViewController`

### Slider

#### MDCSlider

*new* property: `shouldEnableHapticsForAllDiscreteValues` in `MDCSlider`

### Snackbar

#### MDCSnackbarManager

*new* property: `messageElevation` in `MDCSnackbarManager`

#### MDCSnackbarMessageView

*new* property: `elevation` in `MDCSnackbarMessageView`

*new* property: `traitCollectionDidChangeBlock` in `MDCSnackbarMessageView`

### Tabs+TabBarView

#### MDCTabBarView

*new* method: `-rectForItem:inCoordinateSpace:` in `MDCTabBarView`

### schemes/Color

#### MDCColorScheming

*new* property: `elevationOverlayColor` in `MDCColorScheming`

*new* property: `elevationOverlayEnabledForDarkMode` in `MDCColorScheming`

#### MDCSemanticColorScheme

*new* property: `elevationOverlayColor` in `MDCSemanticColorScheme`

*new* property: `elevationOverlayEnabledForDarkMode` in `MDCSemanticColorScheme`

## Component changes

### AppBar

* [Add `defaultTraitCollectionDidChangeBlock` for injecting into AppBars. (#7887)](https://github.com/material-components/material-components-ios/commit/9bd3a8958d0a0c72967db062f78b3f77c48b47ee) (Robert Moore)
* [Add `traitCollectionDidChangeBlock` to AppBarViewController. (#7851)](https://github.com/material-components/material-components-ios/commit/97a39fc6ddb739c4182c0f3b32b795996d0fe050) (Robert Moore)
* [Provide app bar parameter for traitCollectionDidChange block. (#7888)](https://github.com/material-components/material-components-ios/commit/56e940a9726afe95650eeb753b5f8566233d0567) (Robert Moore)

### Banner

* [fix dynamic type support for attributed string. (#7820)](https://github.com/material-components/material-components-ios/commit/112433335c229e45d1382b3ba013bcf28e239409) (Wenyu Zhang)

### BottomNavigation

* [ Add shadowColor API. (#7910)](https://github.com/material-components/material-components-ios/commit/3d62ea7a29c3c4ddf99b410836199e56bbe84fd8) (Cody Weaver)
* [Add `traitCollectionDidChangeBlock` API. (#7893)](https://github.com/material-components/material-components-ios/commit/fcf9b24138b3469332e93e819b3c8a04e59bedeb) (Robert Moore)

### Buttons

* [Add dynamic color support (#7914)](https://github.com/material-components/material-components-ios/commit/0f8e19aab5fa86453f7b681c6bf4141e3c6166ec) (Cody Weaver)
* [Add dynamic color support to MDCButton (#7858)](https://github.com/material-components/material-components-ios/commit/01a2002f9f01a7820c59fa560f8c5bcf8867ca2c) (Cody Weaver)
* [add traitCollectionDidChangeBlock API. (#7853)](https://github.com/material-components/material-components-ios/commit/04408e0407a02713376a63c9414a51787ad96c20) (Wenyu Zhang)

### FlexibleHeader

* [Add dynamic color support to flexible header (#7904)](https://github.com/material-components/material-components-ios/commit/9f2f025fc0efb982d1ebad28290e7c66f9eac148) (Cody Weaver)
* [Add traitCollectionDidChangeBlock (#7915)](https://github.com/material-components/material-components-ios/commit/238be999695140ff043e43d97c8063d6fa7026fc) (Cody Weaver)
* [Add traitCollectionDidChangeBlock (#7922)](https://github.com/material-components/material-components-ios/commit/ac6fda5d8d599e1290be629d2e5ca2acd3f6de87) (Cody Weaver)
* [Add unit test for the shadow layer (#7909)](https://github.com/material-components/material-components-ios/commit/b0b04a2adfe5549a9cf48f1b7aaba3aa65fa0eda) (Cody Weaver)
* [Add traitCollectionDidChange block (#7917)](https://github.com/material-components/material-components-ios/commit/1161a9db986e8cf33799628645ed09ce017dd98a) (Cody Weaver)

### NavigationBar

* [Add traitCollectionDidChange block. (#7918)](https://github.com/material-components/material-components-ios/commit/3d9d2db94d5a8429a9ee2cdf9733f761e50b99db) (Cody Weaver)

### NavigationDrawer

* [Expose headerShadowColor to allow clients to provide a dynamic color (#7900)](https://github.com/material-components/material-components-ios/commit/385df73f8df055cba799e2d76efddb1849e3261f) (Bryan Oltman)

### ProgressView

* [Provide unique names for methods. (#7824)](https://github.com/material-components/material-components-ios/commit/6f2d5eb654b6ca1d812c42cd1d13d87c2f692daa) (Robert Moore)

### Shapes

* [Fix memory leak in -[MDCRectangleShapeGenerator pathForSize:] by returning an autoreleased CGPathRef (#7913)](https://github.com/material-components/material-components-ios/commit/783fd0762151ec6ab72442abad673b5b9c6c7a48) (Julien Poumailloux)

### Slider

* [Allowing Full Haptics for Discrete Sliders (#7765)](https://github.com/material-components/material-components-ios/commit/46efae77c646285b4971ad13d0a0662d68653122) (afweiss)

### Snackbar

* [Add button styling properties to MDCSnackbarManager (#7832)](https://github.com/material-components/material-components-ios/commit/fc625843c77e85b64030c7be20df23d7907bab0e) (Bryan Oltman)
* [Add traitCollectionDidChangeBlock API (#7903)](https://github.com/material-components/material-components-ios/commit/4c9ca7d45965d7d3dbfc025ca9a5991f05aeb8bb) (Bryan Oltman)
* [Allow clients to customize elevation (#7844)](https://github.com/material-components/material-components-ios/commit/ba841d886eb8f43e23fe37cb11eba06bb7194cab) (Cody Weaver)
* [Support dynamic color (#7905)](https://github.com/material-components/material-components-ios/commit/fac684eb4ca24d469313611ddbf1e9888ff8b2da) (Bryan Oltman)
* [Use MDCShadowLayer instead of UIKit shadows (#7843)](https://github.com/material-components/material-components-ios/commit/64d5d315ada2886029f558f36596731663e7041b) (Cody Weaver)

### Tabs

* [Add `accessibilityElementForItem:` API. (#7818)](https://github.com/material-components/material-components-ios/commit/4ed8860b20d76dbadf527225e2dbf037feaa4029) (Robert Moore)
* [Add `setSelected:animated:` API for custom views. (#7810)](https://github.com/material-components/material-components-ios/commit/9e8165694e4dfe4921281308161c8a622adecfe5) (Robert Moore)
* [Add bottom divider. (#7817)](https://github.com/material-components/material-components-ios/commit/09a7df6530b6b88049251428a4990943fef0ff1f) (Robert Moore)
* [Add item style options for TabBarView example. (#7808)](https://github.com/material-components/material-components-ios/commit/4cb495c435dfaa6e08d50e7cd97284570ceceb77) (Robert Moore)
* [Add snapshot tests for contentInset on MDCTabBarView. (#7815)](https://github.com/material-components/material-components-ios/commit/71b103e6816dcfb308987bd65b07f7908c06ac73) (Robert Moore)
* [Add support for `selectedImage` from UITabBarItem. (#7814)](https://github.com/material-components/material-components-ios/commit/1ead0b6fac7ba10da81379c19ba15bf59a15a8c0) (Robert Moore)
* [Adjust sizeThatFits: behavior for TabBarView. (#7846)](https://github.com/material-components/material-components-ios/commit/7c7208fb509b52fcf571a6679df7b718c15fc061) (Robert Moore)
* [Allow clients to calculate when a view appears/disappears. (#7841)](https://github.com/material-components/material-components-ios/commit/3a0c1ee2e8bd2257894ab696d4759ab67e390993) (Robert Moore)
* [Combine "default" unit tests. (#7822)](https://github.com/material-components/material-components-ios/commit/bc008a2ae6fc27a49370dbfb6abed0c0660c1467) (Robert Moore)
* [Don't handle `contentInset` directly in layout. (#7816)](https://github.com/material-components/material-components-ios/commit/b67ae677623ac314f037e5c35f38e40117e84de6) (Robert Moore)
* [Fix crash when assigning `nil` for KVO'd title. (#7806)](https://github.com/material-components/material-components-ios/commit/fffcb4a5a006b34a157fcac4c9cc89d630e0976a) (Robert Moore)
* [Fix segmented control position. (#7898)](https://github.com/material-components/material-components-ios/commit/640220d66d277047113430c566ea5b161692e959) (Robert Moore)
* [Fix title-only example. (#7897)](https://github.com/material-components/material-components-ios/commit/f2b258014408fa90a3d60b2e6e3dc027ae47bfa9) (Robert Moore)
* [Minor refactoring of KVO code. (#7825)](https://github.com/material-components/material-components-ios/commit/bd61834803047560d3f6095ffa72c4b52cba5934) (Robert Moore)
* [Retain custom view in example. (#7901)](https://github.com/material-components/material-components-ios/commit/4d99e843059129e84ef9061603e092f8b537faaa) (Robert Moore)

### TextFields

* [Textfields dynamic color support (#7889)](https://github.com/material-components/material-components-ios/commit/b2f2a5d77fead5f1164b2884bf540f3295f48927) (Andrew Overton)

### private/Color

* [Add UIColor+MaterialDynamic to support dynamic color. (#7860)](https://github.com/material-components/material-components-ios/commit/a65f36d4beaa7d8859c93a046967270375387d13) (Wenyu Zhang)

### private/Snapshot

* [added ios13 support for snapshots (#7861)](https://github.com/material-components/material-components-ios/commit/48f78118a7d268c92521bad12b118238de74a3fb) (Yarden Eitan)

### schemes/Color

* [Add a default color scheme for Dark mode. (#7831)](https://github.com/material-components/material-components-ios/commit/666b17a34646ea9dde490e1a22c65ab806c6d5bc) (Wenyu Zhang)
* [Add dynamic color scheme MDCColorSchemeDefaultsMaterial201907. (#7848)](https://github.com/material-components/material-components-ios/commit/6f83e12273d3739dba06f48a1cac3d09865b3cb2) (Wenyu Zhang)
* [Use UIColor method instead of static method to generate (#7894)](https://github.com/material-components/material-components-ios/commit/0175300afc821396a31b5cd7d0bd638b9ce58dac) (Wenyu Zhang)
* [add two properties for elevation overlay color in color (#7924)](https://github.com/material-components/material-components-ios/commit/914e9a37fb0ef1e4a3663126bb61997c3600920c) (Wenyu Zhang)

---

# 85.7.0

This minor release exposes some properties on Snackbars and fixes a Banner bug.

## API changes

### Snackbar

#### MDCSnackbarManager

*new* property: `buttonInkColor` in `MDCSnackbarManager`

*new* property: `uppercaseButtonTitle` in `MDCSnackbarManager`

*new* property: `disabledButtonAlpha` in `MDCSnackbarManager`

## Component changes

### Snackbar

* [Add button styling properties to MDCSnackbarManager (#7832)](https://github.com/material-components/material-components-ios/commit/fc625843c77e85b64030c7be20df23d7907bab0e) (Bryan Oltman)

### Banner

* [Fix dynamic type support for attributed string (#7820)](https://github.com/material-components/material-components-ios/commit/112433335c229e45d1382b3ba013bcf28e239409) (Wenyu Zhang)

---

# 85.6.0

This minor release includes features and bug fixes for the MDCTabBarView Beta component.

## API changes

### Tabs+TabBarView

#### MDCTabBarViewIndicatorSupporting

*removed* protocol: `MDCTabBarViewIndicatorSupporting`

*removed* property: `bounds` in `MDCTabBarViewIndicatorSupporting`

*removed* property: `contentFrame` in `MDCTabBarViewIndicatorSupporting`

#### MDCTabBarItemCustomViewing

*modified* property: `mdc_customView` in `MDCTabBarItemCustomViewing`

| Type of change: | Declaration |
|---|---|
| From: | `@property (readwrite, strong, nonatomic, nullable)     UIView<MDCTabBarViewIndicatorSupporting> *mdc_customView;` |
| To: | `@property (readwrite, strong, nonatomic, nullable)     UIView<MDCTabBarViewCustomViewable> *mdc_customView;` |

#### MDCTabBarView

*new* property: `bottomDividerColor` in `MDCTabBarView`

*new* method: `-accessibilityElementForItem:` in `MDCTabBarView`

#### MDCTabBarViewCustomViewable

*new* property: `bounds` in `MDCTabBarViewCustomViewable`

*new* property: `contentFrame` in `MDCTabBarViewCustomViewable`

*new* protocol: `MDCTabBarViewCustomViewable`

*new* method: `-setSelected:animated:` in `MDCTabBarViewCustomViewable`

## Component changes

### Tabs

* [Add `accessibilityElementForItem:` API. (#7818)](https://github.com/material-components/material-components-ios/commit/8ef861ecfa2a2cb6546566b8efc00db967ef07d0) (Robert Moore)
* [Add `setSelected:animated:` API for custom views. (#7810)](https://github.com/material-components/material-components-ios/commit/561e705493bb28238d8f95beed811e99c8251b2f) (Robert Moore)
* [Add bottom divider. (#7817)](https://github.com/material-components/material-components-ios/commit/552afeb6ad0029d2b90b0c0de4e7f88b4a32ecc2) (Robert Moore)
* [Add item style options for TabBarView example. (#7808)](https://github.com/material-components/material-components-ios/commit/345dba9e7aca85c86c1bacaf9a6a7fcd449489b5) (Robert Moore)
* [Add snapshot tests for contentInset on MDCTabBarView. (#7815)](https://github.com/material-components/material-components-ios/commit/cb1d31b600f19e77f1d88f0f72414078dd5ffa72) (Robert Moore)
* [Add support for `selectedImage` from UITabBarItem. (#7814)](https://github.com/material-components/material-components-ios/commit/25e50656516b17b3c5eed79d5c688bd548bf1354) (Robert Moore)
* [Adjust sizeThatFits: behavior for TabBarView. (#7846)](https://github.com/material-components/material-components-ios/commit/34dad12ff6a722f9f12d56de025ac509e3cd6dc0) (Robert Moore)
* [Combine "default" unit tests. (#7822)](https://github.com/material-components/material-components-ios/commit/20a2e3d580ebdae25d337c2c6643b5ed4e83f54d) (Robert Moore)
* [Don't handle `contentInset` directly in layout. (#7816)](https://github.com/material-components/material-components-ios/commit/671e960b77c23a1eb2ce958017ddcf77ffc6bf19) (Robert Moore)
* [Fix crash when assigning `nil` for KVO'd title. (#7806)](https://github.com/material-components/material-components-ios/commit/88efc5f05033a84289cdfe32f48b66ec521447e0) (Robert Moore)
* [Minor refactoring of KVO code. (#7825)](https://github.com/material-components/material-components-ios/commit/0bef8d0bd8457be44fbbb1afd7e393096dfb146e) (Robert Moore)

---

# 85.5.1

This patch release makes a FlexibleHeader dependency on MaterialMath explicit in MaterialComponents.podspec so that pod lib lint validations pass and the release can be published successfully with Cocoapods. There are no code changes.

## Component changes

### FlexibleHeader

* [Add Math dependency to FlexibleHeader](https://github.com/material-components/material-components-ios/commit/a7b621138b03b4664623e7a021b256063bfd2026)

---

# 85.5.0

This minor release includes a theming extension for ProgressView, a bug fix for FlexibleHeader, haptics support for Slider, and progress on a number of core MDCTabBarView features.

## New features

ProgressView now has a theming extension.

```objc
MDCProgressView *progressView = [[MDCProgressView alloc] init];
MDCContainerScheme *containerScheme = [[MDCContainerScheme alloc] init];
[progressView applyThemeWithScheme:containerScheme];
```

## API changes

### ProgressView+Theming

**New extension.**

### Slider

#### MDCSlider

*new* property: `hapticsEnabled` in `MDCSlider`

## Component changes

### FlexibleHeader

* [use MDCEdgeInsetsEqualToEdgeInsets to compare insets when enforcing insets for scroll view.(#7807)](https://github.com/material-components/material-components-ios/commit/bc07f0c53239f8eb7c2df5eaa9e82995177636a8) (Wenyu Zhang)

### ProgressView

* [Add an MDCProgressView theming extension (#7791)](https://github.com/material-components/material-components-ios/commit/43920aed56d0f8f49838c43abdaaf17217a79a77) (Andrew Overton)
* [Provide unique names for methods (#7824)](https://github.com/material-components/material-components-ios/commit/6f2d5eb654b6ca1d812c42cd1d13d87c2f692daa) (Robert Moore)

### Slider

* [Haptics For Slider (#7738)](https://github.com/material-components/material-components-ios/commit/2674c8cd134dcf84d48c18326bea5607a823e10f) (afweiss)

### Tabs

* [Add Selection Indicator (#7767)](https://github.com/material-components/material-components-ios/commit/d8581113f6427dcbd508102d4d4c704e3473aefa) (Robert Moore)
* [Allow setting ripple color. (#7784)](https://github.com/material-components/material-components-ios/commit/88e5a52f9f41b955bfe68cfa85564e387a98187e) (Robert Moore)
* [Customize selection indicator color. (#7774)](https://github.com/material-components/material-components-ios/commit/e4aee2a13bdff24154e22e5d02a2886ef18b060b) (Robert Moore)
* [Deduplicate item view layout and contentFrame calculation. (#7796)](https://github.com/material-components/material-components-ios/commit/c22a1f0475882d85e9939208ec52ba14a6f3186c) (Robert Moore)
* [Fix `contentFrame` for item view. (#7782)](https://github.com/material-components/material-components-ios/commit/08816595403ca942a7a53b57b0acaf982a52179a) (Robert Moore)
* [Fixes layout for changing font sizes. (#7771)](https://github.com/material-components/material-components-ios/commit/4842c32fd80cfa3ee38cd197319286bc8af3ca38) (Robert Moore)
* [Improve text and image rendering. (#7803)](https://github.com/material-components/material-components-ios/commit/0dc3125598ab30b2b33e38ce128a0cac651aa9e5) (Robert Moore)
* [Include public headers in umbrella header. (#7783)](https://github.com/material-components/material-components-ios/commit/1065634918ffbdf06a46333788b256e28c98edc9) (Robert Moore)
* [Inject dummy scroll view into example. (#7772)](https://github.com/material-components/material-components-ios/commit/5a7efb0fcc80f4975801f635f2272adb4c1109bb) (Robert Moore)
* [Inset scrollable tabs by 52 points. (#7776)](https://github.com/material-components/material-components-ios/commit/a19b73048b65c10a27a2e7715b142cdaebea0097) (Robert Moore)
* [Item views should translate their autoresizing mask into constraints](https://github.com/material-components/material-components-ios/commit/a1d7a78ff5573aceda6b7256ee9de1c2ae341dda) (Ang)
* [Remove extra `contentView` from item view. (#7795)](https://github.com/material-components/material-components-ios/commit/8b028b22bc8d879b67a67da2ab0c12243a7f7278) (Robert Moore)
* [Remove unused/duplicate method. (#7793)](https://github.com/material-components/material-components-ios/commit/32905f37e650209e8a455b05cd5822f380dfc0c5) (Robert Moore)
* [Switch to manual layout (#7764)](https://github.com/material-components/material-components-ios/commit/583a1bd5f164071c8aa2418bc1431fbdc46f4766) (Robert Moore)
* [Update README for TabBarView. (#7799)](https://github.com/material-components/material-components-ios/commit/4c41b1008920f6350f8a5b08a714a6e38e262ae9) (Robert Moore)
* [Vertically hug content in sizeThatFits: (#7777)](https://github.com/material-components/material-components-ios/commit/012c11de3210ff194ae4ba0c43dace79752d3ded) (Robert Moore)

### private/Math

* [Add MDCEdgeInsetsEqualToEdgeInsets to compare two UIEdgeInsets. (#7804)](https://github.com/material-components/material-components-ios/commit/46454f9f4b38ff9cc18ad7c174bd5740b5069c7f) (Wenyu Zhang)

---

# 85.4.0

This minor release includes changes to the MDCTabBarView Beta component.

## API Changes

### Tabs+TabBarView

#### MDCTabBarViewIndicatorTemplate

*new* protocol: `MDCTabBarViewIndicatorTemplate`

*new* method: `-indicatorAttributesForContext:` in `MDCTabBarViewIndicatorTemplate`

#### MDCTabBarViewIndicatorAttributes

*new* class: `MDCTabBarViewIndicatorAttributes`

*new* property: `path` in `MDCTabBarViewIndicatorAttributes`

#### MDCTabBarViewIndicatorContext

*new* property: `contentFrame` in `MDCTabBarViewIndicatorContext`

*new* protocol: `MDCTabBarViewIndicatorContext`

*new* property: `item` in `MDCTabBarViewIndicatorContext`

*new* property: `bounds` in `MDCTabBarViewIndicatorContext`

#### MDCTabBarView

*new* property: `rippleColor` in `MDCTabBarView`

#### MDCTabBarViewUnderlineIndicatorTemplate

*new* class: `MDCTabBarViewUnderlineIndicatorTemplate`

## Component changes

### Tabs

* [Allow setting ripple color. (#7784)](https://github.com/material-components/material-components-ios/commit/196e2fc524ac42f0d5e09bbbe4906b29c0da6aea) (Robert Moore)
* [Fix `contentFrame` for item view. (#7782)](https://github.com/material-components/material-components-ios/commit/f008d405ff112cbf585a9753e6c26f4d69c13e4c) (Robert Moore)
* [Include public headers in umbrella header. (#7783)](https://github.com/material-components/material-components-ios/commit/59e6c2c2558b7514eb8b4e3080c39e764456caf6) (Robert Moore)
* [Item views should translate their autoresizing mask into constraints](https://github.com/material-components/material-components-ios/commit/708f42f772dd2ac08350f8a2ac3415efe8373be2) (Ang)

---

# 85.3.0

This minor release includes changes to the MDCTabBarView Beta component.

## Component changes

### Tabs

* [Add Selection Indicator (#7767)](https://github.com/material-components/material-components-ios/commit/fa410ccaa038969e74a60a579f66ada34e7e9604) (Robert Moore)
* [Customize selection indicator color. (#7774)](https://github.com/material-components/material-components-ios/commit/178536925e5ded30c98f7acc10811f59568f8ffe) (Robert Moore)
* [Fixes layout for changing font sizes. (#7771)](https://github.com/material-components/material-components-ios/commit/be8bd0db086fce66d8feccf6b8fc1a30a7477957) (Robert Moore)
* [Inject dummy scroll view into example. (#7772)](https://github.com/material-components/material-components-ios/commit/b28813b88ba3820d731df2bbf84f7dc71a636033) (Robert Moore)
* [Inset scrollable tabs by 52 points. (#7776)](https://github.com/material-components/material-components-ios/commit/f82228af1855eb038d841a151065bfa7cacebdce) (Robert Moore)
* [Switch to manual layout (#7764)](https://github.com/material-components/material-components-ios/commit/5bdb3411707a9e363b9ff815c726e8b227b0f60c) (Robert Moore)
* [Vertically hug content in sizeThatFits: (#7777)](https://github.com/material-components/material-components-ios/commit/021b2f8a1862470e8cb129c5fbc1de21356e53a2) (Robert Moore)

---

# 85.2.0

In this minor release we have fixed bugs in Buttons and FlexibleHeader, added new features to Banner, added a theming extension for BottomNavigation, and improved test coverage in BottomSheet.

## New features

MDCBanner now supports `intrinsicContentSize`.

```objc
MDCBannerView *myBanner = ...
CGSize validIntrinsicContentSize = myBanner.intrinsicContentSize;
```

## API changes

### Banner

#### MDCBannerView

*new* property: `mdc_adjustsFontForContentSizeCategory` in `MDCBannerView`

### BottomNavigation+Theming

**New extension.**

### Tabs+TabBarView

#### MDCTabBarViewIndicatorSupporting

*new* protocol: `MDCTabBarViewIndicatorSupporting`

*new* property: `contentFrame` in `MDCTabBarViewIndicatorSupporting`

*new* property: `bounds` in `MDCTabBarViewIndicatorSupporting`

#### MDCTabBarView

*new* method: `-setTitleFont:forState:` in `MDCTabBarView`

*new* method: `-titleColorForState:` in `MDCTabBarView`

*new* method: `-setImageTintColor:forState:` in `MDCTabBarView`

*new* method: `-titleFontForState:` in `MDCTabBarView`

*new* method: `-imageTintColorForState:` in `MDCTabBarView`

*new* property: `tabBarDelegate` in `MDCTabBarView`

*new* method: `-setSelectedItem:animated:` in `MDCTabBarView`

*new* method: `-setTitleColor:forState:` in `MDCTabBarView`

*new* property: `barTintColor` in `MDCTabBarView`

#### MDCTabBarItem

*new* class: `MDCTabBarItem`

#### MDCTabBarItemCustomViewing

*new* protocol: `MDCTabBarItemCustomViewing`

*new* property: `mdc_customView` in `MDCTabBarItemCustomViewing`

#### MDCTabBarViewDelegate

*new* method: `-tabBarView:shouldSelectItem:` in `MDCTabBarViewDelegate`

*new* protocol: `MDCTabBarViewDelegate`

*new* method: `-tabBarView:didSelectItem:` in `MDCTabBarViewDelegate`

### TextFields+ContainedInputView

**New extension.**

## Changes

### Banner

* [Add intrinsicContentSize support with an example. (#7620)](https://github.com/material-components/material-components-ios/commit/37a495b04a4e17cdd78e76071fba5c9fc275c3cc) (Wenyu Zhang)
* [Support Dynamic Type in Banner (#7709)](https://github.com/material-components/material-components-ios/commit/7c1b055ab943539fe104a5fbad75000c66c0e0f2) (Wenyu Zhang)

### BottomNavigation

* [Add theming extension (#7691)](https://github.com/material-components/material-components-ios/commit/f7ac1dbbbb1e4eff09e6f51d1145b5b00fd85cc5) (Cody Weaver)

### BottomSheet

* [Added test to avoid referencing UIWebView under UIKit for Mac (#7679)](https://github.com/material-components/material-components-ios/commit/4354bfc284210119a3c1be094079633f98784154) (Mark Aufflick)

### Buttons

* [Resolved inifinite loop in FloatingButtonExampleViewController. (#7675)](https://github.com/material-components/material-components-ios/commit/b3290cd14da46e062641c2196380bd4889e3722b) (Mark Aufflick)

### FlexibleHeader

* [Ensures the frame is correct under UIKit for Mac (#7668)](https://github.com/material-components/material-components-ios/commit/3fa4749b0272204dd81266b3c84bfad7858af5ac) (Mark Aufflick)
* [Use updated voiceover status change notification (#7571)](https://github.com/material-components/material-components-ios/commit/b322b55e6f966b3849cb2888c75d62b0ed6ca584) (Josh Converse)

### Tabs

* [Add `barTintColor` API. (#7711)](https://github.com/material-components/material-components-ios/commit/41369ecc17281591444cee3db074a95b57fd2de4) (Robert Moore)
* [Add accessibility hint and identifier (#7729)](https://github.com/material-components/material-components-ios/commit/5050a53de55d50994b442b7be573c5f5dbae85d5) (Cody Weaver)
* [Add accessibility label (#7727)](https://github.com/material-components/material-components-ios/commit/1d36b079d7e40888058bc0a9c44e6ba13b79f93e) (Cody Weaver)
* [Add accessibility traits support (#7739)](https://github.com/material-components/material-components-ios/commit/c3fe63e5e206b19097ce5fc01cceed5d9465f848) (mikefan1991)
* [Add delegate support to MDCTabBarView (#7725)](https://github.com/material-components/material-components-ios/commit/46c8e51ae358373911e3f970068fb75a4f4a02f3) (mikefan1991)
* [Add imageTintColorForState APIs. (#7714)](https://github.com/material-components/material-components-ios/commit/88e145c62b3229ac64e80776e34568f0f56f1a77) (Robert Moore)
* [Add initial support for custom view. (#7678)](https://github.com/material-components/material-components-ios/commit/325e269eb4b795d58d38a0dc6c52b60c1023dae3) (Robert Moore)
* [Add ripple effect (#7726)](https://github.com/material-components/material-components-ios/commit/99ec5aa6917b4b3ff855f6e61127e9eed1f1f640) (Ang)
* [Add the user selection visible logic  (#7740)](https://github.com/material-components/material-components-ios/commit/ca5afce4417415ffbede4a42cbf1dd53760a6542) (mikefan1991)
* [Add titleColorForState: API. (#7712)](https://github.com/material-components/material-components-ios/commit/af0fe795a64d952bfc294b11d796e8f0b9e079fd) (Robert Moore)
* [Add titleFontForState APIs (#7757)](https://github.com/material-components/material-components-ios/commit/029692a0ba9e8d9503d2f3f7389e5a5ee97d3c2d) (Cody Weaver)
* [Add user selection support to the MDCTabBarView (#7713)](https://github.com/material-components/material-components-ios/commit/e243456b42ba6de0f162f9e12518f077e7989d47) (mikefan1991)
* [Adds justified and scrollable layout to MDCTabBarView (#7704)](https://github.com/material-components/material-components-ios/commit/60d5f0dbef6c92fe295a4aed0e03848b83bce426) (Ang)
* [Adds safe area inset (#7753)](https://github.com/material-components/material-components-ios/commit/079c42e65b010745686cd0442e8d6b3ca22c7e42) (Ang)
* [Adds support for rendering custom views. (#7755)](https://github.com/material-components/material-components-ios/commit/febf914e97be63c7027595aaa364a275dd37756b) (Robert Moore)
* [Allow setting selected item without animation. (#7749)](https://github.com/material-components/material-components-ios/commit/8d82d5e9d04ac74d6958b9ff02503d6c76528d5c) (Robert Moore)
* [Create default selection indicator template. (#7751)](https://github.com/material-components/material-components-ios/commit/ee7c89c4ff140b4b586b1e6d966e585b0e19a07f) (Robert Moore)
* [Expose the the iconImageView and the titleLabel of the item view (#7703)](https://github.com/material-components/material-components-ios/commit/1008ad3945d4b784131d6024e5c5a6551c7c08c5) (mikefan1991)
* [Fix MDCTabBarViewItemView sizing. (#7718)](https://github.com/material-components/material-components-ios/commit/609d76a2255b98b6aca040715987080e057101bf) (Robert Moore)
* [Fix bugs (#7735)](https://github.com/material-components/material-components-ios/commit/1a38f2af4630af5477085cde76efa5ecf3d9d456) (mikefan1991)
* [Fix image tint color when unselecting an item. (#7756)](https://github.com/material-components/material-components-ios/commit/0e97389a5c65b46f3ef85c92da9d8d9e8c4e375e) (Robert Moore)
* [Fix scroll-to-item for RTL.  (#7754)](https://github.com/material-components/material-components-ios/commit/c2b400f6ff3cf0e83854108ed02d41df67f5a4a7) (Robert Moore)
* [Fix the layout of MDCTabBarViewItemView (#7747)](https://github.com/material-components/material-components-ios/commit/494feaeb7c41ef3a67f82821bb26454745fa7f8b) (mikefan1991)
* [Fork selection indicator. (#7723)](https://github.com/material-components/material-components-ios/commit/2703d006efdf646877c65dbe2392275e54953900) (Robert Moore)
* [Ignore `selectedItem` values not in `items`. (#7702)](https://github.com/material-components/material-components-ios/commit/cc5cce89d0c5402a84200144e42be816f19b2404) (Robert Moore)
* [Initial MDCTabBarViewItemView version (#7665)](https://github.com/material-components/material-components-ios/commit/4bb8a7cb345dc1f09e60d0b5c44fadd98c60f22e) (mikefan1991)
* [KVO UITabBarItem's `title` and `image` properties (#7700)](https://github.com/material-components/material-components-ios/commit/fc96bbbe4915ad54bfea584639b446d41b0603ed) (Robert Moore)
* [Make itemView conform to the selection indicator protocol. (#7750)](https://github.com/material-components/material-components-ios/commit/bd1ab6eadcded6091fd970845c274587dbfba33c) (Robert Moore)
* [Rearrange MDCTabBarView internals. (#7696)](https://github.com/material-components/material-components-ios/commit/b13f7813e0f9240af4448c267b7a2bbbd4774177) (Robert Moore)
* [Remove redundant code. (#7716)](https://github.com/material-components/material-components-ios/commit/f55facb659c63bbf624a29141b36885bc12fdca4) (Robert Moore)
* [Send tab item title/image to views (#7698)](https://github.com/material-components/material-components-ios/commit/d202640cd384666fd872aaeef5d50d81fa60d5a1) (Robert Moore)
* [Use templated image in snapshot test. (#7730)](https://github.com/material-components/material-components-ios/commit/b46aa91c6d07d4d002972bdb5a66c04f58607248) (Robert Moore)

### TextFields

* [Add MDCBaseTextField as extension (#7694)](https://github.com/material-components/material-components-ios/commit/eadb2e18fe57f5be0ec1b8dd1ea122ba445fb966) (Andrew Overton)

### private/ThumbTrack

* [Uses @synthesize for touchController to avoid warning (#7670)](https://github.com/material-components/material-components-ios/commit/d0d08d422bccd7246981fdb7c8c829657caa37a9) (Sylvain Defresne)

---

# 85.1.0

In this minor release we have begun development of a new Tab component, as well as additional tests and bug fixes.

## New features

Chips now support selection for ripple when in the selected state.

```objc
MDCChipView *chipView = [[MDCChipView alloc] init];
chipView.enableRippleBehavior = YES;
chipView.rippleAllowsSelection = YES;
```

## API changes

### Chips

#### MDCChipView

*new* property: `rippleAllowsSelection` in `MDCChipView`

### Tabs

#### MDCTabBarView

*new* class: `MDCTabBarView`

## Component changes

## Changes

### AppBar

* [Use new unit test Bazel rules (#7642)](https://github.com/material-components/material-components-ios/commit/82725a6c01f7894e95c009f293ba72dcc9765ded) (Robert Moore)

### Banner

* [Fix horizontal constraint between text label and button. (#7648)](https://github.com/material-components/material-components-ios/commit/e90426bb0a7091b43b890ab34fbd25d1d37d46bb) (Wenyu Zhang)
* [Remove a redundant header file of a typical example. (#7610)](https://github.com/material-components/material-components-ios/commit/5f2399562030e1fadeb328866b36e2310873fd96) (Wenyu Zhang)
* [apply constraints to trailingButton even it is hidden. (#7652)](https://github.com/material-components/material-components-ios/commit/973d4e1ff2bda8be44f5929e022bf6eff60b5e97) (Wenyu Zhang)
* [fix image constraint when it is hidden and on single row mode. (#7649)](https://github.com/material-components/material-components-ios/commit/3f436f9944d1b6bbe83c6ebf717e387ce4d4841b) (Wenyu Zhang)

### Chips

* [New rippleAllowsSelection API in MDCChipView (#7613)](https://github.com/material-components/material-components-ios/commit/af731d1ad41e83065a4826656a193b0014826aca) (Galia Kaufman)

### NavigationDrawer

* [Update cacheLayoutCalculationsWithAddedContentHeight recursion check to factor out floating point rounding issues (#7654)](https://github.com/material-components/material-components-ios/commit/b243d5e8426f970da3c83f2fe2979be426b01256) (Bryan Oltman)

### Tabs

* [Update README for MDCTabBarView. (#7673)](https://github.com/material-components/material-components-ios/commit/2dea42f1d6d31a03c8b208d1b530d43ef841b371) (Robert Moore)
* [Add missing example. (#7671)](https://github.com/material-components/material-components-ios/commit/d0f3843388506d3aa5257faa267c58ea8a86d9b1) (Robert Moore)
* [Move "Tabs2" into an extension. (#7663)](https://github.com/material-components/material-components-ios/commit/83797d1cab8402e38f5e612271c4ae5b7b4a4c91) (Robert Moore)

### schemes/Typography

* [Annotate mdc_adjustsFontForContentSizeCategory as to-be-deprecated. (#7619)](https://github.com/material-components/material-components-ios/commit/ee0943cbbdab48fd9637baf60957113e5e9e205e) (featherless)

## Multi-component changes

* [Remove all example references to MDCFloatingActionButtonThemer. (#7505)](https://github.com/material-components/material-components-ios/commit/9c8e34138af0d02f568bff4ff8f0c0341b5cd860) (featherless)
* [{Bazel} Create dedicated unit test rules to reduce boilerplate (#7641)](https://github.com/material-components/material-components-ios/commit/2b125fcd935bde8f707ce6e0f96503555d8da6ad) (Robert Moore)

---

# 85.0.1

This patch release fixes a bug that Banner doesn't layout correctly in landscape mode on some devices and a floating point rounding issue in NavigationDrawer.

## Changes

### Banner

* [Fix horizontal constraint between text label and button. (#7648)](https://github.com/material-components/material-components-ios/commit/e90426bb0a7091b43b890ab34fbd25d1d37d46bb) (Wenyu Zhang)
* [Fix image constraint when it is hidden and on single row mode (#7649)](https://github.com/material-components/material-components-ios/commit/3f436f9944d1b6bbe83c6ebf717e387ce4d4841b) (Wenyu Zhang)
* [Apply constraints to trailingButton even it is hidden. (#7652)](https://github.com/material-components/material-components-ios/commit/973d4e1ff2bda8be44f5929e022bf6eff60b5e97) (Wenyu Zhang)

### NavigationDrawer

* [Update cacheLayoutCalculationsWithAddedContentHeight recursion check to factor out floating point rounding issues (#7654)](https://github.com/material-components/material-components-ios/commit/b243d5e8426f970da3c83f2fe2979be426b01256) (Bryan Oltman))

---

# 85.0.0

In this major release we updated `sizeThatFits:` calculation for MDCBottomNavigationBar to not include safe area, added Ripple support to all our interactable components, and more layout customization for Banner.

## Breaking changes

We have changed the `sizeThatFits:` behavior for BottomNavigation's bar to not include the safe area by default. This is a breaking change as prior we did include the safe area as part of the calculation, but we should not since the view controller (or parent view) should worry about positioning the BottomNavigationBar within the unsafe area (if it desires).

If you still wish to include the safe area in the sizeThatFits calculation:
```objc
self.bottomNavigationBar.sizeThatFitsIncludesSafeArea = YES;
```

## New features

Enable the new Ripple behavior in components by setting `enableRippleBehavior` to YES, and set its color using the `rippleColor` API:

```objc
MDCTabBar *tabBar = [[MDCTabBar alloc] init];
tabBar.enableRippleBehavior = YES;
tabBar.rippleColor = UIColor.blueColor;
```

MDCBanner supports different layout styles using the `MDCBannerViewLayoutStyle` enum:

```objc
MDCBannerView *bannerView = [[MDCBannerView alloc] init];
bannerView.bannerViewLayoutStyle = MDCBannerViewLayoutStyleSingleRow;
```

MDCBanner now allows you to show/hide a divider:

```objc
MDCBannerView *bannerView = [[MDCBannerView alloc] init];
bannerView.showsDivider = YES;
```

## API changes

### ActionSheet

#### MDCActionSheetController

*new* property: `rippleColor` in `MDCActionSheetController`

*new* property: `enableRippleBehavior` in `MDCActionSheetController`

#### MDCActionSheetController(ToBeDeprecated)

*new* category: `MDCActionSheetController(ToBeDeprecated)`

*modified* property: `inkColor` in `MDCActionSheetController(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCActionSheetController` |
| To: | `c:objc(cy)MDCActionSheetController@ToBeDeprecated` |

### Banner

#### MDCBannerViewLayoutStyle

*new* enum value: `MDCBannerViewLayoutStyleAutomatic` in `MDCBannerViewLayoutStyle`

*new* enum value: `MDCBannerViewLayoutStyleMultiRowAlignedButton` in `MDCBannerViewLayoutStyle`

*new* enum value: `MDCBannerViewLayoutStyleMultiRowStackedButton` in `MDCBannerViewLayoutStyle`

*new* enum value: `MDCBannerViewLayoutStyleSingleRow` in `MDCBannerViewLayoutStyle`

*new* enum: `MDCBannerViewLayoutStyle`

*new* typedef: `MDCBannerViewLayoutStyle`

#### MDCBannerView

*new* property: `bannerViewLayoutStyle` in `MDCBannerView`

*new* property: `showsDivider` in `MDCBannerView`

*new* property: `dividerColor` in `MDCBannerView`

### BottomNavigation

#### MDCBottomNavigationBar(ToBeDeprecated)

*new* category: `MDCBottomNavigationBar(ToBeDeprecated)`

*modified* property: `sizeThatFitsIncludesSafeArea` in `MDCBottomNavigationBar(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCBottomNavigationBar` |
| To: | `c:objc(cy)MDCBottomNavigationBar@ToBeDeprecated` |

#### MDCBottomNavigationBar

*new* property: `enableRippleBehavior` in `MDCBottomNavigationBar`

### ButtonBar

#### MDCButtonBar

*new* property: `enableRippleBehavior` in `MDCButtonBar`

*new* property: `rippleColor` in `MDCButtonBar`

#### MDCButtonBar(ToBeDeprecated)

*new* category: `MDCButtonBar(ToBeDeprecated)`

*modified* property: `inkColor` in `MDCButtonBar(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCButtonBar` |
| To: | `c:objc(cy)MDCButtonBar@ToBeDeprecated` |

### Dialogs

#### MDCAlertControllerView

*new* property: `enableRippleBehavior` in `MDCAlertControllerView`

#### MDCAlertController

*new* property: `enableRippleBehavior` in `MDCAlertController`

### List

#### MDCBaseCell

*new* property: `rippleColor` in `MDCBaseCell`

*new* property: `enableRippleBehavior` in `MDCBaseCell`

#### MDCBaseCell(ToBeDeprecated)

*new* category: `MDCBaseCell(ToBeDeprecated)`

*modified* property: `inkColor` in `MDCBaseCell(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCBaseCell` |
| To: | `c:objc(cy)MDCBaseCell@ToBeDeprecated` |

### NavigationBar

#### MDCNavigationBar

*new* property: `enableRippleBehavior` in `MDCNavigationBar`

*new* property: `rippleColor` in `MDCNavigationBar`

#### MDCNavigationBar(ToBeDeprecated)

*new* category: `MDCNavigationBar(ToBeDeprecated)`

*modified* property: `inkColor` in `MDCNavigationBar(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCNavigationBar` |
| To: | `c:objc(cy)MDCNavigationBar@ToBeDeprecated` |

### Slider

#### MDCSlider(ToBeDeprecated)

*new* category: `MDCSlider(ToBeDeprecated)`

*modified* property: `inkColor` in `MDCSlider(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSlider` |
| To: | `c:objc(cy)MDCSlider@ToBeDeprecated` |

#### MDCSlider

*new* property: `enableRippleBehavior` in `MDCSlider`

*new* property: `rippleColor` in `MDCSlider`

### Snackbar

#### MDCSnackbarMessage

*new* property: `enableRippleBehavior` in `MDCSnackbarMessage`

### Tabs

#### MDCTabBar

*new* property: `enableRippleBehavior` in `MDCTabBar`

*new* property: `rippleColor` in `MDCTabBar`

#### MDCTabBar(ToBeDeprecated)

*new* category: `MDCTabBar(ToBeDeprecated)`

*modified* property: `inkColor` in `MDCTabBar(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTabBar` |
| To: | `c:objc(cy)MDCTabBar@ToBeDeprecated` |

## Component changes

## Changes

### ActionSheet

* [Adds the Ripple behavior to ActionSheet. (#7594)](https://github.com/material-components/material-components-ios/commit/c64b90d844113d2f0000a4cac9066a04a485ffd7) (Yarden Eitan)
* [Fixes incorrect layout margins in MDCActionSheetController's table view pre iOS 12. (#7607)](https://github.com/material-components/material-components-ios/commit/67a48ac4933f19cb54389b374abffcbb3775f8eb) (Cody Weaver)
* [Simplify BottomSheet import. (#7552)](https://github.com/material-components/material-components-ios/commit/0e702ccf3279edeaffb785a14f6cd1c5dfd9e547) (Robert Moore)

### AppBar

* [Update example to have accessibility elements (#7574)](https://github.com/material-components/material-components-ios/commit/c8d9ab92ab37f243198a581e2845b4122fa6cc16) (Cody Weaver)

### Banner

* [Add support for divider in MDCBannerView. (#7567)](https://github.com/material-components/material-components-ios/commit/2c47d9514ee52af89f2d09d3ae5cd5e9aff0f817) (Wenyu Zhang)
* [Drop iOS 9 annotation from MDCBannerView. (#7568)](https://github.com/material-components/material-components-ios/commit/91722b9f521d1f93b458157c7fc94b66f9546eb6) (Wenyu Zhang)
* [Expose LayoutMode and add an automatic layout mode. (#7572)](https://github.com/material-components/material-components-ios/commit/9aa61a98a60f29d745d4016f60b5275051220a1a) (Wenyu Zhang)
* [Rename layoutMode to layoutStyle. (#7605)](https://github.com/material-components/material-components-ios/commit/23497ebc8071752880039b16a548b112214c6738) (Wenyu Zhang)
* [set trailingButton default to hidden under SingleRow layout (#7604)](https://github.com/material-components/material-components-ios/commit/f717bd3b3790e4985cad6a3d4e84db4875af96a6) (Wenyu Zhang)
* [standardize dividerColor API. (#7575)](https://github.com/material-components/material-components-ios/commit/293510a32b6ebbf5f27feeaa880116046d26a7c2) (Wenyu Zhang)

### BottomNavigation

* [Adds the Ripple behavior to BottomNavigation.  (#7589)](https://github.com/material-components/material-components-ios/commit/9246b77e5eff09c88904def40bfffc57f68fa79f) (Yarden Eitan)
* [Default `sizeThatFitsIncludesSafeArea` to `NO`. (#7554)](https://github.com/material-components/material-components-ios/commit/3d6549c941311e138f8d3168cd367f0ad43f3815) (Robert Moore)
* [Remove old and unused methods. (#7606)](https://github.com/material-components/material-components-ios/commit/37c6a92641022a05f78825869018cfa79b257fcf) (Yarden Eitan)

### BottomSheet

* [Add respondsToSelector check in BottomSheet accessibility escape (#7570)](https://github.com/material-components/material-components-ios/commit/395290fed4484364bf4bd073cc6e85798e96be9a) (Andrew Overton)

### ButtonBar

* [Adds the Ripple behavior to ButtonBar. (#7593)](https://github.com/material-components/material-components-ios/commit/19ef3dd2c2fad74395b2e58b707ad3232365115b) (Yarden Eitan)

### Dialogs

* [Adds the Ripple behavior to Dialogs. (#7595)](https://github.com/material-components/material-components-ios/commit/90938fe59f6290a4ab400fa7d83d42b7cbed0978) (Yarden Eitan)
* [Update DialogWithInputFieldExample storyboard to reference correct class (#7524)](https://github.com/material-components/material-components-ios/commit/0ca3a4fe64a5a9dc63c88a773faa561d497ef6d4) (Bryan Oltman)

### List

* [Adds the Ripple behavior to List. (#7591)](https://github.com/material-components/material-components-ios/commit/b9ad888e6d1ef3bbcabe46c7880cfe1cec44489c) (Yarden Eitan)

### NavigationBar

* [Adds the Ripple behavior to NavigationBar. (#7602)](https://github.com/material-components/material-components-ios/commit/3b4bc76524f7908d7474e3d2eed81a604ca3d68d) (Yarden Eitan)

### Slider

* [Adds the Ripple behavior to Slider. (#7600)](https://github.com/material-components/material-components-ios/commit/e9ac3ee70d21b85c9b4a9a3fa0c92ad5ebdc9fd8) (Yarden Eitan)

### Snackbar

* [Adds the Ripple behavior to Snackbar. (#7596)](https://github.com/material-components/material-components-ios/commit/3f0c25789c63c4161630b69d881753d940d50ee6) (Yarden Eitan)
* [Remove dead code from Ink (#7599)](https://github.com/material-components/material-components-ios/commit/0f1fed0207aa3f57a0fa16d78be35347eef4861f) (Yarden Eitan)

### Tabs

* [Adds the Ripple behavior to Tabs. (#7583)](https://github.com/material-components/material-components-ios/commit/e78713078a38a3a1ee683194d17e1900459e543a) (Yarden Eitan)
* [Make `-itemAtIndexPath:` safe (#7555)](https://github.com/material-components/material-components-ios/commit/cb9ec4f16056979d75ef014a9c0fc272ea3ac3f3) (Andrew Overton)
* [Revert revert of #7518 (#7566)](https://github.com/material-components/material-components-ios/commit/2607ee1aaa90127235056185a99757c1e21daf7f) (Andrew Overton)

### TextFields

* [Remove extra semicolon. (#7573)](https://github.com/material-components/material-components-ios/commit/58940425c3e16d5e806a1f899c80d32bc5c4c319) (Cody Weaver)

### private/ThumbTrack

* [Adds the Ripple behavior to Thumbtrack. (#7590)](https://github.com/material-components/material-components-ios/commit/4a498855074d738bd57756f2e6e04acec45ab294) (Yarden Eitan)

---

# 84.6.0

In this minor release we added new features to ActionSheet and NavigationDrawer, as well as additional tests and bug fixes.

## New features

ActionSheet now allows clients to align all titles regardless of if an image is present or not.

```swift
let actionSheet = MDCActionSheetController()
let actionOne = MDCActionSheetAction(title: "Email",
                                     image: nil) { (_) in
                                       print("Email action") }
let actionTwo = MDCActionSheetAction(title: "Cancel",
                                     image: UIImage(named: "CancelImage")) { (_) in
                                       print("Cancel action") }
actionSheet.addAction(actionOne)
actionSheet.addAction(actionTwo)
actionSheet.alwaysAlignTitleLeadingEdges = true
```

NavigationDrawer now allows clients to automatically include the `safeAreaInsets` in the content height calculation.
By enabling this flag the `MDCBottomDrawerViewController` will add the `safeAreaInsets.bottom` to the `preferredContentSize.height`
of the `contentViewController`.

```swift
let navigationDrawer = MDCBottomDrawerViewController()
navigationDrawer.shouldIncludeSafeAreaInContentHeight = true
```

## API changes

### ActionSheet

*new* property: `alwaysAlignTitleLeadingEdges` in `MDCActionSheetController`

### NavigationDrawer

*new* property: `shouldIncludeSafeAreaInContentHeight` in `MDCBottomDrawerViewController`
*new* property: `shouldIncludeSafeAreaInContentHeight` in `MDCBottomDrawerPresentationController`

## Component changes

## Changes

### ActionSheet

* [Add snapshot test for when only some actions have images. (#7547)](https://github.com/material-components/material-components-ios/commit/fd142cc6c6ae524867884973eec63a063bc4c44d) (Cody Weaver)
* [Allow clients to align titles if only some actions have images. (#7548)](https://github.com/material-components/material-components-ios/commit/b8ea0ba6dcb8a265edd18eb74d7076b8cbbe28d1) (Cody Weaver)

### Buttons

* [Add support for `inkMaxRippleRadius` when `enableRippleBehavior` is set to YES (#7539)](https://github.com/material-components/material-components-ios/commit/0563c907494ecae8d0e2948c95390369fffaa19b) (Cody Weaver)

### List

* [Fix self sizing layout in iOS 13 (#7536)](https://github.com/material-components/material-components-ios/commit/5836cd41caf9d423614f2a5b313523f7e667330b) (Andrew Overton)

### MaskedTransition

* [Fix infinite loops in masked transition example (#7519)](https://github.com/material-components/material-components-ios/commit/beead1eafd0bb932d7bbf1eaa82630adad64082b) (Andrew Overton)

### NavigationDrawer

* [Include safe area insets in content height (#7545)](https://github.com/material-components/material-components-ios/commit/37fbe0ba48f7df106ab50f1167a34feba3fd9b60) (Yarden Eitan)
* [update (#7544)](https://github.com/material-components/material-components-ios/commit/bff29146de0278f19db9d6ffe77f20d5d33f188c) (Yarden Eitan)

### Ripple

* [Add snapshot test for `maximumRadius` API. #7538](https://github.com/material-components/material-components-ios/commit/6deed96003240e9b7ad861e1174e122a6bfd679c) (Cody Weaver)

### Tabs

* [Give MDCTabBarDelegate pass through methods for "willDisplayCell"/"didEndDisplayingCell" (#7518)](https://github.com/material-components/material-components-ios/commit/08100bd8e16678eb271011a5a0bbf9e1e3e280c2) (Andrew Overton)
* [Revert "[Tabs] Give MDCTabBarDelegate pass through methods for "willDisplayCell"/"didEndDisplayingCell" (#7518)"](https://github.com/material-components/material-components-ios/commit/1a716e77b24ad22a90b02b0d3a30868e95314898) (Cody Weaver)

### schemes/Typography

* [Fix issue within the docs (#7543)](https://github.com/material-components/material-components-ios/commit/e2ffbbf07573634bd23192a4ad1dbeb1f85d4057) (Cody Weaver)

## Multi-component changes

* [Fix typo (#7541)](https://github.com/material-components/material-components-ios/commit/01c00a86c0196a44d908389a7d188ebc65946f46) (Andrew Overton)

---

# 84.5.0

In this minor release we have expanded our support for NavigationBar as well as additional tests and bug fixes.

## New features

NavigationBar now allows clients to present overlay views that point to views in an MDCNavigationBar:

```swift
let leadingRect = navigationBar.rect(forLeading: leadingItem, in: view)
let trailingRect = navigationBar.rect(forTrailing: trailingItem, in: view)
// Present an overlay pointing at `leadingRect` or `trailingRect`
```

## API changes

### NavigationBar

#### MDCNavigationBar

*new* method: `-rectForLeadingBarButtonItem:inCoordinateSpace` in `MDCNavigationBar`
*new* method: `-rectForTrailingBarButtonItem:inCoordinateSpace` in `MDCNavigationBar`

## Component changes

## Changes

### AppBar

* [Update swift examples to use theming extension (#7511)](https://github.com/material-components/material-components-ios/commit/1df302cd48b4384cbb27718070f6a84799cb24bd) (Cody Weaver)

### Buttons

* [Add snapshot tests for floating button theming. (#7506)](https://github.com/material-components/material-components-ios/commit/431988ba84df4d756222ac000523d338db58532b) (featherless)

### Dialogs

* [Add snapshot test for dynamic type (#7447)](https://github.com/material-components/material-components-ios/commit/3e46e5f7cd33105ef95e8334c1dc47cef0f162af) (Cody Weaver)
* [Add test for legacy dynamic type behavior around `buttonFont` (#7509)](https://github.com/material-components/material-components-ios/commit/8eff3fd1b5223dfefca6734d54554a7f92c58b7b) (Cody Weaver)
* [Add test for legacy dynamic type with the messageFont property (#7498)](https://github.com/material-components/material-components-ios/commit/2cae47ac2297de631600842e65b8ba71d87dfbfc) (Cody Weaver)
* [Test title font legacy behavior when dynamic type is enabled. (#7468)](https://github.com/material-components/material-components-ios/commit/03e37c2f7a41e18f17a4b734a64b06ae48c91690) (Cody Weaver)

### List

* [Refactor dynamic type support to use mdc_scaledFontForTraitEnvironment. (#7495)](https://github.com/material-components/material-components-ios/commit/1edfca18d5ce2722fd256167347ffbb74bd09351) (featherless)
* [Use UICollectionView as environment in List snapshot test. (#7508)](https://github.com/material-components/material-components-ios/commit/461d475a3d83c6c3e9522f9d06862ad2a78d3d37) (Wenyu Zhang)

### NavigationBar

* [Add rectFor*Item APIs. (#7504)](https://github.com/material-components/material-components-ios/commit/f60a0b6a5929e67b1d4d41fb9240659c0f22a499) (featherless)

### Tabs

* [Allow overriding internal size class. (#7517)](https://github.com/material-components/material-components-ios/commit/22699ace0add8f1921ddb6e9cb6e2d911d4c6c90) (Robert Moore)

### TextFields

* [Resolve some swift warnings. (#7529)](https://github.com/material-components/material-components-ios/commit/19a35ce6eeb18ee1cdf6148b6b26c746f03e40d7) (featherless)

### Typography

* [Add doc to explain fallback behavior. (#7493)](https://github.com/material-components/material-components-ios/commit/8735ebb8e8c57521a7b26b9bcfb7f370b6421a9d) (Wenyu Zhang)

## Multi-component changes

* [Fix fallback behavior for Dynamic Type. (#7514)](https://github.com/material-components/material-components-ios/commit/225decbfb07596f193e0e567c2b71dae852cfde9) (Robert Moore)

---

# 84.4.0

In this minor release we have expanded our support for custom Dynamic Type scaling curves in Buttons, Chips, and List, as well as additional tests and bug fixes.

## New deprecations

`mdc_legacyFontScaling` in `MDCButton` and `MDCChipView` has been deprecated.
Please use `adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable` instead.

## New features

Buttons, Chips, and List, have expanded their support for Dynamic Type to allow custom scaling curves to be associated with fonts:

```objc
MDCButton *button = [[MDCButton alloc] init];
UIFont *customFont = [UIFont fontWithName:@"CustomFontName" size:18.0];
MDCFontScaler *fontScaler = [MDCFontScaler scalerForMaterialTextStyle:MDCTextStyleBody1];
UIFont *customScalableFont = [fontScaler scaledFontWithFont:customFont];
[button setTitleFont:customScalingFont forState:UIControlStateNormal];
```

Buttons, Chips, Dialogs, and List, now have a new property
`adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable` that affects the fallback behavior for when a scaled font is not provided.
If set to YES the font size will adjust even if a scaled font has not been provided for a given UIFont property on this component. If set to NO, the font size will only be adjusted if a scaled font has been provided.

ButtonBar now allows clients to present overlay views that point to views in an MDCButtonBar:

```swift
let rect = buttonBar.rect(for: item, in: view)
// Present an overlay pointing at `rect`
```

As part of the typography component, we added a new method to UIFont `mdc_scaledFontForTraitEnvironment:` that returns a font with the same family, weight and traits, but whose point size is based on the given trait environment's preferred content size category.

## API changes

### ButtonBar

#### MDCButtonBar

*new* method: `-rectForItem:item:inCoordinateSpace` in `MDCButtonBar`

### Buttons

#### MDCButton

*new* property: `adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable` in `MDCButton`

*deprecated* property: `mdc_legacyFontScaling` in `MDCButton`

### Chips

#### MDCChipView

*new* property: `adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable` in `MDCChipView`

*deprecated* property: `mdc_legacyFontScaling` in `MDCChipView`

### Dialogs

#### MDCAlertController

*new* property: `adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable` in `MDCAlertController`

### List

#### MDCSelfSizingStereoCell

*new* property: `adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable` in `MDCSelfSizingStereoCell`

### Typography

#### UIFont+MaterialScalable

*new* method: `mdc_scaledFontForTraitEnvironment:traitEnvironment` in `UIFont+MaterialScalable`

### schemes/Typography

#### MDCTypographyScheme

*new* property: `useCurrentContentSizeCategoryWhenApplied` in `MDCTypographyScheming`

*new* property: `useCurrentContentSizeCategoryWhenApplied` in `MDCTypographyScheme`

## Component changes

## Changes

### ButtonBar

* [Expose a rectForItem:inCoordinateSpace: API. (#7438)](https://github.com/material-components/material-components-ios/commit/631779545e6411a14435824d1f2a5407734cba2b) (featherless)
* [Fix a typo in the docs for rectForItem:inCoordinateSpace:. (#7496)](https://github.com/material-components/material-components-ios/commit/0d8d010ed156a2f00fece577d5c9befb67150b8a) (featherless)

### Buttons

* [Add snapshot test for dynamic type (#7429)](https://github.com/material-components/material-components-ios/commit/03d1cbc9d582d1d490124fb8b65f560e9665d5ee) (Cody Weaver)
* [Fix issue with legacy dynamic type (#7466)](https://github.com/material-components/material-components-ios/commit/6b5cf3f153131e161dc95c2a4ac1062f1849fa53) (Cody Weaver)
* [Fix up test (#7461)](https://github.com/material-components/material-components-ios/commit/face6eac24ce2e21642e21a30cd52db755a1ebdd) (Cody Weaver)
* [Refactor dynamic type support to use mdc_scaledFontForTraitEnvironment. (#7489)](https://github.com/material-components/material-components-ios/commit/b61bdde17cc66d03f87e3f3e1f5968ee717775f4) (featherless)
* [Revert updating fonts after adjustsFontForContentSizeCategoryWhenScaledFontIsUnavailable has been updated  (#7480)](https://github.com/material-components/material-components-ios/commit/73adc97de9bcd63e52e9e227ef65f1ab032fddd8) (Cody Weaver)
* [Update dynamic type to match other components (#7425)](https://github.com/material-components/material-components-ios/commit/f26673676d21ea5386bc762796996efac0d826ef) (Cody Weaver)
* [Update name for fallback behavior. (#7452)](https://github.com/material-components/material-components-ios/commit/a085565d50fd855f0e0edd757a5c38e43cb239c6) (Cody Weaver)

### Chips

* [Add fallback behavior for M2 Dynamic Type. (#7432)](https://github.com/material-components/material-components-ios/commit/864621ca13f8d4641ab209268c47df4b8a61828c) (Wenyu Zhang)
* [Apply Dynamic Type flag to typography themer. (#7414)](https://github.com/material-components/material-components-ios/commit/440a093a581842df2276d2f107bed6e64c75f5d7) (Wenyu Zhang)
* [Fix a flag naming in Chip theming extension and added a missing test for this flag. (#7482)](https://github.com/material-components/material-components-ios/commit/cf27ec7c87efd5c112adeb4411e9aa065e080947) (Wenyu Zhang)
* [Refactor dynamic type behavior by using a convenience method. (#7494)](https://github.com/material-components/material-components-ios/commit/49c7a73014145cc9e83a547da7244aaa9757d98b) (Wenyu Zhang)
* [Use umbrella header (#7423)](https://github.com/material-components/material-components-ios/commit/f9a191abbcfe64a1bb3a370644ce3cd4756ac600) (Cody Weaver)

### Dialogs

* [Add flag for legacy behavior for dynamic type (#7446)](https://github.com/material-components/material-components-ios/commit/a1b7788a86563bbe9d2e3766e9d09136fea0e567) (Cody Weaver)
* [Flash scroll indicators if content is larger than the scroll view. (#7434)](https://github.com/material-components/material-components-ios/commit/d71f9c50e5bc209505acd20ccc4abca504b11937) (Cody Weaver)
* [Move the private property declaration to the header (#7433)](https://github.com/material-components/material-components-ios/commit/77d1e2e8e7d2e13ca7e83760a4ad998eebf27b55) (Cody Weaver)

### List

* [Add M2 Dynamic Type support for MDCSelfSizingStereoCell (#7440)](https://github.com/material-components/material-components-ios/commit/2f630d275a9acab1d1adb5da698066a5f31d8134) (Wenyu Zhang)
* [Add basic snapshot tests for MDCSelfSizingStereoCell. (#7439)](https://github.com/material-components/material-components-ios/commit/32d8d4d789f86dcac9d251281f3a3a6b4180b9d7) (Wenyu Zhang)
* [Fix copyright dates for Theming files. (#7430)](https://github.com/material-components/material-components-ios/commit/4b62dfbdde7fde8288db66d8ca8115f863f6799a) (Robert Moore)
* [Snapshot tests for upcoming Scalable Font behavior. (#7458)](https://github.com/material-components/material-components-ios/commit/a21108979e53405ce1907f379aed17872869961d) (Wenyu Zhang)
* [Update snapshot golden images for dynamic type change. (#7486)](https://github.com/material-components/material-components-ios/commit/13033cd0c74251f3aaf253be8da8a992953e93b6) (Wenyu Zhang)
* [add Dynamic Type support on List Typography Themer. (#7491)](https://github.com/material-components/material-components-ios/commit/0db87df9cf53b039bc9be474af980860c16fbbfa) (Wenyu Zhang)

### NavigationDrawer

* [Prevent crash when passing nil completion block for a nullable method parameter. (#7450)](https://github.com/material-components/material-components-ios/commit/09b390f94a920f8281baa6f705e3b02eaacdc756) (Robbie Kirk)

### Tabs

* [Support a dynamic alignment for Justified and Leading (#7457)](https://github.com/material-components/material-components-ios/commit/27bc302c3ab894d65dd111aa49d437cd4295897c) (Robert Moore)

### Typography

* [Add mdc_scaledFontForTraitEnvironment. (#7471)](https://github.com/material-components/material-components-ios/commit/ec4b19d064aa6ffd40473adc37285e71646a7744) (featherless)
* [Copy-edit of UIFont+MaterialScalable.h (#7475)](https://github.com/material-components/material-components-ios/commit/ca11c9b07991b26f0ee6a8327cf92e8d88295a4d) (featherless)
* [Implement copy semantics on the UIFont's mdc_scalingCurve. (#7476)](https://github.com/material-components/material-components-ios/commit/50bd0a4dc54c6b85be09f49c8fa49d18cf0dccb3) (featherless)
* [Split Typography doc into separate md files. (#7435)](https://github.com/material-components/material-components-ios/commit/a74886b91b7b4ffaf9ccc2176249ad4384d54bed) (Wenyu Zhang)
* [Update Dynamic Type section in Typography doc. (#7469)](https://github.com/material-components/material-components-ios/commit/59b8de125441051b67c33dc136423ec96b999550) (Wenyu Zhang)
* [add a brief doc for Dynamic Type support. (#7431)](https://github.com/material-components/material-components-ios/commit/14484e4efedc7027c3eda58f6c69b860cfd733f3) (Wenyu Zhang)

### schemes/Typography

* [Add a brief dynamic type doc for Typography scheme. (#7473)](https://github.com/material-components/material-components-ios/commit/8a398c6f5e68f23c847752045c9742705beaa9f9) (Wenyu Zhang)
* [Add useCurrentContentSizeCategoryWhenApplied. (#7465)](https://github.com/material-components/material-components-ios/commit/27d855555402cff5ec867dbcce0449181100a8c1) (featherless)
* [Align useCurrentContentSizeCategoryWhenApplied with internal behavior. (#7479)](https://github.com/material-components/material-components-ios/commit/8a139a87327eb9f8561944f59b0ee25f0b8d11c7) (featherless)
* [make MDCTypographyScheme conform to NSObject. (#7485)](https://github.com/material-components/material-components-ios/commit/7af364f49bce9516e1bcbc71443ba2dec13452ce) (Wenyu Zhang)

---

# 84.3.0

This minor release adds new theming extensions for Lists and minor bug fixes and documentation updates to multiple components.

## New features

Theming extensions are now available for Lists:

```swift
let cell = MDCSelfSizingStereoCell()
let scheme = MDCContainerScheme()

cell.applyTheme(withScheme: scheme)
```

## API changes

### Chips

#### MDCChipView

*modified* class: `MDCChipView`

*new* property: `mdc_legacyFontScaling` in `MDCChipView`

### List+Theming

**New extension.**

## Changes

### Buttons

* [Add snapshot test for theming extensions (#7390)](https://github.com/material-components/material-components-ios/commit/62e747ea094681e779ca4b294c25637635a9101d) (Cody Weaver)
* [Remove dependency on TypographyThemer in theming extension.  (#7391)](https://github.com/material-components/material-components-ios/commit/daee4c058c2d52487689c56cf0822cbd5073a2d6) (Cody Weaver)
* [Update titleFont:forState: API (#7402)](https://github.com/material-components/material-components-ios/commit/80037e4684ee65c55a38fa34161ae7aaf9630ec3) (Cody Weaver)
* [[Ripple] fix button to update ripple states correctly (#7337)](https://github.com/material-components/material-components-ios/commit/7c481c023ef2fa01e8ab0824a58e3ae6bc648303) (Galia Kaufman)
* [Update outline theming extension (#7403)](https://github.com/material-components/material-components-ios/commit/936d04ab3589ff6747798df6607c3d8d288edec0) (Cody Weaver)

### Chips

* [Add M2 dynamic type support to Chips. (#7394)](https://github.com/material-components/material-components-ios/commit/2744b6c04817d2bb104d1d368bcc7fc92625d92e) (Wenyu Zhang)
* [refactor chip title font. (#7406)](https://github.com/material-components/material-components-ios/commit/de3c751ba8034fd22371661bab058ff2b90c7fac) (Wenyu Zhang)

### FlexibleHeader

* [Clarify the docs for preferredStatusBarStyle. (#7415)](https://github.com/material-components/material-components-ios/commit/4f7145da2bf8b9cb1f6d854f67bf055dce00d1ae) (featherless)

### List

* [Add List theming extension (#7397)](https://github.com/material-components/material-components-ios/commit/36018edb6101c912edb59ca27128ef2e31bb72f1) (Andrew Overton)

### NavigationDrawer

* [Explain use of AppBar elevation (#7399)](https://github.com/material-components/material-components-ios/commit/a197368ffd3c7f402ddd76784922193576a1f347) (Robert Moore)

### ProgressView

* [Add cornerRadius snapshot tests. (#7416)](https://github.com/material-components/material-components-ios/commit/9664fce4b3cd3bec07c50d8e7a7a7720ac003332) (featherless)

## Multi-component changes

* [Roll-forward a shadow elevation issue. (#7396)](https://github.com/material-components/material-components-ios/commit/ab5e6f69c91ebb9d7cc0092d8641d585cfce1bee) (Yarden Eitan)

---

# 84.2.1

This patch release fixes a bug where dialogs were not indicating that their content was scrollable.

## Changes

### Dialogs

* [Flash scroll indicators if content is larger than the scroll view. (#7434)](https://github.com/material-components/material-components-ios/commit/b4b6f8f5474e8b2307e602db7d7dc893b5416cbe) (Cody Weaver)
* [Move the private property declaration to the header (#7433)](https://github.com/material-components/material-components-ios/commit/ca75f1dfe6b728896fe8768b17e8cd5f1805d0dd) (Cody Weaver)

# 84.2.0

This minor release adds support for a custom unbounded Ripple radius value. It also includes several
bug fixes and documentation updates to multiple components.

## New features

`MDCRippleView` now supports a custom ripple radius for the `.unbounded` ripple style. This allows
clients to customize how far outside (or within) a view the ripple effect will extend.

```objc
MDCRippleView *rippleView = [[MDCRippleView alloc] init];
rippleView.rippleStyle = MDCRippleStyleUnbounded;
rippleView.maximumRadius = 10;
```

## API changes

### Ripple

#### MDCRippleView

*new* property: `maximumRadius` in `MDCRippleView`

### ShadowElevations

#### MDCShadowElevationNavDrawer

*modified* constant: `MDCShadowElevationNavDrawer`

| Type of change: | Declaration |
|---|---|
| From: | `static const MDCShadowElevation MDCShadowElevationNavDrawer = (CGFloat)16.` |
| To: | `static const MDCShadowElevation MDCShadowElevationNavDrawer = (CGFloat)4.` |

## Component changes

## Changes

### ActionSheet

* [Fixing handler error and adding missing parenthesis (#7360)](https://github.com/material-components/material-components-ios/commit/f8bfd0051adf90a4fac0e9b4b9a613e4a0a073e5) (Justin Pritchard)
* [Have content positioned based on the layout margins of the container. (#7331)](https://github.com/material-components/material-components-ios/commit/7b129e1b3b4014a36f4252b1dc63368cc6353618) (Yarden Eitan)

### BottomNavigation

* [Log accessibility string failure values in tests. (#7326)](https://github.com/material-components/material-components-ios/commit/c360a7db777f87062a1cc2a97c2ab8801ee6f6fe) (Robert Moore)

### Ink

* [Add animation delegate callbacks for MDCLegacyInkLayer (#7339)](https://github.com/material-components/material-components-ios/commit/c00921720b35d8faea6c2372377aaeb2a1a47b0a) (Michael Schneider)

### NavigationDrawer

* [update (#7345)](https://github.com/material-components/material-components-ios/commit/4badd38cf5eb65fc9d7d88d6db252dd73dca354f) (Yarden Eitan)

### Ripple

* [Add a migration guide for components (#7367)](https://github.com/material-components/material-components-ios/commit/3c46c3e2677e6a9fe2e749b87fca11dc736bdec8) (Yarden Eitan)
* [Add max ripple radius property (#7357)](https://github.com/material-components/material-components-ios/commit/22a4f2b72f2e816e3b643259115f302bde371dfd) (Cody Weaver)
* [Make rippleRadius a property (#7350)](https://github.com/material-components/material-components-ios/commit/d42a3819c4ec9b0a4509c6a380dcb102178b7303) (Cody Weaver)

### TextFields

* [Quash -Wsign-compare triggers (#7358)](https://github.com/material-components/material-components-ios/commit/f4003b5982269b08643a9ad7b65ce69303f220fa) (featherless)

### Snapshot (private)

* [Split implementation and supplemental. (#7356)](https://github.com/material-components/material-components-ios/commit/c9ad1c1cdc11a14fca8f7baf1f1a1954aad6c854) (Robert Moore)

## Multi-component changes

* [Roll-forward a shadow elevation issue. (#7396)](https://github.com/material-components/material-components-ios/commit/9a6c30405ba350f2aa16eb3d25c47d7fdbb8a8c6) (Yarden Eitan)
* [Update Readme to use the script generator and move migration guide. (#7370)](https://github.com/material-components/material-components-ios/commit/89cd08dc8831eb06b70991f05fbb6b8c33081e58) (Yarden Eitan)

---

# 84.1.1

This patch release fixes ActionSheet to lay out its content correctly when there is a safe area present, for iOS 11 and newer.

## Changes

### ActionSheet

* [Have content positioned based on the layout margins of the container. (#7331)](https://github.com/material-components/material-components-ios/commit/87366d1f7b558d9547d1afceb8253b4386ce5f0e) (Yarden Eitan)

---

# 84.1.0

This minor release adds enhancements to PageControl and Ink, bug fixes for FlexibleHeader, Ink, NavigationBar, and Ripple, and additional test coverage for ActionSheet and NavigationBar.

## New features

### Ink

`MDCInkTouchController` now gives users the ability to require that UIScrollView gesture recognizers fail before the ink animation is triggered. [(#7315)](https://github.com/material-components/material-components-ios/commit/780b9167485215bd60421af50999bf061ea18fad)

```objc
inkTouchController.requiresFailureOfScrollViewGestures = YES;
```

## API changes

### Ink

*new* property: `requiresFailureOfScrollViewGestures` in `MDCInkTouchController`

## Changes

### ActionSheet

* [Add Snapshot test for safe area. (#7334)](https://github.com/material-components/material-components-ios/commit/5be6551beb44e707afc3f6818afdc15fd9b6f72b) (Robert Moore)

### BottomNavigation

* [Adds .largeContentSizeImage support (#7249)](https://github.com/material-components/material-components-ios/commit/8d89c7d5c956ec23ca96db0128902ba221c18408) (Eric Lee)
* [Removes code handling pre-iOS 9 constraints from the controller. (#7340)](https://github.com/material-components/material-components-ios/commit/53fe8f56e36f960fd217841a5c57684538bfa19a) (Eric Lee)

### FlexibleHeader

* [Fix voice over layout bug. (#7319)](https://github.com/material-components/material-components-ios/commit/fc09242db8ff20c014d8a516883fa313ff5a5474) (featherless)

### Ink

* [Add fail the ripple gesture when other scroll view gestures are competing unless they are tap or long press gestures to MDCInkTouchController (#7315)](https://github.com/material-components/material-components-ios/commit/780b9167485215bd60421af50999bf061ea18fad) (Michael Schneider)
* [Combine initialization method for MDCLegacyInkLayer (#7316)](https://github.com/material-components/material-components-ios/commit/932c32f7c58b1837654ad7c1c160e91ccbe81f95) (Michael Schneider)

### NavigationBar

* [Add titleView tests. (#7309)](https://github.com/material-components/material-components-ios/commit/a71a338460a1fe6b2fd12d2eb9b35700833d5e0f) (featherless)
* [Fix bug where titleView would disappear. (#7310)](https://github.com/material-components/material-components-ios/commit/aa62eeb107a7fe1a159d3ba11725bdf87ef65976) (featherless)

### PageControl

* [Adds intrinsic content size to MDCPageControl (#7307)](https://github.com/material-components/material-components-ios/commit/7d1a1b52cf5479dbd4acd338f8c1bd2ff0e750ce) (Josh Converse)

### Ripple

* [Remove setting frame based on superview (#7333)](https://github.com/material-components/material-components-ios/commit/8dc59e15a1b606db05fcf2cd6fc3c37db6220d58) (Cody Weaver)

---

# 84.0.0

This release corrected a TextFields accessibility behavior, added Ripple to Chips, and added
additional delegate calls to BottomSheet.

Theming docs for multiple components were added, including Chips, Dialogs, and Cards.

## Breaking changes

### TextField

The VoiceOver behavior of MDCTextField was modified. Much of the information previously returned by
`-accessibilityValue` is now being returned by `-accessibilityLabel`. There is now a `,` that
results in a pause between the label and the helper text.

Searches for MDCTextFields in your view hiearchy with accessiblity value must be changed to searches
for the MDCTextField's accessibility label. The label now also has a inserted `,` too.

For example an EarlGrey matcher needs to be adjusted from
```swift
EarlGrey
      .selectElement(with: grey_accessibilityValue("Phone Number XXX-XXXX")
```

To:
```swift
EarlGrey
      .selectElement(with: grey_accessibilityLabel("Phone Number, XXX-XXXX")
```
More information can be found [in the PR](https://github.com/material-components/material-components-ios/pull/7256)

## New features

### Dialog theming

Moved from beta to ready

### Bottom Sheet

All methods in the MDCBottomSheetControllerDelegate protocol were marked optional.

Two new methods were added to convey state changes and scroll events.

```objc
- (void)bottomSheetControllerDidChangeYOffset:(MDCBottomSheetController *)controller
                                      yOffset:(CGFloat)yOffset {
  NSLog(@"bottom sheet Y offset changed: %f", yOffset);
}
```

```objc
- (void)bottomSheetControllerStateChanged:(MDCBottomSheetController *)controller
                                    state:(MDCSheetState)state {
  NSLog(@"bottom sheet state changed to: %lu", (unsigned long)state);
}
```

### Chips

Ripple support was added.

```objc
  chipView.enableRippleBehavior = YES;
```

## API changes

### BottomSheet

#### MDCBottomSheetControllerDelegate

*new* method: `-bottomSheetControllerStateChanged:state:` in `MDCBottomSheetControllerDelegate`

*new* method: `-bottomSheetControllerDidChangeYOffset:yOffset:` in `MDCBottomSheetControllerDelegate`

*modified* method: `-bottomSheetControllerDidDismissBottomSheet:` in `MDCBottomSheetControllerDelegate`

| Type of change: | Swift declaration |
|---|---|
| From: | `func bottomSheetControllerDidDismissBottomSheet(_ controller: MDCBottomSheetController)` |
| To: | `optional func bottomSheetControllerDidDismissBottomSheet(_ controller: MDCBottomSheetController)` |

#### MDCBottomSheetPresentationControllerDelegate

*new* method: `-bottomSheetDidChangeYOffset:yOffset:` in `MDCBottomSheetPresentationControllerDelegate`

*modified* method: `-bottomSheetWillChangeState:sheetState:` in `MDCBottomSheetPresentationControllerDelegate`

| Type of change: | Declaration |
|---|---|
| From: | `- (void)bottomSheetWillChangeState:(nonnull MDCBottomSheetPresentationController *)bottomSheet                         sheetState:(MDCSheetState)sheetState;` |
| To: | `- (void)bottomSheetWillChangeState:             (nonnull MDCBottomSheetPresentationController *)bottomSheet                         sheetState:(MDCSheetState)sheetState;` |

### Chips

#### MDCChipView

*new* property: `enableRippleBehavior` in `MDCChipView`

*modified* class: `MDCChipView`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCChipView : UIControl  /*  A UIImageView that leads the title label.  */ @property(nonatomic, readonly, nonnull) IBInspectable UIImageView *imageView;  /*  A UIImageView that leads the title label. Appears in front of the imageView. Only visible when the  chip is selected.   This image view is typically used to show some icon that denotes the chip as selected, such as a  check mark. If imageView has no image then the chip will require resizing when selected or  deselected to account for the changing visibility of selectedImageView.  */ @property(nonatomic, readonly, nonnull) IBInspectable UIImageView *selectedImageView;  /*  A UIView that trails the title label.   It will be given a size based on the value returned from sizeThatFits:.  */ @property(nonatomic, strong, nullable) IBInspectable UIView *accessoryView;  /*  The title label.   @note The title color is controlled by setTitleColor:forState:.  @note The title font is controlled by setTitleFont.  */ @property(nonatomic, readonly, nonnull) IBInspectable UILabel *titleLabel;  /*  Padding around the chip content. Each subview can be further padded with their invidual padding  property.   The chip uses this property to determine intrinsicContentSize and sizeThatFits.   Defaults to (4, 4, 4, 4).  */ @property(nonatomic, assign) UIEdgeInsets contentPadding UI_APPEARANCE_SELECTOR;  /*  Padding around the image view. Only used if the image view has a non-nil image.   The chip uses this property to determine intrinsicContentSize and sizeThatFits.   Defaults to (0, 0, 0, 0).  */ @property(nonatomic, assign) UIEdgeInsets imagePadding UI_APPEARANCE_SELECTOR;  /*  Padding around the accessory view. Only used if the accessory view is non-nil.   The chip uses this property to determine intrinsicContentSize and sizeThatFits.   Defaults to (0, 0, 0, 0).  */ @property(nonatomic, assign) UIEdgeInsets accessoryPadding UI_APPEARANCE_SELECTOR;  /*  Padding around the title.   The chip uses this property to determine intrinsicContentSize and sizeThatFits.   Defaults to (3, 8, 4, 8). The top padding is shorter so the default height of a chip is 32 pts.  */ @property(nonatomic, assign) UIEdgeInsets titlePadding UI_APPEARANCE_SELECTOR;  /*  Font used to render the title.   If nil, the chip will use the system font.  */ @property(nonatomic, strong, nullable) UIFont *titleFont UI_APPEARANCE_SELECTOR;  /*  The color of the ink ripple.  */ @property(nonatomic, strong, null_resettable)     UIColor *inkColor UI_APPEARANCE_SELECTOR __deprecated_msg("Use setInkColor:forState:");  /*  The shape generator used to define the chip's shape.  */ @property(nullable, nonatomic, strong) id<MDCShapeGenerating> shapeGenerator UI_APPEARANCE_SELECTOR;  /*  Indicates whether the chip should automatically update its font when the device’s  UIContentSizeCategory is changed.   This property is modeled after the adjustsFontForContentSizeCategory property in the  UIContentSizeCategoryAdjusting protocol added by Apple in iOS 10.0.   If set to YES, this button will base its text font on MDCFontTextStyleButton.   Default value is NO.  */ @property(nonatomic, readwrite, setter=mdc_setAdjustsFontForContentSizeCategory:)     BOOL mdc_adjustsFontForContentSizeCategory UI_APPEARANCE_SELECTOR;  /**  The minimum dimensions of the Chip. A non-positive value for either height or width is equivalent  to no minimum for that dimension.   Defaults to a minimum height of 32 points, and no minimum width.  */ @property(nonatomic, assign) CGSize minimumSize UI_APPEARANCE_SELECTOR;  /**  Custom insets to use when computing touch targets. A positive inset value will shrink the hit  area for the Chip.  */ @property(nonatomic, assign) UIEdgeInsets hitAreaInsets;  /*  A color used as the chip's @c backgroundColor for @c state.   If no background color has been set for a given state, the returned value will fall back to the  value set for UIControlStateNormal.   @param state The control state.  @return The background color.  */ - (nullable UIColor *)backgroundColorForState:(UIControlState)state;  /*  A color used as the chip's @c backgroundColor.   Defaults to blue.   @param backgroundColor The background color.  @param state The control state.  */ - (void)setBackgroundColor:(nullable UIColor *)backgroundColor                   forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  Returns the border color for a particular control state.   If no border width has been set for a given state, the returned value will fall back to the value  set for UIControlStateNormal.   @param state The control state.  @return The border color for the requested state.  */ - (nullable UIColor *)borderColorForState:(UIControlState)state;  /*  Sets the border color for a particular control state.   @param borderColor The border color.  @param state The control state.  */ - (void)setBorderColor:(nullable UIColor *)borderColor               forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  Returns the border width for a particular control state.   If no border width has been set for a given state, the returned value will fall back to the value  set for UIControlStateNormal.   @param state The control state.  @return The border width for the requested state.  */ - (CGFloat)borderWidthForState:(UIControlState)state;  /*  Sets the border width for a particular control state.   @param borderWidth The border width.  @param state The control state.  */ - (void)setBorderWidth:(CGFloat)borderWidth forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  Returns the elevation for a particular control state.   If no elevation has been set for a given state, the returned value will fall back to the value set  for UIControlStateNormal.   @param state The control state.  @return The elevation for the requested state.  */ - (MDCShadowElevation)elevationForState:(UIControlState)state;  /*  Sets the elevation for a particular control state.   @param elevation The elevation.  @param state The control state.  */ - (void)setElevation:(MDCShadowElevation)elevation             forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  Returns the ink color for a particular control state.   If no ink color has been set for a given state, the returned value will fall back to the value  set for UIControlStateNormal. Defaults to nil. When nil MDCInkView.defaultInkColor is used.   @param state The control state.  @return The ink color for the requested state.  */ - (nullable UIColor *)inkColorForState:(UIControlState)state;  /*  Sets the ink color for a particular control state.   @param inkColor The ink color.  @param state The control state.  */ - (void)setInkColor:(nullable UIColor *)inkColor            forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  Returns the shadow color for a particular control state.   If no shadow color has been set for a given state, the returned value will fall back to the value  set for UIControlStateNormal.   @param state The control state.  @return The shadow color for the requested state.  */ - (nullable UIColor *)shadowColorForState:(UIControlState)state;  /*  Sets the shadow color for a particular control state.   @param elevation The shadow color.  @param state The control state.  */ - (void)setShadowColor:(nullable UIColor *)shadowColor               forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  Returns the title color for a particular control state.   If no title color has been set for a given state, the returned value will fall back to the value  set for UIControlStateNormal.   @param state The control state.  @return The title color for the requested state.  */ - (nullable UIColor *)titleColorForState:(UIControlState)state;  /*  Sets the title color for a particular control state.   @param titleColor The title color.  @param state The control state.  */ - (void)setTitleColor:(nullable UIColor *)titleColor              forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  @end` |
| To: | `@interface MDCChipView : UIControl  /*  A UIImageView that leads the title label.  */ @property(nonatomic, readonly, nonnull) IBInspectable UIImageView *imageView;  /*  A UIImageView that leads the title label. Appears in front of the imageView. Only visible when the  chip is selected.   This image view is typically used to show some icon that denotes the chip as selected, such as a  check mark. If imageView has no image then the chip will require resizing when selected or  deselected to account for the changing visibility of selectedImageView.  */ @property(nonatomic, readonly, nonnull) IBInspectable UIImageView *selectedImageView;  /*  A UIView that trails the title label.   It will be given a size based on the value returned from sizeThatFits:.  */ @property(nonatomic, strong, nullable) IBInspectable UIView *accessoryView;  /*  The title label.   @note The title color is controlled by setTitleColor:forState:.  @note The title font is controlled by setTitleFont.  */ @property(nonatomic, readonly, nonnull) IBInspectable UILabel *titleLabel;  /*  Padding around the chip content. Each subview can be further padded with their invidual padding  property.   The chip uses this property to determine intrinsicContentSize and sizeThatFits.   Defaults to (4, 4, 4, 4).  */ @property(nonatomic, assign) UIEdgeInsets contentPadding UI_APPEARANCE_SELECTOR;  /*  Padding around the image view. Only used if the image view has a non-nil image.   The chip uses this property to determine intrinsicContentSize and sizeThatFits.   Defaults to (0, 0, 0, 0).  */ @property(nonatomic, assign) UIEdgeInsets imagePadding UI_APPEARANCE_SELECTOR;  /*  Padding around the accessory view. Only used if the accessory view is non-nil.   The chip uses this property to determine intrinsicContentSize and sizeThatFits.   Defaults to (0, 0, 0, 0).  */ @property(nonatomic, assign) UIEdgeInsets accessoryPadding UI_APPEARANCE_SELECTOR;  /*  Padding around the title.   The chip uses this property to determine intrinsicContentSize and sizeThatFits.   Defaults to (3, 8, 4, 8). The top padding is shorter so the default height of a chip is 32 pts.  */ @property(nonatomic, assign) UIEdgeInsets titlePadding UI_APPEARANCE_SELECTOR;  /*  Font used to render the title.   If nil, the chip will use the system font.  */ @property(nonatomic, strong, nullable) UIFont *titleFont UI_APPEARANCE_SELECTOR;  /*  This property determines if an @c MDCChipView should use the @c MDCRippleView behavior or not.  By setting this property to @c YES, @c MDCStatefulRippleView is used to provide the user visual  touch feedback, instead of the legacy @c MDCInkView.  @note Defaults to @c NO.  */ @property(nonatomic, assign) BOOL enableRippleBehavior;  /*  The color of the ink ripple.  */ @property(nonatomic, strong, null_resettable)     UIColor *inkColor UI_APPEARANCE_SELECTOR __deprecated_msg("Use setInkColor:forState:");  /*  The shape generator used to define the chip's shape.  */ @property(nullable, nonatomic, strong) id<MDCShapeGenerating> shapeGenerator UI_APPEARANCE_SELECTOR;  /*  Indicates whether the chip should automatically update its font when the device’s  UIContentSizeCategory is changed.   This property is modeled after the adjustsFontForContentSizeCategory property in the  UIContentSizeCategoryAdjusting protocol added by Apple in iOS 10.0.   If set to YES, this button will base its text font on MDCFontTextStyleButton.   Default value is NO.  */ @property(nonatomic, readwrite, setter=mdc_setAdjustsFontForContentSizeCategory:)     BOOL mdc_adjustsFontForContentSizeCategory UI_APPEARANCE_SELECTOR;  /**  The minimum dimensions of the Chip. A non-positive value for either height or width is equivalent  to no minimum for that dimension.   Defaults to a minimum height of 32 points, and no minimum width.  */ @property(nonatomic, assign) CGSize minimumSize UI_APPEARANCE_SELECTOR;  /**  Custom insets to use when computing touch targets. A positive inset value will shrink the hit  area for the Chip.  */ @property(nonatomic, assign) UIEdgeInsets hitAreaInsets;  /*  A color used as the chip's @c backgroundColor for @c state.   If no background color has been set for a given state, the returned value will fall back to the  value set for UIControlStateNormal.   @param state The control state.  @return The background color.  */ - (nullable UIColor *)backgroundColorForState:(UIControlState)state;  /*  A color used as the chip's @c backgroundColor.   Defaults to blue.   @param backgroundColor The background color.  @param state The control state.  */ - (void)setBackgroundColor:(nullable UIColor *)backgroundColor                   forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  Returns the border color for a particular control state.   If no border width has been set for a given state, the returned value will fall back to the value  set for UIControlStateNormal.   @param state The control state.  @return The border color for the requested state.  */ - (nullable UIColor *)borderColorForState:(UIControlState)state;  /*  Sets the border color for a particular control state.   @param borderColor The border color.  @param state The control state.  */ - (void)setBorderColor:(nullable UIColor *)borderColor               forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  Returns the border width for a particular control state.   If no border width has been set for a given state, the returned value will fall back to the value  set for UIControlStateNormal.   @param state The control state.  @return The border width for the requested state.  */ - (CGFloat)borderWidthForState:(UIControlState)state;  /*  Sets the border width for a particular control state.   @param borderWidth The border width.  @param state The control state.  */ - (void)setBorderWidth:(CGFloat)borderWidth forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  Returns the elevation for a particular control state.   If no elevation has been set for a given state, the returned value will fall back to the value set  for UIControlStateNormal.   @param state The control state.  @return The elevation for the requested state.  */ - (MDCShadowElevation)elevationForState:(UIControlState)state;  /*  Sets the elevation for a particular control state.   @param elevation The elevation.  @param state The control state.  */ - (void)setElevation:(MDCShadowElevation)elevation             forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  Returns the ink color for a particular control state.   If no ink color has been set for a given state, the returned value will fall back to the value  set for UIControlStateNormal. Defaults to nil. When nil MDCInkView.defaultInkColor is used.   @param state The control state.  @return The ink color for the requested state.  */ - (nullable UIColor *)inkColorForState:(UIControlState)state;  /*  Sets the ink color for a particular control state.   @param inkColor The ink color.  @param state The control state.  */ - (void)setInkColor:(nullable UIColor *)inkColor            forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  Returns the shadow color for a particular control state.   If no shadow color has been set for a given state, the returned value will fall back to the value  set for UIControlStateNormal.   @param state The control state.  @return The shadow color for the requested state.  */ - (nullable UIColor *)shadowColorForState:(UIControlState)state;  /*  Sets the shadow color for a particular control state.   @param elevation The shadow color.  @param state The control state.  */ - (void)setShadowColor:(nullable UIColor *)shadowColor               forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  Returns the title color for a particular control state.   If no title color has been set for a given state, the returned value will fall back to the value  set for UIControlStateNormal.   @param state The control state.  @return The title color for the requested state.  */ - (nullable UIColor *)titleColorForState:(UIControlState)state;  /*  Sets the title color for a particular control state.   @param titleColor The title color.  @param state The control state.  */ - (void)setTitleColor:(nullable UIColor *)titleColor              forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  @end` |

## Component changes

## Changes

### ActionSheet

* [Fix issue where rotation caused bug (#7303)](https://github.com/material-components/material-components-ios/commit/4b7f1b121711b65a56f2715fe19ced6b2f18e9a5) (Cody Weaver)

### Banner

* [Add document for BannerView. (#7291)](https://github.com/material-components/material-components-ios/commit/fcdb179e0c5c626824fc726a1ca5a8971cb05143) (Wenyu Zhang)

### BottomSheet

* [Additional API providing callbacks for sheet offset and current state changes. (#7275)](https://github.com/material-components/material-components-ios/commit/405fcd3b3cf4e1e6f8b824689c239fc97dac7e0f) (Yarden Eitan)

### Cards

* [add missing theming extension doc. (#7193)](https://github.com/material-components/material-components-ios/commit/a6815d2218f4181d979e03aad48557ce5cf6069b) (Wenyu Zhang)

### Chips

* [Adding Ripple support for Chips (#7270)](https://github.com/material-components/material-components-ios/commit/119fcf9ffd4acdafb311784aad50df46e5bded4d) (Yarden Eitan)
* [Adding Snapshot tests for the various Chip States (#7269)](https://github.com/material-components/material-components-ios/commit/e5aa9c946509ab9b8cea20fcf306256ba6132f6c) (Yarden Eitan)
* [add missing theming extension documentation. (#7194)](https://github.com/material-components/material-components-ios/commit/47cef3068a0a8d7a9625584b170bd373d04b94dd) (Wenyu Zhang)

### Dialogs

* [Graduate Dialogs theming extensions to ready (#7190)](https://github.com/material-components/material-components-ios/commit/bf5d5e1c1df23cb73aea88f22e465480cf875f00) (Andrew Overton)

### Ripple

* [Add better resizing animation support (#7271)](https://github.com/material-components/material-components-ios/commit/fab77eef78a0ba6aefbdaff38aa66d3446e8ffc7) (Yarden Eitan)
* [Additional snapshot test for an edge case (#7279)](https://github.com/material-components/material-components-ios/commit/a8a9cfa534f0fbfb8051fc85046c40695138884d) (Yarden Eitan)
* [Don't dissolve the ripple if the highlighted state is still set to YES. (#7274)](https://github.com/material-components/material-components-ios/commit/d41b6530d60dad78a4d33d57c186a76e8f44149e) (Yarden Eitan)
* [Minor docs clean up (#7262)](https://github.com/material-components/material-components-ios/commit/bd127b3ea934379e6d054e5646db4274ea624b89) (Cody Weaver)
* [Reduce runloop time as speed is already very fast (#7283)](https://github.com/material-components/material-components-ios/commit/2cfe2057501411279a358481f73bfd6986cb76a1) (Yarden Eitan)

### TextFields

* [Correct UIAccessibility values and behavior. (#7256)](https://github.com/material-components/material-components-ios/commit/4ffa929e881d6ba09cd9bca0956136d3b4c42969) (Robert Moore)
* [Fix Contained example error states. (#7252)](https://github.com/material-components/material-components-ios/commit/62cca706aea866a03658032e1f514691d04c99f2) (Robert Moore)
* [Fix character count overflow. (#7255)](https://github.com/material-components/material-components-ios/commit/63044ff567278d52e452b194617c78035a9578a7) (Robert Moore)
* [Fix example layout. (#7251)](https://github.com/material-components/material-components-ios/commit/b59abd2dd7e0fc2a6f46d401c7a8529330bfbafb) (Robert Moore)
* [Fix examples layout (#7250)](https://github.com/material-components/material-components-ios/commit/0c317f190d07259144ccd475018dca5bf4bd5232) (Robert Moore)
* [Make Kitchen Sink better for tests. (#7259)](https://github.com/material-components/material-components-ios/commit/97ebc0ce0bd5ea48a9e71830c6b342bb6cccb78c) (Robert Moore)

## Multi-component changes

* [ [Catalog] Add @objc annotations to our containerScheme instances in Swift (#7243)](https://github.com/material-components/material-components-ios/commit/52da482fd2665dfc66760f0f0880baa23ac16384) (Yarden Eitan)
* [ [Catalog] Add @objc annotations to our color and typography scheme instances in Swift (#7246)](https://github.com/material-components/material-components-ios/commit/efe61588a601606d3cdc48652f8d63c662b4fc9d) (Yarden Eitan)

---

# 83.0.2

This patch release fixes a crashing bug with ActionSheet during rotation.

## Component changes

### ActionSheet

* [Fix issue where rotation caused bug (#7303)](https://github.com/material-components/material-components-ios/commit/3d6f69eb7f9176a348d3b2d4b0c333ec26ae63ff) (Cody Weaver)

---

# 83.0.1

This patch release resolves some missing content from the theming extension documentation and
removes a broken link.

---

# 83.0.0

This major release graduates most Theming Extensions from Beta and includes a breaking change for
AppBar's imports. All Themer APIs have been annotated as "to be deprecated" in lieu of Theming
extensions. The following Theming Extensions are now generally available:

- ActionSheet
- AppBar
- Buttons
- Cards
- Chips
- Tabs
- TextFields
- Container scheme

## Breaking changes

AppBar's Theming extension header has changed, so you may need to update your import statements
accordingly:

#### Swift

```diff
- import MaterialComponents.MaterialAppBar_MaterialTheming
+ import MaterialComponents.MaterialAppBar_Theming
```

#### ObjC

```diff
- #import "MaterialAppBar+MaterialTheming.h"
+ #import "MaterialAppBar+Theming.h"
```

## API changes

### ActivityIndicator+ColorThemer

#### MDCActivityIndicatorColorThemer(ToBeDeprecated)

*modified* class method: `+applySemanticColorScheme:toActivityIndicator:` in `MDCActivityIndicatorColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCActivityIndicatorColorThemer` |
| To: | `c:objc(cy)MDCActivityIndicatorColorThemer@ToBeDeprecated` |

### AppBar+ColorThemer

#### MDCAppBarColorThemer(ToBeDeprecated)

*modified* class method: `+applySurfaceVariantWithColorScheme:toAppBarViewController:` in `MDCAppBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCAppBarColorThemer` |
| To: | `c:objc(cy)MDCAppBarColorThemer@ToBeDeprecated` |

*modified* class method: `+applyColorScheme:toAppBarViewController:` in `MDCAppBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCAppBarColorThemer` |
| To: | `c:objc(cy)MDCAppBarColorThemer@ToBeDeprecated` |

### AppBar+TypographyThemer

#### MDCAppBarTypographyThemer(ToBeDeprecated)

*modified* class method: `+applyTypographyScheme:toAppBarViewController:` in `MDCAppBarTypographyThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCAppBarTypographyThemer` |
| To: | `c:objc(cy)MDCAppBarTypographyThemer@ToBeDeprecated` |

### BottomAppBar+ColorThemer

#### MDCBottomAppBarColorThemer(ToBeDeprecated)

*modified* class method: `+applySurfaceVariantWithSemanticColorScheme:toBottomAppBarView:` in `MDCBottomAppBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCBottomAppBarColorThemer` |
| To: | `c:objc(cy)MDCBottomAppBarColorThemer@ToBeDeprecated` |

### BottomNavigation+ColorThemer

#### MDCBottomNavigationBarColorThemer(ToBeDeprecated)

*modified* class method: `+applySemanticColorScheme:toBottomNavigation:` in `MDCBottomNavigationBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCBottomNavigationBarColorThemer` |
| To: | `c:objc(cy)MDCBottomNavigationBarColorThemer@ToBeDeprecated` |

### BottomNavigation+TypographyThemer

#### MDCBottomNavigationBarTypographyThemer(ToBeDeprecated)

*new* category: `MDCBottomNavigationBarTypographyThemer(ToBeDeprecated)`

*modified* class method: `+applyTypographyScheme:toBottomNavigationBar:` in `MDCBottomNavigationBarTypographyThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCBottomNavigationBarTypographyThemer` |
| To: | `c:objc(cy)MDCBottomNavigationBarTypographyThemer@ToBeDeprecated` |

### BottomSheet+ShapeThemer

#### MDCBottomSheetControllerShapeThemer(ToBeDeprecated)

*new* category: `MDCBottomSheetControllerShapeThemer(ToBeDeprecated)`

*modified* class method: `+applyShapeScheme:toBottomSheetController:` in `MDCBottomSheetControllerShapeThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCBottomSheetControllerShapeThemer` |
| To: | `c:objc(cy)MDCBottomSheetControllerShapeThemer@ToBeDeprecated` |

### ButtonBar+ColorThemer

#### MDCButtonBarColorThemer(ToBeDeprecated)

*modified* class method: `+applySemanticColorScheme:toButtonBar:` in `MDCButtonBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCButtonBarColorThemer` |
| To: | `c:objc(cy)MDCButtonBarColorThemer@ToBeDeprecated` |

### ButtonBar+TypographyThemer

#### MDCButtonBarTypographyThemer(ToBeDeprecated)

*new* category: `MDCButtonBarTypographyThemer(ToBeDeprecated)`

*modified* class method: `+applyTypographyScheme:toButtonBar:` in `MDCButtonBarTypographyThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCButtonBarTypographyThemer` |
| To: | `c:objc(cy)MDCButtonBarTypographyThemer@ToBeDeprecated` |

### Buttons+ButtonThemer

#### MDCOutlinedButtonThemer(ToBeDeprecated)

*new* category: `MDCOutlinedButtonThemer(ToBeDeprecated)`

*modified* class method: `+applyScheme:toButton:` in `MDCOutlinedButtonThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCOutlinedButtonThemer` |
| To: | `c:objc(cy)MDCOutlinedButtonThemer@ToBeDeprecated` |

#### MDCContainedButtonThemer(ToBeDeprecated)

*new* category: `MDCContainedButtonThemer(ToBeDeprecated)`

*modified* class method: `+applyScheme:toButton:` in `MDCContainedButtonThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCContainedButtonThemer` |
| To: | `c:objc(cy)MDCContainedButtonThemer@ToBeDeprecated` |

#### MDCTextButtonThemer(ToBeDeprecated)

*new* category: `MDCTextButtonThemer(ToBeDeprecated)`

*modified* class method: `+applyScheme:toButton:` in `MDCTextButtonThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextButtonThemer` |
| To: | `c:objc(cy)MDCTextButtonThemer@ToBeDeprecated` |

#### MDCFloatingActionButtonThemer(ToBeDeprecated)

*new* category: `MDCFloatingActionButtonThemer(ToBeDeprecated)`

*modified* class method: `+applyScheme:toButton:` in `MDCFloatingActionButtonThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCFloatingActionButtonThemer` |
| To: | `c:objc(cy)MDCFloatingActionButtonThemer@ToBeDeprecated` |

### Buttons+ColorThemer

#### MDCOutlinedButtonColorThemer(ToBeDeprecated)

*new* category: `MDCOutlinedButtonColorThemer(ToBeDeprecated)`

*modified* class method: `+applySemanticColorScheme:toButton:` in `MDCOutlinedButtonColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCOutlinedButtonColorThemer` |
| To: | `c:objc(cy)MDCOutlinedButtonColorThemer@ToBeDeprecated` |

#### MDCContainedButtonColorThemer(ToBeDeprecated)

*new* category: `MDCContainedButtonColorThemer(ToBeDeprecated)`

*modified* class method: `+applySemanticColorScheme:toButton:` in `MDCContainedButtonColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCContainedButtonColorThemer` |
| To: | `c:objc(cy)MDCContainedButtonColorThemer@ToBeDeprecated` |

#### MDCTextButtonColorThemer(ToBeDeprecated)

*new* category: `MDCTextButtonColorThemer(ToBeDeprecated)`

*modified* class method: `+applySemanticColorScheme:toButton:` in `MDCTextButtonColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextButtonColorThemer` |
| To: | `c:objc(cy)MDCTextButtonColorThemer@ToBeDeprecated` |

#### MDCFloatingButtonColorThemer(ToBeDeprecated)

*new* category: `MDCFloatingButtonColorThemer(ToBeDeprecated)`

*modified* class method: `+applySemanticColorScheme:toButton:` in `MDCFloatingButtonColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCFloatingButtonColorThemer` |
| To: | `c:objc(cy)MDCFloatingButtonColorThemer@ToBeDeprecated` |

### Buttons+ShapeThemer

#### MDCFloatingButtonShapeThemer(ToBeDeprecated)

*new* category: `MDCFloatingButtonShapeThemer(ToBeDeprecated)`

*modified* class method: `+applyShapeScheme:toButton:` in `MDCFloatingButtonShapeThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCFloatingButtonShapeThemer` |
| To: | `c:objc(cy)MDCFloatingButtonShapeThemer@ToBeDeprecated` |

#### MDCButtonShapeThemer(ToBeDeprecated)

*new* category: `MDCButtonShapeThemer(ToBeDeprecated)`

*modified* class method: `+applyShapeScheme:toButton:` in `MDCButtonShapeThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCButtonShapeThemer` |
| To: | `c:objc(cy)MDCButtonShapeThemer@ToBeDeprecated` |

### Buttons+TypographyThemer

#### MDCButtonTypographyThemer(ToBeDeprecated)

*new* category: `MDCButtonTypographyThemer(ToBeDeprecated)`

*modified* class method: `+applyTypographyScheme:toButton:` in `MDCButtonTypographyThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCButtonTypographyThemer` |
| To: | `c:objc(cy)MDCButtonTypographyThemer@ToBeDeprecated` |

### Cards+CardThemer

#### MDCCardThemer(ToBeDeprecated)

*new* category: `MDCCardThemer(ToBeDeprecated)`

*modified* class method: `+applyOutlinedVariantWithScheme:toCardCell:` in `MDCCardThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCCardThemer` |
| To: | `c:objc(cy)MDCCardThemer@ToBeDeprecated` |

*modified* class method: `+applyScheme:toCard:` in `MDCCardThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCCardThemer` |
| To: | `c:objc(cy)MDCCardThemer@ToBeDeprecated` |

*modified* class method: `+applyOutlinedVariantWithScheme:toCard:` in `MDCCardThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCCardThemer` |
| To: | `c:objc(cy)MDCCardThemer@ToBeDeprecated` |

*modified* class method: `+applyScheme:toCardCell:` in `MDCCardThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCCardThemer` |
| To: | `c:objc(cy)MDCCardThemer@ToBeDeprecated` |

### Cards+ColorThemer

#### MDCCardsColorThemer(ToBeDeprecated)

*new* category: `MDCCardsColorThemer(ToBeDeprecated)`

*modified* class method: `+applySemanticColorScheme:toCard:` in `MDCCardsColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCCardsColorThemer` |
| To: | `c:objc(cy)MDCCardsColorThemer@ToBeDeprecated` |

*modified* class method: `+applyOutlinedVariantWithColorScheme:toCardCell:` in `MDCCardsColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCCardsColorThemer` |
| To: | `c:objc(cy)MDCCardsColorThemer@ToBeDeprecated` |

*modified* class method: `+applyOutlinedVariantWithColorScheme:toCard:` in `MDCCardsColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCCardsColorThemer` |
| To: | `c:objc(cy)MDCCardsColorThemer@ToBeDeprecated` |

*modified* class method: `+applySemanticColorScheme:toCardCell:` in `MDCCardsColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCCardsColorThemer` |
| To: | `c:objc(cy)MDCCardsColorThemer@ToBeDeprecated` |

### Cards+ShapeThemer

#### MDCCardsShapeThemer(ToBeDeprecated)

*new* category: `MDCCardsShapeThemer(ToBeDeprecated)`

*modified* class method: `+applyShapeScheme:toCardCell:` in `MDCCardsShapeThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCCardsShapeThemer` |
| To: | `c:objc(cy)MDCCardsShapeThemer@ToBeDeprecated` |

*modified* class method: `+applyShapeScheme:toCard:` in `MDCCardsShapeThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCCardsShapeThemer` |
| To: | `c:objc(cy)MDCCardsShapeThemer@ToBeDeprecated` |

### Chips+ChipThemer

#### MDCChipViewThemer(ToBeDeprecated)

*new* category: `MDCChipViewThemer(ToBeDeprecated)`

*modified* class method: `+applyScheme:toChipView:` in `MDCChipViewThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCChipViewThemer` |
| To: | `c:objc(cy)MDCChipViewThemer@ToBeDeprecated` |

*modified* class method: `+applyOutlinedVariantWithScheme:toChipView:` in `MDCChipViewThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCChipViewThemer` |
| To: | `c:objc(cy)MDCChipViewThemer@ToBeDeprecated` |

### Chips+ColorThemer

#### MDCChipViewColorThemer(ToBeDeprecated)

*modified* class method: `+applySemanticColorScheme:toChipView:` in `MDCChipViewColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCChipViewColorThemer` |
| To: | `c:objc(cy)MDCChipViewColorThemer@ToBeDeprecated` |

*modified* class method: `+applyOutlinedVariantWithColorScheme:toChipView:` in `MDCChipViewColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCChipViewColorThemer` |
| To: | `c:objc(cy)MDCChipViewColorThemer@ToBeDeprecated` |

### Chips+FontThemer

#### MDCChipViewFontThemer(ToBeDeprecated)

*new* category: `MDCChipViewFontThemer(ToBeDeprecated)`

*modified* class method: `+applyFontScheme:toChipView:` in `MDCChipViewFontThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCChipViewFontThemer` |
| To: | `c:objc(cy)MDCChipViewFontThemer@ToBeDeprecated` |

### Chips+ShapeThemer

#### MDCChipViewShapeThemer(ToBeDeprecated)

*new* category: `MDCChipViewShapeThemer(ToBeDeprecated)`

*modified* class method: `+applyShapeScheme:toChipView:` in `MDCChipViewShapeThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCChipViewShapeThemer` |
| To: | `c:objc(cy)MDCChipViewShapeThemer@ToBeDeprecated` |

### Dialogs+ColorThemer

#### MDCAlertColorThemer

*modified* class method: `+applyColorScheme:` in `MDCAlertColorThemer`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cy)MDCAlertColorThemer@ToBeDeprecated` |
| To: | `c:objc(cs)MDCAlertColorThemer` |

#### MDCAlertColorThemer(ToBeDeprecated)

*removed* category: `MDCAlertColorThemer(ToBeDeprecated)`

### FeatureHighlight+ColorThemer

#### MDCFeatureHighlightColorThemer(ToBeDeprecated)

*modified* class method: `+applySemanticColorScheme:toFeatureHighlightViewController:` in `MDCFeatureHighlightColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCFeatureHighlightColorThemer` |
| To: | `c:objc(cy)MDCFeatureHighlightColorThemer@ToBeDeprecated` |

### FeatureHighlight+FontThemer

#### MDCFeatureHighlightFontThemer(ToBeDeprecated)

*new* category: `MDCFeatureHighlightFontThemer(ToBeDeprecated)`

*modified* class method: `+applyFontScheme:toFeatureHighlightView:` in `MDCFeatureHighlightFontThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCFeatureHighlightFontThemer` |
| To: | `c:objc(cy)MDCFeatureHighlightFontThemer@ToBeDeprecated` |

### FeatureHighlight+TypographyThemer

#### MDCFeatureHighlightTypographyThemer(ToBeDeprecated)

*new* category: `MDCFeatureHighlightTypographyThemer(ToBeDeprecated)`

*modified* class method: `+applyTypographyScheme:toFeatureHighlightViewController:` in `MDCFeatureHighlightTypographyThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCFeatureHighlightTypographyThemer` |
| To: | `c:objc(cy)MDCFeatureHighlightTypographyThemer@ToBeDeprecated` |

### FlexibleHeader+ColorThemer

#### MDCFlexibleHeaderColorThemer(ToBeDeprecated)

*modified* class method: `+applySemanticColorScheme:toFlexibleHeaderView:` in `MDCFlexibleHeaderColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCFlexibleHeaderColorThemer` |
| To: | `c:objc(cy)MDCFlexibleHeaderColorThemer@ToBeDeprecated` |

*modified* class method: `+applySurfaceVariantWithColorScheme:toFlexibleHeaderView:` in `MDCFlexibleHeaderColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCFlexibleHeaderColorThemer` |
| To: | `c:objc(cy)MDCFlexibleHeaderColorThemer@ToBeDeprecated` |

### List+ColorThemer

#### MDCListColorThemer(ToBeDeprecated)

*new* category: `MDCListColorThemer(ToBeDeprecated)`

*modified* class method: `+applySemanticColorScheme:toBaseCell:` in `MDCListColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCListColorThemer` |
| To: | `c:objc(cy)MDCListColorThemer@ToBeDeprecated` |

*modified* class method: `+applySemanticColorScheme:toSelfSizingStereoCell:` in `MDCListColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCListColorThemer` |
| To: | `c:objc(cy)MDCListColorThemer@ToBeDeprecated` |

### List+ListThemer

#### MDCListThemer(ToBeDeprecated)

*new* category: `MDCListThemer(ToBeDeprecated)`

*modified* class method: `+applyScheme:toSelfSizingStereoCell:` in `MDCListThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCListThemer` |
| To: | `c:objc(cy)MDCListThemer@ToBeDeprecated` |

*modified* class method: `+applyScheme:toBaseCell:` in `MDCListThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCListThemer` |
| To: | `c:objc(cy)MDCListThemer@ToBeDeprecated` |

### List+TypographyThemer

#### MDCListTypographyThemer(ToBeDeprecated)

*new* category: `MDCListTypographyThemer(ToBeDeprecated)`

*modified* class method: `+applyTypographyScheme:toSelfSizingStereoCell:` in `MDCListTypographyThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCListTypographyThemer` |
| To: | `c:objc(cy)MDCListTypographyThemer@ToBeDeprecated` |

### NavigationBar+ColorThemer

#### MDCNavigationBarColorThemer(ToBeDeprecated)

*modified* class method: `+applySurfaceVariantWithColorScheme:toNavigationBar:` in `MDCNavigationBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCNavigationBarColorThemer` |
| To: | `c:objc(cy)MDCNavigationBarColorThemer@ToBeDeprecated` |

*modified* class method: `+applySemanticColorScheme:toNavigationBar:` in `MDCNavigationBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCNavigationBarColorThemer` |
| To: | `c:objc(cy)MDCNavigationBarColorThemer@ToBeDeprecated` |

### NavigationBar+TypographyThemer

#### MDCNavigationBarTypographyThemer(ToBeDeprecated)

*new* category: `MDCNavigationBarTypographyThemer(ToBeDeprecated)`

*modified* class method: `+applyTypographyScheme:toNavigationBar:` in `MDCNavigationBarTypographyThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCNavigationBarTypographyThemer` |
| To: | `c:objc(cy)MDCNavigationBarTypographyThemer@ToBeDeprecated` |

### NavigationDrawer+ColorThemer

#### MDCBottomDrawerColorThemer(ToBeDeprecated)

*new* category: `MDCBottomDrawerColorThemer(ToBeDeprecated)`

*modified* class method: `+applySemanticColorScheme:toBottomDrawer:` in `MDCBottomDrawerColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCBottomDrawerColorThemer` |
| To: | `c:objc(cy)MDCBottomDrawerColorThemer@ToBeDeprecated` |

### Slider+ColorThemer

#### MDCSliderColorThemer(ToBeDeprecated)

*modified* class method: `+applySemanticColorScheme:toSlider:` in `MDCSliderColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSliderColorThemer` |
| To: | `c:objc(cy)MDCSliderColorThemer@ToBeDeprecated` |

### Snackbar+ColorThemer

#### MDCSnackbarColorThemer(Deprecated)

*modified* class method: `+applySemanticColorScheme:` in `MDCSnackbarColorThemer(Deprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarColorThemer` |
| To: | `c:objc(cy)MDCSnackbarColorThemer@Deprecated` |

*modified* class method: `+applySemanticColorScheme:toSnackbarManager:` in `MDCSnackbarColorThemer(Deprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarColorThemer` |
| To: | `c:objc(cy)MDCSnackbarColorThemer@Deprecated` |

### Snackbar+FontThemer

#### MDCSnackbarFontThemer(Deprecated)

*new* category: `MDCSnackbarFontThemer(Deprecated)`

*modified* class method: `+applyFontScheme:toSnackbarMessageView:` in `MDCSnackbarFontThemer(Deprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarFontThemer` |
| To: | `c:objc(cy)MDCSnackbarFontThemer@Deprecated` |

*modified* class method: `+applyFontScheme:` in `MDCSnackbarFontThemer(Deprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarFontThemer` |
| To: | `c:objc(cy)MDCSnackbarFontThemer@Deprecated` |

### Snackbar+TypographyThemer

#### MDCSnackbarTypographyThemer(Deprecated)

*new* category: `MDCSnackbarTypographyThemer(Deprecated)`

*modified* class method: `+applyTypographyScheme:` in `MDCSnackbarTypographyThemer(Deprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarTypographyThemer` |
| To: | `c:objc(cy)MDCSnackbarTypographyThemer@Deprecated` |

### Tabs+ColorThemer

#### MDCTabBarColorThemer(ToBeDeprecated)

*modified* class method: `+applySemanticColorScheme:toTabs:` in `MDCTabBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTabBarColorThemer` |
| To: | `c:objc(cy)MDCTabBarColorThemer@ToBeDeprecated` |

*modified* class method: `+applySurfaceVariantWithColorScheme:toTabs:` in `MDCTabBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTabBarColorThemer` |
| To: | `c:objc(cy)MDCTabBarColorThemer@ToBeDeprecated` |

### Tabs+FontThemer

#### MDCTabBarFontThemer(ToBeDeprecated)

*new* category: `MDCTabBarFontThemer(ToBeDeprecated)`

*modified* class method: `+applyFontScheme:toTabBar:` in `MDCTabBarFontThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTabBarFontThemer` |
| To: | `c:objc(cy)MDCTabBarFontThemer@ToBeDeprecated` |

### Tabs+TypographyThemer

#### MDCTabBarTypographyThemer(ToBeDeprecated)

*new* category: `MDCTabBarTypographyThemer(ToBeDeprecated)`

*modified* class method: `+applyTypographyScheme:toTabBar:` in `MDCTabBarTypographyThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTabBarTypographyThemer` |
| To: | `c:objc(cy)MDCTabBarTypographyThemer@ToBeDeprecated` |

### TextFields+ColorThemer

#### MDCFilledTextFieldColorThemer(ToBeDeprecated)

*new* category: `MDCFilledTextFieldColorThemer(ToBeDeprecated)`

*modified* class method: `+applySemanticColorScheme:toTextInputControllerFilled:` in `MDCFilledTextFieldColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCFilledTextFieldColorThemer` |
| To: | `c:objc(cy)MDCFilledTextFieldColorThemer@ToBeDeprecated` |

#### MDCTextFieldColorThemer(ToBeDeprecated)

*modified* class method: `+applySemanticColorScheme:toTextInput:` in `MDCTextFieldColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextFieldColorThemer` |
| To: | `c:objc(cy)MDCTextFieldColorThemer@ToBeDeprecated` |

*modified* class method: `+applySemanticColorScheme:toAllTextInputControllersOfClass:` in `MDCTextFieldColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextFieldColorThemer` |
| To: | `c:objc(cy)MDCTextFieldColorThemer@ToBeDeprecated` |

*modified* class method: `+applySemanticColorScheme:toTextInputController:` in `MDCTextFieldColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextFieldColorThemer` |
| To: | `c:objc(cy)MDCTextFieldColorThemer@ToBeDeprecated` |

#### MDCOutlinedTextFieldColorThemer(ToBeDeprecated)

*new* category: `MDCOutlinedTextFieldColorThemer(ToBeDeprecated)`

*modified* class method: `+applySemanticColorScheme:toTextInputController:` in `MDCOutlinedTextFieldColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCOutlinedTextFieldColorThemer` |
| To: | `c:objc(cy)MDCOutlinedTextFieldColorThemer@ToBeDeprecated` |

### TextFields+FontThemer

#### MDCTextFieldFontThemer(ToBeDeprecated)

*new* category: `MDCTextFieldFontThemer(ToBeDeprecated)`

*modified* class method: `+applyFontScheme:toAllTextInputControllersOfClass:` in `MDCTextFieldFontThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextFieldFontThemer` |
| To: | `c:objc(cy)MDCTextFieldFontThemer@ToBeDeprecated` |

*modified* class method: `+applyFontScheme:toTextInputController:` in `MDCTextFieldFontThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextFieldFontThemer` |
| To: | `c:objc(cy)MDCTextFieldFontThemer@ToBeDeprecated` |

*modified* class method: `+applyFontScheme:toTextField:` in `MDCTextFieldFontThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextFieldFontThemer` |
| To: | `c:objc(cy)MDCTextFieldFontThemer@ToBeDeprecated` |

### TextFields+TypographyThemer

#### MDCTextFieldTypographyThemer(ToBeDeprecated)

*new* category: `MDCTextFieldTypographyThemer(ToBeDeprecated)`

*modified* class method: `+applyTypographyScheme:toAllTextInputControllersOfClass:` in `MDCTextFieldTypographyThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextFieldTypographyThemer` |
| To: | `c:objc(cy)MDCTextFieldTypographyThemer@ToBeDeprecated` |

*modified* class method: `+applyTypographyScheme:toTextInput:` in `MDCTextFieldTypographyThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextFieldTypographyThemer` |
| To: | `c:objc(cy)MDCTextFieldTypographyThemer@ToBeDeprecated` |

*modified* class method: `+applyTypographyScheme:toTextInputController:` in `MDCTextFieldTypographyThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextFieldTypographyThemer` |
| To: | `c:objc(cy)MDCTextFieldTypographyThemer@ToBeDeprecated` |

## Component changes

## Breaking changes

### AppBar

* [**Breaking**: Rename umbrella header for the theming extension (#7185)](https://github.com/material-components/material-components-ios/commit/49bb401d2cf492cae23b7758f06eeefcdd76c56d) (Cody Weaver)

## Changes

### ActionSheet

* [Remove dependency on helper methods in test. (#7183)](https://github.com/material-components/material-components-ios/commit/6a686ac6a39952a2a02644b6c52bb0b8e6b9e563) (Cody Weaver)

### ActivityIndicator

* [Annotate all themer APIs with the recommended new APIs. (#7211)](https://github.com/material-components/material-components-ios/commit/e5c5762c74634f7381726bc412495345a0c81833) (featherless)

### AppBar

* [Annotate themer APIs with the recommended APIs. (#7213)](https://github.com/material-components/material-components-ios/commit/6909bf1d2dd81f48840118a4dc5c08983e2b8411) (featherless)
* [Update documentation around theming (#7197)](https://github.com/material-components/material-components-ios/commit/adf4b7e31ff0a6b7157a9b360baf0a589c10fa94) (Cody Weaver)

### BottomAppBar

* [Annotate themer APIs with the recommended APIs. (#7214)](https://github.com/material-components/material-components-ios/commit/5e8360e2fab07def892c4ce4475a9aa9052d46c4) (featherless)

### BottomNavigation

* [Adds a large item dialog view (#7146)](https://github.com/material-components/material-components-ios/commit/9e7848c625ece20697c76b98fa429f9badceb0de) (Eric Lee)
* [Annotate themer APIs with the recommended APIs. (#7215)](https://github.com/material-components/material-components-ios/commit/617aa4fedf1d258407b2c82be3c9da613dcf37ca) (featherless)

### BottomSheet

* [Annotate themer APIs with the recommended APIs. (#7216)](https://github.com/material-components/material-components-ios/commit/699a621c7e2514d19f49817c4311d7ed5a70fa1a) (featherless)

### ButtonBar

* [Annotate themer APIs with the recommended APIs. (#7217)](https://github.com/material-components/material-components-ios/commit/59e1577ca314a5a2dc92c027799362969eaab0ee) (featherless)

### Buttons

* [Add fallback behavior to setBorderColor API. (#7140)](https://github.com/material-components/material-components-ios/commit/b5b4ecd95e4c247d8911529ea00842d30e5a2f71) (Wenyu Zhang)
* [Annotate themer APIs with the recommended APIs. (#7218)](https://github.com/material-components/material-components-ios/commit/d15dcc2e3611a66d8316aa5f7b90352708f4e39b) (featherless)
* [Copy-edit the documentation. (#7206)](https://github.com/material-components/material-components-ios/commit/0c175b46a3dd3ed73428165897a9506b3fe1efd0) (featherless)
* [Copy-edits on the theming documentation for clarity. (#7192)](https://github.com/material-components/material-components-ios/commit/8a8ddc94d75befca384c4e934ea60e5ad321e452) (featherless)
* [Fix broken link (#7198)](https://github.com/material-components/material-components-ios/commit/59541affa2fd361078ada187f127dbd83af745e3) (Cody Weaver)
* [Fix theming headers and copy. (#7236)](https://github.com/material-components/material-components-ios/commit/172cf73a40f3c6d52d83051823b4a397eb1cd50b) (featherless)

### Cards

* [Annotate themer APIs with the recommended APIs. (#7219)](https://github.com/material-components/material-components-ios/commit/7a42c6f7c4258d3b74f63c9c28717e526bfc8aef) (featherless)

### Chips

* [Annotate themer APIs with the recommended APIs. (#7220)](https://github.com/material-components/material-components-ios/commit/b0747f45976c17d6f8187f1e973b2a4e7f8da942) (featherless)

### Dialogs

* [Annotate themer APIs with the recommended APIs. (#7221)](https://github.com/material-components/material-components-ios/commit/983b9609fe0b1424cbbce5a324e100254da77a2b) (featherless)
* [Fix Tall Font example (#7151)](https://github.com/material-components/material-components-ios/commit/95705a7b6ff597c9176aa839b55b124f70afb68d) (Robert Moore)

### FeatureHighlight

* [Annotate themer APIs with the recommended APIs. (#7222)](https://github.com/material-components/material-components-ios/commit/7758aae05da705e9ee6de425ec5829ec84c360dd) (featherless)

### FlexibleHeader

* [Annotate themer APIs with the recommended APIs. (#7223)](https://github.com/material-components/material-components-ios/commit/be4f5ba37b32ebf6a375dbf5079b3ba992fe310c) (featherless)

### HeaderStackView

* [Annotate themer APIs with the recommended APIs. (#7224)](https://github.com/material-components/material-components-ios/commit/b7ea6d959e9ca0986ad98bce5d4f86c219d26b82) (featherless)

### Ink

* [Annotate themer APIs with the recommended APIs. (#7225)](https://github.com/material-components/material-components-ios/commit/ad894ac9f65478944406ca61f29ea6a240ed5981) (featherless)

### List

* [Annotate themer APIs with the recommended APIs. (#7226)](https://github.com/material-components/material-components-ios/commit/b834cd37d7008e2f8e9b4133914d374ead55cfc7) (featherless)

### NavigationBar

* [Annotate themer APIs with the recommended APIs. (#7228)](https://github.com/material-components/material-components-ios/commit/593d57f23c7821d8566f23cc798092f4dc3e110e) (featherless)

### NavigationDrawer

* [Annotate themer APIs with the recommended APIs. (#7229)](https://github.com/material-components/material-components-ios/commit/502849f3c2533cf4858f1cc6dee183595e9fe07e) (featherless)

### PageControl

* [Annotate themer APIs with the recommended APIs. (#7230)](https://github.com/material-components/material-components-ios/commit/de3f43e5ae36c1c6030cf9f6fcadcca5dfe6072c) (featherless)

### ProgressView

* [Annotate themer APIs with the recommended APIs. (#7231)](https://github.com/material-components/material-components-ios/commit/679870a13ff9e46c1209fa6a423c08f1008d2403) (featherless)

### Slider

* [Annotate themer APIs with the recommended APIs. (#7232)](https://github.com/material-components/material-components-ios/commit/a1226a9ff563fdc610c41487b96419f8381914db) (featherless)

### Snackbar

* [Annotate themer APIs with the recommended APIs. (#7233)](https://github.com/material-components/material-components-ios/commit/2d7dbfed79dd282fbb5fcadf0840cce85fcc8c9f) (featherless)

### Tabs

* [Annotate themer APIs with the recommended APIs. (#7234)](https://github.com/material-components/material-components-ios/commit/83a55418189bc1c11adf48b670437006e1ad386a) (featherless)

### TextFields

* [Annotate themer APIs with the recommended APIs. (#7235)](https://github.com/material-components/material-components-ios/commit/fde7c2e8cd6afc1949540ccf7a9b328ed5ab7391) (featherless)
* [Create concrete MDCFilledTextField and MDCOutlinedTextField classes based on the Contained Input View architecture (#7144)](https://github.com/material-components/material-components-ios/commit/c924f58054fcd23bfd4fc3ccfb1758be1a8da437) (Andrew Overton)
* [Graduate TextFields theming extension to ready (#7184)](https://github.com/material-components/material-components-ios/commit/a81878c263ea9cc4e6ce6d942e3189862d124758) (Andrew Overton)

## Multi-component changes

* [(automated) Regenerate all component readmes. (#7201)](https://github.com/material-components/material-components-ios/commit/e2550dbb55114de3a54c7a14edae31b297bf4a26) (featherless)
* [Add @objc annotations to get examples to show up in Dragons (#7168)](https://github.com/material-components/material-components-ios/commit/c56d5d76d390cf0ef4f26412816dc2e1be63707a) (Andrew Overton)
* [Fix links within documenation (#7208)](https://github.com/material-components/material-components-ios/commit/f46357b1fc0aeb38029b8c7f5798dcdee4872697) (Cody Weaver)
* [Fix relative link rewriting. (#7205)](https://github.com/material-components/material-components-ios/commit/c8f3973d4a6e5438fb99f08cb3e61befed9da3a1) (featherless)
* [Graduate Buttons+Theming to ready (#7187)](https://github.com/material-components/material-components-ios/commit/94e5a978d7a9dc957026a4483316f8b1f75704a5) (Andrew Overton)
* [Graduate ContainerScheme to ready. (#7170)](https://github.com/material-components/material-components-ios/commit/5bed3961e6edaa2a15507b62aba3504f07d65d7d) (Yarden Eitan)
* [Graduate theming extension to ready (#7181)](https://github.com/material-components/material-components-ios/commit/9696880a712b6880a7db42c3983126ffbaa8829f) (Cody Weaver)
* [Graduate theming extension to ready (#7182)](https://github.com/material-components/material-components-ios/commit/bb61b245679c88a4677b23be24360812e6476ae1) (Cody Weaver)
* [Move Cards theming extension to ready. (#7178)](https://github.com/material-components/material-components-ios/commit/9aa1d72bc7805e4d93e93102f6efc5a20643e7ef) (Wenyu Zhang)
* [Move Chips Theming to Ready. (#7179)](https://github.com/material-components/material-components-ios/commit/cb4ffbc580416677cd2d8ac2691d7da5c59ecde7) (Wenyu Zhang)
* [Move Tabs theming extension to ready. (#7176)](https://github.com/material-components/material-components-ios/commit/ebb9b84be845d34047656c9cc55e580ee4021508) (Wenyu Zhang)
* [Update docs (#7209)](https://github.com/material-components/material-components-ios/commit/eaf24893031c02fafd6e5dbc927149cfe8c0309d) (Andrew Overton)
* [Update to Swift 4.2 (#7166)](https://github.com/material-components/material-components-ios/commit/b38372192ff5f7d3273c87e901a2eab402cabef3) (Andrew Overton)

---

# 82.0.0

In this major release, we dropped support for iOS 8 in all components. We also introduced new method and properties for AppBar, BottomSheet and NavigationDrawer.

## Breaking changes

This release drops support for iOS 8 and the library, catalog, examples, and demos may no longer build for iOS 8 targets or may crash even if building succeeds. Clients will need to set their minimum deployment targets to iOS 9 or later.

## New features

### Add support for MDCAppBarNavigationController delegate to pick a tracking scroll view

An optional delegate method was added to allow clients to specify the controller's tracking scroll view. The delegate may return `nil` if no appropriate tracking scroll view is present.

#### Swift

```swift
func appBarNavigationController(_ navigationController: MDCAppBarNavigationController,
                              trackingScrollViewFor trackingScrollViewForViewController: UIViewController,
                              suggestedTrackingScrollView: UIScrollView?) -> UIScrollView? {
  return trackingScrollView
}
```

#### Objective-C

```objc
- (UIScrollView *)appBarNavigationController:(MDCAppBarNavigationController *)navigationController
                  trackingScrollViewForViewController:(UIViewController *)viewController
                          suggestedTrackingScrollView:(UIScrollView *)scrollView {
  return self.trackingScrollView;
}
```

### `flashScrollIndicators` in BottomSheet

`MDCBottomSheetController` has a new API that will flash the scroll indicators when the view appears.

#### Swift

```swift
bottomSheet.shouldFlashScrollIndicatorsOnAppearance = true;
```

#### Objective-C

```objc
self.bottomSheet.shouldFlashScrollIndicatorsOnAppearance = YES;
```

### `maximumInitialDrawerHeight` in NavigationDrawer

Clients can now override the initial drawer height on MDCBottomDrawerViewController with a desired height in points.

#### Swift

```swift
bottomDrawer.maximumInitialDrawerHeight = 1000;
```

#### Objective-C

```objc
self.bottomDrawer.maximumInitialDrawerHeight = 1000;
```

## API changes

### AppBar

#### MDCAppBarNavigationControllerDelegate

*new* method: `-appBarNavigationController:trackingScrollViewForViewController:suggestedTrackingScrollView:` in `MDCAppBarNavigationControllerDelegate`

### BottomSheet

#### MDCBottomSheetController

*new* property: `shouldFlashScrollIndicatorsOnAppearance` in `MDCBottomSheetController`

### NavigationDrawer

#### MDCBottomDrawerViewController

*new* property: `maximumInitialDrawerHeight` in `MDCBottomDrawerViewController`

#### MDCBottomDrawerPresentationController

*new* property: `maximumInitialDrawerHeight` in `MDCBottomDrawerPresentationController`

### Tabs+Theming

**New extension.**

## Component changes

## Multi-component breaking changes

* [**Breaking**: Drop support for iOS 8 in all components. (#7135)](https://github.com/material-components/material-components-ios/commit/a3e215daa797b50e6a6b5afc2322892b0444cefe) (featherless)

## Changes

### AppBar

* [Add support for MDCAppBarNavigationController delegate to pick a tracking scroll view. (#7015)](https://github.com/material-components/material-components-ios/commit/e3b1d17f76823f852395cc2062146ced10a1ed67) (featherless)
* [Update AppBar theming extension docs. (#7125)](https://github.com/material-components/material-components-ios/commit/3adbf4ed9ab0e40875fbd0d069fa1d5801bbb20c) (Wenyu Zhang)

### BottomNavigation

* [Adds private method to retrieve tab bar item for point (#7086)](https://github.com/material-components/material-components-ios/commit/b8d1456ec63fa0f48faebe52e3abffa8f11d07e4) (Eric Lee)

### BottomSheet

* [Add API to flashScrollIndicators (#7127)](https://github.com/material-components/material-components-ios/commit/aa28d8516c5e104da221ef5b97ee119e0f9a4a3c) (Cody Weaver)

### Buttons

* [Add snapshot test for new Ripple behavior (#7104)](https://github.com/material-components/material-components-ios/commit/d8a8e2bf97f0dd8749492b0b399994045a16efe5) (Cody Weaver)

### Dialogs

* [Correct snapshot test layout (#7134)](https://github.com/material-components/material-components-ios/commit/81978d79361b36bfbfa99ca660e172dffe798c56) (Robert Moore)
* [Dialog Urdu snapshot (#7139)](https://github.com/material-components/material-components-ios/commit/184ea7380c93b34d48cf879bceb8793e13dc2bee) (Wenyu Zhang)
* [Layout MDC Dialogs correctly for tall fonts. (#7126)](https://github.com/material-components/material-components-ios/commit/8c407c22c4e3c810bfcb8a1786514f35c1d9593c) (Wenyu Zhang)
* [fix dialog snapshot tests not using preferredContentSize. (#7128)](https://github.com/material-components/material-components-ios/commit/1ccd8f2bd7e916b6cf8ca589d9bc5f655f352a0d) (Wenyu Zhang)

### NavigationDrawer

* [Add snapshot tests (#7136)](https://github.com/material-components/material-components-ios/commit/aa02889f72edc2cfecdb17a7cf6d0eabf8599812) (Robert Moore)
* [Added support for customizing the initial drawer height factor (#7112)](https://github.com/material-components/material-components-ios/commit/07417dfa71468be5000d2660702400be70b5cc46) (Yarden Eitan)
* [remove dependency on MDCBottomDrawerContainerViewController (#7138)](https://github.com/material-components/material-components-ios/commit/c5c237fd0f98ca1312e854998133fc9a19ccfb2f) (Yarden Eitan)

### Tabs

* [Add theming extension for Tabs (#7089)](https://github.com/material-components/material-components-ios/commit/4eeeb90a93010ce70ce098979ed311b98f2b011c) (Wenyu Zhang)

### TextFields

* [Change wording on MDCTextInputController theming extensions doc comments (#7107)](https://github.com/material-components/material-components-ios/commit/4e7b4a64b478e6e5572cd6757dad01c5e44176a7) (Andrew Overton)
* [Outlined Textfield Theming Extension (#7082)](https://github.com/material-components/material-components-ios/commit/ecbad697e8cad36c08229243d0381a6f1b333025) (Andrew Overton)
* [Updates to MDCContainedInputView and SimpleTextField (#6904)](https://github.com/material-components/material-components-ios/commit/41428ef329477202dc9c7c56afb8e39ad4efd762) (Andrew Overton)

## Multi-component changes

* [Fix some CGFloat conversion. (#7130)](https://github.com/material-components/material-components-ios/commit/a4e6886f226d4756e7194f6de48c9c85837d9920) (Wenyu Zhang)

---

# 81.1.0

In this minor release we introduced a new beta component, Banner. We also added Ripple support for Buttons, along with text contrast improvements to Tabs and Bottom Navigation.

## New features

### Ripple integration with Buttons

Buttons now support the latest iteration of the Material Design "ripple" effect. Clients can test this
functionality by setting `enableRippleBehavior` to `YES`.

#### Swift

```swift
myButton.enableRippleBehavior = true
```

#### Objective-C

```objc
self.myButton.enableRippleBehavior = YES;
```

## API changes

### Banner

**New component.**

## Component changes

## Changes

### ActionSheet

* [Flash scroll indicators when view appears. (#7083)](https://github.com/material-components/material-components-ios/commit/65cab042a4a9ea6775396b266e5eff32d9f68177) (Cody Weaver)

### Banner

* [Elevate Banner component to Beta. (#7065)](https://github.com/material-components/material-components-ios/commit/0c9e8b427da05fa7f03f0190ee377886c4bd9e17) (Wenyu Zhang)
* [Fix broken Banner snapshot tests (#7018)](https://github.com/material-components/material-components-ios/commit/417d32e4d597dcd6e208a0f80be50ba350acc8e4) (Wenyu Zhang)
* [Make BannerView only iOS 9 available and update examples. (#7021)](https://github.com/material-components/material-components-ios/commit/595bf048995fc92a2805ab77e4bd57f1844892e9) (Wenyu Zhang)

### BottomNavigation

* [Increase badge text contrast (#7013)](https://github.com/material-components/material-components-ios/commit/afb6295ab2d99ba9a598ab6e938d1ec1b8e1afd9) (Robert Moore)

### Buttons

* [Integrate MDCRipple into MDCButton (#7087)](https://github.com/material-components/material-components-ios/commit/02e802767b3bcb29c69983c9b3202a0f182adcdd) (Cody Weaver)

### NavigationDrawer

* [update (#7092)](https://github.com/material-components/material-components-ios/commit/23597eb724c12eeac6ed05d892c9881a71eb5c05) (Yarden Eitan)

### Tabs

* [Fix constraint crash in example. (#7010)](https://github.com/material-components/material-components-ios/commit/6f8f35a128460d19d6b90f7f17241d257130c20b) (Robert Moore)
* [Increase badge text contrast. (#7012)](https://github.com/material-components/material-components-ios/commit/a56b67ba6831f97d709590b175795a98829497fc) (Robert Moore)
* [Observe `badgeColor` changes. (#7008)](https://github.com/material-components/material-components-ios/commit/543320594148344f6a3f1da32885debd76d2bbb4) (Robert Moore)

### TextFields

* [Fix Filled text field rounded bottom corners (#7006)](https://github.com/material-components/material-components-ios/commit/424a02538bd07b293e9c86020143fadf25c223fd) (Galia Kaufman)

## Multi-component changes

* [Minor docs polish (#7053)](https://github.com/material-components/material-components-ios/commit/048c259a8586fc1d6fa89c0353147fc4a985bc3f) (Cody Weaver)

---

# 81.0.0

This major release introduces the Ripple component and integrates it with Cards. There are also
visual changes for badges on Tabs, multi-line title support for Bottom Navigation, and improved
Dynamic Type support for Buttons and Feature Highlight.

## Breaking changes

The appearance of badges on MDCTabBar has changed. Badges now appear similar to those on
MDCBottomNavigationBar and are, by default, a red "pill" shape with white text. The color can be
customized by assigning a value to `- UITabBarItem.badgeColor`.

## New features

### Ripple integration with Cards

Cards now support the latest iteration of the Material Design "ripple" effect. Clients can test this
functionality by setting `enableRippleBehavior` to `YES`.

#### Swift

```swift
myCard.enableRippleBehavior = true
```

#### Objective-C

```objc
self.myCard.enableRippleBehavior = YES;
```

### Multi-line title support in Bottom Navigation

Clients can enable multi-line title support in MDCBottomNavigationBar by setting
`titlesNumberOfLines` to a value other than 1. This API should be used only as a last resort, when
it is not possible to provide shorter titles that fit within the available screen space.

#### Swift

```swift
bottomNavigationBar.titlesNumberOfLines = 0
```

#### Objective-C

```objc
self.bottomNavigationBar.titlesNumberOfLines = 0;
```

### Automatic Dynamic Type font adjustment in Feature Highlight and Buttons

Buttons and Feature Highlight now support enabling automatic font size adjustment for Dynamic Type
when the fonts used by the components have scaling curves attached using MDCFontScaler. Both
components use the new scaling if `mdc_adjustsFontForContentSizeCategory` is set to `YES`.

#### Swift

```swift
// The new TypographyScheme defaults provide scaled fonts
containerScheme.typographyScheme = MDCTypographyScheme.init(defaults: .material201902)
let button = MDCButton()
button.applyContainedTheme(withScheme: containerScheme)
button.setTitle("Submit", for: UIControlState())
// Enable automatic font adjustment
button.mdc_adjustsFontForContentSizeCategory = true
```

#### Objective-C

```objc
// The new TypographyScheme defaults provide scaled fonts
self.containerScheme.typographyScheme =
    [[MDCTypographyScheme alloc] initWithDefaults: MDCTypographySchemeDefaultsMaterial201804];
MDCButton *button = [[MDCButton alloc] init];
[button applyContainedThemeWithScheme:self.containerScheme];
[button setTitle:@"Submit" forState:UIControlStateNormal];
// Enable automatic font adjustment
button.mdc_adjustsFontForContentSizeCategory = YES;
```

## API changes

### Banner

#### MDCBannerView

*new* property: `textLabel` in `MDCBannerView`

*new* property: `imageView` in `MDCBannerView`

*new* property: `leadingButton` in `MDCBannerView`

*new* property: `trailingButton` in `MDCBannerView`

*removed* property: `buttons` in `MDCBannerView`

*removed* property: `text` in `MDCBannerView`

*removed* property: `image` in `MDCBannerView`

*removed* property: `numberOfButtons` in `MDCBannerView`

*modified* class: `MDCBannerView`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCBannerView : UIView  @property(nonatomic, copy, nonnull) NSString *text;  @property(nonatomic, strong, nullable) UIImage *image;  // default is nil  @property(nonatomic, assign) NSUInteger numberOfButtons;  // default is 1  /**  The buttons representing the banner's actions.  */ @property(nonatomic, readonly, copy, nonnull) NSArray<MDCButton *> *buttons;  @end` |
| To: | `@interface MDCBannerView : UIView  /**  A view that displays the text on a @c MDCBannerView  The properties of @c textLabel can be used to configure the text shown on @c MDCBannerView.  */ @property(nonatomic, readonly, strong, nonnull) UILabel *textLabel;  /**  A view that displays the image on a @c MDCBannerView.  The properties of @c imageView can be used to configure the image shown on @c MDCBannerView.  If @c imageView 's own property @c image is @c nil, this view won't show on the @c MDCBannerView.  */ @property(nonatomic, readonly, strong, nonnull) UIImageView *imageView;  /**  A leading button that displays on a @c MDCBannerView.  This @c leadingButton is displayed on the leading edge of the view. If it does not fit on the same  row as @c trailingButton, it will be placed above @c trailingButton.  */ @property(nonatomic, readonly, strong, nonnull) MDCButton *leadingButton;  /**s  A trailing button that displays on a @c MDCBannerView.  This @c trailingButton is displayed on the trailing edge of the view. If it does not fit on the  same row as @c leadingButton, it will be placed shows below @c leadingButton.  */ @property(nonatomic, readonly, strong, nonnull) MDCButton *trailingButton;  @end` |

### BottomNavigation

#### MDCBottomNavigationBar

*new* property: `titlesNumberOfLines` in `MDCBottomNavigationBar`

### Buttons

#### MDCButton

*new* property: `mdc_legacyFontScaling` in `MDCButton`

### Cards

#### MDCCardCollectionCell

*new* property: `rippleView` in `MDCCardCollectionCell`

*new* property: `dragged` in `MDCCardCollectionCell`

*new* property: `enableRippleBehavior` in `MDCCardCollectionCell`

*modified* class: `MDCCardCollectionCell`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCCardCollectionCell : UICollectionViewCell  /**  When selectable is set to YES, a tap on a cell will trigger a visual change between selected  and unselected. When it is set to NO, a tap will trigger a normal tap (rather than trigger  different visual selection states on the card).  Default is set to NO.  */ @property(nonatomic, assign, getter=isSelectable) BOOL selectable;  /**  The corner radius for the card  Default is set to 4.  */ @property(nonatomic, assign) CGFloat cornerRadius UI_APPEARANCE_SELECTOR;  /**  The inkView for the card that is initiated on tap  */ @property(nonatomic, readonly, strong, nonnull) MDCInkView *inkView;  /**  This property defines if a card as a whole should be interactable or not.  What this means is that when isInteractable is set to NO, there will be no ink ripple and  no change in shadow elevation when tapped or selected. Also the card container itself will not be  tappable, but any of its subviews will still be tappable.   Default is set to YES.   Important: Our specification for cards explicitly define a card as being an interactable component.  Therefore, this property should be set to NO *only if* there are other interactable items within  the card's content, such as buttons or other tappable controls.  */ @property(nonatomic, getter=isInteractable) IBInspectable BOOL interactable;  /*  The shape generator used to define the card cell's shape.  When set, layer properties such as cornerRadius and other layer properties are nullified/zeroed.  If a layer property is explicitly set after the shapeGenerator has been set, it will lead to  unexpected behavior.   When the shapeGenerator is nil, MDCCardCollectionCell will use the default underlying layer with  its default settings.   Default value for shapeGenerator is nil.  */ @property(nullable, nonatomic, strong) id<MDCShapeGenerating> shapeGenerator;  /**  Sets the shadow elevation for an MDCCardViewState state   @param shadowElevation The shadow elevation  @param state MDCCardCellState the card state  */ - (void)setShadowElevation:(MDCShadowElevation)shadowElevation                   forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the shadow elevation for an MDCCardViewState state   If no elevation has been set for a state, the value for MDCCardCellStateNormal will be returned.  Default value for MDCCardCellStateNormal is 1  Default value for MDCCardCellStateHighlighted is 8  Default value for MDCCardCellStateSelected is 8   @param state MDCCardCellStateNormal the card state  @return The shadow elevation for the requested state.  */ - (MDCShadowElevation)shadowElevationForState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Sets the border width for an MDCCardViewState state   @param borderWidth The border width  @param state MDCCardCellState the card state  */ - (void)setBorderWidth:(CGFloat)borderWidth forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the border width for an MDCCardCellState state   If no border width has been set for a state, the value for MDCCardCellStateNormal will be returned.  Default value for MDCCardCellStateNormal is 0   @param state MDCCardCellState the card state  @return The border width for the requested state.  */ - (CGFloat)borderWidthForState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Sets the border color for an MDCCardCellStateNormal state   @param borderColor The border color  @param state MDCCardCellState the card state  */ - (void)setBorderColor:(nullable UIColor *)borderColor               forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the border color for an MDCCardCellStateNormal state   If no border color has been set for a state, it will check the value of UIControlStateNormal.  If that value also isn't set, then nil will be returned.   @param state MDCCardCellState the card state  @return The border color for the requested state.  */ - (nullable UIColor *)borderColorForState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Sets the shadow color for an MDCCardCellStateNormal state   @param shadowColor The shadow color  @param state MDCCardCellState the card state  */ - (void)setShadowColor:(nullable UIColor *)shadowColor               forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the shadow color for an MDCCardCellStateNormal state   If no color has been set for a state, the value for MDCCardViewStateNormal will be returned.  Default value for MDCCardCellStateNormal is blackColor   @param state MDCCardCellState the card state  @return The shadow color for the requested state.  */ - (nullable UIColor *)shadowColorForState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the image for an MDCCardCellStateNormal state.   @note The image is only displayed when `selectable` is YES.  If no image has been set for a state, it will check the value of UIControlStateNormal.  If that value also isn't set, then nil will be returned.  Default value for MDCCardCellStateSelected is ic_check_circle   @param state MDCCardCellState the card state  @return The image for the requested state.  */ - (nullable UIImage *)imageForState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Sets the image for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  @param image The image  @param state MDCCardCellState the card state  */ - (void)setImage:(nullable UIImage *)image forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the horizontal image alignment for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  If no alignment has been set for a state, it will check the value of UIControlStateNormal.  If that value also isn't set, then MDCCardCellImageHorizontalAlignmentRight will be returned.   @param state MDCCardCellState the card state  @return The horizontal alignment for the requested state.  */ - (MDCCardCellHorizontalImageAlignment)horizontalImageAlignmentForState:(MDCCardCellState)state     UI_APPEARANCE_SELECTOR;  /**  Sets the image alignment for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  @param horizontalImageAlignment The image alignment  @param state MDCCardCellState the card state  */ - (void)setHorizontalImageAlignment:(MDCCardCellHorizontalImageAlignment)horizontalImageAlignment                            forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the vertical image alignment for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  If no alignment has been set for a state, it will check the value of UIControlStateNormal.  If that value also isn't set, then MDCCardCellImageVerticalAlignmentTop will be returned.   @param state MDCCardCellState the card state  @return The vertical alignment for the requested state.  */ - (MDCCardCellVerticalImageAlignment)verticalImageAlignmentForState:(MDCCardCellState)state     UI_APPEARANCE_SELECTOR;  /**  Sets the image alignment for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  @param verticalImageAlignment The image alignment  @param state MDCCardCellState the card state  */ - (void)setVerticalImageAlignment:(MDCCardCellVerticalImageAlignment)verticalImageAlignment                          forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the image tint color for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  If no tint color has been set for a state, it will check the value of UIControlStateNormal.  If that value also isn't set, then nil will be returned.   @param state MDCCardCellState the card state  @return The image tint color for the requested state.  */ - (nullable UIColor *)imageTintColorForState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Sets the image tint color for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  @param imageTintColor The image tint color  @param state MDCCardCellState the card state  */ - (void)setImageTintColor:(nullable UIColor *)imageTintColor                  forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  The state of the card cell.  Default is MDCCardCellStateNormal.  */ @property(nonatomic, readonly) MDCCardCellState state;  @end` |
| To: | `@interface MDCCardCollectionCell : UICollectionViewCell  /**  When selectable is set to YES, a tap on a cell will trigger a visual change between selected  and unselected. When it is set to NO, a tap will trigger a normal tap (rather than trigger  different visual selection states on the card).  Default is set to NO.  */ @property(nonatomic, assign, getter=isSelectable) BOOL selectable;  /**  A Boolean value indicating whether the card is in the dragged state.  */ @property(nonatomic, getter=isDragged) BOOL dragged;  /**  The corner radius for the card  Default is set to 4.  */ @property(nonatomic, assign) CGFloat cornerRadius UI_APPEARANCE_SELECTOR;  /**  The inkView for the card that is initiated on tap  */ @property(nonatomic, readonly, strong, nonnull) MDCInkView *inkView;  /**  The rippleView for the card that is initiated on tap. The ripple view is the successor of ink  view, and can be used by setting `enableRippleBehavior` to YES after initializing the card.  */ @property(nonatomic, readonly, strong, nonnull) MDCStatefulRippleView *rippleView;  /**  This property defines if a card as a whole should be interactable or not.  What this means is that when isInteractable is set to NO, there will be no ink ripple and  no change in shadow elevation when tapped or selected. Also the card container itself will not be  tappable, but any of its subviews will still be tappable.   Default is set to YES.   Important: Our specification for cards explicitly define a card as being an interactable component.  Therefore, this property should be set to NO *only if* there are other interactable items within  the card's content, such as buttons or other tappable controls.  */ @property(nonatomic, getter=isInteractable) IBInspectable BOOL interactable;  /*  The shape generator used to define the card cell's shape.  When set, layer properties such as cornerRadius and other layer properties are nullified/zeroed.  If a layer property is explicitly set after the shapeGenerator has been set, it will lead to  unexpected behavior.   When the shapeGenerator is nil, MDCCardCollectionCell will use the default underlying layer with  its default settings.   Default value for shapeGenerator is nil.  */ @property(nullable, nonatomic, strong) id<MDCShapeGenerating> shapeGenerator;  /**  By setting this property to YES, you will enable and use inkView's successor rippleView as the  main view to provide visual feedback for taps. It is recommended to set this property right after  initializing the card.   Defaults to NO.  */ @property(nonatomic, assign) BOOL enableRippleBehavior;  /**  Sets the shadow elevation for an MDCCardViewState state   @param shadowElevation The shadow elevation  @param state MDCCardCellState the card state  */ - (void)setShadowElevation:(MDCShadowElevation)shadowElevation                   forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the shadow elevation for an MDCCardViewState state   If no elevation has been set for a state, the value for MDCCardCellStateNormal will be returned.  Default value for MDCCardCellStateNormal is 1  Default value for MDCCardCellStateHighlighted is 8  Default value for MDCCardCellStateSelected is 8   @param state MDCCardCellStateNormal the card state  @return The shadow elevation for the requested state.  */ - (MDCShadowElevation)shadowElevationForState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Sets the border width for an MDCCardViewState state   @param borderWidth The border width  @param state MDCCardCellState the card state  */ - (void)setBorderWidth:(CGFloat)borderWidth forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the border width for an MDCCardCellState state   If no border width has been set for a state, the value for MDCCardCellStateNormal will be returned.  Default value for MDCCardCellStateNormal is 0   @param state MDCCardCellState the card state  @return The border width for the requested state.  */ - (CGFloat)borderWidthForState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Sets the border color for an MDCCardCellStateNormal state   @param borderColor The border color  @param state MDCCardCellState the card state  */ - (void)setBorderColor:(nullable UIColor *)borderColor               forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the border color for an MDCCardCellStateNormal state   If no border color has been set for a state, it will check the value of UIControlStateNormal.  If that value also isn't set, then nil will be returned.   @param state MDCCardCellState the card state  @return The border color for the requested state.  */ - (nullable UIColor *)borderColorForState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Sets the shadow color for an MDCCardCellStateNormal state   @param shadowColor The shadow color  @param state MDCCardCellState the card state  */ - (void)setShadowColor:(nullable UIColor *)shadowColor               forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the shadow color for an MDCCardCellStateNormal state   If no color has been set for a state, the value for MDCCardViewStateNormal will be returned.  Default value for MDCCardCellStateNormal is blackColor   @param state MDCCardCellState the card state  @return The shadow color for the requested state.  */ - (nullable UIColor *)shadowColorForState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the image for an MDCCardCellStateNormal state.   @note The image is only displayed when `selectable` is YES.  If no image has been set for a state, it will check the value of UIControlStateNormal.  If that value also isn't set, then nil will be returned.  Default value for MDCCardCellStateSelected is ic_check_circle   @param state MDCCardCellState the card state  @return The image for the requested state.  */ - (nullable UIImage *)imageForState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Sets the image for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  @param image The image  @param state MDCCardCellState the card state  */ - (void)setImage:(nullable UIImage *)image forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the horizontal image alignment for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  If no alignment has been set for a state, it will check the value of UIControlStateNormal.  If that value also isn't set, then MDCCardCellImageHorizontalAlignmentRight will be returned.   @param state MDCCardCellState the card state  @return The horizontal alignment for the requested state.  */ - (MDCCardCellHorizontalImageAlignment)horizontalImageAlignmentForState:(MDCCardCellState)state     UI_APPEARANCE_SELECTOR;  /**  Sets the image alignment for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  @param horizontalImageAlignment The image alignment  @param state MDCCardCellState the card state  */ - (void)setHorizontalImageAlignment:(MDCCardCellHorizontalImageAlignment)horizontalImageAlignment                            forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the vertical image alignment for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  If no alignment has been set for a state, it will check the value of UIControlStateNormal.  If that value also isn't set, then MDCCardCellImageVerticalAlignmentTop will be returned.   @param state MDCCardCellState the card state  @return The vertical alignment for the requested state.  */ - (MDCCardCellVerticalImageAlignment)verticalImageAlignmentForState:(MDCCardCellState)state     UI_APPEARANCE_SELECTOR;  /**  Sets the image alignment for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  @param verticalImageAlignment The image alignment  @param state MDCCardCellState the card state  */ - (void)setVerticalImageAlignment:(MDCCardCellVerticalImageAlignment)verticalImageAlignment                          forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Returns the image tint color for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  If no tint color has been set for a state, it will check the value of UIControlStateNormal.  If that value also isn't set, then nil will be returned.   @param state MDCCardCellState the card state  @return The image tint color for the requested state.  */ - (nullable UIColor *)imageTintColorForState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  Sets the image tint color for an MDCCardCellStateNormal state   @note The image is only displayed when `selectable` is YES.  @param imageTintColor The image tint color  @param state MDCCardCellState the card state  */ - (void)setImageTintColor:(nullable UIColor *)imageTintColor                  forState:(MDCCardCellState)state UI_APPEARANCE_SELECTOR;  /**  The state of the card cell.  Default is MDCCardCellStateNormal.  */ @property(nonatomic, readonly) MDCCardCellState state;  @end` |

#### MDCCard

*new* property: `rippleView` in `MDCCard`

*new* property: `enableRippleBehavior` in `MDCCard`

*modified* class: `MDCCard`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCCard : UIControl  /**  The corner radius for the card  Default is set to 4.  */ @property(nonatomic, assign) CGFloat cornerRadius UI_APPEARANCE_SELECTOR;  /**  The inkView for the card that is initiated on tap  */ @property(nonatomic, readonly, strong, nonnull) MDCInkView *inkView;  /**  This property defines if a card as a whole should be interactable or not.  What this means is that when isInteractable is set to NO, there will be no ink ripple and  no change in shadow elevation when tapped or selected. Also the card container itself will not be  tappable, but any of its subviews will still be tappable.   Default is set to YES.   Important: Our specification for cards explicitly define a card as being an interactable component.  Therefore, this property should be set to NO *only if* there are other interactable items within  the card's content, such as buttons or other tappable controls.  */ @property(nonatomic, getter=isInteractable) IBInspectable BOOL interactable;  /**  Sets the shadow elevation for an UIControlState state   @param shadowElevation The shadow elevation  @param state UIControlState the card state  */ - (void)setShadowElevation:(MDCShadowElevation)shadowElevation                   forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Returns the shadow elevation for an UIControlState state   If no elevation has been set for a state, the value for UIControlStateNormal will be returned.  Default value for UIControlStateNormal is 1  Default value for UIControlStateHighlighted is 8   @param state UIControlState the card state  @return The shadow elevation for the requested state.  */ - (MDCShadowElevation)shadowElevationForState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Sets the border width for an UIControlState state   @param borderWidth The border width  @param state UIControlState the card state  */ - (void)setBorderWidth:(CGFloat)borderWidth forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Returns the border width for an UIControlState state   If no border width has been set for a state, the value for UIControlStateNormal will be returned.  Default value for UIControlStateNormal is 0   @param state UIControlState the card state  @return The border width for the requested state.  */ - (CGFloat)borderWidthForState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Sets the border color for an UIControlState state   @param borderColor The border color  @param state UIControlState the card state  */ - (void)setBorderColor:(nullable UIColor *)borderColor               forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Returns the border color for an UIControlState state   If no border color has been set for a state, it will check the value of UIControlStateNormal.  If that value also isn't set, then nil will be returned.   @param state UIControlState the card state  @return The border color for the requested state.  */ - (nullable UIColor *)borderColorForState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Sets the shadow color for an UIControlState state   @param shadowColor The shadow color  @param state UIControlState the card state  */ - (void)setShadowColor:(nullable UIColor *)shadowColor               forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Returns the shadow color for an UIControlState state   If no color has been set for a state, the value for MDCCardViewStateNormal will be returned.  Default value for UIControlStateNormal is blackColor   @param state UIControlState the card state  @return The shadow color for the requested state.  */ - (nullable UIColor *)shadowColorForState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  The shape generator used to define the card's shape.  When set, layer properties such as cornerRadius and other layer properties are nullified/zeroed.  If a layer property is explicitly set after the shapeGenerator has been set, it will lead to  unexpected behavior.   When the shapeGenerator is nil, MDCCard will use the default underlying layer with  its default settings.   Default value for shapeGenerator is nil.  */ @property(nullable, nonatomic, strong) id<MDCShapeGenerating> shapeGenerator;  @end` |
| To: | `@interface MDCCard : UIControl  /**  The corner radius for the card  Default is set to 4.  */ @property(nonatomic, assign) CGFloat cornerRadius UI_APPEARANCE_SELECTOR;  /**  The inkView for the card that is initiated on tap  */ @property(nonatomic, readonly, strong, nonnull) MDCInkView *inkView;  /**  The rippleView for the card that is initiated on tap. The ripple view is the successor of ink  view, and can be used by setting `enableRippleBehavior` to YES after initializing the card.  */ @property(nonatomic, readonly, strong, nonnull) MDCStatefulRippleView *rippleView;  /**  This property defines if a card as a whole should be interactable or not.  What this means is that when isInteractable is set to NO, there will be no ink ripple and  no change in shadow elevation when tapped or selected. Also the card container itself will not be  tappable, but any of its subviews will still be tappable.   Default is set to YES.   Important: Our specification for cards explicitly define a card as being an interactable component.  Therefore, this property should be set to NO *only if* there are other interactable items within  the card's content, such as buttons or other tappable controls.  */ @property(nonatomic, getter=isInteractable) IBInspectable BOOL interactable;  /**  By setting this property to YES, you will enable and use inkView's successor rippleView as the  main view to provide visual feedback for taps. It is recommended to set this property right after  initializing the card.   Defaults to NO.  */ @property(nonatomic, assign) BOOL enableRippleBehavior;  /**  Sets the shadow elevation for an UIControlState state   @param shadowElevation The shadow elevation  @param state UIControlState the card state  */ - (void)setShadowElevation:(MDCShadowElevation)shadowElevation                   forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Returns the shadow elevation for an UIControlState state   If no elevation has been set for a state, the value for UIControlStateNormal will be returned.  Default value for UIControlStateNormal is 1  Default value for UIControlStateHighlighted is 8   @param state UIControlState the card state  @return The shadow elevation for the requested state.  */ - (MDCShadowElevation)shadowElevationForState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Sets the border width for an UIControlState state   @param borderWidth The border width  @param state UIControlState the card state  */ - (void)setBorderWidth:(CGFloat)borderWidth forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Returns the border width for an UIControlState state   If no border width has been set for a state, the value for UIControlStateNormal will be returned.  Default value for UIControlStateNormal is 0   @param state UIControlState the card state  @return The border width for the requested state.  */ - (CGFloat)borderWidthForState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Sets the border color for an UIControlState state   @param borderColor The border color  @param state UIControlState the card state  */ - (void)setBorderColor:(nullable UIColor *)borderColor               forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Returns the border color for an UIControlState state   If no border color has been set for a state, it will check the value of UIControlStateNormal.  If that value also isn't set, then nil will be returned.   @param state UIControlState the card state  @return The border color for the requested state.  */ - (nullable UIColor *)borderColorForState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Sets the shadow color for an UIControlState state   @param shadowColor The shadow color  @param state UIControlState the card state  */ - (void)setShadowColor:(nullable UIColor *)shadowColor               forState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /**  Returns the shadow color for an UIControlState state   If no color has been set for a state, the value for MDCCardViewStateNormal will be returned.  Default value for UIControlStateNormal is blackColor   @param state UIControlState the card state  @return The shadow color for the requested state.  */ - (nullable UIColor *)shadowColorForState:(UIControlState)state UI_APPEARANCE_SELECTOR;  /*  The shape generator used to define the card's shape.  When set, layer properties such as cornerRadius and other layer properties are nullified/zeroed.  If a layer property is explicitly set after the shapeGenerator has been set, it will lead to  unexpected behavior.   When the shapeGenerator is nil, MDCCard will use the default underlying layer with  its default settings.   Default value for shapeGenerator is nil.  */ @property(nullable, nonatomic, strong) id<MDCShapeGenerating> shapeGenerator;  @end` |

### FeatureHighlight

#### MDCFeatureHighlightView

*new* property: `mdc_legacyFontScaling` in `MDCFeatureHighlightView`

*modified* class: `MDCFeatureHighlightView`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCFeatureHighlightView : UIView  @property(nonatomic, strong, nullable) UIColor *innerHighlightColor UI_APPEARANCE_SELECTOR; @property(nonatomic, strong, nullable) UIColor *outerHighlightColor UI_APPEARANCE_SELECTOR;  @property(nonatomic, strong, nullable) UIFont *titleFont UI_APPEARANCE_SELECTOR; @property(nonatomic, strong, nullable) UIColor *titleColor UI_APPEARANCE_SELECTOR;  @property(nonatomic, strong, nullable) UIFont *bodyFont UI_APPEARANCE_SELECTOR; @property(nonatomic, strong, nullable) UIColor *bodyColor UI_APPEARANCE_SELECTOR;  /*  Indicates whether the view's contents should automatically update their font when the device’s  UIContentSizeCategory changes.   This property is modeled after the adjustsFontForContentSizeCategory property in the  UIContentSizeCategoryAdjusting protocol added by Apple in iOS 10.0.   Default value is NO.  */ @property(nonatomic, readwrite, setter=mdc_setAdjustsFontForContentSizeCategory:)     BOOL mdc_adjustsFontForContentSizeCategory UI_APPEARANCE_SELECTOR;  @end` |
| To: | `@interface MDCFeatureHighlightView : UIView  @property(nonatomic, strong, nullable) UIColor *innerHighlightColor UI_APPEARANCE_SELECTOR; @property(nonatomic, strong, nullable) UIColor *outerHighlightColor UI_APPEARANCE_SELECTOR;  @property(nonatomic, strong, nullable) UIFont *titleFont UI_APPEARANCE_SELECTOR; @property(nonatomic, strong, nullable) UIColor *titleColor UI_APPEARANCE_SELECTOR;  @property(nonatomic, strong, nullable) UIFont *bodyFont UI_APPEARANCE_SELECTOR; @property(nonatomic, strong, nullable) UIColor *bodyColor UI_APPEARANCE_SELECTOR;  /*  Indicates whether the view's contents should automatically update their font when the device’s  UIContentSizeCategory changes.   This property is modeled after the adjustsFontForContentSizeCategory property in the  UIContentSizeCategoryAdjusting protocol added by Apple in iOS 10.0.   Default value is NO.  */ @property(nonatomic, readwrite, setter=mdc_setAdjustsFontForContentSizeCategory:)     BOOL mdc_adjustsFontForContentSizeCategory UI_APPEARANCE_SELECTOR;  /**  Enable legacy font scaling curves for Dynamic Type  Default value is NO.  */ @property(nonatomic, readwrite, setter=mdc_setLegacyFontScaling:) BOOL mdc_legacyFontScaling;  @end` |

#### MDCFeatureHighlightViewController

*new* property: `mdc_legacyFontScaling` in `MDCFeatureHighlightViewController`

### Ripple

#### MDCRippleTouchController

*new* method: `-addRippleToView:` in `MDCRippleTouchController`

*modified* method: `-init` in `MDCRippleTouchController`

| Type of change: | key.always_unavailable |
|---|---|
| From: | `1` |
| To: | `0` |

#### MDCRippleTouchControllerDelegate

*new* method: `-rippleTouchController:insertRippleView:intoView:` in `MDCRippleTouchControllerDelegate`

## Component changes

## Changes

### AppBar

* [Add new Dragons example for incorrect insets during animation (#6971)](https://github.com/material-components/material-components-ios/commit/8b9dc9279d0734ed573464da2abbe88864a3e99f) (Brian Moore)

### BottomNavigation

* [Add multi-line title support. (#6999)](https://github.com/material-components/material-components-ios/commit/1e5f957ed7a842a433b5db2f91afdb8ca729b918) (Robert Moore)
* [Extract common Snapshot consts. (#7004)](https://github.com/material-components/material-components-ios/commit/ec75b7c87151e0879d006918869ea25013962e38) (Robert Moore)
* [Split snapshot tests. (#6997)](https://github.com/material-components/material-components-ios/commit/a0d0c1d0460668bf20a7775a30f97c84f0f885a2) (Robert Moore)

### Buttons

* [Don't make Buttons example launch screen. (#7016)](https://github.com/material-components/material-components-ios/commit/dc247af636c1735a5aeb3f3b465b65bf2d6f413b) (Robert Moore)
* [New Dynamic Type curves (#7003)](https://github.com/material-components/material-components-ios/commit/3ed0f80d6fd0ee42136eea699b8774a99419ed1e) (ianegordon)

### FeatureHighlight

* [New Dynamic Type curves (#6947)](https://github.com/material-components/material-components-ios/commit/861ad202a36d6f4d67c48a0fba6d062c100e9c3b) (ianegordon)

### Ripple

* [Added additional unit and snapshot tests (#6992)](https://github.com/material-components/material-components-ios/commit/f7f792b513066fd68f77dd000f2f83d65fc6c240) (Yarden Eitan)
* [Additional documentation for Ripple and its classes (#6996)](https://github.com/material-components/material-components-ios/commit/2f4a9b5a04fe15727b6690ef7603b6d04316dba6) (Yarden Eitan)
* [Adds additional API of adding the Ripple to a view and its position in the view hierarchy. (#6983)](https://github.com/material-components/material-components-ios/commit/60c3eea9ceb89f2e8ec5dfe4dc894fc32dc92821) (Yarden Eitan)
* [Graduate Ripple to Ready. (#7000)](https://github.com/material-components/material-components-ios/commit/ba8269c13ee7d7bb6b4441f83ca3c11a26829421) (Yarden Eitan)

### Tabs

* [Add Badge view (#6980)](https://github.com/material-components/material-components-ios/commit/4922c65365d9f0dfb8dc533bf0b6c15365b01214) (Robert Moore)
* [Add badge snapshot tests. (#6978)](https://github.com/material-components/material-components-ios/commit/9ecb30caf26feac2c68ab6bbdf31ac16d0f1660f) (Robert Moore)
* [Add badgeColor snapshot tests (#6990)](https://github.com/material-components/material-components-ios/commit/5bf68ae1486a055146ef807a92525415c9564abb) (Robert Moore)

---

# 80.0.0

This major release introduces Dynamic Type support for Typography Schemes as well as
UIFontMetrics-like support for Dynamic Type for Material Typography. It also includes snapshot tests
for additional components and less-restrictive badging for Tabs.

## Breaking changes

`MDCTypographyScheming` has a new non-optional API, `mdc_adjustsFontForContentSizeCategory` that is
`YES` if the returned fonts should use the new Dynamic Type APIs available from Material Typography.
Existing implementations may wish to migrate (at least initially) by returning `NO` as a read-only
value until support can be added.

```objc
- (void)mdc_adjustsFontForContentSizeCategory {
  return NO;
}
```

```swift
public var mdc_adjustsFontForContentSizeCategory: Bool {
  return false;
}
```

## New features

### Improved Dynamic Type Support

The Typography and TypographyScheme components have been updated for improved Dynamic Type support.
Most clients will make use of this support through MDCTypographyScheme, though it is possible
to create scalable fonts manually via MDCFontScaler within Typography.  The new scaling curves have
been updated for last year's refresh of Material Design typography and font values.

#### Objective-C

```objc
// Typography Scheme is the most typical way to receive scalable fonts.
MDCTypographyScheme *typographyScheme = [[MDCTypographyScheme alloc] initWithDefaults:MDCTypographySchemeDefaultsMaterial201902];
UIFont *scaledBody1Font = [typographyScheme.body1 mdc_scaledFontForCurrentSizeCategory];

// If Typography Schemes aren't used, it's possible to create the fonts manually.
// Initial set-up to apply scaling curves to a base UIFont.
UIFont *baseFont = [UIFont systemFontOfSize:18.0];
MDCFontScaler *body2Scaler = [[MDCFontScaler alloc] initForMaterialTextStyle:MDCTextStyleBody2];
UIFont *scalableFont = [body2Scaler scaledFontWithFont:baseFont];

// Now UIFonts appropriate for Dynamic Type size categories can be created anywhere.
UIFont *baseFontScaledToDefault = [scalableFont mdc_scaledFontAtDefaultSize];
UIFont *baseFontScaledForExtraLarge = [scalableFont mdc_scaledFontForSizeCategory:UIContentSizeCategoryExtraLarge];
UIFont *baseFontScaledForCurrentSizeCategory = [scalableFont mdc_scaledFontForCurrentSizeCategory];

```

#### Swift

```swift
// Typography Scheme is the most typical way to receive scalable fonts.
let typographyScheme = MDCTypographyScheme(defaults: .material201902)
let scaledBody1Font = typographyScheme.body1.mdc_scaledFontForCurrentSizeCategory()

// If Typography Schemes aren't used, it's possible to create the fonts manually.
// Initial set-up to apply scaling curves to a base UIFont.
let baseFont = UIFont.systemFont(ofSize: 18)
let body2Scaler = MDCFontScaler(forMaterialTextStyle: .body2)
let scalableFont = body2Scaler.scaledFont(with: baseFont)

// Now UIFonts appropriate for Dynamic Type size categories can be created anywhere.
let baseFontScaledToDefault = scalableFont.mdc_scaledFontAtDefaultSize()
let baseFontScaledForExtraLarge = scalableFont.mdc_scaledFont(forSizeCategory: .extraLarge)
let baseFontScaledForCurrentSizeCategory = scalableFont.mdc_scaledFontForCurrentSizeCategory()
```

## API changes

### Typography

#### MDCTextStyleButton

*new* constant: `MDCTextStyleButton`

#### MDCTextStyleCaption

*new* constant: `MDCTextStyleCaption`

#### MDCTextStyleSubtitle2

*new* constant: `MDCTextStyleSubtitle2`

#### MDCTextStyleSubtitle1

*new* constant: `MDCTextStyleSubtitle1`

#### MDCTextStyleBody1

*new* constant: `MDCTextStyleBody1`

#### UIFont(MaterialScalable)

*new* method: `-mdc_scaledFontForCurrentSizeCategory` in `UIFont(MaterialScalable)`

*new* method: `-mdc_scaledFontAtDefaultSize` in `UIFont(MaterialScalable)`

*new* method: `-mdc_scaledFontForSizeCategory:` in `UIFont(MaterialScalable)`

*new* category: `UIFont(MaterialScalable)`

*new* property: `mdc_scalingCurve` in `UIFont(MaterialScalable)`

#### MDCFontScaler

*new* class method: `+scalerForMaterialTextStyle:` in `MDCFontScaler`

*new* method: `-scaledValueForValue:` in `MDCFontScaler`

*new* class: `MDCFontScaler`

*new* method: `-init` in `MDCFontScaler`

*new* method: `-initForMaterialTextStyle:` in `MDCFontScaler`

*new* method: `-scaledFontWithFont:` in `MDCFontScaler`

#### MDCTextStyleHeadline4

*new* constant: `MDCTextStyleHeadline4`

#### MDCTextStyleHeadline3

*new* constant: `MDCTextStyleHeadline3`

#### MDCTextStyleHeadline2

*new* constant: `MDCTextStyleHeadline2`

#### MDCTextStyleHeadline6

*new* constant: `MDCTextStyleHeadline6`

#### MDCTextStyleBody2

*new* constant: `MDCTextStyleBody2`

#### MDCTextStyle

*new* typedef: `MDCTextStyle`

#### MDCTextStyleOverline

*new* constant: `MDCTextStyleOverline`

#### MDCTextStyleHeadline1

*new* constant: `MDCTextStyleHeadline1`

#### MDCTextStyleHeadline5

*new* constant: `MDCTextStyleHeadline5`

### TypographyScheme

#### MDCTypographySchemeDefaults

*new* enum value: `MDCTypographySchemeDefaultsMaterial201902` in `MDCTypographySchemeDefaults`

#### MDCTypographyScheme

*new* property: `mdc_adjustsFontForContentSizeCategory` in `MDCTypographyScheme`

#### MDCTypographyScheming

*new* property: `mdc_adjustsFontForContentSizeCategory` in `MDCTypographyScheming`

## Component changes

## Changes

### ActivityIndicator

* [Deflake snapshot tests. (#6934)](https://github.com/material-components/material-components-ios/commit/63f0da31e5eb9cb98c7e342a0838c796a4620fc6) (Robert Moore)

### AppBar

* [Fix README code snippet (#6969)](https://github.com/material-components/material-components-ios/commit/b62e576b9c844be60d84f22207d2c41f0bb6a517) (Robert Moore)
* [Refactor AppBar example table views (#6974)](https://github.com/material-components/material-components-ios/commit/b03820da60a136388993e8422f5523aec718f31c) (Brian Moore)

### Buttons

* [Fix `accessibilityTraits` in init. (#6948)](https://github.com/material-components/material-components-ios/commit/89858253e246652b94a58dfefe94971cee9b1140) (Robert Moore)

### HeaderStackView

* [Add basic Snapshot tests. (#6923)](https://github.com/material-components/material-components-ios/commit/02b52f29c437e3bf4208cc3fd0091d07f92b9121) (Robert Moore)

### Ripple

* [Remove manipulation of clipping for the ripple's superview (#6977)](https://github.com/material-components/material-components-ios/commit/d332652b7566c90695972fbca3949aedebbe819c) (Yarden Eitan)

### ShapeLibrary

* [Add basic Snapshot tests. (#6918)](https://github.com/material-components/material-components-ios/commit/d61d1b2ff8c5c052faa6c0a456637231b8f4b1fc) (Robert Moore)

### Shapes

* [Add basic Snapshot tests. (#6919)](https://github.com/material-components/material-components-ios/commit/ac4b4eafcdd8a6e87336737d349c0bb499770ac5) (Robert Moore)

### Tabs

* [Do not truncate badge text on MDCItemBarCell (#6916)](https://github.com/material-components/material-components-ios/commit/c4d823362e016061725dc5ebdf5b4a4970aaa6b0) (Andrew Overton)

### Typography

* [Add Font Scaler (#6871)](https://github.com/material-components/material-components-ios/commit/80db06984b36d5e00028a4016f05b136004f7540) (ianegordon)

### schemes/Typography

* [Add new typography scheme with scalable fonts (#6873)](https://github.com/material-components/material-components-ios/commit/96a741b3150ae583968e32c6ac096113e75af0de) (ianegordon)

---

# 79.3.0

This minor release fixes a bug in MDCButton's `accessibilityTraits` value. A recent change introduced
a bug that disabled the default behavior of `accessibilityTraits` and so they would not
automatically be updated when the button was disabled.

## Changes

### Buttons

* [Fix `accessibilityTraits` in init. (#6948)](https://github.com/material-components/material-components-ios/commit/f8ffee0ad992930e94e39155a6848546a4284d58) (Robert Moore)

---

# 79.2.0

This minor release introduces a bug fix and new API to Flexible Header, Beta Theming Extensions for
App Bar and Text Fields, and additional component snapshot tests.

## New features

MDCFlexibleHeaderView has a new API that can be called from UIScrollViewDelegates to notify it of
updated adjusted content inset values.

```swift
func scrollViewDidChangeAdjustedContentInset(_ scrollView: UIScrollView) {
    if #available(iOS 11.0, *) {
      self.appBarViewController.headerView.trackingScrollDidChangeAdjustedContentInset(scrollView)
    }
  }
```

```objc
- (void)scrollViewDidChangeAdjustedContentInset:(UIScrollView *)scrollView {
  if (@available(iOS 11.0, *)) {
    [self.appBarViewController.headerView
        trackingScrollViewDidChangeAdjustedContentInset:scrollView];
  }
}
```

## API changes

### AppBar+MaterialTheming

**New extension.**

### FlexibleHeader

#### MDCFlexibleHeaderView

*new* method: `-trackingScrollViewDidChangeAdjustedContentInset:` in `MDCFlexibleHeaderView`

#### MDCFlexibleHeaderView()

*new* category: `MDCFlexibleHeaderView()`

*removed* category: `MDCFlexibleHeaderView()`

*modified* property: `contentView` in `MDCFlexibleHeaderView()`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(ext)MDCFlexibleHeaderView@MDCFlexibleHeaderView.h@14987` |
| To: | `c:objc(ext)MDCFlexibleHeaderView@MDCFlexibleHeaderView.h@15448` |

### TextFields+Theming

**New extension.**


## Changes

### ActionSheet

* [Add basic Snapshot tests. (#6917)](https://github.com/material-components/material-components-ios/commit/a77ea5cd483b76374d4ee486f7d9f56bf414bd86) (Robert Moore)

### AppBar

* [Add theming extension for MDCAppBarViewController (#6903)](https://github.com/material-components/material-components-ios/commit/61e6c07f6a46f7e10cc68e3ea79ae2b66d890487) (Robert Moore)

### BottomNavigation

* [Fix image updates in ItemView (#6847)](https://github.com/material-components/material-components-ios/commit/5d699448d177b979003a73651ee3d96f9e4f324c) (Robert Moore)
* [More snapshots for item icons. (#6855)](https://github.com/material-components/material-components-ios/commit/8ec03eba0523b08a9cdc60817a93cacce82c6469) (Robert Moore)
* [Restore examples titles. (#6869)](https://github.com/material-components/material-components-ios/commit/0c51470c5b35c14596e4855f23786c7d19ad466e) (Robert Moore)
* [Snapshot test for selection bug (#6843)](https://github.com/material-components/material-components-ios/commit/f8e7a0aa46d5e88eacfaec242d0b7bafa3ea1058) (Robert Moore)
* [Split alignment snapshot tests. (#6856)](https://github.com/material-components/material-components-ios/commit/7e5c5eec22ffd138f5db4225a9d0d3cbfebc29f4) (Robert Moore)
* [Use new test icons. (#6898)](https://github.com/material-components/material-components-ios/commit/b9151ecb2b35818dfb02f2f5c9f03d5bbf6be88f) (Robert Moore)

### FlexibleHeader

* [update contentInset when tracked view's adjustedContentInset is changed. (#6868)](https://github.com/material-components/material-components-ios/commit/38f364b8e9af98c765a5e33116617cddf9ddcf82) (Wenyu Zhang)
* [refactor internal helper methods (#6862)](https://github.com/material-components/material-components-ios/commit/4269e8f06c76c53de41ce27b3e7f40b5b695b13a) (Wenyu Zhang)

### Ink

* [Add basic snapshot tests. (#6920)](https://github.com/material-components/material-components-ios/commit/aad941178ad2f3a857b5e6ecfa1aa0a39adc1d95) (Robert Moore)

### ShadowElevations

* [Add basic snapshot tests. (#6829)](https://github.com/material-components/material-components-ios/commit/04aa6c714a0a0493578570a946466d8d9d33c397) (Robert Moore)

### ShadowLayer

* [Add basic Snapshot tests. (#6921)](https://github.com/material-components/material-components-ios/commit/7176a923ed503102c72e2c68ee5f059d4295242f) (Robert Moore)

### TextFields

* [Add a Theming extension for MDCTextInputControllerFilled. (#6870)](https://github.com/material-components/material-components-ios/commit/b6a18f128b22e8a7f1007bdc2ac64c14b2c39cd9) (featherless)

### private/Snapshot

* [Fix test image scale and clipping. (#6899)](https://github.com/material-components/material-components-ios/commit/223a9963d20ff6b69b6164cf648af96304566707) (Robert Moore)
* [Adding 4 more test image styles. (#6897)](https://github.com/material-components/material-components-ios/commit/8c5be9ded22e760d6047d29041949bcd81a40a28) (Robert Moore)

## Multi-component changes

* [Include snapshot tests in examples in Podspec (#6895)](https://github.com/material-components/material-components-ios/commit/f0d42d67df2cf87a373ef42cfb05fec161705ca0) (Wenyu Zhang)
* [Removing nil-coalescing operators per issue #6827 (#6859)](https://github.com/material-components/material-components-ios/commit/1df965508593f68a6312752c54175f6a568e2e1a) (Joe Aguilar)
* [Revert "[Typography] Dynamic Type 2.0 (#6733)" (#6848)](https://github.com/material-components/material-components-ios/commit/861cebe7e1ef77a15e4c1088cba839097da8195f) (ianegordon)

---

# 79.1.1

This patch release fixes a bug in BottomNavigation where the icons were not showing up correctly.

## Bugs closed in this release

- https://github.com/material-components/material-components-ios/issues/6846

## API changes

## Component changes

### BottomNavigation

* [Fix image updates in ItemView (#6847)](https://github.com/material-components/material-components-ios/commit/5fc3a1a068f04ab421eacefd11d97773888a2733) (Robert Moore)
* [More snapshots for item icons. (#6855)](https://github.com/material-components/material-components-ios/commit/3542473fa06251f443161e8522b4635b8a89248b) (Robert Moore)
* [Snapshot test for selection bug (#6843)](https://github.com/material-components/material-components-ios/commit/a42e356a4be6e0227b2a463bdf285a6c7612f8bb) (Robert Moore)

---

# 79.1.0

This minor release increases our snapshot testing coverage and introduces a migration flag for
including `UIAccessibilityTraitButton` in MDCButton's accessibilityTraits.

## New features

It is now possible to set `accessibilityTraits` on MDCButton to a custom value that
does not include `UIAccessibilityTraitButton`. To enable this new behavior you must first set
accessibilityTraitsIncludesButton = NO. This flag will eventually default to NO and then be
deprecated/deleted.

## API changes

### Buttons

#### MDCButton

*new* property: `accessibilityTraitsIncludesButton` in `MDCButton`

## Changes

### ActionSheet

* [Fixes broken action sheet tests. (#6743)](https://github.com/material-components/material-components-ios/commit/fbcf5241615754f6678b80c754b28623e3d3ec2d) (Robert Moore)

### ActivityIndicator

* [Add basic Snapshot tests (#6826)](https://github.com/material-components/material-components-ios/commit/2e5df058e3434b36b7fcc57d4d21425d399ea5e8) (Robert Moore)

### BottomNavigation

* [Clean up internal constants (#6834)](https://github.com/material-components/material-components-ios/commit/585a5f4d30132131d6b8452fc782fe70b00b2828) (Robert Moore)
* [Examples clean-up. (#6718)](https://github.com/material-components/material-components-ios/commit/10ed6188a58a99d2974b4051c67ad3df7a806802) (Robert Moore)
* [Prevents the client from setting the navigation items directly when using the bottom navigation bar controller. (#6773)](https://github.com/material-components/material-components-ios/commit/d049bc882aee1c3ee7318e121630ca33db8a112f) (Eric Lee)

### Buttons

* [Allow setting `accessibilityTraits`. (#6766)](https://github.com/material-components/material-components-ios/commit/66c46649db84d8f772ad5e81abd48c2504cbdd1c) (Robert Moore)

### Collections

* [Clean up interface by removing NS_REQUIRES_SUPER (#6788)](https://github.com/material-components/material-components-ios/commit/921ad6e4db78e74da285413f72f164d2ca91cb5b) (dmaclach)

### List

* [Add basic snapshot tests. (#6822)](https://github.com/material-components/material-components-ios/commit/9e8fdc2d7fc27a3df47781f6ab15c605e3941fed) (Robert Moore)

### NavigationBar

* [Add basic Snapshot tests. (#6821)](https://github.com/material-components/material-components-ios/commit/b1cab54a4fc8c64d7ef2a1f57ddf1b9b8ac90d38) (Robert Moore)

### PageControl

* [Add basic Snapshot tests. (#6823)](https://github.com/material-components/material-components-ios/commit/1d058b155bef49da948bce3245656144f38550c7) (Robert Moore)

### ProgressView

* [Add basic Snapshot tests. (#6825)](https://github.com/material-components/material-components-ios/commit/018e72e3cf69363d85b85d0a87e4dce32b656631) (Robert Moore)

### Ripple

* [Added a fix for the ripple sometimes blinking when ending animation (#6792)](https://github.com/material-components/material-components-ios/commit/6f51d265ad16aab4e5180fe98dda5acaff3d06e9) (Yarden Eitan)
* [update docs (#6772)](https://github.com/material-components/material-components-ios/commit/c2e912df8f7b86c8de47632a4e5b328ca6ad2d59) (Yarden Eitan)

### Snackbar

* [Add basic Snapshot tests. (#6824)](https://github.com/material-components/material-components-ios/commit/951cc57ba0ae83e31965095c1e956d478c9f6fd5) (Robert Moore)
* [Make initialization threadsafe. (#6768)](https://github.com/material-components/material-components-ios/commit/530c7b9b616e0b2592c42682ad67cb79d7c83de0) (Robert Moore)

### Tabs

* [Add basic Snapshot tests. (#6801)](https://github.com/material-components/material-components-ios/commit/dd363f1118679086139f5a92325061ad9e77c8b8) (Robert Moore)
* [Fix badge text truncation bug in MDCItemBarCell (#6786)](https://github.com/material-components/material-components-ios/commit/188f05a75eaec9a97c748dfd4f1e8337385c4d75) (Andrew Overton)

### Typography

* [Add basic Snapshot tests. (#6828)](https://github.com/material-components/material-components-ios/commit/32904609b0996244ec1c702fb1df42b310807e61) (Robert Moore)

## Multi-component changes

* [Dynamic Type 2.0 (#6733)](https://github.com/material-components/material-components-ios/commit/648f2499e80a02de28a545a223cc50f00c715097) (ianegordon)
* [Enable -Wunguarded-availability. (#6776)](https://github.com/material-components/material-components-ios/commit/f17b01c584b02581c8b7fa3e1a03628b8191b0cf) (featherless)
* [Revert "[Typography] Dynamic Type 2.0 (#6733)" (#6848)](https://github.com/material-components/material-components-ios/commit/7f52f35f07a8329f6ebf6a931b28d6acf158855a) (ianegordon)
* [{Tests} Fix font comparison in Objective-C. (#6789)](https://github.com/material-components/material-components-ios/commit/3447c7b719bcdb9ddcbb566c7e491db46b21caeb) (Robert Moore)

---

# 79.0.1

This patch release removes `NS_REQUIRES_SUPER` from several MDCCollectionViewController APIs, removing the requirement to call super.

## API changes

### Collections

#### MDCCollectionViewController

| Type of change: | Declaration |
|---|---|
| From: | `- (void)collectionView:(nonnull UICollectionView *)collectionView     didHighlightItemAtIndexPath:(nonnull NSIndexPath *)indexPath NS_REQUIRES_SUPER;` |
| To: | `- (void)collectionView:(nonnull UICollectionView *)collectionView     didHighlightItemAtIndexPath:(nonnull NSIndexPath *)indexPath;` |

## Component changes

### Collections

* [Clean up interface by removing NS_REQUIRES_SUPER (#6788)](https://github.com/material-components/material-components-ios/commit/4b34568abc92171491b7a058cc97ca22953a3d2b) (dmaclach)

---

# 79.0.0

This major release introduces breaking changes for Swift code that makes use of the MDCContainerScheme and MDCContainerScheming types. It also includes breaking changes for Shapes header files and completes the graduation of Shapes to a production-ready state.

## Breaking changes

MDCContainerScheming's and MDCContainerScheme's colorScheme and typographyScheme are now both nonnull. This change will require changes in Swift code that make use of these APIs.

All Shapes headers have been renamed, dropping their `New` suffix where applicable.

## New features

### BottomNavigation

BottomNavigation has two new properties: `sizeThatFitsIncludesSafeArea` and `barItemsBottomAnchor`.

See [components/BottomNavigation/README.md](components/BottomNavigation/README.md#deprecations) for more details on the `sizeThatFitsIncludesSafeArea` property.

`barItemsBottomAnchor` allows anchoring the Bottom Navigation bar to the safe area layout guide. This API is available on iOS 9.0 and above. Example usage:

```
if (@available(iOS 11.0, *)) {
  [navigationBar.barItemsBottomAnchor
      constraintEqualToAnchor:view.safeAreaLayoutGuide.bottomAnchor]
      .active = YES;
}
```

### FlexibleHeader

`MDCFlexibleHeaderViewController` introduces a new `safeAreaDelegate` that can be used to change which view controller is used when extracting top safe area insets.

## API changes

### BottomNavigation

#### MDCBottomNavigationBar

*new* property: `sizeThatFitsIncludesSafeArea` in `MDCBottomNavigationBar`

*new* property: `barItemsBottomAnchor` in `MDCBottomNavigationBar`

### FlexibleHeader

#### MDCFlexibleHeaderSafeAreaDelegate

*new* method: `-flexibleHeaderViewControllerTopSafeAreaInsetViewController:` in `MDCFlexibleHeaderSafeAreaDelegate`

*new* protocol: `MDCFlexibleHeaderSafeAreaDelegate`

#### MDCFlexibleHeaderViewController

*new* property: `safeAreaDelegate` in `MDCFlexibleHeaderViewController`

### ContainerScheme

#### MDCContainerScheming

*modified* property: `colorScheme` in `MDCContainerScheming`

| Type of change: | Swift declaration |
|---|---|
| From: | `var colorScheme: Any? { get }` |
| To: | `var colorScheme: Any { get }` |

*modified* property: `colorScheme` in `MDCContainerScheming`

| Type of change: | Declaration |
|---|---|
| From: | `@property (readonly, nonatomic, nullable) id colorScheme;` |
| To: | `@property (readonly, nonatomic, nonnull) id colorScheme;` |

*modified* property: `typographyScheme` in `MDCContainerScheming`

| Type of change: | Swift declaration |
|---|---|
| From: | `var typographyScheme: Any? { get }` |
| To: | `var typographyScheme: Any { get }` |

*modified* property: `typographyScheme` in `MDCContainerScheming`

| Type of change: | Declaration |
|---|---|
| From: | `@property (readonly, nonatomic, nullable) id typographyScheme;` |
| To: | `@property (readonly, nonatomic, nonnull) id typographyScheme;` |

#### MDCContainerScheme

*modified* property: `colorScheme` in `MDCContainerScheme`

| Type of change: | Swift declaration |
|---|---|
| From: | `var colorScheme: UnsafeMutablePointer<Int32>? { get set }` |
| To: | `var colorScheme: UnsafeMutablePointer<Int32> { get set }` |

*modified* property: `colorScheme` in `MDCContainerScheme`

| Type of change: | Declaration |
|---|---|
| From: | `@property(nonatomic, nullable, readwrite) MDCSemanticColorScheme *colorScheme` |
| To: | `@property (assign, readwrite, nonatomic, nonnull) int *colorScheme;` |

*modified* property: `shapeScheme` in `MDCContainerScheme`

| Type of change: | Declaration |
|---|---|
| From: | `@property(nonatomic, nullable, readwrite) MDCShapeScheme *shapeScheme` |
| To: | `@property (assign, readwrite, nonatomic, nullable) int *shapeScheme;` |

*modified* property: `typographyScheme` in `MDCContainerScheme`

| Type of change: | Swift declaration |
|---|---|
| From: | `var typographyScheme: UnsafeMutablePointer<Int32>? { get set }` |
| To: | `var typographyScheme: UnsafeMutablePointer<Int32> { get set }` |

*modified* property: `typographyScheme` in `MDCContainerScheme`

| Type of change: | Declaration |
|---|---|
| From: | `@property(nonatomic, nullable, readwrite) MDCTypographyScheme *typographyScheme` |
| To: | `@property (assign, readwrite, nonatomic, nonnull) int *typographyScheme;` |

## Component changes

## Changes

### BottomAppBar

* [hide swift example from Catalog. (#6725)](https://github.com/material-components/material-components-ios/commit/ea0986d30cb9ffd0f9e4dd0ac6c9a6e4a57799dd) (Wenyu Zhang)

### BottomNavigation

* [Make Controller available on iOS 8. (#6719)](https://github.com/material-components/material-components-ios/commit/e553272885f0a3ab00408aec5ffd9cfaa73a3d9a) (Robert Moore)
* [Remove deprecation notice from sizeThatFitsIncludesSafeArea (#6727)](https://github.com/material-components/material-components-ios/commit/b342919ba3d127111fd357f12065bf032fd92328) (featherless)
* [sizeThatFits: ignores safe area (#6717)](https://github.com/material-components/material-components-ios/commit/d58c49c7ec17b93180a45cf1aa1b27a59bc03993) (Robert Moore)

### Dialogs

* [Fix presented corner radius in custom view controllers (#6696)](https://github.com/material-components/material-components-ios/commit/df2a4a8c1d4cc46367ac090441d498e614092e90) (Galia Kaufman)

### FlexibleHeader

* [FlexibleHeader changes (#6748)](https://github.com/material-components/material-components-ios/commit/bb323d9904c9d926d634dc3a5487257cd4415e14) (Andrew Overton)

### NavigationDrawer

* [remove beta references from navigation drawer (#6742)](https://github.com/material-components/material-components-ios/commit/c0911869b50753776de8a9f145fe3ba9544c579d) (Yarden Eitan)

### PageControl

* [Fixes MDCPageControl not properly revealing page indicators. (#6714)](https://github.com/material-components/material-components-ios/commit/0294a87db21c12cb4969255e2e6d9944de04b302) (Yarden Eitan)

## Multi-component changes

* [Add autolayout support (#6612)](https://github.com/material-components/material-components-ios/commit/5ca3f347422050a918125db8f92d391695a0cb99) (Robert Moore)
* [Fix colorScheme and typographyScheme to be nonnull. (#6699)](https://github.com/material-components/material-components-ios/commit/50307bb3308fb7b514a4dc7523d4e45a71440420) (Cody Weaver)
* [Move shapes from components/private to components/ - Part 3 (last part) (#6734)](https://github.com/material-components/material-components-ios/commit/10abd4524dbc3c7ed1ce6aac0ad0ddc24ac7b4a6) (Yarden Eitan)
* [Slight changes to Cards targets + rewrite rules (#6749)](https://github.com/material-components/material-components-ios/commit/1bd173d8a776f9e1f3aedd2894395451c6e144b1) (Andrew Overton)
* [Support titlePositionAdjustment (#6721)](https://github.com/material-components/material-components-ios/commit/60c60b3defba75990fb72ef85f4ffb7830d6d593) (Robert Moore)
* [updated jazzy yaml files to include framework root (#6750)](https://github.com/material-components/material-components-ios/commit/c4d24627ee4f3959b15ebc40bc838601d1a7e45b) (Yarden Eitan)

---

# 78.0.1

In this patch release we have provided a ChipTextField example along with some Beta theming bug fixes.

## Changes

### ActionSheet

* [Removing theming extensions dependency on themers (#6654)](https://github.com/material-components/material-components-ios/commit/c2f6293c67a450d1b185c69cfd4de40be8587cb5) (Cody Weaver)
* [Remove Beta test from Ready component (#6677)](https://github.com/material-components/material-components-ios/commit/96c8a5f6e8efda4b4e29b9848daa52706ae36247) (Cody Weaver)

### Dialogs

* [Fix button font in Theming Extension (#6638)](https://github.com/material-components/material-components-ios/commit/669737f710c4693f3c85c8c369978b45ef187a8b) (Robert Moore)

### Ripple

* [Add Ripple snapshot test target to BUILD file (#6698)](https://github.com/material-components/material-components-ios/commit/19ccf9ca3af70f82e1e266cd136330eb2593896a) (Andrew Overton)

## Multi-component changes

* [Fixing Snapshot Tests (#6618)](https://github.com/material-components/material-components-ios/commit/419d0cc9ca51d2f91e26d8e9fb614c847636e900) (Andrew Overton)
* [Use MDCChipTextFieldScrollView to replace leftView functionality for flexibility and extensibility (#6686)](https://github.com/material-components/material-components-ios/commit/6f26784f86ac9d3b1ee583bc6655e968b690fa54) (Wenyu Zhang)

---

# 78.0.0

This major release promotes the Shape libraries from private to ready, as well as promoting Action Sheet to ready by migrating it from the MaterialComponentsBeta podspec to the MaterialComponents main podspec. Lastly, we've increased our snapshot test coverage across multiple components.

## Breaking changes

Moving both Shape libraries, Shapes and ShapeLibrary, from components/private/ to components/ is a breaking change. Clients need to migrate over and update their imports to point to the new location of the Shape libraries.

## API changes

### ActionSheet

**New component - promoted to Ready.**

### ShapeLibrary

**New component - Migrated to components/ from components/private.**

### Shapes

**New component - Migrated to components/ from components/private.**

## Component changes

## Multi-component breaking changes

* [**Breaking**: Move shapes from components/private to components/ - Part 2 (#6664)](https://github.com/material-components/material-components-ios/commit/25ff47e2484e9ac4f38db7662b8e8d2328c0b11e) (Yarden Eitan)

## Changes

### ActionSheet

* [Promote to Ready (#6613)](https://github.com/material-components/material-components-ios/commit/7614c80c265958c4c5b5e2c8b3f3baaea3b39c11) (Cody Weaver)

### BottomAppBar

* [Fix FAB location when RTL changes. (#6644)](https://github.com/material-components/material-components-ios/commit/ecf420e23e3a427a0a2035acbab7f26dbde5f378) (Robert Moore)
* [Add basic snapshot tests. (#6643)](https://github.com/material-components/material-components-ios/commit/fb8190d8d471a5df78f44429239a29a2d4d7fd5b) (Robert Moore)

### ButtonBar

* [Add basic snapshot tests. (#6662)](https://github.com/material-components/material-components-ios/commit/5ee639cc913eb1f521b54b0f2e70ca5522240ada) (Robert Moore)

### Buttons

* [Add states snapshot tests. (#6639)](https://github.com/material-components/material-components-ios/commit/41612628cc3eb845c8d00d79aef8c981b175bdad) (Robert Moore)

### Cards

* [[Ripple] Integrate the new ripple and states into the Cards component (#6621)](https://github.com/material-components/material-components-ios/commit/136273636d074159a348b6f639148236c0fcfbca) (Yarden Eitan)

### Dialogs

* [add an example for custom dialog view controller themed by theming extension (#6601)](https://github.com/material-components/material-components-ios/commit/6090cd6dad51a541a11287ed3ab3ce00f5e2054e) (Wenyu Zhang)
* [Add snapshot tests to MDCAlertController (#6641)](https://github.com/material-components/material-components-ios/commit/d77f1b3dbbdee8dac13644fb97c38e987c80bdfa) (Robert Moore)

### NavigationDrawer

* [Expose the a11y identifier so it can be reached for testing purposes. (#6659)](https://github.com/material-components/material-components-ios/commit/bc281ff876c2bfcf0ad7b66cb207cd908324cfb5) (Yarden Eitan)
* [add a11y identifier for the nav drawer scrollview (#6629)](https://github.com/material-components/material-components-ios/commit/abec164732570859f14d49a849ec8df0c12bc62b) (Yarden Eitan)

### Ripple

* [[States] Moving touch handling ownership away from the ripple view (#6615)](https://github.com/material-components/material-components-ios/commit/9bdc91dd8930810ec810c88f66f9de493a038943) (Yarden Eitan)

### Shapes

* [shape path nil check (#6616)](https://github.com/material-components/material-components-ios/commit/017b613a7557d9af80f1fb4a5f5b88dd855309c9) (Yarden Eitan)

### Slider

* [Add basic snapshot tests. (#6640)](https://github.com/material-components/material-components-ios/commit/65426c86f9c158753755526b146b511f50265d59) (Robert Moore)

### TextFields

* [Updates to SimpleTextFIeld and InputChipView prototype (#6647)](https://github.com/material-components/material-components-ios/commit/1d7fedd32db9d83ee24f9aaa80f5bc34d98df781) (Andrew Overton)

## Multi-component changes

* [Fix snapshot testing after Cocoapods 1.6.0 update (#6611)](https://github.com/material-components/material-components-ios/commit/fb21536d9f685485793de87f25ad2d4cd43e081e) (Andrew Overton)
* [Revert "[Cocoapods] Fix snapshot testing after Cocoapods 1.6.0 update (#6611)" (#6619)](https://github.com/material-components/material-components-ios/commit/3b1d82a52614973601b92a209f09a0c518a969f9) (Andrew Overton)

---

# 77.0.0

In this release we made improvements to BottomNavigationBar and landed stateful ripple in the ripple (beta) component.

## Breaking changes

### BottomNavigationBar

Removed a deprecated API:
```
@property(nonatomic, assign) UIEdgeInsets itemsContentInsets
```

## New features

### BottomNavigationBar

#### Blur

BottomNavigation can use blur in its background when not fully opaque
```
self.bottomNavBar.backgroundBlurEnabled = YES;
```

#### Long item titles

We automatically truncate titles that go out of bounds but added a flag to allow some clients to still overflow.

```
self.navigationBar.truncatesLongTitles = NO;
```

### Stateful Ripple

We added this new component that simplifies the intersection of states and ripples.

You can set the state of the ripple like so:
```
    statefulRippleView.isRippleHighlighted = true
...
    statefulRippleView.isSelected = true
```
## API changes

### BottomNavigation

#### MDCBottomNavigationBar

*new* property: `backgroundBlurEffectStyle` in `MDCBottomNavigationBar`

*new* property: `backgroundBlurEnabled` in `MDCBottomNavigationBar`

*new* property: `truncatesLongTitles` in `MDCBottomNavigationBar`

*removed* property: `itemsContentInsets` in `MDCBottomNavigationBar`

### Ripple

#### MDCRippleState

*new* enum: `MDCRippleState`

*new* enum value: `MDCRippleStateSelected` in `MDCRippleState`

*new* enum value: `MDCRippleStateDragged` in `MDCRippleState`

*new* enum value: `MDCRippleStateHighlighted` in `MDCRippleState`

*new* enum value: `MDCRippleStateNormal` in `MDCRippleState`

*new* typedef: `MDCRippleState`

#### MDCStatefulRippleView

*new* class: `MDCStatefulRippleView`

*new* method: `-rippleColorForState:` in `MDCStatefulRippleView`

*new* property: `selected` in `MDCStatefulRippleView`

*new* property: `allowsSelection` in `MDCStatefulRippleView`

*new* property: `rippleHighlighted` in `MDCStatefulRippleView`

*new* method: `-setRippleColor:forState:` in `MDCStatefulRippleView`

*new* property: `dragged` in `MDCStatefulRippleView`

## Component changes

## Changes

### BottomNavigation

* [Add blur example (#6589)](https://github.com/material-components/material-components-ios/commit/cbac7a9a48ea8139b289e64d26b8eca8fee428b7) (Robert Moore)
* [Badge size grows with value (#6594)](https://github.com/material-components/material-components-ios/commit/2cc9cecd36320a55bd751d564b9aaa5821181bce) (Robert Moore)
* [Add support for blur effect. (#6587)](https://github.com/material-components/material-components-ios/commit/cd2a67896e1cac9ea4ee203d87c4ebf4d4f2fa02) (Robert Moore)
* [Delete `itemsContentInsets` API (#6584)](https://github.com/material-components/material-components-ios/commit/0c2b2ea61b010242a74d57f726230d1d53a9df4b) (Robert Moore)
* [Extend ripple to bar bounds. (#6586)](https://github.com/material-components/material-components-ios/commit/266d0f5406b8a3e901c3426a4046cf80175571a7) (Robert Moore)
* [Fix "centered" alignment. (#6604)](https://github.com/material-components/material-components-ios/commit/f53fc6c6c9ac7e9c7ca75f9cd912f6378ad0bb37) (Robert Moore)
* [Fix Item View layout.   (#6603)](https://github.com/material-components/material-components-ios/commit/10f39dab221558b608dd54a4d6d3fc81f7734878) (Robert Moore)
* [Fix badge position and font. (#6602)](https://github.com/material-components/material-components-ios/commit/3f7477d8479cc154fe6c72baea516bcc9c282dde) (Robert Moore)

### Dialogs

* [Remove internal usage of Themers. (#6572)](https://github.com/material-components/material-components-ios/commit/a09a0c7c341b869bd090243a5344f0d2be2803a8) (Robert Moore)
* [add an example for themed button with emphasis (#6600)](https://github.com/material-components/material-components-ios/commit/4629b52279f3fe82ec246294c5fadfd955ec7d24) (Wenyu Zhang)
* [hide non main examples in Catalog (#6576)](https://github.com/material-components/material-components-ios/commit/e30b8b2b391152bbb86695c8689f2fa0881d2e04) (Wenyu Zhang)

### Ripple

* [[Ripple] Provides a Stateful Ripple implementation (#6591)](https://github.com/material-components/material-components-ios/commit/8a960fc9632b844b8a63d68a527daf09716de35f) (Yarden Eitan)

## Multi-component changes

* [Fix ripple layout issues with autolayout (#6588)](https://github.com/material-components/material-components-ios/commit/02161e4a76375dcdf80cdcb955b6279967cda295) (Yarden Eitan)
* [{kokoro} Fix develop (#6575)](https://github.com/material-components/material-components-ios/commit/46ff9c3173f2ce15d981b347b745cfecbb6b8a8e) (Robert Moore)

---

# 76.1.2

Fix build tooling.

* [Bumped version number to 76.1.2.](https://github.com/material-components/material-components-ios/commit/ac78d824a9f201b15497c42aedc40a2a28068654) (Ian Gordon)
* [{kokoro} Fix develop (#6575)](https://github.com/material-components/material-components-ios/commit/3b9d66bf694f6368d804b09d529bf529e8829db0) (Robert Moore)

---

# 76.1.1

Fix Cocoapods validation failures.

---

# 76.1.0

Add additional snapshot tests and mark outdated theming API as deprecated.

## New deprecations

The previous theming API is being deprecated in favor of MDCContainerScheme.
Bottom Navigation's itemsContentInsets in is being deprecated as it is no longer used internally.

## Changes

### AppBar

* [Add animated tab switching example (#6447)](https://github.com/material-components/material-components-ios/commit/b64e1af39577ca76bfbf454b2d1c810db5d82a1a) (Brian Moore)

### BottomAppBar

* [Fix bottom app bar cut out (#6420)](https://github.com/material-components/material-components-ios/commit/e1008e52061908c5e8f3caec55e071be4aeaea10) (Peter Friese)

### BottomNavigation

* [Add sizeThatFits: to Item View (#6559)](https://github.com/material-components/material-components-ios/commit/24ec11d91fe1434499e58e245521bef15c50908f) (Robert Moore)
* [Deprecate `itemsContentInsets` API (#6557)](https://github.com/material-components/material-components-ios/commit/c671c29be66752131b65f8e6702d0dc8e218b0a8) (Robert Moore)
* [Minor refactor of snapshot tests. (#6535)](https://github.com/material-components/material-components-ios/commit/0d373a68c113f66a4cfde9426ebce14f78d1bb63) (Robert Moore)
* [Suppress deprecation warning. (#6561)](https://github.com/material-components/material-components-ios/commit/d1867c9c97be464ea6daa2bf8eab95dd895c790f) (Robert Moore)
* [Use chrome_reader in example. (#6551)](https://github.com/material-components/material-components-ios/commit/e1fe168b73becf77a7a2abd2a4cf3185ab3f1b37) (Robert Moore)
* [Add ItemView snapshot tests. (#6533)](https://github.com/material-components/material-components-ios/commit/914be3bac19ae83d160fb6cb6c2b419806955969) (Robert Moore)
* [Add RTL snapshot tests.   (#6539)](https://github.com/material-components/material-components-ios/commit/1b346744544103f1f72009c620e09c4fe3edd2ca) (Robert Moore)
* [Add snapshot tests for contentInsets (#6554)](https://github.com/material-components/material-components-ios/commit/418e8ef7537a8f98463737becc1f428457e4fe3d) (Robert Moore)
* [Simplify and improve badge view.  (#6544)](https://github.com/material-components/material-components-ios/commit/b1e9182aaf4621ab62fdf2a694baf7ebdc669348) (Robert Moore)
* [Vary badges in snapshot tests. (#6550)](https://github.com/material-components/material-components-ios/commit/bbe86a3fcbe4d13a7cefa2213412ae29629c959d) (Robert Moore)

### Dialogs

* [Deprecate Themers and AlertScheme. (#6564)](https://github.com/material-components/material-components-ios/commit/8c5b6d0d6d7febf7a0f6c47dff1581890f98eaeb) (Robert Moore)
* [Fix deprecation warnings. (#6567)](https://github.com/material-components/material-components-ios/commit/9a3397fe63462ce691c8c7dc194dea90c95f194f) (Robert Moore)
* [Theming dialog actions doc (#6547)](https://github.com/material-components/material-components-ios/commit/9eebe7a2e64c01453201febe5dc44228153e7a8f) (Galia Kaufman)

## Multi-component changes

* [Add test image helper. (#6534)](https://github.com/material-components/material-components-ios/commit/b26ba5db3e004bd7b77779ce68c60935e5c94b51) (Robert Moore)
* [Completed audit of swift forced unwrapping in catalog (#6186)](https://github.com/material-components/material-components-ios/commit/fc7f30d0127bf2cd2a65ca365aa7d841cbac110e) (Joe Aguilar)
* [Improve snapshot tests. (#6543)](https://github.com/material-components/material-components-ios/commit/c2adc2813c6c5eca713e2836bf725cbd7fe8e207) (Robert Moore)

---

# 76.0.0

This major release changes the Material Theming colors for Cards cells. It also includes bug fixes
for Navigation Drawer and Text Fields.

## Breaking changes

The MDCCardsColorThemer now sets the `imageTintColor:forState:` on MDCCardCollectionCell.  This
property was previously unset by the themer.

## API changes

### Collections

#### MDCCollectionViewEditing

*new* property: `minimumPressDuration` in `MDCCollectionViewEditing`

## Changes

### ActionSheet

* [Make examples use container scheme (#6493)](https://github.com/material-components/material-components-ios/commit/e11f9995d5bd835618e23c739b56cd740a126537) (Cody Weaver)

### BottomNavigation

* [Elevates the BottomNavigationBarController to beta status and re-adds its unit tests. (#6311)](https://github.com/material-components/material-components-ios/commit/d8fed5953562de48d9ba9c04e22faca9bf5f106f) (Eric Lee)
* [Example is self-contained. (#6480)](https://github.com/material-components/material-components-ios/commit/62c5097a7a5e65f9d2bfff92ef4eae1ec2250e52) (Robert Moore)
* [Fix import in VC. (#6470)](https://github.com/material-components/material-components-ios/commit/49e2422e294a1a24968da3a1f948d469736b0cdb) (Robert Moore)
* [Lays out the bar when titleVisibility is changed (#6152)](https://github.com/material-components/material-components-ios/commit/a9c8fab43dc05df7d56e2e647d2d02efedbac756) (Bartholomew Furrow)
* [Add snapshot tests. (#6521)](https://github.com/material-components/material-components-ios/commit/d97f9ce0da44b4d78f34372d9868799738d3e02d) (Robert Moore)
* [Move controller out of `/beta`. (#6501)](https://github.com/material-components/material-components-ios/commit/1b98e1ea21382ed9db3cac66408411c603a6b868) (Robert Moore)
* [Stop excluding VC example. (#6515)](https://github.com/material-components/material-components-ios/commit/7f959bec011765d268504ba99fdde22438558a9b) (Robert Moore)

### Buttons

* [Remove broken link. (#6518)](https://github.com/material-components/material-components-ios/commit/af00416ce3a23a6e4401059eb917473b04a0bc98) (Robert Moore)
* [Update examples to use theming extensions (#6475)](https://github.com/material-components/material-components-ios/commit/b99faa6c28b2ef8fb61ebbb7eadbb9995568728e) (Cody Weaver)
* [Update theming docs for theming extensions (#6467)](https://github.com/material-components/material-components-ios/commit/2248b33aeb6508a4ff360a595a7a495104a665d7) (Cody Weaver)

### Cards

* [Fix elevation values for Highlighted and Selected for Cards in themer. (#6485)](https://github.com/material-components/material-components-ios/commit/eb98acd604eae9bb68da0cbc7828688a9c0ca9cc) (Yarden Eitan)
* [added correct theming for selected icon (#6482)](https://github.com/material-components/material-components-ios/commit/d947748fee1de88cf625f8c8480fc57c58ada31a) (Yarden Eitan)

### Collections

* [Customize reorder long-press timing. (#6469)](https://github.com/material-components/material-components-ios/commit/d57f7199b3cc434442d1176f230e4d80c8b18d69) (Robert Moore)

### Dialogs

* [Fix broken link to beta documentation. (#6506)](https://github.com/material-components/material-components-ios/commit/49c5913b62a6e6da8c4f832d50338ec5020aee56) (featherless)
* [Update theming docs for theming extension (#6496)](https://github.com/material-components/material-components-ios/commit/3f77bf511830727af4607e6dfe8ac61db0be6d64) (Cody Weaver)

### NavigationDrawer

* [Fix issue when setting `trackingScrollView` (#6492)](https://github.com/material-components/material-components-ios/commit/4a3ca45176fa457a735260d6fe7ec3e48d274bcc) (Cody Weaver)
* [Fix issue where drawer opens passed `initialDrawerFactor` (#6491)](https://github.com/material-components/material-components-ios/commit/63c8c54ec2ec9a14d76823dc7eacab7aca5b81a8) (Cody Weaver)
* [Fix issue where scrim is shown below content (#6514)](https://github.com/material-components/material-components-ios/commit/7050808d62e0b854f4ab8d2680de0983da7cb418) (Cody Weaver)
* [fix bottom drawer rest in the middle of corner radius animation (#6516)](https://github.com/material-components/material-components-ios/commit/0512eb03bf3845fbc739f6f206ff5010a20c35e6) (Wenyu Zhang)

### Ripple

* [Fail the ripple gesture when other scroll view gestures are competing unless they are tap or long press gestures. (#6487)](https://github.com/material-components/material-components-ios/commit/6c39907fb65438176dc5c589a763f7f94fb72dcc) (Yarden Eitan)
* [Remove the notion of state and its implementation from the ripple touch controller (#6486)](https://github.com/material-components/material-components-ios/commit/4556a2a71a0986553da94f37dfe3148259abe376) (Yarden Eitan)
* [provide completion block for cancellation (#6488)](https://github.com/material-components/material-components-ios/commit/854b8fe8384fd0eb0ef6c7082ccde2e039e1092e) (Yarden Eitan)

### TextFields

* [Fixed issue: Placeholder label gets stuck in expanded state when switching between controls  (#6269)](https://github.com/material-components/material-components-ios/commit/99871be6cd2ca9b365d99d46a6c28a93ac22e802) (Sergey Aleksandrov)

## Multi-component changes

* [Move shapes from components/private to components/ (#6495)](https://github.com/material-components/material-components-ios/commit/de5d200599035b8e67ed95a7507f82ad2f35d8c4) (Yarden Eitan)
* [{clang-format} Format the components. (#6347)](https://github.com/material-components/material-components-ios/commit/800188a64994c68d089af849ea7cd080b1a4d4ab) (Robert Moore)

---

# 75.0.1

This patch release reformats the entire code base to align to the latest
Google Objective-C Style enforced by clang-format.

## Multi-component changes

* [{clang-format} Format the components. (#6347)](https://github.com/material-components/material-components-ios/commit/ef98eeafc13ff301ef1a363ed231b498b54d6abd) (Robert Moore)

---

# 75.0.0

This major release includes a change to the behavior of MDCButton's
`borderWidthForState:` API and the behavior of MDCSnackbarManager's
`shouldEnableAccessibilityViewIsModal` property. Improved support for [the
bazel build system](https://bazel.build/) is introduced for several
components.


## Breaking changes

MDCButton's `borderWidthForState:` behavior now matches that of UIButton's
`forState:` properties. Any state without an explicitly-set value will
fall-back to the value for the `UIControlStateNormal` state. This does not
change the appearance of MDCButton, but does change the values returned by the
API.


## New features

MDCSnackbarManager's `shouldEnableAccessibilityViewIsModal` was previously
used to determine the value of a snackbar view's `accessibilityViewIsModal`
property. Clients can now use the MDCSnackbarManagerDelegate API
`-willPresentSnackbarWithMessageView:` to override the view's
`accessibilityViewIsModal` for each Snackbar. This value is propagated to the
scrim view to ensure that modality is correctly configured for Snackbars.

```objc
@implementation MySnackbarManagerDelegate

- (void)willPresentSnackbarWithMessageView:(MDCSnackbarMessageView *)messageView {
  // All Snackbars with an action are "modal" for UIAccessibility
  if (messageView.actionButtons.count > 0) {
    messageView.accessibilityViewIsModal = YES;
  }
}

@end
```

## Changes

### ActivityIndicator

* [Add Swift examples to bazel. (#6421)](https://github.com/material-components/material-components-ios/commit/0f47c788190e28d3dea1c409171d3ad67718f27e) (Robert Moore)

### AppBar

* [Add examples to BUILD rule (#6344)](https://github.com/material-components/material-components-ios/commit/4b9464fc5f7f2f98fb14757dd066474b8a5d5918) (Cody Weaver)

### BottomAppBar

* [Add examples to BUILD file (#6348)](https://github.com/material-components/material-components-ios/commit/4be982a5c617ae56b9b16c4745c6f9fca266339d) (Cody Weaver)
* [Formatting BUILD file. (#6355)](https://github.com/material-components/material-components-ios/commit/a3b0031f3fba5705861d34f33fd4d20cf267df95) (Robert Moore)

### Buttons

* [Add fallback for `borderWidthForState:` (#6415)](https://github.com/material-components/material-components-ios/commit/687491f21e04e9f4b469df7d55c8877e4e372123) (Cody Weaver)
* [Add setup and teardown to tests (#6432)](https://github.com/material-components/material-components-ios/commit/14b7cb7381e0414e07ba271c602273c22f85d40f) (Cody Weaver)

### Cards

* [Add Swift examples to bazel. (#6422)](https://github.com/material-components/material-components-ios/commit/eb28474e6019f26f841f47f76597945175cbe0b7) (Robert Moore)
* [Add snapshot tests to bazel. (#6423)](https://github.com/material-components/material-components-ios/commit/04e4c0631968508542cd07d77c2637c982842911) (Robert Moore)

### Collections

* [Add examples to BUILD file (#6341)](https://github.com/material-components/material-components-ios/commit/eeafb68117d9beefafb03819ec3bd855dec7d1b1) (Cody Weaver)

### Dialogs

* [Fix Theming extension for presentation controller. (#6418)](https://github.com/material-components/material-components-ios/commit/fbd885234995a73d4e142650a02fbd178a633d7e) (Robert Moore)

### FeatureHighlight

* [Add examples to BUILD file (#6340)](https://github.com/material-components/material-components-ios/commit/05807cfe1f8fe90b2b3267b104140f4c4ed095ce) (Cody Weaver)

### FlexibleHeader

* [Add examples to BUILD file (#6343)](https://github.com/material-components/material-components-ios/commit/82edb1b21c5825760ced456de16665771752c261) (Cody Weaver)

### List

* [Add List examples to BUILD file (#6321)](https://github.com/material-components/material-components-ios/commit/d88cc23ab39405a89a69f6c7547e3a8584ed2353) (Andrew Overton)
* [Add Swift examples to bazel (#6424)](https://github.com/material-components/material-components-ios/commit/f51715483c9d6a9282cccf4e558f3fa42d780581) (Robert Moore)

### MaskedTransition

* [Add build file for bazel (#6336)](https://github.com/material-components/material-components-ios/commit/764841cc41745ba93b63f57612d7654c55dcf281) (Wenyu Zhang)

### NavigationBar

* [Add examples to bazel. (#6425)](https://github.com/material-components/material-components-ios/commit/1a7b3f8f362af6d2b416fc3b7b14a9c9cd83ec39) (Robert Moore)

### NavigationDrawer

* [Add examples to BUILD file (#6349)](https://github.com/material-components/material-components-ios/commit/141be528c4047ee89bec3bb0b8fbfabe07ff79bb) (Cody Weaver)

### PageControl

* [Add PageControl examples to BUILD file (#6323)](https://github.com/material-components/material-components-ios/commit/1e61959e453ca9ef4ff713c85669bf446e291586) (Andrew Overton)
* [Add swift examples to bazel. (#6426)](https://github.com/material-components/material-components-ios/commit/ed7d0edc622095d4d4a48f3a36954d5aa9612c99) (Robert Moore)

### Slider

* [Add examples to BUILD file (#6351)](https://github.com/material-components/material-components-ios/commit/6684e5329efbcbcd4554a85321e431b7677d6c4f) (Cody Weaver)

### Snackbar

* [Add examples to BUILD file (#6402)](https://github.com/material-components/material-components-ios/commit/2e5009754a557ce85299b4a2800c01d20941d1b9) (Cody Weaver)
* [Allow the delegate to override accessibilityViewIsModal (#6263)](https://github.com/material-components/material-components-ios/commit/495cf8f2dcb58dde355b3d7c2b81bf579bf2eeff) (Wenyu Zhang)
* [Delete EarlGrey tests. (#6427)](https://github.com/material-components/material-components-ios/commit/2a509d65f895b2b4f6fbc98ec1df39aab11eb917) (Robert Moore)

### Tabs

* [Add examples to BUILD file (#6339)](https://github.com/material-components/material-components-ios/commit/d2f32a64f01a3cbde92693eb5313a03cdf9e9f0f) (Cody Weaver)

### TextFields

* [Add Swift examples to bazel (#6430)](https://github.com/material-components/material-components-ios/commit/6d27b469fe5f67e77f3106b26ed27f6978a65800) (Robert Moore)
* [Add TextField examples to BUILD file (#6397)](https://github.com/material-components/material-components-ios/commit/8d7cd295ecc3bee6c5e9a4e84cd85ab987878a6e) (Andrew Overton)
* [Add experimental examples to bazel. (#6436)](https://github.com/material-components/material-components-ios/commit/ab9cc0f4d7c8c53d7626b76b8727daff936a57b6) (Robert Moore)
* [Fix "gap" in outline when placeholder is empty. (#6322)](https://github.com/material-components/material-components-ios/commit/88de3a4fc32d5611a166189a31fcf8817d26aa87) (Robert Moore)

### Typography

* [Add examples to BUILD file (#6403)](https://github.com/material-components/material-components-ios/commit/cd3504e23b7f112c4ebafd4f57ad54aebfa72d8d) (Cody Weaver)

### private/Beta

* [Add bazel target. (#6411)](https://github.com/material-components/material-components-ios/commit/f0adcc4e38fa66ec78e85bd47da45879e01bdb2b) (Robert Moore)

### schemes/Shape

* [Add examples to BUILD file (#6404)](https://github.com/material-components/material-components-ios/commit/a9b92e4c53266c0fce0ce13cc38a83b1bf804b10) (Cody Weaver)

## Multi-component changes

* [{bazel} Ran `buildifier` on all BUILD files (#6345)](https://github.com/material-components/material-components-ios/commit/07ef7f89e042cca865ba2d8d2125a5eab44581da) (Robert Moore)

---

# 74.0.0

This major release introduces Material Theming extensions for
MDCDialogPresentationController and a change to the behavior of MDCButton's
`backgroundColorForState:` API. Improved support for [the bazel build
system](https://bazel.build/) is introduced for several components.

## Breaking changes

MDCButton's `backgroundColorForState:` behavior now matches that of UIButton's
`forState:` properties. Any state without an explicitly-set value will
fall-back to the value for the `UIControlStateNormal` state. This does not
change the appearance of MDCButton, but does change the values returned by the
API.

## New features

### Material Theming for MDCDialogPresentationController
MDCDialogPresentationController can now be themed using the Theming extension
provided by MaterialDialogs+Theming.h.

```objc
MDCAlertController *materialAlertController =
    [MDCAlertController alertControllerWithTitle:@"Title" message:@"Message"];
MDCDialogPresentationController *presentationController =
    materialAlertController.mdc_dialogPresentationController;

MDCContainerScheme *containerScheme = [[MDCContainerScheme alloc] init];
[presentationController applyThemeWithScheme:self.containerScheme];
```

Replace this text with example code for each new feature.

## Changes

### ActivityIndicator

* [Add ActivityIndicator examples to BUILD file (#6318)](https://github.com/material-components/material-components-ios/commit/bb4cde39a4d056f4a1214e10be797487ceca3c12) (Andrew Overton)

### AnimationTiming

* [Add examples to BUILD file (#6267)](https://github.com/material-components/material-components-ios/commit/847625e4ea34b6a7ae04cccc9b7527f300be444a) (Cody Weaver)

### BottomNavigation

* [Confirm (un)selected ink is same. (#6190)](https://github.com/material-components/material-components-ios/commit/89b44314afa70de966037bc073519e5d19800d04) (Robert Moore)
* [Sets the selected view controller to the first view controller in the given array when the bottom navigation controller's view controllers are set. (#6284)](https://github.com/material-components/material-components-ios/commit/f119f22226a845665624b0f2a681e8b278dbccc5) (Eric Lee)

### BottomSheet

* [Add examples to BUILD file (#6266)](https://github.com/material-components/material-components-ios/commit/971ab3153111459106cb53be5539ec0abf02e460) (Cody Weaver)

### ButtonBar

* [Add examples to BUILD file (#6264)](https://github.com/material-components/material-components-ios/commit/a5c995e1eb9c8cdd0884d5136a218a0afe8cafdc) (Cody Weaver)

### Buttons

* [Add examples to BUILD file (#6271)](https://github.com/material-components/material-components-ios/commit/f79d0f007d89bd748dd0bc402e794fd5e49f54c7) (Cody Weaver)
* [backgroundColorForState: should fall-back to .normal. (#6255)](https://github.com/material-components/material-components-ios/commit/84e1d44101689cb041cc587bd693a509601a0c87) (Robert Moore)

### Cards

* [Add Cards examples to BUILD file (#6314)](https://github.com/material-components/material-components-ios/commit/6fc84906697cfb9e0e80d92b653e566d84f4ba59) (Andrew Overton)

### Chips

* [Add example to BUILD file (#6273)](https://github.com/material-components/material-components-ios/commit/12b841aff64c4a806acd903cf2e754a45dec94a8) (Cody Weaver)
* [Add snapshot tests to bazel. (#6326)](https://github.com/material-components/material-components-ios/commit/a2e9eed2e4f9f4abd8409beee8c42eec2aebd021) (Robert Moore)

### CollectionCells

* [Add examples to BUILD file (#6342)](https://github.com/material-components/material-components-ios/commit/8638ae5cb60f1bcd039c8913531164c823816900) (Cody Weaver)

### Dialogs

* [Add MDCDialogPresentationController+MaterialTheming (#6286)](https://github.com/material-components/material-components-ios/commit/a006ff6e4f4309401194c51b1dbae864e7d62519) (Andrew Overton)

### Ink

* [Add example to BUILD file (#6270)](https://github.com/material-components/material-components-ios/commit/42cb68ccb56186c2956863b30216ac22360802f5) (Cody Weaver)
* [Reduce flakiness of layer timing test. (#6338)](https://github.com/material-components/material-components-ios/commit/4c6aedc7088c97ab32429256c18fb3bf9bd9f30c) (Robert Moore)

### Palettes

* [Add swift examples to BUIlD file (#6265)](https://github.com/material-components/material-components-ios/commit/a98c4ecd4febb51592e1bc8f357c67bb76634504) (Cody Weaver)

### ProgressView

* [Add ProgressView examples to BUILD file (#6328)](https://github.com/material-components/material-components-ios/commit/dfbf7802b7364377e9cab703cbda1adff88cc113) (Andrew Overton)

### Ripple

* [Fix flaky unit test. (#6315)](https://github.com/material-components/material-components-ios/commit/47cb0eb08f7cd3c4286331548f4b177749c60eeb) (Robert Moore)

### ShadowElevations

* [Add examples to BUILD file (#6330)](https://github.com/material-components/material-components-ios/commit/1975563e3fdcd7db228db752fc042359d1d2a7eb) (Cody Weaver)

### ShadowLayer

* [Add examples to BUILD file (#6331)](https://github.com/material-components/material-components-ios/commit/39e88480192780e6d1c4a32136d55b6ca8896df4) (Cody Weaver)

### TextFields

* [Add Snapshot tests to bazel. (#6309)](https://github.com/material-components/material-components-ios/commit/e064db661ecefd32aff7a935f487a4d7151d8072) (Robert Moore)
* [Fix snapshot test imports. (#6299)](https://github.com/material-components/material-components-ios/commit/5bee8bc3b6be6745b777fbc091131489da4fb4d0) (Robert Moore)
* [Increase snapshot test timeout. (#6337)](https://github.com/material-components/material-components-ios/commit/83b34e14e9d904ff0b7dbbc1d7ecc2c579aa3030) (Robert Moore)

### private/Math

* [Add Math tests to bazel (#6282)](https://github.com/material-components/material-components-ios/commit/6ff913571e7694d1a619caeebb0256af4f13974c) (Wenyu Zhang)

### private/Snapshot/TestHost

* [Add test host for snapshot tests. (#6300)](https://github.com/material-components/material-components-ios/commit/0d0db367749935b27ec3ab3be13b33fd873e3842) (Robert Moore)

### private/Snapshot

* [Add BUILD file. (#6308)](https://github.com/material-components/material-components-ios/commit/fdc637d9924584c1cb5faad460772af0f4b53b5a) (Robert Moore)
* [Add test host for snapshot tests. (#6300)](https://github.com/material-components/material-components-ios/commit/0d0db367749935b27ec3ab3be13b33fd873e3842) (Robert Moore)
* [Fix CGFloat cast. (#6301)](https://github.com/material-components/material-components-ios/commit/3dc2eaeca36cab174f697d42ef5b6c1caa0cdf38) (Robert Moore)

### schemes/Typography

* [Add examples to BUILD file (#6298)](https://github.com/material-components/material-components-ios/commit/cf918d919438b31bc635da8a1b356ea5fcbb067b) (Cody Weaver)

## Multi-component changes

* [Don't execute "empty" tests in each class.   (#6192)](https://github.com/material-components/material-components-ios/commit/6cf0926d1e3f4b4ac350d93fe1fdd316d818f381) (Robert Moore)
* [Make pod install work on Cocoapods 1.6.0.beta.2 (#5966)](https://github.com/material-components/material-components-ios/commit/056e4701f0ee64459f129977cfced71e4f864740) (Andrew Overton)
* [ran clang-format (#6027)](https://github.com/material-components/material-components-ios/commit/2803125b2c6457bb723ea56455da570e459d6dd5) (Yarden Eitan)
* [{bazel} Add reusable examples rules. (#6252)](https://github.com/material-components/material-components-ios/commit/f7cf6baeb70c29a8f04c315186de57a49db3ec9e) (Robert Moore)

---

# 73.1.1

In this patch release we have improved the formatting of our codebase, and added missing imports to the Dragons target.

## API changes

## Component changes

### Dragons App

* [remove as it isn't supported with tulsiproj (#6277)](https://github.com/material-components/material-components-ios/pull/6283/commits/009ded2a24724e5c29aba5e094636315b97d6642) (Yarden Eitan)
* [added missing imports to dragons target (#6278)](https://github.com/material-components/material-components-ios/pull/6283/commits/45d519e96a56eae98e5ce96fea5ecd6b5b969b3a) (Yarden Eitan)

## Multi-component changes

* [ran clang-format (#6027)](https://github.com/material-components/material-components-ios/commit/9873d9f3bd6f5b3f7ce0a7fd450756c4f9348ba1) (Yarden Eitan)

---

# 73.1.0

In this minor release we have added new theming extensions for Cards and Chips, as well as added a new component to beta called Ripple that will eventually be a successor to Ink. We also added additional functionality to Dialogs, NavigationBar, and snapshot testing for Textfields.

## New features

### Card Theming Extension Usage Example
```swift
  var scheme: MDCContainerScheming {
    let scheme = MDCContainerScheme()
    scheme.colorScheme = colorScheme
    scheme.typographyScheme = typographyScheme
    scheme.shapeScheme = shapeScheme
    return scheme
  }
  ...
  let card = MDCCard()
  card.applyTheme(withScheme: scheme)
```

### Chips Theming Extension Usage Example
```swift
  var scheme: MDCContainerScheming {
    let scheme = MDCContainerScheme()
    scheme.colorScheme = colorScheme
    scheme.typographyScheme = typographyScheme
    scheme.shapeScheme = shapeScheme
    return scheme
  }
  ...
  let chipView = MDCChipView()
  chipView.applyTheme(withScheme: scheme)
```

### Dialogs Background Color Usage Example
```swift
let alert = MDCAlertController(title: "Title", message: "Message")
alert.backgroundColor = .white
```
### NavigationBar Title View Inset Usage Example
```swift
let navigationBar = MDCNavigationBar()
navigationBar.titleInsets = UIEdgeInsets(top: 0, left: 16, bottom: 0, right: 16)
```

## API changes

### Cards+Theming

**New extension.**

### Chips+Theming

**New extension.**

### Ripple

**New component.**

## Component changes

## Changes

### ActionSheet

* [Remove redundant `visibility` args. (#6073)](https://github.com/material-components/material-components-ios/commit/f5cf0fd30c9efd88b7fe09cd8a7f50f422548fcc) (Robert Moore)

### ActivityIndicator

* [Stop activity indicator animating when hidden (#6063)](https://github.com/material-components/material-components-ios/commit/c06e8198356b641667be4c233304617e52683228) (rami-a)

### AppBar

* [Begun audit of swift forced unwrapping in catalog (#6117)](https://github.com/material-components/material-components-ios/commit/f1b96d4f812dd9f825146cf22bbc6086de7e158e) (Joe Aguilar)

### BottomAppBar

* [Enable tapping on area above Navigation Bar (#6036)](https://github.com/material-components/material-components-ios/commit/447707d4927e4cfc311e2e1f9ff9e7fceaf357c3) (Kirk Spaziani)

### BottomNavigation

* [Add examples bazel targets (#6161)](https://github.com/material-components/material-components-ios/commit/96798693fad667995f158042cd625df7d5ae2c55) (Robert Moore)
* [Added an example for MDCBottomNavigationBarController (#6082)](https://github.com/material-components/material-components-ios/commit/9e7b8eed7695d456bf4065998689a169286595c1) (Eric Lee)
* [Fix MDCBottomNavigationBar elevation on MDCBottomNavigationBarController (#6051)](https://github.com/material-components/material-components-ios/commit/a635f99d2893ae839cd3d743d35ab98184d6a2f5) (Matias Radzinski)

### BottomSheet

* [Ensure custom scrim color is used in `MDCBottomSheetPresentationController`. (#6163)](https://github.com/material-components/material-components-ios/commit/ea0146cb0e91439ddf68539454731cba253b3932) (Mete Yurtoglu)

### Cards

* [Ran buildifier against all BUILD files. (#6077)](https://github.com/material-components/material-components-ios/commit/d170c64c363fbb6dec922df70004a33bbd23f097) (featherless)
* [Add snapshot tests for Card component with variations (#6041)](https://github.com/material-components/material-components-ios/commit/fd8476e19676b1be6ceb5081c1496bb2822bf9e1) (rami-a)
* [Cards theming extension + snapshots: Re-revert with fix (#6049)](https://github.com/material-components/material-components-ios/commit/58db37d09d93c06510f961de048ac8d7b92e89ed) (rami-a)
* [Fix shadow elevation values for outlined cards (#6050)](https://github.com/material-components/material-components-ios/commit/e25d7c88cae098cfcd0eb9af02c6b05edc5dd537) (rami-a)

### Chips

* [Create theming extension for Chips (#6087)](https://github.com/material-components/material-components-ios/commit/d442f890286e3fa0f5d5583aeacca799e300a6f2) (rami-a)
* [Rename internal MDCTextField subclass in MDCChipField (#6032)](https://github.com/material-components/material-components-ios/commit/7ca47ab4af36e109b4df365b5e0886776f04d80e) (Galia Kaufman)
* [Add more chip snapshot test to support image and accessory views (#6166)](https://github.com/material-components/material-components-ios/commit/987dcfef6aacfd9ed060cca9a9009b39721ee9fa) (rami-a)
* [Add snapshot tests to Chips (#6098)](https://github.com/material-components/material-components-ios/commit/a4820525cfab8b7c7c1de3f209ab2e59ee148170) (rami-a)
* [Update chips examples to use theming extension (#6096)](https://github.com/material-components/material-components-ios/commit/c604f9fd357728d0fbf2e9e509b9e978a1a4cfb8) (rami-a)

### Collections

* [Add delegate method to check whether swiping should be limited to one direction. (#6170)](https://github.com/material-components/material-components-ios/commit/d559597b86c90974a731f50f150e98597b9b87ce) (Randall Li)

### Dialogs

* [adding backgroundColor property for dark theme support (#6066)](https://github.com/material-components/material-components-ios/commit/f472cab956f8dd75c64a851df1e4cb3affc56462) (Galia Kaufman)

### FlexibleHeader

* [Fix shift phase behavior when contained in the tracking scroll view. (#6069)](https://github.com/material-components/material-components-ios/commit/60d63715823675c001a65a74c85bc0185e83502b) (featherless)
* [Mark MDCFlexibleHeaderTopSafeArea as final. (#6054)](https://github.com/material-components/material-components-ios/commit/09c973883e67517fde12d70811709f8b7e4564a3) (featherless)

### NavigationBar

* [Add inset property for title view (#6118)](https://github.com/material-components/material-components-ios/commit/aa2d3908f5a65d4dfd23d50d00405ed096a3f1a2) (Cody Weaver)
* [Refactor tests to not repeat the same code multiple times (#6136)](https://github.com/material-components/material-components-ios/commit/59164eae279016b002f0aefe36b7169189edad25) (Cody Weaver)
* [Remove duplicate test helper. (#6196)](https://github.com/material-components/material-components-ios/commit/de31d9f2e0317b115c429746996c82dbd4995c4a) (Robert Moore)

### NavigationDrawer

* [Fix up 'contentReachesFullScreen' linker warnings. (#6180)](https://github.com/material-components/material-components-ios/commit/8cb67d7d31cbd019d7f0312c98f57e90ccea35ad) (dmaclach)

### Ripple

* [Ripple implementation + example + unit tests (#6174)](https://github.com/material-components/material-components-ios/commit/1753e127176d1d1325c6d6d1c6a81c43854850a7) (Yarden Eitan)

### Slider

* [Deflake unit tests. (#6143)](https://github.com/material-components/material-components-ios/commit/b443fa393b90d0862ea328038b6bfcdf6f5b9ae2) (Robert Moore)

### Tabs

* [Add semanticContentAttribute support to MDCTabBar for RTL. (#5550)](https://github.com/material-components/material-components-ios/commit/8297e5dca167f72ee1b69d3acfec5507fccceaf7) (Mark Klara)

### TextFields

* [Add Cyrillic, Hindi, Korean helpers for snapshot tests. (#6140)](https://github.com/material-components/material-components-ios/commit/07a170cb35a4da9c196b7dae5555a47bcaf3e1fb) (Robert Moore)
* [Add pre-verification hook for snapshot tests. (#6131)](https://github.com/material-components/material-components-ios/commit/ef7be249eb8801dccc1b8690ff5090931bada9ae) (Robert Moore)
* [Drop RTL assert to a log message. (#6124)](https://github.com/material-components/material-components-ios/commit/db712a3e7122e5a73a365714d9421179e08edc70) (Robert Moore)
* [Fix RTL code for iOS less than 11. (#6121)](https://github.com/material-components/material-components-ios/commit/62025b935b83e780f782310d337243ea832e278c) (Robert Moore)
* [Fix bad test rename (#6179)](https://github.com/material-components/material-components-ios/commit/5f525e39f5ee58980b4d82b15978c34b55c79da2) (Robert Moore)
* [Fixing some compiler warnings. (#6142)](https://github.com/material-components/material-components-ios/commit/a6bcffd0ec35e6f40953daad8d08257573c8f88b) (Robert Moore)
* [Invalidate caret timers in snapshot tests. (#6182)](https://github.com/material-components/material-components-ios/commit/3650061f6596b161ea9cf0d28d588fc373fcc4e3) (Robert Moore)
* [Minor clean-up/refactor of text fields snapshot tests. (#6128)](https://github.com/material-components/material-components-ios/commit/df09824d27644307c421e85f6a88d94baae72bd2) (Robert Moore)
* [Rename hook test method. (#6168)](https://github.com/material-components/material-components-ios/commit/2b33cbdc492c52ab86f0638ba97a5328f8ce7143) (Robert Moore)
* [`Disabled` snapshot tests use text properties. (#6070)](https://github.com/material-components/material-components-ios/commit/b1f5019caa0ab40fae5f95753394f9d2358bdc72) (Robert Moore)
* [Add Arabic snapshot tests for Filled style. (#6130)](https://github.com/material-components/material-components-ios/commit/2aa3d5aca37e4a6cfd3852228d183b77c5d757aa) (Robert Moore)
* [Add Cyrillic snapshot tests. (#6150)](https://github.com/material-components/material-components-ios/commit/940cfb64cc2534bd0bac7c7003f75f3aa266a75a) (Robert Moore)
* [Add Filled Floating Arabic RTL snapshot tests (#6139)](https://github.com/material-components/material-components-ios/commit/865cc4fc40477ce9863d08ae53771eb6572b0ae4) (Robert Moore)
* [Add Hindi snapshot tests. (#6141)](https://github.com/material-components/material-components-ios/commit/26bd209f51c8f0a2ed643b92e84f9cd1122d708d) (Robert Moore)
* [Add Outlined text area snapshot tests. (#6145)](https://github.com/material-components/material-components-ios/commit/4f54ed4f9288f44d80341eb424c8c98bca944330) (Robert Moore)
* [Add RTL Arabic snapshots for FullWidth (#6127)](https://github.com/material-components/material-components-ios/commit/9b4ac31eccbb9950fce1dea42173a51c8170be20) (Robert Moore)
* [Add Underline Floating snapshot tests (#6146)](https://github.com/material-components/material-components-ios/commit/965169630d5f688a1b3e582c32ef298e9adc0663) (Robert Moore)
* [Add underline multiline snapshots tests. (#6175)](https://github.com/material-components/material-components-ios/commit/5115e0be13565740f2a10aa1d4ebf4aec33e50bf) (Robert Moore)
* [Add underlined Arabic snapshot tests. (#6123)](https://github.com/material-components/material-components-ios/commit/f962a7575918d8aa09da3b6c8b58b5fdaa1fab42) (Robert Moore)
* [Adding Korean snapshot tests. (#6147)](https://github.com/material-components/material-components-ios/commit/26de801b03855cd28d250292efb4d6e459d1db9b) (Robert Moore)
* [Arabic RTL snapshot tests (#6114)](https://github.com/material-components/material-components-ios/commit/0950eff8083a57bafb33e52567abf0779daa2bcd) (Robert Moore)
* [Fixing RTL input text alignment in snapshots. (#6132)](https://github.com/material-components/material-components-ios/commit/d30a6d3c2e0920f550fde06a7120c84d62e6d3a9) (Robert Moore)
* [Rename TextArea snapshot tests. (#6172)](https://github.com/material-components/material-components-ios/commit/7aecc62e4d087b7454a9cb69ee8eb97bd815b548) (Robert Moore)
* [Revert cards theming exstension (#6048)](https://github.com/material-components/material-components-ios/commit/63a04350706838c88276483179b957b1a3c4e259) (Robert Moore)
* [Truncate helper/error text. (#6165)](https://github.com/material-components/material-components-ios/commit/3930a5f5b48f82b5419cbb7cfd8e83044bb50411) (Robert Moore)

## Multi-component changes

* [Add examples bazel targets. (#6072)](https://github.com/material-components/material-components-ios/commit/8f4683d10dafdfdf235a74aac3770904b9d10fe4) (Robert Moore)
* [Add support to specify insets for snapshot tests (#6057)](https://github.com/material-components/material-components-ios/commit/8dcac3ab164a6929d2fbe744b0b12889e8098de3) (rami-a)
* [Fix for release-candidate merge issue with develop (#6068)](https://github.com/material-components/material-components-ios/commit/b380bca14e6882bbbcf2c924f0bff6d715d75be2) (rami-a)
* [Make mdc_unit_test_suite's name explicit. (#6080)](https://github.com/material-components/material-components-ios/commit/003cf8bcd9d325ced57d28c21cc439d932fe2b1a) (featherless)
* [Move files to src (#6138)](https://github.com/material-components/material-components-ios/commit/914def5fc7e09915de3b9a99070aebbe97d679f2) (Cody Weaver)
* [Update snapshot tests to utilize the new API for adding a background view (#6065)](https://github.com/material-components/material-components-ios/commit/653cedde4a6afdfb6080ed14bc2c7e5b659b3d25) (rami-a)
* [Use mdc_extension_objc_library in BUILD (#6089)](https://github.com/material-components/material-components-ios/commit/5b1943dd787429db0d84293e6e4777ffe96a9525) (Robert Moore)
* [{Beta} Fix name of "fake" Beta header. (#6055)](https://github.com/material-components/material-components-ios/commit/970de21252c823eef136397a7efbde3af0bb3dd0) (Robert Moore)

---

# 73.0.0

This is a major release that introduces `copy` semantics in MDCShapeCategory, part of the Shapes scheme. Also in this release is a new API in NavigationDrawer that provides a way to expand the  bottom drawer to full height.

## New features

### NavigationDrawer expansion

The NavigationDrawer component's `MDCBottomDrawerViewController` has a new API
that allows clients to programmatically expand the bottom drawer to the full
height of the presenting view.

**Example (Swift)**

```swift
drawerVC.expandToFullscreen(withDuration: 0.2, completion: { finished in
  if finished {
    print("expansion complete");
  } else {
    print("expansion cancelled");
  }
})
```

## API changes

### ActionSheet+Theming

**New extension.**

### NavigationDrawer

#### MDCBottomDrawerViewController

*new* method: `-expandToFullscreenWithDuration:completion:` in `MDCBottomDrawerViewController`

#### MDCBottomDrawerPresentationController

*new* method: `-expandToFullscreenWithDuration:completion:` in `MDCBottomDrawerPresentationController`

### ShapeScheme

#### MDCShapeCategory

*modified* property: `bottomLeftCorner` in `MDCShapeCategory`

| Type of change: | Declaration |
|---|---|
| From: | `@property(strong, nonatomic) MDCCornerTreatment *bottomLeftCorner` |
| To: | `@property(nonatomic, copy) MDCCornerTreatment *bottomLeftCorner` |

*modified* class: `MDCShapeCategory`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCShapeCategory : NSObject` |
| To: | `class MDCShapeCategory : NSObject, NSCopying` |

*modified* class: `MDCShapeCategory`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCShapeCategory : NSObject` |
| To: | `@interface MDCShapeCategory : NSObject <NSCopying>` |

*modified* property: `bottomRightCorner` in `MDCShapeCategory`

| Type of change: | Declaration |
|---|---|
| From: | `@property(strong, nonatomic) MDCCornerTreatment *bottomRightCorner` |
| To: | `@property(nonatomic, copy) MDCCornerTreatment *bottomRightCorner` |

*modified* property: `topLeftCorner` in `MDCShapeCategory`

| Type of change: | Declaration |
|---|---|
| From: | `@property(strong, nonatomic) MDCCornerTreatment *topLeftCorner` |
| To: | `@property(nonatomic, copy) MDCCornerTreatment *topLeftCorner` |

*modified* property: `topRightCorner` in `MDCShapeCategory`

| Type of change: | Declaration |
|---|---|
| From: | `@property(strong, nonatomic) MDCCornerTreatment *topRightCorner` |
| To: | `@property(nonatomic, copy) MDCCornerTreatment *topRightCorner` |

## Component changes

## Changes

### ActionSheet

* [Update examples (#5979)](https://github.com/material-components/material-components-ios/commit/86cdea966a562b24f2639a0f7d0bb8b68e6b7d9c) (Cody Weaver)

### BottomNavigation

* [Initial implementation of the Bottom Navigation Controller (#5886)](https://github.com/material-components/material-components-ios/commit/2bddd177f3c7f03444f401d2f2554014562bae51) (Eric Lee)
* [Revert "[BottomNavigation]Adds Initial tests for MDCBottomNavigationBarController" (#6039)](https://github.com/material-components/material-components-ios/commit/430e37b0d126769aa6ae6112e166d8dee9307bee) (Robert Moore)
* [[BottomNavigation]Adds Initial tests for MDCBottomNavigationBarController (#6012)](https://github.com/material-components/material-components-ios/commit/0f1a7c7fad1657a7e9dc8748a613a9d376c3f3c6) (Eric Lee)

### BottomSheet

* [fix bottom sheet layout for safe area (#6024)](https://github.com/material-components/material-components-ios/commit/78070d8b8916b44413cd82961b4fb4d6566156ee) (Yarden Eitan)

### FlexibleHeader

* [Refactor min/max height behavior to a separate object. (#5896)](https://github.com/material-components/material-components-ios/commit/c15c78c8ad65b404cd6d85bda66b39029eb27a73) (featherless)

### NavigationDrawer

* [Attempt to fix header shadow not being removed (#6010)](https://github.com/material-components/material-components-ios/commit/f7b717b81f075df8bb9460074cf968e18d4fccb2) (Michael Cheung)
* [Navigation Drawer Present at Fullscreen (#5995)](https://github.com/material-components/material-components-ios/commit/5a98df2b39247e0a6acdd5ea4083948cb746d11f) (Yarden Eitan)

### TextFields

* [Refactor test classes to use subclassing. (#6008)](https://github.com/material-components/material-components-ios/commit/ed26c83431b172ae27ede6bf5c9a1b0d34589e05) (Robert Moore)
* ["Filled" snapshots use abstract class (#6013)](https://github.com/material-components/material-components-ios/commit/d97dad18ab9a32f189e88fd77b1e69a236fcb130) (Robert Moore)
* ["FullWidth" snapshots use abstract class (#6014)](https://github.com/material-components/material-components-ios/commit/df9d979c73a073ec786f6a4c76d54348a25fc9b8) (Robert Moore)
* ["SimpleTextField" Example Prototype (#6003)](https://github.com/material-components/material-components-ios/commit/bc45f4d212e292a7a62b7ff2eaf65d095a1eb162) (Andrew Overton)
* [Add "unfloating" filled style snapshots. (#5997)](https://github.com/material-components/material-components-ios/commit/ed534a8aabb23c3a9b124437cc9bab7ef4f2c26b) (Robert Moore)
* [Add Baseline Filled snapshots. (#6029)](https://github.com/material-components/material-components-ios/commit/1481114ba65cff6acbb214a1be91dcfb2b49d3d2) (Robert Moore)
* [Add FullWidth snapshots with character counts. (#6025)](https://github.com/material-components/material-components-ios/commit/5aff8a9c5e3293460e175a3beeca771a9ff5bc8a) (Robert Moore)
* [Add `isEditing` snapshots for Filled style (#5988)](https://github.com/material-components/material-components-ios/commit/0e123ef867aa37831bf241bbacb3ba178d186ab4) (Robert Moore)
* [Add `isEditing` snapshots for Full Width (#5989)](https://github.com/material-components/material-components-ios/commit/2ace39ab61f956cbd8912cddf69ba13264f28206) (Robert Moore)
* [Add `isEditing` snapshots for Outlined Text Area (#5994)](https://github.com/material-components/material-components-ios/commit/39e655a18904b649429eb0947304dc4bb82a3925) (Robert Moore)
* [Add `isEditing` snapshots for Outlined style (#5990)](https://github.com/material-components/material-components-ios/commit/4fee7d0096b259c4414957bdfd8dae96b56c526c) (Robert Moore)
* [Add `leadingImage` snapshots. (#6028)](https://github.com/material-components/material-components-ios/commit/8d91cf7343642cf9151ff664e918f6427d6312d2) (Robert Moore)
* [Add clearButton to Outlined TextArea (#5992)](https://github.com/material-components/material-components-ios/commit/724b4b3cba79bcb86753580acbca3a903da4fc7d) (Robert Moore)
* [Add extension for theming (#5975)](https://github.com/material-components/material-components-ios/commit/47b1d0da5dcab8de3ac24aa97d3d2d5ee7f41388) (Cody Weaver)
* [Add snapshots for `disabled` state (#6026)](https://github.com/material-components/material-components-ios/commit/bc4596247995de4d12952f9f1bb1a0d4bb117b50) (Robert Moore)
* [Add snapshots for outlined, baseline, character counts. (#6001)](https://github.com/material-components/material-components-ios/commit/e4aec8f5eee9f5b91f9cf40a12645390e37fa53e) (Robert Moore)
* [Add underlined snapshot tests. (#6021)](https://github.com/material-components/material-components-ios/commit/20212bf72d30fcdbe8395f40aaac9adf4f7e9244) (Robert Moore)
* [Allow animations to execute in tests. (#5987)](https://github.com/material-components/material-components-ios/commit/7d31824b8a17d42ae807995493c787e4c4632506) (Robert Moore)
* [Incomplete snapshot RTL/Arabic support (#6023)](https://github.com/material-components/material-components-ios/commit/ced82748669b1ef0bf1f06bce27f189fc546d489) (Robert Moore)
* [Outlined TextArea uses abstract test class (#6017)](https://github.com/material-components/material-components-ios/commit/0532bb1e25fd6a05ce54ec2122ffa1425d1e2247) (Robert Moore)
* [Outlined controller snapshots use abstract class (#6019)](https://github.com/material-components/material-components-ios/commit/4a5b9787b3a5eff21740a04247d0482614fcedd0) (Robert Moore)
* [Outlined, themed snapshots use abstract class (#6016)](https://github.com/material-components/material-components-ios/commit/b9634794d1e6bf7a1a3be0863818a822d84365f3) (Robert Moore)
* [Outlined, themed, character count tests use abstract class. (#6015)](https://github.com/material-components/material-components-ios/commit/d5d33581b9eed4cc17b3db7ef1b414b99571db3c) (Robert Moore)
* [Refactor snapshot test class (#5982)](https://github.com/material-components/material-components-ios/commit/962e9439e8b6285ea420f84214a47808102601cd) (Robert Moore)
* [Refactor snapshot tests into abstract class. (#6009)](https://github.com/material-components/material-components-ios/commit/9c500463e2a8028b163a7123e3cabaa7fd518646) (Robert Moore)
* [Refactor textArea snapshot tests. (#5991)](https://github.com/material-components/material-components-ios/commit/b336f35686ab017ea893274d07104b621234f1c4) (Robert Moore)
* [Refactor: Move `recordMode` to `-setUp` (#5998)](https://github.com/material-components/material-components-ios/commit/375b72f82cb27332a6a323eeaef69d22298703e9) (Robert Moore)

### schemes/Shape

* [Fix shape example to use new contained button theming (#6034)](https://github.com/material-components/material-components-ios/commit/2bb5f72548c49b45ccfc0e2f72cab0e6524002f8) (rami-a)

## Multi-component changes

* [Pin all swift_library targets to Swift 3. (#6000)](https://github.com/material-components/material-components-ios/commit/bf7ca2e96dcd98bd0ddd1f350977ca72618671a9) (featherless)
* [Ran buildifier against all BUILD files. (#5999)](https://github.com/material-components/material-components-ios/commit/dae4e37ea5d51f684ca2fd1deb994d95f0a56122) (featherless)
* [Rename MaterialComponentsAlpha to MaterialComponentsBeta. (#6018)](https://github.com/material-components/material-components-ios/commit/73bdc03c2bd2abd032b0b69f05cd76928361aa37) (featherless)
* [Update bazel to 0.20 and all dependencies as a result (#5926)](https://github.com/material-components/material-components-ios/commit/a247edea76df5f02bf0ac7bcfeabe07c28bf2cfe) (featherless)
* [add hash function to MDCCornerTreatment (#5954)](https://github.com/material-components/material-components-ios/commit/0e4da65df8a39b8394cbf5e9d792737604e94222) (Wenyu Zhang)

---

# 72.2.0

In this minor release we added scrimColor support for MDCBottomSheetController and added a theming extension support for MDCAlertController. We also added TextFields snapshot testing along with various bug fixes.

## New features

### Bottom Sheet scrimColor API usage example
```objc
  MDCBottomSheetController *bottomSheet =
      [[MDCBottomSheetController alloc] initWithContentViewController:viewController];
  bottomSheet.scrimColor = UIColor.blueColor;
  [self presentViewController:bottomSheet animated:YES completion:nil];
```

### Dialogs Theming Extension usage example
```swift
  var scheme: MDCContainerScheming {
    let scheme = MDCContainerScheme()
    scheme.colorScheme = colorScheme
    scheme.typographyScheme = typographyScheme
    return scheme
  }
  ...
  let alertController = MDCAlertController(title: "Title", message: "Message")
  alertController.applyTheme(withScheme: scheme)
```

## Bug fixes

{Git-LFS} Exclude git-lfs from `stable` #5977

## API changes

## Component changes

## Changes

### ActionSheet

* [Allow changing action item accessibility labels. (#5803)](https://github.com/material-components/material-components-ios/commit/f60be3313114c06309803be2f17f029155ee0c3d) (lightboys22)

### BottomSheet

* [Create property to allow scrim color to be set on presentation controller. (#5892)](https://github.com/material-components/material-components-ios/commit/cf81763cdc68fe82afa0b5efc1ea8daee533f6c9) (danblakemore)

### Buttons

* [Correct FAB Shape themer documentation. (#5900)](https://github.com/material-components/material-components-ios/commit/af92829cc69acdf7f9bcc3205cad0fc49135f66d) (Robert Moore)
* [Fix unsafe access to self.bounds.size (#5930)](https://github.com/material-components/material-components-ios/commit/9d6f0533985914752bb203d60f58b8fb2523e949) (Robert Moore)
* [Improve color themer tests. (#5913)](https://github.com/material-components/material-components-ios/commit/ae060e8225cc82b33f32fb885b904152199537d1) (Robert Moore)
* [Match backgroundColor to titleColor API (#5919)](https://github.com/material-components/material-components-ios/commit/71b24fe3b95c5989f7cb7c7de4e8c661f996fb16) (Robert Moore)
* [uncomment the test for verifying theming FAB title color (#5923)](https://github.com/material-components/material-components-ios/commit/89301b38eacc36d26dff33d55a8dd8a96c35b746) (Wenyu Zhang)

### Chips

* [Account for RTL in textRectForBounds override in MDCChipTextField (#5935)](https://github.com/material-components/material-components-ios/commit/a8be59547749dc2606e88a4bbcc2dd4d4e47638e) (Andrew Overton)

### Dialogs

* [ [Dialogs] Renaming example view controllers (#5932)](https://github.com/material-components/material-components-ios/commit/3f3e5b0efcd056ee8c31433adbac26d7c4c20462) (Galia Kaufman)
* [Add dialog category for theming (#5905)](https://github.com/material-components/material-components-ios/commit/68ea954882ad6db03ef982b5a051c3509b7ce5c4) (Andrew Overton)

### FlexibleHeader

* [Add basic minimumHeight/maximumHeight behavior tests. (#5908)](https://github.com/material-components/material-components-ios/commit/b3afc1eae9c207dfdf383c451557063aa84150f8) (featherless)

### NavigationDrawer

* [Fix jump when perferredContentSize changes (#5928)](https://github.com/material-components/material-components-ios/commit/f8d595ef04c1db795c7426fa419b5c764ac10696) (Cody Weaver)
* [Remove clipping view (#5897)](https://github.com/material-components/material-components-ios/commit/be33ef513ede24882ee04fc7cda122e7a68677b2) (Cody Weaver)

### private/KeyboardWatcher

* [fix keyboard watcher not taking into regards compatibility mode (#5957)](https://github.com/material-components/material-components-ios/commit/39a2a282f5070ae51bfa42fe029b3b232756f01e) (Yarden Eitan)

### Textfields

* [Add FullWidth snapshot tests. (#5953)](https://github.com/material-components/material-components-ios/commit/ab7a6467db5edb7dc87de589fa09e073db8e8d65) (Robert Moore)
* [Add Outlined snapshot tests (#5939)](https://github.com/material-components/material-components-ios/commit/495a29ca69305acde9dff9d1c67f7939011548b1) (Robert Moore)
* [Add OutlinedTextArea snapshot tests (#5950)](https://github.com/material-components/material-components-ios/commit/930965b1bc2cb784854f3a48a02f2ae587d958d5) (Robert Moore)
* [Add `editing` snapshots for Outlined (#5964)](https://github.com/material-components/material-components-ios/commit/7daa9d169b769a73c8f4ae61300fdfe00a9a5e5e) (Robert Moore)
* [Add clearButton to filled snapshots (#5963)](https://github.com/material-components/material-components-ios/commit/6b4913db25d8a1d6046360f068083660c1b795db) (Robert Moore)
* [Post notifications when `isEditing` changes. (#5972)](https://github.com/material-components/material-components-ios/commit/fc05538fd5b81839df4870cde3b0e4dab21389e3) (Robert Moore)
* [Show clearButton in baseline snapshot (#5962)](https://github.com/material-components/material-components-ios/commit/1a25e695acc053ab8ffcfcee8d9dfe57af3881e3) (Robert Moore)
* [Show clearButton in outlined snapshots. (#5961)](https://github.com/material-components/material-components-ios/commit/004b49d774a02a9b0971efb6da09d563c12a605a) (Robert Moore)
* [Snapshot test for themed Outlined. (#5951)](https://github.com/material-components/material-components-ios/commit/f7ac13089ed573426f46e7bff09adfc9f8ce06a8) (Robert Moore)
* [Snapshot tests for Filled. (#5949)](https://github.com/material-components/material-components-ios/commit/e36da4d68eac2febe8225b14e838a9e06f3c8695) (Robert Moore)

## Multi-component changes

* [Clean up doc links to guidelines (#5927)](https://github.com/material-components/material-components-ios/commit/d40ccbaa6c01c509141baf05e8632109df35bbc3) (Robert Moore)
* [Move verification into test methods (#5947)](https://github.com/material-components/material-components-ios/commit/5b4c5e5272670acf44d53ae45466719f1cfad044) (Robert Moore)
* [Tweak snapshot test base class to handle the verify in tearDown (#5933)](https://github.com/material-components/material-components-ios/commit/7ff5daf101d40baabbf91bff093c651deea9531d) (rami-a)
* [Update our theming extensions (#5945)](https://github.com/material-components/material-components-ios/commit/1ca10a8669675d8cd358dbe2641c9551592c6894) (Cody Weaver)
* [Update secondary floating action button themer examples (#5922)](https://github.com/material-components/material-components-ios/commit/6267009748828eaebd64616092671eb43249f0e5) (Wenyu Zhang)

---

# 72.1.0

This minor release fixes a ChipField RTL issue.

## Component Changes

### Chips

* [Account for RTL in textRectForBounds override in MDCChipTextField (#5935)](https://github.com/material-components/material-components-ios/commit/c6860181b11fd6dad4eaa65e21d3a9adf2967f5a) (Andrew Overton)

---

# 72.0.1

Corrected readme version to match cocopods version.

# 71.0.0

In this release we fixed some NavigationDrawer/BottomDrawer bugs and started using the theming extensions. This includes using categories on the components and a global container scheme.

## Breaking changes

* MDCColorScheming has added the copy attribute to its properties.
* MDCTypographyScheming has added the copy attribute to its properties.
* MDCFloatingButtonThemer changes its mapping to use a title color [#5912](https://github.com/material-components/material-components-ios/commit/df96ba447e2ace5554eb3acdfb483cae57ddc21e)

## New features

### Button theming
```
    textButton.applyTextTheme(withScheme: MDCContainerScheme())
```

### ButtonBar theming
```
  var scheme: MDCContainerScheming {
    let scheme = MDCContainerScheme()
    scheme.colorScheme = colorScheme
    scheme.typographyScheme = typographyScheme
    return scheme
  }
  ...
  buttonBar.applyPrimaryTheme(withScheme: scheme)
```
### Dialogs usage example
```
  NSString *titleString = @"Reset Settings?";
  NSString *messageString = @"This will reset your device to its default factory settings.";

  MDCAlertController *alert = [MDCAlertController alertControllerWithTitle:titleString
                                                                   message:messageString];
  alert.mdc_adjustsFontForContentSizeCategory = YES;

  MDCActionHandler handler = ^(MDCAlertAction *action) {
    NSLog(@"action pressed: %@", action.title);
  };

  MDCAlertAction *agreeAaction = [MDCAlertAction actionWithTitle:@"Cancel"
                                                        emphasis:MDCActionEmphasisLow
                                                         handler:handler];
  [alert addAction:agreeAaction];

  MDCAlertAction *disagreeAaction = [MDCAlertAction actionWithTitle:@"Accept"
                                                           emphasis:MDCActionEmphasisLow
                                                            handler:handler];
  [alert addAction:disagreeAaction];
  [MDCAlertControllerThemer applyScheme:self.alertScheme toAlertController:alert];

  [self presentViewController:alert animated:YES completion:NULL];
```
## Component changes

### Buttons
MDCFloatingButtonThemer changes its mapping to use a title color [#5912](https://github.com/material-components/material-components-ios/commit/df96ba447e2ace5554eb3acdfb483cae57ddc21e)
### Banner

An MVP view with layout was added to examples.

### Container scheme

We have created a global container scheme to hold all subsystems schemes. We have started to move our theming APIs into class extensions/catgories. These are the components that have landed some of these changes:

* ButtonBar
* Button

## Changes

### ActionSheet

* [Rename example view controllers. (#5866)](https://github.com/material-components/material-components-ios/commit/d0073c8da2ba58ecbe8cc417844f9cdc2af166b9) (Robert Moore)

### ActivityIndicator

* [Rename examples (#5867)](https://github.com/material-components/material-components-ios/commit/4a9c905b96d22e28ed719ba05d3afbeda3a53095) (Robert Moore)

### AnimationTiming

* [Rename examples view controllers (#5868)](https://github.com/material-components/material-components-ios/commit/31371e832b70befa743538eaae65b8e463bc984a) (Robert Moore)

### ButtonBar

* [Add a Theming extension. (#5843)](https://github.com/material-components/material-components-ios/commit/88068212436e2f2ff4cae138718b1f6a6ccd4af6) (featherless)

### Buttons

* [Add tests for backgroundColorForState: (#5916)](https://github.com/material-components/material-components-ios/commit/8a9e628bdf26c7bd3418f737d699a43e6d573b7c) (Robert Moore)
* [Add themer for contained buttons with container scheme (#5849)](https://github.com/material-components/material-components-ios/commit/4f0786a2bfb51de3cc0019645c1be425289ffc05) (Cody Weaver)
* [Floating Action Button Theming Extension (#5869)](https://github.com/material-components/material-components-ios/commit/f47f5049deecb417a44bd4ff28645bc32da90b91) (Wenyu Zhang)
* [Refactor button test (#5898)](https://github.com/material-components/material-components-ios/commit/fa1652724f5c8399eeffecbdf7ac82df6f92d7c4) (Cody Weaver)
* [added missing imports for Buttons_Theming](https://github.com/material-components/material-components-ios/commit/aa1a1a5778ccc9bef2483ef7d0850c4e09675b1b) (Randall Li)
* [{WIP} [Buttons] Fix titleColorForState in Floating Button themer. (#5912)](https://github.com/material-components/material-components-ios/commit/df96ba447e2ace5554eb3acdfb483cae57ddc21e) (Robert Moore)

### Cards

* [added missing imports for Buttons_Theming](https://github.com/material-components/material-components-ios/commit/a37f0d1bf74e68681b62b00b1a3658eb5dca7958) (Randall Li)

### Dialogs

* [New typical use example (#5809)](https://github.com/material-components/material-components-ios/commit/caba6198f43baefbf681e766b665379e4ac101a7) (Galia Kaufman)
* [Refactor Material Alert Controller Examples (#5838)](https://github.com/material-components/material-components-ios/commit/ffe2ccbbe1b762682df7d3ad6c326bdecc5ccea5) (Galia Kaufman)
* [Refactor low elevation example (#5862)](https://github.com/material-components/material-components-ios/commit/fa775c6692fd51eda086340a146c74ecbca02ac6) (Galia Kaufman)

### NavigationDrawer

* [Fix jump when perferredContentSize changes (#5928)](https://github.com/material-components/material-components-ios/commit/e2b2240618814e8b59101d1dac6f305dfd2913c6) (Cody Weaver)
* [Refactor test (#5910)](https://github.com/material-components/material-components-ios/commit/b96909eba02d2b80560001055a7e690b23e3cdcf) (Cody Weaver)
* [Remove bottom drawer container view as child upon dismissal (#5853)](https://github.com/material-components/material-components-ios/commit/7aa674b57d1944e3feef404af822c41efbaccdb8) (Michael Cheung)
* [add missing imports to MaterialNavigationDrawer+ColorThemer](https://github.com/material-components/material-components-ios/commit/487a45d09b9eeba26da3d27e3d688950eeef3af8) (Randall Li)

### Snackbar

* [Disable potentially flaky test (#5861)](https://github.com/material-components/material-components-ios/commit/865418952de3b993f85fcd47891b57c29c4257cb) (rami-a)
* [Updates the snackbar tests to use XCTestExpectation (#5864)](https://github.com/material-components/material-components-ios/commit/dd8706b49548af9949ae2b3474932078ad532d22) (Yarden Eitan)

### schemes/Color

* [Make MDCColorScheme conform to NSCopying (#5881)](https://github.com/material-components/material-components-ios/commit/f56320985781f0c0d88b0b3bd08f755e23b928cb) (Wenyu Zhang)

### schemes/Typography

* [make MDCTypography conform to NSCopying (#5890)](https://github.com/material-components/material-components-ios/commit/836f2a4f0d8dd9a790a1b2ceb1c2d085e45d60e2) (Wenyu Zhang)

## Multi-component changes

* [Add button theming category method for outlined theming (#5878)](https://github.com/material-components/material-components-ios/commit/748a9128e3cf0522f72a9f74720e36135b727526) (Andrew Overton)
* [Add imports for MaterialContainerScheme](https://github.com/material-components/material-components-ios/commit/371f3ac9a75273ca158125591086bcb4adb9cf92) (Randall Li)
* [Add text button themer (#5885)](https://github.com/material-components/material-components-ios/commit/9e80ade17323860f7b2bca7fe8ea3de2d00bc684) (Galia Kaufman)
* [Bumped version number to 72.0.0.](https://github.com/material-components/material-components-ios/commit/2a334c409ab2cb505909e82a53c01e47d1524893) (Randall Li)
* [Revert "Snapshot Testing Proof of Concept" (#5883)](https://github.com/material-components/material-components-ios/commit/13781e6d452bc8c2e38bb7d55717872fec45f306) (Robert Moore)
* [Snapshot Testing Proof of Concept (#5754)](https://github.com/material-components/material-components-ios/commit/c6a300ff2cc31901d9acbaf527952ad912c15322) (rami-a)
* [Snapshot Testing Proof of Concept (#5887)](https://github.com/material-components/material-components-ios/commit/615a0e406158dba0f168e1e24bd3884209cc137d) (rami-a)

---

# 70.1.0

This minor release introduces a new Alpha ContainerScheme type and several bug fixes.

## New features

A new ContainerScheme type has been introduced that can be used to represent the complete collection
of Material Theming subsystem schemes. This new scheme type is an Alpha component at this point in
time and is not yet intended for general use.

## API changes

### ContainerScheme

**New component.**

## Component changes

## Changes

### ActionSheet

* [Action sheet safe area fix (#5769)](https://github.com/material-components/material-components-ios/commit/95513c069bd76df869c9ca421dd843cce4f3932a) (Colemalban)

### Cards

* [Have updates to MDCCardCollectionCell setState properly respect the animated flag. (#5780)](https://github.com/material-components/material-components-ios/commit/42079f46485e750eaf5b5270ea7c7fb7526c477d) (Yarden Eitan)

### Dialogs

* [Example: merged supplemental code into a single file: DialogsDismissingViewController (#5808)](https://github.com/material-components/material-components-ios/commit/14d870e5d6e6283409088de338efebfaf69bd924) (Galia Kaufman)
* [Move non-typical demo to Dragons. (#5829)](https://github.com/material-components/material-components-ios/commit/74cb507b3046d269683a01497ac1649d17b6ea77) (Robert Moore)
* [renmaing typical use example (#5807)](https://github.com/material-components/material-components-ios/commit/767c482eb0ad095f0500b0ab970916bb9e07de6b) (Galia Kaufman)

### NavigationDrawer

* [Add the bottom drawer container view controller as a child view controller (#5821)](https://github.com/material-components/material-components-ios/commit/7edf376e83e3cb8af51b120e099d976c8e9266e1) (guylivneh)

### schemes/Container

* [implement a container scheme (#5801)](https://github.com/material-components/material-components-ios/commit/f55c9a611e45a17c8f166f1e42ae87109ae45d58) (Wenyu Zhang)

---

# 70.0.0

This major change removes all property coding behavior from our components. It also includes
performance improvements for NavigationDrawer and a new API for adjusting its content offset.
PageControl now also supports RTL.

## Breaking changes

Component properties are no longer encoded or decoded for any component.

## New features

Improvements made to Navigation Drawer:

1. Improvements to the Navigation Drawer's performance by removing unneeded calls to the
   contentViewController's preferredContentSize.
2. A new API on `MDCBottomDrawerViewController:` `setContentOffsetY:contentOffsetY:animated:`
   allowing to manually scroll the content to the desired offset. Setting the contentOffsetY to 0
   will scroll the drawer to the top of the content.

MDCPageControl has a new `respectsUserInterfaceLayoutDirection` property that, when enabled, causes
the page control to react to RTL layout.

## API changes

### Buttons

#### MDCFloatingButton

*removed* method: `-initWithCoder:` in `MDCFloatingButton`

### Collections

#### MDCCollectionViewEditing

*new* method: `-updateReorderCellPosition` in `MDCCollectionViewEditing`

### NavigationDrawer

#### MDCBottomDrawerViewController

*new* method: `-setContentOffsetY:animated:` in `MDCBottomDrawerViewController`

#### MDCBottomDrawerPresentationController

*new* property: `contentReachesFullscreen` in `MDCBottomDrawerPresentationController`

*new* method: `-setContentOffsetY:animated:` in `MDCBottomDrawerPresentationController`

### PageControl

#### MDCPageControl

*new* property: `respectsUserInterfaceLayoutDirection` in `MDCPageControl`

### Slider

#### MDCSlider

*modified* class: `MDCSlider`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCSlider : UIControl, NSSecureCoding` |
| To: | `class MDCSlider : UIControl` |

*modified* class: `MDCSlider`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCSlider : UIControl <NSSecureCoding>` |
| To: | `@interface MDCSlider : UIControl` |

### ColorScheme

#### MDCTonalPalette

*removed* method: `-initWithCoder:` in `MDCTonalPalette`

*modified* class: `MDCTonalPalette`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCTonalPalette : NSObject, NSCopying, NSSecureCoding` |
| To: | `class MDCTonalPalette : NSObject, NSCopying` |

*modified* class: `MDCTonalPalette`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCTonalPalette : NSObject <NSCopying, NSSecureCoding>` |
| To: | `@interface MDCTonalPalette : NSObject <NSCopying>` |

## Component changes

## Breaking changes

### Buttons

* [**Breaking**: Remove property coding support from MDCFloatingButton and MDCFlatButton. (#5787)](https://github.com/material-components/material-components-ios/commit/9564c50eaa08ee5cf79a0fc31adb9cd67972aa28) (featherless)

## Multi-component breaking changes

* [**Breaking**: Remove remaining property coding. (#5792)](https://github.com/material-components/material-components-ios/commit/d9c801e77306416af6e08bb96d364d65f1f9c340) (featherless)

## Changes

### BottomNavigation

* [Support `accessibilityLabel`, `accessibilityHint`, and `isAccessibilityElement` (#5736)](https://github.com/material-components/material-components-ios/commit/0affb857649cd620eac7912edf0a396f966b20a1) (andrewplai)

### BottomSheet

* [Add a Dragon to demonstrate issue #5778 (#5779)](https://github.com/material-components/material-components-ios/commit/ee8f1991ec88f69fc1819d0ea3ee0bc20bcd9960) (danblakemore)

### Collections

* [Adds ability to programmatically update the position of the reordering cell (#5560)](https://github.com/material-components/material-components-ios/commit/4daa8b4aa97338942246415e5e75b0c3b7f685a5) (Felix Emiliano)

### Dialogs

* [Add an Alert width upper bound (#4914)](https://github.com/material-components/material-components-ios/commit/a063cd7552ecf0fea5abebe071455f7b69d940f7) (ianegordon)

### NavigationDrawer

* [API to allow content to scroll to top (#5776)](https://github.com/material-components/material-components-ios/commit/137a3e920c7056a9a168b4889c27b119df1dee61) (Yarden Eitan)
* [Improve performance for heavy preferredContentSize calls (#5744)](https://github.com/material-components/material-components-ios/commit/bccd163467bb1b61ded88256639c3c18b36fbeb8) (Yarden Eitan)
* [Position handle using NSLayoutConstraints (#5760)](https://github.com/material-components/material-components-ios/commit/deac15a06c31d854d4fefd964905b48181469ebe) (Andrew Overton)

### PageControl

* [Add respectsUserInterfaceLayoutDirection to MDCPageControl (#5711)](https://github.com/material-components/material-components-ios/commit/21dfce7f5fb97038ae3b5e81b4acada796fa2c08) (Andrew Overton)

### Tabs

* [Update MDCItemBarCell edge insets to 16.0f, per the material spec. (#5670)](https://github.com/material-components/material-components-ios/commit/e97f72ed9de31598eb0772ea4735a5c4198230ac) (Mark Klara)

## Multi-component changes

* [Fix cross-component imports. (#5786)](https://github.com/material-components/material-components-ios/commit/58b7e388d458422a0d4e4f30d0f43ad9de73aecb) (Robert Moore)
* [Fix cross-component imports. (#5794)](https://github.com/material-components/material-components-ios/commit/6f7513d17ee1f3116f43fadc0ef4b6ebba3f700a) (Robert Moore)
* [Revert "[Dialogs, Shape] Fix cross-component imports. (#5786)" (#5793)](https://github.com/material-components/material-components-ios/commit/595127cd7bcd52f0cf4e531b9fc2e164efc29154) (Robert Moore)

---

# 69.0.0

This major release introduces a breaking change with Snackbar's default style. It also includes
a new top handle and performance improvements for NavigationDrawer.

## Breaking changes

`usesLegacySnackbar` is now NO by default.

## New features

MDCBottomNavigationBar has a new `elevation` property.

NavigationDrawer has the following changes:

1. Added support for content in the drawer that is dynamically sized. Updating the
   preferredContentSize at any time will cause the drawer to respond appropriately.
2. Added a top handle that sits at the top of the drawer to show scrollability. It disappears
   when the drawer goes to full screen or when there is no more to scroll.
3. Added a way to customize the color of the top handle.
4. The drawer's header height expands as it goes to full screen to cover the safe area and status
   bar. We now provide a delegate to allow clients to be aware of the relevant top content inset so
   they lay out their header content appropriately based on height changes.
5. Implemented performance improvements by removing some calls to preferredContentSize of the
   contentViewController within the drawer implementation.

## API changes

### AppBar+ColorThemer

#### MDCAppBarColorThemer(ToBeDeprecated)

*modified* class method: `+applySurfaceVariantWithColorScheme:toAppBar:` in `MDCAppBarColorThemer(ToBeDeprecated)`

*modified* class method: `+applySemanticColorScheme:toAppBar:` in `MDCAppBarColorThemer(ToBeDeprecated)`

### AppBar+TypographyThemer

#### MDCAppBarTypographyThemer(ToBeDeprecated)

*modified* class method: `+applyTypographyScheme:toAppBar:` in `MDCAppBarTypographyThemer(ToBeDeprecated)`

### BottomNavigation

#### MDCBottomNavigationBar

*new* property: `elevation` in `MDCBottomNavigationBar`

### NavigationDrawer

#### MDCBottomDrawerViewControllerDelegate

*new* protocol: `MDCBottomDrawerViewControllerDelegate`

*new* method: `-bottomDrawerControllerDidChangeTopInset:topInset:` in `MDCBottomDrawerViewControllerDelegate`

#### MDCBottomDrawerPresentationController

*new* property: `topHandleHidden` in `MDCBottomDrawerPresentationController`

*new* property: `topHandleColor` in `MDCBottomDrawerPresentationController`

#### MDCBottomDrawerViewController

*new* property: `topHandleColor` in `MDCBottomDrawerViewController`

*new* property: `delegate` in `MDCBottomDrawerViewController`

*new* property: `topHandleHidden` in `MDCBottomDrawerViewController`

## Component changes

### ActionSheet

* [Add example comparing Material and UIKit (#5724)](https://github.com/material-components/material-components-ios/commit/d90bf4cb8ccc9c1f1a42d029842200e89057bf8a) (ianegordon)
* [Try to fix MaterialComponentsAlpha (#5541)](https://github.com/material-components/material-components-ios/commit/7472e8933ee5cb97bceac7427ff5e263f33776b4) (Andrew Overton)

### AppBar

* [Annotate APIs that need to be deprecated. (#5614)](https://github.com/material-components/material-components-ios/commit/4c50877338455f6c7300b267664beeec52237145) (featherless)

### BottomNavigation

* [Add elevation property (#5733)](https://github.com/material-components/material-components-ios/commit/e98a910e473850ed3d3a6b2cceab9df2791c7fcd) (Cody Weaver)
* [Minor code clean-up. (#5742)](https://github.com/material-components/material-components-ios/commit/f1a6f507f2e4a6b982c212ae723be8d6d49941f3) (Robert Moore)

### NavigationDrawer

* [Add dynamically sizing support for the drawer + performance improvements (#5587)](https://github.com/material-components/material-components-ios/commit/31e3f33df361c63615aa5c5c94e8e7c55b25d674) (Yarden Eitan)
* [Added Color API for the top handle. (#5592)](https://github.com/material-components/material-components-ios/commit/3693683b0ffe3d0ce7a9023e0f006c4b9fe6cf1a) (Yarden Eitan)
* [Added a top handle to the drawer (#5591)](https://github.com/material-components/material-components-ios/commit/43a996674a4d52cbc61247437f34040ab88b8206) (Yarden Eitan)
* [Adding a top inset delegate for the drawer (#5674)](https://github.com/material-components/material-components-ios/commit/c9f2279af98362ad38c7334aa721e700493bde82) (Yarden Eitan)
* [added additional example with limited content that doesnt reach fullscreen (#5743)](https://github.com/material-components/material-components-ios/commit/380242e0b724e292df21a01678594c8523d7458c) (Yarden Eitan)
* [call getter instead (#5710)](https://github.com/material-components/material-components-ios/commit/8b13168bf781274aa7f410ad4174d9e234705ec7) (Yarden Eitan)

### Snackbar

* [Fix for Snackbar themer breaking Snackbar examples on dragons (#5731)](https://github.com/material-components/material-components-ios/commit/ec206d593630f8c31d96e855f8f143d584baa900) (Yarden Eitan)
* [change snackbar to default to use the new snackbar and not legacy (#5732)](https://github.com/material-components/material-components-ios/commit/038ba77126593ef203830681f9517223a5981dae) (Yarden Eitan)

## Multi-component changes

* [[MDC Swift] Add guards for Swift 4.2+ (#5634)](https://github.com/material-components/material-components-ios/commit/c1b1d25eec58475ffe3c1bffef4fb98774cd4800) (Robert Moore)
* [Global replace of integral single-precision literals with integer literals. (#5709)](https://github.com/material-components/material-components-ios/commit/74a27253e833f5b378c2ee0de63f57a5e046f21c) (Robert Moore)
* [Global replace of single-precision floats with CGFloat casts. (#5718)](https://github.com/material-components/material-components-ios/commit/03f3351ad5550fcc501e6ed841414c6e1a6d9494) (Robert Moore)
* [No longer using `-init` for Color Scheme. (#5734)](https://github.com/material-components/material-components-ios/commit/372d6b24f9732a38a35a4ba7a1592b2f84dfeb46) (Robert Moore)
* [fix typo UIConnect... -> UIContent... (#5735)](https://github.com/material-components/material-components-ios/commit/85f62c7b3dc1a7a3e33922befb729ee38480a6b6) (Ralph)

---

# 68.2.0

In this minor release we have introduced an API for customizing the Navigation Drawer scrim color, an API for animating corner radius changes for `MDCShadowLayer`, an `MDCSnackbarManager` instance color themer, along with bug fixes and performance improvements.

## New features

Navigation Drawer now supports customizing its scrim color as follows:

```swift
let bottomDrawerViewController = MDCBottomDrawerViewController()
// Set the drawer scrim color.
bottomDrawerViewController.scrimColor = UIColor.blue.withAlphaComponent(0.5)

bottomDrawerViewController.contentViewController = contentViewController
bottomDrawerViewController.headerViewController = headerViewController
MDCBottomDrawerColorThemer.applySemanticColorScheme(colorScheme,
                                                    toBottomDrawer: bottomDrawerViewController)
present(bottomDrawerViewController, animated: true, completion: nil)
```

`MDCShadowLayer` now supports animating corner radius changes:

```objc
@interface CustomView : UIView
@end

@implementation CustomView
+ (Class)layerClass {
  return [MDCShadowLayer class];
}

- (MDCShadowLayer *)shadowLayer {
  return (MDCShadowLayer *)self.layer;
}
 @end

CAMediaTimingFunction *timingFunction =
    [CAMediaTimingFunction mdc_functionWithType:MDCAnimationTimingFunctionEaseInOut];
[self.customView.shadowLayer animateCornerRadius:(CGFloat)25.0
                              withTimingFunction:timingFunction
                                        duration:(CGFloat)2.5];
```

`MDCSnackbarManager` instances can now be themed using a color scheme:

```objc
MDCSnackbarManager *snackbarManager = [[MDCSnackbarManager alloc] init];
MDCSemanticColorScheme *colorScheme = [[MDCSemanticColorScheme alloc] init];
[MDCSnackbarColorThemer applySemanticColorScheme:colorScheme toSnackbarManager:snackbarManager];
```

## API changes

### NavigationDrawer

#### MDCBottomDrawerViewController

*new* property: `scrimColor` in `MDCBottomDrawerViewController`

#### MDCBottomDrawerPresentationController

*new* property: `scrimColor` in `MDCBottomDrawerPresentationController`

### ShadowLayer

#### MDCShadowLayer

*new* method: `-animateCornerRadius:withTimingFunction:duration:` in `MDCShadowLayer`

### Snackbar+ColorThemer

#### MDCSnackbarColorThemer

*new* class method: `+applySemanticColorScheme:toSnackbarManager:` in `MDCSnackbarColorThemer`

## Component changes

### AnimationTiming

* [fix swift debugging (#5569)](https://github.com/material-components/material-components-ios/commit/3442cf9deb1c31b0962dab4906177dd2306ed7c2) (Yarden Eitan)

### BottomAppBar

* [Fix path animation (#5611)](https://github.com/material-components/material-components-ios/commit/7b51a89030ec32d617e11794adfd50741aa3e951) (Cody Weaver)

### BottomNavigation

* [Fix selection animation for badge (#5571)](https://github.com/material-components/material-components-ios/commit/9147435cf7e6624b0876d07389374d039b0ccf69) (Cody Weaver)

### FlexibleHeader

* [Fix an edge case in resetShadowAfterTrackingScrollViewIsReset (#5561)](https://github.com/material-components/material-components-ios/commit/91186a3182ce3e0e207ee93ff3c75f0095d4895a) (Ali Rabbani)
* [Fix animation glitches when switching between UITableView tabs (#5540)](https://github.com/material-components/material-components-ios/commit/0124394a1d03b8e9a06c759028250b775e56321b) (featherless)

### NavigationDrawer

* [Add scrim color to color themer (#5570)](https://github.com/material-components/material-components-ios/commit/71c4da9404f3ffb5ca75b145592b189215297a16) (Cody Weaver)
* [Add support for scrimColor (#5568)](https://github.com/material-components/material-components-ios/commit/51f69ae40255cbccddf18d551962e81a60e96c97) (Cody Weaver)
* [automatically disable scrolling (#5586)](https://github.com/material-components/material-components-ios/commit/2127004680f3ed66716750ef435b79e665ed9201) (Yarden Eitan)
* [fix spacing (#5590)](https://github.com/material-components/material-components-ios/commit/dd26cfa95b60b3575b61f9423111b84cbfe35a7c) (Yarden Eitan)

### ShadowElevations

* [Remove .m file (#5583)](https://github.com/material-components/material-components-ios/commit/8d26cb5bb9e4efc81657b44726ef8ed418b96bc3) (Cody Weaver)

### ShadowLayer

* [Add API to animate corner radius (#5585)](https://github.com/material-components/material-components-ios/commit/a0810b574649546bd27e330818e1575c5e0a6518) (Cody Weaver)

### Snackbar

* [Add support to pass MDCSnackbarManager instances to color themer (#5582)](https://github.com/material-components/material-components-ios/commit/c724f4ae4bded239fd18db09baccbd33a8162990) (rami-a)

### Typography

* [Cache standard font for text style. (#5533)](https://github.com/material-components/material-components-ios/commit/64d6535f2a4a26681bb3c97361979466e8ba3523) (Robert Moore)

---

# 68.1.0

In this minor release we have added a top corners API and a state system for Navigation Drawer along with bug fixes and additional examples.

## New features

By using Navigation Drawer's `MDCBottomDrawerViewController`, you can now set the top corners radius of your drawer for each of its
different presentation states `MDCBottomDrawerState`.

```swift
let bottomDrawerViewController = MDCBottomDrawerViewController()
// Set the drawer top corners for the drawer states.
bottomDrawerViewController.setTopCornersRadius(24, for: .collapsed)
bottomDrawerViewController.setTopCornersRadius(8, for: .expanded)

bottomDrawerViewController.contentViewController = contentViewController
bottomDrawerViewController.headerViewController = headerViewController
MDCBottomDrawerColorThemer.applySemanticColorScheme(colorScheme,
                                                    toBottomDrawer: bottomDrawerViewController)
present(bottomDrawerViewController, animated: true, completion: nil)
```

## API changes

### NavigationDrawer

#### MDCBottomDrawerViewController

*new* method: `-topCornersRadiusForDrawerState:` in `MDCBottomDrawerViewController`

*new* method: `-setTopCornersRadius:forDrawerState:` in `MDCBottomDrawerViewController`

*new* property: `drawerState` in `MDCBottomDrawerViewController`

*modified* class: `MDCBottomDrawerViewController`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCBottomDrawerViewController : UIViewController` |
| To: | `class MDCBottomDrawerViewController : UIViewController, MDCBottomDrawerPresentationControllerDelegate` |

*modified* class: `MDCBottomDrawerViewController`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCBottomDrawerViewController : UIViewController` |
| To: | `@interface MDCBottomDrawerViewController     : UIViewController <MDCBottomDrawerPresentationControllerDelegate>` |

#### MDCBottomDrawerState

*new* enum: `MDCBottomDrawerState`

*new* enum value: `MDCBottomDrawerStateExpanded` in `MDCBottomDrawerState`

*new* enum value: `MDCBottomDrawerStateCollapsed` in `MDCBottomDrawerState`

*new* typedef: `MDCBottomDrawerState`

*new* enum value: `MDCBottomDrawerStateFullScreen` in `MDCBottomDrawerState`

#### MDCBottomDrawerPresentationController

*new* property: `delegate` in `MDCBottomDrawerPresentationController`

#### MDCBottomDrawerPresentationControllerDelegate

*new* method: `-bottomDrawerWillChangeState:drawerState:` in `MDCBottomDrawerPresentationControllerDelegate`

*new* method: `-bottomDrawerTopTransitionRatio:transitionRatio:` in `MDCBottomDrawerPresentationControllerDelegate`

*new* protocol: `MDCBottomDrawerPresentationControllerDelegate`

## Component changes

### ActionSheet

* [Fix rotation bug  (#5505)](https://github.com/material-components/material-components-ios/commit/07ed3771dc34de4806b62db187e68b669bbcfa2b) (Cody Weaver)

### AppBar

* [Initial frame wrong in MDCAppBarViewController for iPad split screen (#5497)](https://github.com/material-components/material-components-ios/commit/1d9b984cb3a146008779fa12e4e60dc5862789af) (rami-a)

### List

* [Use ListThemer for List example (#5502)](https://github.com/material-components/material-components-ios/commit/49b29af661b7d6c3cc7c79de59b21eb5a92af434) (Andrew Overton)
* [[List Items] Improve BiDi example performance. (#5506)](https://github.com/material-components/material-components-ios/commit/410f2f55e7976570ceabe0d4276c385ed90ef930) (Robert Moore)

### NavigationDrawer

* [Added a state system to the Nav Drawer (#5520)](https://github.com/material-components/material-components-ios/commit/a8d3794de3dff0163126726f8b4dd997fa1fec68) (Yarden Eitan)
* [Added a top corners radius for state API. (#5543)](https://github.com/material-components/material-components-ios/commit/bc584d9e0e74118caea241959de2aa64dd245695) (Yarden Eitan)
* [Fix the init of the MDCBottomDrawerViewController to use the designated inits (#5546)](https://github.com/material-components/material-components-ios/commit/bfa674da949b3f7a51610c29a95994d2bfd44526) (guylivneh)
* [[BottomDrawer] Adding an example for dynamically changing content size (#5545)](https://github.com/material-components/material-components-ios/commit/08b71a81eee40c0b8a71f35e3275acfd13b741eb) (guylivneh)

### Snackbar

* [Update MDCSnackbarColorThemer to set correct background color to match the spec (#5517)](https://github.com/material-components/material-components-ios/commit/479eaa84af054ade867b331b50854c917f82068a) (rami-a)

### schemes/Color

* [Fix pod name (#5532)](https://github.com/material-components/material-components-ios/commit/92c8f03d3079d1034ed6cc22c73c0799200e9add) (Cody Weaver)

### schemes/Typography

* [Fix pod name (#5532)](https://github.com/material-components/material-components-ios/commit/92c8f03d3079d1034ed6cc22c73c0799200e9add) (Cody Weaver)

---

# 68.0.0

This major release includes a breaking change in behavior for Bottom Sheet's shapes themer, a
variety of bug fixes, a new color themer for NavigationDrawer, and documentation for the Shape
theming system.

## Breaking changes

Bottom Sheet's shape themer behavior has changed:

> Bottom Sheet now maps the top 2 corners to the Large Component Shape category when the sheet isn't
> in a full screen state. When the sheet is in full screen, we do not map it or shape it at all.

## New features

NavigationDrawer now has a color themer.

Sliders now respect exclusive touches.

## API changes

### NavigationDrawer+ColorThemer

**New extension.**

## Component changes

### AppBar

* [Add dragons example for appbar that demonstrates issue #5412 (#5471)](https://github.com/material-components/material-components-ios/commit/1ecf3e341a7d6922cecc383603c19ff92611fec5) (rami-a)

### BottomSheet

* [Respect safe area after upward nudge (#5486)](https://github.com/material-components/material-components-ios/commit/fb59ac5f1ba6c86f21849af6db9e911feae70504) (Cody Weaver)
* [[Docs] Adds the shape themer API to the supporting components using the doc generation (#5464)](https://github.com/material-components/material-components-ios/commit/d7f566994a63e293392d8e0328406b6d1dd67dae) (Yarden Eitan)
* [[Shape]! Update to the Bottom Sheet Shape Themer (#5503)](https://github.com/material-components/material-components-ios/commit/03691cad8e4b9d1539271d6cfea8e97491e7ee84) (Yarden Eitan)
* [adjust code wrapper tags on bottom sheet read me (#5404) (#5446)](https://github.com/material-components/material-components-ios/commit/ba950c82fba9ce9095899a203b53456da2b7d67a) (Cody Weaver)

### Buttons

* [[Docs] Adds the shape themer API to the supporting components using the doc generation (#5464)](https://github.com/material-components/material-components-ios/commit/d7f566994a63e293392d8e0328406b6d1dd67dae) (Yarden Eitan)

### Cards

* [[Docs] Adds the shape themer API to the supporting components using the doc generation (#5464)](https://github.com/material-components/material-components-ios/commit/d7f566994a63e293392d8e0328406b6d1dd67dae) (Yarden Eitan)

### Chips

* [[Docs] Adds the shape themer API to the supporting components using the doc generation (#5464)](https://github.com/material-components/material-components-ios/commit/d7f566994a63e293392d8e0328406b6d1dd67dae) (Yarden Eitan)

### Collections

* [Ensures that the cell snapshot generated by MDCCollectionViewEditor reflects changes made to the cell (#5336)](https://github.com/material-components/material-components-ios/commit/f62f5369ecdb586e78bd7f2dc22435dfcee54074) (Felix Emiliano)
* [Updates MDCCollectionViewEditor panning to use cell's center property instead of transform to update its position (#5329)](https://github.com/material-components/material-components-ios/commit/f375ef350d64b1b45c03b4fa77e5efb4c40ee9d6) (Felix Emiliano)

### Dialogs

* [Fix elevation to use MDCShadowElevation](https://github.com/material-components/material-components-ios/commit/f18085def5a7ccfd216401a6ca8d339ff93d971e) (Cody Weaver)
* [Refactor test to use setup and teardown (#5482)](https://github.com/material-components/material-components-ios/commit/dd79e5c6b1cbc2df97daa7e603e1c73d494cd670) (Cody Weaver)
* [Theming action buttons in DialogThemer  (#5416)](https://github.com/material-components/material-components-ios/commit/d55d7ab9f2cea94318ca0ccb6676685a39806984) (Galia Kaufman)
* [Upgrade buttons class to MDCButton (b/117543195) (#5401)](https://github.com/material-components/material-components-ios/commit/c793fcf75380fb07306cc055144f55343b583fdd) (Galia Kaufman)

### List

* [Add RTL arabic text to list example (#5500)](https://github.com/material-components/material-components-ios/commit/d1961ea5d737c766c187f6f5eb8ffea82d76f230) (Andrew Overton)
* [Allow stereo cell labels to take up all available space (#5476)](https://github.com/material-components/material-components-ios/commit/b47b889166ab197cef442ee9815012a996717cab) (Andrew Overton)
* [Do not enforce label text alignment based off effective user interface layout direction (#5475)](https://github.com/material-components/material-components-ios/commit/14f66dc4267715221dcda37880b5cebfd3629f7a) (Andrew Overton)
* [SelfSizingStereoCell should invalidate its layout on re-use (#5439)](https://github.com/material-components/material-components-ios/commit/e96d185e2e59a91d75a53c4738ef3e686d5c54db) (Julien Poumailloux)

### NavigationDrawer

* [Add Color Themer support (#5458)](https://github.com/material-components/material-components-ios/commit/70457a398a8445f13969f72d2f35509776d45829) (rami-a)
* [Add Fakes files for tests (#5453)](https://github.com/material-components/material-components-ios/commit/596f72b395039e3250338f45198f424f7aa90c04) (Cody Weaver)
* [Add scroll view test (#5445)](https://github.com/material-components/material-components-ios/commit/90d84a4bf57fb54c18af14a13d1612b4dc559d34) (Cody Weaver)
* [Add test for contentHeaderTopInset and presentingViewBounds (#5465)](https://github.com/material-components/material-components-ios/commit/b2c690d209226c609631aa7af015f9a3c5648530) (Cody Weaver)
* [Add unit test for height related properties (#5461)](https://github.com/material-components/material-components-ios/commit/f925ce48db8c0dd9130775ae629d3a4eb04934ef) (Cody Weaver)
* [Present the drawer in full screen when in a compact size class (#5443)](https://github.com/material-components/material-components-ios/commit/8c3aedd5ea994341e7eab32fb59611299bb8c1a0) (Yarden Eitan)
* [Test content height surplus and scrolls to reveal (#5466)](https://github.com/material-components/material-components-ios/commit/690b81efdd16c7aff6063f524d77bf6428a71e9a) (Cody Weaver)
* [fix drawer not dismissing in full screen on 32 bit devices (#5454)](https://github.com/material-components/material-components-ios/commit/58380e7c7538701ad5e82080f50d997167cb7d64) (Yarden Eitan)
* [graduate navigation drawer from Beta to Ready (#5470)](https://github.com/material-components/material-components-ios/commit/5dafdbaa86031bd15d43ef13ba8f506e254a6910) (Yarden Eitan)

### Slider

* [[MDCSlider] Allow setting exclusiveTouch on Sliders. (#5326)](https://github.com/material-components/material-components-ios/commit/f5a7a0d474b139531f7b87b6691f72fadd2d4d06) (Gabe Giosia)

### schemes/Shape

* [[Shapes] Added initial documentation for Shape Theming (#5460)](https://github.com/material-components/material-components-ios/commit/83fffdb4cc8b6ce36579f2abce55caee9cdb45f2) (Yarden Eitan)

---

# 67.2.0

This minor release introduces new functionality for theming individual buttons of an
MDCAlertController.

## New features

It is now possible to theme MDCAlertController buttons individually using the new `emphasis`
property on `MDCAlertAction` in conjunction with the `MDCAlertControllerThemer`.

```swift
let alert = MDCAlertController(title: "Button Theming", message: "High, Medium & Low Emphasis")

alert.addAction(MDCAlertAction(title:"High", emphasis: .high, handler: <#handler#>))
alert.addAction(MDCAlertAction(title:"Medium", emphasis: .medium, handler: <#handler#>))
alert.addAction(MDCAlertAction(title:"Low", emphasis: .low, handler: <#handler#>))

MDCAlertControllerThemer.applyScheme(<#alertScheme#>, to: alert)

self.present(alert, animated: true, completion: nil)
```

## API changes

### Dialogs+DialogThemer

#### MDCAlertScheming

*new* property: `buttonScheme` in `MDCAlertScheming`

#### MDCAlertScheme

*new* property: `buttonScheme` in `MDCAlertScheme`

### Dialogs

#### MDCAlertController

*modified* property: `elevation` in `MDCAlertController`

| Type of change: | Swift declaration |
|---|---|
| From: | `var elevation: CGFloat { get set }` |
| To: | `var elevation: Int32 { get set }` |

*modified* property: `elevation` in `MDCAlertController`

| Type of change: | Declaration |
|---|---|
| From: | `@property (assign, readwrite, nonatomic) CGFloat elevation;` |
| To: | `@property (assign, readwrite, nonatomic) int elevation;` |

#### MDCActionEmphasis

*new* enum: `MDCActionEmphasis`

*new* enum value: `MDCActionEmphasisLow` in `MDCActionEmphasis`

*new* enum value: `MDCActionEmphasisMedium` in `MDCActionEmphasis`

*new* enum value: `MDCActionEmphasisHigh` in `MDCActionEmphasis`

#### MDCDialogPresentationController

*modified* property: `dialogElevation` in `MDCDialogPresentationController`

| Type of change: | Swift declaration |
|---|---|
| From: | `var dialogElevation: CGFloat { get set }` |
| To: | `var dialogElevation: Int32 { get set }` |

*modified* property: `dialogElevation` in `MDCDialogPresentationController`

| Type of change: | Declaration |
|---|---|
| From: | `@property (assign, readwrite, nonatomic) CGFloat dialogElevation;` |
| To: | `@property (assign, readwrite, nonatomic) int dialogElevation;` |

#### MDCAlertAction

*new* property: `emphasis` in `MDCAlertAction`

*new* class method: `+actionWithTitle:emphasis:handler:` in `MDCAlertAction`

## Component changes

### Dialogs

* [Fix elevation to use MDCShadowElevation](https://github.com/material-components/material-components-ios/commit/c7d4f27d0c8ee7027519196480ae3e7c0f65d8c5) (Cody Weaver)
* [Theming action buttons in DialogThemer  (#5416)](https://github.com/material-components/material-components-ios/commit/325772ba5e40ce8c27cadab5f0da727dea3d05a9) (Galia Kaufman)
* [Upgrade buttons class to MDCButton (b/117543195) (#5401)](https://github.com/material-components/material-components-ios/commit/9122fc2fcba1d7464d66edc761ce9ab07db318f2) (Galia Kaufman)

---

# 67.1.0

In this minor release we provide a shadow opacity reset toggle for Flexible Header, VoiceOver and rounded corners support for the Navigation Drawer, along with bug fixes and unit tests improvements.

## New features

### Flexible Header

* Flexible Header supports resetting the visible shadow opacity to 0 when setting trackingScrollView to `nil` by setting the BOOL property `resetShadowAfterTrackingScrollViewIsReset`.

### Navigation Drawer
* When VoiceOver or Switch Control is turned on in your app, Navigation Drawer will always show up in full screen.

* Navigation Drawer has rounded corners when there is more scrollable content to scroll in the drawer.

## Component changes

### ActionSheet

* [Remove remaining _IPHONE_11 checks (#5417)](https://github.com/material-components/material-components-ios/commit/d85eee86cbe97a79fb1a59db8b85f693360d7a81) (Cody Weaver)
* [Update examples to use global themer](https://github.com/material-components/material-components-ios/commit/1c95887654c9abf9a294ec8260e7fda817bcb284) (Cody Weaver)
* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### ActivityIndicator

* [Fix ActivityIndicatorTransitionExample layout when rotating device (#5392)](https://github.com/material-components/material-components-ios/commit/545eea116151e6e7c39c6c87298ecfe4f8bf94eb) (rami-a)

### AppBar

* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### BottomAppBar

* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### BottomSheet

* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### Buttons

* [[MaskedTransition] Apply safe area to floating button example and masked transition example (#5389)](https://github.com/material-components/material-components-ios/commit/bff3fcf7f1e8e14eb17899c7675ae7fc90a4f343) (rami-a)

### Cards

* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### Chips

* [Fix layout when Chip added programmatically. (#5425)](https://github.com/material-components/material-components-ios/commit/e54b0bbf00be014992b852284a80fb73ca859e64) (Robert Moore)
* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### CollectionCells

* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### CollectionLayoutAttributes

* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### Dialogs

* [Enable misspelled test. (#5399)](https://github.com/material-components/material-components-ios/commit/d994fe7531a66a5625a8ed28ad9078cf6a172d93) (Robert Moore)
* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### FeatureHighlight

* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### FlexibleHeader

* [Allow clearing shadow when trackingScrollView is emptied (#5385)](https://github.com/material-components/material-components-ios/commit/968f6dfaaa3e5f58501b39e61ecd86fd8b4a9931) (Ali Rabbani)
* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### List

* [BaseCell shouldn't display Ink on tap if -collectionView:shouldHighlightItemAtIndexPath: returns NO (#5393)](https://github.com/material-components/material-components-ios/commit/0383d68a198a55d080e9ce96b3b6d83c217db1f2) (Julien Poumailloux)
* [Fix example import. (#5426)](https://github.com/material-components/material-components-ios/commit/12773d3289c484bf1534f68632d73c1b565f0dab) (Robert Moore)
* [Initialize layoutCache in SelfSizingStereoCell (#5422)](https://github.com/material-components/material-components-ios/commit/4d2d2cda26e3ac493b8f8e8136e72dd2de03b8b8) (Andrew Overton)
* [Revert "SelfSizingStereoCell should use MDCTypography instead of hardcoding its own font opacity (#5361)" (#5405)](https://github.com/material-components/material-components-ios/commit/95a5f36125f5ba8694a9971b114002d7368bb2ed) (Julien Poumailloux)
* [Update List readme to include information on accessibility and color/… (#5403)](https://github.com/material-components/material-components-ios/commit/a19aac07b747bdb948972bf3d6860b02a934862a) (Andrew Overton)

### MaskedTransition

* [[Buttons] Apply safe area to floating button example and masked transition example (#5389)](https://github.com/material-components/material-components-ios/commit/bff3fcf7f1e8e14eb17899c7675ae7fc90a4f343) (rami-a)

### NavigationBar

* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### NavigationDrawer

* [Add buttons to example to present navigation drawer (#5419)](https://github.com/material-components/material-components-ios/commit/d1a8746ad1041f2359a0983d88d66725d5b53766) (Cody Weaver)
* [Add rounded corners when there is scrollable content (#5410)](https://github.com/material-components/material-components-ios/commit/d9c9e741d99f991c10bcee404ccb1055d1388ff1) (Cody Weaver)
* [Added VoiceOver support to have the drawer show at full screen. (#5411)](https://github.com/material-components/material-components-ios/commit/6e31fd6d79093d31e222746530145ebf2c8a1aa3) (Yarden Eitan)
* [Made DrawerHeaderViewController.swift file to conform to MDCBottomDrawerHeader to fix header not showing issue in components examples (#5325)](https://github.com/material-components/material-components-ios/commit/b71390dbc48100f2fd6a45949ca0c4ec871a75dc) (Anuran Barman)
* [Remove remaining _IPHONE_11 checks (#5417)](https://github.com/material-components/material-components-ios/commit/d85eee86cbe97a79fb1a59db8b85f693360d7a81) (Cody Weaver)
* [Setup for tests (#5423)](https://github.com/material-components/material-components-ios/commit/b18f9987b6b898c489920182eb346ea792b5e898) (Cody Weaver)

### ProgressView

* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### ShadowLayer

* [Corner radius (#5390) (#5398)](https://github.com/material-components/material-components-ios/commit/7806ee3c3e1568e8af450ed4a64e4b53e7cd8ea8) (Cody Weaver)
* [Subclass UIView in corner radius example (#5388)](https://github.com/material-components/material-components-ios/commit/3c636c17040ea7667b198381083f7d1ef5d62683) (Cody Weaver)

### Snackbar

* [Clean up unit test. (#5394)](https://github.com/material-components/material-components-ios/commit/4ab529d31647e8dc3ec0633fe43e27663821e8e6) (Robert Moore)
* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### Tabs

* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

### TextFields

* [{Tests} Deallocate test objects at the end of tests. (#5397)](https://github.com/material-components/material-components-ios/commit/675235ed050bb959dcbae957c78a58bbb3567eb3) (Robert Moore)

---

# 67.0.0

There are some rendering changes that have lead to classifying this as a major release. There are no major API changes.

We've added some new theming capabilities for Action Sheets and Lists.

## API changes

### ActionSheet+ActionSheetThemer

**New extension.**

### List+ColorThemer

**New extension.**

### List+ListThemer

**New extension.**

## Component changes

### ActionSheet

* [Add action sheet themer (#5345)](https://github.com/material-components/material-components-ios/commit/85718988e52f3752465eafb59e6669b578aa2f42) (Cody Weaver)

### AppBar

* [Fix status bar color appearing incorrect in some Catalog examples (#5363)](https://github.com/material-components/material-components-ios/commit/160f5b15c1d3b0d2af07bd2cc424c2e8c9f50927) (rami-a)

### BottomAppBar

* [Fix status bar color appearing incorrect in some Catalog examples (#5363)](https://github.com/material-components/material-components-ios/commit/160f5b15c1d3b0d2af07bd2cc424c2e8c9f50927) (rami-a)

### BottomNavigation

* [Change badge position (#5339)](https://github.com/material-components/material-components-ios/commit/5db5057aafdb09c3d0f6e46de2489d99099b1491) (Cody Weaver)

### ButtonBar

* [Fix incorrect casts in ButtonBar (#5358)](https://github.com/material-components/material-components-ios/commit/4766299a56d7ab42fdf56526bc66235134ff302c) (rami-a)

### Buttons

* [Fix a typo around text vs contained button (#5367)](https://github.com/material-components/material-components-ios/commit/30138a90827f92830b1ee54c4516dc33567b6021) (Louis Romero)

### Chips

* [Add support for third party keyboards (#5342)](https://github.com/material-components/material-components-ios/commit/190b2c47ea9fd67e98e310b5b1a9152ff65c8a85) (Cody Weaver)
* [Fix placeholder for manually adding chips (#5343)](https://github.com/material-components/material-components-ios/commit/04415cc92425f52a4e47039c7384be1b3fba7c1d) (Cody Weaver)
* [Respect safe area for Chips examples (#5377)](https://github.com/material-components/material-components-ios/commit/ae6d459a349d95632243c6c999ad22d2c44fd989) (rami-a)

### Dialogs

* [Update README for new themer](https://github.com/material-components/material-components-ios/commit/95fbb31946b5d64cc0eb18d68ee3b7ad377ccd1e) (Cody Weaver)
* [Update the themer and scheme to have elevation (#5301)](https://github.com/material-components/material-components-ios/commit/20b759081d5d69303e1cfa31302a36d56ea96334) (Cody Weaver)
* [Update to match spec (#5309)](https://github.com/material-components/material-components-ios/commit/abd24015d89410d1782d6ec067591b39eb7812ad) (Cody Weaver)
* [add scrimColor to MDCAlertController (#5362)](https://github.com/material-components/material-components-ios/commit/0beee09b20046fc5e0b8d5901244f7bdd3756df4) (Galia Kaufman)

### List

* [Add MDCSelfSizingStereoCellColorThemer (#5311)](https://github.com/material-components/material-components-ios/commit/0aabda44b39b74b931858a4566c6ce4e92b27ae1) (Andrew Overton)
* [Add global themer for List component (#5378)](https://github.com/material-components/material-components-ios/commit/395825465a53650f0272e969f6c0f74cddbe0278) (Andrew Overton)
* [Add tests for List themers (#5315)](https://github.com/material-components/material-components-ios/commit/4afe7a81f1bfb9d035d3e2290ce1d7643db84480) (Andrew Overton)
* [Fix MDCSelfSizingStereoCell not using the right text color and not resetting all label properties on re-use (#5341)](https://github.com/material-components/material-components-ios/commit/d55b6bb37fa0f591b730704c2e863d977ade35a1) (Julien Poumailloux)
* [Generalize List themers (#5357)](https://github.com/material-components/material-components-ios/commit/d5547090997a754392d043a34b9f5c50a508c9fa) (Andrew Overton)
* [SelfSizingStereoCell is not resetting its -mdc_adjustsFontForContentSizeCategory in -prepareForReuse (#5364)](https://github.com/material-components/material-components-ios/commit/542040d93fb4261acdcd457b344c92f0987cc487) (Julien Poumailloux)
* [SelfSizingStereoCell should use MDCTypography instead of hardcoding its own font opacity (#5361)](https://github.com/material-components/material-components-ios/commit/5dbec5b8a9b7324d1f02bbfd0eaf877fc8b6bb50) (Julien Poumailloux)

### NavigationDrawer

* [Performance improvements and increased support for customizing initial drawer percentage height (#5255)](https://github.com/material-components/material-components-ios/commit/0f35751373fa197d8bd2ea4b760dfa196724f8e5) (Yarden Eitan)
* [Support any kInitialDrawerHeightFactor value (#5337)](https://github.com/material-components/material-components-ios/commit/4c5dfa93bded0c21b79a1e6e3e293de218e26cc2) (Yarden Eitan)

### TextFields

* [TextFields: Fix the error accessibility label, the value was not respected previously. (#5300)](https://github.com/material-components/material-components-ios/commit/cfaf6d7a2d3edd56e53c7ee8d6c499f8b41ffb82) (Yilei (Dolee) Yang)

---

# 66.0.0

Shapes updated it's interface.
ActionSheet improvements.
List added a typography themer.

## Breaking changes

Shapes updated its API. See [#5247](https://github.com/material-components/material-components-ios/pull/5247) for details.

## API changes

### List+TypographyThemer

**New extension.**

## Component changes

### ActionSheet

* [Fix ink color for themer (#5287)](https://github.com/material-components/material-components-ios/commit/a411e7143dcc85157983b5a97b3385f607ad3832) (Cody Weaver)
* [Match spec (#5291)](https://github.com/material-components/material-components-ios/commit/7ad817606a824335c09f553c85066312f5cb29b9) (Cody Weaver)
* [Update MDCActionSheetHelperTest (#5248)](https://github.com/material-components/material-components-ios/commit/31a2aadeb62b704bb16c40b93708be51a07bbe16) (Cody Weaver)

### BottomNavigation

* [Fix example (#5242)](https://github.com/material-components/material-components-ios/commit/e0fef69db32a21ad88206e1614564653d6391e8d) (Cody Weaver)

### BottomSheet

* [[Shape]! Terminology updates to the Shape Scheme (#5247)](https://github.com/material-components/material-components-ios/commit/bfc674a631a0214a5b7182a629ab40121b6a25a0) (Yarden Eitan)

### Buttons

* [[Shape]! Terminology updates to the Shape Scheme (#5247)](https://github.com/material-components/material-components-ios/commit/bfc674a631a0214a5b7182a629ab40121b6a25a0) (Yarden Eitan)

### Cards

* [[Shape]! Terminology updates to the Shape Scheme (#5247)](https://github.com/material-components/material-components-ios/commit/bfc674a631a0214a5b7182a629ab40121b6a25a0) (Yarden Eitan)

### Chips

* [[Shape]! Terminology updates to the Shape Scheme (#5247)](https://github.com/material-components/material-components-ios/commit/bfc674a631a0214a5b7182a629ab40121b6a25a0) (Yarden Eitan)

### Dialogs

* [Add shadow elevation (#5296)](https://github.com/material-components/material-components-ios/commit/cba82b4d060f7dccef13d7513628ad22c0bf4afe) (Cody Weaver)
* [Customize alert title icon (#5167)](https://github.com/material-components/material-components-ios/commit/dc184ba549a5eeaac727723189c147c24d4b74ca) (Galia Kaufman)
* [Customize tint color of alert title icon (#5159)](https://github.com/material-components/material-components-ios/commit/d065e4536f4f19660149875ec3f014dd2947d31d) (Galia Kaufman)
* [Customizing scrim color in presentation controller (#5283)](https://github.com/material-components/material-components-ios/commit/1137a62d92b8a983a7c9feea57a3f4a884134749) (Galia Kaufman)

### FlexibleHeader

* [Update MDCFlexibleHeaderView.m (#5259)](https://github.com/material-components/material-components-ios/commit/a1f6658af968f12d354a10aed19f7848abe30579) (Ali Rabbani)

### List

* [Add TypographyThemer to MDCSelfSizingStereoCell (#5298)](https://github.com/material-components/material-components-ios/commit/0fb7ec971299f8a8f0814a9186c16ddfee5edd2a) (Andrew Overton)

### NavigationDrawer

* [Fix iOS 9 bottom drawer dismissals (#5202)](https://github.com/material-components/material-components-ios/commit/d56a82e0e568a464c070fc36766d3a24f8d7840f) (Andrew Overton)
* [Use CGRect accessor methods (#5244)](https://github.com/material-components/material-components-ios/commit/07981be315fb404a53abf81603dcdca324851e0b) (Andrew Overton)

### Tabs

* [[MDCTabBar] Remove dependence on a UIWindow for rendering/layout of MDCTabBa (#5285)](https://github.com/material-components/material-components-ios/commit/696e3768cdfaebeebc69378e8028d453867b2954) (Sam Duke)

### TextFields

* [Override System Initiated VoiceOver Message When Leaving Error State (#5251)](https://github.com/material-components/material-components-ios/commit/7672bcf7a61d48af4da9947efdbbe2d34d241b09) (Andrew Overton)

### schemes/Shape

* [[Shape]! Terminology updates to the Shape Scheme (#5247)](https://github.com/material-components/material-components-ios/commit/bfc674a631a0214a5b7182a629ab40121b6a25a0) (Yarden Eitan)
* [[Shapes] Addition of a shape theming example to our dragons (#5239)](https://github.com/material-components/material-components-ios/commit/956761ed4d567ef1aaf29370bc2b5be11215128a) (Yarden Eitan)

---

# 65.0.0

Bottom App Bar got a `floatingButtonVerticalOffset` property.
ActionSheets continued work. (still in alpha).
AlertController in dialogs: Incremental improvements to bring it up to the design guidelines and so that a themer can style it.
Snackbar API for accessibility.
MDCAppBarTextColorAccessibilityMutator a deprecated class got deleted.

## Breaking changes

MDCAppBarTextColorAccessibilityMutator a deprecated class got deleted.

## New features

### ActionSheet

Action sheet got the color and typography themers.
```swift
let actionSheet = MDCActionSheetController()
MDCActionSheetColorThemer.applySemanticColorScheme(colorScheme, to: actionSheet)
```
```swift
MDCActionSheetTypographyThemer.applyTypographyScheme(typographyScheme, to: actionSheet)
```

### BottomAppBar

Bottom App Bar got a new property to offset the floating button.
```objc
bottomAppBar.floatingButtonVerticalOffset = 5.0f;
```

### AlertController

AlertController got a themer

```objc
 MDCAlertScheme *alertScheme = [[MDCAlertScheme alloc] init];
alertScheme.colorScheme = self.colorScheme;
alertScheme.typographyScheme = self.typographyScheme;
[MDCAlertControllerThemer applyScheme:alertScheme toAlertController:alertController];
```

### Snackbar

To make Snackbars with action require a user action set the this property to YES.
```
manager.shouldEnableAccessibilityViewIsModal = YES;
```

## API changes

### ActionSheet+ColorThemer

**New extension.**

### ActionSheet

#### MDCActionSheetController

*new* property: `messageTextColor` in `MDCActionSheetController`

*new* property: `titleTextColor` in `MDCActionSheetController`

*new* property: `inkColor` in `MDCActionSheetController`

*new* property: `actionTintColor` in `MDCActionSheetController`

*new* property: `imageRenderingMode` in `MDCActionSheetController`

*new* property: `actionTextColor` in `MDCActionSheetController`

### BottomAppBar

#### MDCBottomAppBarView

*new* property: `floatingButtonVerticalOffset` in `MDCBottomAppBarView`

### Dialogs

#### MDCAlertController

*new* property: `titleAlignment` in `MDCAlertController`

#### MDCAlertControllerView

*new* property: `titleAlignment` in `MDCAlertControllerView`

### Snackbar

#### MDCSnackbarManager

*new* property: `shouldEnableAccessibilityViewIsModal` in `MDCSnackbarManager`

## Component changes

### ActionSheet

* [Add color properties to header labels (#5168)](https://github.com/material-components/material-components-ios/commit/6e91d5889980d6ab58eec7c9b7e7ab17858afe4b) (Cody Weaver)
* [Add color themer (#5207)](https://github.com/material-components/material-components-ios/commit/b52096c7e85c88df89a26117360f1099ed4900b5) (Cody Weaver)
* [Add test for setting fonts (#5225)](https://github.com/material-components/material-components-ios/commit/da96510c4cdad7c587bacbee02417b76799ea368) (Cody Weaver)
* [Add test for typography theme (#5226)](https://github.com/material-components/material-components-ios/commit/f2c65f6e5270912340ec3ba887102c58733dc271) (Cody Weaver)
* [Expose ink touch (#5201)](https://github.com/material-components/material-components-ios/commit/ff598f5da3262381e7a844cc75e4b3c922619f1b) (Cody Weaver)
* [Expose properties for the table (#5195)](https://github.com/material-components/material-components-ios/commit/a5a4e0928ef3c4cde904bbe55634abf6fbdbf007) (Cody Weaver)
* [Fix path for ObjC test source. (#5227)](https://github.com/material-components/material-components-ios/commit/274d492718ecd842ef003154ea685ac77aea9053) (featherless)
* [Initial commit (#5232)](https://github.com/material-components/material-components-ios/commit/06e9b7f902fbfa8507737c791724c5f89549970b) (Cody Weaver)
* [Open to the correct height (#5184)](https://github.com/material-components/material-components-ios/commit/886f2661a71a714a695073d94867f597874afd65) (Cody Weaver)
* [Refactor test (#5186)](https://github.com/material-components/material-components-ios/commit/6e5f3abab68b68511cef3b56c53dc0c1bc9b6bf2) (Cody Weaver)
* [Update cells to be testable (#5190)](https://github.com/material-components/material-components-ios/commit/75cc150e3cd5f941460fd7538d5871eae040ca3f) (Cody Weaver)
* [Update docs to include themers (#5209)](https://github.com/material-components/material-components-ios/commit/255f6e99b4c2c371a275ab5e221a29385186d8e5) (Cody Weaver)
* [Use correct style (#5196)](https://github.com/material-components/material-components-ios/commit/8cdd4a6330ead570e56a0c86708f0f7e2842fa31) (Cody Weaver)

### AppBar

* [Add an example demonstrating manual tab management. (#5161)](https://github.com/material-components/material-components-ios/commit/3ea86babf14323eef6e886252eb4e2ce51314635) (featherless)
* [Add frame setting recommendation to app bar view controller migration guide. (#5180)](https://github.com/material-components/material-components-ios/commit/eebbe49e2f5ea02db09979fe89b3028f719dd751) (featherless)
* [Delete the deprecated MDCAppBarTextColorAccessibilityMutator API. (#5220)](https://github.com/material-components/material-components-ios/commit/e4ff45c76eaa217a43ac733d80802421ecba9070) (featherless)

### BottomAppBar

* [clean up how bottom app bar path renders to avoid using hardcoded values (#5155)](https://github.com/material-components/material-components-ios/commit/c7c7b49a2e26257a9fb879fb2baba3f6ff092ccf) (Wenyu Zhang)
* [enable customizing the vertical position of FAB   (#5138)](https://github.com/material-components/material-components-ios/commit/766a6a7697c755e6cbd012da8339e5536bd1b6ae) (Wenyu Zhang)

### Dialogs

* [Add/update examples for dialog themer (#5158)](https://github.com/material-components/material-components-ios/commit/5b34c0eb3a923560d81859f97f799f456a3bf554) (Galia Kaufman)
* [Customize alert title alignment (#5164)](https://github.com/material-components/material-components-ios/commit/80145df58ed24b8e10c62f64481d722b28e3c3fc) (Galia Kaufman)

### FlexibleHeader

* [Extract height matching to a separate function. (#5162)](https://github.com/material-components/material-components-ios/commit/0a9206b5fd4121d6661a4e2f57cd5757199380ff) (featherless)
* [Improve tracking scroll view switching logic. (#5178)](https://github.com/material-components/material-components-ios/commit/54853b4e1dcfabcd85bae450c2dc33d2be89089b) (featherless)
* [[CocoaPods] Remove our tests podspec in favor of official test_spec targets. (#5204)](https://github.com/material-components/material-components-ios/commit/d238c86d47eb072617d285106147ace613321aee) (featherless)

### NavigationDrawer

* [Fix bug where BottomDrawer layout breaks when there isn't enough cont… (#5179)](https://github.com/material-components/material-components-ios/commit/fbaa6b5fcbb10d021f16ade8745e4322b8b43f3f) (Andrew Overton)

### ShadowLayer

* [Add support for responding to cornerRadius changes. (#5224)](https://github.com/material-components/material-components-ios/commit/b3e2a1e283febfd90b6f5d575c18b7bf7d51408e) (featherless)
* [Fix layout of shadow layer example. (#5222)](https://github.com/material-components/material-components-ios/commit/d70676231566f1fe5cc8f209ca9f2027ae236d88) (featherless)
* [Revert "Add support for responding to cornerRadius changes. (#5224)" (#5231)](https://github.com/material-components/material-components-ios/commit/cee6ae6a0f4e362c26e20ccf4d1ad9549001fec8) (featherless)

### Snackbar

* [Added API to make snackbar messages keep focus until an action is taken. (#5219)](https://github.com/material-components/material-components-ios/commit/669bfa82f04dbdc462eab5e56a0c6845bd5224ab) (Randall Li)

### TextFields

* [Remove extension check (#5182)](https://github.com/material-components/material-components-ios/commit/ebd792126341918415b0e193fe0780b61a4eb06b) (Cody Weaver)

---

# 64.0.0

In this release
  AlertControllers added a `cornerRadius` property to specify its shape.
  FlexibleHeader added `disableContentInsetAdjustmentWhenContentInsetAdjustmentBehaviorIsNever` to let clients choose if the scrollview can adjust the contentInsets.
  ChipField added `showChipsDeleteButton` to turn on the delete button on chips.
  BottonSheet added `preferredSheetHeight` to let clients define a non half screen height.
  Shape Subsystem integrated into many components including Button Cards and Chips.

## Breaking changes

Card Buttons and Chips all are using the shape subsystem, which subtly changed the way their corner
radii are rendered.

## New features

### AlertControllers added a `cornerRadius`

A property to specify its shape.

```objc
MDCAlertController *alert = [MDCAlertController alertControllerWithTitle:@"title"
                                                               message:@"message"];
[alert addAction:[MDCAlertAction actionWithTitle:@"action1" handler:nil]];
alert.cornerRadius = cornerRadius;
```

### FlexibleHeader added `disableContentInsetAdjustmentWhenContentInsetAdjustmentBehaviorIsNever`

To make it easier to support scrollviews and content insets

```objc
_scrollView = [[UIScrollView alloc] initWithFrame:self.view.bounds];
if (@available(iOS 11.0, *)) {
_scrollView.contentInsetAdjustmentBehavior = UIScrollViewContentInsetAdjustmentNever;
}
```

### ChipField added `showChipsDeleteButton`

Turns on the delete button on chips.

```swift
var chipField = MDCChipField()
chipField.frame = .zero
chipField.delegate = self
chipField.textField.placeholderLabel.text = "This is a chip field."
chipField.showChipsDeleteButton = true
```

### BottonSheet added `preferredSheetHeight` to let clients define a non half screen height.

```objc
presentationController = [[MDCBottomSheetPresentationController alloc]
      initWithPresentedViewController:stubPresentedViewController
             presentingViewController:stubPresentingViewController];
presentationController.preferredSheetHeight = 100;
```

## API changes

### BottomSheet

#### MDCBottomSheetTransitionController

*new* property: `preferredSheetHeight` in `MDCBottomSheetTransitionController`

#### MDCBottomSheetPresentationController

*new* property: `preferredSheetHeight` in `MDCBottomSheetPresentationController`

### Buttons+ButtonThemer

#### MDCButtonScheming

*new* property: `shapeScheme` in `MDCButtonScheming`

#### MDCButtonScheme

*new* property: `shapeScheme` in `MDCButtonScheme`

### Buttons+ShapeThemer

**New component.**

### Chips+ChipThemer

#### MDCChipViewScheming

*new* property: `shapeScheme` in `MDCChipViewScheming`

#### MDCChipViewScheme

*new* property: `shapeScheme` in `MDCChipViewScheme`

### Chips

#### MDCChipField

*new* property: `showChipsDeleteButton` in `MDCChipField`


### Chips+ShapeThemer

**New component.**

### Dialogs+DialogThemer

**New component.**

### Dialogs

#### MDCAlertController

*new* property: `cornerRadius` in `MDCAlertController`

#### MDCAlertControllerView

*new* property: `cornerRadius` in `MDCAlertControllerView`

### FlexibleHeader

#### MDCFlexibleHeaderView

*new* property: `disableContentInsetAdjustmentWhenContentInsetAdjustmentBehaviorIsNever` in `MDCFlexibleHeaderView`

## Component changes

### ActionSheet

* [Initial commit (#5157)](https://github.com/material-components/material-components-ios/commit/c14604f16a587e2cd80d4a50f629d315c54a7210) (Cody Weaver)
* [Labels use text color instead of alpha (#5142)](https://github.com/material-components/material-components-ios/commit/dc3b9619de1c7afad4d342ba315753c6cd31b944) (Cody Weaver)
* [Make header and table properties](https://github.com/material-components/material-components-ios/commit/98ff77c0a74d3badc268439e558d68cb0fa615b4) (Cody Weaver)
* [Update the docs (#5134)](https://github.com/material-components/material-components-ios/commit/99f8e4c27e6dfe137b1cbbef5e3e00136c8a0dbb) (Cody Weaver)

### AppBar

* [[FlexibleHeaderView] Make FexibleHeaderView respect contentInsetAdjustmentBehavior (#4970) (#5073)](https://github.com/material-components/material-components-ios/commit/2fee13665fdc0052d1c9df2f8c187109730a50a3) (Wenyu Zhang)

### BottomSheet

* [Add property so clients can set a custom height for bottom sheet (#5139)](https://github.com/material-components/material-components-ios/commit/553fb019e7399876a4c34bc417194ef6721af47a) (Cody Weaver)
* [Add tests for `updatePreferredSheetHeight`. (#5115)](https://github.com/material-components/material-components-ios/commit/db3f1f287bd13c5357c33fce6b05e0e8599eca8e) (Robert Moore)
* [Make `sheetView` a property. (#5122)](https://github.com/material-components/material-components-ios/commit/c906e41fe6797559363c44e5a6953ca1675be36e) (Robert Moore)
* [Use setter for sheet view height. (#5125)](https://github.com/material-components/material-components-ios/commit/b5c096009f604061fb10a2208a0445bffb5df2b9) (Robert Moore)
* [[Shape]! Provide more granularity for corner setting for the theming (#5116)](https://github.com/material-components/material-components-ios/commit/c741ba49044e613faa0925e8b817783631629573) (Yarden Eitan)

### Buttons

#### Breaking changes

* [**Breaking**:  Integrate the shape themer into the MDCButton themer (#5120)](https://github.com/material-components/material-components-ios/commit/b27c6f5654add48315b5ad50361fdfa768b6229d) (Yarden Eitan)

* [Add the Floating Button Shape themer to the Floating Button themer (#5132)](https://github.com/material-components/material-components-ios/commit/a7810bbc5e3cc19c32d861a5d8a42ab22e1b7efa) (Yarden Eitan)
* [Addition of a FAB shape themer (#5131)](https://github.com/material-components/material-components-ios/commit/a87ad9a1214793afffcd422d7041c8e796dd05cd) (Yarden Eitan)
* [Addition of a Shape Themer for MDCButton (#5119)](https://github.com/material-components/material-components-ios/commit/d884aeccf1ee70c493cb1a500200015bc323c816) (Yarden Eitan)
* [Integrate the FAB shape themer into our examples (#5133)](https://github.com/material-components/material-components-ios/commit/4e456f88ce45cea64bd2ce329a3a39807884c110) (Yarden Eitan)
* [Integration of the button shape themer into the examples (#5121)](https://github.com/material-components/material-components-ios/commit/08bb1d707ab76589da992fa190cc20f39fd84475) (Yarden Eitan)
* [[Shapes] Bug fix for getting the wrong backgroundColor when shapeGenerator is set. (#5127)](https://github.com/material-components/material-components-ios/commit/e785745070762f6779c359a77801e5961e4092c8) (Yarden Eitan)

### Cards

* [[Shape]! Provide more granularity for corner setting for the theming (#5116)](https://github.com/material-components/material-components-ios/commit/c741ba49044e613faa0925e8b817783631629573) (Yarden Eitan)

### Chips

#### Breaking changes

* [**Breaking**:  Integrate the shape themer into the chip themer (#5112)](https://github.com/material-components/material-components-ios/commit/67ddf9b6caf0cbb2f2051150f28d2a203ec1ad0b) (Yarden Eitan)

* [Add client the ability to delete chips in a chip field (#5135)](https://github.com/material-components/material-components-ios/commit/f233981e2fbcfa40ef1573ff333eed2b22465080) (Cody Weaver)
* [Addition of a Shape Themer (#5111)](https://github.com/material-components/material-components-ios/commit/9faa1295b87feaec96b8fc0a38cd018cb5a9ac47) (Yarden Eitan)
* [Integration of the chip themer into the examples (#5113)](https://github.com/material-components/material-components-ios/commit/31e4007ec0e7e6dca4e9359a3f2e14d20ebbba15) (Yarden Eitan)
* [Support RTL in MDCChipCollectionViewFlowLayout (#5079)](https://github.com/material-components/material-components-ios/commit/1d0153ad6c07c60088cd24b6ecbd1bad0e19caa0) (jsaletta)
* [Update example (#5118)](https://github.com/material-components/material-components-ios/commit/d57e6b724f148eaec173944f082c2c0d7998b509) (Cody Weaver)
* [[Shapes] Bug fix for getting the wrong backgroundColor when shapeGenerator is set. (#5127)](https://github.com/material-components/material-components-ios/commit/e785745070762f6779c359a77801e5961e4092c8) (Yarden Eitan)

### Dialogs

* [Add a dialog themer](https://github.com/material-components/material-components-ios/commit/faea5d127ba60c54cbf45f34d008889026adb861) (Galia Kaufman)
* [Expose corner radius property (#4988)](https://github.com/material-components/material-components-ios/commit/fcd70cad6ec577e1fb4033b2fb2f72748bb56cad) (Galia Kaufman)

### FlexibleHeader

* [Avoid nil logic in multiple tracking scroll view setting. (#5163)](https://github.com/material-components/material-components-ios/commit/128e6fe66795221d4061fd240e2565228ee7dff5) (featherless)
* [[FlexibleHeaderView] Make FexibleHeaderView respect contentInsetAdjustmentBehavior (#4970) (#5073)](https://github.com/material-components/material-components-ios/commit/2fee13665fdc0052d1c9df2f8c187109730a50a3) (Wenyu Zhang)

### PageControl

* [[FlexibleHeaderView] Make FexibleHeaderView respect contentInsetAdjustmentBehavior (#4970) (#5073)](https://github.com/material-components/material-components-ios/commit/2fee13665fdc0052d1c9df2f8c187109730a50a3) (Wenyu Zhang)

### Tabs

* [Fix an example bug (#5106)](https://github.com/material-components/material-components-ios/commit/a37d4a4f3a57ffca55adaa2904f9a5a4a4e8735f) (Cody Weaver)

### TextFields

* [Send .editingChanged control event on clear button touch (#5144)](https://github.com/material-components/material-components-ios/commit/fec74d5e0de26314d832dd43812be04caf77df77) (Andrew Overton)

### schemes/Shape

* [[Shape Scheme] Addition of Unit Tests for the Shape Scheme (#5137)](https://github.com/material-components/material-components-ios/commit/f43e3e73862a0840396b5b6bb8ff4992ba69bd31) (Yarden Eitan)

---

# 63.0.0

This major release adds additional support for shape theming to BottomSheet and Cards and
improvements to ActionSheets, BottomAppBar, BottomNavigation, Dialogs, NavigationBar, and
TextFields.

## Breaking changes

### Cards

* [**Breaking**:  Add a card shape themer (#5031)](https://github.com/material-components/material-components-ios/commit/c036e22a7dde0c2c970e380123334f870cdabaae) (Yarden Eitan)

This is a breaking change due to the addition of the `shapeScheme` property to the MDCCardScheming
protocol. If you have created a type that conforms to MDCCardScheming you will need to implement the
`shapeScheme` property now as well.

## New features

1. ActionSheet's `backgroundColor` can now be customized.
2. BottomAppBar has a new surface variant color themer API. [Documentation](https://github.com/material-components/material-components-ios/tree/v63.0.0/components/BottomAppBar#color-theming)
3. BottomNavigation now allows you to fetch a view for a given item using the new `viewForItem:` API.
4. BottomSheet and Cards each now have a Shape themer.
5. NavigationBar now allows you to set a different tint color for the leading and trailing items.

## API changes

### ActionSheet

#### MDCActionSheetController

*modified* property: `backgroundColor` in `MDCActionSheetController`

| Type of change: | Declaration |
|---|---|
| From: | `@property(nonatomic, nonnull, strong) UIColor *backgroundColor` |
| To: | `@property (readwrite, strong, nonatomic, nonnull) UIColor *backgroundColor;` |

### BottomAppBar+ColorThemer

#### MDCBottomAppBarColorThemer

*new* class method: `+applySurfaceVariantWithSemanticColorScheme:toBottomAppBarView:` in `MDCBottomAppBarColorThemer`

### BottomAppBar

#### MDCBottomAppBarView

*new* property: `trailingBarItemsTintColor` in `MDCBottomAppBarView`

*new* property: `leadingBarItemsTintColor` in `MDCBottomAppBarView`

### BottomNavigation

#### MDCBottomNavigationBar

*new* method: `-viewForItem:` in `MDCBottomNavigationBar`

### BottomSheet+ShapeThemer

**New extension.**

### Cards+CardThemer

#### MDCCardScheme

*new* property: `shapeScheme` in `MDCCardScheme`

#### MDCCardScheming

*new* property: `shapeScheme` in `MDCCardScheming`

### Cards+ShapeThemer

**New extension.**

### NavigationBar

#### MDCNavigationBar

*new* property: `leadingBarItemsTintColor` in `MDCNavigationBar`

*new* property: `trailingBarItemsTintColor` in `MDCNavigationBar`

### ShapeScheme

**New component.**

## Component changes

### ActionSheet

* [Add background color (#5081)](https://github.com/material-components/material-components-ios/commit/888425256f5496f3d7fb6eb7466a69f47d7e75d9) (Cody Weaver)
* [Fix Swift imports. (#5072)](https://github.com/material-components/material-components-ios/commit/6bc8e40fd70e0504c2dbc711f6402251c80fd12c) (Robert Moore)
* [Remove import (#5082)](https://github.com/material-components/material-components-ios/commit/8e2f8a3683e99cf41537fc6d6b0d19d4faf237d8) (Cody Weaver)
* [Update cell image alpha (#5088)](https://github.com/material-components/material-components-ios/commit/b1d27c9256f8027c079285fffb6be1694514adae) (Cody Weaver)

### BottomAppBar

* [Examples use semantic color scheme. (#5070)](https://github.com/material-components/material-components-ios/commit/378f90dc6e4ef4b62fbda187b7b218fda9a49955) (Robert Moore)
* [Add surface variant color themer. (#5068)](https://github.com/material-components/material-components-ios/commit/1ce4467321661243e984bb4dcf7a213d2120edfe) (Robert Moore)
* [Correct cut-out arc angle. (#4997)](https://github.com/material-components/material-components-ios/commit/baa001b59bac15b046f6792d6c83fcda5d42c4b1) (Robert Moore)
* [Tint leading, trailing bar items. (#5065)](https://github.com/material-components/material-components-ios/commit/1ae450095f19ed119d12a183cda98df628ff4733) (Robert Moore)

### BottomNavigation

* [Expose UIView for a given UITabBarItem. (#5061)](https://github.com/material-components/material-components-ios/commit/388a057ad572911088e9a85b9787238dbf34df02) (andrewplai)

### BottomSheet

* [Addition of a Bottom Sheet Shape Themer (#5062)](https://github.com/material-components/material-components-ios/commit/3dc5721da30f7962e939a2dcf9252c511e98bfbf) (Yarden Eitan)
* [Integrating the BottomSheet shape themer in the example (#5078)](https://github.com/material-components/material-components-ios/commit/66b9afbdafc61d597343d4beb24e29d2ba6eca9b) (Yarden Eitan)
* [[ShapeLibrary] Make the new CornerTreatment initializers use concrete types (#5076)](https://github.com/material-components/material-components-ios/commit/c01cd70170f695fd6116e46b8c567bd97e910cdc) (Yarden Eitan)
* [[Shapes] merge MDCShapeCorner and MDCCornerTreatment into one (#5090)](https://github.com/material-components/material-components-ios/commit/75ddb21ed0aab3a286663ab99fec79284b159ed5) (Yarden Eitan)

### Cards

* [[Shapes] merge MDCShapeCorner and MDCCornerTreatment into one (#5090)](https://github.com/material-components/material-components-ios/commit/75ddb21ed0aab3a286663ab99fec79284b159ed5) (Yarden Eitan)
* [added shape theming to card examples (#5059)](https://github.com/material-components/material-components-ios/commit/16c384197856993f0c0f8d32491c2b9b55af05ae) (Yarden Eitan)

### Dialogs

* [Add Header trait to title in AlertControllerView (#5032)](https://github.com/material-components/material-components-ios/commit/f97d5ff971733aed8b8f51337920c999af386676) (SaidinWoT)
* [Revert "Remove use of MDCFlatButton for MDCButton and MDCTextButtonThemer (#4739)" (#5040)](https://github.com/material-components/material-components-ios/commit/1e51e972495e0fa5e6ef95b75758980c1e706bd9) (Cody Weaver)

### FlexibleHeader

* [Extract safe area logic to a separate object. (#4987)](https://github.com/material-components/material-components-ios/commit/b8090cb6382910cc4190c7030739e145f3856929) (featherless)

### HeaderStackView

* [Remove "+Extensions" pod installation instructions from component readmes (#5080)](https://github.com/material-components/material-components-ios/commit/53dfaa3e48a2f306ad043d6d7febbf714213682f) (Andrew Overton)

### Ink

* [Remove "+Extensions" pod installation instructions from component readmes (#5080)](https://github.com/material-components/material-components-ios/commit/53dfaa3e48a2f306ad043d6d7febbf714213682f) (Andrew Overton)
* [Update example description to only have one space (#5018)](https://github.com/material-components/material-components-ios/commit/8078a2c63986743c4bcb5373012d2019be0b7bb5) (Cody Weaver)

### List

* [Updated List Readme to mention MDCSelfSizingStereoCell (#5092)](https://github.com/material-components/material-components-ios/commit/33723bbf772b08abf6b6b3273e967915e4d01d1f) (Andrew Overton)

### MaskedTransition

* [Update Swift example to use MDCFloatingButton (#5028)](https://github.com/material-components/material-components-ios/commit/9684ff485b4420c1e380d567e930fc3f338d1cb7) (Cody Weaver)

### NavigationBar

* [Tint leading, trailing button bars. (#5064)](https://github.com/material-components/material-components-ios/commit/ed819a830492b8be758bd45cad7efee4f49b07a5) (Robert Moore)
* [Update layout when button bar sizes change. (#4992)](https://github.com/material-components/material-components-ios/commit/32fe4e191a0aadea4235aebf9b16ef6e38820714) (featherless)

### NavigationDrawer

* [Fix Swift imports in examples. (#5096)](https://github.com/material-components/material-components-ios/commit/aef3cc73afd984735018897cfad2e0011095c3b7) (Robert Moore)

### TextFields

* [Get rid of "," separator in MDCTextField accessibilityValue (#5098)](https://github.com/material-components/material-components-ios/commit/e2cad8f8dcd313e7b45e337ea90592b0a84fcf94) (Andrew Overton)

### schemes/Shape

* [[ShapeLibrary] Make the new CornerTreatment initializers use concrete types (#5076)](https://github.com/material-components/material-components-ios/commit/c01cd70170f695fd6116e46b8c567bd97e910cdc) (Yarden Eitan)
* [[Shapes] Initial Shape Scheme implementation (#5014)](https://github.com/material-components/material-components-ios/commit/97b830a1e32f56402dcd0a6d57b2a185fe1368bf) (Yarden Eitan)
* [[Shapes] merge MDCShapeCorner and MDCCornerTreatment into one (#5090)](https://github.com/material-components/material-components-ios/commit/75ddb21ed0aab3a286663ab99fec79284b159ed5) (Yarden Eitan)

---

# 62.2.0

This hotfix minor release rolls back a behavioral change in Dialogs that was introduced in v60.0.0.

## Component changes

### Dialogs

* [Revert "Remove use of MDCFlatButton for MDCButton and MDCTextButtonThemer (#4739)" (#5040)](https://github.com/material-components/material-components-ios/commit/93c73b9052fd1fbb565583cf76fdf0ac3fccc2b3) (Cody Weaver)

---

# 62.1.0

This minor release introduces a new auto-sizing List cell implementation, improvements to
ActionSheet, the ability to modify casing behavior on NavigationBar, and bug fixes.

## New features

You can now set an accessibilityIdentifier on ActionSheet actions:

```swift
let action = MDCActionSheetAction(title: "Title", image: nil, handler: nil)
action.accessibilityIdentifier = "Some identifier"
actionSheet.addAction(action)
```

ActionSheet now has a typography themer.

ButtonBar now provides a mechanism for reacting to size changes of its buttons via its delegate.

There is a new [self-sizing collection view cell](https://github.com/material-components/material-components-ios/pull/4953).

NavigationBar exposes a new `uppercasesButtonTitles` property that can be used to change the
auto-uppercasing behavior of the buttons. By default this property is enabled.

## API changes

### ActionSheet

#### MDCActionSheetAction

*new* property: `accessibilityIdentifier` in `MDCActionSheetAction`

*modified* class: `MDCActionSheetAction`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCActionSheetAction : NSObject, NSCopying` |
| To: | `class MDCActionSheetAction : NSObject, NSCopying, UIAccessibilityIdentification` |

*modified* class: `MDCActionSheetAction`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCActionSheetAction : NSObject <NSCopying>` |
| To: | `@interface MDCActionSheetAction     : NSObject <NSCopying, UIAccessibilityIdentification>` |

#### MDCActionSheetController

*new* property: `transitionController` in `MDCActionSheetController`

### ActionSheet+TypographyThemer

**New component.**

### ButtonBar

#### MDCButtonBarDelegate

*new* method: `-buttonBarDidInvalidateIntrinsicContentSize:` in `MDCButtonBarDelegate`

#### MDCButtonBar

*new* property: `uppercasesButtonTitles` in `MDCButtonBar`

*new* property: `delegate` in `MDCButtonBar`

### FlexibleHeader+CanAlwaysExpandToMaximumHeight

**New component.**

## General changes

* [updated to newest CbC standard (#4956)](https://github.com/material-components/material-components-ios/commit/3480c50c67205018688e2a24d76cf19474d5dfee) (Yarden Eitan)

## Component changes

### ActionSheet

* [Add accessibility identifier (#4944)](https://github.com/material-components/material-components-ios/commit/6cd0f771a6f17255276810baa2fc4f5c8625793e) (Cody Weaver)
* [Add example with too many options to fit on screen (#4946)](https://github.com/material-components/material-components-ios/commit/77fc2f759c948d067353d4abaabc9692b6521fbd) (Cody Weaver)
* [Add scrim accessibility properties. (#4919)](https://github.com/material-components/material-components-ios/commit/f76df19f1288448c5459419cbbd334fb91203c55) (Cody Weaver)
* [Add typography themer (#4966)](https://github.com/material-components/material-components-ios/commit/05d4be9e43aad09706cab49f04085802f6ec12d5) (Cody Weaver)
* [Always show first option (#4963)](https://github.com/material-components/material-components-ios/commit/0d1f5148e83477927caa5cec2d0b15f05d1afc24) (Cody Weaver)
* [Make ActionSheet not presentable. (#4995)](https://github.com/material-components/material-components-ios/commit/a2b6a606590bcb00e76c775d3be87622d6eccf9f) (Robert Moore)
* [Update test to guard against silent fail (#4969)](https://github.com/material-components/material-components-ios/commit/e8c688617b98d6cb6d3b22944d4bc6a8fae87d3b) (Cody Weaver)

### BottomAppBar

* [Use the height of bottom app bar as the contentInset of table view (#4928)](https://github.com/material-components/material-components-ios/commit/53fe4771d07f7eb55cd00ced4ea26379f71d5617) (Wenyu Zhang)

### BottomNavigation

* [Update ripple color for unselected items. (#4950)](https://github.com/material-components/material-components-ios/commit/09505ec92096171c4735855acf9a19c6a955aaae) (Robert Moore)

### ButtonBar

* [Add a buttonBarDidInvalidateIntrinsicContentSize API to the delegate. (#4932)](https://github.com/material-components/material-components-ios/commit/471936b842e7473e51b5dc02df619a7e67a0c5b2) (featherless)
* [Add uppercasesButtonTitles API for modifying title casing behavior. (#4935)](https://github.com/material-components/material-components-ios/commit/5d0e7ccfa8c9ed2e7258b5d8b94cba6141f4ec77) (featherless)

### FlexibleHeader

* [Add buttons to the configurator demo for shifting the header on/off-screen. (#4979)](https://github.com/material-components/material-components-ios/commit/349c1915a37f8b2275f270fccce4f5567a47cee1) (featherless)
* [Add new canAlwaysExpandToMaximumHeight behavior. (#4978)](https://github.com/material-components/material-components-ios/commit/3b34e97f5b9ac335364933e96e1d5e57f04fd3a3) (featherless)
* [Revert "Add new canAlwaysExpandToMaximumHeight behavior. (#4794)" (#4976)](https://github.com/material-components/material-components-ios/commit/66b8a7edfe65eb57b19e11e06155c4d6179622a0) (featherless)
* [updated to newest CbC standard (#4956)](https://github.com/material-components/material-components-ios/commit/3480c50c67205018688e2a24d76cf19474d5dfee) (Yarden Eitan)

### List

* [Add Self Sizing Stereo Cell (#4953)](https://github.com/material-components/material-components-ios/commit/cf0997183147a595d363adfaae9aa8086fda9ad9) (Andrew Overton)

### NavigationBar

* [Add uppercasesButtonTitles API for modifying title casing behavior. (#4936)](https://github.com/material-components/material-components-ios/commit/059cbfaebb726a9fa2a91c3da78de460ce8c0434) (featherless)

### ProgressView

* [Address progress view example problems with safe area insets and impr… (#4895)](https://github.com/material-components/material-components-ios/commit/19372e3cdec5f426359a7ce6a351b85ed09c1e75) (Andrew Overton)

### ShadowElevations

* [[Catalog] Avoid cropping on the ShadowLayer example (#4884)](https://github.com/material-components/material-components-ios/commit/5986e38b84e60f4c5a8d3b44993dd2a7685a3e0d) (Wenyu Zhang)

### Tabs

* [fix TabBarViewControllerExample to respect safe area (#4949)](https://github.com/material-components/material-components-ios/commit/4b00a6c745c853114769a0de5773e5b28183a279) (Wenyu Zhang)

### TextFields

* [Specify textRect origin according to UIUserInterfaceLayoutDirection (#4974)](https://github.com/material-components/material-components-ios/commit/adc0a4c3c6b529d04f4dc4c301d6d8867267f6fe) (Andrew Overton)

---

# 62.0.0

This major release reverts the addition of the new canAlwaysExpandToMaximumHeight behavior for the FlexibleHeader introduced in v61.0.0. More details on the commit that was reverted: https://github.com/material-components/material-components-ios/commit/2b3722f7b8cc7df131a8b33695990c99931c0e1b

### FlexibleHeader

#### Changes

* [Revert "Add new canAlwaysExpandToMaximumHeight behavior. (#4794)"](https://github.com/material-components/material-components-ios/commit/0ea7bf01ee434388b7d047306a3df390c944e49a) (Yarden Eitan)

---

# 61.0.0

In this breaking release we drop support for Xcode 8 and landed two new components in an Alpha state (not ready for clients to use yet).

## Breaking changes

No longer support Xcode 8.

## New deprecations

* `-buttonBar:viewForItem:layoutHints:` in `MDCButtonBarDelegate`

## New features

### More accessibility APIs

*new* property:  `accessibilityIdentifier` in `MDCAlertAction`
*new* property: `accessibilityHint` in `MDCSnackbarMessageView`
*new* property: `accessibilityLabel` in `MDCSnackbarMessageView`
*new* property: `accessibilityHint` in `MDCSnackbarMessage`

### Alpha components

* ActionSheets

ActionSheets present a list of actions from the bottom of the screen.

* NavigationDrawer

NavigationDrawer provides a container that presents from the bottom of the screen and also responds
to drag gestures to flick to full screen, half screen or off screen.

## API changes

### ActionSheet

**New component.**

### ButtonBar

#### MDCButtonBarDelegate

*modified* method: `-buttonBar:viewForItem:layoutHints:` in `MDCButtonBarDelegate`

| Type of change: | Deprecation message |
|---|---|
| From: | `` |
| To: | `There will be no replacement for this API.` |

*modified* method: `-buttonBar:viewForItem:layoutHints:` in `MDCButtonBarDelegate`

| Type of change: | Swift declaration |
|---|---|
| From: | `func buttonBar(_ buttonBar: MDCButtonBar, viewForItem barButtonItem: Any!, layoutHints: Any!) -> Any!` |
| To: | `optional func buttonBar(_ buttonBar: MDCButtonBar, viewForItem barButtonItem: Any!, layoutHints: Any!) -> Any!` |

### Dialogs

#### MDCAlertAction

*new* property: `accessibilityIdentifier` in `MDCAlertAction`

*modified* class: `MDCAlertAction`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCAlertAction : NSObject <NSCopying>` |
| To: | `@interface MDCAlertAction : NSObject <NSCopying, UIAccessibilityIdentification>` |

### FlexibleHeader+CanAlwaysExpandToMaximumHeight

**New component.**

### NavigationBar

#### MDCNavigationBar

*modified* property: `titleTextAttributes` in `MDCNavigationBar`

| Type of change: | Declaration |
|---|---|
| From: | `@property(nonatomic, copy, nullable)     NSDictionary<NSAttributedStringKey, id> *titleTextAttributes` |
| To: | `@property (readwrite, copy, nonatomic, nullable)     NSDictionary<NSAttributedStringKey, id> *titleTextAttributes;` |

### NavigationDrawer

**New component.**

### Snackbar

#### MDCSnackbarMessageView

*new* property: `accessibilityHint` in `MDCSnackbarMessageView`

*new* property: `accessibilityLabel` in `MDCSnackbarMessageView`

#### MDCSnackbarMessage

*new* property: `accessibilityHint` in `MDCSnackbarMessage`

#### MDCSnackbarMessageView()

*new* category: `MDCSnackbarMessageView()`

*removed* category: `MDCSnackbarMessageView()`

*modified* property: `snackbarMessageViewTextColor` in `MDCSnackbarMessageView()`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(ext)MDCSnackbarMessageView@MDCSnackbarMessageView.h@3125` |
| To: | `c:objc(ext)MDCSnackbarMessageView@MDCSnackbarMessageView.h@3411` |

## Component changes

### Tabs

#### Changes

* [Fix Tab Bar theming and background color issue (#4841)](https://github.com/material-components/material-components-ios/commit/d60637ab7171ce74fba3770cdb268681573dbdb6) (Wenyu Zhang)
* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### AppBar

#### Changes

* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)
* [Use objc_subclassing_restricted attributes directly instead of a macro (#4876)](https://github.com/material-components/material-components-ios/commit/353829de95b323a4cf8d9c2c378b020663ea163d) (featherless)
* [[FlexibleHeader] Add a note regarding the need to clear trackingScrollView. (#4877)](https://github.com/material-components/material-components-ios/commit/2a8d0db067bfa72c455e1e1bfae08dcedbcae18b) (featherless)

### Ink

#### Changes

* [Fix demo being clipped by safe area issue (#384)](https://github.com/material-components/material-components-ios/commit/44ca45ceb001705709ea7613ed06afe828752559) (Wenyu Zhang)

### ActionSheet

#### Changes

* [Add Action sheet (#4830)](https://github.com/material-components/material-components-ios/commit/1f4b8e0789066dfda94fb9e4bc0aa8c11b418985) (Cody Weaver)
* [Update header to support RTL (#4926)](https://github.com/material-components/material-components-ios/commit/63eeff1d3020615d8be5f088887a2a7b7ec4dbec) (Cody Weaver)
* [add missing .jazzy.yaml files (#4939)](https://github.com/material-components/material-components-ios/commit/7aee1fb68acbac5e80220a3d00d79d6bf41edadc) (Yarden Eitan)

### CollectionCells

#### Changes

* [Support more than three lines in MDCCollectionViewTextCell? (#4718)](https://github.com/material-components/material-components-ios/commit/69833582670c2b639653a01740532626d40b7ed3) (Andrew Overton)

### Buttons

#### Changes

* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### ButtonBar

#### Changes

* [Add support for pure Swift class button invocations. (#4878)](https://github.com/material-components/material-components-ios/commit/bc6dfc007f5fd01ff560423f506398b8187bca58) (featherless)
* [Annotate MDCButtonBarDelegate's only API as deprecated. (#4931)](https://github.com/material-components/material-components-ios/commit/aa2b2189d28d861da99785bbe7bb5e9daaf55f87) (featherless)
* [Remove unnecessary ColorThemer dependency on NavigationBar. (#4885)](https://github.com/material-components/material-components-ios/commit/f6db581e01a41a335df4b82318454705c8654e05) (featherless)
* [[ButtonBar|NavigationBar] Remove custom iPad heights. (#4874)](https://github.com/material-components/material-components-ios/commit/e89ece3bb8a46cd6ff123f4fe1c3f0527c096a4a) (featherless)

### TextFields

#### Changes

* [Do not set placeholderLabel.textColor to active color while editing with non-floating placeholder (#4850)](https://github.com/material-components/material-components-ios/commit/281392db6b7427a38695d5ff016ee80b66a96bea) (Andrew Overton)
* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### Chips

#### Changes

* [Make collectionView in Chip Demo respect safe area (#4896)](https://github.com/material-components/material-components-ios/commit/1ccd86a256d5a8dfa43caa5677adb5a904f77cbc) (Wenyu Zhang)
* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### Snackbar

#### Changes

* [API to set `accessibilityHint`. (#4924)](https://github.com/material-components/material-components-ios/commit/ed0b0efe2cabaa7b7a209d376a80388e9c22d31d) (Robert Moore)
* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### NavigationDrawer

#### Changes

* [Adding the navigation drawer component (#4886)](https://github.com/material-components/material-components-ios/commit/b2d17e1ed6e360a12408f0fa371a8369be6e463c) (guylivneh)
* [Initial doc write-up of overview, and usage. (#4927)](https://github.com/material-components/material-components-ios/commit/358050f1c3fbc8e712fbc06f192e8881405c99e3) (Yarden Eitan)

### BottomAppBar

#### Changes

* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### Slider

#### Changes

* [Respect safe area (#4912)](https://github.com/material-components/material-components-ios/commit/f3e218320494da47911c1412c24a2089c00d63a5) (Cody Weaver)
* [Update examples for safeAreaInsets and schemes (#4897)](https://github.com/material-components/material-components-ios/commit/a5a8ba0c74f26130411753f1a4653f45ec82b213) (Cody Weaver)

### NavigationBar

#### Changes

* [Add a flag that makes it possible to set any font size. (#4879)](https://github.com/material-components/material-components-ios/commit/56e8c4fd27add570a2711198bc87f682dc31d7b2) (featherless)
* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)
* [[ButtonBar|NavigationBar] Remove custom iPad heights. (#4874)](https://github.com/material-components/material-components-ios/commit/e89ece3bb8a46cd6ff123f4fe1c3f0527c096a4a) (featherless)

### LibraryInfo

#### Changes

* [Use objc_subclassing_restricted attributes directly instead of a macro (#4876)](https://github.com/material-components/material-components-ios/commit/353829de95b323a4cf8d9c2c378b020663ea163d) (featherless)

### ShadowLayer

#### Changes

* [Add dragon demonstrating cornerRadius changes aren't rendering (#4849)](https://github.com/material-components/material-components-ios/commit/cc3c77866f68a8e1de9679642195756574753d21) (ianegordon)

### List

#### Changes

* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)
* [add missing .jazzy.yaml files (#4939)](https://github.com/material-components/material-components-ios/commit/7aee1fb68acbac5e80220a3d00d79d6bf41edadc) (Yarden Eitan)

### ActivityIndicator

#### Changes

* [Fix activity indicator layout by autoresizingMask (#4913)](https://github.com/material-components/material-components-ios/commit/91e103f8cadbe9d242cb56f1018969784c29ce38) (Wenyu Zhang)
* [Use objc_subclassing_restricted attributes directly instead of a macro (#4876)](https://github.com/material-components/material-components-ios/commit/353829de95b323a4cf8d9c2c378b020663ea163d) (featherless)

### BottomSheet

#### Changes

* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### Typography

#### Changes

* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### Dialogs

#### Changes

* [Add accessibilityIdentifier to Actions. (#4917)](https://github.com/material-components/material-components-ios/commit/823776e6ba58592f772c8ed61bd6993875d0628c) (Robert Moore)
* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### BottomNavigation

#### Changes

* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### PageControl

#### Changes

* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### AnimationTiming

#### Changes

* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### Collections

#### Changes

* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

### FlexibleHeader

#### Changes

* [Add a note regarding the need to clear trackingScrollView. (#4877)](https://github.com/material-components/material-components-ios/commit/2a8d0db067bfa72c455e1e1bfae08dcedbcae18b) (featherless)
* [Add new canAlwaysExpandToMaximumHeight behavior. (#4794)](https://github.com/material-components/material-components-ios/commit/2b3722f7b8cc7df131a8b33695990c99931c0e1b) (featherless)
* [Remove all __IPHONE_11_0 checks now that we no longer support Xcode 8. (#4915)](https://github.com/material-components/material-components-ios/commit/bbe4a23fe049f71e6e8d75f34ece82dee72f2dfb) (featherless)

---

# 60.3.0

This minor release introduces a new behavioral flag for changing the title font size on
MDCNavigationBar.

## New features

MDCNavigationBar has a new flag that, once enabled, allows you to set a font with any size.

```objc
MDCNavigationBar *navigationBar = [[MDCNavigationBar alloc] init];
navigationBar.allowAnyTitleFontSize = YES;
UIFont *font = [UIFont systemFontOfSize:24];
navigationBar.titleFont = font; // Font size will actually be 24
```

## API changes

### NavigationBar

#### MDCNavigationBar

*new* property: `allowAnyTitleFontSize` in `MDCNavigationBar`

## Component changes

### NavigationBar

#### Changes

* [Add a flag that makes it possible to set any font size. (#4879)](https://github.com/material-components/material-components-ios/commit/86f7e7a405e4f7ac7bd6948f4c661abf3e27e249) (featherless)

---

# 60.2.0

In this minor release we updated examples imports, added an API to set the ink color of buttons
and started the deprecation of some AppBar APIs.

## New deprecations

* Deprecated `MDCAppBarTextColorAccessibilityMutator`.

## Will be deprecated

### FlexibleHeader

* [minMaxHeightIncludesSafeArea](https://github.com/material-components/material-components-ios/issues/4764)

## New features

* AlertController got a new buttonInkColor property so you can specify the color of the ink.
```
  MDCAlertController *alert = [MDCAlertController alertControllerWithTitle:@"title"
                                                                   message:@"message"];
  alert.buttonInkColor = testColor;
```

## API changes

### AppBar

#### MDCAppBarTextColorAccessibilityMutator

*deprecated* class: `MDCAppBarTextColorAccessibilityMutator`

*deprecated* method: `-mutate:` in `MDCAppBarTextColorAccessibilityMutator`

### Dialogs

#### MDCAlertController

*new* property: `buttonInkColor` in `MDCAlertController`

#### MDCAlertControllerView

*new* property: `buttonInkColor` in `MDCAlertControllerView`

### FlexibleHeader

#### MDCFlexibleHeaderView()

*moved* category: `MDCFlexibleHeaderView()`

*modified* property: `contentView` in `MDCFlexibleHeaderView()`

## Component changes

### MaskedTransition

#### Changes

* [Fix Swift imports (#4828)](https://github.com/material-components/material-components-ios/commit/b917bf24d60029d76bf29114a2c1526793dfe6b1) (Robert Moore)

### FeatureHighlight

#### Changes

* [Fix crash when backgrounding and re-opening app. (#4796)](https://github.com/material-components/material-components-ios/commit/44bed97140da63cee922b70bcfd152ebfc984c13) (Andrew Overton)

### AppBar

#### Changes

* [Make migration links be actual links (#4808)](https://github.com/material-components/material-components-ios/commit/4efe02d07a4d49a474acb3e4495fa61073550d57) (featherless)
* [Mark MDCAppBarTextColorAccessibilityMutator as deprecated. (#4807)](https://github.com/material-components/material-components-ios/commit/8c394dc2728eb9d107fbed705932acb4fed8aa80) (featherless)

### Buttons

#### Changes

* [fix the text overlapping safeArea issue on](https://github.com/material-components/material-components-ios/commit/2444107e30b81d921b650208373fa4c6c4239ae1) (Wenyu Zhang)

### TextFields

#### Changes

* [Trigger layout pass to update borderView.borderLayer (#4815)](https://github.com/material-components/material-components-ios/commit/13bff72b262ffb521432a80665db3727fc4dcbe5) (Andrew Overton)

### Chips

#### Changes

* [Example respects safe area (#4856)](https://github.com/material-components/material-components-ios/commit/6e6a6bf827908b7b78cb776c038b23d159d2996d) (Joe Aguilar)

### Cards

#### Changes

* [Fix Swift imports (#4826)](https://github.com/material-components/material-components-ios/commit/ae8fcb4e473a2beb9a55d1c3f99442c718244792) (Robert Moore)
* [Fix example IBOutlet (#4827)](https://github.com/material-components/material-components-ios/commit/bf099ab14fcf0d9222534cbf67f37ef7250c9a42) (Robert Moore)

### BottomAppBar

#### Changes

* [Fix typo in the readme (#4869)](https://github.com/material-components/material-components-ios/commit/215011b3866b47724553cde55b5239d057dc5455) (Brad Mallow)

### ShadowLayer

#### Changes

* [Revert "Setting the corner radius should recalculate the shadowPath (#4804)"](https://github.com/material-components/material-components-ios/commit/bd8a8153bc318365e2e76c42a7f6e16e76267ac0) (Ian Gordon)

### List

#### Changes

* [Fix Swift imports (#4828)](https://github.com/material-components/material-components-ios/commit/b917bf24d60029d76bf29114a2c1526793dfe6b1) (Robert Moore)

### ActivityIndicator

#### Changes

* [Default demo to .determinate (#4855)](https://github.com/material-components/material-components-ios/commit/7c6e16fe2569e9090bdfa4faa46e7d28df64ffd6) (Robert Moore)
* [Fix example conditional (#4843)](https://github.com/material-components/material-components-ios/commit/a3c3e78ebba6bf7613240667a9dc6314d8dae760) (Robert Moore)

### BottomSheet

#### Changes

* [Add Safe Area Handling Example (#4870)](https://github.com/material-components/material-components-ios/commit/1fea42b984a110ce2ea56d2becde8f87c726443b) (danblakemore)

### Dialogs

#### Changes

* [Adding 'buttonInkColor'  (#4847)](https://github.com/material-components/material-components-ios/commit/cce878a837097dc70526372e20b16ee2b1b13736) (Robert Moore)

### BottomNavigation

#### Changes

* [ Button for badge increment. (#4857)](https://github.com/material-components/material-components-ios/commit/7307a8c5c05e5f2a4e196267e34ccb9d65f22b54) (Robert Moore)

### AnimationTiming

#### Changes

* [Add button to start animation. (#4852)](https://github.com/material-components/material-components-ios/commit/f9515494f141c9d1be0be40a3b92c67b84004d64) (Robert Moore)

### HeaderStackView

#### Changes

* [Remove the header stack view examples. (#4811)](https://github.com/material-components/material-components-ios/commit/7a935a97221c3c1dadf345bb6d25d29abf5ffdd7) (featherless)

### FlexibleHeader

#### Changes

* [Add WKWebView considerations docs. (#4801)](https://github.com/material-components/material-components-ios/commit/70229421da62cc53a4cf7444e51d6c1f9f1a9d7e) (featherless)
* [Add a deprecation schedule for minMaxHeightIncludesSafeArea. (#4810)](https://github.com/material-components/material-components-ios/commit/caad377fc45fc5cf7e275bfa48014d38d2844b72) (featherless)
* [Fix bug where orientation changes would result in incorrect contentOffset. (#4860)](https://github.com/material-components/material-components-ios/commit/0fd07657752b600aa6512cfe0a0c5233802e5a19) (featherless)
* [Mark minMaxHeightIncludesSafeArea as to be deprecated. (#4809)](https://github.com/material-components/material-components-ios/commit/7cb8525e0ce77c4c511db034bf7494aac98f4a54) (featherless)

### ProgressView

#### Changes

* [Add 'animate' button to example. (#4863)](https://github.com/material-components/material-components-ios/commit/43b4f6dcd2d1c4178b0694c09e0d8ad677edc4b1) (Robert Moore)
* [Use schemes in example. (#4859)](https://github.com/material-components/material-components-ios/commit/5a10eeef514025023189a0e56b1f4b38e048120e) (Robert Moore)

---

# 60.1.0

## Component changes

### Tabs

#### Changes

* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)

### MaskedTransition

#### Changes

* [Update README.md (#4758)](https://github.com/material-components/material-components-ios/commit/2856ce9168a35eec9928730d8609f70735abc5bc) (trungducc)

### schemes/Color

#### Changes

* [Add schedule to the migration guide. (#4768)](https://github.com/material-components/material-components-ios/commit/1cec879955b81affe5c901c53bc6519e6449d30b) (featherless)
* [[Automated] Regenerate schemes/Color readme.](https://github.com/material-components/material-components-ios/commit/512cbe3725813075f08c8f669b9af9f5864a42e5) (Jeff Verkoeyen)

### FeatureHighlight

#### Changes

* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)

### AppBar

#### Changes

* [Add MDCAppBar migration guide. (#4762)](https://github.com/material-components/material-components-ios/commit/afca8fa6aaee07e13169a288b083c08547aa8357) (featherless)
* [Add deprecation schedule to the MDCAppBar migration guide. (#4802)](https://github.com/material-components/material-components-ios/commit/7cfd859f190997ed312ff353cf27fae34461dcc2) (featherless)
* [Annotate APIs as to-be-deprecated. (#4763)](https://github.com/material-components/material-components-ios/commit/d3faf7f4b7941b78185429efab3e89f34d7bc9ca) (featherless)
* [[Catalog] set cell selection style to none in several examples (#3870) (#4776)](https://github.com/material-components/material-components-ios/commit/980443d994d3ddc2aff779944aeaeb0e813dab20) (Wenyu Zhang)
* [Fix a bug with WKWebView as a tracking scroll view. (#4701)](https://github.com/material-components/material-components-ios/commit/4e658a5aee98b6d9664d6e890e40de5f68125494) (featherless)

### Buttons

#### Changes

* [Fix `safeAreaInsets` availability check (#4775)](https://github.com/material-components/material-components-ios/commit/c43677ace0c8610e40d025152c3d57cb44ccdf11) (Robert Moore)
* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)

### ButtonBar

#### Changes

* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)

### TextFields

#### Changes

* [Update placeholder and outline border color when enabling/disabling text fields with outline controllers (#4779)](https://github.com/material-components/material-components-ios/commit/efc3a86c5ec98789c0918545ab6ce1c184125196) (Andrew Overton)
* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)

### Snackbar

#### Changes

* [VoiceOver users can exit the snackbar (#4799)](https://github.com/material-components/material-components-ios/commit/acfbd580f48b661c990b609ced3327bda875d9a2) (Robert Moore)
* [[Catalog] Fix Snackbar crash after switching between LEGACY and NEW (#4700)](https://github.com/material-components/material-components-ios/commit/4ccb93cba97679a0b3debd0c46451296230e2371) (trungducc)
* [Add switch control focus control to snackbar when an action is in it (#4795)](https://github.com/material-components/material-components-ios/commit/2bfbe053c46d83d82fc899b12d815207f94c2010) (Yarden Eitan)

### NavigationBar

#### Changes

* [Update swift example to not depend on objc (#4784)](https://github.com/material-components/material-components-ios/commit/e018f4ab40039169c4eadb660b82283c5ec5256d) (Cody Weaver)
* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)
* [[Swift] Fix remaining imports (#4792)](https://github.com/material-components/material-components-ios/commit/8aeb618d1a96ebd22a6db4dcf99f269a7fbe0816) (Robert Moore)

### ActivityIndicator

#### Changes

* [[Catalog] set cell selection style to none in several examples (#3870) (#4776)](https://github.com/material-components/material-components-ios/commit/980443d994d3ddc2aff779944aeaeb0e813dab20) (Wenyu Zhang)

### Dialogs

#### Changes

* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)

### BottomNavigation

#### Changes

* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)

### PageControl

#### Changes

* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)

### AnimationTiming

#### Changes

* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)

### HeaderStackView

#### Changes

* [Update swift example to not depend on obj-c example (#4783)](https://github.com/material-components/material-components-ios/commit/4c3814c2ab80ecbdeb1c153494b8e41ad3a6ad17) (Cody Weaver)
* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)
* [[Swift] Fix remaining imports (#4792)](https://github.com/material-components/material-components-ios/commit/8aeb618d1a96ebd22a6db4dcf99f269a7fbe0816) (Robert Moore)

### FlexibleHeader

#### Changes

* [Add minMaxHeightIncludesSafeArea migration guide. (#4767)](https://github.com/material-components/material-components-ios/commit/c1c2ddebbd493f4e3073d02133b509dfccb92ebc) (featherless)
* [Fix bug with WKWebView as a tracking scroll view. (#4701)](https://github.com/material-components/material-components-ios/commit/4e658a5aee98b6d9664d6e890e40de5f68125494) (featherless)
* [Fix infinite recursion when VoiceOver is enabled. (#4769)](https://github.com/material-components/material-components-ios/commit/f9304930ecf903457b1d7e317dbaf24dabf9a6c2) (featherless)
* [Fix property setter (#4771)](https://github.com/material-components/material-components-ios/commit/b2160889af2bbb9ee1e566614c2690edb54cb6ad) (ianegordon)
* [Move all shift behavior APIs to their own header. (#4778)](https://github.com/material-components/material-components-ios/commit/b49031be34b9031861362b99bb5a4e583658ad62) (featherless)

### ShadowElevations

#### Changes

* [Rewrite ShadowElevationsPointsLabel in Swift (#4782)](https://github.com/material-components/material-components-ios/commit/ac038bf996154e369c21a0efcc45221040e9afc0) (Robert Moore)
* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)
* [[Swift] Fix remaining imports (#4792)](https://github.com/material-components/material-components-ios/commit/8aeb618d1a96ebd22a6db4dcf99f269a7fbe0816) (Robert Moore)

### Palettes

#### Changes

* [[Catalog] Fix Swift example imports (#4780)](https://github.com/material-components/material-components-ios/commit/175942d9e0284b32041701fc545c21ef2240afe9) (Robert Moore)

---

# 60.0.0

This major release introduces a breaking change for Swift libraries using FlexibleHeader. This
change also introduces a migration guide for color schemes along, changes to the Snackbar's
singleton pattern, and updated button theming in Dialogs.

## Breaking changes

### FlexibleHeader

* [**Breaking** Make preferredStatusBarStyle settable. (#4750)](https://github.com/material-components/material-components-ios/commit/d3cc4e4ebe14c8bd4b25b258ba02f19cbdc7bc0b) (featherless)

This breaking change only affects Swift code and requires the following changes.

```swift
// Before
.preferredStatusBarStyle()

// After
.preferredStatusBarStyle
```

## New features

FlexibleHeader has a new `inferPreferredStatusBarStyle` API that allows you to set an explicity
`preferredStatusBarStyle` on the `MDCFlexibleHeaderViewController`.

An example of setting an explicit `preferredStatusBarStyle`:

```swift
flexibleHeaderViewController.inferPreferredStatusBarStyle = false
flexibleHeaderViewController.preferredStatusBarStyle = .lightContent
```

## Upcoming deprecations

`MDCColorScheme` and `MDCBasicColorScheme` will both be deprecated on the following timeline:

- October 10, 2018: Both APIs and any corresponding themer API will be deprecated.
- November 10, 2018: Both APIs and any corresponding themer API will be deleted.

[Learn more by reading the migration guide](https://github.com/material-components/material-components-ios/blob/develop/components/schemes/Color/docs/migration-guide-semantic-color-scheme.md).

## API changes

### ActivityIndicator+ColorThemer

#### MDCActivityIndicatorColorThemer(ToBeDeprecated)

*new* category: `MDCActivityIndicatorColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toActivityIndicator:` in `MDCActivityIndicatorColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCActivityIndicatorColorThemer` |
| To: | `c:objc(cy)MDCActivityIndicatorColorThemer@ToBeDeprecated` |

### AppBar+ColorThemer

#### MDCAppBarColorThemer(ToBeDeprecated)

*new* category: `MDCAppBarColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toAppBar:` in `MDCAppBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCAppBarColorThemer` |
| To: | `c:objc(cy)MDCAppBarColorThemer@ToBeDeprecated` |

### BottomAppBar+ColorThemer

#### MDCBottomAppBarColorThemer(ToBeDeprecated)

*new* category: `MDCBottomAppBarColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toBottomAppBarView:` in `MDCBottomAppBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCBottomAppBarColorThemer` |
| To: | `c:objc(cy)MDCBottomAppBarColorThemer@ToBeDeprecated` |

### BottomNavigation+ColorThemer

#### MDCBottomNavigationBarColorThemer(ToBeDeprecated)

*new* category: `MDCBottomNavigationBarColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toBottomNavigationBar:` in `MDCBottomNavigationBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCBottomNavigationBarColorThemer` |
| To: | `c:objc(cy)MDCBottomNavigationBarColorThemer@ToBeDeprecated` |

### ButtonBar+ColorThemer

#### MDCButtonBarColorThemer(ToBeDeprecated)

*new* category: `MDCButtonBarColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toButtonBar:` in `MDCButtonBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCButtonBarColorThemer` |
| To: | `c:objc(cy)MDCButtonBarColorThemer@ToBeDeprecated` |

### Buttons+ColorThemer

#### MDCButtonColorThemer(ToBeDeprecated)

*new* category: `MDCButtonColorThemer(ToBeDeprecated)`

*modified* class method: `+applySemanticColorScheme:toRaisedButton:` in `MDCButtonColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCButtonColorThemer` |
| To: | `c:objc(cy)MDCButtonColorThemer@ToBeDeprecated` |

*modified* class method: `+applySemanticColorScheme:toFlatButton:` in `MDCButtonColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCButtonColorThemer` |
| To: | `c:objc(cy)MDCButtonColorThemer@ToBeDeprecated` |

*modified* class method: `+applyColorScheme:toButton:` in `MDCButtonColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCButtonColorThemer` |
| To: | `c:objc(cy)MDCButtonColorThemer@ToBeDeprecated` |

*modified* class method: `+applySemanticColorScheme:toButton:` in `MDCButtonColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCButtonColorThemer` |
| To: | `c:objc(cy)MDCButtonColorThemer@ToBeDeprecated` |

*modified* class method: `+applySemanticColorScheme:toFloatingButton:` in `MDCButtonColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCButtonColorThemer` |
| To: | `c:objc(cy)MDCButtonColorThemer@ToBeDeprecated` |

### Chips+ColorThemer

#### MDCChipViewColorThemer(ToBeDeprecated)

*new* category: `MDCChipViewColorThemer(ToBeDeprecated)`

*modified* class method: `+applySemanticColorScheme:toStrokedChipView:` in `MDCChipViewColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCChipViewColorThemer` |
| To: | `c:objc(cy)MDCChipViewColorThemer@ToBeDeprecated` |

### Dialogs+ColorThemer

#### MDCAlertColorThemer(ToBeDeprecated)

*new* category: `MDCAlertColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:` in `MDCAlertColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCAlertColorThemer` |
| To: | `c:objc(cy)MDCAlertColorThemer@ToBeDeprecated` |

### FeatureHighlight+ColorThemer

#### MDCFeatureHighlightColorThemer(ToBeDeprecated)

*new* category: `MDCFeatureHighlightColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toFeatureHighlightView:` in `MDCFeatureHighlightColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCFeatureHighlightColorThemer` |
| To: | `c:objc(cy)MDCFeatureHighlightColorThemer@ToBeDeprecated` |

### FlexibleHeader+ColorThemer

#### MDCFlexibleHeaderColorThemer(ToBeDeprecated)

*new* category: `MDCFlexibleHeaderColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toFlexibleHeaderView:` in `MDCFlexibleHeaderColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCFlexibleHeaderColorThemer` |
| To: | `c:objc(cy)MDCFlexibleHeaderColorThemer@ToBeDeprecated` |

*modified* class method: `+applyColorScheme:toMDCFlexibleHeaderController:` in `MDCFlexibleHeaderColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCFlexibleHeaderColorThemer` |
| To: | `c:objc(cy)MDCFlexibleHeaderColorThemer@ToBeDeprecated` |

### FlexibleHeader

#### MDCFlexibleHeaderViewController

*new* property: `preferredStatusBarStyle` in `MDCFlexibleHeaderViewController`

*new* property: `inferPreferredStatusBarStyle` in `MDCFlexibleHeaderViewController`

*removed* method: `-preferredStatusBarStyle` in `MDCFlexibleHeaderViewController`

### HeaderStackView+ColorThemer

#### MDCHeaderStackViewColorThemer(ToBeDeprecated)

*new* category: `MDCHeaderStackViewColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toHeaderStackView:` in `MDCHeaderStackViewColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCHeaderStackViewColorThemer` |
| To: | `c:objc(cy)MDCHeaderStackViewColorThemer@ToBeDeprecated` |

### Ink+ColorThemer

#### MDCInkColorThemer(ToBeDeprecated)

*new* category: `MDCInkColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toInkView:` in `MDCInkColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCInkColorThemer` |
| To: | `c:objc(cy)MDCInkColorThemer@ToBeDeprecated` |

### NavigationBar+ColorThemer

#### MDCNavigationBarColorThemer(ToBeDeprecated)

*new* category: `MDCNavigationBarColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toNavigationBar:` in `MDCNavigationBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCNavigationBarColorThemer` |
| To: | `c:objc(cy)MDCNavigationBarColorThemer@ToBeDeprecated` |

### PageControl+ColorThemer

#### MDCPageControlColorThemer(ToBeDeprecated)

*new* category: `MDCPageControlColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toPageControl:` in `MDCPageControlColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCPageControlColorThemer` |
| To: | `c:objc(cy)MDCPageControlColorThemer@ToBeDeprecated` |

### ProgressView+ColorThemer

#### MDCProgressViewColorThemer(ToBeDeprecated)

*new* category: `MDCProgressViewColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toProgressView:` in `MDCProgressViewColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCProgressViewColorThemer` |
| To: | `c:objc(cy)MDCProgressViewColorThemer@ToBeDeprecated` |

### Slider+ColorThemer

#### MDCSliderColorThemer(ToBeDeprecated)

*new* category: `MDCSliderColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toSlider:` in `MDCSliderColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSliderColorThemer` |
| To: | `c:objc(cy)MDCSliderColorThemer@ToBeDeprecated` |

*modified* class method: `+defaultSliderLightColorScheme` in `MDCSliderColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSliderColorThemer` |
| To: | `c:objc(cy)MDCSliderColorThemer@ToBeDeprecated` |

*modified* class method: `+defaultSliderDarkColorScheme` in `MDCSliderColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSliderColorThemer` |
| To: | `c:objc(cy)MDCSliderColorThemer@ToBeDeprecated` |

### Snackbar+ColorThemer

#### MDCSnackbarColorThemer(Deprecated)

*new* category: `MDCSnackbarColorThemer(Deprecated)`

*modified* class method: `+applyColorScheme:toSnackbarMessageView:` in `MDCSnackbarColorThemer(Deprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarColorThemer` |
| To: | `c:objc(cy)MDCSnackbarColorThemer@Deprecated` |

### Snackbar

#### MDCSnackbarManager

*new* property: `defaultManager` in `MDCSnackbarManager`

*new* property: `messageTextColor` in `MDCSnackbarManager`

*new* method: `-suspendMessagesWithCategory:` in `MDCSnackbarManager`

*new* property: `buttonFont` in `MDCSnackbarManager`

*new* property: `snackbarMessageViewShadowColor` in `MDCSnackbarManager`

*new* method: `-buttonTitleColorForState:` in `MDCSnackbarManager`

*new* property: `alignment` in `MDCSnackbarManager`

*new* method: `-showMessage:` in `MDCSnackbarManager`

*new* property: `shouldApplyStyleChangesToVisibleSnackbars` in `MDCSnackbarManager`

*new* method: `-setBottomOffset:` in `MDCSnackbarManager`

*new* property: `messageFont` in `MDCSnackbarManager`

*new* property: `snackbarMessageViewBackgroundColor` in `MDCSnackbarManager`

*new* method: `-suspendAllMessages` in `MDCSnackbarManager`

*new* property: `delegate` in `MDCSnackbarManager`

*new* method: `-setPresentationHostView:` in `MDCSnackbarManager`

*new* method: `-resumeMessagesWithToken:` in `MDCSnackbarManager`

*new* method: `-setButtonTitleColor:forState:` in `MDCSnackbarManager`

*new* method: `-hasMessagesShowingOrQueued` in `MDCSnackbarManager`

*new* method: `-dismissAndCallCompletionBlocksWithCategory:` in `MDCSnackbarManager`

*new* property: `mdc_adjustsFontForContentSizeCategory` in `MDCSnackbarManager`

#### MDCSnackbarManager(LegacyAPI)

*new* category: `MDCSnackbarManager(LegacyAPI)`

*modified* property: `snackbarMessageViewBackgroundColor` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* class method: `+hasMessagesShowingOrQueued` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* property: `shouldApplyStyleChangesToVisibleSnackbars` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* property: `delegate` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* class method: `+setButtonTitleColor:forState:` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* property: `alignment` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* property: `messageTextColor` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* class method: `+suspendAllMessages` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* class method: `+resumeMessagesWithToken:` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* class method: `+showMessage:` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* class method: `+setBottomOffset:` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* property: `messageFont` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* property: `mdc_adjustsFontForContentSizeCategory` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* class method: `+dismissAndCallCompletionBlocksWithCategory:` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* class method: `+setPresentationHostView:` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* class method: `+buttonTitleColorForState:` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* class method: `+suspendMessagesWithCategory:` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* property: `snackbarMessageViewShadowColor` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

*modified* property: `buttonFont` in `MDCSnackbarManager(LegacyAPI)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarManager` |
| To: | `c:objc(cy)MDCSnackbarManager@LegacyAPI` |

### Tabs+ColorThemer

#### MDCTabBarColorThemer(ToBeDeprecated)

*new* category: `MDCTabBarColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toTabBar:` in `MDCTabBarColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTabBarColorThemer` |
| To: | `c:objc(cy)MDCTabBarColorThemer@ToBeDeprecated` |

### TextFields+ColorThemer

#### MDCTextFieldColorThemer(ToBeDeprecated)

*new* category: `MDCTextFieldColorThemer(ToBeDeprecated)`

*modified* class method: `+applyColorScheme:toAllTextInputControllersOfClass:` in `MDCTextFieldColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextFieldColorThemer` |
| To: | `c:objc(cy)MDCTextFieldColorThemer@ToBeDeprecated` |

*modified* class method: `+applyColorScheme:toTextInputController:` in `MDCTextFieldColorThemer(ToBeDeprecated)`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCTextFieldColorThemer` |
| To: | `c:objc(cy)MDCTextFieldColorThemer@ToBeDeprecated` |

## Component changes

### Tabs

#### Changes

* [[automated] Regenerate all readmes.](https://github.com/material-components/material-components-ios/commit/4a9df7c8cbabfa43c08ef23d22aa8b0d552c881a) (Jeff Verkoeyen)
* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### schemes/Color

#### Changes

* [Add a color scheme migration guide. (#4737)](https://github.com/material-components/material-components-ios/commit/2495417ca2d5f6f54cebbe57874bbbed1fd5a9e6) (featherless)

### FeatureHighlight

#### Changes

* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### AppBar

#### Changes

* [Move more app bar logic back to the init phase. (#4749)](https://github.com/material-components/material-components-ios/commit/8444432c4cb809e142d6687af06f3460f1df1284) (featherless)
* [Move shadow layer initialization back to the init phase. (#4746)](https://github.com/material-components/material-components-ios/commit/9012cf9b747dbfb5657fe66229d02ff691c39711) (featherless)
* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### Ink

#### Changes

* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### Buttons

#### Changes

* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### ButtonBar

#### Changes

* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### TextFields

#### Changes

* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### Chips

#### Changes

* [[automated] Regenerate all readmes.](https://github.com/material-components/material-components-ios/commit/4a9df7c8cbabfa43c08ef23d22aa8b0d552c881a) (Jeff Verkoeyen)
* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### Snackbar

#### Changes

* [Create explicit singleton (#4742)](https://github.com/material-components/material-components-ios/commit/df30e777ba5acea9713318c7142373ba01df6a34) (Robert Moore)
* [Make examples accessible to Switch Control (#4745)](https://github.com/material-components/material-components-ios/commit/514ed51aeaa99570f6e1eb2cae8db076999db5c5) (Robert Moore)
* [[automated] Regenerate all readmes.](https://github.com/material-components/material-components-ios/commit/4a9df7c8cbabfa43c08ef23d22aa8b0d552c881a) (Jeff Verkoeyen)
* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### Cards

#### Changes

* [[automated] Regenerate all readmes.](https://github.com/material-components/material-components-ios/commit/4a9df7c8cbabfa43c08ef23d22aa8b0d552c881a) (Jeff Verkoeyen)

### BottomAppBar

#### Changes

* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### Slider

#### Changes

* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### NavigationBar

#### Changes

* [[automated] Regenerate all readmes.](https://github.com/material-components/material-components-ios/commit/4a9df7c8cbabfa43c08ef23d22aa8b0d552c881a) (Jeff Verkoeyen)
* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### ActivityIndicator

#### Changes

* [[automated] Regenerate all readmes.](https://github.com/material-components/material-components-ios/commit/4a9df7c8cbabfa43c08ef23d22aa8b0d552c881a) (Jeff Verkoeyen)
* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### Dialogs

#### Changes

* [Remove use of MDCFlatButton for MDCButton and MDCTextButtonThemer (#4739)](https://github.com/material-components/material-components-ios/commit/84d5dfbb83d0118ff26921318df8cc549d919809) (Cody Weaver)
* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### BottomNavigation

#### Changes

* [Fix accessibilityValue for badgeValue updates (#4734)](https://github.com/material-components/material-components-ios/commit/057c72429f06b6c99fd3ea78e368f0c2cce7061a) (Robert Moore)
* [[automated] Regenerate all readmes.](https://github.com/material-components/material-components-ios/commit/4a9df7c8cbabfa43c08ef23d22aa8b0d552c881a) (Jeff Verkoeyen)
* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### PageControl

#### Changes

* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### HeaderStackView

#### Changes

* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### FlexibleHeader

#### Changes

* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

### ProgressView

#### Changes

* [[schemes/Color] Formally mark all to-be-deprecated APIs as "ToBeDeprecated". (#4738)](https://github.com/material-components/material-components-ios/commit/e14b90e8292577c7ee5e284080353097fbbe5c2e) (featherless)

---

# 59.2.2

This patch release undoes some additional App Bar initialization changes that were introduced in
v59.2.0.

## Component changes

### AppBar

#### Changes

* [Move more app bar logic back to the init phase. (#4749)](https://github.com/material-components/material-components-ios/commit/b77876e2885eb272a433ede6c32d17afbbe3b25c) (featherless)

---

# 59.2.1

This patch release reverts an unintentional change in App Bar shadow layer initialization behavior
that was introduced in v59.2.0.

## Component changes

### AppBar

#### Changes

* [Move shadow layer initialization back to the init phase. (#4746)](https://github.com/material-components/material-components-ios/commit/2e6f22b313b56f3a48d1f1ba608d19c78084e09d) (featherless)

---

# 59.2.0

This minor release introduces several new improvements to the AppBar component and bug fixes and
accessibility improvements to various components.

## New features

AppBar's documentation has been updated to reflect all of the most modern APIs and behavioral flags.

AppBar also now exposes a new `MDCAppBarViewController` API which is meant to be a more familiar
replacement API for `MDCAppBar`.

A typical migration diff will look something like so (in Swift):

```swift
// Step 1
-  let appBar = MDCAppBar()
+  let appBarViewController = MDCAppBarViewController()

// Step 2
-    self.addChildViewController(appBar.headerViewController)
+    self.addChildViewController(appBarViewController)

// Step 3
-    appBar.addSubviewsToParent()
+    view.addSubview(appBarViewController.view)
+    appBarViewController.didMove(toParentViewController: self)
```

## API changes

### AppBar+ColorThemer

#### MDCAppBarColorThemer

*new* class method: `+applySurfaceVariantWithColorScheme:toAppBarViewController:` in `MDCAppBarColorThemer`

*new* class method: `+applyColorScheme:toAppBarViewController:` in `MDCAppBarColorThemer`

### AppBar

#### MDCAppBar

*new* property: `appBarViewController` in `MDCAppBar`

#### MDCAppBarNavigationControllerDelegate

*new* method: `-appBarNavigationController:willAddAppBarViewController:asChildOfViewController:` in `MDCAppBarNavigationControllerDelegate`

#### MDCAppBarNavigationController

*new* method: `-appBarViewControllerForViewController:` in `MDCAppBarNavigationController`

#### MDCAppBarContainerViewController

*new* property: `appBarViewController` in `MDCAppBarContainerViewController`

#### MDCAppBarViewController

*new* class: `MDCAppBarViewController`

### AppBar+TypographyThemer

#### MDCAppBarTypographyThemer

*new* class method: `+applyTypographyScheme:toAppBarViewController:` in `MDCAppBarTypographyThemer`

### TextFields

#### MDCTextInputController

*new* method: `-setHelperText:helperAccessibilityLabel:` in `MDCTextInputController`

## Component changes

### Tabs

#### Changes

* [[Catalog] Conversion to new App Bar View Controller API (#4696)](https://github.com/material-components/material-components-ios/commit/50e1fd091d8d08426f390c124bf6310c54174d8c) (featherless)

### AppBar

#### Changes

* [Complete pass at documentation modernization. (#4708)](https://github.com/material-components/material-components-ios/commit/4f181203ad7f74ae0e38b214466fda9fdf36b131) (featherless)
* [Enable inferTopSafeAreaInsetFromViewController on the App Bar in the navigation controller. (#4693)](https://github.com/material-components/material-components-ios/commit/3192a41078ecde5fb822abaa56d8f70eeee0f740) (featherless)
* [Expose MDCAppBarViewController as a replacement for MDCAppBar. (#4695)](https://github.com/material-components/material-components-ios/commit/2645cc539f6a17e8ecb729a1b5b7997be24f07fa) (featherless)
* [Fix bug where root view controller during initialization of nav controller would not be injected with an App Bar. (#4691)](https://github.com/material-components/material-components-ios/commit/ade5b5daa3f61131817e5d19e6f7413cd249d757) (featherless)
* [Implement setViewControllers on MDCAppBarNavigationController. (#4736)](https://github.com/material-components/material-components-ios/commit/873a89f3d850873fd5f7ffed3e37389348e0d63a) (featherless)
* [Increase likelihood that we detect existing App Bars when auto-injecting. (#4692)](https://github.com/material-components/material-components-ios/commit/e9eb2579aa6f2393472fce4190eb8142924915ff) (featherless)
* [Rename MDCAppBar.h to MDCAppBarViewController.h. (#4704)](https://github.com/material-components/material-components-ios/commit/363750d44a1e047cb7d8f0929d7cc569915020db) (featherless)
* [[Catalog] Conversion to new App Bar View Controller API (#4696)](https://github.com/material-components/material-components-ios/commit/50e1fd091d8d08426f390c124bf6310c54174d8c) (featherless)

### TextFields

#### Changes

* [Add setHelperText:helperAccessibilityLabel (#4661)](https://github.com/material-components/material-components-ios/commit/6acde0b27560a8924639f70f46150fb3a86d4061) (Andrew Overton)
* [Consider UIUserInterfaceLayoutDirection when drawing outlined text controller outline path (#4719)](https://github.com/material-components/material-components-ios/commit/5f66ae926378247066b9153f39f5e9f170b42422) (Andrew Overton)

### Chips

#### Changes

* [Allow clients to set `accessibilityLabel` on MDCChipView (#4664)](https://github.com/material-components/material-components-ios/commit/18bca47a34c5c647c28954abfd4e3712fef3eee2) (compositeprimes)

### Snackbar

#### Changes

* [Removed unused variable from MDCSnackbarMessageView (#4690)](https://github.com/material-components/material-components-ios/commit/a4338106ce9bfe8a3d47ad8db6b358e8f5d0fe79) (trungducc)

### BottomAppBar

#### Changes

* [Add a11y guide to README (#4705)](https://github.com/material-components/material-components-ios/commit/f4199c850a4b9c4edf5c9d6a6f15df31f6ef00aa) (Cody Weaver)
* [[Catalog] Conversion to new App Bar View Controller API (#4696)](https://github.com/material-components/material-components-ios/commit/50e1fd091d8d08426f390c124bf6310c54174d8c) (featherless)

### NavigationBar

#### Changes

* [ButtonBar example with associated UIButton (#4677)](https://github.com/material-components/material-components-ios/commit/e3e6dd39e2d3bd17075645ecf882463906f40dc8) (ianegordon)

### BottomSheet

#### Changes

* [Examples support accessible scrim (#4711)](https://github.com/material-components/material-components-ios/commit/24ddf9c4d671648b957edaf27ed7773b8ccfa26d) (Robert Moore)
* [[Catalog] Conversion to new App Bar View Controller API (#4696)](https://github.com/material-components/material-components-ios/commit/50e1fd091d8d08426f390c124bf6310c54174d8c) (featherless)

### Dialogs

#### Changes

* [Fix button hit areas to match accessibility (#4684)](https://github.com/material-components/material-components-ios/commit/255dae403bd46ab0391d34623da3fe63b0915aee) (Cody Weaver)

### BottomNavigation

#### Changes

* [Fix safe area insets on bottom nav example (#4637)](https://github.com/material-components/material-components-ios/commit/120c93d32973ebbc9baa8c04493dd38f19243dcc) (John Detloff)
* [Remove duplicate tab position descriptions (#4679)](https://github.com/material-components/material-components-ios/commit/5721ba816fba9585402ee664f82ed8b0bf65de61) (Robert Moore)
* [[Catalog] Conversion to new App Bar View Controller API (#4696)](https://github.com/material-components/material-components-ios/commit/50e1fd091d8d08426f390c124bf6310c54174d8c) (featherless)

### FlexibleHeader

#### Changes

* [Allow additionalSafeAreaInsets to respect contextual top insets. (#4697)](https://github.com/material-components/material-components-ios/commit/da322f74027ea486bdbd7a331c03ed5b13cd2f0e) (featherless)
* [Fix infinite recursion when observesTrackingScrollViewScrollEvents is enabled. (#4694)](https://github.com/material-components/material-components-ios/commit/56be84def1069825efb0ed3303a7eeec73033e58) (featherless)
* [Fixes a layout bug with VoiceOver on that was introduced in v57.0.0 (5dc67c88c06f11761769de1d0bae34ff2c657046). (#4698)](https://github.com/material-components/material-components-ios/commit/6325fb35b2f64c47dc9d3780c2decdad9960787e) (featherless)
* [[AppBar] Complete pass at documentation modernization. (#4708)](https://github.com/material-components/material-components-ios/commit/4f181203ad7f74ae0e38b214466fda9fdf36b131) (featherless)

### ShadowElevations

#### Changes

* [[Catalog] Conversion to new App Bar View Controller API (#4696)](https://github.com/material-components/material-components-ios/commit/50e1fd091d8d08426f390c124bf6310c54174d8c) (featherless)

---

# 59.1.1

This patch release fixes a bug with Flexible Header when VoiceOver is enabled.

## API changes

## Component changes

### FlexibleHeader

#### Changes

* [Fixes a layout bug with VoiceOver on that was introduced in v57.0.0 (5dc67c88c06f11761769de1d0bae34ff2c657046). (#4698)](https://github.com/material-components/material-components-ios/commit/e5c3b79df0a9ae09b5063416df57044ba1cb6179) (featherless)

---

# 59.1.0

AppBar and FlexibleHeader shipped several new features in this release and Snackbar's manager is now implemented as a true singleton. This release also includes additional accessibility improvements and examples, and also fixes some bugs.

## New features

The new MDCAppBarNavigationController class is a simpler integration strategy for adding an App Bar to an application. Example:

```swift
let navigationController = MDCAppBarNavigationController()

// Will automatically inject an AppBar into the view controller if one is not already present.
navigationController.pushViewController(viewController, animated: true)
```

This new API enables all of the new AppBar and FlexibleHeader behaviors, meaning view controllers will better handle being presented in non-full screen settings. If you have already integrated with App Bar, migrating to MDCAppBarNavigationController will allow you to delete a substantial amount of boilerplate from your application. Most notably, MDCAppBarNavigationController enables the new `observesTrackingScrollViewScrollEvents` feature on FlexibleHeader, meaning you do not need to forward scroll view events to the navigation controller.

At a minimum you will need to implement the MDCAppBarNavigationController's delegate to theme the injected App Bars. Implement the delegate like so:

```swift
navigationController.delegate = self

// MARK: MDCAppBarNavigationControllerInjectorDelegate

func appBarNavigationController(_ navigationController: MDCAppBarNavigationController,
                                willAdd appBar: MDCAppBar,
                                asChildOf viewController: UIViewController) {
  let colorScheme: MDCSemanticColorScheme = <# Fetch your color scheme #>
  let typographyScheme: MDCTypographyScheme = <# Fetch your typography scheme #>
  MDCAppBarColorThemer.applySemanticColorScheme(colorScheme, to: appBar)
  MDCAppBarTypographyThemer.applyTypographyScheme(typographyScheme, to: appBar)

  // Additional configuration of appBar if needed.
}
```

AppBar's new `inferTopSafeAreaInsetFromViewController` property enables App Bars to be presented in non-full-screen contexts, such as iPad popovers or extensions. Consider enabling this property by default in all use cases.

FlexibleHeader's new `observesTrackingScrollViewScrollEvents` property allows the FlexibleHeader to automatically observe content offset changes to the tracking scroll view, removing the need for forwarding the UIScrollViewDelegate events to the FlexibleHeader. Note: you can only use this new feature if you have *not* enabled the shift behavior.

MDCSnackbarManager is now implemented as a true singleton with the ability to also create individual instances, making it possible to write self-contained tests for the component.

## API changes

### AppBar

#### MDCAppBarNavigationController

*new* class: `MDCAppBarNavigationController`

*new* property: `delegate` in `MDCAppBarNavigationController`

*new* method: `-appBarForViewController:` in `MDCAppBarNavigationController`

#### MDCAppBarNavigationControllerDelegate

*new* protocol: `MDCAppBarNavigationControllerDelegate`

*new* method: `-appBarNavigationController:willAddAppBar:asChildOfViewController:` in `MDCAppBarNavigationControllerDelegate`

#### MDCAppBar

*new* property: `inferTopSafeAreaInsetFromViewController` in `MDCAppBar`

### FlexibleHeader

#### MDCFlexibleHeaderView

*new* property: `observesTrackingScrollViewScrollEvents` in `MDCFlexibleHeaderView`

## Component changes

### AppBar

#### Changes

* [Add an inferTopSafeAreaInsetFromViewController behavior. (#4648)](https://github.com/material-components/material-components-ios/commit/76a5c1e6882f46eb4c40d632c5bfd6ac49aff592) (featherless)
* [Add new MDCAppBarNavigationController API.  (#4650)](https://github.com/material-components/material-components-ios/commit/f2d7edb84604244a9a2ffefb0f78abad36d35d92) (featherless)
* [[FlexibleHeader] Add support for observing the tracking scroll view. (#4647)](https://github.com/material-components/material-components-ios/commit/a5594f37802c8563086cc2ba85109c7c975aa535) (featherless)

### Ink

#### Changes

* [[Catalog] Improve Ink demo color contrast (#4660)](https://github.com/material-components/material-components-ios/commit/bece3086d85c624c9112ac68ad7f8baec1ffba66) (Robert Moore)
* [add commonMDCInkViewInit call to -initWithCoder: (#4662)](https://github.com/material-components/material-components-ios/commit/49a870fd94545535ead2b915a1ebf65d793b99fb) (Andrew Overton)

### Snackbar

#### Changes

* [Create explicit singleton (#4556)](https://github.com/material-components/material-components-ios/commit/c6ffe403ba550da972317936c2740790549002b1) (Robert Moore)
* [Revert "Create explicit singleton (#4556)"](https://github.com/material-components/material-components-ios/commit/8492359a0243da096c53b02dcea69f2b8d3d29f9) (Jeff Verkoeyen)

### Cards

#### Changes

* [ accessibility example for collection cards (#4488)](https://github.com/material-components/material-components-ios/commit/f040e95bffda55a4f637dd5d48c679e740cf59bc) (Galia Kaufman)
* [Accessibility: Fixing documentation typos (#4634)](https://github.com/material-components/material-components-ios/commit/cf014946d8f25ee95858631c6f301ef222f3b6c0) (Galia Kaufman)

### LibraryInfo

#### Changes

* [Version bump.](https://github.com/material-components/material-components-ios/commit/85334ead24f13cf7c5dce7caaaf0c0d27e79f28a) (Jeff Verkoeyen)

### Dialogs

#### Changes

* [Best example description (#4643)](https://github.com/material-components/material-components-ios/commit/d2d1cc064f7bad4d96b432d4a1a9797a65c768d8) (ianegordon)
* [Revert "Update buttons touch area to be 48x48 minimum (#4624)" (#4675)](https://github.com/material-components/material-components-ios/commit/a55e190c3c51c04e7f5c6506adac0e460bdf19b4) (ianegordon)
* [Update buttons touch area to be 48x48 minimum (#4624)](https://github.com/material-components/material-components-ios/commit/2c8539c3be9bb39dd8198341fb71c860cbc61e93) (Cody Weaver)

### BottomNavigation

#### Changes

* [Explicitly update label visibility after titleVisibility is set (#4635)](https://github.com/material-components/material-components-ios/commit/203160c80e8e5572443ee27616be730e56a43a79) (Andrew Overton)
* [Fix delayed ink ripple (#4625)](https://github.com/material-components/material-components-ios/commit/9d16a4a8946e9a356c752427f80c6fbb078133cb) (Robert Moore)
* [Give UITabBarItems' accessibilityIdentifiers to MDCBottomNavigationBa… (#4599)](https://github.com/material-components/material-components-ios/commit/87496292fff9a73ca671ab63939fcc2ed665fe34) (Andrew Overton)

### FlexibleHeader

#### Changes

* [Add support for observing the tracking scroll view. (#4647)](https://github.com/material-components/material-components-ios/commit/a5594f37802c8563086cc2ba85109c7c975aa535) (featherless)

---

# 59.0.0

This major release removed the remaining encoding/decoding behaviors from components ([tracking project](https://github.com/material-components/material-components-ios/projects/22)) and fixed a variety of bugs in FlexibleHeader with relation to safe area insets.

## Breaking changes

AppBar, TextFields, BottomNavigation, and Ink all removed support for encoding/decoding their custom properties.

## New features

FlexibleHeader has a new behavior, `inferTopSafeAreaInsetFromViewController`, which allows the flexible header to determine its safe area insets from its view controller context, rather than always assuming that the header will consume the entire screen. This new behavior is most useful in extensions and on the iPad when presenting modal dialogs or popovers. To enable the new behavior, you simply set `inferTopSafeAreaInsetFromViewController` on `MDCFlexibleHeaderViewController` to `YES`.

## API changes

### FlexibleHeader

#### MDCFlexibleHeaderView

*new* property: `topSafeAreaGuide` in `MDCFlexibleHeaderView`

#### MDCFlexibleHeaderViewController

*new* property: `inferTopSafeAreaInsetFromViewController` in `MDCFlexibleHeaderViewController`

### TextFields

#### MDCTextInputControllerLegacyFullWidth

*modified* class: `MDCTextInputControllerLegacyFullWidth`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCTextInputControllerLegacyFullWidth     : MDCTextInputControllerFullWidth <NSSecureCoding>` |
| To: | `@interface MDCTextInputControllerLegacyFullWidth     : MDCTextInputControllerFullWidth` |

#### MDCTextInputUnderlineView

*modified* class: `MDCTextInputUnderlineView`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCTextInputUnderlineView : UIView <NSCopying, NSSecureCoding>` |
| To: | `@interface MDCTextInputUnderlineView : UIView <NSCopying>` |

#### MDCTextInputController

*modified* protocol: `MDCTextInputController`

| Type of change: | Declaration |
|---|---|
| From: | `@protocol MDCTextInputController <NSObject, NSSecureCoding, NSCopying,                                   MDCTextInputPositioningDelegate>` |
| To: | `@protocol MDCTextInputController <NSObject, NSCopying,                                   MDCTextInputPositioningDelegate>` |

## Component changes

### AppBar

#### Breaking changes

* [**Breaking**:  Remove encoding/decoding behavior for custom properties (#4566)](https://github.com/material-components/material-components-ios/commit/39248f223017bd64d9d291e5f063dd7ccc4fa9af) (featherless)

### Ink

#### Breaking changes

* [**Breaking**:  Remove encoding/decoding behavior for custom properties (#4555)](https://github.com/material-components/material-components-ios/commit/fc1e82cd17f0abeaa9e62f7c3a3f39a91944a05b) (featherless)

### TextFields

#### Breaking changes

* [**Breaking**:  Remove encoding/decoding behavior for custom properties (#4567)](https://github.com/material-components/material-components-ios/commit/c4935b333d214ec0c028c5147cc8e6ddd00e319c) (featherless)

### BottomAppBar

#### Changes

* [Fix example (#4616)](https://github.com/material-components/material-components-ios/commit/8dd6d9f3d4c7d047fb2a584dd6aced06329cd1be) (Robert Moore)

### BottomSheet

#### Changes

* [Replacing typeof(self) by __typeof(self) (#4617)](https://github.com/material-components/material-components-ios/commit/03244a3dca8e35722e802bd53e6c74a1314118bc) (Jérôme Lebel)

### BottomNavigation

#### Breaking changes

* [**Breaking**:  Remove encoding/decoding behavior for custom properties (#4562)](https://github.com/material-components/material-components-ios/commit/001fbfac55bf1728798cefad767bcf36b9693985) (featherless)

### FlexibleHeader

#### Changes

* [Add behavior for enabling contextual safe area insets (#4596)](https://github.com/material-components/material-components-ios/commit/bb245597d8895a78c346c76f7d0986d7a993ad12) (featherless)
* [Fix iPhone X status bar bug when changing orientation. (#4592)](https://github.com/material-components/material-components-ios/commit/f5011f7e44b0b24af31d7dc4ae872e53ed29cbd7) (featherless)
* [Fix inconsistent shifting behavior when deceleration ends. (#4622)](https://github.com/material-components/material-components-ios/commit/98b046dd1f695c9db2506feb63c820905240c233) (featherless)
* [Improved height consistency when horizontally paging. (#4601)](https://github.com/material-components/material-components-ios/commit/ca4e619287e1c8c438d162ce4f8fe724fcd5d113) (featherless)
* [Remove Swift typical use example. (#4595)](https://github.com/material-components/material-components-ios/commit/272548637f5a2543a14652372a312fd899e340e2) (featherless)

---

# 58.0.0

This major release focused on accessibility and removing property coding/encoding from a variety of
components. It also fixed a bug related to AppBar/FlexibleHeader top layout guide behavior on
pre-iOS 11 devices.

## Breaking changes

Property encoding/decoding has been removed from a majority of the components, along with any
related explicit conformances to NSCoding and NSSecureCoding. See the
[tracking project](https://github.com/material-components/material-components-ios/projects/22) to
learn more about the status of this work.

MDCNavigationBar's deprecated `useFlexibleTopBottomInsets` has been removed.

## New features

A variety of accessibility documentation has been added to many of the components.

BottomNavigation has new parameters for the top padding of the nav bar items and the vertical
spacing between the icon and title.

## API changes

### BottomNavigation

#### MDCBottomNavigationBar

*new* property: `itemsContentInsets` in `MDCBottomNavigationBar`

*new* property: `itemsContentHorizontalMargin` in `MDCBottomNavigationBar`

*new* property: `itemsContentVerticalMargin` in `MDCBottomNavigationBar`

### NavigationBar

#### MDCNavigationBar

*removed* property: `useFlexibleTopBottomInsets` in `MDCNavigationBar`

## Component changes

### AppBar

#### Breaking changes

* [**Breaking**:  Mainline the YES behaviour for useFlexibleTopBottomInsets, and remove the already deprecated API. (#4570)](https://github.com/material-components/material-components-ios/commit/4438b441b2022201a5a3113825831ba5166f5167) (Ali Rabbani)
* [**Breaking**:  [FlexibleHeader] Remove NSCoding support. (#4554)](https://github.com/material-components/material-components-ios/commit/a7dd419ebe436852b342327b32b60fc61d5216a6) (featherless)
* [**Breaking**:  [NavigationBar] Remove NSCoding support. (#4560)](https://github.com/material-components/material-components-ios/commit/de0d57e8e3cdfd364b388e2f4e726d318038776c) (featherless)

#### Changes

* [Add docs on making navigationItems accessible with MDCAppBars (#4540)](https://github.com/material-components/material-components-ios/commit/0a0db27c915e81ae4c22dfdf456ba4a16c1e7707) (Andrew Overton)
* [[Catalog] Enable AppBar's isTopLayoutGuideAdjustmentEnabled in all examples. (#4537)](https://github.com/material-components/material-components-ios/commit/abae199d7135aaa8ea5ba2d1636e8fd767794285) (featherless)

### Ink

#### Changes

* [Make example accessible. (#4506)](https://github.com/material-components/material-components-ios/commit/f8284cdde41e41e0f59f2554b9e01b36fab0dec4) (Cody Weaver)

### Buttons

#### Breaking changes

* [**Breaking**:  Remove NSCoding support. (#4565)](https://github.com/material-components/material-components-ios/commit/48890aa9bf1991cffe497c906845841681a5386d) (featherless)

#### Changes

* [Disable FAB animation for VoiceOver (#4535)](https://github.com/material-components/material-components-ios/commit/3244f5491d28ffa1077a7e8456349fbed6525c0c) (Robert Moore)
* [Fix button README (#4547)](https://github.com/material-components/material-components-ios/commit/4e7db26ccb43357d01fd844f3bd9867f2d824aff) (Cody Weaver)
* [Make accessibility docs match other components (#4501)](https://github.com/material-components/material-components-ios/commit/88dabcfac9a0d5bdc51b1dc93e5f2572c0ad8f08) (Cody Weaver)
* [Removed internal links from docs. (#4559)](https://github.com/material-components/material-components-ios/commit/3d665a45b8770cd64be5088ec14e7163de9e4c4b) (Randall Li)
* [[Catalog] Enable AppBar's isTopLayoutGuideAdjustmentEnabled in all examples. (#4537)](https://github.com/material-components/material-components-ios/commit/abae199d7135aaa8ea5ba2d1636e8fd767794285) (featherless)

### ButtonBar

#### Breaking changes

* [**Breaking**:  Remove NSCoding support. (#4553)](https://github.com/material-components/material-components-ios/commit/7f5f920493a3081fb8e5b49f527675c95aa4627b) (featherless)

### TextFields

#### Changes

* [Add accessibility docs for MDCTextField (#4498)](https://github.com/material-components/material-components-ios/commit/4745d80b40141679acf987830f33191854af5cf5) (Andrew Overton)
* [Fix clear button render scale (#4539)](https://github.com/material-components/material-components-ios/commit/789f659f159958f2c9bd44e62023dc194903f71b) (Robert Moore)

### Chips

#### Breaking changes

* [**Breaking**:  Remove NSCoding support. (#4549)](https://github.com/material-components/material-components-ios/commit/cfa8a68eaf3c75bb3a92ded94541adcceb33d1dc) (featherless)

#### Changes

* [Add accessibilityHint to clear button in chips example (#4504)](https://github.com/material-components/material-components-ios/commit/7272f877a145d369b1b7ed305081638de7c8f523) (Andrew Overton)

### Cards

#### Breaking changes

* [**Breaking**:  Remove NSCoding support. (#4548)](https://github.com/material-components/material-components-ios/commit/0b26db87660dc0a82fe4f87cdaad2f103ebd244e) (featherless)

#### Changes

* [Add accessibility documentation (#4454)](https://github.com/material-components/material-components-ios/commit/ae8231e49ac1f192adb21b4425176de591e3de5e) (Galia Kaufman)

### Slider

#### Changes

* [Add a11y doc (#4536)](https://github.com/material-components/material-components-ios/commit/a4be5b041283def0e5248ba5b595cc05b030b9d6) (Cody Weaver)
* [Support custom increment and decrement levels (#4534)](https://github.com/material-components/material-components-ios/commit/27e8fcc816a7c4612d48018ceb2f8b430df1eb2b) (Cody Weaver)

### NavigationBar

#### Breaking changes

* [**Breaking**:  Remove NSCoding support. (#4560)](https://github.com/material-components/material-components-ios/commit/de0d57e8e3cdfd364b388e2f4e726d318038776c) (featherless)

#### Changes

* [Mainline the YES behaviour for useFlexibleTopBottomInsets, and remove the already deprecated API. (#4570)](https://github.com/material-components/material-components-ios/commit/4438b441b2022201a5a3113825831ba5166f5167) (Ali Rabbani)

### ShadowLayer

#### Breaking changes

* [**Breaking**:  Remove encoding/decoding behavior for custom properties (#4546)](https://github.com/material-components/material-components-ios/commit/b84b2cc01bd6e05760e588166f4e2a7535847e52) (featherless)

### ActivityIndicator

#### Changes

* [Change override of AccessibilityLabel with setting it to a default. (#4564)](https://github.com/material-components/material-components-ios/commit/76602a760149bacad1f75e84fe1979e07339e200) (Randall Li)
* [Removed outdated comment. (#4561)](https://github.com/material-components/material-components-ios/commit/ac09ad9bc2244f0946c449b3d45ca3c872af2f97) (featherless)

### BottomSheet

#### Changes

* [Inform delegate of accessibility escape dismissal (#4571)](https://github.com/material-components/material-components-ios/commit/b0c8bdfa5520033c96c1298443a5e4f0686d0ce7) (Andrew Overton)
* [[Catalog] Enable AppBar's isTopLayoutGuideAdjustmentEnabled in all examples. (#4537)](https://github.com/material-components/material-components-ios/commit/abae199d7135aaa8ea5ba2d1636e8fd767794285) (featherless)

### Dialogs

#### Changes

* [Update A11y docs (#4509)](https://github.com/material-components/material-components-ios/commit/20445a5d8565070ac3f836363edcf6f41380066a) (ianegordon)
* [make accessibilityPerformEscape honor MDCDialogPresentationController.dismissOnBackgroundTap (#4508)](https://github.com/material-components/material-components-ios/commit/d6f771d3c64ad33d867bb6cd92a1263304b2c087) (Andrew Overton)

### BottomNavigation

#### Changes

* [Add a11y to README (#4497)](https://github.com/material-components/material-components-ios/commit/e7b30aa44982c33ad7ebf48a63bee5db6714c179) (Cody Weaver)
* [Give MDCBottomNavigationBar a TabBar accessibilityTrait (#4510)](https://github.com/material-components/material-components-ios/commit/541a7af867906a924c6d6ca741c5219175a484fc) (Andrew Overton)
* [Parameterize top padding and vertical margin (#4432)](https://github.com/material-components/material-components-ios/commit/5c88af59d152dfb45782486a6b784048f720f85a) (John Detloff)
* [Removed internal links from docs. (#4558)](https://github.com/material-components/material-components-ios/commit/ad872244e1fba4aa252846549c354f432754bff1) (Randall Li)

### AnimationTiming

#### Changes

* [[FlexibleHeader] Enforce top layout guide adjustment on pre-iOS 11 devices. (#4573)](https://github.com/material-components/material-components-ios/commit/3e441f22991368e1ceb3e3e130b0cb666b610b6f) (featherless)

### HeaderStackView

#### Breaking changes

* [**Breaking**:  Remove NSCoding support. (#4544)](https://github.com/material-components/material-components-ios/commit/e68fff55dea351fe49e61bdaf2eabf676b9d1e99) (featherless)

### FlexibleHeader

#### Breaking changes

* [**Breaking**:  Update top layout behavior to match documentation. (#4577)](https://github.com/material-components/material-components-ios/commit/516885895a8eb2ff9bdd268d9510cc635cf8ecc4) (featherless)
* [**Breaking**:  Remove NSCoding support. (#4554)](https://github.com/material-components/material-components-ios/commit/a7dd419ebe436852b342327b32b60fc61d5216a6) (featherless)

#### Changes

* [Enforce top layout guide adjustment on pre-iOS 11 devices. (#4573)](https://github.com/material-components/material-components-ios/commit/3e441f22991368e1ceb3e3e130b0cb666b610b6f) (featherless)

### ProgressView

#### Changes

* [Add accessibility docs for MDCProgressView (#4543)](https://github.com/material-components/material-components-ios/commit/e4f8a63b9e93ab9586f82f541c29f7ae717fefc3) (Andrew Overton)

---

# 57.0.0

In this release we have added the List component, made accessibility improvements to Bottom Sheet, added Shapes support for Chips and Bottom Sheet, made Catalog visual improvements, and other bug fixes.

## Breaking changes

### TextFields

We have removed property `backgroundColor` from `MDCTextInputControllerBase` and properties `backgroundColor` and `backgroundColorDefault` from `MDCTextInputController`. The reason for removal was due to these properties not being used by the controller in any meaningful way, and therefore this should not produce any changes.

## New features

### BottomSheet

VoiceOver and switch device users currently have to use the accessibility escape gesture to dismiss a Bottom Sheet. Optionally, the BottomSheet can use
the dimmed "scrim" area (which can be tappable) to dismiss the bottom sheet using accessibility technologies.

As an example of how this could be used by clients, here's how our AppDelegate would change to support a VoiceOver button for dismissal:
```swift
let menuViewController = MDCMenuViewController(style: .plain)
let bottomSheet = MDCBottomSheetController(contentViewController: menuViewController)
bottomSheet.dismissOnBackgroundTap = true
bottomSheet.isScrimAccessibilityElement = true
bottomSheet.scrimAccessibilityLabel = "Close"
self.present(bottomSheet, animated: true, completion: nil)
```

### Cards

You can now set the car to be interactable or not. Our specification for cards explicitly define a card as being an interactable component.
Therefore, the interactable property should be set to NO *only if* there are other interactable items within the card's content, such as buttons or other tappable controls.
To set the interactability to no in your cards:
```swift
let card = MDCCard()
card.isInteractable = false

let cardCell = MDCCardCollectionCell()
cardCell.isInteractable = false
```

### List

We now have a new component, List! See more information about the component here: https://github.com/material-components/material-components-ios/tree/develop/components/List

## API changes

### BottomSheet

#### MDCBottomSheetTransitionController(ScrimAccessibility)

*new* category: `MDCBottomSheetTransitionController(ScrimAccessibility)`

*new* property: `isScrimAccessibilityElement` in `MDCBottomSheetTransitionController(ScrimAccessibility)`

*new* property: `scrimAccessibilityLabel` in `MDCBottomSheetTransitionController(ScrimAccessibility)`

*new* property: `scrimAccessibilityHint` in `MDCBottomSheetTransitionController(ScrimAccessibility)`

*new* property: `scrimAccessibilityTraits` in `MDCBottomSheetTransitionController(ScrimAccessibility)`

#### MDCBottomSheetController

*new* property: `scrimAccessibilityHint` in `MDCBottomSheetController`

*new* property: `isScrimAccessibilityElement` in `MDCBottomSheetController`

*new* property: `state` in `MDCBottomSheetController`

*new* method: `-shapeGeneratorForState:` in `MDCBottomSheetController`

*new* property: `scrimAccessibilityLabel` in `MDCBottomSheetController`

*new* method: `-setShapeGenerator:forState:` in `MDCBottomSheetController`

*new* property: `scrimAccessibilityTraits` in `MDCBottomSheetController`

#### MDCSheetState

*new* enum: `MDCSheetState` with values `MDCSheetStateExtended`, `MDCSheetStatePreferred`, and `MDCSheetStateClosed`

#### MDCBottomSheetPresentationControllerDelegate

*new* method: `-bottomSheetWillChangeState:sheetState:` in `MDCBottomSheetPresentationControllerDelegate`

#### MDCBottomSheetPresentationController

*new* property: `scrimAccessibilityLabel` in `MDCBottomSheetPresentationController`

*new* property: `isScrimAccessibilityElement` in `MDCBottomSheetPresentationController`

*new* property: `scrimAccessibilityTraits` in `MDCBottomSheetPresentationController`

*new* property: `scrimAccessibilityHint` in `MDCBottomSheetPresentationController`

### Cards

#### MDCCardCollectionCell

*new* property: `interactable` in `MDCCardCollectionCell`

#### MDCCard

*new* property: `interactable` in `MDCCard`

### List

**New component.**

### TextFields

#### MDCTextInputControllerFullWidth

*new* property: `backgroundColor` in `MDCTextInputControllerFullWidth`

*new* property: `backgroundColorDefault` in `MDCTextInputControllerFullWidth`

#### MDCTextInputControllerBase

*removed* property: `backgroundColor` in `MDCTextInputControllerBase`

#### MDCTextInputController

*new* property: `textInputClearButtonTintColorDefault` in `MDCTextInputController`

*new* property: `textInputClearButtonTintColor` in `MDCTextInputController`

*removed* property: `backgroundColorDefault` in `MDCTextInputController`

*removed* property: `backgroundColor` in `MDCTextInputController`

### Typography

#### UIFont(MaterialSimpleEquality)

*new* method: `-mdc_isSimplyEqual:` in `UIFont(MaterialSimpleEquality)`

*new* category: `UIFont(MaterialSimpleEquality)`

## Component changes

### Tabs

#### Changes

* [ Fix alerts in examples (#4480)](https://github.com/material-components/material-components-ios/commit/cb08164a8d29642619c4578e9552856ae82a3cc4) (Robert Moore)

### FeatureHighlight

#### Changes

* [Add swift example (#4439)](https://github.com/material-components/material-components-ios/commit/7e71bb0079ae77046eae5fdb6460c8dd6792f7ec) (Cody Weaver)

### Buttons

#### Changes

* [[Catalog] Fix VoiceOver ordering in Buttons demo (#4482)](https://github.com/material-components/material-components-ios/commit/7a1c3ced310c214fce431a78632d4b0ecadc8540) (Robert Moore)

### TextFields

#### Changes

* [Fix clearIcon drawing (#4450)](https://github.com/material-components/material-components-ios/commit/2abcf53b9dc18a0f469fa7a0b35d9e24b38a6b74) (Robert Moore)
* [Make MDCTextField accessibilityValue include only placeholder or [super accessibilityValue], not both (#4460)](https://github.com/material-components/material-components-ios/commit/c0124aa9fe7b20aec23e54530d29ab645036cdc4) (Andrew Overton)
* [Migrate textInputClearButtonTintColor to MDCTextInputController, tests (#4465)](https://github.com/material-components/material-components-ios/commit/528f46323fb7f7ab5a16ac306da0ee71c2f548c7) (Michelle Dudley)
* [Support clear button tint color (#4449)](https://github.com/material-components/material-components-ios/commit/8835a412a271026b8e4a9d0ed155b266b1840f83) (Robert Moore)
* [[Typography] 3rd PR on font equality (#4435)](https://github.com/material-components/material-components-ios/commit/53876c3dca2e5bcb07d6e8f1ef91fc5bb202835c) (Will Larche)
* [{BreakingChange} Remove unused `backgroundColor` property (#4452)](https://github.com/material-components/material-components-ios/commit/55eead6f1668095b73833d7652839757682a4fa2) (Robert Moore)

### Chips

#### Changes

* [Fix Choice demo (#4473)](https://github.com/material-components/material-components-ios/commit/63970a2b1fd6a759b5d38b96e57e21361350ebe9) (Robert Moore)
* [chips shape support fix + example (#4474)](https://github.com/material-components/material-components-ios/commit/84e9f2334505b45be96ade7559400bbc50641218) (Yarden Eitan)

### Cards

#### Changes

* [Added interactability toggle to Cards (#4404)](https://github.com/material-components/material-components-ios/commit/27a6c46fc3bd41f121d9c23b832f3297dafe2418) (Yarden Eitan)

### List

#### Changes

* [[ListItems] Add Base Cell With Example (#4461)](https://github.com/material-components/material-components-ios/commit/4b6eb9430ce5d4bb061b633946df14152f79db51) (Andrew Overton)

### BottomSheet

#### Changes

* [Dismiss BottomSheet with UIAccessibility (#4475)](https://github.com/material-components/material-components-ios/commit/031d797ecf188c9994701ab90aad3b31603b6a55) (Robert Moore)
* [[Shapes] Added Shapes support for BottomSheet (#4486)](https://github.com/material-components/material-components-ios/commit/61e65488afd298bd78db2acb5f6bcda92b1f1b4d) (Yarden Eitan)

### Typography

#### Changes

* [3rd PR on font equality (#4435)](https://github.com/material-components/material-components-ios/commit/53876c3dca2e5bcb07d6e8f1ef91fc5bb202835c) (Will Larche)

### BottomNavigation

#### Changes

* [AccessibilityValue and Selected icon support (#4444)](https://github.com/material-components/material-components-ios/commit/684f96c9f38337f0c3fad531a58e53635d3839d1) (Cody Weaver)
* [Test cases when we reset the bottom navigation items array (#4431)](https://github.com/material-components/material-components-ios/commit/c9fb2d91a4278d22da9151a8b49b546d6217e628) (Cody Weaver)
* [[BottomNavigation, Math] Fix `BOOL` types (#4436)](https://github.com/material-components/material-components-ios/commit/f1bb92ee921050fddb0eaf80f07b0d09a28ef09e) (Robert Moore)

### FlexibleHeader

#### Changes

* [Fix odd scrolling bugs in voiceover (#4485)](https://github.com/material-components/material-components-ios/commit/5dc67c88c06f11761769de1d0bae34ff2c657046) (John Detloff)

---

# 56.0.0

In this release we updated the icon layout of `MDCTextField`s add accessibilty docs for `MDCButton`
and some more `MDCBottomNavigation` examples. We also tweeked the `MDCChipView` and `MDCButtonBar`
buttons.

## Breaking changes

### New layout for `MDCTextField`'s with icons

* [Making leading and trailing view layout customizeable (#4434)](https://github.com/material-components/material-components-ios/commit/1f10ae3e3e12b8a0b367ae118c7cc7d6e706e8a5) (Will Larche)

## API changes

### TextFields

#### MDCLeadingViewTextInput

*new* protocol: `MDCLeadingViewTextInput`

*new* property: `leadingView` in `MDCLeadingViewTextInput`

*new* property: `leadingViewMode` in `MDCLeadingViewTextInput`

#### MDCTextInputPositioningDelegate

*new* method: `-leadingViewTrailingPaddingConstant` in `MDCTextInputPositioningDelegate`

*new* method: `-leadingViewRectForBounds:defaultRect:` in `MDCTextInputPositioningDelegate`

*new* method: `-trailingViewTrailingPaddingConstant` in `MDCTextInputPositioningDelegate`

*new* method: `-trailingViewRectForBounds:defaultRect:` in `MDCTextInputPositioningDelegate`

#### MDCTextField

*modified* class: `MDCTextField`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCTextField : MDCTextInput` |
| To: | `class MDCTextField : MDCTextInput, MDCLeadingViewTextInput` |

*modified* class: `MDCTextField`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCTextField : UITextField <MDCTextInput>` |
| To: | `@interface MDCTextField : UITextField <MDCTextInput, MDCLeadingViewTextInput>` |

## Component changes

### Buttons

#### Changes

* [Updated accessibility documentation and examples (#4418)](https://github.com/material-components/material-components-ios/commit/25b0ed9ea21cee6369c7ad00c497b198ed29e589) (Randall Li)

### ButtonBar

#### Changes

* [Update disabled button alpha to match spec (#4430)](https://github.com/material-components/material-components-ios/commit/95751ee02ba8f118f004bee02d66accdd2215add) (Randall Li)

### TextFields

#### Changes

* [Making leading and trailing view layout customizeable (#4434)](https://github.com/material-components/material-components-ios/commit/1f10ae3e3e12b8a0b367ae118c7cc7d6e706e8a5) (Will Larche)

### Chips

#### Changes

* [Update accessibility selected & dimmed states (#4399)](https://github.com/material-components/material-components-ios/commit/9fc828498f6469326a447f5664ab4f1f6977f14f) (galiak11)

### BottomNavigation

#### Changes

* [Add example when we explicitly set color (#4420)](https://github.com/material-components/material-components-ios/commit/a9d508c681543397ea809b5d848986f79566e6be) (Cody Weaver)
* [Update ripple color to match spec. (#4422)](https://github.com/material-components/material-components-ios/commit/beecea91ef9af9ba892ddc0498f0bce5971d1ed4) (Cody Weaver)
* [Use size classes instead of device orientation to determine layout in bottom navigation (#4424)](https://github.com/material-components/material-components-ios/commit/1dd5ee9e4acf9a9eb4622b44e8582f50f322003c) (Andrew Overton)

---

# 55.5.0

## API changes

### TextFields

#### MDCTextField

*new* property: `inputLayoutStrut` in `MDCTextField`

## Component changes

### Buttons

#### Changes

* [Added a11y minimum touch target size to Accessibility section in readme. (#4386)](https://github.com/material-components/material-components-ios/commit/1d692a8ab2597c95b70ec03f36fb7d1d40a2fef8) (Randall Li)

### ButtonBar

#### Changes

* [Add tintColor observation support. (#4380)](https://github.com/material-components/material-components-ios/commit/c1b513ba9eecbfe5513282ca1198fed8f251875f) (featherless)
* [Add unit tests for KVO behavior. (#4379)](https://github.com/material-components/material-components-ios/commit/fc2671fe9400e28d8baf31e1a2a5bb0a6c34389e) (featherless)

### TextFields

#### Changes

* [Add baseline constraint support (#4387)](https://github.com/material-components/material-components-ios/commit/89c2a40911e38376a1e6595eea98d8d35162f5f4) (Will Larche)
* [Example cleanup. (#4392)](https://github.com/material-components/material-components-ios/commit/bc119b3b73778cdebab80a6eeaf0a957cfd5a09b) (Will Larche)
* [TableView example. (#4391)](https://github.com/material-components/material-components-ios/commit/0516f703c89a53dae458574e096de8fa4ee3c888) (Will Larche)
* [Text Input adjustment. (#4389)](https://github.com/material-components/material-components-ios/commit/fc61f064511c7c7bca370121f049ad7387022f09) (Will Larche)

### Chips

#### Changes

* [Adds support for reading contentHorizontalAlignment in MDCChipView. The only supported values so far are Fill (the default now) and Center (the new value). (#4369)](https://github.com/material-components/material-components-ios/commit/d8a1dfc9194e1f70ecc65253d302918659667e63) (compositeprimes)

### BottomNavigation

#### Changes

* [Fix bug when `setItems` does not correctly set items (#4398)](https://github.com/material-components/material-components-ios/commit/1d6444634a9bed1238afb2c7e551502bc38dbcc2) (Cody Weaver)

---

# 55.4.0

This minor release includes better layout guide and safe area insets support to `MDCAppBar`'s `MDCAppBarContainerViewController`, added customization to `MDCNavigationBar` title view layout, accessibility improvements and documentation.

## New deprecations

`MDCNavigationBar`'s property `useFlexibleTopBottomInsets` has been defaulted to `YES` and has now been deprecated. It will eventually be removed and become the default behavior.

## New features

AppBar now allows its wrapped content view controllers to make proper use of the top layout guide and additional safe area insets APIs. This is done using the newly added property to AppBar's `MDCAppBarContainerViewController` named `topLayoutGuideAdjustmentEnabled`.
An example on how to implement this behavior:

```objc
MDCAppBarContainerViewController *appBarContainerViewController;
UITableViewController *tableViewController =
    [[UITableViewController alloc] initWithStyle:UITableViewStylePlain];
appBarContainerViewController =
    [[MDCAppBarContainerViewController alloc] initWithContentViewController:tableViewController];
self.appBarContainerViewController.topLayoutGuideAdjustmentEnabled = YES;
```

NavigationBar now allows configuration of its title view layout behavior to be either "fill" or "center". The fill behavior is the default and existing behavior, which sets the title view's frame to fill the available navigation bar space. The center behavior will always attempt to center the title view within the navigation bar's bounds.
The center behavior is desired by teams in the simple cases of when they want their title view to be centered within the navigation bar as best as possible. This is also the default behavior of UINavigationBar.
Example usage:

```objc
MDCNavigationBar *navBar = [[MDCNavigationBar alloc] init];
navBar.titleView = [[UIView alloc] init];
navBar.titleViewLayoutBehavior = MDCNavigationBarTitleViewLayoutBehaviorCenter;
```

## API changes

### AppBar

#### MDCAppBarContainerViewController

*new* property: `topLayoutGuideAdjustmentEnabled` in `MDCAppBarContainerViewController`

### NavigationBar

#### MDCNavigationBar

*new* property: `titleViewLayoutBehavior` in `MDCNavigationBar`

*deprecated* property: `useFlexibleTopBottomInsets` in `MDCNavigationBar`

| Type of change: | Deprecation message |
|---|---|
| From: | `useFlexibleTopBottomInsets` |
| To: | `Implement proper vertical alignment with the default YES behavior.` |

*new* enum `MDCNavigationBarTitleViewLayoutBehavior` with values `MDCNavigationBarTitleViewLayoutBehaviorFill` and `MDCNavigationBarTitleViewLayoutBehaviorCenter`.

## Component changes

### AppBar

#### Changes

* [Add a wrapped table view controller example. (#4336)](https://github.com/material-components/material-components-ios/commit/0e792aacf65d2aaea573437b98f308d998514fb1) (featherless)
* [Add example of an AppBar in a presented vc (#4351)](https://github.com/material-components/material-components-ios/commit/56bdce0b32bf5f12adc908647e5bf422c963cb45) (John Detloff)
* [Fix VoiceOver escape gesture bug. (#4360)](https://github.com/material-components/material-components-ios/commit/944a0947e2661d4c09aae7dac17f58ad7651ea0f) (featherless)
* [Implement topLayoutGuideAdjustmentEnabled on the app bar container. (#4370)](https://github.com/material-components/material-components-ios/commit/9707aec0fd0bb5e0fe667439d6246e0d6e5824ce) (featherless)
* [[NavigationBar] Deprecate useFlexibleTopBottomInsets (#4358)](https://github.com/material-components/material-components-ios/commit/b9086c94c48f7360e9bb4319c873c2f1e80333a9) (Ali Rabbani)

### Buttons

#### Changes

* [Adding Accessibility labels to README and fab example. (#4330)](https://github.com/material-components/material-components-ios/commit/5ec8aa09805051b241a569715d4808ae395db9bf) (Randall Li)

### TextFields

#### Changes

* [Add placeholderLabel accessibilityLabel to textField accessibilityValue (#4319)](https://github.com/material-components/material-components-ios/commit/9bbaaaad6e8f75e0ea93ce3c003c65203c23c654) (Andrew Overton)
* [Tweak accessibility notification to prevent VoiceOver from cutting off (#4364)](https://github.com/material-components/material-components-ios/commit/0b5706dadd4837ddf8d4da45a73ff9a5203c76ee) (Andrew Overton)
* [[Documentation] Update TextField README.md (#4352)](https://github.com/material-components/material-components-ios/commit/fec408500a0891a0218f5ae027b6fdaed4fffa99) (ianegordon)

### Snackbar

#### Changes

* [Fix Earl Grey test (#4349)](https://github.com/material-components/material-components-ios/commit/d9d4b5ca616f847c33649037e04ff63f34c31dbb) (Robert Moore)

### Slider

#### Changes

* [Fix accessibilityIncrement for discrete sliders (#4327)](https://github.com/material-components/material-components-ios/commit/e965234aaf3893452a9b363f9e1dc5cb19eebc41) (John Detloff)
* [Notify VoiceOver of MDCSlider value changes (#4350)](https://github.com/material-components/material-components-ios/commit/ede606f704a8f62e012c104e629ee0fbdd87c179) (Andrew Overton)

### NavigationBar

#### Changes

* [Add a titleViewLayoutBehavior API. (#4371)](https://github.com/material-components/material-components-ios/commit/c7ee146de25c67300816ca10dff5273b173e00e6) (featherless)
* [Deprecate useFlexibleTopBottomInsets (#4358)](https://github.com/material-components/material-components-ios/commit/b9086c94c48f7360e9bb4319c873c2f1e80333a9) (Ali Rabbani)

### BottomSheet

#### Changes

* [Add a short bottom sheet example to MDCCatalog (#4318)](https://github.com/material-components/material-components-ios/commit/18b23ed0e623428dbc49698369b046479975f49c) (featherless)

### Typography

#### Changes

* [[TextFields] Prevents functionally equivalent fonts from causing rendering jumps (#4344)](https://github.com/material-components/material-components-ios/commit/de44925eb609f1a06c6529fbd06ba7d5f80dcfa9) (Will Larche)

### PageControl

#### Changes

* [Make MDCPageControl minimum height adhere to accessibility requirements (#4359)](https://github.com/material-components/material-components-ios/commit/8c3063b2ed58042e49d7e2648e106967bbd01112) (Andrew Overton)

### Collections

#### Changes

* [Remove Earl Grey tests (#4348)](https://github.com/material-components/material-components-ios/commit/acd639cf4d8ece7c8a7ca436889a57c4c50a4e31) (Robert Moore)

### HeaderStackView

#### Changes

* [Change the layout behavior in MDCHeaderStack view to accommodate a topBar with flexible height. (#4355)](https://github.com/material-components/material-components-ios/commit/912bdcb9128e589c99429082d7687391d26d03c3) (Ali Rabbani)

### FlexibleHeader

#### Changes

* [Fix additionalSafeAreaInsets bug when topLayoutGuideAdjustmentEnabled is enabled. (#4354)](https://github.com/material-components/material-components-ios/commit/dc903f95ba532d3c6ffad7677f9468f7be9fb232) (featherless)
* [Only extract the top layout guide if the view has loaded. (#4357)](https://github.com/material-components/material-components-ios/commit/b663fcfa7004d545aa19fbe12f2c3f972e8c19f8) (featherless)

---

# 55.3.0

This minor release includes added customization to `MDCDialogPresentationController`,  better topLayoutGuide support for `MDCFlexibleHeader`, doc improvements and other small bug fixes.

## New features

Flexible header has a new behavioral flag for opting in to better topLayoutGuide support. This is primarily useful when using the flexible header container view controller. To opt in to this new behavior, do the following:

```swift
let container = MDCFlexibleHeaderContainerViewController()
container.isTopLayoutGuideAdjustmentEnabled = true
```

Dialogs now offer customizable cornerRadius support to enable proper shadowing. You can set the dialog corner radius like so:

```swift

// We set the corner radius to adjust the shadow that is implemented via the trackingView in the
// presentation controller.
if let presentationController = presentedController.mdc_dialogPresentationController {
  presentationController.dialogCornerRadius = presentedController.view.layer.cornerRadius
}
```

## API changes

### Dialogs

#### MDCDialogPresentationController

*new* property: `dialogCornerRadius` in `MDCDialogPresentationController`

### FlexibleHeader

#### MDCFlexibleHeaderContainerViewController

*new* property: `topLayoutGuideAdjustmentEnabled` in `MDCFlexibleHeaderContainerViewController`

#### MDCFlexibleHeaderViewController(ToBeDeprecated)

*new* category: `MDCFlexibleHeaderViewController(ToBeDeprecated)`

*moved* method: `-updateTopLayoutGuide` from class `MDCFlexibleHeaderViewController` to category `MDCFlexibleHeaderViewController(ToBeDeprecated)`

#### MDCFlexibleHeaderViewController

*new* property: `topLayoutGuideAdjustmentEnabled` in `MDCFlexibleHeaderViewController`

*new* property: `topLayoutGuideViewController` in `MDCFlexibleHeaderViewController`

## Component changes

### Tabs

#### Changes

* [We should not force viewDidLoad when ViewControllers are set.  (#4230)](https://github.com/material-components/material-components-ios/commit/2bf80cd568f2f5ed14aad02ad4daf93325f54eb8) (Mohammad Cazi)
* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### FeatureHighlight

#### Changes

* [View should not be loaded unless it's explicitly called or presented. (#4234)](https://github.com/material-components/material-components-ios/commit/99f230313517930b85a6b87d6ed479c3577450db) (Mohammad Cazi)
* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)
* [we dismiss and present feature highlight from the new spot. (#4300)](https://github.com/material-components/material-components-ios/commit/e91de068414486355a8426816846b6298a46a533) (Mohammad Cazi)

### AppBar

#### Changes

* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### Buttons

#### Changes

* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### ButtonBar

#### Changes

* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### TextFields

#### Changes

* [Correcting copy mistake. (#4281)](https://github.com/material-components/material-components-ios/commit/d13077450f95f0b436e568a88c757f524f1bbb0f) (Will Larche)
* [Corrects obscure bug of height. (#4297)](https://github.com/material-components/material-components-ios/commit/776a40e409a1c779cbfd6872952e8a462c34ba09) (Will Larche)
* [Documentation update (#4295)](https://github.com/material-components/material-components-ios/commit/520ac156a3953db22436e7c868060fa4e881681e) (Will Larche)
* [Fix notification parameter type (#4249)](https://github.com/material-components/material-components-ios/commit/7cfd4d67a68dab9f5d5e48dd65b2f270d501e3e4) (Robert Moore)
* [Fix text area placeholder (#4274)](https://github.com/material-components/material-components-ios/commit/6f740c8c6281aa48e60ae347a2b39ae98e0e7fcd) (Will Larche)
* [Post SetText notifications for attributed text (#4282)](https://github.com/material-components/material-components-ios/commit/a37b2891535b8f70a520215d36a66d0fb9eb01ab) (Robert Moore)
* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### Chips

#### Changes

* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### Snackbar

#### Changes

* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### Cards

#### Changes

* [Fix the cards docs image asset.](https://github.com/material-components/material-components-ios/commit/790062b34f67c74b89b9a1d0a6d919045af67933) (Jeff Verkoeyen)
* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### BottomAppBar

#### Changes

* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### Slider

#### Changes

* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### NavigationBar

#### Changes

* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### ActivityIndicator

#### Changes

* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### BottomSheet

#### Changes

* [Add an app bar to the typical use example. (#4268)](https://github.com/material-components/material-components-ios/commit/0575212f1ce0e97eadfbd512adb24a2e21924230) (featherless)
* [Fix layout issues caused by invoking self.dismissOnBackgroundTap in -init (#4241)](https://github.com/material-components/material-components-ios/commit/2c80a9509e35d0288f26c9b6f720b4eb5fd95d83) (featherless)

### Dialogs

#### Changes

* [Add customizable cornerRadius to enable proper shadowing (#4233)](https://github.com/material-components/material-components-ios/commit/02d19e08ad3953624ecd4741aeda2a45db0f3709) (ianegordon)
* [AlertController button layout issue (#4291)](https://github.com/material-components/material-components-ios/commit/cacd2e2fdda6551dda9e523cd17741440439c971) (ianegordon)
* [Setting Properties on Alert controller will not force the view to load. (#4238)](https://github.com/material-components/material-components-ios/commit/39030e7b2040e930e47deb3c3667374b320203bc) (Mohammad Cazi)
* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### BottomNavigation

#### Changes

* [Correct long title layout (#4303)](https://github.com/material-components/material-components-ios/commit/4975c38a41977a1aabe4f08f8956886063b94369) (Robert Moore)
* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### PageControl

#### Changes

* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### FlexibleHeader

#### Changes

* [Fixed behavior for top layout guide and safe area insets. (#4214)](https://github.com/material-components/material-components-ios/commit/80fd217f766e0f5be6a3bc6bef5923f231721f9d) (featherless)
* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

### ProgressView

#### Changes

* [[Docs] Add badges to all components. (#4278)](https://github.com/material-components/material-components-ios/commit/e1e6d249a4f554ff76c36a49dcae8a824552ea58) (featherless)

---

# 55.2.0

This minor release includes new Snackbar features and minor improvements to the Catalog.

## New features

Snackbar now allows you to change the snackbar message alignment on iPad. For example:

```objc
MDCSnackbarManager.alignment = MDCSnackbarAlignmentLeading;
```

Snackbar also exposes a delegate for theming snackbar messages.

```objc
MDCSnackbarManager.delegate = appDelegate;

- (void)willPresentSnackbarWithMessageView:(nullable MDCSnackbarMessageView *)messageView {
  // You can theme the individual messageView.actionButtons here.
}
```

There is a new shadow elevation constant, `MDCShadowElevationBottomNavigationBar`.

## API changes

### ShadowElevations

#### MDCShadowElevationBottomNavigationBar

*new* constant: `MDCShadowElevationBottomNavigationBar`

### Snackbar

#### MDCSnackbarAlignment

*new* enum value: `MDCSnackbarAlignmentCenter` in `MDCSnackbarAlignment`

*new* enum value: `MDCSnackbarAlignmentLeading` in `MDCSnackbarAlignment`

*new* enum: `MDCSnackbarAlignment`

#### MDCSnackbarMessageView

*new* property: `actionButtons` in `MDCSnackbarMessageView`

#### MDCSnackbarManager

*new* property: `delegate` in `MDCSnackbarManager`

*new* property: `alignment` in `MDCSnackbarManager`

#### MDCSnackbarManagerDelegate

*new* protocol: `MDCSnackbarManagerDelegate`

*new* method: `-willPresentSnackbarWithMessageView:` in `MDCSnackbarManagerDelegate`

## Component changes

### Tabs

#### Changes

* [Initialize default color and typography schemes in examples (#4200)](https://github.com/material-components/material-components-ios/commit/0c0ce4248edb23aeed4d139a55367192edff710c) (John Detloff)

### schemes/Typography

#### Changes

* [Initialize default color and typography schemes in examples (#4200)](https://github.com/material-components/material-components-ios/commit/0c0ce4248edb23aeed4d139a55367192edff710c) (John Detloff)

### FeatureHighlight

#### Changes

* [Initialize default color and typography schemes in examples (#4200)](https://github.com/material-components/material-components-ios/commit/0c0ce4248edb23aeed4d139a55367192edff710c) (John Detloff)

### AppBar

#### Changes

* [Create an example of MDCAppBarContainerViewController usage (#4197)](https://github.com/material-components/material-components-ios/commit/82afdff90d2f40a6c8830c70360943269c821553) (John Detloff)
* [Initialize default color and typography schemes in examples (#4200)](https://github.com/material-components/material-components-ios/commit/0c0ce4248edb23aeed4d139a55367192edff710c) (John Detloff)

### Buttons

#### Changes

* [Disable flaky test. (#4157)](https://github.com/material-components/material-components-ios/commit/480ceda7225a8dc8b0503e06ecc6407c2ebf0a8c) (featherless)
* [Initialize default color and typography schemes in examples (#4200)](https://github.com/material-components/material-components-ios/commit/0c0ce4248edb23aeed4d139a55367192edff710c) (John Detloff)

### ButtonBar

#### Changes

* [Initialize default color and typography schemes in examples (#4200)](https://github.com/material-components/material-components-ios/commit/0c0ce4248edb23aeed4d139a55367192edff710c) (John Detloff)

### TextFields

#### Changes

* [Getting rid of paddedLabel Class since it's not needed anymore. (#4196)](https://github.com/material-components/material-components-ios/commit/9e7db06c7e917cd8fa023f6d885ae58ffa2a74cd) (Mohammad Cazi)

### Chips

#### Changes

* [Initialize default color and typography schemes in examples (#4200)](https://github.com/material-components/material-components-ios/commit/0c0ce4248edb23aeed4d139a55367192edff710c) (John Detloff)

### Snackbar

#### Changes

* [Allow Snackbars to have leading alignment on iPads (#4163)](https://github.com/material-components/material-components-ios/commit/fe0780ce5592553f0b2fce2116f82a5381731afd) (Andrew Overton)
* [Exposed the snackbar button class (#4171)](https://github.com/material-components/material-components-ios/commit/b9d4698caa1d3652ccddf2f86c18e4838a093674) (Yarden Eitan)

### Slider

#### Changes

* [Initialize default color and typography schemes in examples (#4200)](https://github.com/material-components/material-components-ios/commit/0c0ce4248edb23aeed4d139a55367192edff710c) (John Detloff)

### NavigationBar

#### Changes

* [Initialize default color and typography schemes in examples (#4200)](https://github.com/material-components/material-components-ios/commit/0c0ce4248edb23aeed4d139a55367192edff710c) (John Detloff)

### ActivityIndicator

#### Changes

* [Initialize default color and typography schemes in examples (#4200)](https://github.com/material-components/material-components-ios/commit/0c0ce4248edb23aeed4d139a55367192edff710c) (John Detloff)

### Typography

#### Changes

* [Add unit test to improve coverage (#4198)](https://github.com/material-components/material-components-ios/commit/5f0e12550df56a9db112aaae5617cad4f4a1ff6d) (ianegordon)

### Dialogs

#### Changes

* [Initialize default color and typography schemes in examples (#4200)](https://github.com/material-components/material-components-ios/commit/0c0ce4248edb23aeed4d139a55367192edff710c) (John Detloff)

### BottomNavigation

#### Changes

* [Fix shadow elevation value (#4195)](https://github.com/material-components/material-components-ios/commit/7bf1c4ad8f6d0e974431aa512db5f542d2046131) (Robert Moore)

### FlexibleHeader

#### Changes

* [Always update opacity for views that hide when shifted. (#4170)](https://github.com/material-components/material-components-ios/commit/28b93d5bbf32412a67f101068c2a1b7fedaaeaab) (featherless)

### ShadowElevations

#### Changes

* [Expose BottomNavigationBar elevation (#4194)](https://github.com/material-components/material-components-ios/commit/fb77f5c42cd5ec5c031775cef4d2402b7ae83387) (Robert Moore)

---

# 55.1.0

This minor release introduces some new features to Flexible Header and Snackbar and includes some
bug fixes in the Catalog app.

## Upcoming deprecations

MDCFlexibleHeaderViewController's `-updateTopLayoutGuide` will be deprecated in the future. It
should no longer be necessary to call this API if you are using an
`MDCFlexibleHeaderContainerViewController`.

## API changes

### Snackbar

#### MDCSnackbarManager

*new* class method: `+hasMessagesShowingOrQueued` in `MDCSnackbarManager`

## Component changes

### Tabs

#### Changes

* ["Add" button shows when needed (#3739)](https://github.com/material-components/material-components-ios/commit/957f3fa127e5d7b11c4f01251efe5e48d53efa8e) (Robert Moore)

### schemes/Color

#### Changes

* [[schemes] Fix docsite generation due to missing and malformed metadata. (#4151)](https://github.com/material-components/material-components-ios/commit/8c036dbace4c4e2f76cf4c624984f77a0d4c6009) (featherless)

### schemes/Typography

#### Changes

* [[schemes] Fix docsite generation due to missing and malformed metadata. (#4151)](https://github.com/material-components/material-components-ios/commit/8c036dbace4c4e2f76cf4c624984f77a0d4c6009) (featherless)

### FeatureHighlight

#### Changes

* [Color Should be a dragon example. (#3743)](https://github.com/material-components/material-components-ios/commit/8b4c29328773709d24fcaaf92fd9dd36d174fb91) (Mohammad Cazi)
* [[Catalog] Feature highlight should be triggered from a separate Button. (#3742)](https://github.com/material-components/material-components-ios/commit/f1b919ed5b8f711dde60397b39a05aba88ea7584) (Mohammad Cazi)
* [[Catalog] FeatureHighlight should be themed according to global theming. (#3738)](https://github.com/material-components/material-components-ios/commit/6e7ed439ced27c3dc58af242be886f64f0bebf46) (Mohammad Cazi)
* [title not attributed. (#4175)](https://github.com/material-components/material-components-ios/commit/5ed1f44fb19d8881073198e4de4106b936a55320) (Mohammad Cazi)

### Buttons

#### Changes

* [FAB button in shapes example should be themed. (#3737)](https://github.com/material-components/material-components-ios/commit/988a577902dce2acc59952760fd6b8fb84bc78f4) (Mohammad Cazi)
* [Fix updateTitles to prevent crash (#4153)](https://github.com/material-components/material-components-ios/commit/f8e2d2872ab947ac847ecc8dfcf4df9a17cb06bc) (Robert Moore)

### Snackbar

#### Changes

* [add hasMessagesShowingOrQueued method (#4168)](https://github.com/material-components/material-components-ios/commit/9dc4065db7b4f41ca0544f583581c982a5358c1a) (Yarden Eitan)

### Cards

#### Changes

* ['Edit' button should show action, not state (#3733)](https://github.com/material-components/material-components-ios/commit/9cef13c1a7ce68f0b2fe67435436fa98891f3e21) (Robert Moore)

### BottomAppBar

#### Changes

* [Add an app bar to the bottom app bar demo (#3760)](https://github.com/material-components/material-components-ios/commit/bf21b5a2e673b527bb25d0fa3c0f01e9d62b65a2) (John Detloff)
* [Make FAB visibility a switch (#3734)](https://github.com/material-components/material-components-ios/commit/ef522de732c5c283dd217f7d4c1b85a2d6e6b97e) (Robert Moore)
* [[Catalog] Bottom App bar should theme the FAB Button. (#3740)](https://github.com/material-components/material-components-ios/commit/116071bf966e731257eb5fed6350b6b97242cef2) (Mohammad Cazi)

### Dialogs

#### Changes

* [Make "modal" dialog "non-dismissable" (#3736)](https://github.com/material-components/material-components-ios/commit/b63c534ada8437f5ec9e2d707671fcd24677a1aa) (Robert Moore)

### Themes

#### Changes

* [Add simple unit test (#4147)](https://github.com/material-components/material-components-ios/commit/128a545a21d2338760cc8b6d83ffaa60d1ca8f96) (Robert Moore)

### ShadowElevations

#### Changes

* [[Shadow Elevation] Changed slider to be discrete to make it more clear that the named labels are for specific values of the slider. (#3741)](https://github.com/material-components/material-components-ios/commit/f6e04eb72c2597813d6ffa78cf5e1494262aa97a) (Randall Li)

---

# 55.0.4

This patch release adds metadata to the bidirectionality eng stub doc.

---

# 55.0.3

This patch release adds documentation polish around bidirectionality.

---

# 55.0.2

This patch release includes more documentation polish and a bug fix for Cards theming.

## Component changes

### Tabs

#### Changes

* [Reorder image assets.](https://github.com/material-components/material-components-ios/commit/4272dc0074b4f453a10f136bfbfd5e90e074057c) (Jeff Verkoeyen)

### schemes/Color

#### Changes

* [[Theming] Consolidate the theming documentation into one folder on the site.](https://github.com/material-components/material-components-ios/commit/15d7f006f622acf0bf7dd619b87c734260c0e999) (Jeff Verkoeyen)

### schemes/Typography

#### Changes

* [[Theming] Consolidate the theming documentation into one folder on the site.](https://github.com/material-components/material-components-ios/commit/15d7f006f622acf0bf7dd619b87c734260c0e999) (Jeff Verkoeyen)

### FeatureHighlight

#### Changes

* [Reorder image assets.](https://github.com/material-components/material-components-ios/commit/4272dc0074b4f453a10f136bfbfd5e90e074057c) (Jeff Verkoeyen)

### Ink

#### Changes

* [Make a gif.](https://github.com/material-components/material-components-ios/commit/fe2431b66db96609613f989f300e902ce4a380a4) (Jeff Verkoeyen)

### Buttons

#### Changes

* [Avoid picking up class properties in the API table for READMEs.](https://github.com/material-components/material-components-ios/commit/f059a37d5040ea85f7fe005e759efff9678bb86c) (Jeff Verkoeyen)
* [Update material.io/go/design-theming shortlink to material.io/go/design-color-theming.](https://github.com/material-components/material-components-ios/commit/8cf0cb3e14e6f6bceb8e857f9e7e9170e2cc136a) (Adrian Secord)

### ButtonBar

#### Changes

* [Avoid picking up class properties in the API table for READMEs.](https://github.com/material-components/material-components-ios/commit/f059a37d5040ea85f7fe005e759efff9678bb86c) (Jeff Verkoeyen)

### TextFields

#### Changes

* [Regenerate the readme.](https://github.com/material-components/material-components-ios/commit/dd122f98a8ea4328d3f857191f1dc5a87f4fc24b) (Jeff Verkoeyen)
* [Reorder image assets.](https://github.com/material-components/material-components-ios/commit/4272dc0074b4f453a10f136bfbfd5e90e074057c) (Jeff Verkoeyen)

### Chips

#### Changes

* [Update the intro copy.](https://github.com/material-components/material-components-ios/commit/fc6f997f6c907d09770ec259570a058450b2375e) (Jeff Verkoeyen)

### Snackbar

#### Changes

* [Avoid picking up class properties in the API table for READMEs.](https://github.com/material-components/material-components-ios/commit/f059a37d5040ea85f7fe005e759efff9678bb86c) (Jeff Verkoeyen)
* [Reorder image assets.](https://github.com/material-components/material-components-ios/commit/4272dc0074b4f453a10f136bfbfd5e90e074057c) (Jeff Verkoeyen)

### Cards

#### Changes

* [Fix examples and themer (#3700)](https://github.com/material-components/material-components-ios/commit/96933c385f2aa80b9199143f3cb23bb345a1d8d9) (Yarden Eitan)

### BottomAppBar

#### Changes

* [Avoid picking up class properties in the API table for READMEs.](https://github.com/material-components/material-components-ios/commit/f059a37d5040ea85f7fe005e759efff9678bb86c) (Jeff Verkoeyen)

### Slider

#### Changes

* [Reorder image assets.](https://github.com/material-components/material-components-ios/commit/4272dc0074b4f453a10f136bfbfd5e90e074057c) (Jeff Verkoeyen)

### LibraryInfo

#### Changes

* [Add a header and intro blurb.](https://github.com/material-components/material-components-ios/commit/1c53439fa899ddbdd44738995024f92337bc5d50) (Jeff Verkoeyen)

### ShadowLayer

#### Changes

* [Tidy up links for shadows and progress indicators.](https://github.com/material-components/material-components-ios/commit/8f8c0819d368581101ab00b038b5f543c7c18c94) (Jeff Verkoeyen)
* [[Shadow] Reorder screenshots.](https://github.com/material-components/material-components-ios/commit/651031dc569e9fcd5007fd1e97dbf53dd5fe6a62) (Jeff Verkoeyen)

### BottomSheet

#### Changes

* [Reorder image assets.](https://github.com/material-components/material-components-ios/commit/4272dc0074b4f453a10f136bfbfd5e90e074057c) (Jeff Verkoeyen)

### Dialogs

#### Changes

* [Update the copy and make a gif.](https://github.com/material-components/material-components-ios/commit/d16824c765c4f4667ea6c5551ebe4ab399a8e121) (Jeff Verkoeyen)

### PageControl

#### Changes

* [Add gif.](https://github.com/material-components/material-components-ios/commit/28845deb5a74fdc8d9422412ea5de5bc395ad8de) (Jeff Verkoeyen)

### FlexibleHeader

#### Changes

* [Avoid picking up class properties in the API table for READMEs.](https://github.com/material-components/material-components-ios/commit/f059a37d5040ea85f7fe005e759efff9678bb86c) (Jeff Verkoeyen)

### ShadowElevations

#### Changes

* [[Shadow] Reorder screenshots.](https://github.com/material-components/material-components-ios/commit/651031dc569e9fcd5007fd1e97dbf53dd5fe6a62) (Jeff Verkoeyen)

### ProgressView

#### Changes

* [Tidy up the docs and links.](https://github.com/material-components/material-components-ios/commit/fb0f5a1cbb19f2c8a4116dd85468891b4492e895) (Jeff Verkoeyen)

### Palettes

#### Changes

* [Remove screenshot.](https://github.com/material-components/material-components-ios/commit/805bb5769eb13233d87828219b80a422402725bb) (Jeff Verkoeyen)
* [Update material.io/go/design-theming shortlink to material.io/go/design-color-theming.](https://github.com/material-components/material-components-ios/commit/8cf0cb3e14e6f6bceb8e857f9e7e9170e2cc136a) (Adrian Secord)

---

# 55.0.1

This patch release polishes and fleshes out documentation across many of our components. There are
no source changes in this release.

## Component changes

### MaskedTransition

#### Changes

* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)

### schemes/Color

#### Changes

* [Fix more casings.](https://github.com/material-components/material-components-ios/commit/ee0eeb7f511f639f6aaedd31ff764d44aefcc26d) (Jeff Verkoeyen)
* [Fix scheme links.](https://github.com/material-components/material-components-ios/commit/a9f0b65a1606a13588f5cfbe6421998eaf507fa4) (Jeff Verkoeyen)

### schemes/Typography

#### Changes

* [Fix more casings.](https://github.com/material-components/material-components-ios/commit/ee0eeb7f511f639f6aaedd31ff764d44aefcc26d) (Jeff Verkoeyen)
* [Fix scheme links.](https://github.com/material-components/material-components-ios/commit/a9f0b65a1606a13588f5cfbe6421998eaf507fa4) (Jeff Verkoeyen)
* [[Typography] Ensure that typography scheme is showing up on the site. (#3694)](https://github.com/material-components/material-components-ios/commit/a06a62beb062b40bbe1d93c9bab1900c13b37cde) (featherless)

### FeatureHighlight

#### Changes

* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)

### AppBar

#### Changes

* [Update site naming for top and bottom app bars to match spec. (#3680)](https://github.com/material-components/material-components-ios/commit/c166652ae6977c26146a6450751d2580fbbd58f3) (featherless)

### CollectionCells

#### Changes

* [[Collections] Add deprecation notice to the readmes and remove from the site. (#3695)](https://github.com/material-components/material-components-ios/commit/8ec943f57df1f29a080022b1eae34ef2d0b9c123) (featherless)
* [[Collections] Mark all examples as dragons. (#3697)](https://github.com/material-components/material-components-ios/commit/01e592cb72481551a93d407bb2e29b5f1c5638d3) (featherless)

### ButtonBar

#### Changes

* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)

### TextFields

#### Changes

* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)

### Cards

#### Changes

* [Make the site title be "Cards".](https://github.com/material-components/material-components-ios/commit/2c0a515df60c282048e8c674d8d109877bfbf520) (Jeff Verkoeyen)
* [Update image and docs.](https://github.com/material-components/material-components-ios/commit/d94e03161ad0841116ff02dfb03b49e52c08b403) (Jeff Verkoeyen)

### BottomAppBar

#### Changes

* [Add gif for bottom navigation and fix alt text in bottom app bar.](https://github.com/material-components/material-components-ios/commit/72ccfa73426c7d42cbdd7377f5fcb38faae8c89e) (Jeff Verkoeyen)
* [Crop the screenshot to emphasize the bottom app bar.](https://github.com/material-components/material-components-ios/commit/1d85f287a00d960f7a9f64125467c859af6c1294) (Jeff Verkoeyen)
* [Touch up the readme intro copy and image ordering.](https://github.com/material-components/material-components-ios/commit/75f367e61cbfabad9d84ea36d5b376c597893124) (Jeff Verkoeyen)
* [Update site naming for top and bottom app bars to match spec. (#3680)](https://github.com/material-components/material-components-ios/commit/c166652ae6977c26146a6450751d2580fbbd58f3) (featherless)

### NavigationBar

#### Changes

* [Fix ordering of header stack view and navigation bar intro text.](https://github.com/material-components/material-components-ios/commit/ead0ae49365d2db3778116798613110cb1ebdbdc) (Jeff Verkoeyen)
* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)
* [Update header stack view and navigation bar screenshots.](https://github.com/material-components/material-components-ios/commit/087d22f441e06c835b5a27f8228a1ca71eaf96e7) (Jeff Verkoeyen)

### OverlayWindow

#### Changes

* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)

### ShadowLayer

#### Changes

* [Fix more casings.](https://github.com/material-components/material-components-ios/commit/ee0eeb7f511f639f6aaedd31ff764d44aefcc26d) (Jeff Verkoeyen)

### ActivityIndicator

#### Changes

* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)

### BottomSheet

#### Changes

* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)

### BottomNavigation

#### Changes

* [Add gif for bottom navigation and fix alt text in bottom app bar.](https://github.com/material-components/material-components-ios/commit/72ccfa73426c7d42cbdd7377f5fcb38faae8c89e) (Jeff Verkoeyen)
* [Remove redundant link and update copy.](https://github.com/material-components/material-components-ios/commit/c8b8acabf8c78b9e266c33803848e9e67967fe73) (Jeff Verkoeyen)
* [Shrink the gif.](https://github.com/material-components/material-components-ios/commit/e7b2b2c8e8888bd0525830613783c0c06b747fe4) (Jeff Verkoeyen)
* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)

### PageControl

#### Changes

* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)

### AnimationTiming

#### Changes

* [Move animation below the intro text.](https://github.com/material-components/material-components-ios/commit/7af5818beffd68470a7a39670a3dc793b7a228eb) (Jeff Verkoeyen)
* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)
* [Update the copy.](https://github.com/material-components/material-components-ios/commit/e777fe00d330bafb98eeacaee093bbe020af5d40) (Jeff Verkoeyen)

### Collections

#### Changes

* [Add deprecation notice to the readmes and remove from the site. (#3695)](https://github.com/material-components/material-components-ios/commit/8ec943f57df1f29a080022b1eae34ef2d0b9c123) (featherless)
* [Mark all examples as dragons. (#3697)](https://github.com/material-components/material-components-ios/commit/01e592cb72481551a93d407bb2e29b5f1c5638d3) (featherless)

### HeaderStackView

#### Changes

* [Fix ordering of header stack view and navigation bar intro text.](https://github.com/material-components/material-components-ios/commit/ead0ae49365d2db3778116798613110cb1ebdbdc) (Jeff Verkoeyen)
* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)
* [Update header stack view and navigation bar screenshots.](https://github.com/material-components/material-components-ios/commit/087d22f441e06c835b5a27f8228a1ca71eaf96e7) (Jeff Verkoeyen)

### FlexibleHeader

#### Changes

* [Add a gif for the docs.](https://github.com/material-components/material-components-ios/commit/1f3953d88ee0391494c4076140f8f1e1325ae1ad) (Jeff Verkoeyen)
* [Fix casing in the site nav.](https://github.com/material-components/material-components-ios/commit/06c210637d8e24b6b8f7c342e9da28d34abe3f94) (Jeff Verkoeyen)
* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)

### ShadowElevations

#### Changes

* [Fix more casings.](https://github.com/material-components/material-components-ios/commit/ee0eeb7f511f639f6aaedd31ff764d44aefcc26d) (Jeff Verkoeyen)

### ProgressView

#### Changes

* [Standardize the casing for all components to match spec. (#3693)](https://github.com/material-components/material-components-ios/commit/a078a9722d9806dbac7bc63af976efe043e6d858) (featherless)

### CollectionLayoutAttributes

#### Changes

* [[Collections] Add deprecation notice to the readmes and remove from the site. (#3695)](https://github.com/material-components/material-components-ios/commit/8ec943f57df1f29a080022b1eae34ef2d0b9c123) (featherless)

---

# 55.0.0

This major release introduces breaking changes to CocoaPods dependencies. Please read the breaking
changes section for more details.

This release also includes a significant amount of documnetation polish and some accessibility bug
fixes.

## Breaking changes

CocoaPods +Extension targets have been removed and replaced with more specific targets for the
individual extensions. For example, if you were importing a component's extensions like this before:

```
pod 'MaterialComponents/Buttons+Extensions'
```

You'll now need to depend on the individual Button extension targets that you're making use of:

```
pod 'MaterialComponents/Buttons+ButtonThemer'
```

To see a full list of available extensions for a given component, read the
MaterialComponents.podspec file.

## API changes

## Component changes

### Tabs

#### Changes

* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Rename Examples.md to examples.md](https://github.com/material-components/material-components-ios/commit/a26665e9a793109d2848f0aaa7197f3c572f4cab) (Mohammad Cazi)
* [Rename Usage.md to usage.md](https://github.com/material-components/material-components-ios/commit/e9923dd93397be3fd3e3129cbc1adb7ed77f09b4) (Mohammad Cazi)
* [Update README.md](https://github.com/material-components/material-components-ios/commit/8d8b459e97e6a86e4646fa3f864cf415e6c65d32) (Mohammad Cazi)
* [[Catalog] Make many examples be dragons. (#3642)](https://github.com/material-components/material-components-ios/commit/e923d2d9283bfd9619f6db13bff2f72c47c8181c) (featherless)
* [readme update. (#3613)](https://github.com/material-components/material-components-ios/commit/f84e745a990136fa4e2ba1021593848de0150eb7) (Mohammad Cazi)
* [regenerating tabs after file change. (#3623)](https://github.com/material-components/material-components-ios/commit/7f9214eae3a37238c77b8d2dffcb65380c686d9a) (Mohammad Cazi)

### schemes/Color

#### Changes

* [Fix build breakage.](https://github.com/material-components/material-components-ios/commit/09043a3e2ce57faa677a01eeb2d30607377f3887) (Jeff Verkoeyen)
* [Update the default error color to match spec. (#3591)](https://github.com/material-components/material-components-ios/commit/31140876fb8bcb263667538dce91fe96d39b525e) (featherless)
* [[Themes] Add deprecation notice to APIs and remove from the site. (#3636)](https://github.com/material-components/material-components-ios/commit/cd3a53c263f3b8968a9d947ecf2bd46ebe7c756a) (featherless)
* [[schemes/Color Flesh out the documentation. (#3668)](https://github.com/material-components/material-components-ios/commit/f8b40770f70660b55282f437ed4aa6ec67599cc8) (featherless)

### schemes/Typography

#### Changes

* [Add docs stubs. (#3609)](https://github.com/material-components/material-components-ios/commit/2979d1494aa065595ee33cb9f095119afc997053) (featherless)
* [[Themes] Add deprecation notice to APIs and remove from the site. (#3636)](https://github.com/material-components/material-components-ios/commit/cd3a53c263f3b8968a9d947ecf2bd46ebe7c756a) (featherless)
* [[Typography] Add TypographyScheme example (#3607)](https://github.com/material-components/material-components-ios/commit/3ba99c280b5bf9a7499dbbd334e691811713150d) (Robert Moore)
* [[Typography] Preliminary Typography Scheme README (#3671)](https://github.com/material-components/material-components-ios/commit/fa87fde4b96f9b23f65beaf851b55fac50d83562) (ianegordon)

### FeatureHighlight

#### Changes

* [Allow setting accessibilityHint (#3649)](https://github.com/material-components/material-components-ios/commit/47c1bcb5d33772e9ef4e48d4e0aadba7f8ebd404) (Robert Moore)
* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Remove theming preambles and regenerate root readme. (#3635)](https://github.com/material-components/material-components-ios/commit/de2bd52da695e2fddb08ee3888e646f19cf6e967) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3620)](https://github.com/material-components/material-components-ios/commit/c1fc4e728b26b75df2bb04d30a3f0ffb011fbd70) (featherless)

### AppBar

#### Changes

* [Add animated gif to the readme. (#3677)](https://github.com/material-components/material-components-ios/commit/8d7dda64e307d855967b02c93ffba3e136b0e5f5) (featherless)
* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Make the App Bar appear as "Top App Bar" in the docsite. (#3670)](https://github.com/material-components/material-components-ios/commit/a312ab1b3065f9154c0cf778cb565db30839e996) (featherless)
* [Make the interface builder and modal presentation examples be dragons. (#3659)](https://github.com/material-components/material-components-ios/commit/c2b286d559b9dbcdee3edb0d05aec082b632be3e) (featherless)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3634)](https://github.com/material-components/material-components-ios/commit/1e80136d29ce0283123cc5fbda25fc2b324eceb9) (featherless)

### Buttons

#### Changes

* [Add documentation describing variants to buttons, chips and cards (#3600)](https://github.com/material-components/material-components-ios/commit/045e93e669cf1e08de486a4e17e4695e3d722f46) (John Detloff)
* [Add outlined button gif. (#3639)](https://github.com/material-components/material-components-ios/commit/06667639354c75c66e16c076cc0096e5f2b45dfd) (featherless)
* [Break the docs into separate articles and run the readme generator. (#3605)](https://github.com/material-components/material-components-ios/commit/5ec3e78a50e943e40885e66067ca1e77c52ea179) (featherless)
* [Ensure buttons and cards reset their states correctly (#3599)](https://github.com/material-components/material-components-ios/commit/d471d4324cef89a83b4cc12d41ba66dc3747492b) (John Detloff)
* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Theme the typical use example with the injected schemes. (#3603)](https://github.com/material-components/material-components-ios/commit/966a70e86d99483a7476e431f4dacde0e7369a38) (featherless)
* [[scripts] Ensure that asset urls are remapped when generating readmes. (#3640)](https://github.com/material-components/material-components-ios/commit/91eca05769ab4bf976d16e9c4026d2bfdb2e1c7b) (featherless)

### ButtonBar

#### Changes

* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Mark all of the AppBar implementation component examples as dragons. (#3596)](https://github.com/material-components/material-components-ios/commit/d0866fc6f0388456ec33f180d55c941a72bb9396) (featherless)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Remove from the website. (#3638)](https://github.com/material-components/material-components-ios/commit/3e2cca9e9856d4c9f990194a771ab9a20e22eebc) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3614)](https://github.com/material-components/material-components-ios/commit/74d0320132306f690db3f44c61742ac4c6c8820f) (featherless)

### TextFields

#### Changes

* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [[Catalog] Make many examples be dragons. (#3642)](https://github.com/material-components/material-components-ios/commit/e923d2d9283bfd9619f6db13bff2f72c47c8181c) (featherless)
* [[TextField] floating placeholder overlaps with border. (#3606)](https://github.com/material-components/material-components-ios/commit/a0aa72556756cb48dbf8c579fb9285f82fa441c8) (Mohammad Cazi)
* [[Textfields] readme auto generated update. (#3628)](https://github.com/material-components/material-components-ios/commit/c18026c59eafb4345445ad3b2c23ece70a27307b) (Mohammad Cazi)
* [[scripts] Ensure that asset urls are remapped when generating readmes. (#3640)](https://github.com/material-components/material-components-ios/commit/91eca05769ab4bf976d16e9c4026d2bfdb2e1c7b) (featherless)
* [fixing color mapping for floatingNormal and floatingActive Colors. (#3617)](https://github.com/material-components/material-components-ios/commit/7e3c5ae10731e08daead0052f1b15319fbe0fa16) (Mohammad Cazi)

### Chips

#### Changes

* [Add documentation describing variants to buttons, chips and cards (#3600)](https://github.com/material-components/material-components-ios/commit/045e93e669cf1e08de486a4e17e4695e3d722f46) (John Detloff)
* [Auto Generated README update. (#3621)](https://github.com/material-components/material-components-ios/commit/2835de1ac5be29d0ef80ff819ff5893b0aadf73b) (Mohammad Cazi)
* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Replace "stroked" with "outlined" in the examples. (#3647)](https://github.com/material-components/material-components-ios/commit/3cd06801bbd24e82ea5d997533972937291c2634) (featherless)
* [[Catalog] Make many examples be dragons. (#3642)](https://github.com/material-components/material-components-ios/commit/e923d2d9283bfd9619f6db13bff2f72c47c8181c) (featherless)

### Snackbar

#### Changes

* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Global replace of "utilize" vs "use". (#3662)](https://github.com/material-components/material-components-ios/commit/14b9c1503f5a5de900413f44472f99fab38d2738) (Adrian Secord)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3627)](https://github.com/material-components/material-components-ios/commit/af0fb05ae59480765040520c8aee7c7f4ad0d098) (featherless)

### Cards

#### Changes

* [Add documentation describing variants to buttons, chips and cards (#3600)](https://github.com/material-components/material-components-ios/commit/045e93e669cf1e08de486a4e17e4695e3d722f46) (John Detloff)
* [Ensure buttons and cards reset their states correctly (#3599)](https://github.com/material-components/material-components-ios/commit/d471d4324cef89a83b4cc12d41ba66dc3747492b) (John Detloff)
* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Global replace of "utilize" vs "use". (#3662)](https://github.com/material-components/material-components-ios/commit/14b9c1503f5a5de900413f44472f99fab38d2738) (Adrian Secord)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3618)](https://github.com/material-components/material-components-ios/commit/a3ad2dde8a947fbdc0db2928d853e0d818f1a0a4) (featherless)
* [[Catalog] Make many examples be dragons. (#3642)](https://github.com/material-components/material-components-ios/commit/e923d2d9283bfd9619f6db13bff2f72c47c8181c) (featherless)

### BottomAppBar

#### Changes

* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3615)](https://github.com/material-components/material-components-ios/commit/ff1022a690258225af327a252391dc3ca9fbdadb) (featherless)

### Slider

#### Changes

* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3626)](https://github.com/material-components/material-components-ios/commit/854e234091ab2391d3cc7a3f5e6b7780535bfaaa) (featherless)
* [[Catalog] Make many examples be dragons. (#3642)](https://github.com/material-components/material-components-ios/commit/e923d2d9283bfd9619f6db13bff2f72c47c8181c) (featherless)

### NavigationBar

#### Changes

* [Fix broken link. (#3632)](https://github.com/material-components/material-components-ios/commit/574e115a7b267641bcf3669bd6522b553b641269) (featherless)
* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Mark all of the AppBar implementation component examples as dragons. (#3596)](https://github.com/material-components/material-components-ios/commit/d0866fc6f0388456ec33f180d55c941a72bb9396) (featherless)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3622)](https://github.com/material-components/material-components-ios/commit/7ebaeb51bef3d0b1aa052448d4f434e1ae3d26c4) (featherless)
* [[AppBar] Nest all of the implementation detail components under AppBar.](https://github.com/material-components/material-components-ios/commit/c541893c30bc151589432c24cdb5d839038e63f1) (featherless)
* [[ButtonBar] Remove from the website. (#3638)](https://github.com/material-components/material-components-ios/commit/3e2cca9e9856d4c9f990194a771ab9a20e22eebc) (featherless)

### ShadowLayer

#### Changes

* [Global replace of "utilize" vs "use". (#3662)](https://github.com/material-components/material-components-ios/commit/14b9c1503f5a5de900413f44472f99fab38d2738) (Adrian Secord)

### ActivityIndicator

#### Changes

* [ Break the docs into separate articles and run the readme generator. (#3608)](https://github.com/material-components/material-components-ios/commit/00d40923c4e35da2beed828ce1d3821d50d4bcf1) (featherless)
* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)

### BottomSheet

#### Changes

* [Fix issue causing black squares on bottom sheet rotation (#3630)](https://github.com/material-components/material-components-ios/commit/f12feaea2b5fb312538a138207112327d2384d79) (John Detloff)
* [[Catalog] Make many examples be dragons. (#3642)](https://github.com/material-components/material-components-ios/commit/e923d2d9283bfd9619f6db13bff2f72c47c8181c) (featherless)

### Typography

#### Changes

* [Add TypographyScheme example (#3607)](https://github.com/material-components/material-components-ios/commit/3ba99c280b5bf9a7499dbbd334e691811713150d) (Robert Moore)
* [Add deprecation notice to the MDCTypography APIs and README (#3633)](https://github.com/material-components/material-components-ios/commit/fa155e0d1765381b8b2cca575008bedfb1d29428) (featherless)

### Dialogs

#### Changes

* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Global replace of "utilize" vs "use". (#3662)](https://github.com/material-components/material-components-ios/commit/14b9c1503f5a5de900413f44472f99fab38d2738) (Adrian Secord)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3619)](https://github.com/material-components/material-components-ios/commit/ce9f1e0bbf5234ec373976074f0fda16d22d35d3) (featherless)
* [[Catalog] Make many examples be dragons. (#3642)](https://github.com/material-components/material-components-ios/commit/e923d2d9283bfd9619f6db13bff2f72c47c8181c) (featherless)

### BottomNavigation

#### Changes

* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3616)](https://github.com/material-components/material-components-ios/commit/d2b8f7618ecada20392d4fcadfa324c188d6b7c4) (featherless)
* [[Catalog] Make many examples be dragons. (#3642)](https://github.com/material-components/material-components-ios/commit/e923d2d9283bfd9619f6db13bff2f72c47c8181c) (featherless)
* [[scripts] Ensure that asset urls are remapped when generating readmes. (#3640)](https://github.com/material-components/material-components-ios/commit/91eca05769ab4bf976d16e9c4026d2bfdb2e1c7b) (featherless)

### PageControl

#### Changes

* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3624)](https://github.com/material-components/material-components-ios/commit/ec4ec5fa2aafe31910b4625840e0beec8564a588) (featherless)
* [[Catalog] Make many examples be dragons. (#3642)](https://github.com/material-components/material-components-ios/commit/e923d2d9283bfd9619f6db13bff2f72c47c8181c) (featherless)

### AnimationTiming

#### Changes

* [Add a gif to the readme. (#3641)](https://github.com/material-components/material-components-ios/commit/6d02252fafab9243101b9a8022977e6488284baf) (featherless)

### Collections

#### Changes

* [Global replace of "utilize" vs "use". (#3662)](https://github.com/material-components/material-components-ios/commit/14b9c1503f5a5de900413f44472f99fab38d2738) (Adrian Secord)

### HeaderStackView

#### Changes

* [Mark all of the AppBar implementation component examples as dragons. (#3596)](https://github.com/material-components/material-components-ios/commit/d0866fc6f0388456ec33f180d55c941a72bb9396) (featherless)
* [Remove color theming docs and mark the color themer as to be deprecated. (#3612)](https://github.com/material-components/material-components-ios/commit/e76147d8cd85ff1df6fcefe8c9fae9c87fdde818) (featherless)
* [[AppBar] Nest all of the implementation detail components under AppBar.](https://github.com/material-components/material-components-ios/commit/c541893c30bc151589432c24cdb5d839038e63f1) (featherless)

### FlexibleHeader

#### Changes

* [Flatten all +Extensions CocoaPods targets into standalone targets.  (#3572)](https://github.com/material-components/material-components-ios/commit/037bf7d0f0baee504a7f8111ece785fd33b0f722) (featherless)
* [Global replace of "utilize" vs "use". (#3662)](https://github.com/material-components/material-components-ios/commit/14b9c1503f5a5de900413f44472f99fab38d2738) (Adrian Secord)
* [Mark all of the AppBar implementation component examples as dragons. (#3596)](https://github.com/material-components/material-components-ios/commit/d0866fc6f0388456ec33f180d55c941a72bb9396) (featherless)
* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3610)](https://github.com/material-components/material-components-ios/commit/e9e403d307f3779f6312b7b7acd214fe75cecae6) (featherless)

### Themes

#### Changes

* [Add deprecation notice to APIs and remove from the site. (#3636)](https://github.com/material-components/material-components-ios/commit/cd3a53c263f3b8968a9d947ecf2bd46ebe7c756a) (featherless)

### ProgressView

#### Changes

* [Regenerate component docs with automatic API links. (#3673)](https://github.com/material-components/material-components-ios/commit/da21941afa8500ba0fb5775da14e9f3646ed9299) (featherless)
* [Split the documentation into separate articles and run the readme generator. (#3625)](https://github.com/material-components/material-components-ios/commit/6f8efafd30a536e8dd90fc74aa1f151792ee929d) (featherless)

### Palettes

#### Changes

* [Improve example text contrast (#3590)](https://github.com/material-components/material-components-ios/commit/f636a9c5f2472c27cff92f64a7809075f4124f61) (Robert Moore)
* [[Catalog] Make many examples be dragons. (#3642)](https://github.com/material-components/material-components-ios/commit/e923d2d9283bfd9619f6db13bff2f72c47c8181c) (featherless)

---

# 54.13.0

This release focused on documentation across all of our componentry and introduced new outlined
themes for components. There have also been significant improvements to theming in the MDCCatalog
app.

## Breaking changes

## New features

Buttons, Cards, and Chips now support outlined themes.

```objc
// Buttons:
[MDCOutlinedButtonThemer applyScheme:buttonScheme toButton:outlinedButton];

// Cards:
[MDCCardThemer applyOutlinedVariantWithScheme:cardScheme toCard:component];

// Chips:
[MDCChipViewThemer applyOutlinedVariantWithScheme:cardScheme toChipView:component];
```

Chip hit areas can now be modified using the new `hitAreaInsets` API:

```objc
chip.hitAreaInsets = UIEdgeInsetsMake(chipVerticalInset, 0, chipVerticalInset, 0);
```

## API changes

### Chips

#### MDCChipView

*new* property: `hitAreaInsets` in `MDCChipView`

## Component changes

### Tabs

#### Changes

* [Add umbrella headers for all extension targets. (#3476)](https://github.com/material-components/material-components-ios/commit/08403aecf78a08a249b9991c21aafd6dbd6be478) (featherless)
* [Adding .vars files for each component. (#3561)](https://github.com/material-components/material-components-ios/commit/81aca79c69780d27b59a74e60f2364c297ebe2e1) (Mohammad Cazi)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Replace MDCRaisedButton with contained button themer in TabBarIconExample. (#3499)](https://github.com/material-components/material-components-ios/commit/a5c816e8239c9d238dce20b06723ebfd86d77e9a) (featherless)
* [Replace MDCRaisedButton with contained button themer in TabBarIndicatorTemplateExample. (#3500)](https://github.com/material-components/material-components-ios/commit/6ef99391113caf4ca19503019ae2b36c8fbc690c) (featherless)
* [Replace MDCRaisedButton with contained button themer. (#3497)](https://github.com/material-components/material-components-ios/commit/32138a911831d6fdadc2f0599723da70ba979740) (featherless)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [Update Tabs Theme Section README.md (#3527)](https://github.com/material-components/material-components-ios/commit/a5fe979bc339d181f1adb0ee15a2f6b89ce96319) (Mohammad Cazi)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)
* [update README.md Mistake](https://github.com/material-components/material-components-ios/commit/01b460529a87679b479359041491f263c766df9d) (Mohammad Cazi)

### MaskedTransition

#### Changes

* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)

### schemes/Color

#### Changes

* [Delete all of the older themer examples. (#3484)](https://github.com/material-components/material-components-ios/commit/24cf2bad0d6c40091d15c765f554872ff8b0caea) (featherless)
* [[Tabs] Add umbrella headers for all extension targets. (#3476)](https://github.com/material-components/material-components-ios/commit/08403aecf78a08a249b9991c21aafd6dbd6be478) (featherless)
* [[TextFields] Add umbrella headers for all extension targets. (#3477)](https://github.com/material-components/material-components-ios/commit/7e1e2f0e895d1a1bacf785a1c30886f407cc5f73) (featherless)

### schemes/Typography

#### Changes

* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)

### FeatureHighlight

#### Changes

* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [[Typography][Color] Make sure our examples only use the new Color/Typography APIs (#3489)](https://github.com/material-components/material-components-ios/commit/a291896f0758575400bd35ba0a2ac3895e65e75c) (Mohammad Cazi)

### AppBar

#### Changes

* [Add Theming Section to README.md (#3516)](https://github.com/material-components/material-components-ios/commit/b77e73d06e6fa008c185ca08d1c3e2efed76d569) (Mohammad Cazi)
* [Added a AppBarTypicalCollectionViewExample. (#3491)](https://github.com/material-components/material-components-ios/commit/f7869ea61b70d95cdab2fa698b0fe99434ab5f6e) (Mohammad Cazi)
* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Fix the app bar status bar style in the typical use demo. (#3505)](https://github.com/material-components/material-components-ios/commit/41ac8443640585693454488d339229b53507c9ac) (featherless)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Make MDCAppBarContainerViewController set bounds of child view controller (#3450)](https://github.com/material-components/material-components-ios/commit/3db1410ede9045b22663284b7c0830ddf80a360a) (John Detloff)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Revert "Make MDCAppBarContainerViewController set bounds of child view controller (#3450)" (#3594)](https://github.com/material-components/material-components-ios/commit/d512c3a9afa76e4b7e9258475001d1743c020892) (featherless)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [Update the examples, forwarding scrollView Delegate typical use. (#3494)](https://github.com/material-components/material-components-ios/commit/a6b31d4d54018495afba3b9fc863d3db2161704b) (Mohammad Cazi)

### Ink

#### Changes

* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)

### CollectionCells

#### Changes

* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### Buttons

#### Changes

* [Add a floating action button themer. (#3588)](https://github.com/material-components/material-components-ios/commit/200fc906215de8201429c0ffca86495263160605) (featherless)
* [Add floating action button documentation. (#3592)](https://github.com/material-components/material-components-ios/commit/c061444df2b60b2383595a0c6fb4757b200a8c93) (featherless)
* [Add notice of pending deprecation to Flat and Raised buttons. (#3581)](https://github.com/material-components/material-components-ios/commit/2c8af495d32e3ea62833c619e9e8a516251a2d5a) (featherless)
* [Add outlined button themer (#3566)](https://github.com/material-components/material-components-ios/commit/55b995233229ad536f5538d183c1f1dd010e5183) (John Detloff)
* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Copy-edit pass of the readme. (#3587)](https://github.com/material-components/material-components-ios/commit/1766e1790fad143225121ade705b6ff0a75604d3) (featherless)
* [Fix build breakage due to API changes in ButtonThemer. (#3518)](https://github.com/material-components/material-components-ios/commit/bfe781a17fe9294b91d0e83eaf3a2af40a17c3ff) (featherless)
* [Fix build breakage. (#3593)](https://github.com/material-components/material-components-ios/commit/cb8571ab91438dec1b720e488f8fbd3d61f2ef9c) (featherless)
* [Fix build regression. (#3595)](https://github.com/material-components/material-components-ios/commit/a66e99c3101180126086c882426f8f95a6089992) (featherless)
* [Fix outlined button themer tests (#3598)](https://github.com/material-components/material-components-ios/commit/fc39022a08f5ded7582d4248f0225c5c3730791e) (John Detloff)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Minor copy edits to the main readme. (#3589)](https://github.com/material-components/material-components-ios/commit/7086086e50e61c2635b69a064bdaff6b2cc00b07) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Replace MDCFlatButton with MDCButton + text themer in content edge insets example. (#3583)](https://github.com/material-components/material-components-ios/commit/2414525074f43c849b1564f18e016c552d776d3e) (featherless)
* [Replace MDCRaisedButton with a contained button themer. (#3502)](https://github.com/material-components/material-components-ios/commit/d70da6a18d3fa7b041ba2cd2665e34267f9fdf06) (featherless)
* [Replace MDCRaisedButton with contained button themer in ButtonsShapesExampleViewController. (#3503)](https://github.com/material-components/material-components-ios/commit/c4d443a5f3e0da80ec865cc7a4a600614d1cff11) (featherless)
* [Replace references to MDCRaisedButton with MDCContainedButtonThemer. (#3482)](https://github.com/material-components/material-components-ios/commit/5a977ebd5fb8ac33ba0b0be663349d0d3626c450) (featherless)
* [Revert "Changing ButtonScheme Header to accept protocols instead of actual class. (#3488)" (#3512)](https://github.com/material-components/material-components-ios/commit/5e051afefa1ccc087e92eb5147e8f45fdfbbdf7f) (featherless)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [[Button:TextButton] Fixed the ripple color for text buttons (#3524)](https://github.com/material-components/material-components-ios/commit/e789ba4551753e65c746995209fe2a3eaaef8d03) (Randall Li)
* [[Button] Removed example of stroked button (#3421)](https://github.com/material-components/material-components-ios/commit/9201d9ec15fd2111bcfebede4d7dd2a50efe088b) (Randall Li)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### ButtonBar

#### Changes

* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Fix typo in docs. (#3580)](https://github.com/material-components/material-components-ios/commit/f8f8092a6e6cf51fe87d1ce3859b39f0052ffd49) (featherless)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)

### TextFields

#### Changes

* [Add umbrella headers for all extension targets. (#3477)](https://github.com/material-components/material-components-ios/commit/7e1e2f0e895d1a1bacf785a1c30886f407cc5f73) (featherless)
* [Adding .vars files for each component. (#3561)](https://github.com/material-components/material-components-ios/commit/81aca79c69780d27b59a74e60f2364c297ebe2e1) (Mohammad Cazi)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [Stop the text example from loading on startup (#3567)](https://github.com/material-components/material-components-ios/commit/8c7f8faa51ddae7b3c8d30f8d0638be9e23392be) (ianegordon)
* [Textfield Readme.md mistake.](https://github.com/material-components/material-components-ios/commit/0974e71428acd2674a89adae9234663f1c4b24c0) (Mohammad Cazi)
* [Themer Example (#3521)](https://github.com/material-components/material-components-ios/commit/4a258d2a47c359779b3304c55483be2ce87465f0) (ianegordon)
* [Update TextField Themer Section README.md (#3523)](https://github.com/material-components/material-components-ios/commit/8f3cf237bed97d098f26b3e123063bf8cc00b296) (Mohammad Cazi)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### Chips

#### Changes

* [Add support for custom touch target (#3517)](https://github.com/material-components/material-components-ios/commit/25984d9f4bb5eee7412e80fd342ee7ba32e200a6) (Robert Moore)
* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Create a ChipThemer for material and outlined schemes (#3563)](https://github.com/material-components/material-components-ios/commit/c185bc956f07aa9d1646844f6c5a0b96c08c4089) (John Detloff)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Revert "Vertically center chips within available space (#3511)" (#3582)](https://github.com/material-components/material-components-ios/commit/dfe1f8516aa13f547c139c820295c4a1afdd8b79) (Robert Moore)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [Vertically center chips within available space (#3511)](https://github.com/material-components/material-components-ios/commit/f69d36d963b5a172df42dce62b2bb3f847c99f47) (Robert Moore)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### Snackbar

#### Changes

* [Adding .vars files for each component. (#3561)](https://github.com/material-components/material-components-ios/commit/81aca79c69780d27b59a74e60f2364c297ebe2e1) (Mohammad Cazi)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### Cards

#### Changes

* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Implement stroke variant themer (#3485)](https://github.com/material-components/material-components-ios/commit/fc486cf285be44561474be8908ba3614233af5b6) (John Detloff)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Replace MDCFlatButton with text button themer in CardExampleViewController. (#3584)](https://github.com/material-components/material-components-ios/commit/7f9f54d5cb7d350622939074edb96ac93d441334) (featherless)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### BottomAppBar

#### Changes

* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [[Typography][Color] Make sure our examples only use the new Color/Typography APIs (#3489)](https://github.com/material-components/material-components-ios/commit/a291896f0758575400bd35ba0a2ac3895e65e75c) (Mohammad Cazi)

### Slider

#### Changes

* [Added Theming Section to README (#3530)](https://github.com/material-components/material-components-ios/commit/a6b8c8533fc8e378f98106e62debc652298204e5) (Mohammad Cazi)
* [Adding .vars files for each component. (#3561)](https://github.com/material-components/material-components-ios/commit/81aca79c69780d27b59a74e60f2364c297ebe2e1) (Mohammad Cazi)
* [Disabling flaky test. (#3560)](https://github.com/material-components/material-components-ios/commit/40f69695cfdf242498cb2685369b668b00ba6659) (featherless)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [Stateful API Section Added. (#3565)](https://github.com/material-components/material-components-ios/commit/77d10fde8f2313a37d9d41d5372566fcf491e187) (Mohammad Cazi)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### NavigationBar

#### Changes

* [Adding .vars files for each component. (#3561)](https://github.com/material-components/material-components-ios/commit/81aca79c69780d27b59a74e60f2364c297ebe2e1) (Mohammad Cazi)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)

### OverlayWindow

#### Changes

* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)

### LibraryInfo

#### Changes

* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)

### ShadowLayer

#### Changes

* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)

### ActivityIndicator

#### Changes

* [Apply the color themer template to the docs. (#3556)](https://github.com/material-components/material-components-ios/commit/49590b69fe90e0fb4e077398083f14b223beca7c) (featherless)
* [Apply the contained button theme to the ActivityIndicatorTransitionExample button. (#3504)](https://github.com/material-components/material-components-ios/commit/88cdf7fda9d95131ea73963dea1f7e18fc5874c8) (featherless)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Make the gif not a screenshot. (#3542)](https://github.com/material-components/material-components-ios/commit/63fb7524425fc1191ac110154678e75668b0c40a) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [Update the README.md and examples. (#3510)](https://github.com/material-components/material-components-ios/commit/149834e8858a83194ee4528fd5aa3d4495bda6c6) (featherless)
* [[Activity Indicator] Update the minimum radius documented in the header (#3498)](https://github.com/material-components/material-components-ios/commit/017b1aaa75c4c1f3881f3e1b0907d980a2cd3950) (Siyu Song)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### BottomSheet

#### Changes

* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### Typography

#### Changes

* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### Dialogs

#### Changes

* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Replace MDCRaisedButton with themer APIs in DialogWithPreferredContentSizeViewController. (#3495)](https://github.com/material-components/material-components-ios/commit/d406f0fa7cb9813b3378faa715609f0550baa74f) (featherless)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)
* [s/www.material.io/material.io/g (#3576)](https://github.com/material-components/material-components-ios/commit/7f09c94e4638aa7edeaaffd0b1b7570e99c7dc67) (Adrian Secord)

### BottomNavigation

#### Changes

* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### PageControl

#### Changes

* [Adding .vars files for each component. (#3561)](https://github.com/material-components/material-components-ios/commit/81aca79c69780d27b59a74e60f2364c297ebe2e1) (Mohammad Cazi)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)

### AnimationTiming

#### Changes

* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)

### Collections

#### Changes

* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### HeaderStackView

#### Changes

* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)

### FlexibleHeader

#### Changes

* [Add Theming section to README.md. (#3531)](https://github.com/material-components/material-components-ios/commit/9ef7d0b607c6d651ae26f27b526ab1ee409e4f42) (featherless)
* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)

### Themes

#### Changes

* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)

### ShadowElevations

#### Changes

* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### ProgressView

#### Changes

* [Adding .vars files for each component. (#3561)](https://github.com/material-components/material-components-ios/commit/81aca79c69780d27b59a74e60f2364c297ebe2e1) (Mohammad Cazi)
* [Generate all themer documentation. (#3562)](https://github.com/material-components/material-components-ios/commit/d3c5316db0c67aadb18fb0b7492a49234f8a4322) (featherless)
* [Remove all UIAppearance references from documentation. (#3480)](https://github.com/material-components/material-components-ios/commit/8395836c98224912c41b455a2651904362a006e7) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [Standardizing API docs. (#3481)](https://github.com/material-components/material-components-ios/commit/0cc7e9860f3820595f90da7110e3dc251950ea90) (featherless)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### Palettes

#### Changes

* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)
* [[Docs] Updated known short link destination URLs to use short links. (#3575)](https://github.com/material-components/material-components-ios/commit/72045ffd6d303bb99a3e1a71e4f3cdda42fe5ad8) (Adrian Secord)

### CollectionLayoutAttributes

#### Changes

* [Adding .vars files for each component. (#3557)](https://github.com/material-components/material-components-ios/commit/4186de3733f10650304c83cc6d29bf5afd714237) (featherless)
* [Remove space after triple-backtick Markdown syntax. (#3577)](https://github.com/material-components/material-components-ios/commit/7a7293883fd25ead73fa16a594a7dcab324c36b7) (Adrian Secord)

---

# 54.12.0

This release introduces umbrella headers for all themer targets. We encourage you to start using the
new umbrella headers for all themer APIs.

For example, Swift imports would change like so:

```swift
// Before
import MaterialComponents.MDCActivityIndicatorColorThemer
// After
import MaterialComponents.MaterialActivityIndicator_ColorThemer
```

While Objective-C imports would change like so:

```objc
// Before
#import "MDCAppBarColorThemer.h"
// After
#import "MaterialAppBar+ColorThemer.h"
```

We are focused on polishing the Catalog with the new theming systems and updating our component
documentation accordingly. Few new features, if any, will be added over the next few releases.

## API changes

## Component changes

### Tabs

#### Changes

* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### schemes/Color

#### Changes

* [[ActivityIndicator] Add an umbrella header for the ColorThemer target. (#3455)](https://github.com/material-components/material-components-ios/commit/ecc5266537036cfd156dabc8d99a92dfde92dddb) (featherless)
* [[BottomAppBar] Add umbrella headers for all extension targets. (#3459)](https://github.com/material-components/material-components-ios/commit/d6e1110e566d9a4661c0d26e65395b85729a957e) (featherless)
* [[ButtonBar] Add umbrella headers for all extension targets. (#3462)](https://github.com/material-components/material-components-ios/commit/a448657a2360225dd69b9e835955b693da27e879) (featherless)
* [[Buttons] Add umbrella headers for all extension targets. (#3454)](https://github.com/material-components/material-components-ios/commit/d4f727e16f2cfb90f84f94c305935278f629fd4d) (featherless)
* [[Dialogs] Add umbrella headers for all extension targets. (#3465)](https://github.com/material-components/material-components-ios/commit/e3dd4c12cedf1494af6e8d5224b9acde91a18ce1) (featherless)
* [[FeatureHighlight] Add umbrella headers for all extension targets. (#3466)](https://github.com/material-components/material-components-ios/commit/bb9324ecae5a407e71d6efd8a3f46c1e5495e6ff) (featherless)
* [[FlexibleHeader] Add umbrella headers for all extension targets. (#3467)](https://github.com/material-components/material-components-ios/commit/7bbee66f9b4649c0df5c4ae936820494f1ba698d) (featherless)
* [[HeaderStackView] Add umbrella headers for all extension targets. (#3468)](https://github.com/material-components/material-components-ios/commit/ce8efd3e27605057b49aea5515200b55b7576de9) (featherless)
* [[NavigationBar] Add umbrella headers for all extension targets. (#3471)](https://github.com/material-components/material-components-ios/commit/e5679888fe81ccf96ccd51fa4d5fbb7bc6b95187) (featherless)
* [[PageControl] Add umbrella headers for all extension targets. (#3472)](https://github.com/material-components/material-components-ios/commit/f8d8de3fb3c95fb2d459c59d322ce8aec1868f02) (featherless)
* [[ProgressView] Add umbrella headers for all extension targets. (#3473)](https://github.com/material-components/material-components-ios/commit/d36136e361dfefdecdf14e30b5d8cdade5320887) (featherless)
* [[Slider] Add umbrella headers for all extension targets. (#3474)](https://github.com/material-components/material-components-ios/commit/0cc6b487ae2154ea80f7ae35499ddd0d3cfcd102) (featherless)

### FeatureHighlight

#### Changes

* [Add umbrella headers for all extension targets. (#3466)](https://github.com/material-components/material-components-ios/commit/bb9324ecae5a407e71d6efd8a3f46c1e5495e6ff) (featherless)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)

### AppBar

#### Changes

* [Add umbrella headers for all extension targets. (#3458)](https://github.com/material-components/material-components-ios/commit/09c3a65e6ebbab6f37fc15a379d2293e82bf2b07) (featherless)
* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)
* [[FlexibleHeader] Add umbrella headers for all extension targets. (#3467)](https://github.com/material-components/material-components-ios/commit/7bbee66f9b4649c0df5c4ae936820494f1ba698d) (featherless)
* [[NavigationBar] Add umbrella headers for all extension targets. (#3471)](https://github.com/material-components/material-components-ios/commit/e5679888fe81ccf96ccd51fa4d5fbb7bc6b95187) (featherless)

### Ink

#### Changes

* [Add umbrella headers for all extension targets. (#3469)](https://github.com/material-components/material-components-ios/commit/962d9abcc02764acdd34b7118f957e4a95bffa8c) (featherless)

### Buttons

#### Changes

* [Add umbrella headers for all extension targets. (#3454)](https://github.com/material-components/material-components-ios/commit/d4f727e16f2cfb90f84f94c305935278f629fd4d) (featherless)
* [Added ImageTintColor for theming FAB Button. (#3442)](https://github.com/material-components/material-components-ios/commit/238b6d7b067a2f039d7b1b88e8260139dda9fa59) (Mohammad Cazi)
* [Changing ButtonScheme Header to accept protocols instead of actual class. (#3488)](https://github.com/material-components/material-components-ios/commit/61df0f001711add45abe7559cbea7fe6b88803bb) (Mohammad Cazi)
* [Replace MDCRaisedButton with contained button APIs in content edge insets example. (#3453)](https://github.com/material-components/material-components-ios/commit/7c6248ccc0604511b95d724c63900bc3ad653790) (featherless)
* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)
* [[Catalog] Implement API for setting app-wide theming (#3461)](https://github.com/material-components/material-components-ios/commit/27eac8c05c00202dd18fa79ac01d88ad2d37b953) (Yarden Eitan)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### ButtonBar

#### Changes

* [Add umbrella headers for all extension targets. (#3462)](https://github.com/material-components/material-components-ios/commit/a448657a2360225dd69b9e835955b693da27e879) (featherless)
* [Make left/right insets for image and text buttons consistent (#3397)](https://github.com/material-components/material-components-ios/commit/3c112ae350adb70695828ce896fdeff5a6d9a3d9) (Ali Rabbani)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### TextFields

#### Changes

* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### Chips

#### Changes

* [Add umbrella headers for all extension targets. (#3464)](https://github.com/material-components/material-components-ios/commit/819d321eed40e0d27728d98ee030794bc341d888) (featherless)
* [Reset cell selection state to NO on prepare for reuse. (#3444)](https://github.com/material-components/material-components-ios/commit/847ebd5957369726fa226657a45fe408fc24485c) (Mohammad Cazi)
* [Revert "Reset cell selection state to NO on prepare for reuse." (#3447)](https://github.com/material-components/material-components-ios/commit/93e688fbf0f359f5707e2282d47eb8f7d977868f) (Mohammad Cazi)
* [We should not display ink when the chip is disabled. (#3445)](https://github.com/material-components/material-components-ios/commit/4acc0039f0549f866dc8661c1ecdff94de3e278d) (Mohammad Cazi)
* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)
* [[chips] Updating chips color Themer. (#3452)](https://github.com/material-components/material-components-ios/commit/9144699e2dee0d28a8f6b6ff724419aa3e7bd1d2) (Mohammad Cazi)
* [color themer update. (#3448)](https://github.com/material-components/material-components-ios/commit/beac5b37de29ba6e4b545b942167a422c4eb4a0f) (Mohammad Cazi)

### Snackbar

#### Changes

* [Add umbrella headers for all extension targets. (#3475)](https://github.com/material-components/material-components-ios/commit/330d9f608409ea26876d2d8a2880462fca9f17e0) (featherless)
* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)

### Cards

#### Changes

* [Add umbrella headers for all extension targets. (#3463)](https://github.com/material-components/material-components-ios/commit/a132eb2106149bd08c3fd0319e572b604ef99336) (featherless)
* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### BottomAppBar

#### Changes

* [Add umbrella headers for all extension targets. (#3459)](https://github.com/material-components/material-components-ios/commit/d6e1110e566d9a4661c0d26e65395b85729a957e) (featherless)
* [[Buttons] Add umbrella headers for all extension targets. (#3454)](https://github.com/material-components/material-components-ios/commit/d4f727e16f2cfb90f84f94c305935278f629fd4d) (featherless)
* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### Slider

#### Changes

* [Add umbrella headers for all extension targets. (#3474)](https://github.com/material-components/material-components-ios/commit/0cc6b487ae2154ea80f7ae35499ddd0d3cfcd102) (featherless)
* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)

### NavigationBar

#### Changes

* [Add umbrella headers for all extension targets. (#3471)](https://github.com/material-components/material-components-ios/commit/e5679888fe81ccf96ccd51fa4d5fbb7bc6b95187) (featherless)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### ActivityIndicator

#### Changes

* [Add an umbrella header for the ColorThemer target. (#3455)](https://github.com/material-components/material-components-ios/commit/ecc5266537036cfd156dabc8d99a92dfde92dddb) (featherless)
* [Replace collection view with table view in indicator example (#3451)](https://github.com/material-components/material-components-ios/commit/2cc61dfb14d36d950079242d86af4090920d1842) (John Detloff)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)
* [remove line (#3479)](https://github.com/material-components/material-components-ios/commit/05994dfd7c00b5d807a1fa3a0e12e776dac69918) (Yarden Eitan)

### BottomSheet

#### Changes

* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)

### Dialogs

#### Changes

* [Add umbrella headers for all extension targets. (#3465)](https://github.com/material-components/material-components-ios/commit/e3dd4c12cedf1494af6e8d5224b9acde91a18ce1) (featherless)
* [Remove unused DialogsTypicalUseViewController.storyboard. (#3496)](https://github.com/material-components/material-components-ios/commit/1da207b483ddb8d79f086af7c84b651317bf620e) (featherless)
* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### BottomNavigation

#### Changes

* [Add umbrella headers for all extension targets. (#3460)](https://github.com/material-components/material-components-ios/commit/683d2f5e748d2acb1a80afc82bad60eadff512a7) (featherless)
* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)
* [[Catalog] Expose colorScheme + typographyScheme properties for all examples to use app wide theming (#3478)](https://github.com/material-components/material-components-ios/commit/7f7bc36202cb416eeb1e924ecde9430e3b467c1b) (Yarden Eitan)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### PageControl

#### Changes

* [Add umbrella headers for all extension targets. (#3472)](https://github.com/material-components/material-components-ios/commit/f8d8de3fb3c95fb2d459c59d322ce8aec1868f02) (featherless)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### AnimationTiming

#### Changes

* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### HeaderStackView

#### Changes

* [Add umbrella headers for all extension targets. (#3468)](https://github.com/material-components/material-components-ios/commit/ce8efd3e27605057b49aea5515200b55b7576de9) (featherless)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### FlexibleHeader

#### Changes

* [Add umbrella headers for all extension targets. (#3467)](https://github.com/material-components/material-components-ios/commit/7bbee66f9b4649c0df5c4ae936820494f1ba698d) (featherless)
* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### ShadowElevations

#### Changes

* [[Catalog] Make all swift copycat demos be dragons. (#3443)](https://github.com/material-components/material-components-ios/commit/23110ef1166f56b90f0410bd0d2de2e572261ee6) (featherless)

### ProgressView

#### Changes

* [Add umbrella headers for all extension targets. (#3473)](https://github.com/material-components/material-components-ios/commit/d36136e361dfefdecdf14e30b5d8cdade5320887) (featherless)
* [[Catalog] Component descriptions update. (#3490)](https://github.com/material-components/material-components-ios/commit/5ee14ab92ec45335f851e4c7d30f4b992ab786b1) (Mohammad Cazi)

---

# 54.11.1

## Component changes

### ButtonBar

#### Changes

* [Make left/right insets for image and text buttons consistent (#3397)](https://github.com/material-components/material-components-ios/commit/a9c250aa08035f74e0e49af86b4d28f0356c03fe) (Ali Rabbani)

---

# 54.11.0

This release is the final push towards supporting themers on our components.

We will now shift focus to polishing APIs, documentation, and examples and to fixing bugs.

## New features

It is now possible to configure colors on BottomNavigation, ButtonBar, NavigationBar, and Tabs
statefully.

TextFields now allows customization of the active floating placeholder color.

MDCTabBar now allows the display of a bottom divider using the `bottomDividerColor` API.

## API changes

### BottomNavigation

#### MDCBottomNavigationBar

*new* property: `selectedItemTitleColor` in `MDCBottomNavigationBar`

### ButtonBar

#### MDCButtonBar

*new* method: `-buttonsTitleColorForState:` in `MDCButtonBar`

*new* method: `-setButtonsTitleColor:forState:` in `MDCButtonBar`

### Buttons

#### MDCButton

*new* method: `-imageTintColorForState:` in `MDCButton`

*new* method: `-setImageTintColor:forState:` in `MDCButton`

### NavigationBar

#### MDCNavigationBar

*new* method: `-setButtonsTitleColor:forState:` in `MDCNavigationBar`

*new* method: `-buttonsTitleColorForState:` in `MDCNavigationBar`

### Tabs

#### MDCTabBarItemState

*new* typedef: `MDCTabBarItemState`

*new* enum value: `MDCTabBarItemStateSelected` in `MDCTabBarItemState`

*new* enum: `MDCTabBarItemState`

*new* enum value: `MDCTabBarItemStateNormal` in `MDCTabBarItemState`

#### MDCTabBar

*new* method: `-imageTintColorForState:` in `MDCTabBar`

*new* method: `-titleColorForState:` in `MDCTabBar`

*new* method: `-setImageTintColor:forState:` in `MDCTabBar`

*new* property: `bottomDividerColor` in `MDCTabBar`

*new* method: `-setTitleColor:forState:` in `MDCTabBar`

### TextFields

#### MDCTextInputControllerFloatingPlaceholder

*new* property: `floatingPlaceholderActiveColorDefault` in `MDCTextInputControllerFloatingPlaceholder`

*new* property: `floatingPlaceholderActiveColor` in `MDCTextInputControllerFloatingPlaceholder`

## Component changes

### Tabs

#### Changes

* [Fix MDCTabBarColorThemerTests (#3428)](https://github.com/material-components/material-components-ios/commit/b3e9d45d73b57a1b0381576dc00afe7913b08301) (John Detloff)
* [Fix build breakage (#3425)](https://github.com/material-components/material-components-ios/commit/178a1595819dea623d0b65660bb2f33b00ea1f9e) (John Detloff)
* [[TabBar] Add a 1 pt bottom divider to MDCTabBar (#3390)](https://github.com/material-components/material-components-ios/commit/0922329df1c5895cf068d85285337ce777b5b751) (John Detloff)
* [[TabBars] Add titleColorForState and imageTintColorForState (#3396)](https://github.com/material-components/material-components-ios/commit/f082d88099c62a280544e564bd0738d77c2f9386) (John Detloff)

### AppBar

#### Changes

* [[NavigationBar] Fix the surface variation themer's text/icon colors to match spec. (#3416)](https://github.com/material-components/material-components-ios/commit/bd05a69c88f9e647ccfbc503ef4841ba383eb7db) (featherless)

### Buttons

#### Changes

* [ [Button] Contained: Changed colors for ink and disabled (#3419)](https://github.com/material-components/material-components-ios/commit/3d1a7c2791de6d87589c601624f50639ae1c6872) (Randall Li)
* [Create a separate class for MDCFloatingButton color themer. (#3429)](https://github.com/material-components/material-components-ios/commit/82d19ae5d0645387fc5f789ef4906449e8f4c704) (Mohammad Cazi)
* [[Button] Button Themers calling direct color themers. (#3434)](https://github.com/material-components/material-components-ios/commit/807373e0101c18cabab47ddb561bc6b5a1885156) (Randall Li)
* [[Button] Contained color image themer using tint APIs. (#3439)](https://github.com/material-components/material-components-ios/commit/fb16a6d0e46c57e0f3c17c9abc820e2ba33528f3) (Randall Li)
* [[Button] Fixed catalog description of typical use example (#3435)](https://github.com/material-components/material-components-ios/commit/827552a84049420637a5355df2d9fc987511b614) (Randall Li)
* [[Button] Text button color image themer using tint APIs. (#3440)](https://github.com/material-components/material-components-ios/commit/b2c8738975090ae9d73fdd8829c85ffdc1f00eb3) (Randall Li)
* [[MDCButton] Added new API for coloring image tint color for state. (#3423)](https://github.com/material-components/material-components-ios/commit/ece3c1457b38bcb98f1a9bb9b20d123ffd35e324) (Mohammad Cazi)
* [update disabled alpha (#3420)](https://github.com/material-components/material-components-ios/commit/e094209c2983dfe2159a1f5ff70cc67ca20714b1) (Yarden Eitan)

### ButtonBar

#### Changes

* [Add a stateful buttons title color API. (#3414)](https://github.com/material-components/material-components-ios/commit/5a372de8fc94f743bbec58da0706757bbfb3576a) (featherless)
* [Fix layout behavior when using custom button title font. (#3410)](https://github.com/material-components/material-components-ios/commit/a400ff0b30baeaf273b229f85e78c824c185d76c) (featherless)

### TextFields

#### Changes

* [Adding a floating placeholder active color override. (#3433)](https://github.com/material-components/material-components-ios/commit/b49156ad4d74b2623eb9c170bb209b75a25ba572) (Will Larche)
* [Unit tests for more classes of controller (#3436)](https://github.com/material-components/material-components-ios/commit/128bd79416f4e43915166c286c2cd8b7a164d35d) (Will Larche)
* [[Textfields] Added Filled and Outlined themers (#3438)](https://github.com/material-components/material-components-ios/commit/8717640dbd20fcf56deebc4f7375d0eff834c57a) (Yarden Eitan)

### Snackbar

#### Changes

* [Disable flaky test -[SnackbarManagerTests testMessagesResumedWhenTokenIsDeallocated] (#3426)](https://github.com/material-components/material-components-ios/commit/aa30cd064c5bb1d0520e0db6a8642c865580546e) (Ben Hamilton (Ben Gertzfield))

### NavigationBar

#### Changes

* [Add a stateful buttons title color API. (#3415)](https://github.com/material-components/material-components-ios/commit/8d3f54246ef89055c7d614c9f54130584be3c833) (featherless)
* [Fix the surface variation themer's text/icon colors to match spec. (#3416)](https://github.com/material-components/material-components-ios/commit/bd05a69c88f9e647ccfbc503ef4841ba383eb7db) (featherless)

### BottomNavigation

#### Changes

* [Add separate property for selected title color (#3430)](https://github.com/material-components/material-components-ios/commit/d2db639402e99a6f11487ca035aad5addbf1b900) (John Detloff)

---

# 54.10.0

This release continues to increase coverage of themers across our components.

## New features

ButtonBar now has a Typography themer.

NavigationBar now has APIs for customizing title button fonts.

## API changes

### NavigationBar

#### MDCNavigationBar

*new* method: `-setButtonsTitleFont:forState:` in `MDCNavigationBar`

*new* method: `-buttonsTitleFontForState:` in `MDCNavigationBar`

## Component changes

### Buttons

#### Changes

* [[Button] Changed text button disabled to do 37% opacity, Ink to use onSurface 16% (#3406)](https://github.com/material-components/material-components-ios/commit/1fa5bdf0b30f6c3741c22585a895ec9803b4b1e9) (Randall Li)

### ButtonBar

#### Changes

* [Add a Typography Themer. (#3395)](https://github.com/material-components/material-components-ios/commit/289223a5bb3ecafc1b3c733b404a80cfd7546ee5) (featherless)

### Chips

#### Changes

* [Update README.md](https://github.com/material-components/material-components-ios/commit/bf5c69504571d721fe8ce6cd13719d8ad4e404ea) (Mohammad Cazi)
* [Updating Readme documentation for chips. (#3405)](https://github.com/material-components/material-components-ios/commit/0414aa15f6d0f9d1c40c5b21713d1761b061f816) (Mohammad Cazi)
* [Updating Readme documentation for chips.](https://github.com/material-components/material-components-ios/commit/425f177ffb3581ff20e574777bce8c18e1a074d8) (Mohammad Cazi)

### NavigationBar

#### Changes

* [Add an API for customizing button fonts. (#3412)](https://github.com/material-components/material-components-ios/commit/610d1ab58a44d204b7576bb654a2c6a99a7a0742) (featherless)

---

# 54.9.0

This release continues to improve the support for our themer APIs across all components.

## New features

Button Bar now allows button typography to be configured.

Floating buttons and contained buttons now have themers.

AppBar and Tabs now have a surface variant color themer API.

Slider now has a color themer.

## API changes

### ButtonBar

#### MDCButtonBar

*new* method: `-setButtonsTitleFont:forState:` in `MDCButtonBar`

*new* method: `-buttonsTitleFontForState:` in `MDCButtonBar`

## Component changes

### Tabs

#### Changes

* [Add a surface variant color themer API. (#3388)](https://github.com/material-components/material-components-ios/commit/61cf85c9c2afe0dcaf63555f211dd10469104434) (featherless)

### AppBar

#### Changes

* [Add surface variant color themer API. (#3383)](https://github.com/material-components/material-components-ios/commit/90ec60ed8480adb589792db670d4872350d9514e) (featherless)

### Ink

#### Changes

* [Increase range of accuracy in test to +/-.1. (#3392)](https://github.com/material-components/material-components-ios/commit/b1c3a030eb4603ebc18eba82ee60284a0e9c4dbc) (Randall Li)

### Buttons

#### Changes

* [Created contained button themer. (#3391)](https://github.com/material-components/material-components-ios/commit/c39386679f8ee805c50b23bb571662248ceee36f) (Randall Li)
* [[Button] Renamed color themer styles to text and contained (#3384)](https://github.com/material-components/material-components-ios/commit/aa0fc7c6224b0a02d43abc19dd9a0f74039b7249) (Randall Li)
* [[Button] Split files into more appropriate names: TextButtonThemer and ButtonScheme. (#3385)](https://github.com/material-components/material-components-ios/commit/d2e2fd88e1e17d6ec71c14ada98e68a585a494a5) (Randall Li)
* [[MDCFloatingButton] Color Themer added. (#3381)](https://github.com/material-components/material-components-ios/commit/c818048a1c97b53b6b622bb315af7864026e3cea) (Mohammad Cazi)

### ButtonBar

#### Changes

* [Expose APIs for setting custom button fonts. (#3389)](https://github.com/material-components/material-components-ios/commit/e11d24a110fa490aaf016f5964edc1575638eb67) (featherless)

### Chips

#### Changes

* [Adding Examples/Documentation for all chips types. (#3393)](https://github.com/material-components/material-components-ios/commit/dd0c0123c658a88ffaa4e9d8c86191b747c38260) (Mohammad Cazi)

### Slider

#### Changes

* [Update color themer (#3375)](https://github.com/material-components/material-components-ios/commit/3c139cc00d5acc5ca12ffa5c779c63f7533c8c37) (John Detloff)

### ShadowLayer

#### Changes

* [[Shapes] Example using Shapes and Shadows with animation (#3394)](https://github.com/material-components/material-components-ios/commit/d1767c0086af1d4b7dfc55305f05c964137210bb) (Yarden Eitan)

---

# 54.8.0

This new release introduces shapes support to buttons and a variety of new themer APIs for many
components.

## New features

Buttons can now be styled with different shape outlines. Example usage:

```objc
MDCRectangleShapeGenerator *raisedShapeGenerator =
    [[MDCRectangleShapeGenerator alloc] init];
[raisedShapeGenerator setCorners:[[MDCCutCornerTreatment alloc] initWithCut:8.f]];
button.shapeGenerator = raisedShapeGenerator;
```

There is a new Text Button API for theming an MDCButton to make complete use of typography, color,
and other configurable properties of a button's design. A button themed as a text button is closely
equivalent to the `MDCFlatButton` class, `MDCFlatButton` will soon be deprecated as a result in
favor of the following pattern:

```swift
// Define your button's scheme somewhere centrally in your app.
let buttonScheme = MDCButtonScheme()
buttonScheme.colorScheme = myAppColorScheme

// Apply the button scheme to an MDCButton to give it the appearance of a text button.
// button: MDCButton
MDCTextButtonThemer.applyScheme(buttonScheme, to: button)
```

NavigationBar and FlexibleHeader now both have a surface variant themer.

Chips and Tabs have updated color themers.

## API changes

### Buttons

#### MDCButton

*new* property: `shapeGenerator` in `MDCButton`

## Component changes

### Tabs

#### Changes

* [Fix crasher within tab example (#3370)](https://github.com/material-components/material-components-ios/commit/4bede1313cdbcfdb0ce57d815504080a9837fb9d) (John Detloff)
* [Update MDCTabBar color themer (#3361)](https://github.com/material-components/material-components-ios/commit/7799a15025ca4be0eb9dd0e7cbac1c3acb7c7db6) (John Detloff)

### Buttons

#### Changes

* [Added Shapes Support (#3368)](https://github.com/material-components/material-components-ios/commit/67a68d3d3c05c95cac107d36c0e3e56d618f2db5) (Yarden Eitan)
* [[Button] Color themer: Changed class of argument to be MDCButton rather than be a subclass. (#3382)](https://github.com/material-components/material-components-ios/commit/ac89ec985da7fce5f344f2417aa85e550ae00a99) (Randall Li)
* [[Button] Created button themer that aggregates multiple subsystems to style buttons. (#3362)](https://github.com/material-components/material-components-ios/commit/25c0a953647e8749cf050bde3c4a74fe011ec910) (Randall Li)

### Chips

#### Changes

* [color themer implementation. (#3372)](https://github.com/material-components/material-components-ios/commit/8336003a11b24c1df4de8f56ec7377eb5cdf8dea) (Mohammad Cazi)

### NavigationBar

#### Changes

* [Add surface variant theme. (#3376)](https://github.com/material-components/material-components-ios/commit/6b2de0f3a36213231bfa063ec1c2befa807fc73a) (featherless)

### FlexibleHeader

#### Changes

* [Add a surface variant color themer API. (#3380)](https://github.com/material-components/material-components-ios/commit/c2ab8fa9c4be04d4a89332d02435534e54499c7d) (featherless)

---

# 54.7.0

This release introduces a new API for compositing colors for use by color themers.

## API diff

### schemes/Color

*new* method: `MDCSemanticColorScheme` `+blendColor:withBackgroundColor:`

## Component changes

### schemes/Color

#### Changes

* [Adding a helper to merge two colors with different opacities. (#3355)](https://github.com/material-components/material-components-ios/commit/900384cd75c6cd49ef6c9ad02e04e60fb868cfe6) (Mohammad Cazi)

### ButtonBar

#### Changes

* [[NavigationBar]Restore the changed default inkColor](https://github.com/material-components/material-components-ios/commit/65091d5e36c5ccfa4ff624bd8c0be3605020e6b9) (Ali Rabbani)

### Cards

#### Changes

* [organize cards examples (#3369)](https://github.com/material-components/material-components-ios/commit/755dcb052372497c0c2e9e525ed6058ff4f7119e) (Yarden Eitan)

---

# 54.6.1

This is a hotfix release fixing a bug in ButtonBar that was introduced in 54.6.0.

## Component changes

### ButtonBar

#### Changes

* [[NavigationBar]Restore the changed default inkColor](https://github.com/material-components/material-components-ios/commit/367048d4b2f40eb84f0c3161c218db69798461d5) (Ali Rabbani)

---

# 54.6.0

This release introduces new APIs and themers for customizing typography and color. This release
also fixes a bug in NavigationBar affecting title label kerning for system fonts. This may result
in visual changes for navigation bar instances.

## New features

AppBar now has a Typography themer.

Buttons now has a raised button color themer.

BottomSheets background tap-to-dismiss behavior can now be disabled with `dismissOnBackgroundTap`.

ButtonBar and NavigationBar's ink color can now be customized.

Cars now has a Color themer.

NavigationBar has a new opt-in behavioral change gated by the `useFlexibleTopBottomInsets` property.
Enabling this property will result in new layout behavior for the navigation bar's titleView. This
flag will be enabled by default in the future. Consider enabling this flag on your navigation bar
instances in order to verify that the new behavior will not cause regressions in your app.

TextFields now expose a backgroundColor property.

## API changes

### BottomSheet

#### MDCBottomSheetPresentationController

*new* property: `dismissOnBackgroundTap` in `MDCBottomSheetPresentationController`

#### MDCBottomSheetTransitionController

*new* property: `dismissOnBackgroundTap` in `MDCBottomSheetTransitionController`

#### MDCBottomSheetController

*new* property: `dismissOnBackgroundTap` in `MDCBottomSheetController`

### ButtonBar

#### MDCButtonBar

*new* property: `inkColor` in `MDCButtonBar`

### NavigationBar

#### MDCNavigationBar

*new* property: `inkColor` in `MDCNavigationBar`

*new* property: `useFlexibleTopBottomInsets` in `MDCNavigationBar`

### TextFields

#### MDCTextInputControllerBase

*new* property: `backgroundColor` in `MDCTextInputControllerBase`

#### MDCTextInputController

*new* property: `backgroundColorDefault` in `MDCTextInputController`

*new* property: `backgroundColor` in `MDCTextInputController`

## Component changes

### AppBar

#### Changes

* [Add a Typography themer. (#3359)](https://github.com/material-components/material-components-ios/commit/ab8c104262f471cde821a7af83367a130c10843c) (featherless)
* [[ButtonBar] Allow customizing the inkColor of the buttons (#3250)](https://github.com/material-components/material-components-ios/commit/8af9e9fc8180fbcbc72250f963d2074772aedfcd) (Ali Rabbani)
* [[NavigationBar] Allow flexible height/insets in MDCNavigationBar (#3305)](https://github.com/material-components/material-components-ios/commit/992d58148194d43aed366562da6f12a889767bf2) (Ali Rabbani)

### Buttons

#### Changes

* [Implement a color themer for an MDCRaisedButton (#3335)](https://github.com/material-components/material-components-ios/commit/2869609c2eb48826fa2c4de773746779c53224c9) (Yarden Eitan)
* [[Button Examples] Moved most examples into dragons so that only beautiful demos are in the main catalog. (#3358)](https://github.com/material-components/material-components-ios/commit/53dddde6cf3205e5ec871df503271627207b52f7) (Randall Li)

### ButtonBar

#### Changes

* [Allow customizing the inkColor of the buttons (#3250)](https://github.com/material-components/material-components-ios/commit/8af9e9fc8180fbcbc72250f963d2074772aedfcd) (Ali Rabbani)
* [[NavigationBar] Allow flexible height/insets in MDCNavigationBar (#3305)](https://github.com/material-components/material-components-ios/commit/992d58148194d43aed366562da6f12a889767bf2) (Ali Rabbani)

### TextFields

#### Changes

* [Add backgroundColor property (#3357)](https://github.com/material-components/material-components-ios/commit/abeb391ebaec1438738fc6a8f7d308e87f6412ba) (ianegordon)
* [Adding the expected opacities to color themer. (#3347)](https://github.com/material-components/material-components-ios/commit/3c22a8d18b2fbe3ebb1efa839725a424063fb8d1) (Mohammad Cazi)

### Cards

#### Changes

* [Implement a semantic color scheme color themer API. (#3289)](https://github.com/material-components/material-components-ios/commit/bd8760b94b47bdc50d7e62d86111dac8b4a6010f) (Yarden Eitan)

### NavigationBar

#### Changes

* [Allow flexible height/insets in MDCNavigationBar (#3305)](https://github.com/material-components/material-components-ios/commit/992d58148194d43aed366562da6f12a889767bf2) (Ali Rabbani)
* [Fix bug where system font traits would be lost. (#3360)](https://github.com/material-components/material-components-ios/commit/d259ebed7d0fff6ffacbc74fed8c751bce28b035) (featherless)
* [[ButtonBar] Allow customizing the inkColor of the buttons (#3250)](https://github.com/material-components/material-components-ios/commit/8af9e9fc8180fbcbc72250f963d2074772aedfcd) (Ali Rabbani)

### ActivityIndicator

#### Changes

* [[bazel] Fix BUILD file paths to match file system casing (#3363)](https://github.com/material-components/material-components-ios/commit/1832b072b405577d348968af8e60bce442df35b9) (featherless)

### BottomSheet

#### Changes

* [Adds a setting to make sheets impossible to dismiss. (#3325)](https://github.com/material-components/material-components-ios/commit/a1c66214558904284e6d3d6ed533c64202c29933) (John Detloff)

### BottomNavigation

#### Changes

* [[bazel] Fix BUILD file paths to match file system casing (#3363)](https://github.com/material-components/material-components-ios/commit/1832b072b405577d348968af8e60bce442df35b9) (featherless)

---

# 54.5.0

This release includes bug fixes and increased coverage of our themer APIs for components.

## New features

Slider now exposes a variety of properties for customizing color, including new stateful color APIs.
To make use of the new stateful APIs, you must enable `statefulAPIEnabled` on the MDCSlider
instance.

BottomNavigationBar and Dialogs now both have a semantic color themer.

## API changes

### Slider

#### MDCSlider

*new* method: `-setBackgroundTrackTickColor:forState:` in `MDCSlider`

*new* property: `valueLabelTextColor` in `MDCSlider`

*new* method: `-trackFillColorForState:` in `MDCSlider`

*new* method: `-backgroundTrackTickColorForState:` in `MDCSlider`

*new* method: `-setThumbColor:forState:` in `MDCSlider`

*new* method: `-trackBackgroundColorForState:` in `MDCSlider`

*new* method: `-setFilledTrackTickColor:forState:` in `MDCSlider`

*new* method: `-filledTrackTickColorForState:` in `MDCSlider`

*new* method: `-thumbColorForState:` in `MDCSlider`

*new* method: `-setTrackBackgroundColor:forState:` in `MDCSlider`

*new* property: `inkColor` in `MDCSlider`

*new* property: `statefulAPIEnabled` in `MDCSlider`

*new* property: `valueLabelBackgroundColor` in `MDCSlider`

*new* method: `-setTrackFillColor:forState:` in `MDCSlider`

## Component changes

### ButtonBar

#### Changes

* [Fix insets for the trailing button bar (#3324)](https://github.com/material-components/material-components-ios/commit/9947b8fa2bc901979822cf9aef12ee6d5b4bde16) (Ali Rabbani)

### TextFields

#### Changes

* [Placeholder background color (#3333)](https://github.com/material-components/material-components-ios/commit/7b262bb952dcd3696c616eb1d2d4d1594ed72a01) (Will Larche)
* [[Chips] Ensure MDCChipField notifies delegate when clear button is tapped (#3341)](https://github.com/material-components/material-components-ios/commit/9d4c218a0a0d2693b6fed4839eb050b3132a276e) (Ben Hamilton (Ben Gertzfield))

### Chips

#### Changes

* [Ensure MDCChipField notifies delegate when clear button is tapped (#3341)](https://github.com/material-components/material-components-ios/commit/9d4c218a0a0d2693b6fed4839eb050b3132a276e) (Ben Hamilton (Ben Gertzfield))

### Slider

#### Changes

* [Add inkColor, thumbColorForState:, trackFillColorForState: (#3310)](https://github.com/material-components/material-components-ios/commit/b7d2999215e4a3cce690ca24866eef92ed69ece7) (Robert Moore)
* [Add text, background color to value label (#3330)](https://github.com/material-components/material-components-ios/commit/54d7fdf8da7beea1cc7548eb6aa59b4a781aed60) (Robert Moore)
* [Add tick color API (#3344)](https://github.com/material-components/material-components-ios/commit/3cbd58837bca64f95fbaf7f543411d580be813c6) (Robert Moore)

### ActivityIndicator

#### Changes

* [MDCActivityIndicator shouldnt register as accessibility element when hidden (#3331)](https://github.com/material-components/material-components-ios/commit/d70fce4cf53f6723f3ced505a6c93965a94582c4) (John Detloff)

### Dialogs

#### Changes

* [Implement a semantic color themer. (#3313)](https://github.com/material-components/material-components-ios/commit/4f1c9fa382d41b2677ba80ed649ccc931732b475) (featherless)

### BottomNavigation

#### Changes

* [Update BottomNavigationBar color themer (#3316)](https://github.com/material-components/material-components-ios/commit/f31cd3010dd3568e22b41bc637ef8c7a3df59119) (John Detloff)

---

# 54.4.0

## New features

Buttons now has a Typography themer.

MDCFlatButton now has a color themer API.

## API changes

## Component changes

### Buttons

#### Changes

* [Implement a color themer for an MDCFlatButton (#3308)](https://github.com/material-components/material-components-ios/commit/482bd56d46cb51e1e01e1b4359850d04a0b04a13) (Yarden Eitan)
* [Implement a typography themer. (#3318)](https://github.com/material-components/material-components-ios/commit/2146d297b11a0c6353976f0fb63f055fcd92047a) (Yarden Eitan)

---

# 54.3.0

This release continues to expand our support for component Color and Typography theming.

## New features

Buttons and Snackbar now have a Color themer.

BottomNavigationBar, Chips, NavigationBar, TextFields each now have a Typography themer.

## Component changes

### Buttons

#### Changes

* [Implement a semantic color scheme color themer API. (#3306)](https://github.com/material-components/material-components-ios/commit/99fd914646bfa611d3ddb2845cb7b0b5d6bc3fae) (Yarden Eitan)

### TextFields

#### Changes

* [Typography Themer implementation. (#3303)](https://github.com/material-components/material-components-ios/commit/0efdeb2a3f0d23a3521a35c748893c11d0458e7a) (Mohammad Cazi)

### Chips

#### Changes

* [Chips typography implementation. (#3312)](https://github.com/material-components/material-components-ios/commit/81351551f633ae819f241830460e38c08eea637e) (Mohammad Cazi)

### Snackbar

#### Changes

* [Implement a semantic color scheme color themer API. (#3287)](https://github.com/material-components/material-components-ios/commit/66f9b8702a25e1486620561bedeffe3489459a9b) (Yarden Eitan)

### NavigationBar

#### Changes

* [typography implementation. (#3304)](https://github.com/material-components/material-components-ios/commit/8e83dcf3436accaf5367505f8e383bc152886b99) (Mohammad Cazi)

### BottomNavigation

#### Changes

* [BottomNavigationBar Typography Implementation, (#3311)](https://github.com/material-components/material-components-ios/commit/fe10c83c5d8c95c6d5417b36a7ba62aed46ca342) (Mohammad Cazi)

### FlexibleHeader

#### Changes

* [Fix Flexible Header Configurator catalog example (#3254)](https://github.com/material-components/material-components-ios/commit/0797becc18f005263dfe72eb75e63246948c11e6) (John Detloff)

---

# 54.2.0

## New features

Dialogs, FeatureHighlight, and TabBar now each have a Typography themer.

ActivityIndicator and AppBar now have an updated Color themer.

## API changes

### FeatureHighlight

#### MDCFeatureHighlightViewController

*new* property: `titleFont` in `MDCFeatureHighlightViewController`

*new* property: `bodyFont` in `MDCFeatureHighlightViewController`

### TextFields

#### MDCTextInputController

*new* property: `textInputFont` in `MDCTextInputController`

*new* property: `textInputFontDefault` in `MDCTextInputController`

## Component changes

### Tabs

#### Changes

* [Implementing TabBar Typography Themer. (#3278)](https://github.com/material-components/material-components-ios/commit/207e59d1b190fbae69a72bea6c4cb2321eb3fa5c) (Mohammad Cazi)

### FeatureHighlight

#### Changes

* [Implementation of Typography Themer. (#3268)](https://github.com/material-components/material-components-ios/commit/8563ec05c77973f76c28c694ea3cceb16c2a0c67) (Mohammad Cazi)
* [exposing title and body font for FeatureHighlightViewController. (#3274)](https://github.com/material-components/material-components-ios/commit/2962b79503a27cc36319983ef237f399b2c7fdca) (Mohammad Cazi)

### AppBar

#### Changes

* [Implement semantic color themer. (#3283)](https://github.com/material-components/material-components-ios/commit/0ad1f5dfb29cb6ff63b47085c7d33ece0610a0c7) (featherless)

### TextFields

#### Changes

* [expose input text font property on controller. (#3272)](https://github.com/material-components/material-components-ios/commit/a15a0a7e3a7535a172570282ea1d3be058db1229) (Mohammad Cazi)

### Slider

#### Changes

* [Fix green Slider example color (#3292)](https://github.com/material-components/material-components-ios/commit/2b37db4c90118bd8a654cd5732e148ee17f8a493) (Robert Moore)

### NavigationBar

#### Changes

* [Forcing Font size now does save the right FontName for every case. (#3299)](https://github.com/material-components/material-components-ios/commit/bc3b4e871bd34f137c61112db7eeeff5afd452a7) (Mohammad Cazi)

### ActivityIndicator

#### Changes

* [Update Activity Indicator accessibility label and value (#3261)](https://github.com/material-components/material-components-ios/commit/7b38f3fa2d8e39c5c7e915ffb49fd438cf45fd87) (John Detloff)
* [Update ActivityIndicator Color Themer (#3259)](https://github.com/material-components/material-components-ios/commit/eb3167032ff65c854dd5a8a8e3fe637aadda4f81) (John Detloff)

### Dialogs

#### Changes

* [Implement MDCAlertController typography themer. (#3302)](https://github.com/material-components/material-components-ios/commit/7716981f1fd630e8ee5bb2132d6703ed23d393f4) (Mohammad Cazi)

---

# 54.1.0

## New features

Snackbar now has a Typography themer.

NavigationBar now exposes a Color themer API that makes use of the `MDCColorScheming` type.

## Component changes

### FeatureHighlight

#### Changes

* [cleaning up dynamic type support for feature highlight by defining the default. (#3269)](https://github.com/material-components/material-components-ios/commit/98740fac547f863d5ed80b9ca56cceb650f6f8ab) (Mohammad Cazi)

### Ink

#### Changes

* [Fix flaky test (#3290)](https://github.com/material-components/material-components-ios/commit/b5e2935b53ed4315dfafaedc24770b433f5b050f) (Yarden Eitan)

### Snackbar

#### Changes

* [Implement a typography themer. (#3288)](https://github.com/material-components/material-components-ios/commit/0efc202c35b6c3facbb4f70a25513cfeb21d5dc5) (Yarden Eitan)

### NavigationBar

#### Changes

* [Implement a semantic color scheme color themer API. (#3267)](https://github.com/material-components/material-components-ios/commit/38595c65092358375f9423ed9cf181a760f8a4f1) (featherless)

### Dialogs

#### Changes

* [Loading the view manually caused view did load not to be called.  (#3281)](https://github.com/material-components/material-components-ios/commit/de1119c21e1b7f471b82cd98bdaee471a51fb351) (Mohammad Cazi)

---

# 54.0.1

Added missing CocoaPods dependencies from v54.0.0.

---

# 54.0.0

## Breaking changes

`MDCMaskedTransition` has been removed and replaced with `MDCMaskedTransitionController`. You may
now use `MDCMaskedTransitionController` as a standard UIKit transitioning delegate.

## New features

Many components now expose new public APIs for configuring typography, color, and shapes.

## API changes

### Cards

#### MDCCardCollectionCell

*new* property: `shapeGenerator` in `MDCCardCollectionCell`

#### MDCCard

*new* property: `shapeGenerator` in `MDCCard`

### Dialogs

#### MDCAlertController

*new* property: `titleColor` in `MDCAlertController`

*new* property: `titleFont` in `MDCAlertController`

*new* property: `messageFont` in `MDCAlertController`

*new* property: `buttonTitleColor` in `MDCAlertController`

*new* property: `buttonFont` in `MDCAlertController`

*new* property: `messageColor` in `MDCAlertController`

### MaskedTransition

#### MDCMaskedTransition

*removed* class: `MDCMaskedTransition`

*removed* method: `-init` in `MDCMaskedTransition`

*removed* method: `-initWithSourceView:` in `MDCMaskedTransition`

*removed* property: `calculateFrameOfPresentedView` in `MDCMaskedTransition`

#### MDCMaskedTransitionController

*new* property: `sourceView` in `MDCMaskedTransitionController`

*new* method: `-initWithSourceView:` in `MDCMaskedTransitionController`

*new* method: `-init` in `MDCMaskedTransitionController`

*new* property: `calculateFrameOfPresentedView` in `MDCMaskedTransitionController`

*new* class: `MDCMaskedTransitionController`

### NavigationBar

#### MDCNavigationBar

*new* property: `titleFont` in `MDCNavigationBar`

*new* property: `titleTextColor` in `MDCNavigationBar`

### Snackbar

#### MDCSnackbarManager

*new* class method: `+buttonTitleColorForState:` in `MDCSnackbarManager`

*new* property: `mdc_adjustsFontForContentSizeCategory` in `MDCSnackbarManager`

*new* property: `snackbarMessageViewBackgroundColor` in `MDCSnackbarManager`

*new* property: `shouldApplyStyleChangesToVisibleSnackbars` in `MDCSnackbarManager`

*new* property: `buttonFont` in `MDCSnackbarManager`

*new* class method: `+setButtonTitleColor:forState:` in `MDCSnackbarManager`

*new* property: `snackbarMessageViewShadowColor` in `MDCSnackbarManager`

*new* property: `messageTextColor` in `MDCSnackbarManager`

*new* property: `messageFont` in `MDCSnackbarManager`

*modified* class method: `+setPresentationHostView:` in `MDCSnackbarManager`

| Type of change: | Declaration |
|---|---|
| From: | `+ (void)setPresentationHostView:(UIView *)hostView;` |
| To: | `+ (void)setPresentationHostView:(nullable UIView *)hostView;` |

*modified* class method: `+dismissAndCallCompletionBlocksWithCategory:` in `MDCSnackbarManager`

| Type of change: | Declaration |
|---|---|
| From: | `+ (void)dismissAndCallCompletionBlocksWithCategory:(NSString *)category;` |
| To: | `+ (void)dismissAndCallCompletionBlocksWithCategory:     (nullable NSString *)category;` |

*modified* class method: `+suspendMessagesWithCategory:` in `MDCSnackbarManager`

| Type of change: | Swift declaration |
|---|---|
| From: | `class func suspendMessages(withCategory category: Any!) -> MDCSnackbarSuspensionToken!` |
| To: | `class func suspendMessages(withCategory category: Any!) -> MDCSnackbarSuspensionToken?` |

*modified* class method: `+suspendMessagesWithCategory:` in `MDCSnackbarManager`

| Type of change: | Declaration |
|---|---|
| From: | `+ (id<MDCSnackbarSuspensionToken>)suspendMessagesWithCategory:     (NSString *)category;` |
| To: | `+ (nullable id<MDCSnackbarSuspensionToken>)suspendMessagesWithCategory:     (nullable NSString *)category;` |

*modified* class method: `+showMessage:` in `MDCSnackbarManager`

| Type of change: | Swift declaration |
|---|---|
| From: | `class func show(_ message: MDCSnackbarMessage!)` |
| To: | `class func show(_ message: MDCSnackbarMessage?)` |

*modified* class method: `+showMessage:` in `MDCSnackbarManager`

| Type of change: | Declaration |
|---|---|
| From: | `+ (void)showMessage:(MDCSnackbarMessage *)message;` |
| To: | `+ (void)showMessage:(nullable MDCSnackbarMessage *)message;` |

*modified* class method: `+suspendAllMessages` in `MDCSnackbarManager`

| Type of change: | Swift declaration |
|---|---|
| From: | `class func suspendAllMessages() -> MDCSnackbarSuspensionToken!` |
| To: | `class func suspendAllMessages() -> MDCSnackbarSuspensionToken?` |

*modified* class method: `+suspendAllMessages` in `MDCSnackbarManager`

| Type of change: | Declaration |
|---|---|
| From: | `+ (id<MDCSnackbarSuspensionToken>)suspendAllMessages;` |
| To: | `+ (nullable id<MDCSnackbarSuspensionToken>)suspendAllMessages;` |

*modified* class method: `+resumeMessagesWithToken:` in `MDCSnackbarManager`

| Type of change: | Swift declaration |
|---|---|
| From: | `class func resumeMessages(with token: MDCSnackbarSuspensionToken!)` |
| To: | `class func resumeMessages(with token: MDCSnackbarSuspensionToken?)` |

*modified* class method: `+resumeMessagesWithToken:` in `MDCSnackbarManager`

| Type of change: | Declaration |
|---|---|
| From: | `+ (void)resumeMessagesWithToken:(id<MDCSnackbarSuspensionToken>)token;` |
| To: | `+ (void)resumeMessagesWithToken:(nullable id<MDCSnackbarSuspensionToken>)token;` |

### Themes

#### MDCFontScheme

Moved to schemes/Typography.

#### MDCTonalPalette

Moved to schemes/Color.

#### MDCTonalColorScheme

Moved to schemes/Color.

#### MDCColorScheme

Moved to schemes/Color.

#### MDCBasicColorScheme

Moved to schemes/Color.

#### MDCBasicFontScheme

Moved to schemes/Typography.

### schemes/Typography

**New component.**

## Component changes

### Tabs

#### Changes

* [Disable TabBar test throwing an exception (#3221)](https://github.com/material-components/material-components-ios/commit/d63d4fe79daf9242a5eba8d071ac27006b8be534) (ianegordon)
* [Revert "[Typography] Migrate from FontScheme to TypographyScheming (#3219)" (#3256)](https://github.com/material-components/material-components-ios/commit/83b9ea1735a6d38359896e79452713bd85341ef3) (featherless)
* [[Typography] Migrate from FontScheme to TypographyScheming (#3219)](https://github.com/material-components/material-components-ios/commit/2e48edf99f8c73c81ba4d782f51a55faf06d23a8) (ianegordon)

### MaskedTransition

#### Changes

* [Convert MaskedTransition from a MotionTransitioning Transition type to a vanilla UIKit type (#3070)](https://github.com/material-components/material-components-ios/commit/44515ba81a919bb6c4d61a86448985dab5d54730) (featherless)

### schemes/Color

#### Changes

* [[Color] Implement a swift-friendly API for color scheme defaults. (#3246)](https://github.com/material-components/material-components-ios/commit/246ab9ed9baaab9d6d9e91ad1e4ec13ee34357c8) (featherless)
* [[Color] Reduce the public API contract for MDCSemanticColorScheme. (#3234)](https://github.com/material-components/material-components-ios/commit/f0d9c792f8d9005ed01320aa0c8f723dd28b2870) (featherless)
* [[Color] Remove straggling reference to NSCoding. (#3237)](https://github.com/material-components/material-components-ios/commit/7a93e933e74c7e27bce8909c7bf7a6e35e51b66f) (featherless)
* [[Themes] Add new semantic color scheme (#3216)](https://github.com/material-components/material-components-ios/commit/2be6cd9de54743df7ec768e62c9d52c24333dbee) (featherless)

### schemes/Typography

#### Changes

* [Partial roll-forward of "[Typography] Migrate from FontScheme to TypographyScheming (#3219)" (#3258)](https://github.com/material-components/material-components-ios/commit/6620da4d965890af8ea3f9e8fce0e518b9ed33b0) (featherless)
* [Revert "[Typography] Migrate from FontScheme to TypographyScheming (#3219)" (#3256)](https://github.com/material-components/material-components-ios/commit/83b9ea1735a6d38359896e79452713bd85341ef3) (featherless)
* [[Typography] Fix build breakage due to missing implementation of MDCBasicFontScheme. (#3242)](https://github.com/material-components/material-components-ios/commit/94ae187e035103cbc799e50fb78a636e88861172) (featherless)
* [[Typography] Migrate from FontScheme to TypographyScheming (#3219)](https://github.com/material-components/material-components-ios/commit/2e48edf99f8c73c81ba4d782f51a55faf06d23a8) (ianegordon)

### FeatureHighlight

#### Changes

* [Adding Color Themer. (#3260)](https://github.com/material-components/material-components-ios/commit/fa00c708b73b3276eb2f86a1274f098c14ffbcf0) (Mohammad Cazi)
* [Revert "[Typography] Migrate from FontScheme to TypographyScheming (#3219)" (#3256)](https://github.com/material-components/material-components-ios/commit/83b9ea1735a6d38359896e79452713bd85341ef3) (featherless)
* [[Typography] Migrate from FontScheme to TypographyScheming (#3219)](https://github.com/material-components/material-components-ios/commit/2e48edf99f8c73c81ba4d782f51a55faf06d23a8) (ianegordon)

### AppBar

#### Changes

* [Color Themer now composes to the FlexibleHeader and NavigationBar color themers. (#3210)](https://github.com/material-components/material-components-ios/commit/e68eda7c8cf7a40a34d1b79b088ad5ddee91e663) (featherless)

### Ink

#### Changes

* [[Cards] Added Shapes support for MDCCard and MDCCardCollectionCell + 2 Examples (#3215)](https://github.com/material-components/material-components-ios/commit/af2a3c89d2db301ad05fd2d3eb1e6dae5f057e46) (Yarden Eitan)

### ButtonBar

#### Changes

* [Implement new semantic color scheme themer APIs. (#3252)](https://github.com/material-components/material-components-ios/commit/5c09f5e625ab65dac2670cc1dabb9f1f5d28cb94) (featherless)
* [Update documentation for the themer. (#3265)](https://github.com/material-components/material-components-ios/commit/9d9e8cd3bacd8feded1f89c7f0936c1293cc7ff2) (featherless)

### TextFields

#### Changes

* [Adding Color Themer. (#3255)](https://github.com/material-components/material-components-ios/commit/75c81a1659e01fa13ba12e4868d3c4aa27f9741a) (Mohammad Cazi)
* [Revert "[Typography] Migrate from FontScheme to TypographyScheming (#3219)" (#3256)](https://github.com/material-components/material-components-ios/commit/83b9ea1735a6d38359896e79452713bd85341ef3) (featherless)
* [[Typography] Migrate from FontScheme to TypographyScheming (#3219)](https://github.com/material-components/material-components-ios/commit/2e48edf99f8c73c81ba4d782f51a55faf06d23a8) (ianegordon)

### Chips

#### Changes

* [Revert "[Typography] Migrate from FontScheme to TypographyScheming (#3219)" (#3256)](https://github.com/material-components/material-components-ios/commit/83b9ea1735a6d38359896e79452713bd85341ef3) (featherless)
* [[Typography] Migrate from FontScheme to TypographyScheming (#3219)](https://github.com/material-components/material-components-ios/commit/2e48edf99f8c73c81ba4d782f51a55faf06d23a8) (ianegordon)

### Snackbar

#### Changes

* [Removed dependency on UIAppearance entirely for color/font customization/theming. (#3223)](https://github.com/material-components/material-components-ios/commit/bbf1126b8fbf11c85e1dad8d0cad5cf912c0a8c8) (Yarden Eitan)
* [Revert "[Typography] Migrate from FontScheme to TypographyScheming (#3219)" (#3256)](https://github.com/material-components/material-components-ios/commit/83b9ea1735a6d38359896e79452713bd85341ef3) (featherless)
* [[Typography] Migrate from FontScheme to TypographyScheming (#3219)](https://github.com/material-components/material-components-ios/commit/2e48edf99f8c73c81ba4d782f51a55faf06d23a8) (ianegordon)

### Cards

#### Changes

* [Added Shapes support for MDCCard and MDCCardCollectionCell + 2 Examples (#3215)](https://github.com/material-components/material-components-ios/commit/af2a3c89d2db301ad05fd2d3eb1e6dae5f057e46) (Yarden Eitan)

### NavigationBar

#### Changes

* [Add an API for customizing the title label's text color. (#3266)](https://github.com/material-components/material-components-ios/commit/8c8b8d0a7e8512d9d9a7841d2e35f465ee3d2b5e) (featherless)
* [[MDCNavigationBar] Exposing typography API. (#3217)](https://github.com/material-components/material-components-ios/commit/b0aaa07cb28c1c69df3ca61397d6a9baf027047f) (Mohammad Cazi)

### Dialogs

#### Changes

* [Expose typography and color API. (#3218)](https://github.com/material-components/material-components-ios/commit/a61f529825418130b44227eeeed1822eedcdf67f) (Mohammad Cazi)

### FlexibleHeader

#### Changes

* [Implement a color themer API with the new MDCColorScheming type. (#3236)](https://github.com/material-components/material-components-ios/commit/1e2ed55efe872e35aeced9873968a6a627419d7b) (featherless)
* [Revert "Fix bug where shadow layer's opacity wouldn't be set without a tracking scroll view. (#3201)" (#3225)](https://github.com/material-components/material-components-ios/commit/bcecad50f8a385ac641fd6b10f5968bec49c4dd9) (Robert Moore)
* [Revert "Revert "Fix bug where shadow layer's opacity wouldn't be set without a tracking scroll view. (#3201)" (#3225)" (#3229)](https://github.com/material-components/material-components-ios/commit/aaf882e81103c9fac238be7ee15d4acb740aab0e) (Robert Moore)

### Themes

#### Changes

* [Add new semantic color scheme (#3216)](https://github.com/material-components/material-components-ios/commit/2be6cd9de54743df7ec768e62c9d52c24333dbee) (featherless)
* [Partial roll-forward of "[Typography] Migrate from FontScheme to TypographyScheming (#3219)" (#3258)](https://github.com/material-components/material-components-ios/commit/6620da4d965890af8ea3f9e8fce0e518b9ed33b0) (featherless)
* [Revert "[Typography] Migrate from FontScheme to TypographyScheming (#3219)" (#3256)](https://github.com/material-components/material-components-ios/commit/83b9ea1735a6d38359896e79452713bd85341ef3) (featherless)
* [[Catalog] Remove the global theme change notifications. (#3213)](https://github.com/material-components/material-components-ios/commit/fcfe9d810e98df072ccbdd8d494f4c067e0f2cc1) (featherless)
* [[Typography] Migrate from FontScheme to TypographyScheming (#3219)](https://github.com/material-components/material-components-ios/commit/2e48edf99f8c73c81ba4d782f51a55faf06d23a8) (ianegordon)

---

# 53.0.0

## Component Changes

### ButtonBar

#### Changes

* [Revert "[AppBar] Make MDCNavigationBar and MDCButtonBar size dynamically (#2974)" (#3276)](https://github.com/material-components/material-components-ios/commit/a5c0c8603e12075cb2f37334c6bf5af4584ee307) (Robert Moore)

### NavigationBar

#### Changes

* [Revert "[AppBar] Make MDCNavigationBar and MDCButtonBar size dynamically (#2974)" (#3276)](https://github.com/material-components/material-components-ios/commit/a5c0c8603e12075cb2f37334c6bf5af4584ee307) (Robert Moore)

---

# 52.0.0

## Breaking changes

### BottomNavigation
* Color themer now only uses `primaryColor` and applies it to the `selectedItemTintColor`. It will no longer apply values to either `unselectedItemTintColor` or `barTintColor`.

### TextFields
* TextFields will no longer default to using Dynamic Type.
* TextFields with floating placeholders now account for the placeholder when
  computing their bounds.

## API Changes

### TextFields

#### MDCTextInputControllerLegacyDefault

*modified* class: `MDCTextInputControllerLegacyDefault`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCTextInputControllerLegacyDefault : NSObject, MDCTextInputControllerFloatingPlaceholder` |
| To: | `class MDCTextInputControllerLegacyDefault : MDCTextInputControllerBase` |

*modified* class: `MDCTextInputControllerLegacyDefault`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCTextInputControllerLegacyDefault     : NSObject <MDCTextInputControllerFloatingPlaceholder>` |
| To: | `@interface MDCTextInputControllerLegacyDefault : MDCTextInputControllerBase` |

#### MDCTextInputControllerLegacyFullWidth

*modified* class: `MDCTextInputControllerLegacyFullWidth`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCTextInputControllerLegacyFullWidth : NSObject, MDCTextInputController` |
| To: | `class MDCTextInputControllerLegacyFullWidth : MDCTextInputControllerFullWidth, NSSecureCoding` |

*modified* class: `MDCTextInputControllerLegacyFullWidth`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCTextInputControllerLegacyFullWidth     : NSObject <MDCTextInputController>` |
| To: | `@interface MDCTextInputControllerLegacyFullWidth     : MDCTextInputControllerFullWidth <NSSecureCoding>` |

#### MDCTextInputController

*removed* property: `textInputFont` in `MDCTextInputController`

*removed* property: `textInputFontDefault` in `MDCTextInputController`

### Color

**New component.**

## Component changes

### Tabs

#### Changes

* [Fix format string types in debug, examples (#3195)](https://github.com/material-components/material-components-ios/commit/2fd85a2c29026fb84ea339e1529300e312b3362d) (Robert Moore)

### schemes/Color

#### Changes

* [Add initial scaffolding for the Color scheme target. (#3171)](https://github.com/material-components/material-components-ios/commit/bd67db7c4e9380a4b791e2f4952455f4f4d7593a) (featherless)

### FeatureHighlight

#### Changes

* [Copy block instead of assign (#3159)](https://github.com/material-components/material-components-ios/commit/85ed8aed96cd24d895f9dcaf5dceb49f891cf451) (Robert Moore)
* [FeatureHighlightViewController should expose FeatureHighlightView as a property. (#3145)](https://github.com/material-components/material-components-ios/commit/24be789f57aedb732ceddecc36699f52875dc8d6) (Mohammad Cazi)
* [Revert "FeatureHighlightViewController should expose FeatureHighlightView as a property. (#3145)" (#3231)](https://github.com/material-components/material-components-ios/commit/8e8d6f263b598cbeebdbc05e6fd00f50b33ea082) (Robert Moore)

### Ink

#### Changes

* [Fixing static analyzer warnings from Xcode 9.3 (#3196)](https://github.com/material-components/material-components-ios/commit/72283d6b4b8cdb223aadbc33a6685c835702abe9) (Robert Moore)

### Buttons

#### Changes

* [Fixing static analyzer warnings from Xcode 9.3 (#3196)](https://github.com/material-components/material-components-ios/commit/72283d6b4b8cdb223aadbc33a6685c835702abe9) (Robert Moore)

### ButtonBar

#### Changes

* [Restore "[AppBar] Make MDCNavigationBar and MDCButtonBar size dynamically (#2974)" (#3243)](https://github.com/material-components/material-components-ios/commit/aac78b8451f745a555742b9091f0a90eb57cc094) (Robert Moore)
* [Revert "[AppBar] Make MDCNavigationBar and MDCButtonBar size dynamically (#2974)" (#3241)](https://github.com/material-components/material-components-ios/commit/890340e0bae74918afcfbf6a45fcbb3bbedda173) (Robert Moore)

### TextFields

#### Changes

* [Fixing static analyzer warnings from Xcode 9.3 (#3196)](https://github.com/material-components/material-components-ios/commit/72283d6b4b8cdb223aadbc33a6685c835702abe9) (Robert Moore)
* [Make MDCTextInputControllerLegacyDefault a subclass of MDCTextInputControllerBase  (#3152)](https://github.com/material-components/material-components-ios/commit/cb0d00be93bab192e83b0c07b83b655619bf8122) (Mohammad Cazi)
* [Make MDCTextInputControllerLegacyFullWidth a subclass of MDCTextInputControllerFullWidth (#3154)](https://github.com/material-components/material-components-ios/commit/19f2c0fd1be06e31e7405a42aadb1004c2af5bbf) (Mohammad Cazi)
* [Restore Dynamic Type to textInput (#3239)](https://github.com/material-components/material-components-ios/commit/1edaa5625d7c931840f382e1db6398c72a4f9da5) (Robert Moore)
* [Reverting textInputFont property on inputController. #3232](https://github.com/material-components/material-components-ios/commit/8d4d5ea1fc8f70e6fa644fc6d756aac282d12e3b) (Mohammad Cazi)
* [[MDCTextFields + Kokoro] Making textfields dynamic type off by default (#3149)](https://github.com/material-components/material-components-ios/commit/f91317ff0455bc6ecd7b7c728bdb9821cd036aa0) (Yarden Eitan)

### Chips

#### Changes

* [Fix documentation for flow layout class](https://github.com/material-components/material-components-ios/commit/0d8f8c98f4c30a5d8446b9372a652d8020ea8eea) (Robert Moore)

### Snackbar

#### Changes

* [Update content padding for new snackbar, leave old snackbar padding as is. (#3192)](https://github.com/material-components/material-components-ios/commit/8fb8e4c56b3be93c92af6ad7e5e1f7ecf6126120) (Yarden Eitan)
* [added inputAccessory with Snackbar dragon + Fix for it (#3156)](https://github.com/material-components/material-components-ios/commit/7a48b9171a1c3cbf7267ff337a027f28f429aa96) (Yarden Eitan)
* [font and color updates. (#3125)](https://github.com/material-components/material-components-ios/commit/28ef4730aaeb37663a377670b8db95215c090f92) (Yarden Eitan)
* [revert back to before #3106 as this code needs more thorough testing. (#3178)](https://github.com/material-components/material-components-ios/commit/a05140df1b8d2678cbd39fc5d7ea2a27cc1f1a74) (Yarden Eitan)

### NavigationBar

#### Changes

* [Fix RTL for titleView (#3193)](https://github.com/material-components/material-components-ios/commit/e661711251e0666385ce103ed95a354785fb6a01) (ianegordon)
* [Fixing static analyzer warnings from Xcode 9.3 (#3196)](https://github.com/material-components/material-components-ios/commit/72283d6b4b8cdb223aadbc33a6685c835702abe9) (Robert Moore)
* [Restore "[AppBar] Make MDCNavigationBar and MDCButtonBar size dynamically (#2974)" (#3243)](https://github.com/material-components/material-components-ios/commit/aac78b8451f745a555742b9091f0a90eb57cc094) (Robert Moore)
* [Revert "[AppBar] Make MDCNavigationBar and MDCButtonBar size dynamically (#2974)" (#3241)](https://github.com/material-components/material-components-ios/commit/890340e0bae74918afcfbf6a45fcbb3bbedda173) (Robert Moore)

### LibraryInfo

#### Changes

* [Bumped version number to 52.0.0.](https://github.com/material-components/material-components-ios/commit/e500aa658720c9ca42361ab3cb5eb59b9a2cf9a2) (Rob Moore)

### Dialogs

#### Changes

* [Add a Dragons samples to compare UIKit -vs- Material (#3197)](https://github.com/material-components/material-components-ios/commit/481c5f1a2d1d79a7c4f26655a660780488dd2f22) (ianegordon)
* [Fixed regression where in some cases tapping on the buttons in the alert would not do anything (#3182)](https://github.com/material-components/material-components-ios/commit/91f88a4da0070c3f09d1cedb8ac3dadd9aa56011) (Julien Poumailloux)

### BottomNavigation

#### Changes

* [Simplify color themer (#3116)](https://github.com/material-components/material-components-ios/commit/f0368d43838c35ae463afad3a5f75cead61753b5) (Robert Moore)

### PageControl

#### Changes

* [[Tabs] Fix format string types in debug, examples (#3195)](https://github.com/material-components/material-components-ios/commit/2fd85a2c29026fb84ea339e1529300e312b3362d) (Robert Moore)

### AnimationTiming

#### Changes

* [update contrast color for animation timing example (#3198)](https://github.com/material-components/material-components-ios/commit/1a9743ea7e6a6ca58a35b4ac9490ca312eaeec44) (Yarden Eitan)

### Collections

#### Changes

* [[Tabs] Fix format string types in debug, examples (#3195)](https://github.com/material-components/material-components-ios/commit/2fd85a2c29026fb84ea339e1529300e312b3362d) (Robert Moore)

### FlexibleHeader

#### Changes

* [Check if contentView is nil before the comparison (#3098)](https://github.com/material-components/material-components-ios/commit/5674772cb71bb749cddcb442c31d917aec648994) (Siyu Song)
* [Fix bug where shadow layer's opacity wouldn't be set without a tracking scroll view. (#3201)](https://github.com/material-components/material-components-ios/commit/d0af3a729b987b8614b2eadc577ce658cd3d0dcc) (featherless)
* [Revert "Fix bug where shadow layer's opacity wouldn't be set without a tracking scroll view. (#3201)" (#3230)](https://github.com/material-components/material-components-ios/commit/aea0b970687c1b78b2b90a00f734f56b34613242) (Robert Moore)
* [[Tabs] Fix format string types in debug, examples (#3195)](https://github.com/material-components/material-components-ios/commit/2fd85a2c29026fb84ea339e1529300e312b3362d) (Robert Moore)

### Palettes

#### Changes

* [Fixing static analyzer warnings from Xcode 9.3 (#3196)](https://github.com/material-components/material-components-ios/commit/72283d6b4b8cdb223aadbc33a6685c835702abe9) (Robert Moore)

---

# 50.0.0

## Breaking change

MDCTabBarFontThemer and MDCBottomAppBarColorThemer changed a argument to nonnull from nullable.

## API changes

### BottomNavigation

#### MDCBottomNavigationBar

*new* property: `backgroundColor` in `MDCBottomNavigationBar`

*new* property: `barTintColor` in `MDCBottomNavigationBar`

### Chips

#### MDCChipView

*new* property: `minimumSize` in `MDCChipView`

### Collections

#### MDCCollectionViewStyling

*new* property: `cardBorderRadius` in `MDCCollectionViewStyling`

### TextFields

#### MDCTextInputController

*new* property: `textInputFont` in `MDCTextInputController`

*new* property: `textInputFontDefault` in `MDCTextInputController`

## Component changes

### Tabs

#### Changes

* [[BottomAppBar, Tabs] Make themer parameters nonnull (#3133)](https://github.com/material-components/material-components-ios/commit/8882cc904623b9af5d2d15f84d229b6bdb60fd97) (Robert Moore)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### MaskedTransition

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### FeatureHighlight

#### Changes

* [Use safe selector access for color themers (#3126)](https://github.com/material-components/material-components-ios/commit/61277455f1c6b689a4b9fb80b0a9fc36fd283380) (Robert Moore)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### AppBar

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### Ink

#### Changes

* [Use safe selector access for color themers (#3126)](https://github.com/material-components/material-components-ios/commit/61277455f1c6b689a4b9fb80b0a9fc36fd283380) (Robert Moore)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### CollectionCells

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### Buttons

#### Changes

* [Use safe selector access for color themers (#3126)](https://github.com/material-components/material-components-ios/commit/61277455f1c6b689a4b9fb80b0a9fc36fd283380) (Robert Moore)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### ButtonBar

#### Changes

* [[AppBar] Make MDCNavigationBar and MDCButtonBar size dynamically (#2974)](https://github.com/material-components/material-components-ios/commit/7172657a7b1cd04839eadc10e9d66e895a71bee7) (Ali Rabbani)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### TextFields

#### Changes

* [Adding font themer (#3096)](https://github.com/material-components/material-components-ios/commit/91a376ffe1330c6c96344259d36c837c88188db3) (Mohammad Cazi)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### Chips

#### Changes

* [Create a FontThemer (#3128)](https://github.com/material-components/material-components-ios/commit/6f1418df2a383f9fb72f476ebb34d502d0593428) (Robert Moore)
* [Support Dynamic Type and show it in example. (#3123)](https://github.com/material-components/material-components-ios/commit/92fecd4cdeff37592d16ddbe556777299e870573) (Robert Moore)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### Snackbar

#### Changes

* [../ (#3122)](https://github.com/material-components/material-components-ios/commit/6d432c7ea082dedc9fc271c7a204a2dfce2fe140) (Yarden Eitan)
* [Don't traverse through dismissing presented child view controllers. (#3106)](https://github.com/material-components/material-components-ios/commit/26995ea72fde1889a28a3d2be448ed47eb35f3fa) (Yarden Eitan)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)
* [suppress internal use of deprecated property (#3143)](https://github.com/material-components/material-components-ios/commit/d42a5e8500d3008101511af1cadc2a7b11524b7b) (Yarden Eitan)

### Cards

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)
* [fix: update link to material design guidelines (#3121)](https://github.com/material-components/material-components-ios/commit/b3b8f13bb05758c55ed7ff54c080989dae00dec0) (radeva)

### BottomAppBar

#### Changes

* [[BottomAppBar, Tabs] Make themer parameters nonnull (#3133)](https://github.com/material-components/material-components-ios/commit/8882cc904623b9af5d2d15f84d229b6bdb60fd97) (Robert Moore)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### Slider

#### Changes

* [Use safe selector access for color themers (#3126)](https://github.com/material-components/material-components-ios/commit/61277455f1c6b689a4b9fb80b0a9fc36fd283380) (Robert Moore)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### NavigationBar

#### Changes

* [[AppBar] Make MDCNavigationBar and MDCButtonBar size dynamically (#2974)](https://github.com/material-components/material-components-ios/commit/7172657a7b1cd04839eadc10e9d66e895a71bee7) (Ali Rabbani)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### OverlayWindow

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### LibraryInfo

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### ShadowLayer

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### ActivityIndicator

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### BottomSheet

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### Typography

#### Changes

* [Support Dynamic Type in extensions for iOS >= 10. (#3127)](https://github.com/material-components/material-components-ios/commit/97465d22bb0df90e0e0f300de00935baa6ca8719) (Thomas-Redding-G)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### Dialogs

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### BottomNavigation

#### Changes

* [Add `barTintColor` to replace `backgroundColor` (#3085)](https://github.com/material-components/material-components-ios/commit/a7ecc0b6500de5d5ba5c1e2dce05ff33893f540a) (Robert Moore)
* [Remove ink for canceled touch (#3119)](https://github.com/material-components/material-components-ios/commit/5010e7c09d855b5f72e3a23539b5be5164dc5437) (Robert Moore)
* [Use safe selector access for color themers (#3126)](https://github.com/material-components/material-components-ios/commit/61277455f1c6b689a4b9fb80b0a9fc36fd283380) (Robert Moore)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### PageControl

#### Changes

* [Use safe selector access for color themers (#3126)](https://github.com/material-components/material-components-ios/commit/61277455f1c6b689a4b9fb80b0a9fc36fd283380) (Robert Moore)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### AnimationTiming

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### Collections

#### Changes

* [Add custom cardBorderRadius to MDCCollectionViewStyler (#3114)](https://github.com/material-components/material-components-ios/commit/7f1aa7d28350c6ee845d5024a6ceac2a0a015b63) (strangewiz)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### HeaderStackView

#### Changes

* [Use safe selector access for color themers (#3126)](https://github.com/material-components/material-components-ios/commit/61277455f1c6b689a4b9fb80b0a9fc36fd283380) (Robert Moore)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### FlexibleHeader

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### Themes

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### ShadowElevations

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### ProgressView

#### Changes

* [Use safe selector access for color themers (#3126)](https://github.com/material-components/material-components-ios/commit/61277455f1c6b689a4b9fb80b0a9fc36fd283380) (Robert Moore)
* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### Palettes

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

### CollectionLayoutAttributes

#### Changes

* [[Kokoro / CI] Have Kokoro test multiple iOS versions and simulators on different Xcodes. (#3117)](https://github.com/material-components/material-components-ios/commit/7b742b574557adb5a499d469043738afe55ff6f7) (Yarden Eitan)

---

# 49.0.0

## Breaking changes

### BottomAppBar

#### MDCBottomAppBarView

*NS_UNAVAILABLE* property: `backgroundColor` in `MDCBottomAppBarView`

## API changes

### BottomAppBar

#### MDCBottomAppBarView

*new* property: `barTintColor` in `MDCBottomAppBarView`

*NS_UNAVAILABLE* property: `backgroundColor` in `MDCBottomAppBarView`

*new* property: `shadowColor` in `MDCBottomAppBarView`

*new* property: `backgroundColor` in `MDCBottomAppBarView`

### Dialogs

#### MDCAlertControllerView

*new* property: `titleColor` in `MDCAlertControllerView`

*new* property: `mdc_adjustsFontForContentSizeCategory` in `MDCAlertControllerView`

*new* class: `MDCAlertControllerView`

*new* property: `titleFont` in `MDCAlertControllerView`

*new* property: `buttonColor` in `MDCAlertControllerView`

*new* property: `buttonFont` in `MDCAlertControllerView`

*new* property: `messageColor` in `MDCAlertControllerView`

*new* property: `messageFont` in `MDCAlertControllerView`

## Component changes

### Snackbar

#### Changes

* [Added Color and Font Themers (#3102)](https://github.com/material-components/material-components-ios/commit/b782d2462ab9bfdd10959d27ab6d112ec9e441e8) (Yarden Eitan)
* [bring back buttonTextColor and deprecate it (#3104)](https://github.com/material-components/material-components-ios/commit/85c5351ec74354d5750fafb8d51bb2be0f58389e) (Yarden Eitan)

### BottomAppBar

#### Changes

* [Add simple color themer (#3094)](https://github.com/material-components/material-components-ios/commit/c82fafba3ea3e17a5b4f3ee4bf5b9564d24bb3bb) (Robert Moore)

### Dialogs

#### Changes

* [Enable custom fonts on MDCAlertController (#3097)](https://github.com/material-components/material-components-ios/commit/b22c8c2650a4a5b21c76cf37b3d1041de639e4e5) (ianegordon)

### Themes

#### Changes

* [[BottomAppBar] Add simple color themer (#3094)](https://github.com/material-components/material-components-ios/commit/c82fafba3ea3e17a5b4f3ee4bf5b9564d24bb3bb) (Robert Moore)

---

# 48.0.0

## Breaking changes

*removed* property: `highlightedButtonTextColor` in `MDCSnackbarMessage`

## New deprecations

#### MDCSnackbarMessage

*deprecated* property: `buttonTextColor` in `MDCSnackbarMessage`

#### MDCSnackbarMessageView()

*modified* property: `snackbarMessageViewTextColor` in `MDCSnackbarMessageView()`

| Type of change: | Deprecation message |
|---|---|
| From: | `snackbarMessageViewTextColor` |
| To: | `messsageTextColor` |

*modified* property: `snackbarMessageViewTextColor` in `MDCSnackbarMessageView()`

| Type of change: | Deprecation |
|---|---|
| From: | `0` |
| To: | `1` |

*modified* property: `snackbarMessageViewTextColor` in `MDCSnackbarMessageView()`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarMessageView` |
| To: | `c:objc(ext)MDCSnackbarMessageView@MDCSnackbarMessageView.h@2959` |

## New features

## API changes

### Snackbar

#### MDCSnackbarMessageView

*new* property: `messageTextColor` in `MDCSnackbarMessageView`

*new* method: `-buttonTitleColorForState:` in `MDCSnackbarMessageView`

*new* property: `mdc_adjustsFontForContentSizeCategory` in `MDCSnackbarMessageView`

*new* method: `-setButtonTitleColor:forState:` in `MDCSnackbarMessageView`

#### MDCSnackbarMessage

*new* property: `usesLegacySnackbar` in `MDCSnackbarMessage`

*removed* property: `highlightedButtonTextColor` in `MDCSnackbarMessage`

*removed* property: `buttonTextColor` in `MDCSnackbarMessage`

#### MDCSnackbarMessageView()

*new* method: `-snackbarMessageViewTextColor` in `snackbarMessageViewTextColor` in `MDCSnackbarMessageView()`

*new* category: `MDCSnackbarMessageView()`

*new* method: `-setSnackbarMessageViewTextColor:` in `snackbarMessageViewTextColor` in `MDCSnackbarMessageView()`

*modified* property: `snackbarMessageViewTextColor` in `MDCSnackbarMessageView()`

| Type of change: | Deprecation message |
|---|---|
| From: | `` |
| To: | `Use messsageTextColor instead.` |

*modified* property: `snackbarMessageViewTextColor` in `MDCSnackbarMessageView()`

| Type of change: | Deprecation |
|---|---|
| From: | `0` |
| To: | `1` |

*modified* property: `snackbarMessageViewTextColor` in `MDCSnackbarMessageView()`

| Type of change: | parent.usr |
|---|---|
| From: | `c:objc(cs)MDCSnackbarMessageView` |
| To: | `c:objc(ext)MDCSnackbarMessageView@MDCSnackbarMessageView.h@2959` |
## Component changes


### Tabs

#### Changes

* [Don't call UIAppearance in +initialize (#3067)](https://github.com/material-components/material-components-ios/commit/fcd8ffdc199e4efa8dc93141b627c24f98c2033e) (Robert Moore)
* [Font/Color Scheme support for tab bar. (#3083)](https://github.com/material-components/material-components-ios/commit/2cc00f431e2485316ce9ba0e6f67d511be81b8d4) (Mohammad Cazi)

### FeatureHighlight

#### Changes

* [Accessibility title and body mutator added to fix UIAppearance issue (#3043)](https://github.com/material-components/material-components-ios/commit/fa6a2f67d6886eb89d8182b809ecacab41d0a3ea) (Mohammad Cazi)

### Ink

#### Changes

* [[Button|Ink|TextFields|Palettes] Fixed NSNumber conversion static analyzer errors (#2998)](https://github.com/material-components/material-components-ios/commit/62735c8baf1968e6b287ef30aaf6b17744c5c237) (Yura Samsoniuk)

### Buttons

#### Changes

* [Set FlatButton inkColor via UIAppearance (#3069)](https://github.com/material-components/material-components-ios/commit/5fe8cf2752dcafad7b07d6f8935910f1597ed963) (Robert Moore)
* [Support IB custom fonts (#3082)](https://github.com/material-components/material-components-ios/commit/328b4ba57dcd5caeb7f21cf341704237baac280c) (Robert Moore)
* [[Button|Ink|TextFields|Palettes] Fixed NSNumber conversion static analyzer errors (#2998)](https://github.com/material-components/material-components-ios/commit/62735c8baf1968e6b287ef30aaf6b17744c5c237) (Yura Samsoniuk)

### TextFields

#### Changes

* [[Button|Ink|TextFields|Palettes] Fixed NSNumber conversion static analyzer errors (#2998)](https://github.com/material-components/material-components-ios/commit/62735c8baf1968e6b287ef30aaf6b17744c5c237) (Yura Samsoniuk)

### Snackbar

#### Changes

* [Fix compiler warning due to self reference in block (#3079)](https://github.com/material-components/material-components-ios/commit/1d796f2795706b98e55d935981a7e869fc2c7bdc) (featherless)
* [New Snackbar implementation with legacy toggle to activate (#3055)](https://github.com/material-components/material-components-ios/commit/f3845d2fd1c8c57e3329cd969830b2b7a6ca4eb0) (Yarden Eitan)
* [custom font and dynamic type support, UI_APPEARANCE support for color theming  (#3090)](https://github.com/material-components/material-components-ios/commit/9f735f15d9a912ea8479a78b1a99d99b36aa8d33) (Yarden Eitan)
* [update snackbar text color to the initialized value (#3081)](https://github.com/material-components/material-components-ios/commit/40876a38123096edf43ce1c76a3bccfe7eb08479) (Yarden Eitan)

### BottomSheet

#### Changes

* [Ensure BottomSheet adjusts its target point when its bounds change (#3028)](https://github.com/material-components/material-components-ios/commit/8e6866e80efd081b92c94cf92256e6d057df4772) (John Detloff)

### Themes

#### Changes

* [[FeatureHighlight] Accessibility title and body mutator added to fix UIAppearance issue (#3043)](https://github.com/material-components/material-components-ios/commit/fa6a2f67d6886eb89d8182b809ecacab41d0a3ea) (Mohammad Cazi)

### Palettes

#### Changes

* [[Button|Ink|TextFields|Palettes] Fixed NSNumber conversion static analyzer errors (#2998)](https://github.com/material-components/material-components-ios/commit/62735c8baf1968e6b287ef30aaf6b17744c5c237) (Yura Samsoniuk)

---

# 47.0.0

## Breaking changes

### Cards

#### MDCCardCollectionCell

*removed* property: `selectedImageTintColor` in `MDCCardCollectionCell`

*removed* property: `selectedImage` in `MDCCardCollectionCell`

## New deprecations

## New features

## API changes

### Cards

#### MDCCardCollectionCell

*new* method: `-setVerticalImageAlignment:forState:` in `MDCCardCollectionCell`

*new* method: `-setImageTintColor:forState:` in `MDCCardCollectionCell`

*new* method: `-horizontalImageAlignmentForState:` in `MDCCardCollectionCell`

*new* method: `-imageForState:` in `MDCCardCollectionCell`

*new* method: `-imageTintColorForState:` in `MDCCardCollectionCell`

*new* method: `-setImage:forState:` in `MDCCardCollectionCell`

*new* method: `-verticalImageAlignmentForState:` in `MDCCardCollectionCell`

*new* method: `-setHorizontalImageAlignment:forState:` in `MDCCardCollectionCell`

*removed* property: `selectedImageTintColor` in `MDCCardCollectionCell`

*removed* property: `selectedImage` in `MDCCardCollectionCell`

*modified* class: `MDCCardCollectionCell`

#### MDCCardCellVerticalImageAlignment

*new* enum value: `MDCCardCellVerticalImageAlignmentBottom` in `MDCCardCellVerticalImageAlignment`

*new* typedef: `MDCCardCellVerticalImageAlignment`

*new* enum: `MDCCardCellVerticalImageAlignment`

*new* enum value: `MDCCardCellVerticalImageAlignmentCenter` in `MDCCardCellVerticalImageAlignment`

*new* enum value: `MDCCardCellVerticalImageAlignmentTop` in `MDCCardCellVerticalImageAlignment`

#### MDCCardCellHorizontalImageAlignment

*new* enum value: `MDCCardCellHorizontalImageAlignmentRight` in `MDCCardCellHorizontalImageAlignment`

*new* enum value: `MDCCardCellHorizontalImageAlignmentCenter` in `MDCCardCellHorizontalImageAlignment`

*new* typedef: `MDCCardCellHorizontalImageAlignment`

*new* enum: `MDCCardCellHorizontalImageAlignment`

*new* enum value: `MDCCardCellHorizontalImageAlignmentLeft` in `MDCCardCellHorizontalImageAlignment`

## Component changes

### Tabs

#### Changes

* [[MDCTabBarViewController] Added NSCoding support. (#3029)](https://github.com/material-components/material-components-ios/commit/ca02350c09360ca350750dd8c8d71580c3e44108) (Mohammad Cazi)
* [[MDCTabBar] NSCoding support. (#3019)](https://github.com/material-components/material-components-ios/commit/5ffadf0697a48c48b61a4baab4123eb072ea21ed) (Mohammad Cazi)

### FeatureHighlight

#### Changes

* [Remove use of __typeof__ (#3018)](https://github.com/material-components/material-components-ios/commit/0c97e585d5ce04196d98ea0badc52d9bd96e33e2) (Robert Moore)

### Ink

#### Changes

* [New bounded ink should ignore maxRippleRadius property (#2956)](https://github.com/material-components/material-components-ios/commit/a25ee2d848132490c02c62770c6c7bd5e359cbe8) (Robert Moore)

### CollectionCells

#### Changes

* [[Collections] Fix image sizing (#3027)](https://github.com/material-components/material-components-ios/commit/7bc25ac4e6313c83886dd5784bd051880db22bd1) (ianegordon)

### ButtonBar

#### Changes

* [Remove UIAppearance call in themer (#3020)](https://github.com/material-components/material-components-ios/commit/dcbe2e5cd70b1db54beb610e019e60cf9f24046b) (Robert Moore)
* [Update bazel workspace and version to latest. (#3052)](https://github.com/material-components/material-components-ios/commit/58afde19c72de1a93a0f154fcf4b7e5b24bae97f) (featherless)

### TextFields

#### Changes

* [Added test for MDCTextInputControllerBase (#3036)](https://github.com/material-components/material-components-ios/commit/9c4858c383d1acc81a15a8e229dbf151f010e0cc) (Yura Samsoniuk)
* [Always encode/decode CGFloat as double (#3033)](https://github.com/material-components/material-components-ios/commit/af1bb4418f4b4865d995b879c5c99b32560d50f6) (Yura Samsoniuk)
* [Cast to a protocol textInput conforms to (#3037)](https://github.com/material-components/material-components-ios/commit/f8364d89c4ef3f7fc71a059ee27cb1dd2021cab2) (Yura Samsoniuk)
* [[Collections|TextFields|Themes] Removed dead store static analyzer errors (#2999)](https://github.com/material-components/material-components-ios/commit/32951859b45ef5983ca18a2a6b9a23a9085443d3) (Yura Samsoniuk)

### Snackbar

#### Changes

* [Don't call UIAppearance in +initialize (#3048)](https://github.com/material-components/material-components-ios/commit/b56f296dabe92c3f7e5baa02646d986e9593e1ac) (Robert Moore)

### Cards

#### Changes

* [Added customization of image, image alignment, and image tint for each state. (#3030)](https://github.com/material-components/material-components-ios/commit/bafdbf325c3522350b92a625db1e51b08a9d55bb) (Yarden Eitan)
* [Dragons demo for Tint color in Cards (#3046)](https://github.com/material-components/material-components-ios/commit/7fc91d88b77ce0c7208cd755bbe3710a1f4688fc) (Yarden Eitan)

### NavigationBar

#### Changes

* [Fix license stanza (#3025)](https://github.com/material-components/material-components-ios/commit/70e9cbcbdf2e28d3e598e95e0ade79cd8de3ec19) (Robert Moore)
* [[ButtonBar] Remove UIAppearance call in themer (#3020)](https://github.com/material-components/material-components-ios/commit/dcbe2e5cd70b1db54beb610e019e60cf9f24046b) (Robert Moore)

### BottomSheet

#### Changes

* [Make MDCBottomSheetPresentationController react to preferred content size changes of the presented view controller.](https://github.com/material-components/material-components-ios/commit/293996a05a6230310442e3ee4b6d2ca0130ac102) (Material Components iOS Team)

### BottomNavigation

#### Changes

* [Fix OS version check (#3015)](https://github.com/material-components/material-components-ios/commit/e34908bdbd50ae0f801991dadbe692fe6c17d2c5) (Robert Moore)
* [Fix memory leak in example (#3017)](https://github.com/material-components/material-components-ios/commit/a2e31fc7f69d5e5cf668865d7d745becb5c024d1) (Robert Moore)

### PageControl

#### Changes

* [Fixing example layout (#3059)](https://github.com/material-components/material-components-ios/commit/29af16e46d33c87d11fc274b085f109aed376d6e) (Robert Moore)

### Collections

#### Changes

* [[Collections|TextFields|Themes] Removed dead store static analyzer errors (#2999)](https://github.com/material-components/material-components-ios/commit/32951859b45ef5983ca18a2a6b9a23a9085443d3) (Yura Samsoniuk)
* [[MDCCollectionViewFlowLayout] Set hasSectionItems in ordinalPositionForListElementWithAttribute (#3049)](https://github.com/material-components/material-components-ios/commit/caf58f30894815c147b297990ce16a23b1d8e065) (strangewiz)

### Themes

#### Changes

* [[Collections|TextFields|Themes] Removed dead store static analyzer errors (#2999)](https://github.com/material-components/material-components-ios/commit/32951859b45ef5983ca18a2a6b9a23a9085443d3) (Yura Samsoniuk)

---

# 46.1.1

## Component changes

### CollectionCells

#### Changes

* [[Collections] Fix image sizing (#3027)](https://github.com/material-components/material-components-ios/commit/aa266761061c12892259ab139a45ad209b7d9afd) (ianegordon)

---

# 46.1.0

## API changes

### ActivityIndicator

#### MDCActivityIndicator

*new* method: `-setProgress:animated:` in `MDCActivityIndicator`

### Themes

#### MDCTonalPalette

*modified* class: `MDCTonalPalette`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCTonalPalette : NSObject, NSCoding, NSCopying` |
| To: | `class MDCTonalPalette : NSObject, NSCopying, NSSecureCoding` |

*modified* class: `MDCTonalPalette`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCTonalPalette : NSObject <NSCoding, NSCopying>` |
| To: | `@interface MDCTonalPalette : NSObject <NSCopying, NSSecureCoding>` |
## Component changes


### Tabs

#### Changes

* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### MaskedTransition

#### Changes

* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### FeatureHighlight

#### Changes

* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### Ink

#### Changes

* [[MDCBottomNavigationBar] NSSecureCoding. (#2973)](https://github.com/material-components/material-components-ios/commit/705b76f8a468878a9213d49ee6690386b34a7c2e) (Mohammad Cazi)
* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### CollectionCells

#### Changes

* [Add demonstration of #2911 (#2930)](https://github.com/material-components/material-components-ios/commit/117864b0b50a9d488a134aa69072a31ef5b11ce1) (ianegordon)
* [Support images larger than 40x40 in MDCCollectionViewTextCell (#2912)](https://github.com/material-components/material-components-ios/commit/b089e47b4f10761e7fedfea9ae22ef9721b91f0f) (Ben Hamilton (Ben Gertzfield))
* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### Buttons

#### Changes

* [[MDCButtonBar] add NSSecureCoding. (#2976)](https://github.com/material-components/material-components-ios/commit/cdea5d6836f529f75d211b8052a19ad86361663c) (Mohammad Cazi)
* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)
* [fix local kokoro warnings and errors (#2964)](https://github.com/material-components/material-components-ios/commit/87f9f591921e829c60401b443d2fe48882388e5c) (Yarden Eitan)

### ButtonBar

#### Changes

* [[MDCButtonBar] add NSSecureCoding. (#2976)](https://github.com/material-components/material-components-ios/commit/cdea5d6836f529f75d211b8052a19ad86361663c) (Mohammad Cazi)
* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### TextFields

#### Changes

* [Adding secure coding for all MDCTextfield and properties of it. (#2990)](https://github.com/material-components/material-components-ios/commit/c52bc7cc58e974a2ddac339579f259068dd11214) (Mohammad Cazi)
* [Fix for GH #2985 (placeholder not moving when chips needs it to.) (#2989)](https://github.com/material-components/material-components-ios/commit/7007607b2e8bb763fe487d82517359fcfb618187) (Will Larche)
* [Updating cursor color for state. (#2967)](https://github.com/material-components/material-components-ios/commit/002b83a15856df06c01bdde55292946811159c07) (Will Larche)
* [[TextField] Fix MDCTextInputControllerUnderline usage description in README.md (#2950)](https://github.com/material-components/material-components-ios/commit/37e721791081a8d3dc20f6e5bdd7b034f5a84ee1) (yokoe)

### Chips

#### Changes

* [ChipView class check for encoding. (#2993)](https://github.com/material-components/material-components-ios/commit/e1707dbcb23d96872a1d9634adcef48f16bb3468) (Mohammad Cazi)
* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### Snackbar

#### Changes

* [[SnackbarExmaples] Added required super call (#3005)](https://github.com/material-components/material-components-ios/commit/d10d499d80e3dd2dbecfe049903dcb7a3a9031eb) (Yura Samsoniuk)
* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### Cards

#### Changes

* [[CollectionCells] Add demonstration of #2911 (#2930)](https://github.com/material-components/material-components-ios/commit/117864b0b50a9d488a134aa69072a31ef5b11ce1) (ianegordon)
* [[MDCCard] NSSecureCoding support. (#2984)](https://github.com/material-components/material-components-ios/commit/8d030b94652c3e6825d8592c9a1acafdef0fe097) (Mohammad Cazi)

### BottomAppBar

#### Changes

* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### NavigationBar

#### Changes

* [[MDCAppBar]Support NSSecureCoding for App bar. (#2959)](https://github.com/material-components/material-components-ios/commit/b4491c9c9ace370989f87f25a8d2b9f595d52c2c) (Mohammad Cazi)
* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### ShadowLayer

#### Changes

* [Document default elevation of 0 (#2960)](https://github.com/material-components/material-components-ios/commit/c7a9b6966e356c6291107f59099d62e471d68aa6) (Robert Moore)

### ActivityIndicator

#### Changes

* [Add setProgress:animated: (#2924)](https://github.com/material-components/material-components-ios/commit/872dacb68fef1b20e9ee4a5e44e0cba664fe029b) (ianegordon)
* [Fixed ActivityIndicatorTests#testSetProgressStrokeAnimated test (#3006)](https://github.com/material-components/material-components-ios/commit/921c9f09e4ee604a72e7ecf2e1c08ad0410be475) (Yura Samsoniuk)
* [Fixing Implicit Self inside blocks. (#2954)](https://github.com/material-components/material-components-ios/commit/5cb871e6fae545a6cba33ccf0ba83702316504eb) (Mohammad Cazi)
* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### BottomSheet

#### Changes

* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### BottomNavigation

#### Changes

* [Remove MaterialMath import (#2941)](https://github.com/material-components/material-components-ios/commit/df1893ce52770843a7228c2b0eede9fc2b43809e) (Robert Moore)
* [[MDCBottomNavigationBar] NSSecureCoding. (#2973)](https://github.com/material-components/material-components-ios/commit/705b76f8a468878a9213d49ee6690386b34a7c2e) (Mohammad Cazi)

### PageControl

#### Changes

* [Fixing Implicit Self inside blocks. (#2954)](https://github.com/material-components/material-components-ios/commit/5cb871e6fae545a6cba33ccf0ba83702316504eb) (Mohammad Cazi)
* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### Collections

#### Changes

* [Adding comment from .h to also the .m (#2955)](https://github.com/material-components/material-components-ios/commit/ee2647919c7822dba62c4dbe3a47e9ae7b9f6077) (Will Larche)
* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### HeaderStackView

#### Changes

* [[MDCAppBar]Support NSSecureCoding for App bar. (#2959)](https://github.com/material-components/material-components-ios/commit/b4491c9c9ace370989f87f25a8d2b9f595d52c2c) (Mohammad Cazi)

### FlexibleHeader

#### Changes

* [[MDCAppBar]Support NSSecureCoding for App bar. (#2959)](https://github.com/material-components/material-components-ios/commit/b4491c9c9ace370989f87f25a8d2b9f595d52c2c) (Mohammad Cazi)
* [[Warnings Fix] Block implicitly retains 'self'; explicitly mention 'self' to indicate this is intended behavior. (#2933)](https://github.com/material-components/material-components-ios/commit/261828a056690930decce47f5b57e768d3db4a36) (Mohammad Cazi)

### Themes

#### Changes

* [[MDCTonalPalette] Adding NSSecureCoding. #2904 (#2928)](https://github.com/material-components/material-components-ios/commit/dfa7555d15718a805da54583abe07628b9362e90) (Mohammad Cazi)
* [fix local kokoro warnings and errors (#2964)](https://github.com/material-components/material-components-ios/commit/87f9f591921e829c60401b443d2fe48882388e5c) (Yarden Eitan)

---

# 46.0.0

## Breaking changes

### BottomSheets

Remove Material Motion from the BottomSheets component as it was causing crashes on iOS 8.

---

# 45.0.0

## API changes

### Dialogs

#### MDCDialogTransition

*removed* property: `dismissOnBackgroundTap` in `MDCDialogTransition`

*removed* class: `MDCDialogTransition`

### TextFields

#### MDCTextInputUnderlineView

*modified* class: `MDCTextInputUnderlineView`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCTextInputUnderlineView : UIView, NSCopying, NSCoding` |
| To: | `class MDCTextInputUnderlineView : UIView, NSCopying, NSSecureCoding` |

*modified* class: `MDCTextInputUnderlineView`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCTextInputUnderlineView : UIView <NSCopying, NSCoding>` |
| To: | `@interface MDCTextInputUnderlineView : UIView <NSCopying, NSSecureCoding>` |

#### MDCTextInputController

*modified* protocol: `MDCTextInputController`

| Type of change: | Swift declaration |
|---|---|
| From: | `protocol MDCTextInputController : NSObjectProtocol, NSCoding, NSCopying, MDCTextInputPositioningDelegate` |
| To: | `protocol MDCTextInputController : NSObjectProtocol, NSSecureCoding, NSCopying, MDCTextInputPositioningDelegate` |

*modified* protocol: `MDCTextInputController`

| Type of change: | Declaration |
|---|---|
| From: | `@protocol MDCTextInputController <NSObject, NSCoding, NSCopying,                                   MDCTextInputPositioningDelegate>` |
| To: | `@protocol MDCTextInputController <NSObject, NSSecureCoding, NSCopying,                                   MDCTextInputPositioningDelegate>` |

## Component changes

### BottomNavigation

#### Changes

* [Handle KVO NSNull parameter (#2919)](https://github.com/material-components/material-components-ios/commit/7c8bb7bee66116307f51fc1e5d387af77e63413d) (ianegordon)

### Cards

#### Changes

* [Added proper readme with overview, installation, and usage. (#2907)](https://github.com/material-components/material-components-ios/commit/d384f34c6fedcb27fadbb552541cc175bdea1f37) (Yarden Eitan)
* [fix bug with ink when dragging an MDCCard (#2906)](https://github.com/material-components/material-components-ios/commit/27c960005cbac1e4c204fdde90bce33014358a77) (Yarden Eitan)
* [updates to unit tests and minor fixes (#2898)](https://github.com/material-components/material-components-ios/commit/de988cfe59717f8e1ae300fb77466ddfb80ac5a2) (Yarden Eitan)

### Dialogs

#### Changes

* [Temporarily revert Material Motion (#2921)](https://github.com/material-components/material-components-ios/commit/f88160007ed44f6d2971c7ff5f6869279d2ab8d0) (ianegordon)

### TextFields

#### Changes

* [Converting NSCoding to NSSecureCoding (#2925)](https://github.com/material-components/material-components-ios/commit/30ce9b6a445d41ed91052a69bf3a1519a4f95bc3) (Will Larche)
* [Correcting color themer (#2920)](https://github.com/material-components/material-components-ios/commit/c41bbdb1bc3acd899b9ca8e34512e337fe8fe8ba) (Will Larche)

---

# 44.6.1

## Component changes

### MDCIcons

Added extra guard to prevent crash cause by adding nil to a NSCache.

---

# 44.6.0

## API changes

### Cards

**New component.**

### Ink

#### MDCInkView

*new* method: `-startTouchBeganAtPoint:animated:withCompletion:` in `MDCInkView`

*new* method: `-startTouchEndAtPoint:animated:withCompletion:` in `MDCInkView`

## Component changes

### AnimationTiming

#### Changes

* [Update custom font example to be in the right cell instead of its own. Update the AnimationTiming example to showcase the right names. (#2869)](https://github.com/material-components/material-components-ios/commit/2161a9be86b8937fe95c4400f68ed6cc642024ac) (Cody Weaver)

### BottomSheet

#### Changes

* [Adds missing Jazzy yaml files. (#2871)](https://github.com/material-components/material-components-ios/commit/cc70fe7ca7ed093c5128aa843556a2b2b74dd7d5) (Scott Hyndman)

### Cards

#### Changes

* [Initial Implementation (#2894)](https://github.com/material-components/material-components-ios/commit/58f24b4f183b1366a9b337f7446ad45ceaed2b26) (Yarden Eitan)

### Chips

#### Changes

* [RTL support (#2863)](https://github.com/material-components/material-components-ios/commit/31f908a10d76becaa9b47e923c89bfdf7193d519) (Sam Morrison)
* [Update font style](https://github.com/material-components/material-components-ios/commit/9995b282e1b3b88f70380d276c48de256b90d6f5) (Ian Gordon)

### Dialogs

#### Changes

* [Added Example for issue #2860 to Dragons (#2864)](https://github.com/material-components/material-components-ios/commit/dea8e3c7f4942ac03d5c83350556a5c35e765116) (danblakemore)
* [Rounded corner example (#2881)](https://github.com/material-components/material-components-ios/commit/2a38d427115966960434a606f85e0141fb0a9915) (ianegordon)

### FlexibleHeader

#### Changes

* [Update MDCFlexibleHeaderView.m (#2861)](https://github.com/material-components/material-components-ios/commit/2afa8c57d806da6fcdfdf669ff8943a65fdf1f68) (andrewplai)

### Ink

#### Changes

* [Fix ink animation timing in time-scaled layers (#2884)](https://github.com/material-components/material-components-ios/commit/61445a677a014e94a922faee33cdbebcffa2e607) (Robert Moore)
* [[Cards] Initial Implementation (#2894)](https://github.com/material-components/material-components-ios/commit/58f24b4f183b1366a9b337f7446ad45ceaed2b26) (Yarden Eitan)

### LibraryInfo

#### Changes

* [Adds missing Jazzy yaml files. (#2871)](https://github.com/material-components/material-components-ios/commit/cc70fe7ca7ed093c5128aa843556a2b2b74dd7d5) (Scott Hyndman)

### TextFields

#### Changes

* [Correcting logic mistake (#2885)](https://github.com/material-components/material-components-ios/commit/0d877a048f842436406f2428e76fe2bebae6cf08) (Will Larche)

### Typography

#### Changes

* [Update custom font example to be in the right cell instead of its own. Update the AnimationTiming example to showcase the right names. (#2869)](https://github.com/material-components/material-components-ios/commit/2161a9be86b8937fe95c4400f68ed6cc642024ac) (Cody Weaver)

---

# 44.5.0

## API changes

### ButtonBar

#### MDCButtonBarButton

*new* class: `MDCButtonBarButton`

## Component changes

### ButtonBar

#### Changes

* [Expose font and padding properties (#2849)](https://github.com/material-components/material-components-ios/commit/a8d903460e6d0bb78b06db0a38b882698069c04e) (ianegordon)

### ProgressView

#### Changes

* [Remove MDMMotion (#2854)](https://github.com/material-components/material-components-ios/commit/fd1681b0de136ca4ac21ec34e31a70292c667176) (ianegordon)

### TextFields

#### Changes

* [Correcting documentation (#2844)](https://github.com/material-components/material-components-ios/commit/b7ec2004ab4fd7567422af3c2d2563923ef1e758) (Will Larche)

---

# 44.4.0

## Breaking changes

## New deprecations

## New features

## API changes

### Chips

#### MDCChipView

*new* method: `-inkColorForState:` in `MDCChipView`

*new* method: `-setInkColor:forState:` in `MDCChipView`

*modified* class: `MDCChipView`

*modified* property: `inkColor` in `MDCChipView`

*modified* property: `inkColor` in `MDCChipView`

### Snackbar

#### MDCSnackbarMessageView

*new* property: `buttonFont` in `MDCSnackbarMessageView`

*new* property: `messageFont` in `MDCSnackbarMessageView`
## Component changes

### Chips

#### Changes

* [Stateful ink (#2823)](https://github.com/material-components/material-components-ios/commit/b67f04ed800e5b2f7ed92a77e41598eb28d0c437) (Sam Morrison)

### Snackbar

#### Changes

* [Add customizable fonts  (#2831)](https://github.com/material-components/material-components-ios/commit/29e98b873673a56c4f84f92b8f31e00c88e476b4) (ianegordon)

---

# 44.3.0

## API changes

### Themes

#### MDCFontScheme

*new* property: `button` in `MDCFontScheme`

*new* property: `body2` in `MDCFontScheme`

*new* property: `headline5` in `MDCFontScheme`

*new* property: `caption` in `MDCFontScheme`

*new* property: `subtitle2` in `MDCFontScheme`

*new* property: `subtitle1` in `MDCFontScheme`

*new* property: `body1` in `MDCFontScheme`

*new* property: `headline1` in `MDCFontScheme`

*new* property: `overline` in `MDCFontScheme`

*new* property: `headline2` in `MDCFontScheme`

*new* property: `headline4` in `MDCFontScheme`

*new* protocol: `MDCFontScheme`

*new* property: `headline3` in `MDCFontScheme`

*new* property: `headline6` in `MDCFontScheme`

#### MDCBasicFontScheme

*new* property: `button` in `MDCBasicFontScheme`

*new* property: `headline1` in `MDCBasicFontScheme`

*new* property: `headline5` in `MDCBasicFontScheme`

*new* property: `body1` in `MDCBasicFontScheme`

*new* property: `subtitle2` in `MDCBasicFontScheme`

*new* property: `headline2` in `MDCBasicFontScheme`

*new* property: `body2` in `MDCBasicFontScheme`

*new* property: `overline` in `MDCBasicFontScheme`

*new* property: `headline6` in `MDCBasicFontScheme`

*new* property: `subtitle1` in `MDCBasicFontScheme`

*new* class: `MDCBasicFontScheme`

*new* property: `headline4` in `MDCBasicFontScheme`

*new* property: `headline3` in `MDCBasicFontScheme`

*new* property: `caption` in `MDCBasicFontScheme`

## Component changes

### FeatureHighlight

#### Changes

* [[Typography] Add FontThemer & FontScheme to FeatureHighlight (#2760)](https://github.com/material-components/material-components-ios/commit/5a05ff9f9b9bc80f213416a8a25409faee3e01b1) (ianegordon)

### Themes

#### Changes

* [[Typography] Add FontThemer & FontScheme to FeatureHighlight (#2760)](https://github.com/material-components/material-components-ios/commit/5a05ff9f9b9bc80f213416a8a25409faee3e01b1) (ianegordon)

---

# 44.2.0

## API changes

### Chips

#### MDCChipView

*new* property: `titleFont` in `MDCChipView`

### ActivityIndicator

#### Changes

* [[Podspec] Fix podspec warnings when issuing a lint (#2811)](https://github.com/material-components/material-components-ios/commit/3fe2bff374b5f4c893ae58e1c742943808c9b4c3) (Yarden Eitan)

### BottomNavigation

#### Changes

* [[Podspec] Fix podspec warnings when issuing a lint (#2811)](https://github.com/material-components/material-components-ios/commit/3fe2bff374b5f4c893ae58e1c742943808c9b4c3) (Yarden Eitan)

### ButtonBar

#### Changes

* [[Podspec] Fix podspec warnings when issuing a lint (#2811)](https://github.com/material-components/material-components-ios/commit/3fe2bff374b5f4c893ae58e1c742943808c9b4c3) (Yarden Eitan)

### Chips

#### Changes

* [Add custom font support (#2820)](https://github.com/material-components/material-components-ios/commit/e4b7f2464a589022b5b1c40167c9c25989b88961) (ianegordon)

### CollectionCells

#### Changes

* [[Podspec] Fix podspec warnings when issuing a lint (#2811)](https://github.com/material-components/material-components-ios/commit/3fe2bff374b5f4c893ae58e1c742943808c9b4c3) (Yarden Eitan)

### FlexibleHeader

#### Changes

* [Fix status bar not disappearing for edge case (#2819)](https://github.com/material-components/material-components-ios/commit/79a506b4eac810b2e258ee17fbaa8399ceab7aa8) (Sam Morrison)

### Typography

#### Changes

* [[Podspec] Fix podspec warnings when issuing a lint (#2811)](https://github.com/material-components/material-components-ios/commit/3fe2bff374b5f4c893ae58e1c742943808c9b4c3) (Yarden Eitan)

---

# 44.1.0

## New features

* `MDCSlider` supports more UIAppearance customization.
* `MDCActivityIndicator` provides improved support for animation transitions.

## API changes

### ActivityIndicator

#### MDCActivityIndicatorTransition

*new* property: `duration` in `MDCActivityIndicatorTransition`

*new* method: `-initWithAnimation:` in `MDCActivityIndicatorTransition`

*new* class: `MDCActivityIndicatorTransition`

*new* property: `animation` in `MDCActivityIndicatorTransition`

*new* method: `-init` in `MDCActivityIndicatorTransition`

*new* method: `-initWithCoder:` in `MDCActivityIndicatorTransition`

*new* property: `completion` in `MDCActivityIndicatorTransition`

#### MDCActivityIndicatorAnimation

*new* typedef: `MDCActivityIndicatorAnimation`

#### MDCActivityIndicator

*new* method: `-startAnimatingWithTransition:cycleStartIndex:` in `MDCActivityIndicator`

*new* method: `-stopAnimatingWithTransition:` in `MDCActivityIndicator`

### Slider

#### MDCSlider

*new* property: `thumbRadius` in `MDCSlider`

*new* property: `thumbElevation` in `MDCSlider`

*modified* property: `trackBackgroundColor` in `MDCSlider`

| Type of change: | Declaration |
|---|---|
| From: | `@property(nonatomic, strong, null_resettable) UIColor *trackBackgroundColor` |
| To: | `@property (readwrite, strong, nonatomic, null_resettable)     UIColor *trackBackgroundColor;` |
## Component changes


### ActivityIndicator

#### Changes

* [Add an api to MDCActivityIndicator to allow animations before/after animating (#2766)](https://github.com/material-components/material-components-ios/commit/d30df6c569ba97c4ab7ef897ca2d1e148900ac05) (John Detloff)
* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)
* [[Activity Indicator] Don't call UIAppearance in +initialize (#2810)](https://github.com/material-components/material-components-ios/commit/a63e8610dafa39920db6d27660f5ce8ff40cd86a) (ianegordon)

### AnimationTiming

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### AppBar

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### BottomAppBar

#### Changes

* [remove themer from bottomnavbar (#2814)](https://github.com/material-components/material-components-ios/commit/c29c4c5b5a4f6f32644c3ef58e6ca75cf8074802) (Yarden Eitan)

### BottomNavigation

#### Changes

* [[BottomNav] Reduce default font to `caption` (#2799)](https://github.com/material-components/material-components-ios/commit/d4a4220e62cc05a2247df691aeff1b654af03693) (Robert Moore)

### BottomSheet

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### ButtonBar

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### Chips

#### Changes

* [[Catalog] Remove unwanted warnings from build (#2794)](https://github.com/material-components/material-components-ios/commit/c88a0596400be26c792b71655bcc6364fcb52023) (Yarden Eitan)

### CollectionCells

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### CollectionLayoutAttributes

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### Collections

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)
* [stop weird behavior of swiping to dismiss cells in collection views if 2 fingers are swiping at the same time (#2792)](https://github.com/material-components/material-components-ios/commit/224115d5f1de6da300c0c76cc45b9e92deb18271) (Yarden Eitan)

### Dialogs

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)
* [Explicitly annotate MDCAlertController as not subclassable (#2801)](https://github.com/material-components/material-components-ios/commit/d70ebaa194591c68e9fb7e4d755b93f56aabe703) (ianegordon)

### FeatureHighlight

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### FlexibleHeader

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### HeaderStackView

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### Ink

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### LibraryInfo

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### MaskedTransition

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### NavigationBar

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### OverlayWindow

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### PageControl

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### Palettes

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### ProgressView

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### ShadowElevations

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### ShadowLayer

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### Slider

#### Changes

* [Add appearance properties and enable UIAppearance. (#2796)](https://github.com/material-components/material-components-ios/commit/294643fc0bab62db3e28203fdae0f065dc780e6f) (Adrian Secord)
* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### Snackbar

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### Tabs

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)

### TextFields

#### Changes

* [[Catalog] Remove unwanted warnings from build (#2794)](https://github.com/material-components/material-components-ios/commit/c88a0596400be26c792b71655bcc6364fcb52023) (Yarden Eitan)

### Typography

#### Changes

* [Consolidate installation requirements in the main README (#2809)](https://github.com/material-components/material-components-ios/commit/49de50edae780245c8b964c043cf1268926bc3b3) (ianegordon)
* [Suppress pointer warning in tests (#2805)](https://github.com/material-components/material-components-ios/commit/f4cc724e54c6b40f0bf85f987d84ee1c347d0451) (Robert Moore)

---

# 44.0.0

## Breaking changes

Podspec now separates out extensions (themers, accessibility additions, etc.) into their own podspec.

If you wish to add a component and all of its extensions, update your Podfile and add "+Extensions"
to the component.

To include Activity Indicator and its extensions you would write:
```
pod 'MaterialComponents/ActivityIndicator+Extensions'
```

## Component changes

### ActivityIndicator

#### Changes

* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### BottomNavigation

#### Changes

* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### BottomSheet

#### Changes

* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### ButtonBar

#### Changes

* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### Buttons

#### Changes

* [Cleanup (#2759)](https://github.com/material-components/material-components-ios/commit/ab4e4ea0da213c539480b863ce6734cc6fa29a40) (ianegordon)
* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### Collection Cells

#### Changes

* [Fix accessoryPadding encoding key (#2773)](https://github.com/material-components/material-components-ios/commit/873e6874ef6b024123ac3a8ca6a62e35d5dba7f9) (Robert Moore)
* [Use correct title label text property in README.md (#2776)](https://github.com/material-components/material-components-ios/commit/5866de850ca1857acd3a70ff0c6a732069496809) (heinberg)
* [[Ink] Add NSCoding support to MDCInkView/Layer (#2777)](https://github.com/material-components/material-components-ios/commit/85647affe85fca41592855882215df043eaeff74) (Robert Moore)

### Collections

#### Changes

* [[Examples/Tests] Convert @imports to imports (#2761)](https://github.com/material-components/material-components-ios/commit/e03186525d38969d754ffd6005eb80499fd85673) (Robert Moore)

### Dialogs

#### Changes

* [Add designated initializer to MDCAlertController (#2778)](https://github.com/material-components/material-components-ios/commit/ae955a3af028e291462ff8700d8aad0d5f72eebb) (Robert Moore)
* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)
* [[Examples/Tests] Convert @imports to imports (#2761)](https://github.com/material-components/material-components-ios/commit/e03186525d38969d754ffd6005eb80499fd85673) (Robert Moore)

### Feature Highlights

#### Changes

* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### FlexibleHeader

#### Changes

* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### HeaderStackView

#### Changes

* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### Ink

#### Changes

* [Add NSCoding support to MDCInkView/Layer (#2777)](https://github.com/material-components/material-components-ios/commit/85647affe85fca41592855882215df043eaeff74) (Robert Moore)
* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)
* [Update docs to remove optional chaining for MDCInkTouchController instances (#2756)](https://github.com/material-components/material-components-ios/commit/fc790a4a855a4615508719cab971592881bacc56) (Yarden Eitan)

### NavigationBar

#### Changes

* [Example showing custom font (#2720)](https://github.com/material-components/material-components-ios/commit/06813993fb040c528c3a5a37ad9aee708fc671ed) (ianegordon)
* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### PageControl

#### Changes

* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### ProgressView

#### Changes

* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### Slider

#### Changes

* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### Snackbar

#### Changes

* [[Examples/Tests] Convert @imports to imports (#2761)](https://github.com/material-components/material-components-ios/commit/e03186525d38969d754ffd6005eb80499fd85673) (Robert Moore)
* [[SnackBar] Increase unit test timeout (#2750)](https://github.com/material-components/material-components-ios/commit/e297a8f9e84367d91321cb5fb9b40647179f3020) (Robert Moore)

### Tabs

#### Changes

* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)
* [Update README.md](https://github.com/material-components/material-components-ios/commit/9987ff35b21cf933103d485e69fd8cec60b19898) (ianegordon)
* [[Examples/Tests] Convert @imports to imports (#2761)](https://github.com/material-components/material-components-ios/commit/e03186525d38969d754ffd6005eb80499fd85673) (Robert Moore)

### TextFields

#### Changes

* [Update MaterialComponents podspec to separate extensions from component. Breaking change, please see description when sending out a new release (#2748)](https://github.com/material-components/material-components-ios/commit/6df22d2cd62e9da6e685890042e3f8748f9f6c19) (Yarden Eitan)

### Themes

#### Changes

* [[Examples/Tests] Convert @imports to imports (#2761)](https://github.com/material-components/material-components-ios/commit/e03186525d38969d754ffd6005eb80499fd85673) (Robert Moore)

### Typography

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### Typography

#### Changes

* [[Tests/Catalog] Suppress partial availability warnings (#2780)](https://github.com/material-components/material-components-ios/commit/25de3728070a8681384fb22919689490d3b2f3ab) (Robert Moore)

---

# 43.1.1

## Component changes

### ActivityIndicator

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### AnimationTiming

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### AppBar

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)
* [An example showing a bug when using MDCFlexibleHeaderView inside a UITableViewController (#2744)](https://github.com/material-components/material-components-ios/commit/89be8d3119c6f4907dc02cc6616a5a694da52155) (Yarden Eitan)

### BottomAppBar

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### BottomNavigation

#### Changes

* [Add NSCoding tests (#2740)](https://github.com/material-components/material-components-ios/commit/86002fe84d974489949c667447c8c36d2385780a) (Robert Moore)

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

* [Correct itemTitleFont behavior (#2736)](https://github.com/material-components/material-components-ios/commit/da57f335e85d4723178774be91b7086c8a031522) (Robert Moore)

### BottomSheet

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### ButtonBar

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### Buttons

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)
* [Extended FAB leading-align text and no minimum width (#2732)](https://github.com/material-components/material-components-ios/commit/26f02a360ccb4987b00d123561c670bce7691581) (Robert Moore)
* [Fix docs/art for Floating Button layout (#2745)](https://github.com/material-components/material-components-ios/commit/30a1be6d9cd91214ac8a3d0433bbaaf6f8fbd7ab) (Robert Moore)

### Chips

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)
* [Pixel align subviews (#2739)](https://github.com/material-components/material-components-ios/commit/c63eeafda445eb95eb32d03feb6b3103367026b1) (Sam Morrison)

### CollectionCells

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### Collections

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### Dialogs

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)
* [Fixed retain cycle in MDCDialogTransition that causes MDCAlertController to never be released and presenting view to never be released. (#2684)](https://github.com/material-components/material-components-ios/commit/c7f9946ee3b444c536bab2a051564310c703ba40) (Randall Li)

### FeatureHighlight

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)
* [Fix crash in Dynamic Type handling (#2742)](https://github.com/material-components/material-components-ios/commit/a903493eeeaeeacac14114bf7b7eda198558c833) (ianegordon)

### FlexibleHeader

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### HeaderStackView

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### Ink

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### MaskedTransition

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### NavigationBar

#### Changes

* [Add Accessibility method tests (#2721)](https://github.com/material-components/material-components-ios/commit/8ea0d77f72b98ac2255b0f280ff6bb0080c3d553) (Robert Moore)
* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### PageControl

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### Palettes

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### ProgressView

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### ShadowElevations

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### ShadowLayer

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### Slider

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### Snackbar

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### Tabs

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### TextFields

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)
* [Formatting. (#2725)](https://github.com/material-components/material-components-ios/commit/09b3c9583d8dff111414badabc99467e2f4207a8) (Will Larche)

### Themes

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

### Typography

#### Changes

* [Added isPresentable to catalog files, ported over ZShadow to dragons. (#2726)](https://github.com/material-components/material-components-ios/commit/29d760c7d6cd8694cc35118ec66575f15201a636) (Yarden Eitan)

---

# 43.1.0

## API changes

### Buttons

#### MDCButton

*new* method: `-setTitleFont:forState:` in `MDCButton`

*new* method: `-titleFontForState:` in `MDCButton`

### FeatureHighlight

#### MDCFeatureHighlightView

*new* property: `bodyFont` in `MDCFeatureHighlightView`

*new* property: `titleFont` in `MDCFeatureHighlightView`

## Component changes

### ActivityIndicator

#### Changes

* [[kokoro] Add :ColorThemer targets (#2712)](https://github.com/material-components/material-components-ios/commit/d2e028f3886596f7fa6b2400418dc6140a2d4174) (Robert Moore)

### AppBar

#### Changes

* [Add BUILD file (#2699)](https://github.com/material-components/material-components-ios/commit/6469c85b04b61eb21a83610f51b2f9aad11a2fb2) (Robert Moore)

### BottomAppBar

#### Changes

* [Add BUILD file and no-op test (#2700)](https://github.com/material-components/material-components-ios/commit/60c4e169c21b3e9594133c6beb69bf089aabeb07) (Robert Moore)

### BottomNavigation

#### Changes

* [Add BUILD file and no-op test (#2703)](https://github.com/material-components/material-components-ios/commit/c478173606fff7ed6e2927abd8577032f18dbfc7) (Robert Moore)

### ButtonBar

#### Changes

* [[NavBar, ButtonBar] Add NavBar tests, fix ButtonBar KVO (#2713)](https://github.com/material-components/material-components-ios/commit/8f1eb74490f3641ff7edf4608fb16698aaebdf93) (Robert Moore)

### Buttons

#### Changes

* [Add a custom font property (#2715)](https://github.com/material-components/material-components-ios/commit/4befe61f74f42a20bb9667a6c3c50975753ad0d7) (ianegordon)

### Chips

#### Changes

* [Add BUILD file and no-op test (#2706)](https://github.com/material-components/material-components-ios/commit/ef3f7d103b78bd00d6fc17f746b079de20a3ef4a) (Robert Moore)
* [Fix sizeToFit sometimes being too small (#2719)](https://github.com/material-components/material-components-ios/commit/3cc1a7a6c542d3153aa74778933beb6bcfaf8875) (Sam Morrison)
* [Use new layer border properties (#2717)](https://github.com/material-components/material-components-ios/commit/723f8c798e322e503004b822f0a9969976c5be66) (Sam Morrison)
* [[Ink] Add updated ink to chips, update ink animation when bounds change (#2545)](https://github.com/material-components/material-components-ios/commit/892f0c09d95ca4e2e6210429b4ad1dbc4413c551) (Junius Gunaratne)
* [[Shapes] Remove MDCShapedShadowLayer fillColor property (#2716)](https://github.com/material-components/material-components-ios/commit/1a68851befc1e1a6838325a628fce6194e9e37db) (Sam Morrison)

### CollectionCells

#### Changes

* [ Add BUILD file (#2693)](https://github.com/material-components/material-components-ios/commit/847d3757f553ff662d9f6fb48472eb099aaa5bdf) (Robert Moore)

### Collections

#### Changes

* [Add BUILD file and add missing import (#2698)](https://github.com/material-components/material-components-ios/commit/0bade5a52e8c16223c68ad7cb48fa59cd6ac5171) (Robert Moore)

### FeatureHighlight

#### Changes

* [Add custom font support (#2701)](https://github.com/material-components/material-components-ios/commit/fcf9712d325e28f9c1683ca61c7f239536130c8e) (ianegordon)

### FlexibleHeader

#### Changes

* [[kokoro] Add :ColorThemer targets (#2712)](https://github.com/material-components/material-components-ios/commit/d2e028f3886596f7fa6b2400418dc6140a2d4174) (Robert Moore)

### HeaderStackView

#### Changes

* [Add BUILD file and no-op test (#2695)](https://github.com/material-components/material-components-ios/commit/1f5918b55ac3e74bac35ed7eb1da2c9b372cc69d) (Robert Moore)

### Ink

#### Changes

* [Add updated ink to chips, update ink animation when bounds change (#2545)](https://github.com/material-components/material-components-ios/commit/892f0c09d95ca4e2e6210429b4ad1dbc4413c551) (Junius Gunaratne)
* [[kokoro] Add :ColorThemer targets (#2712)](https://github.com/material-components/material-components-ios/commit/d2e028f3886596f7fa6b2400418dc6140a2d4174) (Robert Moore)

### LibraryInfo

#### Changes

* [Add BUILD file (#2707)](https://github.com/material-components/material-components-ios/commit/5c24f30a291b296bd3e8f4641bf88253cb08b243) (Robert Moore)

### MaskedTransition

#### Changes

* [Add BUILD file and no-op test (#2708)](https://github.com/material-components/material-components-ios/commit/5746134132216de8583c79024505ac611f2054f1) (Robert Moore)

### NavigationBar

#### Changes

* [[NavBar, ButtonBar] Add NavBar tests, fix ButtonBar KVO (#2713)](https://github.com/material-components/material-components-ios/commit/8f1eb74490f3641ff7edf4608fb16698aaebdf93) (Robert Moore)

### Slider

#### Changes

* [Add BUILD file (#2694)](https://github.com/material-components/material-components-ios/commit/a31a9e10c291501b6cd3e353d06c08b606b1ea67) (Robert Moore)

### Snackbar

#### Changes

* [Add BUILD file (#2697)](https://github.com/material-components/material-components-ios/commit/9481c61954f6668305071ec3ad50af537657958e) (Robert Moore)

### Tabs

#### Changes

* [Re-enable new ink (reverts #2665) (#2682)](https://github.com/material-components/material-components-ios/commit/b0266e9367b95b851699a1aa62e4082bb6d8f157) (featherless)

### TextFields

#### Changes

* [States example (#2718)](https://github.com/material-components/material-components-ios/commit/290f13f7bede9eceaa8159d7af85cd54a703c1c6) (Will Larche)
* [[kokoro] Add :ColorThemer targets (#2712)](https://github.com/material-components/material-components-ios/commit/d2e028f3886596f7fa6b2400418dc6140a2d4174) (Robert Moore)

---

# 43.0.0

This major release includes a variety of API name changes. Please see the API changes below for more details.

## Breaking changes

`MDCTextInputControllerDefault` has been removed. Use `MDCTextInputControllerUnderline` instead.

## API changes

### TextFields

#### MDCTextInputControllerOutlined

*modified* class: `MDCTextInputControllerOutlined`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCTextInputControllerOutlined : MDCTextInputControllerDefault` |
| To: | `class MDCTextInputControllerOutlined : MDCTextInputControllerBase` |

*modified* class: `MDCTextInputControllerOutlined`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCTextInputControllerOutlined : MDCTextInputControllerDefault` |
| To: | `@interface MDCTextInputControllerOutlined : MDCTextInputControllerBase` |

#### MDCTextInputControllerOutlinedTextArea

*modified* class: `MDCTextInputControllerOutlinedTextArea`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCTextInputControllerOutlinedTextArea : MDCTextInputControllerDefault` |
| To: | `class MDCTextInputControllerOutlinedTextArea : MDCTextInputControllerBase` |

*modified* class: `MDCTextInputControllerOutlinedTextArea`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCTextInputControllerOutlinedTextArea     : MDCTextInputControllerDefault` |
| To: | `@interface MDCTextInputControllerOutlinedTextArea : MDCTextInputControllerBase` |

#### MDCTextInputControllerBase

*new* property: `expandsOnOverflow` in `MDCTextInputControllerBase`

*new* property: `borderFillColorDefault` in `MDCTextInputControllerBase`

*new* property: `borderFillColor` in `MDCTextInputControllerBase`

*new* property: `minimumLines` in `MDCTextInputControllerBase`

*new* class: `MDCTextInputControllerBase`

#### MDCTextInputControllerDefault

*removed* property: `expandsOnOverflow` in `MDCTextInputControllerDefault`

*removed* property: `borderFillColor` in `MDCTextInputControllerDefault`

*removed* class: `MDCTextInputControllerDefault`

*removed* property: `borderFillColorDefault` in `MDCTextInputControllerDefault`

*removed* property: `minimumLines` in `MDCTextInputControllerDefault`

#### MDCTextInputDefaultUnderlineActiveHeight

*removed* constant: `MDCTextInputDefaultUnderlineActiveHeight`

#### MDCTextInputControllerFilled

*modified* class: `MDCTextInputControllerFilled`

| Type of change: | Swift declaration |
|---|---|
| From: | `class MDCTextInputControllerFilled : MDCTextInputControllerDefault` |
| To: | `class MDCTextInputControllerFilled : MDCTextInputControllerBase` |

*modified* class: `MDCTextInputControllerFilled`

| Type of change: | Declaration |
|---|---|
| From: | `@interface MDCTextInputControllerFilled : MDCTextInputControllerDefault` |
| To: | `@interface MDCTextInputControllerFilled : MDCTextInputControllerBase` |

#### MDCTextInputDefaultBorderRadius

*removed* constant: `MDCTextInputDefaultBorderRadius`

#### MDCTextInputControllerUnderline

*new* class: `MDCTextInputControllerUnderline`

#### MDCTextInputControllerBaseDefaultBorderRadius

*new* constant: `MDCTextInputControllerBaseDefaultBorderRadius`

#### MDCTextInputController

*new* property: `underlineHeightActiveDefault` in `MDCTextInputController`

*new* property: `underlineHeightActive` in `MDCTextInputController`

*new* property: `underlineHeightNormalDefault` in `MDCTextInputController`

*new* property: `underlineHeightNormal` in `MDCTextInputController`

## Component changes

### TextFields

#### Changes

* [Feature branch merge: Clarity, Safety, Docs, Comments, Formatting (#2634)](https://github.com/material-components/material-components-ios/commit/62d5a4fa850b943e32099fa921bb30082f539c0f) (Will Larche)

### Themes

#### Changes

* [[TextFields] Feature branch merge: Clarity, Safety, Docs, Comments, Formatting (#2634)](https://github.com/material-components/material-components-ios/commit/62d5a4fa850b943e32099fa921bb30082f539c0f) (Will Larche)

---

# 42.2.0

## API changes

### Typography

#### UIFont(MaterialTypography)

*new* method: `-mdc_fontSizedForMaterialTextStyle:scaledForDynamicType:` in `UIFont(MaterialTypography)`

## Component changes

### ButtonBar

#### Changes

* [[ButtonBar, NavigationBar] Add BUILD file for kokoro (#2598)](https://github.com/material-components/material-components-ios/commit/5879c18c26c3b8f69ed7a77ecdf8fcd2e220d427) (Robert Moore)

### NavigationBar

#### Changes

* [[ButtonBar, NavigationBar] Add BUILD file for kokoro (#2598)](https://github.com/material-components/material-components-ios/commit/5879c18c26c3b8f69ed7a77ecdf8fcd2e220d427) (Robert Moore)

### TextFields

#### Changes

* [Corrected imports in examples. (#2655)](https://github.com/material-components/material-components-ios/commit/63abcadd7c62b3c36361cd0108928b8ecf1eb801) (Randall Li)

### Typography

#### Changes

* [font initializer based on style and Dynamic Type (#2666)](https://github.com/material-components/material-components-ios/commit/93e21f1483f3568729cac0fe010e912274945702) (ianegordon)

---

# 42.1.0

## New features

New MDCChipField API in the Chips component provides an interface through which a user can input a collection of string tokens.

## API changes

### Chips

#### MDCChipFieldDefaultContentEdgeInsets

*new* constant: `MDCChipFieldDefaultContentEdgeInsets`

#### MDCChipFieldDelimiter

*new* enum value: `MDCChipFieldDelimiterReturn` in `MDCChipFieldDelimiter`

*new* enum: `MDCChipFieldDelimiter`

*new* enum value: `MDCChipFieldDelimiterAll` in `MDCChipFieldDelimiter`

*new* enum value: `MDCChipFieldDelimiterNone` in `MDCChipFieldDelimiter`

*new* typedef: `MDCChipFieldDelimiter`

*new* enum value: `MDCChipFieldDelimiterDefault` in `MDCChipFieldDelimiter`

*new* enum value: `MDCChipFieldDelimiterSpace` in `MDCChipFieldDelimiter`

*new* enum value: `MDCChipFieldDelimiterDidEndEditing` in `MDCChipFieldDelimiter`

#### MDCChipField

*new* class: `MDCChipField`

*new* method: `-focusTextFieldForAccessibility` in `MDCChipField`

*new* method: `-removeSelectedChips` in `MDCChipField`

*new* method: `-removeChip:` in `MDCChipField`

*new* property: `contentEdgeInsets` in `MDCChipField`

*new* method: `-addChip:` in `MDCChipField`

*new* property: `showPlaceholderWithChips` in `MDCChipField`

*new* property: `textField` in `MDCChipField`

*new* property: `minTextFieldWidth` in `MDCChipField`

*new* property: `chipHeight` in `MDCChipField`

*new* method: `-deselectAllChips` in `MDCChipField`

*new* property: `delegate` in `MDCChipField`

*new* method: `-selectChip:` in `MDCChipField`

*new* property: `chips` in `MDCChipField`

*new* method: `-clearTextInput` in `MDCChipField`

*new* property: `delimiter` in `MDCChipField`

#### MDCChipFieldDelegate

*new* method: `-chipField:didChangeInput:` in `MDCChipFieldDelegate`

*new* protocol: `MDCChipFieldDelegate`

*new* method: `-chipFieldHeightDidChange:` in `MDCChipFieldDelegate`

*new* method: `-chipFieldDidBeginEditing:` in `MDCChipFieldDelegate`

*new* method: `-chipField:didRemoveChip:` in `MDCChipFieldDelegate`

*new* method: `-chipField:didTapChip:` in `MDCChipFieldDelegate`

*new* method: `-chipField:shouldAddChip:` in `MDCChipFieldDelegate`

*new* method: `-chipFieldShouldBecomeFirstResponder:` in `MDCChipFieldDelegate`

*new* method: `-chipField:didAddChip:` in `MDCChipFieldDelegate`

*new* method: `-chipFieldShouldReturn:` in `MDCChipFieldDelegate`

*new* method: `-chipFieldDidEndEditing:` in `MDCChipFieldDelegate`

#### MDCChipView

*new* property: `shapeGenerator` in `MDCChipView`

*new* method: `-shadowColorForState:` in `MDCChipView`

*new* method: `-setShadowColor:forState:` in `MDCChipView`

#### MDCChipFieldDefaultMinTextFieldWidth

*new* constant: `MDCChipFieldDefaultMinTextFieldWidth`

### FeatureHighlight

#### MDCFeatureHighlightView

*new* property: `mdc_adjustsFontForContentSizeCategory` in `MDCFeatureHighlightView`

### ShadowLayer

#### MDCShadowLayer(Subclassing)

*new* category: `MDCShadowLayer(Subclassing)`

### Typography

#### UIFontDescriptor(MaterialTypography)

*new* class method: `+mdc_standardFontDescriptorForMaterialTextStyle:` in `UIFontDescriptor(MaterialTypography)`

#### UIFont(MaterialTypography)

*new* class method: `+mdc_standardFontForMaterialTextStyle:` in `UIFont(MaterialTypography)`

## Component changes

### AnimationTiming

#### Changes

* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)
* [[Bazel] Fix BUILD files for bazel 0.8.0 and latest apple_rules (#2640)](https://github.com/material-components/material-components-ios/commit/7c86d12f5f71689d83d41585833355242bd03fc3) (Robert Moore)

### AppBar

#### Changes

* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)

### BottomAppBar

#### Changes

* [Corrected imports in examples. (#2656)](https://github.com/material-components/material-components-ios/commit/c3f9fbd4299e2ff0ce77dacd29197a1ff705b686) (Randall Li)

### BottomNavigation

#### Changes

* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)

### BottomSheet

#### Changes

* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)

### ButtonBar

#### Changes

* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)

### Buttons

#### Changes

* [ Corrected imports in examples. (#2645)](https://github.com/material-components/material-components-ios/commit/00611df7bdc5fac4732708c5d9cc4dcef113beec) (Randall Li)
* [Add unit tests for Floating Button layout (#2577)](https://github.com/material-components/material-components-ios/commit/58f9854760cadd0c2401d040b24afe4eb0b4b0d0) (Robert Moore)
* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)
* [Improve FloatingButton documentation (#2578)](https://github.com/material-components/material-components-ios/commit/c360db7e94d6f43a351ee18c8f568906b4d0d4cb) (Robert Moore)
* [Re-enable legacy ink. (#2657)](https://github.com/material-components/material-components-ios/commit/aae4264e412a8db537bfe43d39cf3c3abd48436e) (featherless)
* [Rename `MDCFloatingButton updateShapeForcingLayout` (#2625)](https://github.com/material-components/material-components-ios/commit/6469bad9dca832923b339e7eaad4a65ac610fb94) (Robert Moore)
* [Revert "Re-enable legacy ink. (#2657)" (#2664)](https://github.com/material-components/material-components-ios/commit/1631d8e45d14ad334406cf6b6fa1b40ee4fd7dfb) (featherless)

### Chips

#### Changes

* [Call [super layoutSubviews] (#2667)](https://github.com/material-components/material-components-ios/commit/25afc0f8ac3b0db3cf43472579f985b967c05b5e) (Sam Morrison)
* [Chip field (#2600)](https://github.com/material-components/material-components-ios/commit/5384f00f9a36c6e13f63dd1782a21723d86391d8) (Sam Morrison)
* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)
* [Stateful shadow colors (#2668)](https://github.com/material-components/material-components-ios/commit/c5d47f8cf321073e3601180995bdd4594ecd02cd) (Sam Morrison)
* [Use shaped shadow layer (#2628)](https://github.com/material-components/material-components-ios/commit/183e289a87c1cbbf4aaaa31778c1e363fc739316) (Sam Morrison)

### CollectionLayoutAttributes

#### Changes

* [Add BUILD file (#2646)](https://github.com/material-components/material-components-ios/commit/35206bbdff1800dc3c35e2f22fc8ed0f3da9c3ec) (Robert Moore)

### Collections

#### Changes

* [Fix iOS 11-specific bug where section headers would overlap scroll indicators. (#2572)](https://github.com/material-components/material-components-ios/commit/fb7109442a9d1cde8a09cec9e51fbdcf8c5933e9) (featherless)
* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)
* [Fixed method collision build errors (#2603)](https://github.com/material-components/material-components-ios/commit/ef179750a003b15e43d2d92f19a61f6a67721f69) (Randall Li)

### Dialogs

#### Changes

* [Add BUILD file and test (#2647)](https://github.com/material-components/material-components-ios/commit/a0915f51835a92d3e7d322bfb9b6eb53cf129f3e) (Robert Moore)
* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)

### FeatureHighlight

#### Changes

* [Add BUILD file and no-op test (#2648)](https://github.com/material-components/material-components-ios/commit/89b098e308f501751e1dd79081d442c7d3e2b7d2) (Robert Moore)
* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)
* [Move Dynamic Type support to the FeatureHighlightView (#2653)](https://github.com/material-components/material-components-ios/commit/872380d0e934ab942a7f4a177678d5ac0e5ffab2) (ianegordon)

### FlexibleHeader

#### Changes

* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)

### HeaderStackView

#### Changes

* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)

### Ink

#### Changes

* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)
* [[Bazel] Fix BUILD files for bazel 0.8.0 and latest apple_rules (#2640)](https://github.com/material-components/material-components-ios/commit/7c86d12f5f71689d83d41585833355242bd03fc3) (Robert Moore)

### NavigationBar

#### Changes

* [Fix navbar placement in catalog for iPhoneX (#2581)](https://github.com/material-components/material-components-ios/commit/d429911bd8f428c720f9de790e54ac7a3e73dab7) (Yarden Eitan)
* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)
* [[CocoaPods] Added warnings to examples. (#2480)](https://github.com/material-components/material-components-ios/commit/d28366d523f39d116a7d856191d91607d3ad8fcb) (Randall Li)

### OverlayWindow

#### Changes

* [Add BUILD file and no-op test (#2649)](https://github.com/material-components/material-components-ios/commit/9d74268cab97c3b4937f500277ca9c7f9e910ddb) (Robert Moore)

### PageControl

#### Changes

* [Add BUILD file (#2652)](https://github.com/material-components/material-components-ios/commit/d65707ad23fc7d1e216cd0f6011cb9f1b3ba93f3) (Robert Moore)
* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)

### ProgressView

#### Changes

* [Add BUILD file (#2671)](https://github.com/material-components/material-components-ios/commit/5a592ed71b00f72211e6cf8d1d306bed876691de) (Robert Moore)

### ShadowLayer

#### Changes

* [[Bazel] Fix BUILD files for bazel 0.8.0 and latest apple_rules (#2640)](https://github.com/material-components/material-components-ios/commit/7c86d12f5f71689d83d41585833355242bd03fc3) (Robert Moore)
* [[Shapes] Implicitly animate shape path on resizing (#2619)](https://github.com/material-components/material-components-ios/commit/9b097023fb43cfac5e8106c1fab56fe2b05c5ab7) (Sam Morrison)

### Snackbar

#### Changes

* [[EarlGrey] Fixing Snackbar test for iPhone 4S (#2622)](https://github.com/material-components/material-components-ios/commit/acf0eae26eda238c858b80a2512613c527732e9e) (Robert Moore)

### Tabs

#### Changes

* [Add BUILD file (#2676)](https://github.com/material-components/material-components-ios/commit/44704084dd8ae8d34f6e402a7f757a5b70446e3b) (Robert Moore)
* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)
* [Revert "Enable new ink (#2616)" (#2665)](https://github.com/material-components/material-components-ios/commit/83994481a936a47d4bec4381fa34f711c47ba486) (featherless)

### TextFields

#### Changes

* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)

### Themes

#### Changes

* [Fixed float conversion build errors (#2602)](https://github.com/material-components/material-components-ios/commit/b1ec22207f9364660d6f5583b8ab5c4b247d1311) (Randall Li)
* [Init temp variable to avoid warning / error. (#2609)](https://github.com/material-components/material-components-ios/commit/a4e0b6cbecd1a661ddc45b6df678bc0fd135be1c) (ianegordon)

### Typography

#### Changes

* [Add standard (non-Dynamic Type) font convenience method (#2629)](https://github.com/material-components/material-components-ios/commit/4da22ef2a728ed4be3db33788d36b39c23fc2736) (ianegordon)

---

# 42.0.0

## Breaking changes

`MDCFloatingButtonShapeLargeIcon` has been removed.

```
// Old code
MDCFloatingButton *button =
    [MDCFloatingButton floatingButtonWithShape:MDCFloatingButtonShapeLargeIcon];

// New code
MDCFloatingButton *button = [[MDCFloatingButton alloc] init];
```

## New deprecations

BottomSheet has a variety of new deprecations.

## New features

MDCFloatingButton has a new mode property and can now be expanded.

MDCInkView has a new delegate-based API for responding to animation events.

It's now possible to customize fonts on Tabs.

## API changes

### ActivityIndicator

#### MDCActivityIndicatorDelegate

*new* method: `-activityIndicatorModeTransitionDidFinish:` in `MDCActivityIndicatorDelegate`

### BottomSheet

#### UIViewController(MaterialBottomSheet)

*deprecated* property: `mdc_bottomSheetPresentationController` in `UIViewController(MaterialBottomSheet)`. Assign an instance of MDCBottomSheetTransition to your view controller's mdm_transitionController.transition instead.

#### MDCBottomSheetTransitionController

*deprecated* class: `MDCBottomSheetTransitionController`. Assign an instance of MDCBottomSheetTransition to your view controller's mdm_transitionController.transition instead.

#### MDCBottomSheetPresentationControllerDelegate

*deprecated* protocol: `MDCBottomSheetPresentationControllerDelegate`. This API will soon be made private. Use MDCBottomSheetController instead.

#### MDCBottomSheetPresentationController

*deprecated* class: `MDCBottomSheetPresentationController`. This API will soon be made private. Use MDCBottomSheetController instead.

### Buttons

#### MDCFloatingButton

*new* method: `-setMaximumSize:` in `MDCFloatingButton`

*new* property: `imageTitleSpace` in `MDCFloatingButton`

*new* method: `-setContentEdgeInsets:` in `MDCFloatingButton`

*new* method: `-setMinimumSize:` in `MDCFloatingButton`

*new* property: `imageLocation` in `MDCFloatingButton`

*new* method: `-setMinimumSize:forShape:inMode:` in `MDCFloatingButton`

*new* property: `mode` in `MDCFloatingButton`

*new* method: `-setHitAreaInsets:forShape:inMode:` in `MDCFloatingButton`

*new* method: `-setContentEdgeInsets:forShape:inMode:` in `MDCFloatingButton`

*new* method: `-setHitAreaInsets:` in `MDCFloatingButton`

*new* method: `-setMaximumSize:forShape:inMode:` in `MDCFloatingButton`

#### MDCFloatingButtonMode

*new* enum value: `MDCFloatingButtonModeExpanded` in `MDCFloatingButtonMode`

*new* enum value: `MDCFloatingButtonModeNormal` in `MDCFloatingButtonMode`

*new* enum: `MDCFloatingButtonMode`

#### MDCFloatingButtonShape

*removed* enum value: `MDCFloatingButtonShapeLargeIcon` in `MDCFloatingButtonShape`

#### MDCFloatingButtonImageLocation

*new* enum value: `MDCFloatingButtonImageLocationLeading` in `MDCFloatingButtonImageLocation`

*new* typedef: `MDCFloatingButtonImageLocation`

*new* enum: `MDCFloatingButtonImageLocation`

*new* enum value: `MDCFloatingButtonImageLocationTrailing` in `MDCFloatingButtonImageLocation`

### Ink

#### MDCInkView

*new* property: `animationDelegate` in `MDCInkView`

#### MDCInkViewDelegate

*new* method: `-inkAnimationDidStart:` in `MDCInkViewDelegate`

*new* method: `-inkAnimationDidEnd:` in `MDCInkViewDelegate`

*new* protocol: `MDCInkViewDelegate`

### Tabs

#### MDCTabBar

*new* property: `selectedItemTitleFont` in `MDCTabBar`

*new* property: `titleTextTransform` in `MDCTabBar`

*new* property: `unselectedItemTitleFont` in `MDCTabBar`

#### MDCTabBarTextTransform

*new* enum: `MDCTabBarTextTransform`

*new* enum value: `MDCTabBarTextTransformAutomatic` in `MDCTabBarTextTransform`

*new* typedef: `MDCTabBarTextTransform`

*new* enum value: `MDCTabBarTextTransformUppercase` in `MDCTabBarTextTransform`

*new* enum value: `MDCTabBarTextTransformNone` in `MDCTabBarTextTransform`

## Component changes

### ActivityIndicator

#### Changes

* [Add a delegate callback for the activity indicator mode animation (#2537)](https://github.com/material-components/material-components-ios/commit/beac4fa1502646227a1ce5bf660fc1542e023af8) (John Detloff)
* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### AppBar

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[AppBar:ColorThemer] Add nullability annotations (#2536)](https://github.com/material-components/material-components-ios/commit/d0026701b4a2f7f6c1a2a1da43fbb285e6ed7483) (Brian Moore)

### BottomAppBar

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)

### BottomNavigation

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Ensure item top and bottom content insets are identical (#2579)](https://github.com/material-components/material-components-ios/commit/4bae4dc17880de31c7580fe001c92d487634770c) (Junius Gunaratne)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[Ink] Use updated ink for bottom navigation (#2567)](https://github.com/material-components/material-components-ios/commit/17cea995c708622602ad3f39aae42d464f2999c6) (Junius Gunaratne)
* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### BottomSheet

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Deprecate to-be-removed APIs. (#2539)](https://github.com/material-components/material-components-ios/commit/411eaec1904d51835f548286100095286e6a99d2) (featherless)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)

### ButtonBar

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[Cleanup] remove checks for iOS8 and above as we now only support iOS8+ (#2555)](https://github.com/material-components/material-components-ios/commit/f9e187feb4096c5388a3495d1ac7123a9447840f) (Yarden Eitan)
* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### Buttons

#### Changes

* [Add BUILD file for kokoro (#2599)](https://github.com/material-components/material-components-ios/commit/0b91616d9aaeb3844770dabd7b82b6c9e81471e7) (Robert Moore)
* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Extended FAB (#2563)](https://github.com/material-components/material-components-ios/commit/2d8333d7d83dabafe64bdb6dfa96031f99d89f57) (Robert Moore)
* [Readability for newlines (#2568)](https://github.com/material-components/material-components-ios/commit/f01c39d050b23b30555c1e963ff258313641b6a5) (Robert Moore)
* [Rename `imageTitleSpace` (#2565)](https://github.com/material-components/material-components-ios/commit/c35ddaa8733e4825f2a5db404c257f4dcdedec35) (Robert Moore)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[Ink] Enable updated ink on MDCButton, add support for shadowPaths (#2530)](https://github.com/material-components/material-components-ios/commit/c9d1b7163db9f09c62f2acc596e54897a8b1282b) (Junius Gunaratne)
* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### CollectionCells

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[Ink] Enable updated ink for collection views (#2546)](https://github.com/material-components/material-components-ios/commit/10047dfbc9536c2f9dbb16c4a5870280a8bb7173) (Junius Gunaratne)

### Dialogs

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Call actionHandlers after the alert has been dismissed (#2490)](https://github.com/material-components/material-components-ios/commit/fa22f6d39e3797486f7049b3bb8898e3b7f1ef81) (ianegordon)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[Cleanup] remove checks for iOS8 and above as we now only support iOS8+ (#2555)](https://github.com/material-components/material-components-ios/commit/f9e187feb4096c5388a3495d1ac7123a9447840f) (Yarden Eitan)
* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### FeatureHighlight

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### FlexibleHeader

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[Cleanup] remove checks for iOS8 and above as we now only support iOS8+ (#2555)](https://github.com/material-components/material-components-ios/commit/f9e187feb4096c5388a3495d1ac7123a9447840f) (Yarden Eitan)
* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### HeaderStackView

#### Changes

* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### Ink

#### Changes

* [Add MDCInkViewDelegate (#2558)](https://github.com/material-components/material-components-ios/commit/c3695264cf55009f078fcb8503dcc846dea87371) (Junius Gunaratne)
* [Change ink fade out timing (#2576)](https://github.com/material-components/material-components-ios/commit/3078879b422535f68edf93ef42d48d7607d8b74b) (Junius Gunaratne)
* [Enable updated ink on MDCButton, add support for shadowPaths (#2530)](https://github.com/material-components/material-components-ios/commit/c9d1b7163db9f09c62f2acc596e54897a8b1282b) (Junius Gunaratne)
* [Prevent ink layers from collecting. Copy sublayers before calling removeFromSuperlayer (#2596)](https://github.com/material-components/material-components-ios/commit/1c99b810ecfc0a373413ab02ec38ab002bff82ec) (Junius Gunaratne)
* [Use updated ink for bottom navigation (#2567)](https://github.com/material-components/material-components-ios/commit/17cea995c708622602ad3f39aae42d464f2999c6) (Junius Gunaratne)
* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### LibraryInfo

#### Changes

* [Fix version numbers for statically-compiled components. (#2544)](https://github.com/material-components/material-components-ios/commit/6da7d0af51044faec13fec2800cb1c33ec8b74b4) (Adrian Secord)

### MaskedTransition

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)

### NavigationBar

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### PageControl

#### Changes

* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### ProgressView

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Execute the same logical paths for completion and animation. (#2564)](https://github.com/material-components/material-components-ios/commit/9efe297a4c613cc77678edd2397b2a538ad42dab) (featherless)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### ShadowLayer

#### Changes

* [Animate shadow resizing (#2523)](https://github.com/material-components/material-components-ios/commit/7e2d44522e43852499ebd2c803de464dd56066e3) (Sam Morrison)

### Snackbar

#### Changes

* [Using block typdef to silence warning as error. (#2573)](https://github.com/material-components/material-components-ios/commit/d555a8d7aaeff4ac1c88098f9771b82f2fa8a23a) (Randall Li)

### Tabs

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Allow customization of fonts and text transform (#2547)](https://github.com/material-components/material-components-ios/commit/8463e9b46baa133b40ddde502f9dced9ff1afd8c) (Brian Moore)
* [Enable new ink (#2616)](https://github.com/material-components/material-components-ios/commit/64425cd469716c717e074ebb990efe931b4bf873) (Junius Gunaratne)
* [Replace mdc_animateWithTimingFunction with standard UIKit/QuartzCore APIs. (#2548)](https://github.com/material-components/material-components-ios/commit/cfde77c40061d1c0a8dc0f66cf7e91282e427dcb) (featherless)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[Cleanup] remove checks for iOS8 and above as we now only support iOS8+ (#2555)](https://github.com/material-components/material-components-ios/commit/f9e187feb4096c5388a3495d1ac7123a9447840f) (Yarden Eitan)
* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### TextFields

#### Changes

* [Add compile time flag for import style (#2562)](https://github.com/material-components/material-components-ios/commit/6791dc4993d3a0ffa11735eeeef0583102621d52) (Louis Romero)
* [Removing extra calls in setupClearButton. (#2541)](https://github.com/material-components/material-components-ios/commit/2b8200185bb70c113933c2e04905e796efaec360) (Will Larche)
* [Revert "Add compile time flag for import style (#2562)" (#2612)](https://github.com/material-components/material-components-ios/commit/b9404ded10fe549f211c01ecfdd1ee3c15fdf9fe) (featherless)
* [[Cleanup] remove checks for iOS8 and above as we now only support iOS8+ (#2555)](https://github.com/material-components/material-components-ios/commit/f9e187feb4096c5388a3495d1ac7123a9447840f) (Yarden Eitan)
* [[Themers] Add nullability to themers (#2551)](https://github.com/material-components/material-components-ios/commit/7dc94709434595060c8534f5126c2bdaecc4afca) (Junius Gunaratne)

### Themes

#### Changes

* [Add BUILD file for kokoro (#2601)](https://github.com/material-components/material-components-ios/commit/a33df5ad4ba8de35c638f8b1fca857d8b8019b30) (Robert Moore)

---

# 41.0.0

## API changes

### Dialogs

**new** class: `MDCDialogTransition`.

### Ink

**breaking** **changed** property signature: `MDCInkView`'s `inkColor` from `null_resettable` to `nonnull`.

**new** property: `usesLegacyInkRipple`.

### Snackbar

**breaking** `MDCSnackbarMessage`'s public APIs have all been annotated with nullability annotations.

### TextFields

**new** class: `MDCIntrinsicHeightTextView`.

**changed** property signature: `MDCMultilineTextField`'s textView changed from `UITextView` to `MDCIntrinsicHeightTextView`.

## Component changes

### BottomAppBar

#### Changes

* [Fixed some compiler warnings (#2426)](https://github.com/material-components/material-components-ios/commit/2f29f00d8665ee177e8ad09fc0d7c2a4547ff6f2) (Randall Li)

### Buttons

#### Changes

* [Fixed some compiler warnings (#2426)](https://github.com/material-components/material-components-ios/commit/2f29f00d8665ee177e8ad09fc0d7c2a4547ff6f2) (Randall Li)

### Dialogs

#### Changes

* [Fixed some compiler warnings (#2426)](https://github.com/material-components/material-components-ios/commit/2f29f00d8665ee177e8ad09fc0d7c2a4547ff6f2) (Randall Li)
* [Migrate to Material Motion. (#2481)](https://github.com/material-components/material-components-ios/commit/211ca772ea0456b56e522c0c67bd44312ddfe4d1) (featherless)

### FeatureHighlight

#### Changes

* [Minor fix of comment block notation. (#2503)](https://github.com/material-components/material-components-ios/commit/52f0c766b00d9020a2f249a99c2cbfbe0ec29880) (featherless)

### FlexibleHeader

#### Changes

* [Fixed some compiler warnings (#2426)](https://github.com/material-components/material-components-ios/commit/2f29f00d8665ee177e8ad09fc0d7c2a4547ff6f2) (Randall Li)

### Ink

#### Changes

* [Retrofit new ink layer with updated animation into existing ink API (#2488)](https://github.com/material-components/material-components-ios/commit/a27d49408a10282e4340436e13dc1ecbe57612d2) (Junius Gunaratne)

### MaskedTransition

#### Changes

* [Bump the transitioning dependency to v5.0.0 (#2525)](https://github.com/material-components/material-components-ios/commit/38323773823742d130fd66bb076fc406d6da8678) (featherless)

### PageControl

#### Changes

* [Fixed some compiler warnings (#2426)](https://github.com/material-components/material-components-ios/commit/2f29f00d8665ee177e8ad09fc0d7c2a4547ff6f2) (Randall Li)

### ProgressView

#### Changes

* [Fixed some compiler warnings (#2426)](https://github.com/material-components/material-components-ios/commit/2f29f00d8665ee177e8ad09fc0d7c2a4547ff6f2) (Randall Li)

### ShadowElevations

#### Changes

* [Fixed some compiler warnings (#2426)](https://github.com/material-components/material-components-ios/commit/2f29f00d8665ee177e8ad09fc0d7c2a4547ff6f2) (Randall Li)
* [[Shadow*] Add BUILD files for shadow components. (#2510)](https://github.com/material-components/material-components-ios/commit/d24789f484d50ff8437b9b1fdcb4c6ae0577fcff) (featherless)

### ShadowLayer

#### Changes

* [Add support for implicitly animating the shadow layer's elevation using MotionAnimator. (#2509)](https://github.com/material-components/material-components-ios/commit/e38ac60ffd4b9f377249986180ee650c020f7cb4) (featherless)
* [[Shadow*] Add BUILD files for shadow components. (#2510)](https://github.com/material-components/material-components-ios/commit/d24789f484d50ff8437b9b1fdcb4c6ae0577fcff) (featherless)

### Slider

#### Changes

* [Fixed some compiler warnings (#2426)](https://github.com/material-components/material-components-ios/commit/2f29f00d8665ee177e8ad09fc0d7c2a4547ff6f2) (Randall Li)

### Snackbar

#### Changes

* [Add nullability annotations to types defined in MDCSnackbarMessage.h (#2445)](https://github.com/material-components/material-components-ios/commit/e8e3c8cd8087a5aadf5ca001ade4d6516a025403) (Benjamin Deming)

### Tabs

#### Changes

* [Add missing import (#2534)](https://github.com/material-components/material-components-ios/commit/b6c054383ade56653bf91835b72361b0e2d49b8f) (featherless)
* [Fixed some compiler warnings (#2426)](https://github.com/material-components/material-components-ios/commit/2f29f00d8665ee177e8ad09fc0d7c2a4547ff6f2) (Randall Li)

### TextFields

#### Changes

* [Adding legacy storyboard. (#2517)](https://github.com/material-components/material-components-ios/commit/47ed556783e804fccfb0e6c53a80d1fa91847b68) (Will Larche)
* [Correcting class of the textview to match the new class required for MDCMultilineTextField. (#2519)](https://github.com/material-components/material-components-ios/commit/0496c225496d2c52cc131835e245de1da8dfd2b4) (Will Larche)
* [Fixes bug: multiline having ambiguous height in the text view (#2489)](https://github.com/material-components/material-components-ios/commit/35727c12495a18357c483b5d1ddacf978d315854) (Will Larche)
* [TrailingView tests. (#2516)](https://github.com/material-components/material-components-ios/commit/7937f1b5c966bbe839d90629d6081e3e6ca39255) (Will Larche)
* [Updating encoding and copying. (#2515)](https://github.com/material-components/material-components-ios/commit/6f48a43b53d7ad0101c05ea57dd07b3107ea020f) (Will Larche)

### Typography

#### Changes

* [Fixed some compiler warnings (#2426)](https://github.com/material-components/material-components-ios/commit/2f29f00d8665ee177e8ad09fc0d7c2a4547ff6f2) (Randall Li)

# 40.1.1

## Component changes

### Tabs

#### Changes

* [Add missing import (#2534)](https://github.com/material-components/material-components-ios/commit/8f56a94eb34370a442856f565b0ee44fe4832f32) (featherless)

# 40.1.0

## API Changes

### AnimationTiming

* New enums: `MDCAnimationTimingFunctionStandard`, `MDCAnimationTimingFunctionDeceleration`, and `MDCAnimationTimingFunctionAcceleration`.

### BottomSheet

* New class: `MDCBottomSheetTransition`.

### Tabs

* New property: `-selectionIndicatorTemplate`.

* New class: `MDCTabBarIndicatorAttributes`.

* New protocol: `MDCTabBarIndicatorContext`.

* New Protocol: `MDCTabBarIndicatorTemplate`.

* New class: `MDCTabBarUnderlineIndicatorTemplate`.

### Themes

* New conformity: `MDCColorScheme` now conforms to `NSObject`.

## Component changes

### ActivityIndicator

#### Changes

* [Convert motion spec to an Objective-C static class. (#2451)](https://github.com/material-components/material-components-ios/commit/68356bbd908417606edefa083866a1a1bd2f2716) (featherless)
* [Make the motion spec values be class properties. (#2473)](https://github.com/material-components/material-components-ios/commit/2a3b2d12200f475e4dbbf4011b207f8079d04e2a) (featherless)
* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [Use framework-style imports. (#2428)](https://github.com/material-components/material-components-ios/commit/c3615fa300e7fa2bc0cb188bf2caeced5cd33747) (Sylvain Defresne)
* [[Kokoro] Support for TextFields, Math, and Typography (#2432)](https://github.com/material-components/material-components-ios/commit/1bd5590bbb19a28f1869733588535429b4642015) (Will Larche)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### AnimationTiming

#### Changes

* [Rename animation timing curves to match spec. (#2370)](https://github.com/material-components/material-components-ios/commit/93f7d880baf66ece00dbe02c120307785c041aaa) (Cody Weaver)
* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [Update animation timing README and examples (#2444)](https://github.com/material-components/material-components-ios/commit/6049093d2aa2d80a22e0cf586621ebc8b69325ef) (Cody Weaver)

### AppBar

#### Changes

* [Automated header standardization by the kokoro script. (#2472)](https://github.com/material-components/material-components-ios/commit/d1b31cab6acaf665e968a59524372e6f24f4520c) (featherless)
* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [Use framework-style imports. (#2428)](https://github.com/material-components/material-components-ios/commit/c3615fa300e7fa2bc0cb188bf2caeced5cd33747) (Sylvain Defresne)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### BottomAppBar

#### Changes

* [Implement viewSafeAreaInsetsDidChange (#2466)](https://github.com/material-components/material-components-ios/commit/fbbab80570a1385f697f9476b4bca07f7bd43a8b) (Junius Gunaratne)
* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [Use framework-style imports. (#2428)](https://github.com/material-components/material-components-ios/commit/c3615fa300e7fa2bc0cb188bf2caeced5cd33747) (Sylvain Defresne)

### BottomNavigation

#### Changes

* [Adding app bar navigation to demo (#2430)](https://github.com/material-components/material-components-ios/commit/a7e0a0163681d6a52c6681e47e4dc9d09d57a6f9) (Junius Gunaratne)
* [Implement viewSafeAreaInsetsDidChange (#2465)](https://github.com/material-components/material-components-ios/commit/36cf023a96a674e6e6c7faaf5d3997a31781bb39) (Junius Gunaratne)
* [Use framework-style imports. (#2428)](https://github.com/material-components/material-components-ios/commit/c3615fa300e7fa2bc0cb188bf2caeced5cd33747) (Sylvain Defresne)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### BottomSheet

#### Changes

* [Convert to Material Motion. (#2400)](https://github.com/material-components/material-components-ios/commit/c9ef0366c1525be0f5c384cf90703ab73dbcf3e3) (featherless)
* [Fix build breakage due to floating point conversions. (#2449)](https://github.com/material-components/material-components-ios/commit/abc6ab9f91141e4884830d0b9cbcbb59891894ef) (featherless)
* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)

### ButtonBar

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [Use framework-style imports. (#2428)](https://github.com/material-components/material-components-ios/commit/c3615fa300e7fa2bc0cb188bf2caeced5cd33747) (Sylvain Defresne)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### Buttons

#### Changes

* [Automated header standardization by the kokoro script. (#2472)](https://github.com/material-components/material-components-ios/commit/d1b31cab6acaf665e968a59524372e6f24f4520c) (featherless)
* [Fix example storyboard module (#2427)](https://github.com/material-components/material-components-ios/commit/108aa31fb982f9ae497edca8cc2312154153d220) (Robert Moore)
* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [Update layer elevation only on change (#2484)](https://github.com/material-components/material-components-ios/commit/4f9f95a24433f3dfb69f0439202eae6eb8451ee9) (Robert Moore)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### Chips

#### Changes

* [Fix private header import (#2434)](https://github.com/material-components/material-components-ios/commit/527b093bc8e158a6383914b50d8206023ce8ee59) (Sam Morrison)
* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)

### CollectionCells

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [Use framework-style imports. (#2428)](https://github.com/material-components/material-components-ios/commit/c3615fa300e7fa2bc0cb188bf2caeced5cd33747) (Sylvain Defresne)

### Collections

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)

### Dialogs

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [Use framework-style imports. (#2428)](https://github.com/material-components/material-components-ios/commit/c3615fa300e7fa2bc0cb188bf2caeced5cd33747) (Sylvain Defresne)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### FeatureHighlight

#### Changes

* [Automated header standardization by the kokoro script. (#2472)](https://github.com/material-components/material-components-ios/commit/d1b31cab6acaf665e968a59524372e6f24f4520c) (featherless)
* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### FlexibleHeader

#### Changes

* [Automated header standardization by the kokoro script. (#2472)](https://github.com/material-components/material-components-ios/commit/d1b31cab6acaf665e968a59524372e6f24f4520c) (featherless)
* [Fix bug where insets wouldn't be removed from the old tracking scroll view when a new one was set. (#2498)](https://github.com/material-components/material-components-ios/commit/882c71ae1166f1c3929075a71c0324ec890b76b4) (featherless)
* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)
* [[kokoro] Specify ios_multi_cpus and ios_minimum_os when building against bazel. (#2458)](https://github.com/material-components/material-components-ios/commit/bac12681f514bfb3e003a1efad4315193b97594b) (featherless)

### HeaderStackView

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### Ink

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### LibraryInfo

#### Changes

* [Clean up warning flags (#2456)](https://github.com/material-components/material-components-ios/commit/b558c28e34e4037475ade8fb4d8e0c78ca31294d) (Adrian Secord)

### MaskedTransition

#### Changes

* [Convert motion spec to an Objective-C static class. (#2460)](https://github.com/material-components/material-components-ios/commit/2ab8cf5c78e17d33fb0906657609e077fb7e02c5) (featherless)

### NavigationBar

#### Changes

* [Automated header standardization by the kokoro script. (#2472)](https://github.com/material-components/material-components-ios/commit/d1b31cab6acaf665e968a59524372e6f24f4520c) (featherless)
* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [Use framework-style imports. (#2428)](https://github.com/material-components/material-components-ios/commit/c3615fa300e7fa2bc0cb188bf2caeced5cd33747) (Sylvain Defresne)
* [[NavBar] Fix custom title view on iOS 11. (#2437)](https://github.com/material-components/material-components-ios/commit/8b267bc787325bf5d28db77afa7ccec97cfb6a03) (Andrés)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### PageControl

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### Palettes

#### Changes

* [Clean up warning flags (#2456)](https://github.com/material-components/material-components-ios/commit/b558c28e34e4037475ade8fb4d8e0c78ca31294d) (Adrian Secord)

### ProgressView

#### Changes

* [Convert motion spec to an Objective-C static class. (#2452)](https://github.com/material-components/material-components-ios/commit/a4d0a8512accb2ed9678a9de37a2c3c84b26992f) (featherless)
* [Make the motion spec values be class properties. (#2474)](https://github.com/material-components/material-components-ios/commit/fceb3e8314e1574d973a2b8f6ac5bf8e6d1bf27a) (featherless)
* [Use framework-style imports. (#2428)](https://github.com/material-components/material-components-ios/commit/c3615fa300e7fa2bc0cb188bf2caeced5cd33747) (Sylvain Defresne)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### Slider

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### Snackbar

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)

### Tabs

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [Selection indicator templates (#2384)](https://github.com/material-components/material-components-ios/commit/e558394e6eaf148bdd83704c42face9473fcaab8) (Brian Moore)
* [Use framework-style imports. (#2428)](https://github.com/material-components/material-components-ios/commit/c3615fa300e7fa2bc0cb188bf2caeced5cd33747) (Sylvain Defresne)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### TextFields

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [Reverting change that caused regression. (#2492)](https://github.com/material-components/material-components-ios/commit/8472a0ad799cad0fcb07460143e1fdb458146e85) (Will Larche)
* [Use framework-style imports. (#2428)](https://github.com/material-components/material-components-ios/commit/c3615fa300e7fa2bc0cb188bf2caeced5cd33747) (Sylvain Defresne)
* [[Kokoro] Support for TextFields, Math, and Typography (#2432)](https://github.com/material-components/material-components-ios/commit/1bd5590bbb19a28f1869733588535429b4642015) (Will Larche)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### Themes

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [[Themer] Updating the protocol generic syntax. (#2440)](https://github.com/material-components/material-components-ios/commit/d9e0811a819b463a128e8ece569ea5d6e444aed8) (Will Larche)

### Typography

#### Changes

* [Replace unnecessary imports with forward declarations (#2429)](https://github.com/material-components/material-components-ios/commit/2a966822308c5fb2416081480ebf59a5734f1b66) (Yurii Samsoniuk)
* [[Kokoro] Support for TextFields, Math, and Typography (#2432)](https://github.com/material-components/material-components-ios/commit/1bd5590bbb19a28f1869733588535429b4642015) (Will Larche)

# 40.0.3

* [Chips] Fix private header import (#2434)

# 40.0.2

* Fix missing step from 40.0.1: update version numbers throughout library.

# 40.0.1

* [Catalog] Added Import to catalog’s AppDelegate.

# 40.0.0

## API Changes

### Bottom Sheet

* Added `trackingScrollView` property to support better dragging.

### Chips (new)

* Added [Chips](https://material.io/go/design-chips).

### LibraryInfo (new)

* Added LibraryInfo for accessing information about the MDC library itself.

### Tabs

* Added `[MDCTabBar defaultHeightForBarPosition:itemAppearance:]`.

### Text Fields

* Refactored [color theming support](https://github.com/material-components/material-components-ios/pull/2416).

## Component changes

### ActivityIndicator

#### Changes

* [Fix bug where outer rotation was incorrect in determinate state. (#2390)](https://github.com/material-components/material-components-ios/commit/c25d6e32485ea3837d5a333c79ce3ba18fc899a3) (featherless)
* [Prefix the motion spec with the API name. (#2387)](https://github.com/material-components/material-components-ios/commit/13b0631515888140172ac8b923a40a541492a9fe) (featherless)
* [Replace Motion relative imports with framework imports throughout the repo. (#2424)](https://github.com/material-components/material-components-ios/commit/30c9fcb84116ef47ec1d5e629dee06b85962f1aa) (featherless)
* [[ProgressView|ActivityIndicator] Fix build (#2385)](https://github.com/material-components/material-components-ios/commit/114b2e28cd03218a0196663a2ba6ce937d0b8df8) (Brian Moore)

### AppBar

#### Changes

* [[FlexibleHeader] Add hideViewWhenShifted API. (#2317)](https://github.com/material-components/material-components-ios/commit/f11269ad6b15cb50f9b137a4a0ff7512058166da) (Andrés)

### BottomNavigation

#### Changes

* [Update bottom navigation bar defaults to match native component height and orientation behavior (#2411)](https://github.com/material-components/material-components-ios/commit/106de4a6bf8a719e9b1aa6f48e1a58da84af5f16) (Junius Gunaratne)

### BottomSheet

#### Changes

* [Add BUILD file for kokoro + bazel support. (#2396)](https://github.com/material-components/material-components-ios/commit/5c87a3fd9a43cfdf57e14be69e743f3d3f27e351) (featherless)
* [Add a trackingScrollView API to the bottom sheet controller. (#2420)](https://github.com/material-components/material-components-ios/commit/d30b396671021a9b540158c0ca446b8d174046d6) (featherless)
* [Don't set the frame on the draggable view until we've set the anchor point. (#2399)](https://github.com/material-components/material-components-ios/commit/4907310d3453d7ff8768cc826c9abfe0312ef01a) (featherless)
* [Remove umbrella imports from source files. (#2397)](https://github.com/material-components/material-components-ios/commit/dbeb67977f2615686a07095e42fa6d35aa0ca476) (featherless)
* [Replace mdc_cancel category method with a C function. (#2398)](https://github.com/material-components/material-components-ios/commit/607b128566577bfd6974d9efe71d1e70b7b1b75d) (featherless)
* [Safe Area fixes (#2392)](https://github.com/material-components/material-components-ios/commit/c6e8803c86ceb90bd48571408fb15b02caa9a891) (Andrés)

### Chips

#### Changes

* [Chip component (#2389)](https://github.com/material-components/material-components-ios/commit/7c8131b672e9aa296f2dcde47d36d5faace268ee) (Sam Morrison)

### Collections

#### Changes

* [Support SafeAreaInsets in MDCCollectionInfoBarView. (#2378)](https://github.com/material-components/material-components-ios/commit/8cda30a778236df51ae9da5a067476abc67f4862) (Andrés)
* [Use MDCPalettes for info bar colors (#2364)](https://github.com/material-components/material-components-ios/commit/2f1921b64e6aed760fea68491a8ea5a2591713b6) (Yurii Samsoniuk)

### FlexibleHeader

#### Changes

* [Add hideViewWhenShifted API. (#2317)](https://github.com/material-components/material-components-ios/commit/f11269ad6b15cb50f9b137a4a0ff7512058166da) (Andrés)

### LibraryInfo

#### Changes

* [Add new LibraryInfo component (attempt #2) (#2412)](https://github.com/material-components/material-components-ios/commit/1a24b7cb9ed93f2e0196d0839e0e5fa11674a40f) (Adrian Secord)

### MaskedTransition

#### Changes

* [Update the component with MotionAnimator v2 APIs. (#2386)](https://github.com/material-components/material-components-ios/commit/655712a616129dd4253091687e30892c47ffd814) (featherless)

### PageControl

#### Changes

* [Corrected comment that references file name of the strings file. (#2394)](https://github.com/material-components/material-components-ios/commit/e63e9ad595a2f87e2d965c44ede89b0a81ff1904) (Randall Li)

### ProgressView

#### Changes

* [Replace Motion relative imports with framework imports throughout the repo. (#2424)](https://github.com/material-components/material-components-ios/commit/30c9fcb84116ef47ec1d5e629dee06b85962f1aa) (featherless)
* [[ProgressView|ActivityIndicator] Fix build (#2385)](https://github.com/material-components/material-components-ios/commit/114b2e28cd03218a0196663a2ba6ce937d0b8df8) (Brian Moore)

### Slider

#### Changes

* [Correct colors for slider default light color scheme (#2409)](https://github.com/material-components/material-components-ios/commit/74d700e466155aa3475241a83ae37c1973cb65cb) (John Detloff)
* [Use MDCPalettes for default thumb track color (#2369)](https://github.com/material-components/material-components-ios/commit/f437e8187a405c9e320b647e66ca0b110e5ff8df) (Yurii Samsoniuk)

### Tabs

#### Changes

* [Remove incorrect layout optimization (#2422)](https://github.com/material-components/material-components-ios/commit/c1397792ccca4f403ff51fbb026df64b44492228) (Brian Moore)
* [Use bottom position when determining the bottom tab bar's height (#2375)](https://github.com/material-components/material-components-ios/commit/ba097149c4f4c1dd6f2161ca7f7994829273ba40) (Brian Moore)

### TextFields

#### Changes

* [Complete theming of controllers (#2416)](https://github.com/material-components/material-components-ios/commit/93cc72187f8f376cf36747c06d6ecec328533bcb) (Will Larche)

### Themes

#### Changes

* [[TextFields] Complete theming of controllers (#2416)](https://github.com/material-components/material-components-ios/commit/93cc72187f8f376cf36747c06d6ecec328533bcb) (Will Larche)

# 39.0.0

## API Changes

### Animation Timing

* Added the `MDCAnimationTimingFunctionSharp` timing function [from the spec](https://material.io/guidelines/motion/duration-easing.html#duration-easing-natural-easing-curves).

### Bottom Navigation

* Added `MDCBottomNavigationBarDelegate` with controls on selecting items.

### Button

* Added `minimumSize` and `maximumSize` properties.

### Ink

* Added `injectedInkViewForView` convenience function to find an ink view in a view hierarchy.

### Slider

* Added `disabledColor` property.

### Text Fields

* Added `MDCMultilineTextField` `expandsOnOverflow` and `placeholder` text properties.
* The `MDCTextInput` `expandsOnOverflow` property is no longer IBInspectable.

## Component changes

### ActivityIndicator

#### Changes

* [Add a mode switch for the configurator example. (#2341)](https://github.com/material-components/material-components-ios/commit/26297be7d6a97c68caa0ea86a16893cec3de472a) (featherless)
* [Extract motion spec and use the Material Motion Animator for all animations. (#2344)](https://github.com/material-components/material-components-ios/commit/8e6da0f4973b202f4f7334e33bd2747f7ff05bec) (featherless)
* [Fix bug where the indeterminate animation stroke end would animate too quickly. (#2345)](https://github.com/material-components/material-components-ios/commit/4923871005b8756144c919c146478717e4f7042b) (featherless)
* [Implement sizeThatFits on MDCActivityIndicator (#2380)](https://github.com/material-components/material-components-ios/commit/bfe59c010f8eb28cec3a02f5498e712575fa91dd) (John Detloff)
* [Initial addition of kokoro and bazel continuous integration support. (#2316)](https://github.com/material-components/material-components-ios/commit/4ef8b6fdae7a92eca730eee1f9ad669f19dbc053) (featherless)
* [Remove ActivityIndicator prefix from local static consts. (#2342)](https://github.com/material-components/material-components-ios/commit/7ed14b83b91d51c2479534cf02080b3fcb960cbd) (featherless)

### AnimationTiming

#### Changes

* [Add the sharp curve. (#2329)](https://github.com/material-components/material-components-ios/commit/7b86769656def213e5f543835c7653d6570a8121) (Cody Weaver)
* [Initial addition of kokoro and bazel continuous integration support. (#2316)](https://github.com/material-components/material-components-ios/commit/4ef8b6fdae7a92eca730eee1f9ad669f19dbc053) (featherless)

### BottomNavigation

#### Changes

* [ Add protocol for responding to item selection (#2372)](https://github.com/material-components/material-components-ios/commit/9788a65695ee55d3772e0e5a1bb70f543cde20e7) (Junius Gunaratne)
* [Add bottom navigation documentation (#2313)](https://github.com/material-components/material-components-ios/commit/b218a0a379c74d4a247c14b8581d737c3f40bce5) (Junius Gunaratne)
* [Add color themer to bottom navigation bar (#2239)](https://github.com/material-components/material-components-ios/commit/4ada8e028a40a129ee41d2728ee5fd4415966d70) (Junius Gunaratne)
* [Fix example using iOS 10 API (#2357)](https://github.com/material-components/material-components-ios/commit/798f44762da90eef3fed6faffdd258ab28a65f28) (Robert Moore)

### Buttons

#### Changes

* [Add properties minimumSize, maximumSize (#2254)](https://github.com/material-components/material-components-ios/commit/5bba61686c083155e5ac1ec8d332c58ab792b541) (Robert Moore)
* [Deprecate -cornerRadius method (#2256)](https://github.com/material-components/material-components-ios/commit/4e02cc19b82a90782a8d9fbc26aaf1298e67d3da) (Robert Moore)

### CollectionCells

#### Changes

* [[Collections] Change image when accessoryType changes (#2354)](https://github.com/material-components/material-components-ios/commit/5b33ae0c0b9eec9c0b7d5296535e80a14a397733) (Robert Moore)

### FlexibleHeader

#### Changes

* [Fix bug where status bar visibility changes could cause the header size to jump. (#2321)](https://github.com/material-components/material-components-ios/commit/7e35618d2ae89a00228fe7ff3efb2399913c3c12) (featherless)
* [Fix jumping header behavior when shifting off-screen. (#2327)](https://github.com/material-components/material-components-ios/commit/28518354cf717a3d236213a43f9043ead75546e8) (featherless)
* [[FlexibleHeader+UIMetrics] Add BUILD file. (#2323)](https://github.com/material-components/material-components-ios/commit/eed027106ba71609116706ef2ea70460750c1f88) (featherless)
* [updating FlexibleHeader readme (#2318)](https://github.com/material-components/material-components-ios/commit/9175d84dd34706290e80967ce776d261f65c3f3a) (Martin Petrov)

### Ink

#### Changes

* [Add BUILD file. (#2330)](https://github.com/material-components/material-components-ios/commit/cc7033f8575c118dfecf9a1c588a322269719b45) (featherless)
* [Moved InkTouchController injectedInkViewForView: from catalog to Ink component (#2332)](https://github.com/material-components/material-components-ios/commit/fa90fc349506bc0f6e6a14f07d89467ce922c5ab) (Randall Li)

### MaskedTransition

#### Changes

* [Fix imports of private headers (#2331)](https://github.com/material-components/material-components-ios/commit/4d49d02d13c15d0a6aa2b9dac9e11aa0e68d7893) (Robert Moore)

### PageControl

#### Changes

* [Removed unused ColorFromRGB function (#2365)](https://github.com/material-components/material-components-ios/commit/342b19a67b8c2b172ad0ebc672a2d49c4b033619) (Yurii Samsoniuk)

### Palettes

#### Changes

* [Initial addition of kokoro and bazel continuous integration support. (#2316)](https://github.com/material-components/material-components-ios/commit/4ef8b6fdae7a92eca730eee1f9ad669f19dbc053) (featherless)

### ProgressView

#### Changes

* [Add a motion spec and use new implicit motion animator APIs (#2363)](https://github.com/material-components/material-components-ios/commit/d8919eb8a2ab64eb60968610f11f28b6eef727a5) (featherless)
* [Use MDCPalettes for default tint color (#2368)](https://github.com/material-components/material-components-ios/commit/3e0adf5acfe7bc86fdea3fb36150c4fc19e5d95e) (Yurii Samsoniuk)

### Slider

#### Changes

* [Create default light and dark color schemes for MDCSlider (#2362)](https://github.com/material-components/material-components-ios/commit/b9218a2e7562ae91007a580974a45deaa8863729) (John Detloff)

### TextFields

#### Changes

* [Adding a constraints update when the placeholder scale changes. (#2367)](https://github.com/material-components/material-components-ios/commit/b5dc8a79e4c067638346af258003cedea239d3e7) (Will Larche)
* [Correcting alphabetizing of some code. (#2343)](https://github.com/material-components/material-components-ios/commit/336d830895e2a633cde9414e53d5a9734c067bff) (Will Larche)
* [Fix multiline placeholder position and transform bug. PR #2 (#2360)](https://github.com/material-components/material-components-ios/commit/e13fa143a59f548d2adc80a6fb313cf29c94a4e4) (Will Larche)
* [Fixes bugs on multiline IB support (#2289)](https://github.com/material-components/material-components-ios/commit/282754e7a90aeec008365ac75b8985626a462d88) (Will Larche)
* [Some useful comments. (#2366)](https://github.com/material-components/material-components-ios/commit/0bcae8d882fcca8219929116805af8acd20a3513) (Will Larche)


# 38.1.1

No code changes. Added a missing dependency to the BottomNavigation component found after the 38.1.0 release was published.

# 38.1.0

## API Changes

### Bottom Navigation

* New component: Bottom Navigation makes it easy to explore and switch between top-level views in a single tap, similar to a UITabBar.

### Text Fields

* `MDCTextInput.cursorColor` controls the color of the blinking cursor (in the text).

## Component changes

### ActivityIndicator

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)
* [Migrated to MDFi18n. (#2246)](https://github.com/material-components/material-components-ios/commit/58ad191297559f089951cf3c0c43a0f38d77ea7d) (Yurii Samsoniuk)

### AnimationTiming

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)

### AppBar

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)
* [Migrated to MDFi18n. (#2243)](https://github.com/material-components/material-components-ios/commit/ddafafc7b1d19ac0e7e1714d35feea3e6fde742b) (Yurii Samsoniuk)

### BottomAppBar

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)
* [Migrated to MDFi18n. (#2244)](https://github.com/material-components/material-components-ios/commit/351bb832cc14ec3edeba81be8b91299035d1e144) (Yurii Samsoniuk)

### BottomNavigation

#### Changes

* [Adding bottom navigation component (#2088)](https://github.com/material-components/material-components-ios/commit/58ecc3e8e1ac6a14e447d3ceacc752e56d26afa4) (Junius Gunaratne)
* [Create Bottom Navigation Swift example (#2288)](https://github.com/material-components/material-components-ios/commit/1f8f13f151d9a5eaca594b2e35b46182e1c0f41c) (Junius Gunaratne)
* [[BotteomNavigation] Migrated to MDFi18n. (#2306)](https://github.com/material-components/material-components-ios/commit/26bf3a36dcd7200ba392ff06e1b3be1bbb2f5ad4) (Yurii Samsoniuk)

### ButtonBar

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)
* [[BottomBar] Migrated to MDFi18n. (#2245)](https://github.com/material-components/material-components-ios/commit/06671d1889c6791dc0f462cf7f7b120f50be9a2d) (Yurii Samsoniuk)

### Buttons

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)

### CollectionCells

#### Changes

* [Migrated to MDFi18n. (#2248)](https://github.com/material-components/material-components-ios/commit/6f5fb72de07d7e192ee85067916ff7110e72e9bc) (Yurii Samsoniuk)

### Collections

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)

### Dialogs

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)

### FlexibleHeader

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)
* [Update the min/max height before enforcing content insets. (#2312)](https://github.com/material-components/material-components-ios/commit/96cef4fd9ebb29792f5c8fa4c0f7c0fc97b68b67) (featherless)

### HeaderStackView

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)

### MaskedTransition

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)
* [Fix bug where transitions wouldn't complete. (#2293)](https://github.com/material-components/material-components-ios/commit/7d1f3aed00675c25ab049e5ec3ec05e7762d014f) (featherless)
* [Use the provided key path consts from MotionAnimator. (#2294)](https://github.com/material-components/material-components-ios/commit/c4b7bce94eaa04c790b6957d908d0fcde8c9a101) (featherless)

### NavigationBar

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)
* [Migrated to MDFi18n (#2280)](https://github.com/material-components/material-components-ios/commit/fd639afac18be2f52d8b30edb631212e0db7e361) (Yurii Samsoniuk)
* [[NavigationBarExamples] Swapped private/RTL with MDFi18n (#2300)](https://github.com/material-components/material-components-ios/commit/524e78705bbdc5c52b09dad326ec57830ad4571c) (Yurii Samsoniuk)

### PageControl

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)
* [safeArea fixes (#2301)](https://github.com/material-components/material-components-ios/commit/2ed1139d691baacb6b62ff06b8f6a2326cdf5ffe) (ianegordon)

### Palettes

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)

### ProgressView

#### Changes

* [[ProgressBar] Migrated to MDFi18n (#2281)](https://github.com/material-components/material-components-ios/commit/752b7af6f5fd4c88a45648c78a2409ae42e9a88e) (Yurii Samsoniuk)

### ShadowElevations

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)

### ShadowLayer

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)

### Tabs

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)
* [Internal fixes to account for the Safe Area insets. (#2261)](https://github.com/material-components/material-components-ios/commit/2d8a51e5d5d473d0753929133d54c7cbccc34eb1) (Andrés)
* [Migrated to MDFi18n (#2282)](https://github.com/material-components/material-components-ios/commit/639941a3f554127a76a1806fe0a1fc62e11da801) (Yurii Samsoniuk)
* [[Catalog] De-hardcode the status bar height from a couple of examples. (#2292)](https://github.com/material-components/material-components-ios/commit/cdfbaacec457973d7f3c144183afb931bfac8a9b) (Andrés)
* [[TabBar] Add safeAreaInsets.bottom to tabBarHeight in MDCTabBarViewController. (#2315)](https://github.com/material-components/material-components-ios/commit/ecf0e815c69f3776c81fa83f63dba044bcf7bdd0) (Andrés)

### TextFields

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)
* [Adds cursor color as parameter (#2297)](https://github.com/material-components/material-components-ios/commit/463a2831a0cf40a77ad299d9622643ef617231b8) (Will Larche)
* [Fixes clear button not reseting character count (#2277)](https://github.com/material-components/material-components-ios/commit/327c3f5ef6d92ddd4aa7214bdef49e7bbc65ff92) (Will Larche)
* [Major improvements to RTL (#2274)](https://github.com/material-components/material-components-ios/commit/e411f38259f9f9229e30a5ac42a54787e26b4b21) (Will Larche)
* [Migrated to MDFi18n (#2283)](https://github.com/material-components/material-components-ios/commit/582ddaad1d305e922444dbdeefda2c3ab1e0467c) (Yurii Samsoniuk)

### Typography

#### Changes

* [@objc annotating catalog by convention (#2305)](https://github.com/material-components/material-components-ios/commit/f98a9d42ed6d713460db20f3e08316df153b375d) (Martin Petrov)

# 38.0.1

## API Changes

None for this release.

## Component changes

### BottomAppBar

#### Changes

* [Remove unnecessary autoresizing mask (#2273)](https://github.com/material-components/material-components-ios/commit/f2463399eb626e477a9be480f3f94285a7cd59bd) (Junius Gunaratne)
* [Set nav bar frame on layout (#2272)](https://github.com/material-components/material-components-ios/commit/b3667a712f05ece21fd750e1a2d7cdae90f18c89) (Junius Gunaratne)

### FlexibleHeader

#### Changes

* [Disable content inset adjustments in the horizontal pager scroll view example's horizontal scroll view. (#2264)](https://github.com/material-components/material-components-ios/commit/b0b2a96ce40b3031d675aa2c2ea2963bd0fa33d6) (featherless)
* [Only disable automaticallyAdjustsScrollViewInsets on the parent controller when the device is running an OS older than iOS 11. (#2265)](https://github.com/material-components/material-components-ios/commit/67a810e98304b6627f61d340eebbfe08b7f374e0) (featherless)
* [[Flexible Header] Rework our enforcement of content insets. (#2263)](https://github.com/material-components/material-components-ios/commit/9c6e78fe11c66561296e281b2dda88a84dc231cc) (featherless)

### TextFields

#### Changes

* [Updating kitchen sink example to use trailing and leading views. (#2266)](https://github.com/material-components/material-components-ios/commit/035b9b4cae4eab6b36c902deb3894332fcb02223) (Will Larche)


# 38.0.0

## API Changes

## Navigation Bar

* (Swift only) `titleTextAttributes` uses a dictionary with keys of type `NSAttributedStringKey` instead of `NSString *` so, for example, `.font` should be used intead of `NSAttributedStringKey.font.rawValue`.

## Component changes

### AppBar

#### Changes

* [[AppBarExample] Load image assets using UIImage(named:in:compatibleWith:) (#2233)](https://github.com/material-components/material-components-ios/commit/0601a77200aae7f8c3b3d4e346a3a3195bcd8816) (Yurii Samsoniuk)

### BottomAppBar

#### Changes

* [Update bottom app bar for iPhone X (#2234)](https://github.com/material-components/material-components-ios/commit/9f44d52984f97263b9c85c339fc944cbdf201102) (Junius Gunaratne)

### Collections

#### Changes

* [Don't inset sections when there is a safe area inset. (#2258)](https://github.com/material-components/material-components-ios/commit/67825350b275b242e46a7e33c4a068063c44fadd) (Andrés)

### Dialogs

#### Changes

* [Set Dialog example button to open material.io (#2214)](https://github.com/material-components/material-components-ios/commit/53929d85941168a2fc27ffd486e6073f9f4e4b15) (ianegordon)

### NavigationBar

#### Changes

* [Swift 4/iOS 11 Compatibility: Updated MDCNavigationBar's titleTextAttributes property. (#2213)](https://github.com/material-components/material-components-ios/commit/cb85c9b311c26f65af978b26debf155289fec98a) (Kirk Spaziani)

# 37.0.0

## API Changes

### Text Fields

* Added `[MDCTextFieldPositioningDelegate textInputDidUpdateConstraints]`, called after the input's `updateConstraints`.
* `MDCTextInputControllerDefault`'s `floatingPlaceholderDestination` property is replaced with `floatingPlaceholderOffset` and is a `UIOffset`, not `CGPoint`.

## Component changes

### Buttons

#### Changes

* [Update layout constraint to offset buttons by 20pt upwards, move catalog functions into extension (#2194)](https://github.com/material-components/material-components-ios/commit/1c7c9cd541efbb22ef55c049305c21a984d2a42e) (Cody Weaver)
* [use modern selectors (#2207)](https://github.com/material-components/material-components-ios/commit/3762aecee3d850a8d097f27fdec9528d18b20068) (Martin Petrov)

### FlexibleHeader

#### Changes

* [Update contentInsetAdjustmentBehavior check to include ScrollableAxes (#2223)](https://github.com/material-components/material-components-ios/commit/5f5988f0023614e6f38382bafbe5f73c1bdff0a5) (Andrés)
* [inFrontOfInfiniteContent working when !trackingScrollView (#2221)](https://github.com/material-components/material-components-ios/commit/fa464bad13f88669777a593f798ab47386177c98) (Andrés)

### PageControl

#### Changes

* [Fix bug with OOB array lookup when calling scrollViewDidScroll. (#2197)](https://github.com/material-components/material-components-ios/commit/ab6aae7158e66d90e7899321c71b6b95af7fd1e3) (Moshe Kolodny)
* [use modern selectors (#2207)](https://github.com/material-components/material-components-ios/commit/3762aecee3d850a8d097f27fdec9528d18b20068) (Martin Petrov)

### Slider

#### Changes

* [Fix layout positions so UISlider isn't cropped on iPhone 4s. (#2216)](https://github.com/material-components/material-components-ios/commit/d190b646c7252621cf069393bf6937ddbc2a99ec) (Cody Weaver)

### Snackbar

#### Changes

* [Update to support safeAreaInsets (#2212)](https://github.com/material-components/material-components-ios/commit/5beada0e8dc4975979d9a1b78e44568be6a66ade) (Sam Morrison)

### Tabs

#### Changes

* [Fix a bug that where an item cell title can be missing (#2202)](https://github.com/material-components/material-components-ios/commit/5797b17934e6c021f7a942026efee1cf0c3adaa9) (Chris Silverberg)

### TextFields

#### Changes

* [Corrects cheap floating placeholder layout (2nd PR) (#2210)](https://github.com/material-components/material-components-ios/commit/17e962fb35c3f56aebd47b7720bcb6a227ced8f4) (Will Larche)


# 36.3.0

## API Changes

### Flexible Header

* Added `minMaxHeightIncludesSafeArea` to inform the component if the `minimumHeight` and `maximumHeight` properties include the safe area inset.

## Component changes

### FlexibleHeader

#### Changes

* [Introduce minMaxHeightIncludesSafeArea and fix rotation bugs. (#2184)](https://github.com/material-components/material-components-ios/commit/100d18816b7574f4c210df9c7c3afa716f661b78) (Andrés)
* [Split _hasExplicitlySetMinOrMaxHeight into two. (#2196)](https://github.com/material-components/material-components-ios/commit/1c754aee3b1dda7166babc97306c315c4d7b901d) (Andrés)

# 36.2.0

## API Changes

### Text fields

* `-[MDCTabBarControllerDelegate tabBarController:shouldSelectViewController:]` and `-[MDCTabBarControllerDelegate tabBarController:didSelectViewController:]` will be called for the currently-selected tab if the user taps the tab again (that is, the tab doesn't change). This matches Apple's behavior more closely and allows for custom behaviors.
* `MDCMultilineTextField` now has a `MDCMultilineTextInputDelegate` for useful methods not included in UITextViewDelegate.

## Component changes

### ActivityIndicator

#### Changes

* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

### AnimationTiming

#### Changes

* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

### AppBar

#### Changes

* [Make use of MDCDeviceTopSafeAreaInset. (#2186)](https://github.com/material-components/material-components-ios/commit/778d9c6b2f7ac4c10a4cc101c8c8fd3c9d500e53) (featherless)
* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

### BottomAppBar

#### Changes

* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

### BottomSheet

#### Changes

* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

### Dialogs

#### Changes

* [ Respect safe area insets (#2165)](https://github.com/material-components/material-components-ios/commit/5d0ff9467337de10d414b179440279bd5461ea4f) (ianegordon)
* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

### FlexibleHeader

#### Changes

* [Ignore safe area inset changes if we know that the status bar visibility is changing. (#2160)](https://github.com/material-components/material-components-ios/commit/e28536c27d44bc6cb0b6e10204f8bf192cfd7b9d) (featherless)
* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

### HeaderStackView

#### Changes

* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

### NavigationBar

#### Changes

* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

### ShadowElevations

#### Changes

* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)
* [Update ShadowElevations to be extensible. (#2145)](https://github.com/material-components/material-components-ios/commit/49fd0a07eaf0c01aa0f0798f13998fdfb6b68be2) (Martin Petrov)
* [Update shadow examples (#2174)](https://github.com/material-components/material-components-ios/commit/6639fb4f704854452ff391352fecae5b6be81095) (Martin Petrov)

### ShadowLayer

#### Changes

* [Update shadow examples (#2174)](https://github.com/material-components/material-components-ios/commit/6639fb4f704854452ff391352fecae5b6be81095) (Martin Petrov)
* [[ShadowElevations] Update ShadowElevations to be extensible. (#2145)](https://github.com/material-components/material-components-ios/commit/49fd0a07eaf0c01aa0f0798f13998fdfb6b68be2) (Martin Petrov)

### Snackbar

#### Changes

* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

### Tabs

#### Changes

* [Add standard Material Design shadow shadow to MDCTabBar (#2148)](https://github.com/material-components/material-components-ios/commit/660c3fb066097f8fc5a42fbda8448ce195f6499e) (Scott Atwood)
* [Always call MDCTabBarControllerDelegate methods when a tab is tapped (#2155)](https://github.com/material-components/material-components-ios/commit/d46e3a3fab33581e421db27fb5c1592a68dd9b11) (Scott Atwood)
* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

### TextFields

#### Changes

* [Clear button X value adjustment. (#2176)](https://github.com/material-components/material-components-ios/commit/7c5ef7d03ef78b2f013cbb7912c2ccd2e7b85109) (Will Larche)
* [Fix text fields overlapping labels (#2163)](https://github.com/material-components/material-components-ios/commit/75cf565fea869bb002a797c86d452704d8365d90) (Will Larche)
* [Implementing textFieldShouldClear: (#2169)](https://github.com/material-components/material-components-ios/commit/07eea020ca381a34ea8cce264becf1e8a2ba38aa) (Will Larche)
* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)
* [Some alphabetizing. (#2166)](https://github.com/material-components/material-components-ios/commit/9cb8ec36dfeca9ff94385b2c995b0198f0ecee9b) (Will Larche)

### Themes

#### Changes

* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

### Typography

#### Changes

* [Remove trailing whitespace everywhere. (#2168)](https://github.com/material-components/material-components-ios/commit/479f7b1141db4d80963f30ecf4fe9096ad5973f0) (Adrian Secord)

# 36.1.0

## API Changes

### Text fields

* Added `placeholderText` property to control the placeholder text.

## Component changes

### ActivityIndicator

#### Changes

* [Resolve issues caused by starting and stopping activitiy indicator quickly (#2053)](https://github.com/material-components/material-components-ios/commit/34f8b4e0af259585df1ea0d307c88c2c6dc15267) (John Detloff)

### Buttons

#### Changes

* [Add tests for MDCButton+Subclassing behaviors (#2136)](https://github.com/material-components/material-components-ios/commit/75e343d0fb830f9db80e7ec75d57e0f1af0b38ff) (Sam Morrison)
* [Remove test broken on travis (#2147)](https://github.com/material-components/material-components-ios/commit/4ff00d3b2a7e0df990be033d0c466d39af837aab) (Sam Morrison)

### Dialogs

#### Changes

* [Migrate to  MDFInternationalization (#2124)](https://github.com/material-components/material-components-ios/commit/c3379250de3f8d7abb86810c37b7fbb363995a85) (ianegordon)

### FlexibleHeader

#### Changes

* [Fix bug where minimumHeight of 0 would result in odd behavior. (#2139)](https://github.com/material-components/material-components-ios/commit/b7cab3bdf0776eb6e98a192e9610d280803582c2) (featherless)
* [Fix where we adjust the frame if the safe area changes. (#2146)](https://github.com/material-components/material-components-ios/commit/94e625f7817bd68590dbcc3613972eab8fcc1585) (Andrés)
* [Forward viewWillTransitionToSize events to the flexible header (#2150)](https://github.com/material-components/material-components-ios/commit/863b85a7d4ebdec672036e8411797ef74c7d2e02) (featherless)
* [Introduce minMaxHeightIncludesSafeArea. (#2123)](https://github.com/material-components/material-components-ios/commit/4a98cdaa32bd443850590610c95d3576cea32847) (Andrés)
* [Revert "Introduce minMaxHeightIncludesSafeArea. (#2123)" (#2161)](https://github.com/material-components/material-components-ios/commit/dcadf2d19c6986e6303a584c878e295377070a3e) (Andrés)

### TextFields

#### Changes

* [Adding .placeholderText to controllers (#2149)](https://github.com/material-components/material-components-ios/commit/5dae93c6c42ffb3594572a2cace4e63850c97189) (Will Larche)
* [Fixes clear button not updating the character counter. (#2143)](https://github.com/material-components/material-components-ios/commit/585571e18ad3eb47741f34ded94d2150de0b77df) (Will Larche)
* [Styling doc gif addition. (#2144)](https://github.com/material-components/material-components-ios/commit/2604acad222b1193599631cf321c6f6c9a844fab) (Will Larche)

### Themes

#### Changes

* [[TextFields] Adding .placeholderText to controllers (#2149)](https://github.com/material-components/material-components-ios/commit/5dae93c6c42ffb3594572a2cace4e63850c97189) (Will Larche)

# 36.0.0

## API Changes

### Buttons

* Converted elevation methods to use `MDCShadowElevation` type insetad of raw CGFloats.

### Palettes

* Palettes require Xcode 8+'s toolchain to compile.

### Shadow Elevations

* Introduced the `MDCShadowElevation` typedef for shadow elevation values instead of raw CGFloats.

## Component changes

### ActivityIndicator

#### Changes

* [[Mutliple components] Update components that use colors to use MDCPalette. (#2129)](https://github.com/material-components/material-components-ios/commit/a462a2ac4f10dc5e820b9927b0947655a51aff99) (Cody Weaver)

### AppBar

#### Changes

* [Example corrections. (#2108)](https://github.com/material-components/material-components-ios/commit/03fd5a02ce533bc9ab8fff06531d6c4bbbb39330) (Will Larche)
* [Fix app bar's top constraint that is buggy on iOS 11.0 (#2103)](https://github.com/material-components/material-components-ios/commit/2aa88ad4a10a4ab6e500d99d63fdd9ba051c2910) (Andrés)
* [[Catalog] Fixes improper use of Bundle and assets (#2118)](https://github.com/material-components/material-components-ios/commit/96fb533554df78d96a112524a5af43e6ecea6975) (Will Larche)

### BottomAppBar

#### Changes

* [Add readme and Swift example (#2040)](https://github.com/material-components/material-components-ios/commit/49e4ae74c6a0d3be2ed1a25fd83391a5442d1214) (Junius Gunaratne)

### BottomSheet

#### Changes

* [[Bottom Sheet] Remove script-breaking whitespace from README.md preamble.](https://github.com/material-components/material-components-ios/commit/736094fc1a4377828a432dddf0a6dfcac2f79771) (Adrian Secord)
* [[Catalog] Fixes improper use of Bundle and assets (#2118)](https://github.com/material-components/material-components-ios/commit/96fb533554df78d96a112524a5af43e6ecea6975) (Will Larche)

### Buttons

#### Changes

* [Change MDCButton to use MDCShadowElevation type instead of CGFloat. Fixes #2105.](https://github.com/material-components/material-components-ios/commit/f49aaa823cfd4efeaee09a970765eb859eb75a43) (Adrian Secord)
* [Restore alpha when re-enabled (#2095)](https://github.com/material-components/material-components-ios/commit/7d80d4677a4585094e0e202284aef4a73f05af35) (Robert Moore)

### CollectionCells

#### Changes

* [[Mutliple components] Update components that use colors to use MDCPalette. (#2129)](https://github.com/material-components/material-components-ios/commit/a462a2ac4f10dc5e820b9927b0947655a51aff99) (Cody Weaver)

### Collections

#### Changes

* [Modernize Swift in styling readme. (#2133)](https://github.com/material-components/material-components-ios/commit/f9cf78cd0fba03ddd8ecd72ec658eae414ffd2c7) (Martin Petrov)
* [Update collections to support iPhone X (#1988)](https://github.com/material-components/material-components-ios/commit/cd39384b48ac3907254ee8785774b47d783b471e) (Gauthier Ambard)
* [[Mutliple components] Update components that use colors to use MDCPalette. (#2129)](https://github.com/material-components/material-components-ios/commit/a462a2ac4f10dc5e820b9927b0947655a51aff99) (Cody Weaver)

### Dialogs

#### Changes

* [[Catalog] Fixes improper use of Bundle and assets (#2118)](https://github.com/material-components/material-components-ios/commit/96fb533554df78d96a112524a5af43e6ecea6975) (Will Larche)

### FlexibleHeader

#### Changes

* [Make sure we update the layout when the safe area changes (#2068)](https://github.com/material-components/material-components-ios/commit/4b2998a670792b5eaa20a105f6efaf4f9be5f81a) (Andrés)
* [[Catalog] Fixes improper use of Bundle and assets (#2118)](https://github.com/material-components/material-components-ios/commit/96fb533554df78d96a112524a5af43e6ecea6975) (Will Larche)
* [[Mutliple components] Update components that use colors to use MDCPalette. (#2129)](https://github.com/material-components/material-components-ios/commit/a462a2ac4f10dc5e820b9927b0947655a51aff99) (Cody Weaver)

### HeaderStackView

#### Changes

* [[Catalog] Fixes improper use of Bundle and assets (#2118)](https://github.com/material-components/material-components-ios/commit/96fb533554df78d96a112524a5af43e6ecea6975) (Will Larche)
* [[Mutliple components] Update components that use colors to use MDCPalette. (#2129)](https://github.com/material-components/material-components-ios/commit/a462a2ac4f10dc5e820b9927b0947655a51aff99) (Cody Weaver)

### NavigationBar

#### Changes

* [[Mutliple components] Update components that use colors to use MDCPalette. (#2129)](https://github.com/material-components/material-components-ios/commit/a462a2ac4f10dc5e820b9927b0947655a51aff99) (Cody Weaver)

### PageControl

#### Changes

* [Fixed crasher when resetting -numberOfPages to 0 (#2132)](https://github.com/material-components/material-components-ios/commit/f7bcc9a7ac40ae6c636251b66463884daaad1045) (Julien Poumailloux)

### ShadowElevations

#### Changes

* [Improve Swift support for shadow elevations (#2116)](https://github.com/material-components/material-components-ios/commit/a9b08ce452d8d46d0f39bc0ef524c634cec1ab48) (Junius Gunaratne)
* [Partial revert of commit bc582f4 to restore the definition of MDCShadowElevationSwitch .](https://github.com/material-components/material-components-ios/commit/960ec4a8231f4488aa99226a2f6c8aeed1204223) (Adrian Secord)
* [[MDCShadowElevations] Remove switch elevation, add bottom navigation bar elevation (#2093)](https://github.com/material-components/material-components-ios/commit/bc582f4b143e32dcdc0d7f7afe406536c67414da) (Junius Gunaratne)

### ShadowLayer

#### Changes

* [[ShadowElevations] Improve Swift support for shadow elevations (#2116)](https://github.com/material-components/material-components-ios/commit/a9b08ce452d8d46d0f39bc0ef524c634cec1ab48) (Junius Gunaratne)

### Snackbar

#### Changes

* [Move dismissal accessibility hint to .strings file (#2107)](https://github.com/material-components/material-components-ios/commit/fd166a1ec53aedd50c9c543fca0bae3c6588de9e) (Sam Morrison)

### Tabs

#### Changes

* [Invalidate layout on window change (#2122)](https://github.com/material-components/material-components-ios/commit/5135ecc27a9effaad989f2b568b35b59847be154) (Brian Moore)
* [MDCTabBarViewController should delegate status bar to children (#2126)](https://github.com/material-components/material-components-ios/commit/a0531c62f9905a7deb9612ad72e4bfc02a1a7e02) (Icycle)
* [Remove tint color from themer (#2104)](https://github.com/material-components/material-components-ios/commit/881b70a960cfb8605be355a880990ebc36fcc134) (Junius Gunaratne)
* [[Catalog] Fixes improper use of Bundle and assets (#2118)](https://github.com/material-components/material-components-ios/commit/96fb533554df78d96a112524a5af43e6ecea6975) (Will Larche)
* [[Mutliple components] Update components that use colors to use MDCPalette. (#2129)](https://github.com/material-components/material-components-ios/commit/a462a2ac4f10dc5e820b9927b0947655a51aff99) (Cody Weaver)

### TextFields

#### Changes

* [Examples bug and formatting (#2137)](https://github.com/material-components/material-components-ios/commit/b438856be2ce9ae796026ad53805def079baefb4) (Will Larche)
* [Fix broken MDCMultilineTextField build for iOS 10. (#2100)](https://github.com/material-components/material-components-ios/commit/467fdf31a5e3fb06145f2447ae8c68031edf9eb0) (Martin Petrov)
* [Fixes a broken link. (#2114)](https://github.com/material-components/material-components-ios/commit/51da715c26cefa25f9557abec35f839651d2d870) (Scott Hyndman)
* [[Catalog] Fixes improper use of Bundle and assets (#2118)](https://github.com/material-components/material-components-ios/commit/96fb533554df78d96a112524a5af43e6ecea6975) (Will Larche)

### Themes

#### Changes

* [Add documentation for material themes (#2094)](https://github.com/material-components/material-components-ios/commit/d4b428b43c3506879a644c782297bb6d3192e503) (Junius Gunaratne)

### Typography

#### Changes

* [Add example using custom font family (#2130)](https://github.com/material-components/material-components-ios/commit/7de124c318b7f8dd2e2ad35496ceed012e26760d) (Cody Weaver)
* [Match MDCTypography docs with nullability annotations (#2117)](https://github.com/material-components/material-components-ios/commit/87cb35b13ea6b1d6fcea6279e4dc9af50477eca4) (Sam Morrison)


# 35.3.0

## API Changes

### Text Fields

* New properties on `MDCTextInputController`:`inlinePlaceholderFont`, `inlinePlaceholderFontDefault`, `leadingUnderlineLabelFont, `leadingUnderlineLabelFontDefault`.
* New classes `MDCTextInputControllerFilled`, `MDCTextInputControllerOutlined`, `MDCTextInputControllerOutlinedTextArea`.

## Component changes

### AppBar

#### Changes

* [Adds example using a UITableViewController with sections. (#2051)](https://github.com/material-components/material-components-ios/commit/21e0bed4a2dbc92d590ab48550da6e5d2849667a) (Marc-Antoine Courteau)
* [Use safeAreaLayoutGuide.topAnchor instead of fixed status bar height (#2078)](https://github.com/material-components/material-components-ios/commit/ad2becaab3fe5e1ec238bcd4a43c0f7f215ce1ce) (Andrés)
* [[FlexibleHeader] Fixes to support scroll views with Safe Area insets. (#2063)](https://github.com/material-components/material-components-ios/commit/80d054e3a571604b2eb2adbc8a09cd5cfbe674a8) (Andrés)

### BottomSheet

#### Changes

* [[Dialogs] Size action buttons during layout (#2065)](https://github.com/material-components/material-components-ios/commit/a5e28488f915f03ef63eeb7ee356f00b880e42df) (Robert Moore)

### Buttons

#### Changes

* [[Catalog] Fix button examples (#2047)](https://github.com/material-components/material-components-ios/commit/d44164290f5e7fff0058cc8d8410c95c695cc48e) (Robert Moore)
* [[Swiftlint]Refactor ButtonsStoryboardAndProgrammatic.swift  (#2060)](https://github.com/material-components/material-components-ios/commit/4e4c06fd8dbe745a95dd01cad5645ae7d433f04a) (Cody Weaver)

### Dialogs

#### Changes

* [Size action buttons during layout (#2065)](https://github.com/material-components/material-components-ios/commit/a5e28488f915f03ef63eeb7ee356f00b880e42df) (Robert Moore)

### FeatureHighlight

#### Changes

* [[TextFields] Adding a doc: menu for styles (#2064)](https://github.com/material-components/material-components-ios/commit/3fc78fd868acac33d9a1ec4d22b0394a65594b0b) (Will Larche)

### FlexibleHeader

#### Changes

* [Fixes to support scroll views with Safe Area insets. (#2063)](https://github.com/material-components/material-components-ios/commit/80d054e3a571604b2eb2adbc8a09cd5cfbe674a8) (Andrés)

### MaskedTransition

#### Changes

* [Upgrade to MotionTransitioning v3.3.0. (#2077)](https://github.com/material-components/material-components-ios/commit/b238e8bbf354c88677d5785be624003f8c9df506) (featherless)

### NavigationBar

#### Changes

* [Fix layoutSubviews to take into account the safe area insets. (#2070)](https://github.com/material-components/material-components-ios/commit/80173864a8b725062084982e5f5054ace1364815) (Andrés)
* [Pixel-align title (#2043)](https://github.com/material-components/material-components-ios/commit/7f798da56be0bbb2dcdb8b02a3e5d9222158e34f) (Robert Moore)

### Tabs

#### Changes

* [Unit tests for two-line text-only tabs (#2075)](https://github.com/material-components/material-components-ios/commit/e2d79b3c7810607963a5ca67921011ff7c55e5e9) (Robert Moore)
* [[TabBar] Support 2-line labels for "top" tabs (#2028)](https://github.com/material-components/material-components-ios/commit/c50dec414c77ea0d1bc7d46975b70cb5a0662e2d) (Robert Moore)
* [[TabBar] Vertically center text tab labels (#2023)](https://github.com/material-components/material-components-ios/commit/6591e941bd28f90fd53275c44e2e68cc954f0891) (Robert Moore)

### TextFields

#### Changes

* [Adding a doc: menu for styles (#2064)](https://github.com/material-components/material-components-ios/commit/3fc78fd868acac33d9a1ec4d22b0394a65594b0b) (Will Larche)
* [Better custom fonts (#2056)](https://github.com/material-components/material-components-ios/commit/f247bae8ba3e5ea409168530ed3f0e0e068bf671) (Will Larche)
* [Fixing bug of bad intrinsicContentSize. (#2073)](https://github.com/material-components/material-components-ios/commit/41bae7a6320ff9778c323d0d9768e3cbfa976126) (Will Larche)
* [Removing unused ivar from full width. (#2058)](https://github.com/material-components/material-components-ios/commit/a09a641dc60b2f5490f83ce33acc59f4620c6865) (Will Larche)
* [Renaming classes to match the MD spec (#2061)](https://github.com/material-components/material-components-ios/commit/cde864f235cc3290ad451f3b53a37ee7f8bef43c) (Will Larche)
* [Updating markdown syntax. (#2052)](https://github.com/material-components/material-components-ios/commit/e5235ee60343dce77d9338cbc1bcd27273c2d768) (Will Larche)
* [iOS 11 example bugs fixed (#2071)](https://github.com/material-components/material-components-ios/commit/90e79dd81581ce700ad694f1bd295e0426a48a20) (Will Larche)

# 35.2.0

## API Changes

### Bottom App Bar

* New component: A bottom app bar view with an embedded floating button.

### Text Fields

* `MDCTextField.clearButtonMode` now supports UIAppearance.

## Component changes

### BottomAppBar

#### Changes

* [Add bottom app bar component to MDC (#2016)](https://github.com/material-components/material-components-ios/commit/3f5b770f2c72e8347f22dccff3ad1deb4ad047cc) (Junius Gunaratne)
* [Fix bottom app bar animation (#2034)](https://github.com/material-components/material-components-ios/commit/71c4548b205aa7d06928cebeae5be33b7b6d6158) (Junius Gunaratne)
* [Fix bottom app bar animation for leading and trailing states. (#2036)](https://github.com/material-components/material-components-ios/commit/e0ce8549b6323a0d0990411b93fc6ed4c091b113) (Junius Gunaratne)
* [Update the file creation date to the correct year (#2035)](https://github.com/material-components/material-components-ios/commit/e68fee2c677c931e262bb0df3395400daea7b442) (Junius Gunaratne)

### Buttons

#### Changes

* [Replace usage of `new`  with `alloc init` to match the style guide. (#2033)](https://github.com/material-components/material-components-ios/commit/fb32dccf2d0e87427d4c792fe811526a985a49e1) (Adrian Secord)

### FlexibleHeader

#### Changes

* [Replace usage of `new`  with `alloc init` to match the style guide. (#2033)](https://github.com/material-components/material-components-ios/commit/fb32dccf2d0e87427d4c792fe811526a985a49e1) (Adrian Secord)

### Ink

#### Changes

* [Replace usage of `new`  with `alloc init` to match the style guide. (#2033)](https://github.com/material-components/material-components-ios/commit/fb32dccf2d0e87427d4c792fe811526a985a49e1) (Adrian Secord)

### NavigationBar

#### Changes

* [[BottomAppBar] Add bottom app bar component to MDC (#2016)](https://github.com/material-components/material-components-ios/commit/3f5b770f2c72e8347f22dccff3ad1deb4ad047cc) (Junius Gunaratne)

### Tabs

#### Changes

* [Replace usage of `new`  with `alloc init` to match the style guide. (#2033)](https://github.com/material-components/material-components-ios/commit/fb32dccf2d0e87427d4c792fe811526a985a49e1) (Adrian Secord)
* [[Catalog] Fix Tabs example for rotation (#2019)](https://github.com/material-components/material-components-ios/commit/017f86f134e61eb8aa2de816bc8cc0ce3bd11528) (Robert Moore)
* [[Catalog] Update all Mono fonts to use system font (#1967)](https://github.com/material-components/material-components-ios/commit/2b160e6a7cbd4dd1991a0b5c002eafbbde593e65) (Cody Weaver)

### TextFields

#### Changes

* [Adding a missing UIAppearance support (#2027)](https://github.com/material-components/material-components-ios/commit/be93066cae09566d978c4fbe36e9de98a2bb1346) (Will Larche)
* [Improved rtl behavior (#2038)](https://github.com/material-components/material-components-ios/commit/8fe46625dff4ae2b1dd7876ef93ccef9c7d56e9c) (Will Larche)
* [Improving alphabetization and comments (#2031)](https://github.com/material-components/material-components-ios/commit/91c6226c6c0c4120a75961ebbfcf744fe4820cbd) (Will Larche)

# 35.1.0

## API Changes

### Shadows

* Added support for colored shadows.

## Component changes

### Buttons

#### Changes

* [Support colored shadows (#1965)](https://github.com/material-components/material-components-ios/commit/d19632cf0feec7cb9df5a86dc13b847c676958c8) (Robert Moore)

### Ink

#### Changes

* [Call setNeedsLayout on max ripple radius change. (#2011)](https://github.com/material-components/material-components-ios/commit/c7bb4319e1b1b59094b59499ac8682baaf277e4b) (Adrian Secord)

### NavigationBar

#### Changes

* [Use CGRectGet instead of accessing properties (#1991)](https://github.com/material-components/material-components-ios/commit/78a1b06e589df5b9259f01eaecaa1fd73fd56433) (Cody Weaver)

### PageControl

#### Changes

* [Fix bad indicator state when changing numberOfPages. (#1997)](https://github.com/material-components/material-components-ios/commit/c5988c9e0b5b56764b26166a9869ce7398ba8f95) (Moshe Kolodny)
* [Switch NSMutableArray to Swift Array. (#1998)](https://github.com/material-components/material-components-ios/commit/9b0a1dbc3cf8ecb2045de7cc4696a8e6d65ad0f6) (Moshe Kolodny)
* [Update swift example (#1979)](https://github.com/material-components/material-components-ios/commit/397a993ca29b2f64effa48edf0e2a646c7edbd09) (Cody Weaver)

### Tabs

#### Changes

* [[Catalog] Bottom Navigation example should use safeAreaInsets (#1976)](https://github.com/material-components/material-components-ios/commit/601789c8c9ee2ae81fa742dfabfce3a801e5b01b) (Robert Moore)
* [fix uppercase title override (#1992)](https://github.com/material-components/material-components-ios/commit/688c26cb6a54825f2462a90de4ebce6932bb73cf) (Elliot Schrock)

### TextFields

#### Changes

* [Adding helper text to examples. (#1994)](https://github.com/material-components/material-components-ios/commit/0d227f32119a2da2fb6d5693ca73fd0e8e69e6e6) (Will Larche)
* [Clear button mode correction. (#2002)](https://github.com/material-components/material-components-ios/commit/f8ee76c23b5980273c419b460abd0452f83384db) (Will Larche)
* [Objective-c example for outlined (#2001)](https://github.com/material-components/material-components-ios/commit/587ca2e95258602f1669a732d632e37fe900f4af) (Will Larche)
* [Padded label for placeholder for outlined style. (#1993)](https://github.com/material-components/material-components-ios/commit/986e6b2d1903289e7361a3e8c80f31aedcbf7bb5) (Will Larche)
* [Pinning clear button to top of input. (#2003)](https://github.com/material-components/material-components-ios/commit/2149c01149faf7a6bf8c1ef73a501faf1ac10b7a) (Will Larche)

# 35.0.0

## API Changes

### PageControl

* [`[MDCPageControl sizeForNumberOfPages:]` method changed from instance method to class method](https://github.com/material-components/material-components-ios/pull/1960) (Cody Weaver)

### TextFields

* [`[MDCTextInputControllerDefault floatingPlaceholderColor]` renamed to `floatingPlaceholderNormalColor`](https://github.com/material-components/material-components-ios/pull/1963), similarly `floatingPlaceholderColorDefault` and the same for `MDCTextInputControllerLegacyDefault`.

## Component changes

### BottomSheet

#### Changes

* [Added README (#1946)](https://github.com/material-components/material-components-ios/commit/5e8d4b0fbeac8d4656e855a9816adbbf64b497b7) (Cody Weaver)

### ButtonBar

#### Changes

* [- Update setting of insets to use size classes and device type (#1936)](https://github.com/material-components/material-components-ios/commit/03f9eea0169d195234c6195ca7c563d296844176) (Justin Shephard)

### Dialogs

#### Changes

* [[Dialog] Fix alert controller, title and message take half screen even they are nil (#1931)](https://github.com/material-components/material-components-ios/commit/bd55e33beea576ad5a0643eab4e5848de20b8784) (ruizhao)

### PageControl

#### Changes

* [Updated sizeForNumberOfPages to class method (#1960)](https://github.com/material-components/material-components-ios/commit/f2e89e73b87a7b25b9a3960449017c45e113f92d) (Cody Weaver)

### Snackbar

#### Changes

* [[Catalog] Fix SnackbarOverlayViewExample's use of the OverlayObserver (#1955)](https://github.com/material-components/material-components-ios/commit/6a0a5a62e5c43ef24dae480015c29171acbf102b) (Andrés)

### TextFields

#### Changes

* [Fix for placeholders being colored active when isEditing = NO (#1963)](https://github.com/material-components/material-components-ios/commit/c70d720e9b5fe9bfb35ec14a8c178a531131f18d) (Will Larche)

### Themes

#### Changes

* [Use onTintColor when styling UISwitch (#1950)](https://github.com/material-components/material-components-ios/commit/33794f7c1f435ff0b6b9553689d46c716d3db289) (Andrés)


# 34.0.2

## API Changes

None.

## Component changes

### ActivityIndicator

#### Changes

* [Use explicit class for bundle (#1930)](https://github.com/material-components/material-components-ios/commit/695712da63f18441e5d7c4bbde923f232188bd66) (Brian Moore)
* [[AnimationTiming | ActivityIndicator] Add swift examples (#1944)](https://github.com/material-components/material-components-ios/commit/7f647e0ee62cafb60220ea3315c36f073979892f) (Cody Weaver)

### AnimationTiming

#### Changes

* [[AnimationTiming | ActivityIndicator] Add swift examples (#1944)](https://github.com/material-components/material-components-ios/commit/7f647e0ee62cafb60220ea3315c36f073979892f) (Cody Weaver)

### AppBar

#### Changes

* [[Bundles] Use explicit class in bundleForClass (#1942)](https://github.com/material-components/material-components-ios/commit/7f4c4e18c594b9b31cca126e313e8db26e1553bf) (Robert Moore)
* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### ButtonBar

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### Buttons

#### Changes

* [Deprecate subclassing to set cornerRadius and contentEdgeInsets (#1896)](https://github.com/material-components/material-components-ios/commit/395177518777a355457dc0829903e47483420984) (Sam Morrison)
* [Revert  Deprecate subclassing to set cornerRadius and contentEdgeInsets (#1896) (#1948)](https://github.com/material-components/material-components-ios/commit/0e3b57c785f0c95a32515ed47b72d7205037a1db) (Sam Morrison)
* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### CollectionCells

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### Collections

#### Changes

* [[Bundles] Use explicit class in bundleForClass (#1942)](https://github.com/material-components/material-components-ios/commit/7f4c4e18c594b9b31cca126e313e8db26e1553bf) (Robert Moore)
* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### Dialogs

#### Changes

* [[Bundles] Use explicit class in bundleForClass (#1942)](https://github.com/material-components/material-components-ios/commit/7f4c4e18c594b9b31cca126e313e8db26e1553bf) (Robert Moore)
* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### FeatureHighlight

#### Changes

* [Fix broken properties (#1938)](https://github.com/material-components/material-components-ios/commit/720c2e360eebd76fae712edc6ccc5cc45cd101e8) (Sam Morrison)
* [[Bundles] Use explicit class in bundleForClass (#1942)](https://github.com/material-components/material-components-ios/commit/7f4c4e18c594b9b31cca126e313e8db26e1553bf) (Robert Moore)
* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### FlexibleHeader

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### HeaderStackView

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### MaskedTransition

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### NavigationBar

#### Changes

* [- Update the setting of edge insets to use size classes and device type, not just device type (#1933)](https://github.com/material-components/material-components-ios/commit/4551b7b2a12cce9e9d62c85d7174b6c2ea103331) (Justin Shephard)
* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### PageControl

#### Changes

* [[Bundles] Use explicit class in bundleForClass (#1942)](https://github.com/material-components/material-components-ios/commit/7f4c4e18c594b9b31cca126e313e8db26e1553bf) (Robert Moore)
* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### Palettes

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### ProgressView

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### ShadowElevations

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### ShadowLayer

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### Slider

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### Snackbar

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### Tabs

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### TextFields

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### Themes

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)

### Typography

#### Changes

* [[Catalog] Verify all examples provide CatalogByConvention methods (#1911)](https://github.com/material-components/material-components-ios/commit/8940d77d6d5ed124a466ecd35717b5c26a03106f) (Robert Moore)


# 34.0.1

Hotfix: Fixes Feature Highlight configuration.

## Component changes

### FeatureHighlight

#### Changes

* [Fix broken properties (#1938)](https://github.com/material-components/material-components-ios/commit/669e2f7079239edb29d3bf97c66daecbd49f707d) (Sam Morrison)

# 34.0.0

## API Diffs

### AnimationTiming

* Improved nullibility annotations.

### Buttons

* Added more support for UIAppearance in MDCButton.
* Added border color and width parameters.

### FeatureHighlight

* Added support for UIContentSize (preferred user font sizes).

### TextFields

* Major update to improved visual styles. For previous version, use the `*Legacy*` classes.

## Component changes

### ActivityIndicator

#### Changes

* [[Activity Indicator] Added swift example (#1890)](https://github.com/material-components/material-components-ios/commit/178a7d676b7cc065c17d1ff44adf716ee96cf909) (Cody Weaver)
* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### AnimationTiming

#### Changes

* [Add nullability annotations (#1881)](https://github.com/material-components/material-components-ios/commit/4c6601fef5a0e6142faf9ab42d4bf4535f0d4c36) (Brian Moore)

### AppBar

#### Changes

* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### BottomSheet

#### Changes

* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### ButtonBar

#### Changes

* [[Buttons] Default hitAreaInsets for FAB (#1866)](https://github.com/material-components/material-components-ios/commit/15c0836e3dfc22e46c19931744f27d7dfec27188) (Robert Moore)
* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### Buttons

#### Changes

* [Add state-based border color and width (#1878)](https://github.com/material-components/material-components-ios/commit/e0324dd64b4f4835989f3172772b30479f38f8b1) (Sam Morrison)
* [Default hitAreaInsets for FAB (#1866)](https://github.com/material-components/material-components-ios/commit/15c0836e3dfc22e46c19931744f27d7dfec27188) (Robert Moore)
* [Ink Appearance compatibility (#1873)](https://github.com/material-components/material-components-ios/commit/d0ffcdc9c7b260a335d22c8cdc56d98981be006b) (Sam Morrison)
* [Make uppercaseTitle nondestructive (#1887)](https://github.com/material-components/material-components-ios/commit/a1e5f1685d6d15e572a991c614fdd2073ede1867) (Sam Morrison)
* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### Collections

#### Changes

* [Allow selection of cells with hidden ink (#1739)](https://github.com/material-components/material-components-ios/commit/2b6552d09fa2db540c8ae479097a661d084775bc) (Robert Moore)
* [Remove dismiss animation rotation (#1842)](https://github.com/material-components/material-components-ios/commit/6daa64df87679e5044356bf824c660c9d3083269) (Robert Moore)
* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### Dialogs

#### Changes

* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### FeatureHighlight

#### Changes

* [Correctly load view (#1883)](https://github.com/material-components/material-components-ios/commit/65f1571f5d42c402c4ebfa25e055e8fb3e716355) (Sam Morrison)
* [Dynamic type support (#1884)](https://github.com/material-components/material-components-ios/commit/add558db3efce0d08747bc9c979003d9a9993638) (Sam Morrison)
* [Improve text layout (#1867)](https://github.com/material-components/material-components-ios/commit/f73704593b8f7cb4a2bddb599acc7d69b8ee9600) (Sam Morrison)
* [Shown views can receive taps (#1889)](https://github.com/material-components/material-components-ios/commit/7c8778ed75f7e58b7337e6bc9c60e7e2db7b96e2) (Robert Moore)
* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### FlexibleHeader

#### Changes

* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### Ink

#### Changes

* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### MaskedTransition

#### Changes

* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### NavigationBar

#### Changes

* [[Buttons] Default hitAreaInsets for FAB (#1866)](https://github.com/material-components/material-components-ios/commit/15c0836e3dfc22e46c19931744f27d7dfec27188) (Robert Moore)

### OverlayWindow

#### Changes

* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### PageControl

#### Changes

* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### Slider

#### Changes

* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### Snackbar

#### Changes

* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### Tabs

#### Changes

* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)

### TextFields

#### Changes

* [Improving hit zone for becoming first responder in multiline. (#1894)](https://github.com/material-components/material-components-ios/commit/fbe70bd34cfc8290d0ab654da45de38f55a3ccce) (Will Larche)
* [Making a test pass on 3x simulator. (#1915)](https://github.com/material-components/material-components-ios/commit/ac57979961da9c93e6786f5ca1a3a1eabf8afc10) (Will Larche)
* [New styles: updated default, box, area (#1908)](https://github.com/material-components/material-components-ios/commit/c3ed6be9d15425c9ad7828efde5ad1588a0602c2) (Will Larche)
* [Outlined fields (#1914)](https://github.com/material-components/material-components-ios/commit/af58c018d9227226ea93a58c23b2813a2ebff779) (Will Larche)
* [[Catalog] Enabling all "unused" warnings (#1875)](https://github.com/material-components/material-components-ios/commit/5498005f65b672eaca14049c74d821eab24c0eb9) (Robert Moore)
* [[Textfields] Remove unused option (#1926)](https://github.com/material-components/material-components-ios/commit/5a83898f0636260b329856c1921767d8d9d26390) (ianegordon)

### Themes

#### Changes

* [New example for custom themes (#1891)](https://github.com/material-components/material-components-ios/commit/9abc922b0a18b2d4721083341780d568647d2b20) (Robert Moore)

### Typography

#### Changes

* [Match large font family on iOS 9+ (#1880)](https://github.com/material-components/material-components-ios/commit/edd0dbc1b9f7b2a57d5ef57583c70982d7eb8586) (Yurii Samsoniuk)

# 33.0.0

## API Diffs

### TextFields

Renaming changes in preparation for a new text field style coming soon. No functional or visual changes to the text fields.

* `MDCTextInputControllerDefault` was renamed to `MDCTextInputControllerLegacyDefault`.
* `MDCTextInputControllerFullWidth` was renamed to `MDCTextInputControllerLegacyFullWidth`.

## Component changes

### ActivityIndicator

#### Changes

* [- Added voice accessibility support for MDCActivityIndicator (#1765)](https://github.com/material-components/material-components-ios/commit/be23697c814507591ea259df571757bb69024aa0) (Justin Shephard)

### Buttons

#### Changes

* [Allow users to set a custom disabled title color (#1839)](https://github.com/material-components/material-components-ios/commit/6bbf52599f5dd25cc6ab8e2da4b2f64e3c3f0151) (Sam Morrison)
* [Correcting FAB expansion animation (#1858)](https://github.com/material-components/material-components-ios/commit/4d6b3c4112bdc60257776bd1e74b95483874db7d) (Robert Moore)
* [[Catalog] Fix ButtonsTypicalUse FAB position (#1847)](https://github.com/material-components/material-components-ios/commit/d5f28a6a4fd417352329c9efa00fc68489a7e64b) (Robert Moore)

### Collections

#### Changes

* [Decoration frame is unset when null (#1845)](https://github.com/material-components/material-components-ios/commit/70026b323b43e6bc6046462317b1215767b25385) (Robert Moore)
* [Fix example property attribute (#1854)](https://github.com/material-components/material-components-ios/commit/584e212fa02afbdc568d2293e4dac74f2bfe1bab) (Robert Moore)

### Dialogs

#### Changes

* [Fix example class warnings (#1850)](https://github.com/material-components/material-components-ios/commit/22d19b7ae68bafb978fc01a53dba6cd83ed07b5a) (Robert Moore)
* [Fix typo in comment](https://github.com/material-components/material-components-ios/commit/73b41562b0dd6993e5e7de6e4004487bf9bdcf3d) (ianegordon)

### FlexibleHeader

#### Changes

* [Make default shadow layer background match the view (#1834)](https://github.com/material-components/material-components-ios/commit/9b4bc89ee59611161add7259458652765ee4859c) (Brian Moore)

### NavigationBar

#### Changes

* [[TextFields] Renaming text field controllers to have 'Legacy' (#1876)](https://github.com/material-components/material-components-ios/commit/3bd23322aded8d2c236590fe2f21b504bc533384) (Will Larche)

### Tabs

#### Changes

* [[TabBar] Fix warnings and button color in example (#1849)](https://github.com/material-components/material-components-ios/commit/21b4e5028c90880a24d71e3f4f3589f4535ecd25) (Robert Moore)

### TextFields

#### Changes

* [New controller api for leading and trailing colors. (#1846)](https://github.com/material-components/material-components-ios/commit/1dcbaeed6b8dbe61659490335a4961089e75e481) (Will Larche)
* [Renaming text field controllers to have 'Legacy' (#1876)](https://github.com/material-components/material-components-ios/commit/3bd23322aded8d2c236590fe2f21b504bc533384) (Will Larche)
* [[TextField] Documentation clean up. (#1868)](https://github.com/material-components/material-components-ios/commit/f465c02cec3baa705f3fd690101be5fd9d5c26dc) (Scott Hyndman)

### Themes

#### Changes

* [[TextFields] Renaming text field controllers to have 'Legacy' (#1876)](https://github.com/material-components/material-components-ios/commit/3bd23322aded8d2c236590fe2f21b504bc533384) (Will Larche)


# 32.0.0

## API Diffs

### Buttons

* Added larger-icon version of the floating action button.

### TextFields

* Added `MDCTextInputController` properties `activeColor`, `disabledColor`, `normalColor`, and associated default colors.
* Removed `MDCTextInputController` properties `underlineColorActive`, `underlineColorNormal`, and associated default colors.
* Removed `MDCTextInputUnderlineView` properties `disabledUnderline` and `underline` in favor of `color` and `disabledColor`.

## Component changes

### AppBar

#### Changes

* [Added missing license stanzas. (#1768)](https://github.com/material-components/material-components-ios/commit/206b0bf39b4ddeb745433bf1a933f70c87b15b42) (Adrian Secord)
* [Fixing modal example bar colors (#1785)](https://github.com/material-components/material-components-ios/commit/f33f8c2d54829acbb43a57d3fb8cfe68ffe9bd1d) (Robert Moore)

### ButtonBar

#### Changes

* [Make ButtonBarButton insets in method (#1797)](https://github.com/material-components/material-components-ios/commit/0ee27517d076212355ffb15e1a6dfd8d021f8581) (Robert Moore)
* [Refactor ButtonBarBuilder for testing (#1796)](https://github.com/material-components/material-components-ios/commit/1441a01113a509cd7a4d37e9aab8dd1f768ae930) (Robert Moore)
* [Remove macro for bit masks (#1795)](https://github.com/material-components/material-components-ios/commit/28f6159e98f56918c3f095779f4841428a6e5c0c) (Robert Moore)

### Buttons

#### Changes

* [Adding FAB support for 36-point icons (#1810)](https://github.com/material-components/material-components-ios/commit/d7521029a8faa67d4c199ad36caf91f65fd25fea) (Robert Moore)
* [Creating animations for FAB appearance (#1755)](https://github.com/material-components/material-components-ios/commit/aaab9e6bb2010d9bed8d37ac62a4a535c5f2853d) (Robert Moore)
* [Fix FAB icon scale collapse timing (#1794)](https://github.com/material-components/material-components-ios/commit/18c8a884dd6c8ebfaa45973f43c54f7c0e0eddc2) (Robert Moore)
* [Unit tests for FAB animations (#1778)](https://github.com/material-components/material-components-ios/commit/7fc013958ee38b619eb33041eabf7b968941fdff) (Robert Moore)
* [[Catalog] Fix button typical use layout on iOS 9 (#1769)](https://github.com/material-components/material-components-ios/commit/4c6d0ba437ed62e3e59e1e365192eb2a7db8074e) (Robert Moore)
* [[FAB] Adding missing void. (#1771)](https://github.com/material-components/material-components-ios/commit/657c9163ffaafea29d304f5da85ed016c87891ea) (Will Larche)

### CollectionCells

#### Changes

* [[Collections] Make cell font values functions (#1763)](https://github.com/material-components/material-components-ios/commit/8b5aeec8e4ec5c730d556b524c72c5c8aebf938f) (Robert Moore)
* [[Collections] Replacing macros with function calls (#1787)](https://github.com/material-components/material-components-ios/commit/080cc3705823587303d78c63039f72be45318b1b) (Robert Moore)

### Collections

#### Changes

* [Adding unit tests for flow layouts (#1779)](https://github.com/material-components/material-components-ios/commit/417ce2b4f637f4101730eafa21940d4160e9bb4e) (Robert Moore)
* [Fix header info view z-index (#1798)](https://github.com/material-components/material-components-ios/commit/155a3975be5ed3abdc0d443036fd909a1d439f37) (Robert Moore)
* [Limit the drag needed to dismiss an item (#1811)](https://github.com/material-components/material-components-ios/commit/84a7a6bf7115724eaf698f2212fcd2e5193b1b4b) (Gauthier Ambard)
* [Replacing macros with function calls (#1787)](https://github.com/material-components/material-components-ios/commit/080cc3705823587303d78c63039f72be45318b1b) (Robert Moore)

### FeatureHighlight

#### Changes

* [Added missing license stanzas. (#1768)](https://github.com/material-components/material-components-ios/commit/206b0bf39b4ddeb745433bf1a933f70c87b15b42) (Adrian Secord)
* [Adjust Dismiss Drag Proportions To Feel More Natural #1754 (#1799)](https://github.com/material-components/material-components-ios/commit/b1c2bef67d05ba48fe1907547b10fd983fb9d28f) (InbarItayG)

### MaskedTransition

#### Changes

* [[Jazzy] Ran `scripts/generate_jazzy_yamls.sh` for new components. (#1766)](https://github.com/material-components/material-components-ios/commit/b89b714964971af19009b5ba5e7859d4831d8f92) (Adrian Secord)
* [[MDCMaskedTransition] Fixed Xcode 9 block declaration.](https://github.com/material-components/material-components-ios/commit/9e885d9f755bd26bfa3c9fef23c82171ce85a648) (Adrian Secord)

### NavigationBar

#### Changes

* [Added missing license stanzas. (#1768)](https://github.com/material-components/material-components-ios/commit/206b0bf39b4ddeb745433bf1a933f70c87b15b42) (Adrian Secord)
* [Hide UINavigationBar in example (#1784)](https://github.com/material-components/material-components-ios/commit/dca1fa0efb504496cbaa08997e57ed2f6122d7d8) (Robert Moore)

### OverlayWindow

#### Changes

* [Remove iOS 7 code (#1826)](https://github.com/material-components/material-components-ios/commit/3aa72e51292957ee47932376344e671fe638adc0) (Robert Moore)

### Snackbar

#### Changes

* [Fixing snackbar/overlay during rotation (#1830)](https://github.com/material-components/material-components-ios/commit/18d791e463cf835aac9c71e55e1c249f3bbf7268) (Robert Moore)
* [[OverlayWindow] Remove iOS 7 code (#1826)](https://github.com/material-components/material-components-ios/commit/3aa72e51292957ee47932376344e671fe638adc0) (Robert Moore)

### Tabs

#### Changes

* [Added missing license stanzas. (#1768)](https://github.com/material-components/material-components-ios/commit/206b0bf39b4ddeb745433bf1a933f70c87b15b42) (Adrian Secord)
* [[Jazzy] Ran `scripts/generate_jazzy_yamls.sh` for new components. (#1766)](https://github.com/material-components/material-components-ios/commit/b89b714964971af19009b5ba5e7859d4831d8f92) (Adrian Secord)

### TextFields

#### Changes

* [Adding a multiline text field to main example (#1790)](https://github.com/material-components/material-components-ios/commit/25c36a4867d525dec67077cf326d4dd25bee60be) (Will Larche)
* [Adding readme metadata. (#1777)](https://github.com/material-components/material-components-ios/commit/988dcc9a6afefb1bbb30c13596511ffa6a18229b) (Will Larche)
* [Adds api_components_root to TextFields/README.md. (#1788)](https://github.com/material-components/material-components-ios/commit/ffdd9b4c486d0f33cea04e4cf4d7b5aef4b0f4b7) (Scott Hyndman)
* [Correcting key typos. (#1770)](https://github.com/material-components/material-components-ios/commit/d8071fe78bc20791afa85f9cfd4fdfd29de79f75) (Will Larche)
* [Making a disabled color property on controllers (#1776)](https://github.com/material-components/material-components-ios/commit/7830d7eb29bcff7c5e3347d235e7d2058671caca) (Will Larche)
* [Readme update. (#1824)](https://github.com/material-components/material-components-ios/commit/e30c9a9f9617c63db81a3329caef2c52eca89409) (Will Larche)
* [Regular example improvements. (#1791)](https://github.com/material-components/material-components-ios/commit/5ab6885a2ad11866300b9490a6f0d4e5b2e3697a) (Will Larche)
* [Removing unused constraints in default. (#1789)](https://github.com/material-components/material-components-ios/commit/ba51dddd2d50504183ccb8ae5afe7fc2a6ba9a1b) (Will Larche)
* [Renaming and cleaning up propertys. (#1767)](https://github.com/material-components/material-components-ios/commit/d42f2c7713278ae585785fb818f95427b626f62d) (Will Larche)
* [[Jazzy] Ran `scripts/generate_jazzy_yamls.sh` for new components. (#1766)](https://github.com/material-components/material-components-ios/commit/b89b714964971af19009b5ba5e7859d4831d8f92) (Adrian Secord)



# 31.0.2

Hotfix release: fixes autolayout bug involving TextFields height.

## Component changes

### TextFields

#### Changes

* [Correcting content compression resistance priority. (#1809)](https://github.com/material-components/material-components-ios/commit/2ddf6a2f8c00179347e0ef3bcf67eb9e1e16fc65) (Will Larche)


# 31.0.1

No changes to code or docs, only updating metadata for generating https://material.io/components/ios/.

# 31.0.0

## API Diffs

### TextFields

* Added `MDCMultilineTextField`, a [Material Design-themed mutiline text field](https://www.google.com/design/spec/components/text-fields.html#text-fields-multi-line-text-field) (multiline text input).
* `[MDCTextFieldPositioningDelegate sizeThatFits:defaultSize:]` has been removed, see `[MDCTextFieldPositioningDelegate textInsets:]` instead.
* Added `MDCMultilineTextInput.minimumLines` and `.expandsOnOverflow` properties.

## Component changes

### Buttons

#### Changes

* [[Math] Align frames to pixel boundaries (#1730)](https://github.com/material-components/material-components-ios/commit/e03ad370c6fdfe23f35e4d3f61d2f55783be83c8) (Robert Moore)

### CollectionCells

#### Changes

* [[Collections] Making Disclosure indicator tinted (#1745)](https://github.com/material-components/material-components-ios/commit/e12db0f2ea806a3f64b3d4865b3402d66d8923b4) (Robert Moore)

### Collections

#### Changes

* [Fix for possible infinite recursion (#1711)](https://github.com/material-components/material-components-ios/commit/abb81d969b09c6baaf51997c04bcf384607ac8d0) (Justin Shephard)
* [Custom section insets call delegate (#1752)](https://github.com/material-components/material-components-ios/commit/0223d431e551e6afdbc33080ef815fef3794e79c) (Robert Moore)

### FeatureHighlight

#### Changes

* [Fix gesture recognizers (#1749)](https://github.com/material-components/material-components-ios/commit/6281b33d66029118c32693098f70d067ffb0b0fc) (Sam Morrison)
* [[Math] Align frames to pixel boundaries (#1730)](https://github.com/material-components/material-components-ios/commit/e03ad370c6fdfe23f35e4d3f61d2f55783be83c8) (Robert Moore)

### NavigationBar

#### Changes

* [Improve centering when barButtonItems are asymmetric (#1721)](https://github.com/material-components/material-components-ios/commit/65434fb244fd5997b84ddf6965404ce7c4cfe0bc) (Robert Moore)

### Slider

#### Changes

* [[Math] Align frames to pixel boundaries (#1730)](https://github.com/material-components/material-components-ios/commit/e03ad370c6fdfe23f35e4d3f61d2f55783be83c8) (Robert Moore)

### TextFields

#### Changes

* [Examples improvements. (#1734)](https://github.com/material-components/material-components-ios/commit/0922de660cfe7844e3d792ccfb03043030eed7ad) (Will Larche)
* [Fixing the ordering and labeling of 2 pragma marks. (#1731)](https://github.com/material-components/material-components-ios/commit/be703bc80037d9097c1704427321988d89045f3a) (Will Larche)
* [Formatting. (#1748)](https://github.com/material-components/material-components-ios/commit/980b9080f01fee0eed02e92a403a22828eb66fbc) (Will Larche)
* [Multiline textfields (#1756)](https://github.com/material-components/material-components-ios/commit/af964fe6706360b6c5bba839385133efe75bcba5) (Will Larche)
* [[Text fields] Simplification of height calculation. (#1733)](https://github.com/material-components/material-components-ios/commit/7d706cdddac80f42bc64d4276a3beda4b0ee935f) (Will Larche)


# 30.0.0

## API Diffs

### Collections

* Added 'shouldHideSeparatorForCellLayoutAttributes' to MDCCollectionViewStyling protocol.
* Added three methods to MDCCollectionViewStylingDelegate for optionally hiding cell separators.

### MaskedTransitioning

* New component that makes it easy to animate between two view controllers using an expanding mask effect.

### TextFields

* Added 'leadingView' and 'leadingViewMode' properties to MDCTextField.
* Renamed MDCTextFieldPositioningDelegate method 'textContainerInset:' to 'textInsets:'
* Added 'enabled', 'textInsets', 'trailingView' and 'trailingViewMode' properties to MDCTextInput.

### Typography

* Changed nullability of 'lightFontOfSize', 'mediumFontOfSize' and 'boldItalicFontOfSize' methods from nonnull to nullable.

## Component changes

### ButtonBar

#### Changes

* [[Themer] Avoid deprecation warning on iOS 9+ targets (#1700)](https://github.com/material-components/material-components-ios/commit/68d21a901edccd0ffffc9ed11ed067dc22e7b3d9) (ianegordon)

### Buttons

#### Changes

* [Add a stroked button to the examples (#1714)](https://github.com/material-components/material-components-ios/commit/04b8ced5a4b7971ad1dddb98bc9191ae8dff9a12) (Sam Morrison)
* [Fix storyboard backgroundColor assignment (#1706)](https://github.com/material-components/material-components-ios/commit/057a430b4b8d059a00b1f4e01930c71c6b20eaff) (Sam Morrison)
* [Reset Ink when moved to new superview (#1656)](https://github.com/material-components/material-components-ios/commit/4110e30ef23e7d5c007d07e676e8fc0c06bf87c9) (Robert Moore)
* [Set default title color of MDCFlatButton to black (#1725)](https://github.com/material-components/material-components-ios/commit/f1059f6aa9c85f52388a9525fd15603f3b925356) (Sam Morrison)
* [Unbounded ink aligns to content insets (#1670)](https://github.com/material-components/material-components-ios/commit/cafcbe3544c6bcbb1725e8f7ccdf5bb008760205) (Robert Moore)
* [Undo MDCFlatButton title color changes (#1681)](https://github.com/material-components/material-components-ios/commit/f4c76013577bc05f1bbdbcc50e1700db6766b9c9) (Sam Morrison)

### CollectionCells

#### Changes

* [[Collections] Extend cell label to superview width (#1661)](https://github.com/material-components/material-components-ios/commit/6785e7a0d33cb3a832cd96debe2a9e960967a059) (Robert Moore)
* [[Collections] Only change selected icon if needed (#1692)](https://github.com/material-components/material-components-ios/commit/44e7c7974b557d0e0e670e50390fd997e56723d7) (Robert Moore)
* [[Collections] Reuse label frames (#1705)](https://github.com/material-components/material-components-ios/commit/c1ce8bcca184a2a31c8af15da42294c450c2e13c) (ianegordon)

### Collections

#### Changes

* [Add "editing" performance example (#1710)](https://github.com/material-components/material-components-ios/commit/14e00b76ce457ca0538056b04bfb8f14d73f74f1) (Robert Moore)
* [Add StylingDelegate methods to control separator display (#1627)](https://github.com/material-components/material-components-ios/commit/14496a33a24652e0df175c2907eee543b6b06fd5) (Gauthier Ambard)

### Dialogs

#### Changes

* [Add Issue number. (#1727)](https://github.com/material-components/material-components-ios/commit/b8f8bfef9c13c06e0030b22398c8a0a8a33cde9e) (ianegordon)

### FeatureHighlight

#### Changes

* [Correctly handle ended and cancelled touches (#1684)](https://github.com/material-components/material-components-ios/commit/cfbb1d9862b5d52e32376caff4f71ef92f2c3041) (Sam Morrison)

### Ink

#### Changes

* [Don't assign compositeRipple frame twice (#1687)](https://github.com/material-components/material-components-ios/commit/756728d0b05eddfc2a9b0b6594c4ba03e6ce60a4) (Robert Moore)
* [[Buttons] Reset Ink when moved to new superview (#1656)](https://github.com/material-components/material-components-ios/commit/4110e30ef23e7d5c007d07e676e8fc0c06bf87c9) (Robert Moore)

### MaskedTransition

#### Changes

* [Add Masked Transition component. (#1513)](https://github.com/material-components/material-components-ios/commit/61acb1cbb09327f24acbebda2f9909a4fd9435fe) (featherless)

### Snackbar

#### Changes

* [Notify MDCOverlayObservers of bottom offset changes  (#1659)](https://github.com/material-components/material-components-ios/commit/392ac852614b72324cd7a3ee77ed20757ccd1f7f) (Sam Morrison)

### TextFields

#### Changes

* [Alphabetizing propertys. (#1691)](https://github.com/material-components/material-components-ios/commit/695dc6d5763ca041a8967ded7499af6e8db545b4) (Will Larche)
* [Comment grammar correction. (#1695)](https://github.com/material-components/material-components-ios/commit/3e135694ab954cc7dfe71b9cac77d376c04b74da) (Will Larche)
* [Constraint correction and cleanup. (#1665)](https://github.com/material-components/material-components-ios/commit/df0d4cbd297284d783358a4cbdbda555d7ab63d5) (Will Larche)
* [Fundament implementation of trailingViewMode. (#1702)](https://github.com/material-components/material-components-ios/commit/ca879cf159a5c3e69d89b465814579db46b591b9) (Will Larche)
* [Making enabled mandatory. (#1679)](https://github.com/material-components/material-components-ios/commit/0578ca3635729c00a16c89c63715154ae8269ddc) (Will Larche)
* [Making textInsets mandatory. (#1697)](https://github.com/material-components/material-components-ios/commit/31810b8872ad1335889809d918deebcbce8970b4) (Will Larche)
* [Moving two propertys to be below the correct pragma mark. (#1703)](https://github.com/material-components/material-components-ios/commit/b005771b19a0928bcd5403daea33490164e7a8e2) (Will Larche)
* [Overlay views. (#1676)](https://github.com/material-components/material-components-ios/commit/9cb9a209c5449e4de2a25dce530c25184c5f0d46) (Will Larche)
* [Renaming a tests file. (#1718)](https://github.com/material-components/material-components-ios/commit/80f7a1b58d5f1bed1a7561c15c77d00e20b40f2a) (Will Larche)
* [Reorganizing and internal clean up (#1677)](https://github.com/material-components/material-components-ios/commit/1920ec92092060cb3209defc9dfca5e000b37619) (Will Larche)
* [Tests for default priorities of constraints. (#1678)](https://github.com/material-components/material-components-ios/commit/ff618a457a21f074a3ef1ad2f8e2a6c8543311af) (Will Larche)
* [[TextField] Add color themer for text fields (#1666)](https://github.com/material-components/material-components-ios/commit/c3d24b71840fff47849a0b1bb0d44f0f6b3252d9) (Junius Gunaratne)
* [[Textfields] Better naming two tests (#1704)](https://github.com/material-components/material-components-ios/commit/b73c23cf1822122d5cba4d7e3ec046db7533c784) (Will Larche)

### Themes

#### Changes

* [[TextField] Add color themer for text fields (#1666)](https://github.com/material-components/material-components-ios/commit/c3d24b71840fff47849a0b1bb0d44f0f6b3252d9) (Junius Gunaratne)

### Typography

#### Changes

* [Fixing nullability attributes for fonts (#1696)](https://github.com/material-components/material-components-ios/commit/a2968c6decbc88226db868ffb6f8b4eb6ad6ea36) (Robert Moore)
* [[Fonts] Cache system fonts (#1689)](https://github.com/material-components/material-components-ios/commit/ebabb3385a8528e0e1bf9044d542ba9f12e01ed4) (Robert Moore)

# 29.0.0

* Reverts changes to the title color of MDCFlatButton and MDCRaisedButton.

# 28.0.0

## API Diffs

### AppBar

* Added MDCAppBarTextColorAccessibilityMutator

### Button

* Marked 'customTitleColor' as deprecated.
* Changed behavior of 'setTitleColor:forState:' so that it no longer changes the titleColor if the color was deemed to be of insufficient contrast with the background color.

### Icons

* For each icon in MDCIcons we now have a method that returns a UIImage.

### TextFields

* Removed UI_APPEARANCE_SELECTOR from all controller style properties.
* Changed all controller style properties from instance to class properties.

## Component changes

### AppBar

#### Changes

* [- Accessibility Mutator (#1236)](https://github.com/material-components/material-components-ios/commit/c6940925206512c4c9523f772dba1df398ba9423) (Justin Shephard)
* [Remove trailing whitespace](https://github.com/material-components/material-components-ios/commit/e63035cb751496da42844d0abbc5315faed69790) (Sam Morrison)

### ButtonBar

#### Changes

* [[Buttons] Deprecate customTitleColor and remove auto-accessibility from setTitleColor (#1609)](https://github.com/material-components/material-components-ios/commit/4c84b99f2b65fdd4208d385c26133d4e4bd153d6) (Sam Morrison)

### Buttons

#### Changes

* [Deprecate customTitleColor and remove auto-accessibility from setTitleColor (#1609)](https://github.com/material-components/material-components-ios/commit/4c84b99f2b65fdd4208d385c26133d4e4bd153d6) (Sam Morrison)

### CollectionCells

#### Changes

* [[Collections] Use image cache for selection icons (#1638)](https://github.com/material-components/material-components-ios/commit/565ae15cdb79e995fa25aa4b116e047973192813) (Robert Moore)

### Collections

#### Changes

* [Allow custom UIEdgeInsets (#1614)](https://github.com/material-components/material-components-ios/commit/0495092f1ecd9656e0fcb4d6b750a94f02af23f0) (Robert Moore)

### Dialogs

#### Changes

* [MDCAlertController should announce 'alert' in VO (#1639)](https://github.com/material-components/material-components-ios/commit/164493929913d25747220d0f6a6160813c254e42) (Sarah Read)
* [[Buttons] Deprecate customTitleColor and remove auto-accessibility from setTitleColor (#1609)](https://github.com/material-components/material-components-ios/commit/4c84b99f2b65fdd4208d385c26133d4e4bd153d6) (Sam Morrison)

### FeatureHighlight

#### Changes

* [[Feature Highlight] Swipe to dismiss (#1636)](https://github.com/material-components/material-components-ios/commit/f466588e4f35d4b6a415c0c888c2e4f2e6b9f250) (Sam Morrison)

### Ink

#### Changes

* [Ink reset passes animation value to ripples (#1652)](https://github.com/material-components/material-components-ios/commit/72657d5f8d45ca7ad399023f24bf93ad6a54a921) (Robert Moore)
* [Reset ink without animation calls delegate (#1654)](https://github.com/material-components/material-components-ios/commit/9e417817cb872354030bfed0137a6d256bf68503) (Robert Moore)

### NavigationBar

#### Changes

* [Vertically center navigationBar title within its default height for UIControlContentVerticalAlignmentTop (#1576)](https://github.com/material-components/material-components-ios/commit/780654af4ca4524f7d06f4732408841f2d679cfe) (Kien Tran)
* [[AppBar] - Fixed center align issue on RTL which was taking incorrect x value to determine centering (#1646)](https://github.com/material-components/material-components-ios/commit/ed6d150208f3d0a23679815092765c64bc2f7d8f) (Justin Shephard)

### PageControl

#### Changes

* [Remove internal references. (#1648)](https://github.com/material-components/material-components-ios/commit/18906c0e1e2a7bff467a837a2e71bbe8fa243d11) (Adrian Secord)

### TextFields

#### Changes

* [Appearance defaults (#1620)](https://github.com/material-components/material-components-ios/commit/36ef081eea4bb720b74a2f905e1d5d231e758ec0) (Will Larche)
* [Correcting active color. (#1640)](https://github.com/material-components/material-components-ios/commit/7a1ad7b4c4cf516e290b2802483a6dc30ecbe7c1) (Will Larche)
* [Correcting documentation typo. (#1647)](https://github.com/material-components/material-components-ios/commit/f3d1b35c6f17eb477107fe285fd2eadcf4de7a3d) (Will Larche)
* [Remove trailing whitespace](https://github.com/material-components/material-components-ios/commit/e63035cb751496da42844d0abbc5315faed69790) (Sam Morrison)
* [[Buttons] Deprecate customTitleColor and remove auto-accessibility from setTitleColor (#1609)](https://github.com/material-components/material-components-ios/commit/4c84b99f2b65fdd4208d385c26133d4e4bd153d6) (Sam Morrison)

# 27.0.0

## API Diffs

### Button

* Removed 'resetElevationForState'.
* Removed NS_UNAVAILABLE from 'setBackgroundColor'.

## Component changes

### ActivityIndicator

#### Changes

* [[Activity Indicator] Add import to QuartzCore (#1587)](https://github.com/material-components/material-components-ios/commit/97098c6caa3f3acafa5500fe788cf7a842e9135e) (Randall Li)

### AppBar

#### Changes

* [Explicitly annotating some known ObjC methods. (#1617)](https://github.com/material-components/material-components-ios/commit/1e14d4109178956486863dec607996100c91795e) (Martin Petrov)

### BottomSheet

#### Changes

* [[KeyboardWatcher] iOS 8 simplification and cleanup (#1589)](https://github.com/material-components/material-components-ios/commit/87574e57e313cb3e90281b3225031b329e8f91de) (ianegordon)

### ButtonBar

#### Changes

* [Explicitly annotating some known ObjC methods. (#1617)](https://github.com/material-components/material-components-ios/commit/1e14d4109178956486863dec607996100c91795e) (Martin Petrov)
* [Remove uses of `typeof` and the `?:` operator (#1601)](https://github.com/material-components/material-components-ios/commit/fa10d655d7f42f9e564636deb6f32573c3975cfe) (Robert Moore)

### Buttons

#### Changes

* [Elevation clean up (#1574)](https://github.com/material-components/material-components-ios/commit/eec61cf77316c2853f52070931cb8472a1ced48e) (Sam Morrison)
* [Explicitly annotating some known ObjC methods. (#1617)](https://github.com/material-components/material-components-ios/commit/1e14d4109178956486863dec607996100c91795e) (Martin Petrov)
* [Ink should ignore content edge insets (#1593)](https://github.com/material-components/material-components-ios/commit/cc57a0791890b07cd268da8f3950cb74b4729825) (Robert Moore)
* [Remove NS_UNAVAILABLE from setBackgroundColor (#1572)](https://github.com/material-components/material-components-ios/commit/467b843b169d07f8d71ea8d4dc55df7b03ac7900) (Sam Morrison)
* [Remove trailing spaces from test (#1602)](https://github.com/material-components/material-components-ios/commit/418a5a65fceaadb669a87646c5b17ac53b77e39b) (Sam Morrison)
* [Sort property/method definitions (#1599)](https://github.com/material-components/material-components-ios/commit/360d504442fe1b5cd80a3923e9c875e6c58d0adf) (Sam Morrison)

### CollectionCells

#### Changes

* [Remove uses of `typeof` and the `?:` operator (#1601)](https://github.com/material-components/material-components-ios/commit/fa10d655d7f42f9e564636deb6f32573c3975cfe) (Robert Moore)
* [Reset cells in prepareForReuse (#1633)](https://github.com/material-components/material-components-ios/commit/25b7c217ca3ed0d082abb4406c400cd8405d63ee) (Robert Moore)

### Collections

#### Changes

* [Do not invalidate layout for all gesture beginning (#1623)](https://github.com/material-components/material-components-ios/commit/0b905c647d3267ca0d3332226fbf806a5c538bb1) (Gauthier Ambard)
* [Fallback to default cell background color on nil. (#1630)](https://github.com/material-components/material-components-ios/commit/3c92cfe80c6a8b795f52b1baaf6525e0624d433d) (Yurii Samsoniuk)
* [Remove uses of `typeof` and the `?:` operator (#1601)](https://github.com/material-components/material-components-ios/commit/fa10d655d7f42f9e564636deb6f32573c3975cfe) (Robert Moore)

### Dialogs

#### Changes

* [Explicitly annotating some known ObjC methods. (#1617)](https://github.com/material-components/material-components-ios/commit/1e14d4109178956486863dec607996100c91795e) (Martin Petrov)
* [[Docs] Replaced internal site references with public equivalents. (#1616)](https://github.com/material-components/material-components-ios/commit/0abca36dbbc455c42795efe7e207419b2f1b6e5b) (Adrian Secord)
* [[KeyboardWatcher] iOS 8 simplification and cleanup (#1589)](https://github.com/material-components/material-components-ios/commit/87574e57e313cb3e90281b3225031b329e8f91de) (ianegordon)

### FeatureHighlight

#### Changes

* [[Docs] Replaced internal site references with public equivalents. (#1616)](https://github.com/material-components/material-components-ios/commit/0abca36dbbc455c42795efe7e207419b2f1b6e5b) (Adrian Secord)

### FlexibleHeader

#### Changes

* [- Updated unit tests (#1619)](https://github.com/material-components/material-components-ios/commit/921241302a7e3f92c8941bf52c6d50f8aaeaf2a2) (Justin Shephard)

### Ink

#### Changes

* [[Docs] Replaced internal site references with public equivalents. (#1616)](https://github.com/material-components/material-components-ios/commit/0abca36dbbc455c42795efe7e207419b2f1b6e5b) (Adrian Secord)

### NavigationBar

#### Changes

* [Remove uses of `typeof` and the `?:` operator (#1601)](https://github.com/material-components/material-components-ios/commit/fa10d655d7f42f9e564636deb6f32573c3975cfe) (Robert Moore)

### PageControl

#### Changes

* [Explicitly annotating some known ObjC methods. (#1617)](https://github.com/material-components/material-components-ios/commit/1e14d4109178956486863dec607996100c91795e) (Martin Petrov)
* [Remove uses of `typeof` and the `?:` operator (#1601)](https://github.com/material-components/material-components-ios/commit/fa10d655d7f42f9e564636deb6f32573c3975cfe) (Robert Moore)

### ProgressView

#### Changes

* [Remove uses of `typeof` and the `?:` operator (#1601)](https://github.com/material-components/material-components-ios/commit/fa10d655d7f42f9e564636deb6f32573c3975cfe) (Robert Moore)

### ShadowLayer

#### Changes

* [Explicitly annotating some known ObjC methods. (#1617)](https://github.com/material-components/material-components-ios/commit/1e14d4109178956486863dec607996100c91795e) (Martin Petrov)
* [Support layer copying (#1625)](https://github.com/material-components/material-components-ios/commit/2283e04f02fe15588e95ed7564e53abeef926cba) (Robert Moore)

### Slider

#### Changes

* [Remove uses of `typeof` and the `?:` operator (#1601)](https://github.com/material-components/material-components-ios/commit/fa10d655d7f42f9e564636deb6f32573c3975cfe) (Robert Moore)

### Snackbar

#### Changes

* [[KeyboardWatcher] iOS 8 simplification and cleanup (#1589)](https://github.com/material-components/material-components-ios/commit/87574e57e313cb3e90281b3225031b329e8f91de) (ianegordon)

### Tabs

#### Changes

* [Constrain tabs to the view's width (#1615)](https://github.com/material-components/material-components-ios/commit/00ee81453977901ca03ef987d229a20ca51cba06) (Brian Moore)
* [Explicitly annotating some known ObjC methods. (#1617)](https://github.com/material-components/material-components-ios/commit/1e14d4109178956486863dec607996100c91795e) (Martin Petrov)
* [Remove uses of `typeof` and the `?:` operator (#1601)](https://github.com/material-components/material-components-ios/commit/fa10d655d7f42f9e564636deb6f32573c3975cfe) (Robert Moore)
* [Restore initial tab selection behavior (#1605)](https://github.com/material-components/material-components-ios/commit/60db284cb2803e873a4a03ba9a57d1a2ab8b6226) (Brian Moore)

### TextFields

#### Changes

* [Explicitly annotating some known ObjC methods. (#1617)](https://github.com/material-components/material-components-ios/commit/1e14d4109178956486863dec607996100c91795e) (Martin Petrov)
* [Fixes for minor bugs and comment improvements (#1588)](https://github.com/material-components/material-components-ios/commit/6b2cddba39c78b66d1401c6d280632de5857c940) (Will Larche)
* [Remove uses of `typeof` and the `?:` operator (#1601)](https://github.com/material-components/material-components-ios/commit/fa10d655d7f42f9e564636deb6f32573c3975cfe) (Robert Moore)
* [[TextField] Update demo alert to indicate floating setting. (#1612)](https://github.com/material-components/material-components-ios/commit/7a26712eb96036e416b1937752ac6b164ebac1fc) (Donna McCulloch)

### Typography

#### Changes

* [Remove uses of `typeof` and the `?:` operator (#1601)](https://github.com/material-components/material-components-ios/commit/fa10d655d7f42f9e564636deb6f32573c3975cfe) (Robert Moore)

# 26.0.0

## API diffs

### ActivityIndicator

* Setting 'cycleColors' to an empty array now sets 'cycleColors' to the default cycle colors.

### BottomSheet

* New component for presenting a view controller as a bottom sheet.

### Buttons

* New subcomponent MDCButtonTitleColorAccessibilityMutator for enforcing title/background color contrast.

### Dialogs

* 'UIViewController+MaterialDialogs' property 'mdc_dialogPresentationController' now has the nullability annotation of nullable.

### TextFields

* 'MDCTextInputController' renamed to 'MDCTextInputControllerDefault'
* Added 'MDCTextInputController' protocol
* Removed 'presentationStyle' property from MDCTextInputController
* Added 'MDCTextInputControllerFullWidth'

## Component changes

### ActivityIndicator

#### Changes

* [Default cycleColors property for empty arrays #1508 (#1540)](https://github.com/material-components/material-components-ios/commit/8be69aecb9f5ff70d526317a5f7685a94f9e042b) (Robert Moore)
* [[Themes] Add ability to change catalog theme (#1477)](https://github.com/material-components/material-components-ios/commit/2873e798f28f70d4808b9c6bdba9fd0cea7fe2c9) (Junius Gunaratne)

### AnimationTiming

#### Changes

* [[Themes] Add ability to change catalog theme (#1477)](https://github.com/material-components/material-components-ios/commit/2873e798f28f70d4808b9c6bdba9fd0cea7fe2c9) (Junius Gunaratne)

### AppBar

#### Changes

* [[Themes] Add ability to change catalog theme (#1477)](https://github.com/material-components/material-components-ios/commit/2873e798f28f70d4808b9c6bdba9fd0cea7fe2c9) (Junius Gunaratne)

### BottomSheet

#### Changes

* [[Bottom sheet] component (#1297)](https://github.com/material-components/material-components-ios/commit/681b2de2fd9b9b30546e9f84ee3b8391f682c21c) (Sam Morrison)

### ButtonBar

#### Changes

* [[Themes] Add ability to change catalog theme (#1477)](https://github.com/material-components/material-components-ios/commit/2873e798f28f70d4808b9c6bdba9fd0cea7fe2c9) (Junius Gunaratne)

### Buttons

#### Changes

* [Button title color accessibility mutator (#1567)](https://github.com/material-components/material-components-ios/commit/70cfb2bc6edce5ef951a17ded3d975cf95afa7d0) (Randall Li)
* [Call designated initializer in init methods (#1553)](https://github.com/material-components/material-components-ios/commit/8a98e74d9cb99b8f7dceaab2d4c958023265762b) (ianegordon)
* [[Swift] Fixing swift style errors (#1577)](https://github.com/material-components/material-components-ios/commit/f879c91a9073433d59ee851916310359ca86fb7c) (Will Larche)
* [[Themes] Add ability to change catalog theme (#1477)](https://github.com/material-components/material-components-ios/commit/2873e798f28f70d4808b9c6bdba9fd0cea7fe2c9) (Junius Gunaratne)

### Dialogs

#### Changes

* [Add nullability annotation (#1544)](https://github.com/material-components/material-components-ios/commit/4e3c62ba2fbac8dc9ae04dee78eb6eb4574a533e) (ianegordon)
* [[Themer] Support alert color themer in iOS 8 (#1569)](https://github.com/material-components/material-components-ios/commit/695b2dc3ece5c6351e45472b61ff1b8fecba6ab7) (Junius Gunaratne)

### FeatureHighlight

#### Changes

* [[Themes] Add ability to change catalog theme (#1477)](https://github.com/material-components/material-components-ios/commit/2873e798f28f70d4808b9c6bdba9fd0cea7fe2c9) (Junius Gunaratne)

### FlexibleHeader

#### Changes

* [[Swift] Fixing swift style errors (#1577)](https://github.com/material-components/material-components-ios/commit/f879c91a9073433d59ee851916310359ca86fb7c) (Will Larche)
* [[Themes] Add ability to change catalog theme (#1477)](https://github.com/material-components/material-components-ios/commit/2873e798f28f70d4808b9c6bdba9fd0cea7fe2c9) (Junius Gunaratne)

### HeaderStackView

#### Changes

* [[Themes] Add ability to change catalog theme (#1477)](https://github.com/material-components/material-components-ios/commit/2873e798f28f70d4808b9c6bdba9fd0cea7fe2c9) (Junius Gunaratne)

### NavigationBar

#### Changes

* [[Swift] Fixing swift style errors (#1577)](https://github.com/material-components/material-components-ios/commit/f879c91a9073433d59ee851916310359ca86fb7c) (Will Larche)
* [[Themes] Add ability to change catalog theme (#1477)](https://github.com/material-components/material-components-ios/commit/2873e798f28f70d4808b9c6bdba9fd0cea7fe2c9) (Junius Gunaratne)

### Slider

#### Changes

* [[Themes] Add ability to change catalog theme (#1477)](https://github.com/material-components/material-components-ios/commit/2873e798f28f70d4808b9c6bdba9fd0cea7fe2c9) (Junius Gunaratne)

### Snackbar

#### Changes

* [Resuming messages when tokens are deallocated (#1551)](https://github.com/material-components/material-components-ios/commit/50319d0edb2bb5b3bcfa2c9a34938a924d455eaa) (Robert Moore)
* [[Swift] Fixing swift style errors (#1577)](https://github.com/material-components/material-components-ios/commit/f879c91a9073433d59ee851916310359ca86fb7c) (Will Larche)

### Tabs

#### Changes

* [Reposition the Ink layer in ItemBar cells (#1554)](https://github.com/material-components/material-components-ios/commit/a68a5531935ad1fae496266732b63482deb481dd) (Robert Moore)
* [[ButtonBar] Restoring ink to the top of the cell (#1584)](https://github.com/material-components/material-components-ios/commit/6858f4b0938b83a9cf67c1ce47658aefe5fd2ed0) (Robert Moore)
* [[Swift] Fixing swift style errors (#1577)](https://github.com/material-components/material-components-ios/commit/f879c91a9073433d59ee851916310359ca86fb7c) (Will Larche)
* [[Themes] Add ability to change catalog theme (#1477)](https://github.com/material-components/material-components-ios/commit/2873e798f28f70d4808b9c6bdba9fd0cea7fe2c9) (Junius Gunaratne)

### TextFields

#### Changes

* [Fix for missing guard from presentationStyles to controller classes refactor. (#1579)](https://github.com/material-components/material-components-ios/commit/68535ad5a9280b4927268b18d9ab771a2b3ba72f) (Will Larche)
* [Fix of minor details and PR comments (#1585)](https://github.com/material-components/material-components-ios/commit/ba85bd03ed123323273cff285ab831d95b234fb1) (Will Larche)
* [Fix text fields placeholder Y preset (#1581)](https://github.com/material-components/material-components-ios/commit/3fdbdea8d99ddb60ac7822d7c24e94eea6bc212f) (Will Larche)
* [Presentation styles to controller classes (#1549)](https://github.com/material-components/material-components-ios/commit/13dcb5746bd2d3f50bbe9d2a289efe0ed2aa2d6b) (Will Larche)
* [[Swift] Fixing swift style errors (#1577)](https://github.com/material-components/material-components-ios/commit/f879c91a9073433d59ee851916310359ca86fb7c) (Will Larche)

### Themes

#### Changes

* [Add ability to change catalog theme (#1477)](https://github.com/material-components/material-components-ios/commit/2873e798f28f70d4808b9c6bdba9fd0cea7fe2c9) (Junius Gunaratne)

# 25.1.1

Hotfix: Cherry picked: [[Buttons] Call designated initializer in init methods](https://github.com/material-components/material-components-ios/pull/1553)

## Component changes

### Buttons

#### Changes

* [Call designated initializer in init methods (#1553)](https://github.com/material-components/material-components-ios/commit/6f2709de8c8cfd2874934abf293cb7e9b2864368) (ianegordon)

# 25.1.0

#### Changes

## API diffs

### Buttons

* Added 'init' method in MDCFloatingButton

### TextFields

* Added properties 'underlineColorNormal', 'underlineColorActive','errorText' properties in MDCTextInputController
* Changed nullabilitity attributes on 'floatingPlaceholdColor' & 'inlinePlaceholderColor' from nullable to null_resettable
* Added class 'MDCTextInputUnderlineView'
* Added properties 'disabledUnderline', 'underline', 'color', 'lineHeight', 'enabled' in MDCTextInputUnderlineView
* Added 'sizeThatFIts:defaultSize:' method to MDCTextFieldPositioningDelegate

## Component changes

### ActivityIndicator

#### Changes

* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### AppBar

#### Changes

* [[Themers] Add app bar color themer (#1503)](https://github.com/material-components/material-components-ios/commit/cda52f4e6b29f0ed72a4de47974c603970bfe142) (Junius Gunaratne)

### ButtonBar

#### Changes

* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)
* [[Themers] Add app bar color themer (#1503)](https://github.com/material-components/material-components-ios/commit/cda52f4e6b29f0ed72a4de47974c603970bfe142) (Junius Gunaratne)

### Buttons

#### Changes

* [Add -Wstrict-prototypes and fix errors. (#1532)](https://github.com/material-components/material-components-ios/commit/4dba0dfff81e2c2a9073cb29a30f228f02938d49) (Adrian Secord)
* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)
* [Make sure that MDCButton has the proper init methods. (#1542)](https://github.com/material-components/material-components-ios/commit/ee2880881ae374e2fbde39002e4323dabea8420a) (Randall Li)
* [[mdcbutton] Using UIAppearance to set the default background color for the normal state.](https://github.com/material-components/material-components-ios/commit/6670e7409f8fc3ecadbcc18a12de781f16569798) (randallli)
* [Button appearance (#1502)](https://github.com/material-components/material-components-ios/commit/b18aaff93e62ab853e0930867c90da3339cfb2d8) (Randall Li)
* [Revert "Button appearance (#1502)" (#1504)](https://github.com/material-components/material-components-ios/commit/9db80b68b05969f5ab7fdeeab8806fc34f57a2a1) (Randall Li)
* [Reverted MDCButton changes from Component Themer change: (#1490)](https://github.com/material-components/material-components-ios/commit/4128a44538e25c2ba19f627b9a96cffe568f1cad) (Randall Li)
* [[Button] Calling commonMDCButtonInit from init. (#1501)](https://github.com/material-components/material-components-ios/commit/6217edab9e7eba9d5da5fee531211e09f2a2bda2) (Randall Li)


### CollectionCells

#### Changes

* [Add -Wstrict-prototypes and fix errors. (#1532)](https://github.com/material-components/material-components-ios/commit/4dba0dfff81e2c2a9073cb29a30f228f02938d49) (Adrian Secord)
* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### Collections

#### Changes

* [Add -Wstrict-prototypes and fix errors. (#1532)](https://github.com/material-components/material-components-ios/commit/4dba0dfff81e2c2a9073cb29a30f228f02938d49) (Adrian Secord)
* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### Dialogs

#### Changes

* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### FeatureHighlight

#### Changes

* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)
* [[Feature Highlight] Rotation fixes and animation improvement (#1505)](https://github.com/material-components/material-components-ios/commit/0a102db99bddceefadb0f7bce9474be6180ae0cd) (Sam Morrison)

### FlexibleHeader

#### Changes

* [Add -Wstrict-prototypes and fix errors. (#1532)](https://github.com/material-components/material-components-ios/commit/4dba0dfff81e2c2a9073cb29a30f228f02938d49) (Adrian Secord)
* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)
* [Remove unused function from example. (#1527)](https://github.com/material-components/material-components-ios/commit/3cba5ed8b39e88d88d6d21bf0dd11bf6de123ec8) (Adrian Secord)

### HeaderStackView

#### Changes

* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### Ink

#### Changes

* [Add -Wstrict-prototypes and fix errors. (#1532)](https://github.com/material-components/material-components-ios/commit/4dba0dfff81e2c2a9073cb29a30f228f02938d49) (Adrian Secord)
* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### NavigationBar

#### Changes

* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### OverlayWindow

#### Changes

* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### PageControl

#### Changes

* [Add -Wstrict-prototypes and fix errors. (#1532)](https://github.com/material-components/material-components-ios/commit/4dba0dfff81e2c2a9073cb29a30f228f02938d49) (Adrian Secord)
* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### ProgressView

#### Changes

* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### Slider

#### Changes

* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### Snackbar

#### Changes

* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### Tabs

#### Changes

* [Add -Wstrict-prototypes and fix errors. (#1532)](https://github.com/material-components/material-components-ios/commit/4dba0dfff81e2c2a9073cb29a30f228f02938d49) (Adrian Secord)
* [Added implementation for accessibilityElementForItem:](https://github.com/material-components/material-components-ios/commit/f78fd30242241fa051c882077791b340cb113a6b) (brianjmoore)
* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

### TextFields

#### Changes

* [Adding missing implementations of properties (#1528)](https://github.com/material-components/material-components-ios/commit/448153d7154dc829f1287a7e19d0fb8fdd54f16a) (Will Larche)
* [Corrections to height and frame and better manual layout support (#1525)](https://github.com/material-components/material-components-ios/commit/484a82cd8dbfcdcf490f0aee1c1c12c2dd348dcd) (Will Larche)
* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)
* [Underline color customization (#1537)](https://github.com/material-components/material-components-ios/commit/d085183658a5d88c8e57567ca6a7b8034599c26c) (Will Larche)

### Typography

#### Changes

* [Fix imports to use umbrella imports (#1529)](https://github.com/material-components/material-components-ios/commit/266a716f6096857dc6970e031e23c2c85a6e4f83) (Randall Li)

# 25.0.1

Hotfix: Added implementation for accessibilityElementForItem: for MDCTabBar

# 25.0.0

## API diffs

### FeatureHighlight

* Added properties 'bodyColor' and 'titleColor' in MDCFeatureHighlightView
* Added 'nullable' nullability specifiers to 'innerHighlightColor', 'outerHighlightColor'
* Added properties 'bodyCOlor' and 'titleColor' in MDCFeatureHighlightViewController

### Palettes

* Remove 'redPalette','pinkPalette','purplePalette','deepPurplePalette','indigoPalette','bluePalette',
    'lightBluePalette','cyanPalette','tealPalette','greenPalette','lightGreenPalette','limePalette',
    'yellowPalette','amberPalette','orangePalette','deepOrangePalette','brownPalette','greyPalette',
    'blueGreyPalette' class methods from MDCPalette in favor of class properties

## Component changes

### FeatureHighlight

#### Changes

* [[Feature Highlight] Expose title and body color properties (#1496)](https://github.com/material-components/material-components-ios/commit/a43472d2497836d12b70782b65b17788cf05efd0) (Sam Morrison)

### Palettes

#### Changes

* [Removing palette (#1500)](https://github.com/material-components/material-components-ios/commit/f71cd14b5b3ec3cf123e327bba875faf8ebf8f56) (Martin Petrov)

# 24.0.2

Hotfix: Fixed missing bump of version numbers.

# 24.0.1

Hotfix: Added missing dependencies in our podspec from ColorThemer subspecs to Component subspecs.

# 24.0.0

## API diffs

### Palettes

* Added typedef for NSString so we can differentiate tints from accents
* Added more palettes: Red, Pink, Purple etc.

### Tabs

* MDCTabBarDelegate conforms to UIBarPositioningDelegate protocol.
* Added MDCTabBarViewController.

### TextFields

* New Component: Single line text input.

### Themes

* ColorScheme colors are now nonnull, readonly
* New classes: TonalColorScheme, TonalPalette

## Component changes

### ActivityIndicator

#### Changes

* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)
* [Exposed enum and private method to be used for subclassing (#1481)](https://github.com/material-components/material-components-ios/commit/9a08ecaa5c2cc5bf040418607d7767b40ec5123e) (Justin Shephard)

### ButtonBar

#### Changes

* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)

### Buttons

#### Changes

* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)

### Dialogs

#### Changes

* [![ColorThemer] Reorganize source to create separate targets for each color themer. (#1466)](https://github.com/material-components/material-components-ios/commit/1c7ca931421d45dbddd703aaf1bbea474f28afe0) (Randall Li)
* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)
* [Shorten transition duration (#1465)](https://github.com/material-components/material-components-ios/commit/eb9351d1c3fdb1e981b679c0a40e7d803d1c32f6) (ianegordon)
* [[MDCPalette] Use class properties (#1470)](https://github.com/material-components/material-components-ios/commit/ec1feb81a5701e1b6dd7c368b593ef7b1e77e12f) (Martin Petrov)

### FeatureHighlight

#### Changes

* [![ColorThemer] Reorganize source to create separate targets for each color themer. (#1466)](https://github.com/material-components/material-components-ios/commit/1c7ca931421d45dbddd703aaf1bbea474f28afe0) (Randall Li)
* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)
* [[Feature Highlight] Restore innerHighlightColor setter and fix null_resettable colors (#1485)](https://github.com/material-components/material-components-ios/commit/984135f874ec156a6a1d51b517aaae5e00945dfc) (Sam Morrison)
* [[MDCPalette] Use class properties (#1470)](https://github.com/material-components/material-components-ios/commit/ec1feb81a5701e1b6dd7c368b593ef7b1e77e12f) (Martin Petrov)

### FlexibleHeader

#### Changes

* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)

### HeaderStackView

#### Changes

* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)

### Ink

#### Changes

* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)

### NavigationBar

#### Changes

* [- Update handling of center-aligned titles (#1479)](https://github.com/material-components/material-components-ios/commit/d1c2a32339ef9fba687c0f031e3de601670e89c1) (Justin Shephard)
* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)

### PageControl

#### Changes

* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)

### Palettes

#### Changes

* [[MDCPalette] Use class properties (#1470)](https://github.com/material-components/material-components-ios/commit/ec1feb81a5701e1b6dd7c368b593ef7b1e77e12f) (Martin Petrov)
* [[Palette] Swift enums for MDCPaletteTint/Accent. (#1469)](https://github.com/material-components/material-components-ios/commit/49ed5eb513c5e757d2f5f00bd50b840953e5091b) (Martin Petrov)

### ProgressView

#### Changes

* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)
* [[MDCPalette] Use class properties (#1470)](https://github.com/material-components/material-components-ios/commit/ec1feb81a5701e1b6dd7c368b593ef7b1e77e12f) (Martin Petrov)

### Slider

#### Changes

* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)

### Snackbar

#### Changes

* [[Testing] Interaction tests infrastructure (#1473)](https://github.com/material-components/material-components-ios/commit/2fa4850f4edd4a0e0cf75cd23acf860508e3e385) (Will Larche)

### Tabs

#### Changes

* [Add MDCTabViewController (#1482)](https://github.com/material-components/material-components-ios/commit/f88dc55511d1d634ee6e84208b8f22fdf681f19e) (ianegordon)
* [Bottom navigation support (#1411)](https://github.com/material-components/material-components-ios/commit/a680e30a567d64c586bf0a80f564063e014db02d) (Brian Moore)
* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)
* [[MDCPalette] Use class properties (#1470)](https://github.com/material-components/material-components-ios/commit/ec1feb81a5701e1b6dd7c368b593ef7b1e77e12f) (Martin Petrov)

### TextFields

#### Changes

* [Correcting broken image in readme. (#1489)](https://github.com/material-components/material-components-ios/commit/8c5f0a8846ee3767ea2d4a40f89fadb906e89b55) (Will Larche)
* [Single line text fields (#1318)](https://github.com/material-components/material-components-ios/commit/acf47c10d1bec3ab632adf87c8f5e18cfbaee421) (Will Larche)

### Themes

#### Changes

* [![ColorThemer] Reorganize source to create separate targets for each color themer. (#1466)](https://github.com/material-components/material-components-ios/commit/1c7ca931421d45dbddd703aaf1bbea474f28afe0) (Randall Li)
* [Add support for material design tonal palettes (#1471)](https://github.com/material-components/material-components-ios/commit/5d24dca8835dc1e76e89be61f87a88ba2cb60810) (Junius Gunaratne)
* [Component themers and usage example for catalog (#1443)](https://github.com/material-components/material-components-ios/commit/71d441a065316430d1f13f7a5cbc47ed62ecfbd3) (Junius Gunaratne)

### Typography

#### Changes

* [MDCPreferredFontForStyle now includes the system font family. (#1472)](https://github.com/material-components/material-components-ios/commit/843675b37482a89cb7a587fe556cde512b1a0183) (ianegordon)

# 23.4.1

Fixed podspec

## Component changes

### Buttons

#### Changes

* [Revert "Fix case-sensitive imports from private to Private. Causing compilation failures in Xcode 8.3.2 about non-portable path."](https://github.com/material-components/material-components-ios/commit/9cae7fca7bcd490a921c5ca1aacbd585cd61a021) (randallli)

### Typography

#### Changes

* [Revert "Fix case-sensitive imports from private to Private. Causing compilation failures in Xcode 8.3.2 about non-portable path."](https://github.com/material-components/material-components-ios/commit/9cae7fca7bcd490a921c5ca1aacbd585cd61a021) (randallli)

# 23.4.0

## API diffs

### FeatureHighlight

Made MDCFeatureHighlightView public with two properties: innerHighlightColor and outerHighlightColor.

## Component changes

### ActivityIndicator

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)
* [[catalog] Restyle Activity Indicator example (#1433)](https://github.com/material-components/material-components-ios/commit/3ae88076c727611c6549ff00a1c8381abaeb6ba2) (Alastair Tse)

### AnimationTiming

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### AppBar

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### ButtonBar

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### Buttons

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### CollectionCells

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### CollectionLayoutAttributes

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### Collections

#### Changes

* [Fixes SwipeToDismiss ability to swipe when not editing. Closes #1207, #1300, #1301. (#1427)](https://github.com/material-components/material-components-ios/commit/33ceb64ee60fd6817454ee473667e73d396fff38) (Chris Cox)
* [Fixes indent. (#1428)](https://github.com/material-components/material-components-ios/commit/52ea84adbd4e0bd77fb31cc98eec22091b904a91) (Chris Cox)
* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### Dialogs

#### Changes

* [Adding MDC themes (#1401)](https://github.com/material-components/material-components-ios/commit/0cb6ce6d5f989e9827e39af1b857ca80c9de7081) (Junius Gunaratne)
* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### FeatureHighlight

#### Changes

* [Keep feature highlight view implementation in private with limited public properties (#1422)](https://github.com/material-components/material-components-ios/commit/6d8f757609ab8788c4ed4b1defaa68ef1937e98e) (Junius Gunaratne)
* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### FlexibleHeader

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### HeaderStackView

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### Ink

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### NavigationBar

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### PageControl

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### Palettes

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### ProgressView

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### ShadowElevations

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### ShadowLayer

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### Slider

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### Snackbar

#### Changes

* [Add accessibilityHint to MDCSnackbarMessage actions (#1449)](https://github.com/material-components/material-components-ios/commit/7272a1ece883b14a0d57ea8fb587cf77f64f7c9c) (Sam Morrison)
* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### Tabs

#### Changes

* [MDCTabBar should not crash if the selection is reset to nil. or array set to empty. Fix. (#1434)](https://github.com/material-components/material-components-ios/commit/2a95590d4ee580fa9afec06b7c66bfe5dd772f61) (David Phillip Oster)
* [Revert "Disallow tabs that are wider than the screen (#1408)" (#1431)](https://github.com/material-components/material-components-ios/commit/c76549c287d74b401a99b457a25878d1f03862c6) (Brian Moore)
* [Until you select an item in MDCTabBar, it should be in the unselected state. Fixed. (#1441)](https://github.com/material-components/material-components-ios/commit/be6888729216d9411579aea37f24b818eb7892b5) (David Phillip Oster)
* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

### Themes

#### Changes

* [Adding MDC themes (#1401)](https://github.com/material-components/material-components-ios/commit/0cb6ce6d5f989e9827e39af1b857ca80c9de7081) (Junius Gunaratne)

### Typography

#### Changes

* [[Docs] Adds API documentation roots and tidies up here and there. (#1425)](https://github.com/material-components/material-components-ios/commit/eed028eacbbee04170f15529ad721fe30bfdffdd) (Scott Hyndman)

# 23.3.0

## API diffs

* No API changes.

## Component changes

### FlexibleHeader

#### Changes

* [Fixes issue where the rotation animation was broken for any GOOHeaderViewController child’s view.](https://github.com/material-components/material-components-ios/commit/65ed2b4872177e3de64e7a9725388bd61358c58b) (Material Components iOS Team)

# 23.2.0

## API diffs

* No API changes.

## Component changes

### ActivityIndicator

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### AnimationTiming

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### AppBar

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### ButtonBar

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### Buttons

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### CollectionCells

#### Changes

* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### CollectionLayoutAttributes

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### Collections

#### Changes

* [[Docs] Fixes a couple broken links. (#1418)](https://github.com/material-components/material-components-ios/commit/80dab378de07b5b9f1457020fde41d43d1766859) (Scott Hyndman)
* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### Dialogs

#### Changes

* [Update alert body text opacity (#1415)](https://github.com/material-components/material-components-ios/commit/5a2702999d6e7193cb6f98b539d75db2d109c921) (ianegordon)
* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### FeatureHighlight

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### FlexibleHeader

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### HeaderStackView

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### Ink

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### NavigationBar

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### OverlayWindow

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### PageControl

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### Palettes

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### ProgressView

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### ShadowElevations

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### ShadowLayer

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### Slider

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### Snackbar

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### Tabs

#### Changes

* [[Docs] Added Tabs one-liner description.](https://github.com/material-components/material-components-ios/commit/ad1e1033a118ee6c472f6082c618e1cc56f71917) (Adrian Secord)
* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

### Typography

#### Changes

* [[Docs] Misc. cleanup (#1403)](https://github.com/material-components/material-components-ios/commit/1bec0a903a273b52836def8556c17a2b826b06a2) (Scott Hyndman)
* [[Docs] Nests components in the navigation as spec'd. (#1404)](https://github.com/material-components/material-components-ios/commit/1571a1b9ee6fd59a828860fab74a747a325214e9) (Scott Hyndman)

# 23.1.0

## API diffs

### Collections

#### Changes

Make [MDCCollectionViewController cellWidthAtSectionIndex:] public.

## Component changes

### ActivityIndicator

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Junius' Screenshots (#1393)](https://github.com/material-components/material-components-ios/commit/6cb4269240bac5b4ed98827070b2855ae8aed9da) (ianegordon)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [Remove remaining MP4s and markup. (#1396)](https://github.com/material-components/material-components-ios/commit/555476cf89f03a7a432489604286be1ad5ceb24b) (Adrian Secord)
* [Update screenshot widths](https://github.com/material-components/material-components-ios/commit/e9630689f0be39fcc1df00fd78fc5ce5dc9c990c) (Junius Gunaratne)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### AnimationTiming

#### Changes

* [Added a link to the motion spec in the AnimationTiming README. (#1319)](https://github.com/material-components/material-components-ios/commit/92db31da5c115510c9b29be058f77434998fa9a7) (Scott Hyndman)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Junius' Screenshots (#1393)](https://github.com/material-components/material-components-ios/commit/6cb4269240bac5b4ed98827070b2855ae8aed9da) (ianegordon)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### AppBar

#### Changes

* [& [FeatureHighlight] - Remove references to g3 (#1349)](https://github.com/material-components/material-components-ios/commit/acd8d38dc54babbaf58969a2554164745c61cbb5) (Justin Shephard)
* [- Removed Video from Readme (#1390)](https://github.com/material-components/material-components-ios/commit/4a879d363474b322f6ca64a965a28eb5291dfb61) (Justin Shephard)
* [- Update docs photo (#1374)](https://github.com/material-components/material-components-ios/commit/94ed673c2ae0812c6f524162a042f1b40b430f10) (Justin Shephard)
* [- Update readme docs (#1379)](https://github.com/material-components/material-components-ios/commit/6e54a23b74d81bb119f7edb7af6878b8d757a517) (Justin Shephard)
* [Fix warnings uncovered by the Xcode 8.3 static analyzer (#1298)](https://github.com/material-components/material-components-ios/commit/2ce144abd0c1d074ac32677e242d4b9508d76f40) (ianegordon)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [Updated accessibility label on back button (#1334)](https://github.com/material-components/material-components-ios/commit/00009b2106a72e306773af8219e9ccd79fd61487) (Justin Shephard)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### ButtonBar

#### Changes

* [- Removed Video File and updated Readme (#1395)](https://github.com/material-components/material-components-ios/commit/01669183e34d6af48b3911ef40fe6c6bea5036de) (Justin Shephard)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Site] Catalog colors (#1377)](https://github.com/material-components/material-components-ios/commit/653aec06e954ab11db09ac20c0bfd21c2de769cb) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Buttons

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Buttons, Page Control, Typography] Fixed screenshots (#1380)](https://github.com/material-components/material-components-ios/commit/d48a3dae3edd56b2c0f86f0d6d751cb2ae2da91c) (Randall Li)
* [[Buttons, Page Control, Typography] Removed video demos (#1387)](https://github.com/material-components/material-components-ios/commit/d7cf7999eded279d660abaed7c37e14299d3334f) (Randall Li)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[Math] New private math component (#1325)](https://github.com/material-components/material-components-ios/commit/ff5d16586947158e743eec1cc6da949662f0d7c0) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### CollectionCells

#### Changes

* [Added new screenshot for CollectionCells. (#1381)](https://github.com/material-components/material-components-ios/commit/fd3bca404082749f354d44fb729a971d85200a98) (Adrian Secord)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[Math] New private math component (#1325)](https://github.com/material-components/material-components-ios/commit/ff5d16586947158e743eec1cc6da949662f0d7c0) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### CollectionLayoutAttributes

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Collections

#### Changes

* [Eliminate static analyzer warnings. Simplify Collection supplementary views (#1316)](https://github.com/material-components/material-components-ios/commit/f018e09afe4c0a1d73d20993d0b2283638dfbdcd) (ianegordon)
* [Fix warnings uncovered by the Xcode 8.3 static analyzer (#1298)](https://github.com/material-components/material-components-ios/commit/2ce144abd0c1d074ac32677e242d4b9508d76f40) (ianegordon)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Temporarily expose cellWidthAtSection: in MDCCollectionViewController.h  (#1358)](https://github.com/material-components/material-components-ios/commit/3a4c859f376618e6b33533b2ebe21bcc26e81ef9) (Felix Emiliano)
* [Updated screenshot. (#1383)](https://github.com/material-components/material-components-ios/commit/b2b433f3662220c6d06d81d8ecf8ad78b0e8d34e) (Adrian Secord)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Dialogs

#### Changes

* [Fix AlertController rotation layout (#1306)](https://github.com/material-components/material-components-ios/commit/74e6232777c3d10600bffaee5b1127d9de60baa3) (ianegordon)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [Screenshot (#1376)](https://github.com/material-components/material-components-ios/commit/0489e474e9f5db915e4ed9b23e3ec9be23e0467d) (ianegordon)
* [[All] Formatting. (#1329)](https://github.com/material-components/material-components-ios/commit/d8a58feecd69219be8f1f7cc15e98ee0d19f5d49) (Will Larche)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### FeatureHighlight

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [[All] Formatting. (#1329)](https://github.com/material-components/material-components-ios/commit/d8a58feecd69219be8f1f7cc15e98ee0d19f5d49) (Will Larche)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[AppBar] & - Remove references to g3 (#1349)](https://github.com/material-components/material-components-ios/commit/acd8d38dc54babbaf58969a2554164745c61cbb5) (Justin Shephard)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[Feature Highlight] Updated screenshot (#1385)](https://github.com/material-components/material-components-ios/commit/b30161df41415824c06b5b2b97710c833f7d5e12) (Sam Morrison)
* [[Feature highlight] Accessibility fixes (#1284)](https://github.com/material-components/material-components-ios/commit/2a47d187edc7a4aec4566641730042fd00df114b) (Sam Morrison)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### FlexibleHeader

#### Changes

* [- Correct use of deprecated property in docs (#1340)](https://github.com/material-components/material-components-ios/commit/9c3f162125a0c2af06877bbe3e9743d150c00c00) (Justin Shephard)
* [- Remove video file and updated readme (#1394)](https://github.com/material-components/material-components-ios/commit/f96c040c7ee61b38e4c3d5104315f8cc2cb56c5f) (Justin Shephard)
* [- Update readme doc (#1378)](https://github.com/material-components/material-components-ios/commit/73c83f22871f39dff753995a5697d04380c85cf0) (Justin Shephard)
* [- Updated doc pic (#1375)](https://github.com/material-components/material-components-ios/commit/7c5586f1caa7f67fda2d190c23f71780c6b216f5) (Justin Shephard)
* [Ensure the MDCFlexibleHeaderView adheres to UIAppearance proxy if set (#1326)](https://github.com/material-components/material-components-ios/commit/92240a337deeec844ce53061eb289c472168202e) (Justin Shephard)
* [Fix Swift example in the FlexibleHeader docs (#1354)](https://github.com/material-components/material-components-ios/commit/d0210fa20a460fa1185f96048b9f7c4c80394b06) (Alastair Tse)
* [Fix warnings uncovered by the Xcode 8.3 static analyzer (#1298)](https://github.com/material-components/material-components-ios/commit/2ce144abd0c1d074ac32677e242d4b9508d76f40) (ianegordon)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### HeaderStackView

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[HeaderStack] - Remove video from Readme (#1391)](https://github.com/material-components/material-components-ios/commit/ebcb49dc14d64c80ccd5cc03c95081e7c81f7a3b) (Justin Shephard)
* [[Site] Catalog colors (#1377)](https://github.com/material-components/material-components-ios/commit/653aec06e954ab11db09ac20c0bfd21c2de769cb) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Ink

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Junius' Screenshots (#1393)](https://github.com/material-components/material-components-ios/commit/6cb4269240bac5b4ed98827070b2855ae8aed9da) (ianegordon)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [Remove remaining MP4s and markup. (#1396)](https://github.com/material-components/material-components-ios/commit/555476cf89f03a7a432489604286be1ad5ceb24b) (Adrian Secord)
* [Update screenshot widths](https://github.com/material-components/material-components-ios/commit/e9630689f0be39fcc1df00fd78fc5ce5dc9c990c) (Junius Gunaratne)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### NavigationBar

#### Changes

* [- Remove Video (#1392)](https://github.com/material-components/material-components-ios/commit/c4a33b3b5fdda1cba4547751310829cab008fdc0) (Justin Shephard)
* [Fix warnings uncovered by the Xcode 8.3 static analyzer (#1298)](https://github.com/material-components/material-components-ios/commit/2ce144abd0c1d074ac32677e242d4b9508d76f40) (ianegordon)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[Math] New private math component (#1325)](https://github.com/material-components/material-components-ios/commit/ff5d16586947158e743eec1cc6da949662f0d7c0) (Will Larche)
* [[Site] Catalog colors (#1377)](https://github.com/material-components/material-components-ios/commit/653aec06e954ab11db09ac20c0bfd21c2de769cb) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### OverlayWindow

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### PageControl

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Buttons, Page Control, Typography] Fixed screenshots (#1380)](https://github.com/material-components/material-components-ios/commit/d48a3dae3edd56b2c0f86f0d6d751cb2ae2da91c) (Randall Li)
* [[Buttons, Page Control, Typography] Removed video demos (#1387)](https://github.com/material-components/material-components-ios/commit/d7cf7999eded279d660abaed7c37e14299d3334f) (Randall Li)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Palettes

#### Changes

* [Added Palettes screenshot. (#1373)](https://github.com/material-components/material-components-ios/commit/3dcb30a6eba5f96deec2ee2e76c0e13eec11ac86) (Adrian Secord)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### ProgressView

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Updates ProgressView to use MDCMath. (#1328)](https://github.com/material-components/material-components-ios/commit/d9b7b2f69f5d0f3bb24b2cff5b9811e09b3a9787) (Louis Romero)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[Progress view] Updated screenshot (#1384)](https://github.com/material-components/material-components-ios/commit/e87a24febee47a538a6bc8bdd8857b833f9b7174) (Sam Morrison)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### ShadowElevations

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[Shadows] Screenshot (#1382)](https://github.com/material-components/material-components-ios/commit/9599118c1ba4af03185e34b5ca3d5482936c7e71) (ianegordon)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### ShadowLayer

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Screenshot (#1389)](https://github.com/material-components/material-components-ios/commit/fc4f2b763a89b5b2f18c4c2ade109b3723806daa) (ianegordon)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Slider

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Updated screenshot (#1386)](https://github.com/material-components/material-components-ios/commit/8321bede0888bbf967ffbc4ffe969fd6f336ff17) (Sam Morrison)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Snackbar

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [Updated screenshot (#1388)](https://github.com/material-components/material-components-ios/commit/5e7d2ebbc76c4ba81aa6bc161fc920e6089ba030) (Sam Morrison)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Tabs

#### Changes

* [Corrections for readme (#1294)](https://github.com/material-components/material-components-ios/commit/7a0e7de88a82262c8f86755124f32268796aff38) (Will Larche)
* [Fix warnings uncovered by the Xcode 8.3 static analyzer (#1298)](https://github.com/material-components/material-components-ios/commit/2ce144abd0c1d074ac32677e242d4b9508d76f40) (ianegordon)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Minor Tweaks to address internal feedback. (#1312)](https://github.com/material-components/material-components-ios/commit/a749a98b4f27652a87527bdd7598ea30e54dd5f2) (ianegordon)
* [Monochromatic sweep of all catalog components (#1370)](https://github.com/material-components/material-components-ios/commit/4a46c8c19e3df6f4c353057a67f34f446441b3a4) (Alastair Tse)
* [Remove remaining MP4s and markup. (#1396)](https://github.com/material-components/material-components-ios/commit/555476cf89f03a7a432489604286be1ad5ceb24b) (Adrian Secord)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[Site] Catalog colors (#1377)](https://github.com/material-components/material-components-ios/commit/653aec06e954ab11db09ac20c0bfd21c2de769cb) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Typography

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Workaround for medium system font on iOS 8 (#1292)](https://github.com/material-components/material-components-ios/commit/2bda2c118e66ac04b6458a6eab88a24b3c10500c) (ianegordon)
* [[All] Formatting. (#1329)](https://github.com/material-components/material-components-ios/commit/d8a58feecd69219be8f1f7cc15e98ee0d19f5d49) (Will Larche)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Buttons, Page Control, Typography] Fixed screenshots (#1380)](https://github.com/material-components/material-components-ios/commit/d48a3dae3edd56b2c0f86f0d6d751cb2ae2da91c) (Randall Li)
* [[Buttons, Page Control, Typography] Removed video demos (#1387)](https://github.com/material-components/material-components-ios/commit/d7cf7999eded279d660abaed7c37e14299d3334f) (Randall Li)
* [[Docs] Docstravaganza (#1330)](https://github.com/material-components/material-components-ios/commit/4a011e75a55fa1b0c592c44578a28162ddfa81ce) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

# 23.0.2

## API diffs

No change in public APIs.

## Component changes

### ActivityIndicator

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### AnimationTiming

#### Changes

* [Added a link to the motion spec in the AnimationTiming README. (#1319)](https://github.com/material-components/material-components-ios/commit/92db31da5c115510c9b29be058f77434998fa9a7) (Scott Hyndman)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### AppBar

#### Changes

* [Fix warnings uncovered by the Xcode 8.3 static analyzer (#1298)](https://github.com/material-components/material-components-ios/commit/2ce144abd0c1d074ac32677e242d4b9508d76f40) (ianegordon)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### ButtonBar

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Buttons

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[Math] New private math component (#1325)](https://github.com/material-components/material-components-ios/commit/ff5d16586947158e743eec1cc6da949662f0d7c0) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### CollectionCells

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[Math] New private math component (#1325)](https://github.com/material-components/material-components-ios/commit/ff5d16586947158e743eec1cc6da949662f0d7c0) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### CollectionLayoutAttributes

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Collections

#### Changes

* [Eliminate static analyzer warnings. Simplify Collection supplementary views (#1316)](https://github.com/material-components/material-components-ios/commit/f018e09afe4c0a1d73d20993d0b2283638dfbdcd) (ianegordon)
* [Fix warnings uncovered by the Xcode 8.3 static analyzer (#1298)](https://github.com/material-components/material-components-ios/commit/2ce144abd0c1d074ac32677e242d4b9508d76f40) (ianegordon)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Dialogs

#### Changes

* [Fix AlertController rotation layout (#1306)](https://github.com/material-components/material-components-ios/commit/74e6232777c3d10600bffaee5b1127d9de60baa3) (ianegordon)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] Formatting. (#1329)](https://github.com/material-components/material-components-ios/commit/d8a58feecd69219be8f1f7cc15e98ee0d19f5d49) (Will Larche)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### FeatureHighlight

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] Formatting. (#1329)](https://github.com/material-components/material-components-ios/commit/d8a58feecd69219be8f1f7cc15e98ee0d19f5d49) (Will Larche)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[Feature highlight] Accessibility fixes (#1284)](https://github.com/material-components/material-components-ios/commit/2a47d187edc7a4aec4566641730042fd00df114b) (Sam Morrison)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### FlexibleHeader

#### Changes

* [Ensure the MDCFlexibleHeaderView adheres to UIAppearance proxy if set (#1326)](https://github.com/material-components/material-components-ios/commit/92240a337deeec844ce53061eb289c472168202e) (Justin Shephard)
* [Fix warnings uncovered by the Xcode 8.3 static analyzer (#1298)](https://github.com/material-components/material-components-ios/commit/2ce144abd0c1d074ac32677e242d4b9508d76f40) (ianegordon)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### HeaderStackView

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Ink

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### NavigationBar

#### Changes

* [Fix warnings uncovered by the Xcode 8.3 static analyzer (#1298)](https://github.com/material-components/material-components-ios/commit/2ce144abd0c1d074ac32677e242d4b9508d76f40) (ianegordon)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[Math] New private math component (#1325)](https://github.com/material-components/material-components-ios/commit/ff5d16586947158e743eec1cc6da949662f0d7c0) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### OverlayWindow

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### PageControl

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Palettes

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### ProgressView

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Updates ProgressView to use MDCMath. (#1328)](https://github.com/material-components/material-components-ios/commit/d9b7b2f69f5d0f3bb24b2cff5b9811e09b3a9787) (Louis Romero)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### ShadowElevations

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### ShadowLayer

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Slider

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Snackbar

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Tabs

#### Changes

* [Corrections for readme (#1294)](https://github.com/material-components/material-components-ios/commit/7a0e7de88a82262c8f86755124f32268796aff38) (Will Larche)
* [Fix warnings uncovered by the Xcode 8.3 static analyzer (#1298)](https://github.com/material-components/material-components-ios/commit/2ce144abd0c1d074ac32677e242d4b9508d76f40) (ianegordon)
* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Minor Tweaks to address internal feedback. (#1312)](https://github.com/material-components/material-components-ios/commit/a749a98b4f27652a87527bdd7598ea30e54dd5f2) (ianegordon)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

### Typography

#### Changes

* [Gigantic documentation update. (#1305)](https://github.com/material-components/material-components-ios/commit/9ed1d4349d90f0bcf13b95043cf9e741846da69c) (Scott Hyndman)
* [Workaround for medium system font on iOS 8 (#1292)](https://github.com/material-components/material-components-ios/commit/2bda2c118e66ac04b6458a6eab88a24b3c10500c) (ianegordon)
* [[All] Formatting. (#1329)](https://github.com/material-components/material-components-ios/commit/d8a58feecd69219be8f1f7cc15e98ee0d19f5d49) (Will Larche)
* [[All] replacing ~~~ with ```. (#1324)](https://github.com/material-components/material-components-ios/commit/3f99ed2dd9aefb903918efb9253ade09e85d9a0d) (Will Larche)
* [[Docs]: Updated link list classes. (#1320)](https://github.com/material-components/material-components-ios/commit/0913aa9aaf85cfcb041e55acd3b2aa7608bb6a1d) (Scott Hyndman)
* [[docs] Associated icons with components (#1315)](https://github.com/material-components/material-components-ios/commit/69533578ca35c968594680a3ea50abd539fbea59) (Scott Hyndman)

# 23.0.1

## API diffs

No change in public APIs.

## Component changes

## Component changes

### AppBar

#### Changes

* [[All] Formatting. (#1269)](https://github.com/material-components/material-components-ios/commit/8c5350de315acf7d3902e93515aae1de9349edab) (Will Larche)

### Buttons

#### Changes

* [[All] Formatting. (#1269)](https://github.com/material-components/material-components-ios/commit/8c5350de315acf7d3902e93515aae1de9349edab) (Will Larche)

### CollectionCells

#### Changes

* [[All] Formatting. (#1269)](https://github.com/material-components/material-components-ios/commit/8c5350de315acf7d3902e93515aae1de9349edab) (Will Larche)

### CollectionLayoutAttributes

#### Changes

* [[All] Formatting. (#1269)](https://github.com/material-components/material-components-ios/commit/8c5350de315acf7d3902e93515aae1de9349edab) (Will Larche)

### Collections

#### Changes

* [Fix markdown in styles readme (#1263)](https://github.com/material-components/material-components-ios/commit/0ab539bd92cb0a52b37f6a8fbe2dd3b23cfc8981) (Morgan Chen)
* [[All] Formatting. (#1269)](https://github.com/material-components/material-components-ios/commit/8c5350de315acf7d3902e93515aae1de9349edab) (Will Larche)

### Dialogs

#### Changes

* [[All] Formatting. (#1269)](https://github.com/material-components/material-components-ios/commit/8c5350de315acf7d3902e93515aae1de9349edab) (Will Larche)

### FeatureHighlight

#### Changes

* [[Feature Highlight] Fix feature highlight on iOS8 devices (#1281)](https://github.com/material-components/material-components-ios/commit/6f8304e29b51a74db297631900b15018da782527) (Sam Morrison)
* [[Feature Highlight] Fix leaked CGPaths (thanks static analyzer!) (#1282)](https://github.com/material-components/material-components-ios/commit/5d8a6f9a1f8e1b0b22bb8caf4641ff7701bb7ea4) (Sam Morrison)

### FlexibleHeader

#### Changes

* [[All] Formatting. (#1269)](https://github.com/material-components/material-components-ios/commit/8c5350de315acf7d3902e93515aae1de9349edab) (Will Larche)

### Ink

#### Changes

* [[All] Formatting. (#1269)](https://github.com/material-components/material-components-ios/commit/8c5350de315acf7d3902e93515aae1de9349edab) (Will Larche)

### NavigationBar

#### Changes

* [[All] Formatting. (#1269)](https://github.com/material-components/material-components-ios/commit/8c5350de315acf7d3902e93515aae1de9349edab) (Will Larche)

### Snackbar

#### Changes

* [[All] Formatting. (#1269)](https://github.com/material-components/material-components-ios/commit/8c5350de315acf7d3902e93515aae1de9349edab) (Will Larche)

### Tabs

#### Changes

* [License stanza corrections.](https://github.com/material-components/material-components-ios/commit/258b2919961f6b69c82025db4e3faaa51fd50650) (Will Larche)
* [Reversing order of snippets.](https://github.com/material-components/material-components-ios/commit/801e4bedd9f95e817fc8230c3a77e105228effbf) (Will Larche)
* [[All] Formatting. (#1269)](https://github.com/material-components/material-components-ios/commit/8c5350de315acf7d3902e93515aae1de9349edab) (Will Larche)

### Typography

#### Changes

* [Added fallback logic for getting bold/italic fonts so that if there are no fonts then it returns the system bold/italic fonts. (#1277)](https://github.com/material-components/material-components-ios/commit/bbfad4f894333a66099f118ee508df5a8bb45ff4) (Randall Li)
* [[All] Formatting. (#1269)](https://github.com/material-components/material-components-ios/commit/8c5350de315acf7d3902e93515aae1de9349edab) (Will Larche)

# 23.0.0

## API diffs

### CollectionCell

#### Changes

* Add kSelectedCellAccessibilityHintKey

* Add kDeselectedCellAccessibilityHintKey

### Collections

#### Changes

* Change [MDCCollectionViewStyling backgroundImageForCellLayoutAttributes] nullability

### Ink

#### Changes

* Change [MDCInkTouchController inkTouchController] nullability

### Typography

#### Changes

* Add [MDCTypography boldItalicFontOfSize:]

* Add [MDCTypography boldFontFromFont:]

* Add [MDCTypography italicFontFromFont:]

* Add [MDCTypography isLargeForContrastRatios]

## Component changes

### CollectionCells

#### Changes

* [Add accessibility hint in edit mode (#1258)](https://github.com/material-components/material-components-ios/commit/4cbdfb9e3190225f3c13a6826b0bd9fd99c02d26) (Louis Romero)

### CollectionLayoutAttributes

#### Changes

* [Fix comparison (#1268)](https://github.com/material-components/material-components-ios/commit/2d8dbeb6de53508c7d6c33085c8863285137ab2c) (Gauthier Ambard)

### Collections

#### Changes

* [- Fix static analyzer warnings (#1231)](https://github.com/material-components/material-components-ios/commit/d640c1c3aac9998b860a087c26c4689a3fbd9261) (Justin Shephard)
* [[Collection] Fix text in header/footer example (#1266)](https://github.com/material-components/material-components-ios/commit/6ddf3fbdcf9cb2948c9d63d8d42ba3ce5424e52d) (Gauthier Ambard)

### FlexibleHeader

#### Changes

* [[FlexibleHeaderView] Temporarily remove assert to workaround iOS 10.3b issue (#1255)](https://github.com/material-components/material-components-ios/commit/ae15b469a8d9e639d6cfbe562edab4b4efa58d7a) (ianegordon)

### Ink

#### Changes

* [[Collections] - Fix static analyzer warnings (#1231)](https://github.com/material-components/material-components-ios/commit/d640c1c3aac9998b860a087c26c4689a3fbd9261) (Justin Shephard)

### Snackbar

#### Changes

* [Dont autodismiss snackbar messages views if they have voiceover focus (#1260)](https://github.com/material-components/material-components-ios/commit/cf7e0d423dde27e64f6c08a6f62a5e7f9ea8cb35) (Sam Morrison)

### Typography

#### Changes

* [Added strong dependency to MDFTextAccessiblity for fallbackack logic when isLargeForContrastRatios: is unspecified. (#1250)](https://github.com/material-components/material-components-ios/commit/5328641bff96768bc8dc31da818932b70e2bd11e) (Randall Li)
* [Make system font return medium and light versions of Helvetica instead of regularSystemFont. (#1246)](https://github.com/material-components/material-components-ios/commit/9fa1bf999b64eff71eea8a8627ebad7cdfa54e48) (Randall Li)
* [Remove unused header that causes circular dependency. (#1240)](https://github.com/material-components/material-components-ios/commit/502136ba8923f6a7b323c20b0400f6febc668432) (Adrian Secord)
* [added boldFontFromFont: and italicFontFormFont: (#1261)](https://github.com/material-components/material-components-ios/commit/7ddf3fb0c65f063ff72726f8472542642ff9b5a1) (Randall Li)
* [added boldItalic font to optional protocol of the TypographyFontLoading protocol (#1252)](https://github.com/material-components/material-components-ios/commit/f922779b29a1283b1cfcfec0500339b066a6b84c) (Randall Li)

# 22.1.1

## Component changes

### Flexible Header

#### Changes

* [FlexibleHeaderView] iOS 10.3beta workaround(https://github.com/material-components/material-components-ios/commit/0d54829bf29e6631de16f6a159fb7b48a8037692) (Ian Gordon)

# 22.1.0

## API diffs

### Typography

#### Changes

* [Added isLargeForContrastRatio to protocol (#1232)](https://github.com/material-components/material-components-ios/commit/36ca5ec407d8a3d8ba159e3af52605135b13010d) (Randall Li)

## Component changes

### NavigationBar

#### Changes

* [[Navigation Bar] - Update docs (#1235)](https://github.com/material-components/material-components-ios/commit/8f3d4a89e360300dc885dc9c9d3c259f6ea7c2ca) (Justin Shephard)

### Typography

#### Changes

* [Added isLargeForContrastRatio to protocol (#1232)](https://github.com/material-components/material-components-ios/commit/36ca5ec407d8a3d8ba159e3af52605135b13010d) (Randall Li)

# 22.0.0

## API diffs

### Dialogs

#### Changes

* [Add Dynamic Type support to Alert controller (#1213)](https://github.com/material-components/material-components-ios/commit/9f92b161db6441dfa8b4eacf7dff6d8aced37509) (ianegordon)

### Typography

#### Changes

* [Added bold and italics to the system fontloader and MDCTypographyFontLoader protocol (#1225)](https://github.com/material-components/material-components-ios/commit/975680a9cb34db366f4d95e62a105d7a0300b972) (Randall Li)

## Component changes

### AppBar

#### Changes

* [Fix analyzer warnings (#1229)](https://github.com/material-components/material-components-ios/commit/42084cb3b8fa4c9b7deef0120231ec1063a5397a) (ianegordon)

### Buttons

#### Changes

* [Dynamic Type resizing fix (#1213)](https://github.com/material-components/material-components-ios/commit/9f92b161db6441dfa8b4eacf7dff6d8aced37509) (ianegordon)

### Dialogs

#### Changes

* [Add Dynamic Type support to Alert controller (#1213)](https://github.com/material-components/material-components-ios/commit/9f92b161db6441dfa8b4eacf7dff6d8aced37509) (ianegordon)

### Snackbar

#### Changes

* [fix case of UIKit.h (#1223)](https://github.com/material-components/material-components-ios/commit/3f2968b54c738c747c6b9a02ab614d7853b0c406) (yoshisatoyanagisawa)

### Typography

#### Changes

* [Add warning about custom fonts and Dynamic Type (#1224)](https://github.com/material-components/material-components-ios/commit/9bea2218a6a6fa7d3eabf4788e4a49ff52487259) (ianegordon)
* [Added bold and italics to the system fontloader and MDCTypographyFontLoader protocol (#1225)](https://github.com/material-components/material-components-ios/commit/975680a9cb34db366f4d95e62a105d7a0300b972) (Randall Li)
* [Fix analyzer warnings (#1229)](https://github.com/material-components/material-components-ios/commit/42084cb3b8fa4c9b7deef0120231ec1063a5397a) (ianegordon)
* [switch it to a objc test (#1226)](https://github.com/material-components/material-components-ios/commit/64852237037ccd68af02b84e03f085392829ec5e) (Randall Li)


# 21.3.0

## API diffs

### Buttons

* [Add Dynamic Type support (#1211)](https://github.com/material-components/material-components-ios/pull/1211) (Ian Gordon)

## Component changes

### AppBar

#### Changes

* [[Project] Clear warnings within project (#1205)](https://github.com/material-components/material-components-ios/commit/95d71cfaac054d9fe88c130617ff963dc4b71ce5) (Justin Shephard)

### Buttons

#### Changes

* [[Button] Add Dynamic Type support (#1211)](https://github.com/material-components/material-components-ios/commit/05d0ad2074d2b4e2a954c6e663ba96798e3efb86) (ianegordon)

### Collections

#### Changes

* [- Updated README docs and example to use collection headers in editing mode (#1193)](https://github.com/material-components/material-components-ios/commit/620b5be1116771e18b3836a44bc806f6a5a3481c) (Justin Shephard)

### NavigationBar

#### Changes

* [[Project] Clear warnings within project (#1205)](https://github.com/material-components/material-components-ios/commit/95d71cfaac054d9fe88c130617ff963dc4b71ce5) (Justin Shephard)

### Snackbar

#### Changes

* [Release voice over's focus on snackbars when they are transient (#1214)](https://github.com/material-components/material-components-ios/commit/2c2592172b323a759af4bdfd969c4be775d95764) (Sam Morrison)

### Tabs

#### Changes

* [[Project] Clear warnings within project (#1205)](https://github.com/material-components/material-components-ios/commit/95d71cfaac054d9fe88c130617ff963dc4b71ce5) (Justin Shephard)

### Typography

#### Changes

* [Silence warning (#1206)](https://github.com/material-components/material-components-ios/commit/cee7266d2fc552f7039baaf8f528171237092b14) (ianegordon)

# 21.2.0

## API diffs

### NavigationBar

* [Added MDCNavigationBarTextColorAccessibilityMutator. (#1180)](https://github.com/material-components/material-components-ios/commit/5db1b8add5e9e77d9439a973cbc9d2d41188d049) (Justin Shephard)

## Component changes

### CollectionCells

#### Changes

* [Fix memory leak in Ink and correct issues with ink when re-using cells (#1180)](https://github.com/material-components/material-components-ios/commit/5db1b8add5e9e77d9439a973cbc9d2d41188d049) (Justin Shephard)

### Ink

#### Changes

* [Fix memory leak in Ink and correct issues with ink when re-using cells (#1180)](https://github.com/material-components/material-components-ios/commit/5db1b8add5e9e77d9439a973cbc9d2d41188d049) (Justin Shephard)

### NavigationBar

#### Changes

* [Added Accessibility Mutator (#1109)](https://github.com/material-components/material-components-ios/commit/c3d3bd34affdd0d52500682bb3c129995f24eadc) (Justin Shephard)

### Typography

#### Changes

* [Corrects typo in snippet. (#1198)](https://github.com/material-components/material-components-ios/commit/a6b23484bdf25b3f15629693e0e8beb65932791a) (Will Larche)

# 21.1.0

## Component changes

### Buttons

#### Changes

* [Revert the button tint color change. (#1196)](https://github.com/material-components/material-components-ios/commit/993edaa5512ce941e5e14e3737945aaa7468b4b5) (Sam Symons)

# 21.0.1

## Fixed podspec so it passes lint.

# 21.0.0

## API diffs

## Minimum iOS version is now 8.0

Given the usage of clients on versions of iOS below 8.0 and the increased power of the APIs available to us on iOS 8, our minimum iOS version is bumped from iOS 7 to 8.

## New component: Tabs

[Tab component with MDCTabBar (#1164)](https://github.com/material-components/material-components-ios/tree/develop/components/Tabs) is an implementation of the [Material tabs](https://material.io/go/design-tabs) used to explore and switch between different views. Try tabs out! (Brian Moore with Will Larche)

## Typography

* [Initial Material Text Style API (#1178)](https://github.com/material-components/material-components-ios/pull/1178) (Ian Gordon)

## Component changes

### ButtonBar

#### Changes

* [Revert "Swift cleanups."](https://github.com/material-components/material-components-ios/commit/7489fca4e4741ae02b406cdaacaf1dae26e19837) (Adrian Secord)
* [Swift cleanups.](https://github.com/material-components/material-components-ios/commit/129789c601a2bb6b09648af953c5433ebe3cebe0) (Adrian Secord)
* [[Swiftlint] Moar swiftlint fixes (#1155)](https://github.com/material-components/material-components-ios/commit/7ff646b58aba753c367bea7c9b7d0325ee61b440) (Adrian Secord)

### Buttons

#### Changes

* [Revert "Swift cleanups."](https://github.com/material-components/material-components-ios/commit/7489fca4e4741ae02b406cdaacaf1dae26e19837) (Adrian Secord)
* [Swift cleanups.](https://github.com/material-components/material-components-ios/commit/129789c601a2bb6b09648af953c5433ebe3cebe0) (Adrian Secord)
* [[Swiftlint] Moar swiftlint fixes (#1155)](https://github.com/material-components/material-components-ios/commit/7ff646b58aba753c367bea7c9b7d0325ee61b440) (Adrian Secord)

### Dialogs

#### Changes

* [Add a non-dismissing example. (#1184)](https://github.com/material-components/material-components-ios/commit/71d188663654744120bb64ef99762a72565365a3) (ianegordon)
* [Alert body text color to match spec (#1177)](https://github.com/material-components/material-components-ios/commit/e5a9df409b769ae2c861d3f618f45f1913178e47) (ianegordon)
* [Revert "Swift cleanups."](https://github.com/material-components/material-components-ios/commit/7489fca4e4741ae02b406cdaacaf1dae26e19837) (Adrian Secord)
* [Swift cleanups.](https://github.com/material-components/material-components-ios/commit/129789c601a2bb6b09648af953c5433ebe3cebe0) (Adrian Secord)
* [[Swiftlint] Moar swiftlint fixes (#1155)](https://github.com/material-components/material-components-ios/commit/7ff646b58aba753c367bea7c9b7d0325ee61b440) (Adrian Secord)

### FeatureHighlight

#### Changes

* [[Swiftlint] Moar swiftlint fixes (#1155)](https://github.com/material-components/material-components-ios/commit/7ff646b58aba753c367bea7c9b7d0325ee61b440) (Adrian Secord)

### FlexibleHeader

#### Changes

* [[Swiftlint] Moar swiftlint fixes (#1155)](https://github.com/material-components/material-components-ios/commit/7ff646b58aba753c367bea7c9b7d0325ee61b440) (Adrian Secord)

### HeaderStackView

#### Changes

* [[Swiftlint] Moar swiftlint fixes (#1155)](https://github.com/material-components/material-components-ios/commit/7ff646b58aba753c367bea7c9b7d0325ee61b440) (Adrian Secord)

### NavigationBar

#### Changes

* [Fxing the spelling for MaterialNavigationBar.h in include statement. (#1181)](https://github.com/material-components/material-components-ios/commit/59adab3eaa341458339806027fa4ea371a2b7482) (Scott Nichols)
* [[Swiftlint] Moar swiftlint fixes (#1155)](https://github.com/material-components/material-components-ios/commit/7ff646b58aba753c367bea7c9b7d0325ee61b440) (Adrian Secord)

### Slider

#### Changes

* [Revert "Swift cleanups."](https://github.com/material-components/material-components-ios/commit/7489fca4e4741ae02b406cdaacaf1dae26e19837) (Adrian Secord)
* [Swift cleanups.](https://github.com/material-components/material-components-ios/commit/129789c601a2bb6b09648af953c5433ebe3cebe0) (Adrian Secord)
* [[Swiftlint] Moar swiftlint fixes (#1155)](https://github.com/material-components/material-components-ios/commit/7ff646b58aba753c367bea7c9b7d0325ee61b440) (Adrian Secord)

### Snackbar

#### Changes

* [[Swiftlint] Moar swiftlint fixes (#1155)](https://github.com/material-components/material-components-ios/commit/7ff646b58aba753c367bea7c9b7d0325ee61b440) (Adrian Secord)

### Tabs

#### Changes

* [[New Component] Tab component with MDCTabBar (#1164)](https://github.com/material-components/material-components-ios/commit/fd074fca51a06e18b7878973820409695bca05aa) (Brian Moore)

### Typography

#### Changes

* [Initial Material Text Style API (#1178)](https://github.com/material-components/material-components-ios/commit/774d2f03a8175827fcb553176a04784345614b61) (ianegordon)


# 20.1.1

## Component changes

### Snackbar

#### Changes

* [Fix glitchy dismissal animation (#1166)](https://github.com/material-components/material-components-ios/pull/1166) (Sam Morrison)
* [Update file path for private file. (#1168)](https://github.com/material-components/material-components-ios/commit/1effd8ad0cb879048f00972b366bcdf481e3c2b6) (Louis Romero)

# 20.1.0

## API diffs

### Snackbar

* Message View Styling

## Component changes

### AppBar

#### Changes

* [- Added Modal Presentation App Bar Example (#1153)](https://github.com/material-components/material-components-ios/commit/8ab5505d0e438d7e9a7a31cf9e1ffea113e3be7c) (Justin Shephard)
* [More SwiftLint fixes for unit tests and example apps. (#1154)](https://github.com/material-components/material-components-ios/commit/8bcb19781cd8387464f46be51cdd72787d3f12ef) (Adrian Secord)

### Buttons

#### Changes

* [More SwiftLint fixes for unit tests and example apps. (#1154)](https://github.com/material-components/material-components-ios/commit/8bcb19781cd8387464f46be51cdd72787d3f12ef) (Adrian Secord)

### Collections

#### Changes

* [Added custom Storyboard cell to the Storyboard example. (#1152)](https://github.com/material-components/material-components-ios/commit/6843303f9d54a5a11a70abae6976f0b4d011636f) (Adrian Secord)
* [More SwiftLint fixes for unit tests and example apps. (#1154)](https://github.com/material-components/material-components-ios/commit/8bcb19781cd8387464f46be51cdd72787d3f12ef) (Adrian Secord)

### Dialogs

#### Changes

* [More SwiftLint fixes for unit tests and example apps. (#1154)](https://github.com/material-components/material-components-ios/commit/8bcb19781cd8387464f46be51cdd72787d3f12ef) (Adrian Secord)

### FeatureHighlight

#### Changes

* [Build fix: CGFloat casts missing from MDCFeatureHighlightView.m.](https://github.com/material-components/material-components-ios/commit/99d59f3fc6e2be46ebbe93c2784965516615a4ba) (Adrian Secord)
* [More SwiftLint fixes for unit tests and example apps. (#1154)](https://github.com/material-components/material-components-ios/commit/8bcb19781cd8387464f46be51cdd72787d3f12ef) (Adrian Secord)
* [[Feature highlight] Dynamically size inner highlight (#1151)](https://github.com/material-components/material-components-ios/commit/771496f6c6044866ea30622006646e7a7193e070) (Sam Morrison)

### FlexibleHeader

#### Changes

* [More SwiftLint fixes for unit tests and example apps. (#1154)](https://github.com/material-components/material-components-ios/commit/8bcb19781cd8387464f46be51cdd72787d3f12ef) (Adrian Secord)

### PageControl

#### Changes

* [More SwiftLint fixes for unit tests and example apps. (#1154)](https://github.com/material-components/material-components-ios/commit/8bcb19781cd8387464f46be51cdd72787d3f12ef) (Adrian Secord)

### Palettes

#### Changes

* [More SwiftLint fixes for unit tests and example apps. (#1154)](https://github.com/material-components/material-components-ios/commit/8bcb19781cd8387464f46be51cdd72787d3f12ef) (Adrian Secord)

### ShadowLayer

#### Changes

* [More SwiftLint fixes for unit tests and example apps. (#1154)](https://github.com/material-components/material-components-ios/commit/8bcb19781cd8387464f46be51cdd72787d3f12ef) (Adrian Secord)

### Snackbar

#### Changes

* [Message View Styling. (#1120)](https://github.com/material-components/material-components-ios/commit/95891e1130e6ee9351d5e7bad8f1ceb68bc22500) (Sean O'Shea)

# 20.0.0

## API changes

### Ink

* Return value of `-[MDCInkTouchController initWithView:]` changed from `nullable instancetype` to `nonnull instancetype`.

### ProgressView

* Added `MDCProgressViewBackwardAnimationMode` enumeration and `-[MDCProgressView backwardProgressAnimationMode]` to control how the progress view acts when its progress value is set to a _smaller_ value than the current value.

## Component changes

### ActivityIndicator

#### Changes

* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)

### AppBar

#### Changes

* [Formatted all Objective-C sources with clang-format. (#1133)](https://github.com/material-components/material-components-ios/commit/7ba66bf09ca984649ee30e58363fc6f995bedaca) (Adrian Secord)
* [Header stack view in AppBarController (#1121)](https://github.com/material-components/material-components-ios/commit/f2f00b3339da2658366977f8de972d4c8f9a0c31) (Will Larche)
* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)
* [[Scripts] SwiftLint integration (#1129)](https://github.com/material-components/material-components-ios/commit/bb561ac2575b613ff324772e4e0daa8dad0e9e27) (Sam Symons)

### ButtonBar

#### Changes

* [Formatted all Objective-C sources with clang-format. (#1133)](https://github.com/material-components/material-components-ios/commit/7ba66bf09ca984649ee30e58363fc6f995bedaca) (Adrian Secord)
* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)
* [[Scripts] SwiftLint integration (#1129)](https://github.com/material-components/material-components-ios/commit/bb561ac2575b613ff324772e4e0daa8dad0e9e27) (Sam Symons)

### Buttons

#### Changes

* [Update the button’s custom title color when the tint color changes. (#1134)](https://github.com/material-components/material-components-ios/commit/85dd5428f2c20c9ec4ca25bcaf531a20990fe4fa) (Sam Symons)
* [[Catalog] Center views in the Buttons (Swift and Storyboard) demo (#1126)](https://github.com/material-components/material-components-ios/commit/94a6d589e07dc6565a9f2011f733e9e2848e4b28) (Sam Symons)
* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)
* [[Scripts] SwiftLint integration (#1129)](https://github.com/material-components/material-components-ios/commit/bb561ac2575b613ff324772e4e0daa8dad0e9e27) (Sam Symons)

### CollectionCells

#### Changes

* [Formatted all Objective-C sources with clang-format. (#1133)](https://github.com/material-components/material-components-ios/commit/7ba66bf09ca984649ee30e58363fc6f995bedaca) (Adrian Secord)
* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)
* [[ReadMes] - Updated asset name for collection_cells (#1111)](https://github.com/material-components/material-components-ios/commit/c0103fc323d6767b90c91d93aa875a401ed98acf) (Justin Shephard)

### Collections

#### Changes

* [Formatted all Objective-C sources with clang-format. (#1133)](https://github.com/material-components/material-components-ios/commit/7ba66bf09ca984649ee30e58363fc6f995bedaca) (Adrian Secord)
* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)

### Dialogs

#### Changes

* [Formatted all Objective-C sources with clang-format. (#1133)](https://github.com/material-components/material-components-ios/commit/7ba66bf09ca984649ee30e58363fc6f995bedaca) (Adrian Secord)
* [[Scripts] SwiftLint integration (#1129)](https://github.com/material-components/material-components-ios/commit/bb561ac2575b613ff324772e4e0daa8dad0e9e27) (Sam Symons)

### FeatureHighlight

#### Changes

* [Formatted all Objective-C sources with clang-format. (#1133)](https://github.com/material-components/material-components-ios/commit/7ba66bf09ca984649ee30e58363fc6f995bedaca) (Adrian Secord)
* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)

### FlexibleHeader

#### Changes

* [- Update tests so as not to have 0 in contentSize (#1146)](https://github.com/material-components/material-components-ios/commit/89e007b7a603785e94e775c8fdf3d2c505901330) (Justin Shephard)
* [Formatted all Objective-C sources with clang-format. (#1133)](https://github.com/material-components/material-components-ios/commit/7ba66bf09ca984649ee30e58363fc6f995bedaca) (Adrian Secord)
* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)
* [[Scripts] SwiftLint integration (#1129)](https://github.com/material-components/material-components-ios/commit/bb561ac2575b613ff324772e4e0daa8dad0e9e27) (Sam Symons)

### HeaderStackView

#### Changes

* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)
* [[Scripts] SwiftLint integration (#1129)](https://github.com/material-components/material-components-ios/commit/bb561ac2575b613ff324772e4e0daa8dad0e9e27) (Sam Symons)

### Ink

#### Changes

* [Add nonnull to the MDCInkTouchController initializer (#1123)](https://github.com/material-components/material-components-ios/commit/b62b9c0524cc0bb9b54194ef70d464d0fd756e63) (Sam Symons)
* [Formatted all Objective-C sources with clang-format. (#1133)](https://github.com/material-components/material-components-ios/commit/7ba66bf09ca984649ee30e58363fc6f995bedaca) (Adrian Secord)
* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)

### NavigationBar

#### Changes

* [Formatted all Objective-C sources with clang-format. (#1133)](https://github.com/material-components/material-components-ios/commit/7ba66bf09ca984649ee30e58363fc6f995bedaca) (Adrian Secord)
* [Remove redundant RTL frame adjustment (#1103)](https://github.com/material-components/material-components-ios/commit/ac88e9b297306ea3b08e4e9e1eb1c92185b9eeef) (Junius Gunaratne)
* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)
* [[Scripts] SwiftLint integration (#1129)](https://github.com/material-components/material-components-ios/commit/bb561ac2575b613ff324772e4e0daa8dad0e9e27) (Sam Symons)

### OverlayWindow

#### Changes

* [Formatted all Objective-C sources with clang-format. (#1133)](https://github.com/material-components/material-components-ios/commit/7ba66bf09ca984649ee30e58363fc6f995bedaca) (Adrian Secord)

### PageControl

#### Changes

* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)
* [[Scripts] SwiftLint integration (#1129)](https://github.com/material-components/material-components-ios/commit/bb561ac2575b613ff324772e4e0daa8dad0e9e27) (Sam Symons)

### Palettes

#### Changes

* [[Scripts] SwiftLint integration (#1129)](https://github.com/material-components/material-components-ios/commit/bb561ac2575b613ff324772e4e0daa8dad0e9e27) (Sam Symons)

### ProgressView

#### Changes

* [Backward animation support (#1138)](https://github.com/material-components/material-components-ios/commit/26ce625081dea69c947a3383e53128eab0abb7b2) (Sam Symons)
* [Ran scripts/format_all. (#1141)](https://github.com/material-components/material-components-ios/commit/c6620b9ada62bea7e572412e62f109c0d491e134) (Adrian Secord)
* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)

### ShadowLayer

#### Changes

* [Formatted all Objective-C sources with clang-format. (#1133)](https://github.com/material-components/material-components-ios/commit/7ba66bf09ca984649ee30e58363fc6f995bedaca) (Adrian Secord)
* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)
* [[Scripts] SwiftLint integration (#1129)](https://github.com/material-components/material-components-ios/commit/bb561ac2575b613ff324772e4e0daa8dad0e9e27) (Sam Symons)

### Slider

#### Changes

* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)

### Snackbar

#### Changes

* [Fixes layout for SnackbarSuspensionExample (#1098)](https://github.com/material-components/material-components-ios/commit/ae5361cca0cff5aec4699bdf07fb9bdcb6f84f05) (Peter Friese)
* [Formatted all Objective-C sources with clang-format. (#1133)](https://github.com/material-components/material-components-ios/commit/7ba66bf09ca984649ee30e58363fc6f995bedaca) (Adrian Secord)
* [Render Snackbar labels correctly for RTL (#1137)](https://github.com/material-components/material-components-ios/commit/7e475358182dcc0cdb8208ad56d94e867244b4d5) (Sam Morrison)
* [Weakify strongify asynchronously dispatched snackbar view dismissal (#1136)](https://github.com/material-components/material-components-ios/commit/82049abf8f9937e2b2932e3839e56a16fb074e7a) (Sam Morrison)
* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)

### Typography

#### Changes

* [[ReadMes] - First image of each component is too big (#1110)](https://github.com/material-components/material-components-ios/commit/7a194835697bbb7d69832b83f1900de8ade2a8c8) (Justin Shephard)


# 19.0.4

This point release changes certain podfiles and instructions to refer to the published pod up at CocoaPods.

# 19.0.3

This point release removes the examples from `private/ThumbTrack`; they didn't follow our normal conventions and was confusing `pod try`.

## API changes

* No API changes in this release.

## Component changes

* No component changes in this release.

# 19.0.2

## API changes

* No API changes in this release.

## Component changes

### ActivityIndicator

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### AppBar

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### ButtonBar

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### Buttons

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### CollectionCells

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### CollectionLayoutAttributes

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### Collections

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### FlexibleHeader

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### HeaderStackView

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### Ink

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### NavigationBar

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### PageControl

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### Palettes

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### ProgressView

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### ShadowElevations

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### ShadowLayer

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### Slider

#### Changes

* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

### Typography

#### Changes

* [Remove all references to removed components (#1067)](https://github.com/material-components/material-components-ios/commit/03059189e5c929d877a6fd83d33c1a5614273527) (Adrian Secord)
* [Removed old refs to API docs. (#1084)](https://github.com/material-components/material-components-ios/commit/e8c45d53942908ceece95bfadbc98db7a92089b0) (Adrian Secord)

# 19.0.1

This point release fixes stale references to MDFFontDiskLoader, MDFSpritedAnimationView, and MDFRobotoFontLoader in our CocoaPods podspec.

## API diffs

None.

## Component changes

### Typography

#### Changes

* [Remove all references to removed components (#1067)](https://github.com/material-components/material-components-ios/commit/3405a9495b57b6f45180847e89f7e3f3d34b7fe1) (Adrian Secord)

# 19.0.0

## API diffs

The following components have been refactored out of MDC into their own repos:

* MDCFontDiskLoader is now [MDFFontDiskLoader](https://github.com/material-foundation/material-font-disk-loader-ios).
* MDCSpritedAnimationView is now [MDFSpritedAnimationView](https://github.com/material-foundation/material-sprited-animation-view-ios).
* MDCRobotoFontLoader is now [MDFRobotoFontLoader](https://github.com/material-foundation/material-roboto-font-loader-ios).

> Please note that while [MDC's
> repo](https://github.com/material-components/material-components-ios) is
> private, there is no way for
> [MDFRobotoFontLoader](https://github.com/material-foundation/material-roboto-font-loader-ios/blob/stable/src/MDFRobotoFontLoader.h#L22)
> to formally depend on
> [MDCTypographyFontLoading](https://github.com/material-components/material-components-ios/blob/develop/components/Typography/src/MDCTypography.h#L27),
> even though it informally implements the protocol. This means that
> MDFRobotoFontLoader can't be used out of the box to configure Typography with
> Roboto. Once we go public, a pull request to MDFFontDiskLoader will be
> created to add this convenience. Until that time, you can manually extend
> your local copy of MDFRobotoFontLoader to declare that it implements
> MDCTypographyFontLoading.

### ShadowLayer
#### MDCShadowLayer

*modified* property: `shadowMaskEnabled` in `MDCShadowLayer`

| Type of change: | declaration |
|---|---|
| From: | `@property (assign, readwrite, nonatomic) BOOL shadowMaskEnabled;` |
| To: | `@property (getter=isShadowMaskEnabled, assign, readwrite, nonatomic)     BOOL shadowMaskEnabled;` |

## Component changes

### ActivityIndicator

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### AnimationTiming

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### AppBar

#### Changes

* [- Re-adding NSCoding Support (#1008)](https://github.com/material-components/material-components-ios/commit/9cb3c3055204cb83891eb9c3e3af7d9ea33e36ea) (Justin Shephard)
* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### ButtonBar

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### Buttons

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### CollectionLayoutAttributes

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### Collections

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### Dialogs

#### Changes

* [Update README.md (#1028)](https://github.com/material-components/material-components-ios/commit/e648cf361000579ba2bd862257a735d74a66a768) (ianegordon)
* [[Catalog] Update dialog storyboard to rotate properly (#1031)](https://github.com/material-components/material-components-ios/commit/2cbfa20b1bafc8b4c37de9a43d8a9cea1aca63ae) (ianegordon)
* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### FeatureHighlight

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### FlexibleHeader

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### HeaderStackView

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### Ink

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### NavigationBar

#### Changes

* [Adding guidance to NavigationBar's docs about not using center-aligned titles (#1030)](https://github.com/material-components/material-components-ios/commit/9c9d6cee11d1916bb6eb6b2ea895fc8fff5fa758) (Junius Gunaratne)
* [[AppBar] - Re-adding NSCoding Support (#1008)](https://github.com/material-components/material-components-ios/commit/9cb3c3055204cb83891eb9c3e3af7d9ea33e36ea) (Justin Shephard)
* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### OverlayWindow

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### PageControl

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### Palettes

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### ProgressView

#### Changes

* [[Readmes] Snippets in Swift 3 (#1039)](https://github.com/material-components/material-components-ios/commit/3c4e9055983635c8b0ac9897816771ee864e030f) (Will Larche)

### ShadowElevations

#### Changes

* [Update ShadowElevation and ShadowLayer examples in README.md to Swift 3 (#1041)](https://github.com/material-components/material-components-ios/commit/1696df81a3b272c353caf6d9b242983bc143891e) (Junius Gunaratne)

### ShadowLayer

#### Changes

* [Add NSCoder support.  (Mark 2) (#1045)](https://github.com/material-components/material-components-ios/commit/2c353f82c2eba4261fe5e1403cb6b974501d9a55) (ianegordon)
* [Initial NSCoding support (#987)](https://github.com/material-components/material-components-ios/commit/4af729a8f3249f6d0511d97cce67a0edd7737747) (ianegordon)
* [Revert "Initial NSCoding support (#987)"](https://github.com/material-components/material-components-ios/commit/e1f886db71be7b70ff07bf7681526334c766a06b) (Ian Gordon)
* [Update ShadowElevation and ShadowLayer examples in README.md to Swift 3 (#1041)](https://github.com/material-components/material-components-ios/commit/1696df81a3b272c353caf6d9b242983bc143891e) (Junius Gunaratne)
* [[Typography] Remove Font Loaders (#1035)](https://github.com/material-components/material-components-ios/commit/0f422df49a48fff7487a71ec2c11297f043f9835) (ianegordon)

### Slider

#### Changes

* [[Readmes] Snippets in Swift 3 (#1050)](https://github.com/material-components/material-components-ios/commit/ae163f527c87869f8326bd159e74378d34a9bcb6) (Will Larche)

### Snackbar

#### Changes

* [[Readmes] Snippets in Swift 3 (#1050)](https://github.com/material-components/material-components-ios/commit/ae163f527c87869f8326bd159e74378d34a9bcb6) (Will Larche)

### Typography

#### Changes

* [Remove Font Loaders (#1035)](https://github.com/material-components/material-components-ios/commit/0f422df49a48fff7487a71ec2c11297f043f9835) (ianegordon)
* [Removed runtime check for MDCRoboto within typography. (#1055)](https://github.com/material-components/material-components-ios/commit/e02c9831365018772d9da1650d8e57e061a55bb9) (Randall Li)
* [[Readmes] Snippets in Swift 3 (#1050)](https://github.com/material-components/material-components-ios/commit/ae163f527c87869f8326bd159e74378d34a9bcb6) (Will Larche)
* [updated bare measurements. (#1063)](https://github.com/material-components/material-components-ios/commit/ab0f705a37d28a55a815106e8cbff3d2c49b9896) (Randall Li)

# 18.0.0

## API diffs

### ButtonBar

* MDCButtonBar is now IB_DESIGNABLE.

#### MDCButtonBarDelegate

*modified* method: `-buttonBar:viewForItem:layoutHints:` in `MDCButtonBarDelegate`

| Type of change: | swift declaration |
|---|---|
| From: | `func buttonBar(_ buttonBar: MDCButtonBar!, viewForItem barButtonItem: Any!, layoutHints: Any!) -> Any!` |
| To: | `func buttonBar(_ buttonBar: MDCButtonBar, viewForItem barButtonItem: Any!, layoutHints: Any!) -> Any!` |

*modified* method: `-buttonBar:viewForItem:layoutHints:` in `MDCButtonBarDelegate`

| Type of change: | declaration |
|---|---|
| From: | `- (UIView *)buttonBar:(MDCButtonBar *)buttonBar           viewForItem:(UIBarButtonItem *)barButtonItem           layoutHints:(MDCBarButtonItemLayoutHints)layoutHints;` |
| To: | `- (nonnull UIView *)buttonBar:(nonnull MDCButtonBar *)buttonBar                   viewForItem:(nonnull UIBarButtonItem *)barButtonItem                   layoutHints:(MDCBarButtonItemLayoutHints)layoutHints;` |

#### MDCButtonBar

*modified* property: `items` in `MDCButtonBar`

| Type of change: | declaration |
|---|---|
| From: | `@property (readwrite, copy, nonatomic) NSArray<UIBarButtonItem *> *items;` |
| To: | `@property (readwrite, copy, nonatomic, nullable)     NSArray<UIBarButtonItem *> *items;` |

### FlexibleHeader
#### MDCFlexibleHeaderViewController

*new* method: `-updateTopLayoutGuide` in `MDCFlexibleHeaderViewController`

### FontDiskLoader
#### MDCFontDiskLoader

*modified* class: `MDCFontDiskLoader`

| Type of change: | key.deprecation_message |
|---|---|
| From: | `` |
| To: | `Use https://github.com/material-foundation/material-font-disk-loader-ios instead.` |

*modified* class: `MDCFontDiskLoader`

| Type of change: | key.always_deprecated |
|---|---|
| From: | `0` |
| To: | `1` |

### HeaderStackView

* MDCHeaderStackView is now IB_DESIGNABLE.

### RobotoFontLoader
#### MDCRobotoFontLoader

*modified* class: `MDCRobotoFontLoader`

| Type of change: | key.deprecation_message |
|---|---|
| From: | `` |
| To: | `Use https://github.com/material-foundation/material-roboto-font-loader-ios instead.` |

*modified* class: `MDCRobotoFontLoader`

| Type of change: | key.always_deprecated |
|---|---|
| From: | `0` |
| To: | `1` |

### SpritedAnimationView
#### MDCSpritedAnimationView

*modified* class: `MDCSpritedAnimationView`

| Type of change: | key.deprecation_message |
|---|---|
| From: | `` |
| To: | `Use https://github.com/material-foundation/material-sprited-animation-view-ios instead.` |

*modified* class: `MDCSpritedAnimationView`

| Type of change: | key.always_deprecated |
|---|---|
| From: | `0` |
| To: | `1` |

### Switch

* MDCSwitch has been removed, please use UISwitch instead.

## Component changes

### ActivityIndicator

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)

### AnimationTiming

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)

### AppBar

#### Changes

* [- Added NSCoding supprt, added commonInit and commonetViewSetup methods (#994)](https://github.com/material-components/material-components-ios/commit/875a8a9be22ae6c338da4fe104ec8201ffa4b159) (Justin Shephard)
* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)
* [Convert component examples to Swift 3 (#1002)](https://github.com/material-components/material-components-ios/commit/4842a362f50cd5a3f5b88bdddbbc973d6edf7446) (Adrian Secord)
* [Revert "- Added NSCoding supprt, added commonInit and commonetViewSetup methods (#994)" (#1005)](https://github.com/material-components/material-components-ios/commit/73e1549a8babb868b3ed7b387e59dacb992e36b9) (Justin Shephard)
* [[FlexibleHeader] - Update TopLayoutGuide for Paired VC (#923)](https://github.com/material-components/material-components-ios/commit/0b466abfd29b3230448b3087d5a08776b9e82255) (Justin Shephard)

### ButtonBar

#### Changes

* [- Adding NSCoding compliance to component, IBDesignable, nullability qualifiers (#980)](https://github.com/material-components/material-components-ios/commit/00733fa42c35676fbc677226e3c713d8b5200c01) (Justin Shephard)
* [Convert component examples to Swift 3 (#1002)](https://github.com/material-components/material-components-ios/commit/4842a362f50cd5a3f5b88bdddbbc973d6edf7446) (Adrian Secord)
* [Remove struct hacks (#992)](https://github.com/material-components/material-components-ios/commit/8bc7a849ca6079eb1bb3cffdd9789dbea56d7caf) (Adrian Secord)

### Buttons

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)
* [Convert component examples to Swift 3 (#1002)](https://github.com/material-components/material-components-ios/commit/4842a362f50cd5a3f5b88bdddbbc973d6edf7446) (Adrian Secord)

### CollectionCells

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)
* [Layout subviews after updating interface for editing (#989)](https://github.com/material-components/material-components-ios/commit/27c514f4b851f210d8f7ca173560f4862ab24ce0) (Jackie Quinn)
* [Remove struct hacks (#992)](https://github.com/material-components/material-components-ios/commit/8bc7a849ca6079eb1bb3cffdd9789dbea56d7caf) (Adrian Secord)

### Collections

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)
* [Convert component examples to Swift 3 (#1002)](https://github.com/material-components/material-components-ios/commit/4842a362f50cd5a3f5b88bdddbbc973d6edf7446) (Adrian Secord)

### Dialogs

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)
* [Convert component examples to Swift 3 (#1002)](https://github.com/material-components/material-components-ios/commit/4842a362f50cd5a3f5b88bdddbbc973d6edf7446) (Adrian Secord)

### FeatureHighlight

#### Changes

* [Remove struct hacks (#992)](https://github.com/material-components/material-components-ios/commit/8bc7a849ca6079eb1bb3cffdd9789dbea56d7caf) (Adrian Secord)

### FlexibleHeader

#### Changes

* [- Added Swift Example (#1009)](https://github.com/material-components/material-components-ios/commit/68499f15b9c0745644851a0720a27dfef8752834) (Justin Shephard)
* [- Update TopLayoutGuide for Paired VC (#923)](https://github.com/material-components/material-components-ios/commit/0b466abfd29b3230448b3087d5a08776b9e82255) (Justin Shephard)
* [Add float cast to avoid warnings (#979)](https://github.com/material-components/material-components-ios/commit/f9c7955489f5a02b9c93ab09fc9e3570bd980a78) (ianegordon)
* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)
* [Convert component examples to Swift 3 (#1002)](https://github.com/material-components/material-components-ios/commit/4842a362f50cd5a3f5b88bdddbbc973d6edf7446) (Adrian Secord)
* [Remove struct hacks (#992)](https://github.com/material-components/material-components-ios/commit/8bc7a849ca6079eb1bb3cffdd9789dbea56d7caf) (Adrian Secord)

### FontDiskLoader

#### Changes

* [Deprecate migrating components. (#1007)](https://github.com/material-components/material-components-ios/commit/d0202ebc37f0b4fc96ac5ba78b9ab1120a0331cc) (Adrian Secord)
* [Removed FontDiskLoader tests. They were using font assets from another component RobotoFontLoader which is causing problems. Also the component is depreciated and moved into MDFFontDiskLoader. (#1016)](https://github.com/material-components/material-components-ios/commit/6fb5c3aa8fde9fba77260526800f3b2a617dc05d) (Randall Li)

### HeaderStackView

#### Changes

* [- Added IB_Designable, NSCoding support, swift example (#983)](https://github.com/material-components/material-components-ios/commit/2ebebab53566bcaf3e17442ee3b6deb5b468c2ac) (Justin Shephard)
* [Convert component examples to Swift 3 (#1002)](https://github.com/material-components/material-components-ios/commit/4842a362f50cd5a3f5b88bdddbbc973d6edf7446) (Adrian Secord)
* [Remove struct hacks (#992)](https://github.com/material-components/material-components-ios/commit/8bc7a849ca6079eb1bb3cffdd9789dbea56d7caf) (Adrian Secord)

### Ink

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)

### NavigationBar

#### Changes

* [- Added NSCoding support (#985)](https://github.com/material-components/material-components-ios/commit/20a629f5491a60ec86cc3540ee71a8fa340d2e5b) (Justin Shephard)
* [- Component Checklist (#996)](https://github.com/material-components/material-components-ios/commit/40f2b257185cb9f892ddaff41f583da1b2b3070e) (Justin Shephard)
* [Convert component examples to Swift 3 (#1002)](https://github.com/material-components/material-components-ios/commit/4842a362f50cd5a3f5b88bdddbbc973d6edf7446) (Adrian Secord)
* [Remove struct hacks (#992)](https://github.com/material-components/material-components-ios/commit/8bc7a849ca6079eb1bb3cffdd9789dbea56d7caf) (Adrian Secord)
* [Update title frame then apply RTL for title alignment. #831 (#991)](https://github.com/material-components/material-components-ios/commit/d4ec6ee060c88cac48ceac1ce7e14158070f9ef3) (Junius Gunaratne)
* [changed default title alignment to center (#831)](https://github.com/material-components/material-components-ios/commit/b2d95a86df3f311b0417afdc96910b7ea0b6e93e) (Randall Li)

### PageControl

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)
* [Convert component examples to Swift 3 (#1002)](https://github.com/material-components/material-components-ios/commit/4842a362f50cd5a3f5b88bdddbbc973d6edf7446) (Adrian Secord)

### Palettes

#### Changes

* [Convert component examples to Swift 3 (#1002)](https://github.com/material-components/material-components-ios/commit/4842a362f50cd5a3f5b88bdddbbc973d6edf7446) (Adrian Secord)

### ProgressView

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)

### RobotoFontLoader

#### Changes

* [Deprecate migrating components. (#1007)](https://github.com/material-components/material-components-ios/commit/d0202ebc37f0b4fc96ac5ba78b9ab1120a0331cc) (Adrian Secord)
* [[Typography] Removes the runtime inspection that uses Roboto if it can be found (via MDCRobotoFontLoader) (#713)](https://github.com/material-components/material-components-ios/commit/6834ae3efc45a87933e6fb6cdfdc942c0ffbe509) (Randall Li)

### ShadowElevations

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)

### ShadowLayer

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)
* [Convert component examples to Swift 3 (#1002)](https://github.com/material-components/material-components-ios/commit/4842a362f50cd5a3f5b88bdddbbc973d6edf7446) (Adrian Secord)

### Slider

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)

### SpritedAnimationView

#### Changes

* [Deprecate migrating components. (#1007)](https://github.com/material-components/material-components-ios/commit/d0202ebc37f0b4fc96ac5ba78b9ab1120a0331cc) (Adrian Secord)

### Typography

#### Changes

* [Capitalize "Material" in documentation (#1014)](https://github.com/material-components/material-components-ios/commit/e93a16ca029ca2bc68c9ecaaaeb83b996a79acf0) (Adrian Secord)
* [Convert component examples to Swift 3 (#1002)](https://github.com/material-components/material-components-ios/commit/4842a362f50cd5a3f5b88bdddbbc973d6edf7446) (Adrian Secord)
* [Removes the runtime inspection that uses Roboto if it can be found (via MDCRobotoFontLoader) (#713)](https://github.com/material-components/material-components-ios/commit/6834ae3efc45a87933e6fb6cdfdc942c0ffbe509) (Randall Li)


# 17.2.0

## API Changes

### FlexibleHeader

* `MDCFlexibleHeaderView` is now marked `IB_DESIGNABLE`.

### Switch

* `MDCSwitch` is completely deprecated and will be removed in the next release. We recommend apps use UISwitch instead.

## Component changes

### ActivityIndicator

#### Changes

* [Add missing language switcher comments to READMEs (#963)](https://github.com/material-components/material-components-ios/commit/d246914c96d2b831cb213d9dc8d2caf4afb1dbfd) (Sam Morrison)
* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)
* [[MDCActivityIndicator] Add API documentation links to README.md (#950)](https://github.com/material-components/material-components-ios/commit/7da34bbff7b17e72c6dc104e41e99ba38aa1bf07) (Junius Gunaratne)

### AnimationTiming

#### Changes

* [Add jekyll file and update pod spec](https://github.com/material-components/material-components-ios/commit/060db3e5966f1bfdfec57e85a3dedde0bc482c49) (Junius Gunaratne)
* [Add missing language switcher comments to READMEs (#963)](https://github.com/material-components/material-components-ios/commit/d246914c96d2b831cb213d9dc8d2caf4afb1dbfd) (Sam Morrison)
* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### AppBar

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### ButtonBar

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### Buttons

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### CollectionCells

#### Changes

* [Add "selected" accessibility trait when cell is selected in edit mode (#967)](https://github.com/material-components/material-components-ios/commit/3730aa2c580d358322a3efab6f71f40825bbf283) (Jackie Quinn)

### CollectionLayoutAttributes

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### Collections

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### Dialogs

#### Changes

* [Add RTL Support (#972)](https://github.com/material-components/material-components-ios/commit/b13df7f1391c24ea13a53a772c77b68d8ef144e6) (ianegordon)
* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### FeatureHighlight

#### Changes

* [Fix .png and .mp4 file names to match `scripts/check_components` (#946)](https://github.com/material-components/material-components-ios/commit/850faf828b220b467589b4b16315e9c4b0bbd12b) (Adrian Secord)
* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### FlexibleHeader

#### Changes

* [- Added NSCoding compliance to component, IBDesignab… (#973)](https://github.com/material-components/material-components-ios/commit/db4b55a54e0dde591e5e171b8a17bfe11ed3ed8d) (Justin Shephard)
* [Fixed double/CGFloat conversion error and formatting in MDCFlexibleHeaderView.m.](https://github.com/material-components/material-components-ios/commit/96ada23f183fd319e6e3b9bd068abdd1ddd67fb4) (Adrian Secord)
* [Undid CGFloat cast for one property.](https://github.com/material-components/material-components-ios/commit/7640a0a567b42832842b5aa2888c297eebbc8900) (Adrian Secord)
* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### FontDiskLoader

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### HeaderStackView

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### Ink

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### NavigationBar

#### Changes

* [Fix .png and .mp4 file names to match `scripts/check_components` (#946)](https://github.com/material-components/material-components-ios/commit/850faf828b220b467589b4b16315e9c4b0bbd12b) (Adrian Secord)
* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### OverlayWindow

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### PageControl

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### Palettes

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### ProgressView

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### RobotoFontLoader

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### ShadowElevations

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### ShadowLayer

#### Changes

* [Fix .png and .mp4 file names to match `scripts/check_components` (#946)](https://github.com/material-components/material-components-ios/commit/850faf828b220b467589b4b16315e9c4b0bbd12b) (Adrian Secord)
* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)
* [[Shadows] Scrub comments (#948)](https://github.com/material-components/material-components-ios/commit/d8df05828047510bb19f0f6ed1e793c55298a0f3) (ianegordon)

### Slider

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### Snackbar

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### SpritedAnimationView

#### Changes

* [Fix .png and .mp4 file names to match `scripts/check_components` (#946)](https://github.com/material-components/material-components-ios/commit/850faf828b220b467589b4b16315e9c4b0bbd12b) (Adrian Secord)
* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### Switch

#### Changes

* [Deprecated Switch and removed its examples. (#951)](https://github.com/material-components/material-components-ios/commit/b9fdbd6b11f1766b75f2fbd774ec33997d17fa54) (Adrian Secord)
* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

### Typography

#### Changes

* [[Documentation] Putting Swift snippets before Objc (#960)](https://github.com/material-components/material-components-ios/commit/1080e894229e18a7fae391d5e53ccdc7800fcd19) (Will Larche)

# 17.1.1

No public API or component changes.

Added missing components/private/Application/src/MaterialApplication.h umbrella header.

# 17.1.0

## API diffs

No public API changes in this release. Note that the 17.0.0 release was not published to CocoaPods, so if you are updating from 16.3.0 you will see the breaking change from 17.0.0.

### Behavior changes in MDCSnackbar

The behavior of MDCSnackbar has been changed to better match [the spec](https://material.io/go/design-snackbars#snackbars-toasts-specs):
* Animation duration increased from 0.15s to 0.5s.
* The snackbar no longer fades out, but translates down off screen.
* The snackbar's text and button (but not the background) fade out during the animation.

## Component changes

### ActivityIndicator

#### Changes

* [Add missing license headers (#900)](https://github.com/material-components/material-components-ios/commit/dff304e062c317a6bf4e6ea8d9963de45ca26bc7) (Sam Morrison)
* [Reduce minimum activity indicator radius to 5 pt. (#887)](https://github.com/material-components/material-components-ios/commit/cd4abc398c9ca2b89d237ee5484354f47efe1978) (Adrian Secord)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [Updated test to relect new radius of 5. (#907)](https://github.com/material-components/material-components-ios/commit/b2e811af5fd665a4085b93f3fe38ea324ec536b0) (Randall Li)
* [Wrap sharedApplication calls so we can build for app extension targets (#897)](https://github.com/material-components/material-components-ios/commit/e69f038d883b6734a9b7e8312766fcccd742610c) (Sam Morrison)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### AnimationTiming

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### AppBar

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)

### ButtonBar

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### Buttons

#### Changes

* [Add missing license headers (#900)](https://github.com/material-components/material-components-ios/commit/dff304e062c317a6bf4e6ea8d9963de45ca26bc7) (Sam Morrison)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[MDCFloatingButton] Floating action button should use a shape rather than text (#833)](https://github.com/material-components/material-components-ios/commit/4596b7c861229b22ca84574e189cf85b7671435c) (Junius Gunaratne)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### CollectionCells

#### Changes

* [Remove MDCSwitch examples and catalog usage. (#892)](https://github.com/material-components/material-components-ios/commit/171e5bfbc553585b1a798d22b269ce6c92afbcca) (Adrian Secord)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### CollectionLayoutAttributes

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### Collections

#### Changes

* [Fixes NSString to enum comparison (#872)](https://github.com/material-components/material-components-ios/commit/fb3cd29dce2ab78a55b4664d0b87bf0b4eae4779) (Cezar Cocu)
* [Remove MDCSwitch examples and catalog usage. (#892)](https://github.com/material-components/material-components-ios/commit/171e5bfbc553585b1a798d22b269ce6c92afbcca) (Adrian Secord)
* [Remove unnecessary method call (#875)](https://github.com/material-components/material-components-ios/commit/c293f80d88430a7be9e33d5a49e4c4f1d1a88bf6) (ianegordon)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### Dialogs

#### Changes

* [Add missing license (#895)](https://github.com/material-components/material-components-ios/commit/58c910672b653d7e4611e3932ae57fa8a53bd324) (ianegordon)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### FeatureHighlight

#### Changes

* [Add Feature Highlight demo video and still (#899)](https://github.com/material-components/material-components-ios/commit/59d092d5f91db97eb0cbc519383abd5a1da4e47c) (Sam Morrison)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### FlexibleHeader

#### Changes

* [- MDCFlexibleHeader in an app extension (#878)](https://github.com/material-components/material-components-ios/commit/d6130d28e4abf0fdbe47d3b4cbc05e024615928b) (Justin Shephard)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [Wrap sharedApplication calls so we can build for app extension targets (#897)](https://github.com/material-components/material-components-ios/commit/e69f038d883b6734a9b7e8312766fcccd742610c) (Sam Morrison)
* [[MDCFloatingButton] Floating action button should use a shape rather than text (#833)](https://github.com/material-components/material-components-ios/commit/4596b7c861229b22ca84574e189cf85b7671435c) (Junius Gunaratne)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### FontDiskLoader

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### HeaderStackView

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### Ink

#### Changes

* [Add missing license headers (#900)](https://github.com/material-components/material-components-ios/commit/dff304e062c317a6bf4e6ea8d9963de45ca26bc7) (Sam Morrison)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### NavigationBar

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### OverlayWindow

#### Changes

* [Add OverlayWindow to the docs.](https://github.com/material-components/material-components-ios/commit/200d83fbd4172235228e03090a5b6827fd4dd22a) (Adrian Secord)
* [Add missing license headers (#900)](https://github.com/material-components/material-components-ios/commit/dff304e062c317a6bf4e6ea8d9963de45ca26bc7) (Sam Morrison)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [Wrap sharedApplication calls so we can build for app extension targets (#897)](https://github.com/material-components/material-components-ios/commit/e69f038d883b6734a9b7e8312766fcccd742610c) (Sam Morrison)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### PageControl

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### Palettes

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### ProgressView

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### RobotoFontLoader

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### ShadowElevations

#### Changes

* [Improve shadow elevation description in read me (#879)](https://github.com/material-components/material-components-ios/commit/24a7c39db1102edc050d1d5d73d409b63d641df7) (Junius Gunaratne)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### ShadowLayer

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### Slider

#### Changes

* [Add missing license headers (#900)](https://github.com/material-components/material-components-ios/commit/dff304e062c317a6bf4e6ea8d9963de45ca26bc7) (Sam Morrison)
* [Internal change 138179679. (#866)](https://github.com/material-components/material-components-ios/commit/9509c4182608bbca45ff43132f17f57e3ea9f5bc) (Adrian Secord)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### Snackbar

#### Changes

* [Remove MDCSwitch examples and catalog usage. (#892)](https://github.com/material-components/material-components-ios/commit/171e5bfbc553585b1a798d22b269ce6c92afbcca) (Adrian Secord)
* [Removed Snackbar's vestigial vertical layout code. (#902)](https://github.com/material-components/material-components-ios/commit/2ce4475e53085cf9e9b28656adffbd6faf316b7e) (Adrian Secord)
* [Snackbar animation (#903)](https://github.com/material-components/material-components-ios/commit/b899a2a62ccfc1ed39064375e3c491fe2299a8a5) (Adrian Secord)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [Wrap sharedApplication calls so we can build for app extension targets (#897)](https://github.com/material-components/material-components-ios/commit/e69f038d883b6734a9b7e8312766fcccd742610c) (Sam Morrison)
* [[MDCFloatingButton] Floating action button should use a shape rather than text (#833)](https://github.com/material-components/material-components-ios/commit/4596b7c861229b22ca84574e189cf85b7671435c) (Junius Gunaratne)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### SpritedAnimationView

#### Changes

* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### Switch

#### Changes

* [Internal change 138179679. (#866)](https://github.com/material-components/material-components-ios/commit/9509c4182608bbca45ff43132f17f57e3ea9f5bc) (Adrian Secord)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

### Typography

#### Changes

* [Remove MDCSwitch examples and catalog usage. (#892)](https://github.com/material-components/material-components-ios/commit/171e5bfbc553585b1a798d22b269ce6c92afbcca) (Adrian Secord)
* [Updated refs to GitHub repo with new location. (#885)](https://github.com/material-components/material-components-ios/commit/2997e50c4c502b97606f7511cc6951a0552a0523) (Adrian Secord)
* [[Readme] Removing dead link in components.](https://github.com/material-components/material-components-ios/commit/5ca7c0bcf8e19f827b565911eaf3a3ef453525a3) (Will Larche)

# 17.0.0

## API Diffs

### Buttons


#### MDCButton

*modified* method: `-setBackgroundColor:` in `MDCButton`

| Type of change: | key.deprecation_message |
|---|---|
| From: | `Use setBackgroundColor:forState: instead.` |
| To: | `  `

*modified* method: `-setBackgroundColor:` in `MDCButton`

| Type of change: | key.always_unavailable |
|---|---|
| From: | `0` |
| To: | `1` |

*modified* method: `-setBackgroundColor:` in `MDCButton`

| Type of change: | key.always_deprecated |
|---|---|
| From: | `1` |
| To: | `0` |

*modified* method: `-setBackgroundColor:` in `MDCButton`

| Type of change: | declaration |
|---|---|
| From: | `- (void)setBackgroundColor:(nullable UIColor *)backgroundColor     __deprecated_msg("Use setBackgroundColor:forState: instead.");` |
| To: | `- (void)setBackgroundColor:(nullable UIColor *)backgroundColor;` |

### CollectionCells


#### MDCCollectionViewCell

*new* property: `editingSelectorColor` in `MDCCollectionViewCell`


## Component changes

### Buttons

#### Changes

* [[Button] Made setBackgroundColor unavailable and corrected updateTitle and update baoground order of operations. (#822)](https://github.com/material-components/material-components-ios/commit/33d4839bca3b253e1a4277418b0e47cc69a01e3e) (Randall Li)

### CollectionCells

#### Changes

* [Add color property for editing selector in MDCCollectionViewCell (#844)](https://github.com/material-components/material-components-ios/commit/ba36035d48d37511d7c205eed3ab3a8bc171030f) (Gauthier Ambard)
* [Handle separator insets correctly in RTL](https://github.com/material-components/material-components-ios/commit/c6f6fb85460284463369d2e5fa220ecad597f616) (Louis Romero)
* [Set checked cell's accessibility trait to Selected](https://github.com/material-components/material-components-ios/commit/bb78cbb9d463e16b5118a7826e81adb9a00a3ff0) (Louis Romero)



# 16.3.0

## API diffs

### Snackbar

- [new] [`MDCSnackbar setPresentationHostView:`](https://github.com/material-components/material-components-ios/commit/ee84a40885724453da69ca90bfa6a874008dc0b0)

## Component changes

### CollectionCells

#### Changes

* [[CollectionViewCell] Call |layoutSubviews| when editing (#798)](https://github.com/material-components/material-components-ios/commit/393d6214e08b1ff5bc359a1cfc6f816abe7b2e67) (Gauthier Ambard)

### Collections

#### Changes

* [Change layout invalidation in MDCCollectionViewStyler (#790)](https://github.com/material-components/material-components-ios/commit/82f7758bad9d4573f49d3656816df128642a8968) (Gauthier Ambard)

### FeatureHighlight

#### Changes

* [Convert CGFloats to float for 32 bit compilation (#834)](https://github.com/material-components/material-components-ios/commit/28f1d43595cd2a3fa109acb275214e50c810e94d) (Sam Morrison)

### Snackbar

#### Changes

* [[MDCSnackbar]! Add presentationHostView property to snackbar (#784)](https://github.com/material-components/material-components-ios/commit/ee84a40885724453da69ca90bfa6a874008dc0b0) (Sam Morrison)

# 16.2.0

## API diffs

### FeatureHighlight

* [FeatureHighlight](https://github.com/material-components/material-components-ios/commit/d4806473e49e65f0e9cc52139e39c3f1eba4f499) is a new component that lets you highlight a particular feature of your interface to the user.

## Component changes

### AppBar

#### Changes

* [Ensure typical use examples match for Objective C and Swift (#815)](https://github.com/material-components/material-components-ios/commit/09fb272376e814677f2936651906fd764618ea05) (Junius Gunaratne)

### CollectionCells

#### Changes

* [Align text labels frames to the upper pixel.](https://github.com/material-components/material-components-ios/commit/5a1a23d3c69c1c652b317219e1bb51d163000d4d) (Louis Romero)
* [Show/hide the editing box as entering/leaving edit](https://github.com/material-components/material-components-ios/commit/12206c44e72bd133f77a8d7373614f19cc73ec88) (Louis Romero)

### Collections

#### Changes

* [Fix -[MDCCollectionViewFlowLayout updateCellStateMaskWithAttribute:] (#732)](https://github.com/material-components/material-components-ios/commit/f2b93ae1119b28ee0685b780ccdd7e2a8044da2d) (Jackie Quinn)

### FeatureHighlight

#### Changes

* [MDCFeatureHighlightViewController implementation (#765)](https://github.com/material-components/material-components-ios/commit/d4806473e49e65f0e9cc52139e39c3f1eba4f499) (Sam Morrison)
* [Minor feature highlight fixes (#814)](https://github.com/material-components/material-components-ios/commit/b1c814d038b2cccaed76a7048deac1ae3771d7cd) (Sam Morrison)

### NavigationBar

#### Changes

* [Setting default state of textAlignment (#817)](https://github.com/material-components/material-components-ios/commit/9e947eba06b09ab8ad901af9d2a8001fac824daf) (Randall Li)
* [[Navigation Bar] Fixed text alignment in a better way that accepts the pre iOS8 default. (#820)](https://github.com/material-components/material-components-ios/commit/328631c19a2b89b0f4d8c11c24796ad0963976ee) (Randall Li)

### Switch

#### Changes

* [Added haptic feedback to MDCSwitch (#812)](https://github.com/material-components/material-components-ios/commit/6aae38dfa70db77929ef2952ff3b8fce3caea60b) (Adrian Secord)

# 16.1.0

## Component changes

### ActivityIndicator

#### Changes

* [Implement intrinsicContentSize (#795)](https://github.com/material-components/material-components-ios/commit/731eb321d94eb4957613e1059570cae17a584133) (Louis Romero)

### Buttons

#### Changes

* [MDC #329 - Bounded ink should ignore the maxRippleRadius property (#771)](https://github.com/material-components/material-components-ios/commit/01b73cf1478083baeb9976d4af12a67f02f9cb82) (Justin Shephard)

### Dialogs

#### Changes

* [Improve snackbar and dialogs docs (#785)](https://github.com/material-components/material-components-ios/commit/386964baf25fa9264516f9f0c9ed19410873f1fe) (Sam Morrison)

### Ink

#### Changes

* [Added MDCInkGestureRecognizer.h to Ink's umbrella header. (#801)](https://github.com/material-components/material-components-ios/commit/d24532bc40e0082dc8383d6431feceafa38ec050) (Adrian Secord)
* [MDC #329 - Bounded ink should ignore the maxRippleRadius property (#771)](https://github.com/material-components/material-components-ios/commit/01b73cf1478083baeb9976d4af12a67f02f9cb82) (Justin Shephard)
* [[MDCInkView] cancelAllAnimationsAnimated should support disabling animation (#786)](https://github.com/material-components/material-components-ios/commit/8008e82bd7bea04534ad7ecb2c3aa1903254553e) (Junius Gunaratne)

### ProgressView

#### Changes

* [[MDCProgressView] Execute completion block when setHidden:animated:completion is called sequentially (#787)](https://github.com/material-components/material-components-ios/commit/45c0b06275e88c65c7aae8bba1b78889cba2f93c) (Junius Gunaratne)

### Snackbar

#### Changes

* [Improve snackbar and dialogs docs (#785)](https://github.com/material-components/material-components-ios/commit/386964baf25fa9264516f9f0c9ed19410873f1fe) (Sam Morrison)



# 16.0.0

## API diffs

### InkTouchController

- [deleted] [`MDCInkTouchController.inkView`](https://github.com/material-components/material-components-ios/blob/c39811a2344114302327b6fa64d86346bacbea9a/components/Ink/src/MDCInkTouchController.h#L119)

## Component changes

### AppBar

#### Changes

* [Let the content view controller decide orientation](https://github.com/material-components/material-components-ios/commit/1a3069ff8de8eb406c037a1ff6738093c57efeee) (Louis Romero)

### Dialogs

#### Changes

* [Documentation Updates](https://github.com/material-components/material-components-ios/commit/f1b983465f304efc52d8c792af19b76d88a4a7b2) (Ian Gordon)

### Ink

#### Changes

* [Remove deprecated inkView property](https://github.com/material-components/material-components-ios/commit/2ce6d648292b8dcae90241a5c39405bfa368e1e4) (Junius Gunaratne)
* [define UIGestureRecognizerStateRecognized (#751)](https://github.com/material-components/material-components-ios/commit/4873362130f5d5c1893383dd9f6bfc71506dbbd9) (Junius Gunaratne)

### ShadowElevations

#### Changes

* [Documentation Updates](https://github.com/material-components/material-components-ios/commit/f1b983465f304efc52d8c792af19b76d88a4a7b2) (Ian Gordon)

### ShadowLayer

#### Changes

* [Documentation Updates](https://github.com/material-components/material-components-ios/commit/f1b983465f304efc52d8c792af19b76d88a4a7b2) (Ian Gordon)

### Switch

#### Changes

* [Update colours of MDCSwitch when changing tint color. (#758)](https://github.com/material-components/material-components-ios/commit/6f7b4ebf2b8c0225f02ef27779c204cc181d3abb) (Sylvain Defresne)
* [[MDCSwitch] Update objective-c example to match swift (#777)](https://github.com/material-components/material-components-ios/commit/ceeba259683892b63c474c6d51f86ee20aae0e07) (Chuck Hays)



# 15.2.0

## API diffs

### Palettes

- [new] [`MDCPalette.paletteGeneratedFromColor`](https://github.com/material-components/material-components-ios/blob/fad8519b6a1ba5c29a0368fb470cca3c6da74431/components/Palettes/src/MDCPalettes.h#L137)

## Component changes

### FlexibleHeader

#### Changes

* [MDC_#121 - Added write-up for re-applying swipe to go back feature on MDCFlexibleHeaderController with hidden navigation bar in README.md](https://github.com/material-components/material-components-ios/commit/1aadd7f468d1d00b7fcbc6c4f9979986229f3df7) (Justin Shephard)

### Ink

#### Changes

* [Added emphasis to reference count warning.](https://github.com/material-components/material-components-ios/commit/6a7a48a9ebb2cb94cdb253e06298a07132db92bd) (Will Larche)
* [Handling lack of strong reference to ink touch controller in both examples and instructions.](https://github.com/material-components/material-components-ios/commit/ca5b9a9ef775e06234cec8f64477402d65153670) (Will Larche)

### NavigationBar

#### Changes

* [[NavBar] Corrected mapping of NSTextAlignment to MDCNavigationBarTitleAligment](https://github.com/material-components/material-components-ios/commit/fdf1ff083d3c27c00263251c7fac5738317ce896) (randallli)

### Palettes

#### Changes

* [Added missing example initializer.](https://github.com/material-components/material-components-ios/commit/f5378746668facc793bf31c96a27a4e6b47324d3) (Adrian Secord)
* [Generate palettes to match a target color (#729)](https://github.com/material-components/material-components-ios/commit/fad8519b6a1ba5c29a0368fb470cca3c6da74431) (Adrian Secord)

# 15.1.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o 203562553800ed3d3b5eebfd1dd76cda875d833c -n f8e2c8b5e87d0414f6b08f691949ecebfaca41b8

### Ink

- [moved] [`MDCInkGestureRecognizer`](https://github.com/material-components/material-components-ios/blob/f8e2c8b5e87d0414f6b08f691949ecebfaca41b8/components/Ink/src/MDCInkGestureRecognizer.h#L26).
From *private/MDCInkGestureRecognizer.h* to *MDCInkGestureRecognizer.h*.

### NavigationBar

- [new] [`MDCNavigationBar.titleAlignment`](https://github.com/material-components/material-components-ios/blob/f8e2c8b5e87d0414f6b08f691949ecebfaca41b8/components/NavigationBar/src/MDCNavigationBar.h#L121)
- [new] [`MDCNavigationBarTitleAlignmentCenter`](https://github.com/material-components/material-components-ios/blob/f8e2c8b5e87d0414f6b08f691949ecebfaca41b8/components/NavigationBar/src/MDCNavigationBar.h#L24)
- [new] [`MDCNavigationBarTitleAlignmentLeading`](https://github.com/material-components/material-components-ios/blob/f8e2c8b5e87d0414f6b08f691949ecebfaca41b8/components/NavigationBar/src/MDCNavigationBar.h#L26)
- [new] [`MDCNavigationBarTitleAlignment`](https://github.com/material-components/material-components-ios/blob/f8e2c8b5e87d0414f6b08f691949ecebfaca41b8/components/NavigationBar/src/MDCNavigationBar.h#L22)
- [deprecated] [`MDCNavigationBar.textAlignment`](https://github.com/material-components/material-components-ios/blob/f8e2c8b5e87d0414f6b08f691949ecebfaca41b8/components/NavigationBar/src/MDCNavigationBar.h#L163).
*Use titleAlignment instead.*

## Component changes

### ButtonBar

#### Changes

* [Better disabled look (#704)](https://github.com/material-components/material-components-ios/commit/853a3c5d7591b76ffdd3618baf8890f4c391e61c) (Louis Romero)

### CollectionCells

#### Changes

* [MDC_#803 - Fixed multi touch handling in MDCCollectionViews](https://github.com/material-components/material-components-ios/commit/b5b128784c6182b5ed9de546adaaed8e9b44fcfa) (Justin Shephard)

### Collections

#### Changes

* [MDC_#803 - Fixed multi touch handling in MDCCollectionViews](https://github.com/material-components/material-components-ios/commit/b5b128784c6182b5ed9de546adaaed8e9b44fcfa) (Justin Shephard)
* [Showcase a collectionView footer that does not have card style background in a card style collectionView. (#709)](https://github.com/material-components/material-components-ios/commit/68651011a0e6072daa9802f1cf2eef812f4c4d64) (Ed Chin)

### Ink

#### Changes

* [Make MDCInkGestureRecognizer public](https://github.com/material-components/material-components-ios/commit/5ec47cef81370919d92f4561e756ab85f849c19c) (Junius Gunaratne)

### NavigationBar

#### Breaking changes

* [Switch to custom enum rather that reuse the NSTextAlignment so that we can strict our external API surface to the two options we want: Left and Center.](https://github.com/material-components/material-components-ios/commit/531a53b72ad42b40d16b1677729e33b7205dd6ab) (randallli)

# 15.0.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o 1926458f491c928adfb573a6eda38b6d5b5bc55e -n c39811a2344114302327b6fa64d86346bacbea9a

### Dialogs

- [new] [`MDCDialogPresentationController.dismissOnBackgroundTap`](https://github.com/material-components/material-components-ios/blob/c39811a2344114302327b6fa64d86346bacbea9a/components/Dialogs/src/MDCDialogPresentationController.h#L47)
- [new] [`UIViewController (MaterialDialogs)`](https://github.com/material-components/material-components-ios/blob/c39811a2344114302327b6fa64d86346bacbea9a/components/Dialogs/src/UIViewController+MaterialDialogs.h#L28)
- [new] [`UIViewController.mdc_dialogPresentationController`](https://github.com/material-components/material-components-ios/blob/c39811a2344114302327b6fa64d86346bacbea9a/components/Dialogs/src/UIViewController+MaterialDialogs.h#L35)

### Ink

- [new] [`MDCInkTouchController.gestureRecognizer`](https://github.com/material-components/material-components-ios/blob/c39811a2344114302327b6fa64d86346bacbea9a/components/Ink/src/MDCInkTouchController.h#L73)

### NavigationBar

- [new] [`MDCNavigationBar.textAlignment`](https://github.com/material-components/material-components-ios/blob/c39811a2344114302327b6fa64d86346bacbea9a/components/NavigationBar/src/MDCNavigationBar.h#L110)

### Switch

- [protocols changed] [`MDCSwitch`](https://github.com/material-components/material-components-ios/blob/c39811a2344114302327b6fa64d86346bacbea9a/components/Switch/src/MDCSwitch.h#L32).
Removed *NSCoding*.
Added *NSSecureCoding*.

## Component changes

### Collections

#### Changes

* [- Added autoscroll functionality to MDCCollectionViewEditor class](https://github.com/material-components/material-components-ios/commit/54e319f6ab8ed52bb7e6810d3fae3c7829396f75) (Justin Shephard)

### Dialogs

#### Changes

* [Add disable background dismiss property](https://github.com/material-components/material-components-ios/commit/0e3b8b2a3521ebc3961df0938e8089b9969e9fa9) (Ian Gordon)
* [[Catalog] Restore Xcode 7 compatibility](https://github.com/material-components/material-components-ios/commit/7f596f6f2a82bf13e1392a3611ff885c04ce3c1e) (Ian Gordon)

### Ink

#### Changes

* [Expose ink gesture recognizer in MDCInkTouchController, prevent inkLayer color from being set to nil](https://github.com/material-components/material-components-ios/commit/868fa6677d6b4a9dd05e7231ce35fd693ecf3d97) (Junius Gunaratne)

### NavigationBar

#### Changes

* [[MDCNavigationBar] Add ability to center title based on iOS design guidelines](https://github.com/material-components/material-components-ios/commit/2afee9916a8ca37706d408b46e3fe64100cd56db) (randallli)

### Slider

#### Changes

* [Change MDCSlider and MDCSwitch to use NSSecureCoding](https://github.com/material-components/material-components-ios/commit/19a06ed4251e66f04e9fe8a0184e0937066270e0) (Sam Morrison)
* [MDC_#767 - Removed bad import and changed public delegate declaration of MDCThumbTrackDelegate to private.](https://github.com/material-components/material-components-ios/commit/4a7ee8154e7b175c91715b4f53217decabdb12ee) (Justin Shephard)

### Snackbar

#### Changes

* [Fix incorrect type annotation found by clang static analyzer. (#700)](https://github.com/material-components/material-components-ios/commit/e92b8bcecaaa9ad8347ee1eaba944cd37edeefa2) (Sylvain Defresne)

### Switch

#### Changes

* [Change MDCSlider and MDCSwitch to use NSSecureCoding](https://github.com/material-components/material-components-ios/commit/19a06ed4251e66f04e9fe8a0184e0937066270e0) (Sam Morrison)
* [Fixed Xcode 7 analyzer warnings about leaking CGPaths in MDCSwitch.](https://github.com/material-components/material-components-ios/commit/c2b4b3d258add88da728ed5016b50f94ef72ceff) (Adrian Secord)
* [[MDCSwitch] Only dispatch control events for user generated changes](https://github.com/material-components/material-components-ios/commit/90d54bcd555495aaa2c0a038b26e032636a00377) (Sam Morrison)

# 14.0.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o 52692216832dc446ae2471bd2f42a40cd8746bbe -n 9ecf191c8d5fa6d8afc7ba119f4cb0ebe926483c

### FontDiskLoader

- [deleted] [`-[MDCFontDiskLoader initWithName:URL:]`](https://github.com/material-components/material-components-ios/blob/52692216832dc446ae2471bd2f42a40cd8746bbe/components/FontDiskLoader/src/MDCFontDiskLoader.h#L99)
- [deleted] [`-[MDCFontDiskLoader registerFont]`](https://github.com/material-components/material-components-ios/blob/52692216832dc446ae2471bd2f42a40cd8746bbe/components/FontDiskLoader/src/MDCFontDiskLoader.h#L107)
- [deleted] [`-[MDCFontDiskLoader setFontName:]`](https://github.com/material-components/material-components-ios/blob/52692216832dc446ae2471bd2f42a40cd8746bbe/components/FontDiskLoader/src/MDCFontDiskLoader.h#L123)
- [deleted] [`-[MDCFontDiskLoader unregisterFont]`](https://github.com/material-components/material-components-ios/blob/52692216832dc446ae2471bd2f42a40cd8746bbe/components/FontDiskLoader/src/MDCFontDiskLoader.h#L110)
- [deleted] [`MDCFontDiskLoader.hasFailedRegistration`](https://github.com/material-components/material-components-ios/blob/52692216832dc446ae2471bd2f42a40cd8746bbe/components/FontDiskLoader/src/MDCFontDiskLoader.h#L117)
- [deleted] [`MDCFontDiskLoader.isRegistered`](https://github.com/material-components/material-components-ios/blob/52692216832dc446ae2471bd2f42a40cd8746bbe/components/FontDiskLoader/src/MDCFontDiskLoader.h#L113)

## Component changes

### Buttons

#### Changes

* [MDC_#67 - Updated accessibility for titleColor on MDCButton.m](https://github.com/material-components/material-components-ios/commit/eb40e5e56f652ba0ddef1f6bcaecdbfe3a9a8f10) (Justin Shephard)

### Collections

#### Changes

* [Removed all warnings from the build.](https://github.com/material-components/material-components-ios/commit/0b57f48e1dd7e5260d45a13ac5c2650860ce2913) (Adrian Secord)

### FlexibleHeader

#### Changes

* [MDC_#67 - Updated accessibility for titleColor on MDCButton.m](https://github.com/material-components/material-components-ios/commit/eb40e5e56f652ba0ddef1f6bcaecdbfe3a9a8f10) (Justin Shephard)
* [Removed all warnings from the build.](https://github.com/material-components/material-components-ios/commit/0b57f48e1dd7e5260d45a13ac5c2650860ce2913) (Adrian Secord)

### FontDiskLoader

#### Breaking changes

* [**Breaking**:  Deleted deprecated API.](https://github.com/material-components/material-components-ios/commit/da386bb06fca7b7696162d2058c883bb40abeac7) (randallli)

### Ink

#### Changes

* [Removed all warnings from the build.](https://github.com/material-components/material-components-ios/commit/0b57f48e1dd7e5260d45a13ac5c2650860ce2913) (Adrian Secord)

### Palettes

#### Changes

* [Fix tintKey parameter type in MDCPalettes.m (#699)](https://github.com/material-components/material-components-ios/commit/e9c24ed27f0ea130b7d8ab7f42181b11da263ff2) (Jackie Quinn)

### ProgressView

#### Changes

* [Removed all warnings from the build.](https://github.com/material-components/material-components-ios/commit/0b57f48e1dd7e5260d45a13ac5c2650860ce2913) (Adrian Secord)
* [Use a proper singleton for our accessibility proxy.](https://github.com/material-components/material-components-ios/commit/5d39f92db51f4982150a6968f85a797b4061ab5a) (Ian Gordon)

### RobotoFontLoader

#### Changes

* [Revert "Trim fonts for mobile use (#674)"](https://github.com/material-components/material-components-ios/commit/0607e7a1f41d3411dc3132b1c18a802e503b7525) (randallli)
* [Trim fonts for mobile use (#674)](https://github.com/material-components/material-components-ios/commit/88f30a4bd6b7e7df241c5d1bddfc47e5c0df5296) (rsheeter)

### ShadowLayer

#### Changes

* [Fix calculation of masks for the shadows. (#698)](https://github.com/material-components/material-components-ios/commit/0b2b4feec8486ed074701b5195b1e176e5af4034) (Simon Forsyth)

### Switch

#### Changes

* [Optimize and simplify MDCSwitch](https://github.com/material-components/material-components-ios/commit/cd1ac75d8fcadd328aa93e9b661e7b063ebda6d4) (Sam Morrison)
* [Removed all warnings from the build.](https://github.com/material-components/material-components-ios/commit/0b57f48e1dd7e5260d45a13ac5c2650860ce2913) (Adrian Secord)

# 13.4.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o fb77a9716a80ba4ee2a9f92a81a89335570366e3 -n 8fa99ffb150b99597f19783d54203ff77a4219d2

### FontDiskLoader

- [deprecated] [`-[MDCFontDiskLoader initWithName:URL:]`](https://github.com/material-components/material-components-ios/blob/8fa99ffb150b99597f19783d54203ff77a4219d2/components/FontDiskLoader/src/MDCFontDiskLoader.h#L99).
*Use initWithFontName:fontURL: instead.*
- [deprecated] [`-[MDCFontDiskLoader registerFont]`](https://github.com/material-components/material-components-ios/blob/8fa99ffb150b99597f19783d54203ff77a4219d2/components/FontDiskLoader/src/MDCFontDiskLoader.h#L107).
*Use load instead.*
- [deprecated] [`-[MDCFontDiskLoader setFontName:]`](https://github.com/material-components/material-components-ios/blob/8fa99ffb150b99597f19783d54203ff77a4219d2/components/FontDiskLoader/src/MDCFontDiskLoader.h#L123).
*Create a new instance if you need to specifiy a different font name.*
- [deprecated] [`-[MDCFontDiskLoader unregisterFont]`](https://github.com/material-components/material-components-ios/blob/8fa99ffb150b99597f19783d54203ff77a4219d2/components/FontDiskLoader/src/MDCFontDiskLoader.h#L110).
*Use unload instead.*
- [deprecated] [`MDCFontDiskLoader.hasFailedRegistration`](https://github.com/material-components/material-components-ios/blob/8fa99ffb150b99597f19783d54203ff77a4219d2/components/FontDiskLoader/src/MDCFontDiskLoader.h#L117).
*Use loadFailed instead.*
- [deprecated] [`MDCFontDiskLoader.isRegistered`](https://github.com/material-components/material-components-ios/blob/8fa99ffb150b99597f19783d54203ff77a4219d2/components/FontDiskLoader/src/MDCFontDiskLoader.h#L113).
*Use loaded instead.*

## Component changes

### AppBar

#### Changes

* [Removed reference to deleted MDCAppBarParenting.](https://github.com/material-components/material-components-ios/commit/80d36a3500ecab7ab45e94fb7405069460cd6692) (Adrian Secord)
* [[MDCAppBar | MDCDialog | MDCInk] Nullability Clashing](https://github.com/material-components/material-components-ios/commit/7633f1e4307d36c32afc62e866f9e40765a81fc3) (Sean O'Shea)

### Dialogs

#### Changes

* [Correct analyzer and compiler warnings.](https://github.com/material-components/material-components-ios/commit/4a0986a38919dc2a030cc451da490359721837d5) (Ian Gordon)
* [[MDCAppBar | MDCDialog | MDCInk] Nullability Clashing](https://github.com/material-components/material-components-ios/commit/7633f1e4307d36c32afc62e866f9e40765a81fc3) (Sean O'Shea)

### FontDiskLoader

#### Changes

* [Fixed readme reference to new initializer](https://github.com/material-components/material-components-ios/commit/d973f1b86dbbf1f2dfb5f37fe2a0445fd70402fa) (randallli)
* [[FontDiskLoader]? Marked API deprecated that we were planing on deprecating from previous readbility change](https://github.com/material-components/material-components-ios/commit/a58c236f831ef151c0eafd47dd9bac8684f28fdb) (randallli)

### Ink

#### Changes

* [[MDCAppBar | MDCDialog | MDCInk] Nullability Clashing](https://github.com/material-components/material-components-ios/commit/7633f1e4307d36c32afc62e866f9e40765a81fc3) (Sean O'Shea)
* [[MDCInkTouchController] Improve comments to clarify method and protocol behavior](https://github.com/material-components/material-components-ios/commit/51ced6a4a2fc663516b6581e81a4351344e0dace) (Junius Gunaratne)

### Slider

#### Changes

* [Changed clamping behaviour of the min setter to mutate the max instead of clamping to its value.](https://github.com/material-components/material-components-ios/commit/f3288569659d85a41e939005cac40915ffece286) (randallli)

### Switch

#### Changes

* [Remove SKDisplayLinkInterface left over in MDCSwitch stress test](https://github.com/material-components/material-components-ios/commit/f19a6c92a1c59c846a191f08fd587aebf099d596) (Sam Morrison)
* [Stress test for MDCSwitch](https://github.com/material-components/material-components-ios/commit/63d907e24ea53a4e31ac668b0ac982ab83868311) (Sam Morrison)

# 13.3.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o 51fbbacdf98a1f086cdbf6210f849c8133e91183 -n dd3d2622f6935e70854d3ccb72677b09e19e045a

### FontDiskLoader

- [new] [`-[MDCFontDiskLoader initWithFontName:fontURL:]`](https://github.com/material-components/material-components-ios/blob/dd3d2622f6935e70854d3ccb72677b09e19e045a/components/FontDiskLoader/src/MDCFontDiskLoader.h#L36)
- [new] [`-[MDCFontDiskLoader load]`](https://github.com/material-components/material-components-ios/blob/dd3d2622f6935e70854d3ccb72677b09e19e045a/components/FontDiskLoader/src/MDCFontDiskLoader.h#L87)
- [new] [`-[MDCFontDiskLoader unload]`](https://github.com/material-components/material-components-ios/blob/dd3d2622f6935e70854d3ccb72677b09e19e045a/components/FontDiskLoader/src/MDCFontDiskLoader.h#L96)
- [new] [`MDCFontDiskLoader.loadFailed`](https://github.com/material-components/material-components-ios/blob/dd3d2622f6935e70854d3ccb72677b09e19e045a/components/FontDiskLoader/src/MDCFontDiskLoader.h#L76)
- [new] [`MDCFontDiskLoader.loaded`](https://github.com/material-components/material-components-ios/blob/dd3d2622f6935e70854d3ccb72677b09e19e045a/components/FontDiskLoader/src/MDCFontDiskLoader.h#L69)
- [property attribute change] [`MDCFontDiskLoader.fontName`](https://github.com/material-components/material-components-ios/blob/dd3d2622f6935e70854d3ccb72677b09e19e045a/components/FontDiskLoader/src/MDCFontDiskLoader.h#L59).
Removed *strong*.
Added *readonly, copy*.
- [property attribute change] [`MDCFontDiskLoader.fontURL`](https://github.com/material-components/material-components-ios/blob/dd3d2622f6935e70854d3ccb72677b09e19e045a/components/FontDiskLoader/src/MDCFontDiskLoader.h#L62).
Removed *strong, nullable*.
Added *copy, nonnull*.
- [declaration changed] [`-[MDCFontDiskLoader setFontName:]`](https://github.com/material-components/material-components-ios/blob/dd3d2622f6935e70854d3ccb72677b09e19e045a/components/FontDiskLoader/src/MDCFontDiskLoader.h#L120).
```
@property (nonatomic, strong, nonnull) NSString *fontName
- (void)setFontName:(nonnull NSString *)fontName
```

### RobotoFontLoader

- [declaration changed] [`+[MDCRobotoFontLoader sharedInstance]`](https://github.com/material-components/material-components-ios/blob/dd3d2622f6935e70854d3ccb72677b09e19e045a/components/RobotoFontLoader/src/MDCRobotoFontLoader.h#L27).
```
+ (nonnull instancetype)sharedInstance
+ (nonnull MDCRobotoFontLoader *)sharedInstance
```


## Component changes

### ActivityIndicator

#### Changes

* [MDC_#758 - Updated incorrectly named setter](https://github.com/material-components/material-components-ios/commit/ad8986dc35203851861ee5004ca723465fd20cff) (Justin Shephard)

### Buttons

#### Changes

* [[FontDiskLoader, RobotoFontLoader, Typography] The results of some readability code reviews from some googlers.](https://github.com/material-components/material-components-ios/commit/ffd56e6d3017c5e107de5e537fc1510f1e4ee88e) (randallli)

### CollectionLayoutAttributes

#### Changes

* [[FontDiskLoader, RobotoFontLoader, Typography] The results of some readability code reviews from some googlers.](https://github.com/material-components/material-components-ios/commit/ffd56e6d3017c5e107de5e537fc1510f1e4ee88e) (randallli)

### Dialogs

#### Changes

* [Dismiss the dialog when we recive the Z A11y gesture](https://github.com/material-components/material-components-ios/commit/f2f95d647cbf345b665c2ab683a8b9179821b682) (Felix Emiliano)

### FlexibleHeader

#### Changes

* [Added `-Wnewline-eof` warning to MDC and MDFTextAccessibility, fix one issue.](https://github.com/material-components/material-components-ios/commit/89e7306d03f33f503e778d5c1444c4699921d1a4) (Adrian Secord)

### FontDiskLoader

#### Changes

* [[FontDiskLoader, RobotoFontLoader, Typography] The results of some readability code reviews from some googlers.](https://github.com/material-components/material-components-ios/commit/ffd56e6d3017c5e107de5e537fc1510f1e4ee88e) (randallli)

### RobotoFontLoader

#### Changes

* [[FontDiskLoader, RobotoFontLoader, Typography] The results of some readability code reviews from some googlers.](https://github.com/material-components/material-components-ios/commit/ffd56e6d3017c5e107de5e537fc1510f1e4ee88e) (randallli)

### Slider

#### Changes

* [[FontDiskLoader, RobotoFontLoader, Typography] The results of some readability code reviews from some googlers.](https://github.com/material-components/material-components-ios/commit/ffd56e6d3017c5e107de5e537fc1510f1e4ee88e) (randallli)

### Typography

#### Changes

* [[FontDiskLoader, RobotoFontLoader, Typography] The results of some readability code reviews from some googlers.](https://github.com/material-components/material-components-ios/commit/ffd56e6d3017c5e107de5e537fc1510f1e4ee88e) (randallli)

# 13.2.1

## API diffs

### Icons

- [new] [Added method to enable testing of new back button style](https://github.com/material-components/material-components-ios/commit/e9175eddabea93bd367e04e97d24cb71900430d1) (Sam Morrison)

## Component changes

### AppBar

#### Changes

* [Adding link to MDCAppBar.h apidoc to the README](https://github.com/material-components/material-components-ios/commit/b3c17a6ab23e758ff058946eb2f3dfdabada08c5) (Will Larche)
* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)
* [AppBar dependency warning](https://github.com/material-components/material-components-ios/commit/585343e5fed11a83f48a6929a47b91453f4ddb2e) (Will Larche)

### ButtonBar

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### Buttons

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### CollectionCells

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### CollectionLayoutAttributes

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### Collections

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### Dialogs

#### Changes

* [Some examples are missing super calls to viewDidLoad (#681)](https://github.com/material-components/material-components-ios/commit/ef7d60b174f7114a37c9387a7bc3ed70cb730e28) (Sean O'Shea)

### FlexibleHeader

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)
* [Some examples are missing super calls to viewDidLoad (#681)](https://github.com/material-components/material-components-ios/commit/ef7d60b174f7114a37c9387a7bc3ed70cb730e28) (Sean O'Shea)

### FontDiskLoader

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### HeaderStackView

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### Ink

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### NavigationBar

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### PageControl

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### Palettes

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### ProgressView

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### RobotoFontLoader

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### ShadowElevations

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### ShadowLayer

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)
* [Small MDCShadowLayer fixes](https://github.com/material-components/material-components-ios/commit/592ce9d54d6328dbfb8aa14f58d5b0b16953aefb) (Sam Morrison)

### Slider

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### Switch

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)

### Typography

#### Changes

* [API docs links were broken in READMEs](https://github.com/material-components/material-components-ios/commit/7a4c71801fd17d7a6250b9fbe4fa8dafc1ca04be) (Will Larche)
* [Typo in README](https://github.com/material-components/material-components-ios/commit/32c499aee17e9f881dcb8f0ae922d20fc9da1736) (Will Larche)

# 13.2.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o 6b00b97156fcd8ed5a661c736df6b363cf4c8457 -n 9ef47c149996f078e5f6a4ed3474688e187ab573

### Slider

- [new] [Property for whether or not thumb is hollow at minimum value](https://github.com/material-components/material-components-ios/commit/19ab4675a6d76fdcfb53b528df8be5c9d34e3ce4)

### SpritedAnimationView

- [new] [`-[MDCSpritedAnimationView initWithSpriteSheetImage:numberOfFrames:]`](https://github.com/material-components/material-components-ios/blob/9ef47c149996f078e5f6a4ed3474688e187ab573/components/SpritedAnimationView/src/MDCSpritedAnimationView.h#L83)

## Component changes

### ActivityIndicator

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### AnimationTiming

#### Changes

* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### AppBar

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### ButtonBar

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### Buttons

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)
* [Updating the button README to remove references to Ink. (#675)](https://github.com/material-components/material-components-ios/commit/1b9fd332422517a26de92bd45e7b25b88e4656da) (Sean O'Shea)

### CollectionCells

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### CollectionLayoutAttributes

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### Collections

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### Dialogs

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### FlexibleHeader

#### Changes

* [MDC_#391_Copy_Change - Made modifications to copy on limited number of controllers without a back button](https://github.com/material-components/material-components-ios/commit/5c01be1f355e9474449f53e1fd473023fd1c36ec) (Justin Shephard)
* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### FontDiskLoader

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### HeaderStackView

#### Changes

* [MDC_#391_Copy_Change - Made modifications to copy on limited number of controllers without a back button](https://github.com/material-components/material-components-ios/commit/5c01be1f355e9474449f53e1fd473023fd1c36ec) (Justin Shephard)
* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### Ink

#### Changes

* [Fix build. Delegate cast was incorrect and invoked on the wrong object.](https://github.com/material-components/material-components-ios/commit/9ef47c149996f078e5f6a4ed3474688e187ab573) (randallli)
* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)
* [[MDCInkTouchController] Provide legacy support for shouldInkTouchControllerProcessInkTouches during transition to inkTouchController:shouldProcessInkTouchesAtTouchLocation](https://github.com/material-components/material-components-ios/commit/6f76c3de6ec24c82d0e649ff6b8f41ef7bc251b0) (Junius Gunaratne)

### NavigationBar

#### Changes

* [MDC_#391_Copy_Change - Made modifications to copy on limited number of controllers without a back button](https://github.com/material-components/material-components-ios/commit/5c01be1f355e9474449f53e1fd473023fd1c36ec) (Justin Shephard)
* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### OverlayWindow

#### Changes

* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### PageControl

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### Palettes

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### ProgressView

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### RobotoFontLoader

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### ShadowElevations

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### ShadowLayer

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### Slider

#### Changes

* [Expanded slider demo within a collection view.](https://github.com/material-components/material-components-ios/commit/72088f48cba399b0daa55bcc44e725774790db84) (Max Luzuriaga)
* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Property for whether or not thumb is hollow at minimum value](https://github.com/material-components/material-components-ios/commit/19ab4675a6d76fdcfb53b528df8be5c9d34e3ce4) (Max Luzuriaga)
* [Rename thumbIsHollowAtStart to isThumbHollowAtStart](https://github.com/material-components/material-components-ios/commit/14e1943f44107be086c842d38f1c2e5194caab3b) (Max Luzuriaga)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)
* [ThumbHollowAtStart property better named with obj-c conventions](https://github.com/material-components/material-components-ios/commit/eebab2557dc1678e947581fe1953827301c5aac9) (Max Luzuriaga)

### Snackbar

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### SpritedAnimationView

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)
* [[Sprited Animation View] Support non-square sprite images. (#683)](https://github.com/material-components/material-components-ios/commit/0570c6cbd6d4940718a3cc3c2b5ce4e054fa9799) (Jason Ting)

### Switch

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

### Typography

#### Changes

* [MDC_#546 - Start of separation of README.md and yaml](https://github.com/material-components/material-components-ios/commit/685ea43198ef084b45cd7c6c29e57beb096b3d1d) (Justin Shephard)
* [Site_Readme_Links - Added Jekyll conditional with links to site/github documentation](https://github.com/material-components/material-components-ios/commit/f53506ea2802215375a60b3c429f9d6f5b219026) (Justin Shephard)

# 13.1.1

## Component changes

### Snackbar

#### Changes

* [iOS10+ hotfix.](https://github.com/material-components/material-components-ios/commit/dd2de7c8573ab353274bec4f069a3538f2108a17) (Peter Lee)


# 13.1.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o 5d7ad466b9e1429ad6242272958b149ded34da63 -n 205b1b49fd311af9246133e1499007dec0957e4b

### AnimationTiming

**New component.**

### Switch

- [new] [`MDCSwitch.offAccessibilityValue`](https://github.com/material-components/material-components-ios/blob/205b1b49fd311af9246133e1499007dec0957e4b/components/Switch/src/MDCSwitch.h#L78)
- [new] [`MDCSwitch.onAccessibilityValue`](https://github.com/material-components/material-components-ios/blob/205b1b49fd311af9246133e1499007dec0957e4b/components/Switch/src/MDCSwitch.h#L70)

## Component changes

### ActivityIndicator

#### Changes

* [Add RTL to activity indicator.](https://github.com/material-components/material-components-ios/commit/457ea7c3cb49cfb954b2f42ea2ff7cde0b5bda8d) (Ian Gordon)
* [Fix commonInit method.](https://github.com/material-components/material-components-ios/commit/fc4e0a4827c7f265d827fb9d7e46c8f5acd79cc8) (Ian Gordon)
* [Removing the last few remaining references to using id as a return type (#671)](https://github.com/material-components/material-components-ios/commit/bee2af6211586a044415a57e1a66b737df21beb3) (Sean O'Shea)

### AnimationTiming

#### Changes

* [Add animation timing curves and examples, update use of animation timing in snackbar](https://github.com/material-components/material-components-ios/commit/22cfb756faf4e6c6e39913ca6b88e43839af447f) (Junius Gunaratne)

### AppBar

#### Changes

* [[Catalog, NavigationBar] Update catalog to set custom title color using titleTextAttributes; only set attributedText when title is set](https://github.com/material-components/material-components-ios/commit/205b1b49fd311af9246133e1499007dec0957e4b) (Junius Gunaratne)

### Buttons

#### Changes

* [[MDCButton] Add UI_APPEARANCE_SELECTOR to customTextColor.](https://github.com/material-components/material-components-ios/commit/1aaa85381dfd1416f8e43a1b33ae6e8e5e53927b) (Ian Gordon)

### CollectionCells

#### Changes

* [Fix RTL layout for Collection Cells](https://github.com/material-components/material-components-ios/commit/9a0804f8ab2062429c4fe15c19dafc0649b245cb) (Ed Chin)

### Dialogs

#### Changes

* [Minor formatting issues which mostly impact the catalog app. (#666)](https://github.com/material-components/material-components-ios/commit/a944e1f354e0b05a78c207c69ce73eadbd985be2) (Sean O'Shea)
* [[MDCButton] Add UI_APPEARANCE_SELECTOR to customTextColor.](https://github.com/material-components/material-components-ios/commit/1aaa85381dfd1416f8e43a1b33ae6e8e5e53927b) (Ian Gordon)

### FlexibleHeader

#### Changes

* [Add example with UIKit components in flexible header](https://github.com/material-components/material-components-ios/commit/93171fa87c87fd79572805fa9dc861ace2fda4ef) (Junius Gunaratne)
* [Add page control in flexible header example](https://github.com/material-components/material-components-ios/commit/b118dcd97e25c9a18b7574142962c1ba904929d7) (Junius Gunaratne)
* [Add wrapped view controller example](https://github.com/material-components/material-components-ios/commit/41feee6549aefa64c8386e1e2bcc68d228fecc08) (Junius Gunaratne)
* [Prevent retain cycle in CADisplayLink in shift behavior.](https://github.com/material-components/material-components-ios/commit/1432c3cb78a51120815b32741456a55526c763fb) (randallli)
* [Update legal text to include Material Components for iOS authors](https://github.com/material-components/material-components-ios/commit/09cfde15ac055ca7d270556016b41c421659e3d1) (Junius Gunaratne)

### NavigationBar

#### Changes

* [[Catalog, NavigationBar] Update catalog to set custom title color using titleTextAttributes; only set attributedText when title is set](https://github.com/material-components/material-components-ios/commit/205b1b49fd311af9246133e1499007dec0957e4b) (Junius Gunaratne)
* [[MDCNavigationBar] Allow tintColor to change navigation bar title text by applying titleTextAttributes](https://github.com/material-components/material-components-ios/commit/d6b8c54ab09bfa14574c69154c610bcbbe5178ee) (Junius Gunaratne)
* [[MDCNavigationBar] Revert change that sets titleTextAttributes when tintColorDidChange is called](https://github.com/material-components/material-components-ios/commit/0591ee9f62360f9acc40c263a41669a5e4c67b0e) (Junius Gunaratne)

### OverlayWindow

#### Changes

* [Removing the last few remaining references to using id as a return type (#671)](https://github.com/material-components/material-components-ios/commit/bee2af6211586a044415a57e1a66b737df21beb3) (Sean O'Shea)

### PageControl

#### Changes

* [Removing the last few remaining references to using id as a return type (#671)](https://github.com/material-components/material-components-ios/commit/bee2af6211586a044415a57e1a66b737df21beb3) (Sean O'Shea)

### ShadowLayer

#### Changes

* [Removing the last few remaining references to using id as a return type (#671)](https://github.com/material-components/material-components-ios/commit/bee2af6211586a044415a57e1a66b737df21beb3) (Sean O'Shea)

### Slider

#### Changes

* [Delegate method for shouldJumpToValue:](https://github.com/material-components/material-components-ios/commit/2d6fc623edb90a9150e59f657635a9538227fa93) (Max Luzuriaga)
* [Expose filled track anchor value property](https://github.com/material-components/material-components-ios/commit/9b0d87f07f12653436269bdb86695dc01fa7bd9b) (Max Luzuriaga)
* [Expose thumbTrack to subclasses of MDCSlider](https://github.com/material-components/material-components-ios/commit/7045fa4e68eb1c1e5165ca803e7a5c870d24ba7f) (Max Luzuriaga)
* [Property for displaying discrete value label or not](https://github.com/material-components/material-components-ios/commit/eaff59d916e64a298a4ca10a83c6ca81eb549d12) (Max Luzuriaga)

### Snackbar

#### Changes

* [Minor formatting issues which mostly impact the catalog app. (#666)](https://github.com/material-components/material-components-ios/commit/a944e1f354e0b05a78c207c69ce73eadbd985be2) (Sean O'Shea)
* [[AnimationTiming] Add animation timing curves and examples, update use of animation timing in snackbar](https://github.com/material-components/material-components-ios/commit/22cfb756faf4e6c6e39913ca6b88e43839af447f) (Junius Gunaratne)
* [[README] Changing documentation to aid with compilation (#667)](https://github.com/material-components/material-components-ios/commit/acda73aff13e62ac72e1646ff7193116f4ac56a8) (Sean O'Shea)

### Switch

#### Changes

* [Add RTL support to Switch](https://github.com/material-components/material-components-ios/commit/8ab45d01b359e759ce7554a8fd7ec8c1b0c61a13) (Ian Gordon)
* [Custom accessibility labels](https://github.com/material-components/material-components-ios/commit/09b9fcc739329cf8f1a281b66ead482e0d7ded55) (Max Luzuriaga)
* [Switch init cleanup.](https://github.com/material-components/material-components-ios/commit/934b367452a432587669747a5c8aceadf2f5cf4d) (Ian Gordon)


# 13.0.2

## API diffs

Auto-generated by running:

    scripts/api_diff -o 313365e03bc6f74f43910264ee31d1e2721db36b -n e66a70dc0cd3bb40eb0f4ff3d5867bafba20db3a

No public API changes detected.

## Component changes

### ActivityIndicator

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [Pass last state by parameter instead of saving as iVar](https://github.com/material-components/material-components-ios/commit/b19cdb58759a848520b4e81607046a8f776e05ef) (David Couturier)
* [Ran arc lint.](https://github.com/material-components/material-components-ios/commit/ba4b193c60a338aa64895a0777016b14e47c1b1d) (Adrian Secord)
* [[Docs] Replaced incorrect name of the product. Material Components *for* iOS](https://github.com/material-components/material-components-ios/commit/681cc2b6f7a28ff81def1f2ff9baf8f7f51dbffe) (randallli)

### AppBar

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)

### ButtonBar

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)

### Buttons

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [[Docs] Replaced incorrect name of the product. Material Components *for* iOS](https://github.com/material-components/material-components-ios/commit/681cc2b6f7a28ff81def1f2ff9baf8f7f51dbffe) (randallli)

### CollectionCells

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [Relayout the text cells on prepareForReuse.](https://github.com/material-components/material-components-ios/commit/163e839c879a0669a7bf9202fa9d34151958d752) (Louis Romero)

### CollectionLayoutAttributes

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)

### Collections

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [Removes unnecessary method overrides that only call super.](https://github.com/material-components/material-components-ios/commit/f8847a2e26cdc80f23bebebdbd748112a38a30ca) (Chris Cox)

### Dialogs

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [[Catalog] Add a dialog with an input field for keyboard testing](https://github.com/material-components/material-components-ios/commit/26719621fc6697761c5475738dba98efd7af01c8) (Ian Gordon)
* [[Docs] Replaced incorrect name of the product. Material Components *for* iOS](https://github.com/material-components/material-components-ios/commit/681cc2b6f7a28ff81def1f2ff9baf8f7f51dbffe) (randallli)

### FlexibleHeader

#### Changes

* [Add flexible header demo with FAB](https://github.com/material-components/material-components-ios/commit/4dff6c81702906b145dcc146121bcfc5ca449ea2) (Junius Gunaratne)
* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [Use MDFTextAccessibility for determining whether or not to use the light status bar.](https://github.com/material-components/material-components-ios/commit/f1b4a2a48eddbca41057241f80ce840cd20a21f2) (Adrian Secord)
* [[Docs] Replaced incorrect name of the product. Material Components *for* iOS](https://github.com/material-components/material-components-ios/commit/681cc2b6f7a28ff81def1f2ff9baf8f7f51dbffe) (randallli)

### FontDiskLoader

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)

### HeaderStackView

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [[Docs] Replaced incorrect name of the product. Material Components *for* iOS](https://github.com/material-components/material-components-ios/commit/681cc2b6f7a28ff81def1f2ff9baf8f7f51dbffe) (randallli)

### Ink

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [[Docs] Replaced incorrect name of the product. Material Components *for* iOS](https://github.com/material-components/material-components-ios/commit/681cc2b6f7a28ff81def1f2ff9baf8f7f51dbffe) (randallli)

### NavigationBar

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [Changed CGFloat macros to static inline functions.](https://github.com/material-components/material-components-ios/commit/d953ea0e314c4123ad29206ec92e8c5a3132caa0) (Adrian Secord)
* [[Docs] Replaced incorrect name of the product. Material Components *for* iOS](https://github.com/material-components/material-components-ios/commit/681cc2b6f7a28ff81def1f2ff9baf8f7f51dbffe) (randallli)

### OverlayWindow

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)

### PageControl

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)

### Palettes

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)

### ProgressView

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)

### RobotoFontLoader

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)

### ShadowElevations

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)

### ShadowLayer

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)

### Slider

#### Changes

* [Add discrete numeric value label](https://github.com/material-components/material-components-ios/commit/b4ee4184463fae0ff3eade460f21ca76e2075255) (Max Luzuriaga)
* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [Make tests language-agnosti](https://github.com/material-components/material-components-ios/commit/8211a449216dc087f97554e54ca2e59bab0bb7e3) (Max Luzuriaga)
* [[Docs] Replaced incorrect name of the product. Material Components *for* iOS](https://github.com/material-components/material-components-ios/commit/681cc2b6f7a28ff81def1f2ff9baf8f7f51dbffe) (randallli)

### Snackbar

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)

### SpritedAnimationView

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [Fix SpritedAnimationViewTests](https://github.com/material-components/material-components-ios/commit/716ad830108e727b8e400ca7d3d50ea886fc9b49) (Sam Morrison)

### Switch

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [[Docs] Replaced incorrect name of the product. Material Components *for* iOS](https://github.com/material-components/material-components-ios/commit/681cc2b6f7a28ff81def1f2ff9baf8f7f51dbffe) (randallli)

### Typography

#### Changes

* [Adding AUTHORS and removing CONTRIBUTORS.txt.](https://github.com/material-components/material-components-ios/commit/8c3af252bedffef4ca09bd99a6b3de007d4f64ae) (Adrian Secord)
* [[Docs] Replaced incorrect name of the product. Material Components *for* iOS](https://github.com/material-components/material-components-ios/commit/681cc2b6f7a28ff81def1f2ff9baf8f7f51dbffe) (randallli)

# 13.0.1

Hotfix for Xcode 8.0 beta 3 (8S174q) compilation.

## API diffs

Auto-generated by running:

    scripts/api_diff -o 50ed805a58529c8cd3a0bfe56a9b99937134ad2c -n e8dbfebbb20f3d1314b5396e6cc1f76f9d23beb2

No public API changes detected.

## Component changes

### Collections

#### Changes

* [Source changes to fix Xcode 8 compilation.](https://github.com/material-components/material-components-ios/commit/6ce08f4c0fd500c18becb89b990c9a6ffeb89de7) (Adrian Secord)
* [Undo Xcode 8 changes to CollectionsStoryboardExample.storyboard.](https://github.com/material-components/material-components-ios/commit/e8dbfebbb20f3d1314b5396e6cc1f76f9d23beb2) (Adrian Secord)

### ProgressView

#### Changes

* [Source changes to fix Xcode 8 compilation.](https://github.com/material-components/material-components-ios/commit/6ce08f4c0fd500c18becb89b990c9a6ffeb89de7) (Adrian Secord)

### Snackbar

#### Changes

* [Source changes to fix Xcode 8 compilation.](https://github.com/material-components/material-components-ios/commit/6ce08f4c0fd500c18becb89b990c9a6ffeb89de7) (Adrian Secord)

### SpritedAnimationView

#### Changes

* [Source changes to fix Xcode 8 compilation.](https://github.com/material-components/material-components-ios/commit/6ce08f4c0fd500c18becb89b990c9a6ffeb89de7) (Adrian Secord)

# 13.0.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o 0c7bda2e69db44668360b89e3403a7ad9e16c3aa -n 10e4a258fa529178d1aa6ae8962193eb18b43d20

### Dialogs

- [new] [`+[MDCAlertAction actionWithTitle:handler:]`](https://github.com/material-components/material-components-ios/blob/10e4a258fa529178d1aa6ae8962193eb18b43d20/components/Dialogs/src/MDCAlertController.h#L117)
- [new] [`+[MDCAlertController alertControllerWithTitle:message:]`](https://github.com/material-components/material-components-ios/blob/10e4a258fa529178d1aa6ae8962193eb18b43d20/components/Dialogs/src/MDCAlertController.h#L48)
- [new] [`-[MDCAlertController addAction:]`](https://github.com/material-components/material-components-ios/blob/10e4a258fa529178d1aa6ae8962193eb18b43d20/components/Dialogs/src/MDCAlertController.h#L69)
- [new] [`MDCActionHandler`](https://github.com/material-components/material-components-ios/blob/10e4a258fa529178d1aa6ae8962193eb18b43d20/components/Dialogs/src/MDCAlertController.h#L103)
- [new] [`MDCAlertAction.title`](https://github.com/material-components/material-components-ios/blob/10e4a258fa529178d1aa6ae8962193eb18b43d20/components/Dialogs/src/MDCAlertController.h#L128)
- [new] [`MDCAlertAction`](https://github.com/material-components/material-components-ios/blob/10e4a258fa529178d1aa6ae8962193eb18b43d20/components/Dialogs/src/MDCAlertController.h#L108)
- [new] [`MDCAlertController.actions`](https://github.com/material-components/material-components-ios/blob/10e4a258fa529178d1aa6ae8962193eb18b43d20/components/Dialogs/src/MDCAlertController.h#L76)
- [new] [`MDCAlertController.message`](https://github.com/material-components/material-components-ios/blob/10e4a258fa529178d1aa6ae8962193eb18b43d20/components/Dialogs/src/MDCAlertController.h#L90)
- [new] [`MDCAlertController.title`](https://github.com/material-components/material-components-ios/blob/10e4a258fa529178d1aa6ae8962193eb18b43d20/components/Dialogs/src/MDCAlertController.h#L87)
- [new] [`MDCAlertController`](https://github.com/material-components/material-components-ios/blob/10e4a258fa529178d1aa6ae8962193eb18b43d20/components/Dialogs/src/MDCAlertController.h#L35)

### SpritedAnimationView

- [declaration changed] [`-[MDCSpritedAnimationView startAnimatingWithCompletion:]`](https://github.com/material-components/material-components-ios/blob/10e4a258fa529178d1aa6ae8962193eb18b43d20/components/SpritedAnimationView/src/MDCSpritedAnimationView.h#L85).
```
- (void)startAnimatingWithCompletion:(nullable void (^)())completion
- (void)startAnimatingWithCompletion:(nullable void (^)(BOOL))completion
```

## Component changes

### ActivityIndicator

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)

### AppBar

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)
* [Remove ARC guards from MDC](https://github.com/material-components/material-components-ios/commit/10e11da725499e7bd6e07c034b875b4dcfa1e2fe) (Sam Morrison)

### ButtonBar

#### Changes

* [Remove ARC guards from MDC](https://github.com/material-components/material-components-ios/commit/10e11da725499e7bd6e07c034b875b4dcfa1e2fe) (Sam Morrison)

### Buttons

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)
* [Remove ARC guards from MDC](https://github.com/material-components/material-components-ios/commit/10e11da725499e7bd6e07c034b875b4dcfa1e2fe) (Sam Morrison)

### CollectionCells

#### Changes

* [Remove ARC guards from MDC](https://github.com/material-components/material-components-ios/commit/10e11da725499e7bd6e07c034b875b4dcfa1e2fe) (Sam Morrison)
* [Various bug fixes for MDCCollectionViewCells](https://github.com/material-components/material-components-ios/commit/c7aa271784550c9b14c44c9f2815ea27bf5af225) (Sam Morrison)

### CollectionLayoutAttributes

#### Changes

* [Remove ARC guards from MDC](https://github.com/material-components/material-components-ios/commit/10e11da725499e7bd6e07c034b875b4dcfa1e2fe) (Sam Morrison)

### Collections

#### Changes

* [Fix delegate calls for moving an item](https://github.com/material-components/material-components-ios/commit/ed084ccbad4303321a8a87958c98e932a9050583) (randallli)
* [Fix storyboard usage of MDCCollectionViews](https://github.com/material-components/material-components-ios/commit/36164cd6e548ac4efed23df99848f62e003298a1) (Eric Shieh)
* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)
* [Remove ARC guards from MDC](https://github.com/material-components/material-components-ios/commit/10e11da725499e7bd6e07c034b875b4dcfa1e2fe) (Sam Morrison)

### Dialogs

#### Changes

* [Add Alert Controller](https://github.com/material-components/material-components-ios/commit/1fe4ac3f647727aeb75749d25bc5341bf751e8f6) (Ian Gordon)
* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)
* [Use migrated keyboard watcher code](https://github.com/material-components/material-components-ios/commit/df6016a51cc157fd0b9f62444e428a43a704d9fc) (Ian Gordon)
* [[KeyboardWatcher] Extract values from a notification](https://github.com/material-components/material-components-ios/commit/3bfc5f9c9058e0423d22d09ca2b9fdc69ffb0a70) (Ian Gordon)

### FlexibleHeader

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)
* [Remove ARC guards from MDC](https://github.com/material-components/material-components-ios/commit/10e11da725499e7bd6e07c034b875b4dcfa1e2fe) (Sam Morrison)
* [[MDC #624] Correctly initialize the shifterStatusBar when creating a MDCFlexibleHeaderView](https://github.com/material-components/material-components-ios/commit/f146473416188434ae2fb6b837bd9ce71863ea70) (Sam Morrison)

### HeaderStackView

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)
* [Remove ARC guards from MDC](https://github.com/material-components/material-components-ios/commit/10e11da725499e7bd6e07c034b875b4dcfa1e2fe) (Sam Morrison)

### Ink

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)
* [MDC_#495 - Removed unused declaration of startPoint](https://github.com/material-components/material-components-ios/commit/f5e940c743836ff4bd589c81d9d12fae9af08c0b) (Justin Shephard)

### NavigationBar

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)
* [Remove ARC guards from MDC](https://github.com/material-components/material-components-ios/commit/10e11da725499e7bd6e07c034b875b4dcfa1e2fe) (Sam Morrison)

### PageControl

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)

### ProgressView

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)
* [Remove ARC guards from MDC](https://github.com/material-components/material-components-ios/commit/10e11da725499e7bd6e07c034b875b4dcfa1e2fe) (Sam Morrison)

### ShadowElevations

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)

### ShadowLayer

#### Changes

* [Add additional detail clarifying the difference between CALayer.zPosition and MDCShadowLayer.elevation.](https://github.com/material-components/material-components-ios/commit/56a519186f344e26f92122eaf1871a4530fa3a4f) (Ian Gordon)
* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)

### Slider

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)
* [[ThumbTrack] Slider and Switch implement `isTracking` UIControl method](https://github.com/material-components/material-components-ios/commit/7cfaf9b0969e19b8820d5b23dab154c4c317d647) (Max Luzuriaga)

### Snackbar

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)

### SpritedAnimationView

#### Breaking changes

* [**Breaking**:  Add 'finished' bool to animation completion block](https://github.com/material-components/material-components-ios/commit/d8a2d93ebcd4f284f576c05c7a186d54fe2d6319) (Sam Morrison)

#### Changes

* [Fix SpritedAnimationViewTests](https://github.com/material-components/material-components-ios/commit/10e4a258fa529178d1aa6ae8962193eb18b43d20) (Sam Morrison)

### Switch

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)
* [[ThumbTrack] Slider and Switch implement `isTracking` UIControl method](https://github.com/material-components/material-components-ios/commit/7cfaf9b0969e19b8820d5b23dab154c4c317d647) (Max Luzuriaga)

### Typography

#### Changes

* [Lowercase "Material Design" in text.](https://github.com/material-components/material-components-ios/commit/65a05eed3112816c7441be4f6766d12099d0b0f3) (Adrian Secord)
* [Remove ARC guards from MDC](https://github.com/material-components/material-components-ios/commit/10e11da725499e7bd6e07c034b875b4dcfa1e2fe) (Sam Morrison)


# 12.2.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o c6523eae8e811b1c89d94073b9153a03390b1950 -n edab0db4908985cd0b56003b4341d5f064f98d6a

### Dialogs

**New component.**

## Component changes

### Dialogs

#### Changes

* [Initial Import](https://github.com/material-components/material-components-ios/commit/3742dd4849c64e334a46e6b027ddfa9c75e6034c) (Ian Gordon)
* [Add missing website API and usage docs.](https://github.com/material-components/material-components-ios/commit/493331502c44f6e844ffbdfdf21d439ce4ba455b) (Adrian Secord)

### Ink

#### Changes

* [Arc lint changes.](https://github.com/material-components/material-components-ios/commit/7bedb6183cb47017763bfa8b4d50265b4530ebd9) (Adrian Secord)

### ProgressView

#### Changes

* [Add missing website API and usage docs.](https://github.com/material-components/material-components-ios/commit/493331502c44f6e844ffbdfdf21d439ce4ba455b) (Adrian Secord)

### Slider

#### Changes

* [[Catalog] Bigger sliders in component example](https://github.com/material-components/material-components-ios/commit/e1b7f86879cfc09abfc057344e8a484447ec7766) (Max Luzuriaga)

### Snackbar

#### Changes

* [Add missing website API and usage docs.](https://github.com/material-components/material-components-ios/commit/493331502c44f6e844ffbdfdf21d439ce4ba455b) (Adrian Secord)


# 12.1.1

## API diffs

Auto-generated by running:

    scripts/api_diff -o ec923edf948c5c0ef8cef52f3a3b26a21cbf29d9 -n 34f12cf42f45e30bada83ff6c4c67d5104201a00

No public API changes detected.

## Component changes

### SpritedAnimationView

#### Changes

* [Added intrinsicContentSize.](https://github.com/material-components/material-components-ios/commit/34f12cf42f45e30bada83ff6c4c67d5104201a00) (randallli)


# 12.1.0

## API diffs

### NavigationBar

- [new] [`MDCNavigationBar.titleTextAttributes`](https://github.com/material-components/material-components-ios/blob/4687c48a55316f2ff6aa6ea5edeb73ea3a3173c5/components/NavigationBar/src/MDCNavigationBar.h#L71)

### ProgressView

**New component.**

## Component changes

### ActivityIndicator

#### Changes

* [Added missing Jazzy configs by running scripts/generate_jazzy_yamls.sh.](https://github.com/material-components/material-components-ios/commit/2b8ef4160fdafd9d103b09c6842d647d41b00780) (Adrian Secord)

### Collections

#### Changes

* [Add more conformances to CAAnimationDelegate on iOS 10 SDK](https://github.com/material-components/material-components-ios/commit/8f4a71ea54ff2a7ae01850109919181474bd8104) (Brian Moore)
* [Adds storyboard example.](https://github.com/material-components/material-components-ios/commit/627206634f45721c547eec155f4426c59f5fb2e5) (Chris Cox)

### Ink

#### Changes

* [Add conformances to CAAnimationDelegate on iOS 10 SDK](https://github.com/material-components/material-components-ios/commit/d4ee92a107ebc3d0801cb62d60e5b38e06c9a1dc) (Brian Moore)

### NavigationBar

#### Changes

* [MDC_#623 - Added titleTextAttributes property to MDCNavigationBar](https://github.com/material-components/material-components-ios/commit/1309e628b6aac1e5e83a2e19759e45edb787e061) (Justin Shephard)

### OverlayWindow

#### Changes

* [Added missing Jazzy configs by running scripts/generate_jazzy_yamls.sh.](https://github.com/material-components/material-components-ios/commit/2b8ef4160fdafd9d103b09c6842d647d41b00780) (Adrian Secord)

### Palettes

#### Changes

* [Added missing Jazzy configs by running scripts/generate_jazzy_yamls.sh.](https://github.com/material-components/material-components-ios/commit/2b8ef4160fdafd9d103b09c6842d647d41b00780) (Adrian Secord)

### ProgressView

#### Changes

* [Add the ProgressView component.](https://github.com/material-components/material-components-ios/commit/a806413bd6414f684899c9a0fae10c3fc8aa54fd) (Louis Romero)

### Snackbar

#### Changes

* [Add more conformances to CAAnimationDelegate on iOS 10 SDK](https://github.com/material-components/material-components-ios/commit/8f4a71ea54ff2a7ae01850109919181474bd8104) (Brian Moore)
* [Added missing Jazzy configs by running scripts/generate_jazzy_yamls.sh.](https://github.com/material-components/material-components-ios/commit/2b8ef4160fdafd9d103b09c6842d647d41b00780) (Adrian Secord)
* [Align text correctly in RTL layout](https://github.com/material-components/material-components-ios/commit/112ff5446f567374324e5e7c685625f7ada238bd) (Louis Romero)
* [The button a11y identifier is the action's](https://github.com/material-components/material-components-ios/commit/b92d724d906f6c0f072bca17f92177db819651c5) (Louis Romero)

# 12.0.1

## API diffs

Auto-generated by running:

    scripts/api_diff -o bdc034da8700a9cbd6064823dc045b511d622f8c -n f9f6d8e87d6cdaf884ac2d3ad462403bdb2fd008

No public API changes detected.

## Component changes

### CollectionCells

#### Changes

* [Resize the content view when there is an accessory view.](https://github.com/material-components/material-components-ios/commit/f6d329602f84cc0839ebdfa622877d70201fd798) (Louis Romero)

### Slider

#### Changes

* [Add discrete positions when editing](https://github.com/material-components/material-components-ios/commit/7c0d0a654f030b3e3f2d1136f7415a4caa92917c) (Max Luzuriaga)

### Snackbar

#### Changes

* [Add legal info to snackbar files and umbrella header for keyboard watcher](https://github.com/material-components/material-components-ios/commit/be579f15da376d1029b4bef2abdf5cdd9c65c891) (Junius Gunaratne)
* [Don't force uppercasing of the button.](https://github.com/material-components/material-components-ios/commit/f9f6d8e87d6cdaf884ac2d3ad462403bdb2fd008) (Louis Romero)

# 12.0.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o e4b240934cbf7211790e0929c73652dbd7c2f46f -n 55a289f0cfeebdc10931243d613d4cf5bcef3986

### ActivityIndicator

- [modified] [`-[MDCActivityIndicatorDelegate activityIndicatorAnimationDidFinish:]`](https://github.com/material-components/material-components-ios/blob/e4b240934cbf7211790e0929c73652dbd7c2f46f/components/ActivityIndicator/src/MDCActivityIndicator.h#L130)

| From | To | Kind |
|:---- |:-- |:---- |
| `Required` | `Optional` | `optional` |

### ButtonBar

- [deleted] [`MDCButtonBar.layoutDirection`](https://github.com/material-components/material-components-ios/blob/e4b240934cbf7211790e0929c73652dbd7c2f46f/components/ButtonBar/src/MDCButtonBar.h#L98)
- [modified] [`MDCButtonBar.items`](https://github.com/material-components/material-components-ios/blob/e4b240934cbf7211790e0929c73652dbd7c2f46f/components/ButtonBar/src/MDCButtonBar.h#L87)

| From | To | Kind |
|:---- |:-- |:---- |
| `@property (nonatomic, copy) NSArray *items` | `@property (nonatomic, copy) NSArray<UIBarButtonItem *> *items` | `declaration` |

### Collections

- [declaration changed] [`-[MDCCollectionViewStyling indexPathsForInlaidItems]`](https://github.com/material-components/material-components-ios/blob/55a289f0cfeebdc10931243d613d4cf5bcef3986/components/Collections/src/MDCCollectionViewStyling.h#L168).
```
- (nullable NSArray *)indexPathsForInlaidItems
- (nullable NSArray<NSIndexPath *> *)indexPathsForInlaidItems
```

### NavigationBar

- [deleted] [`MDCNavigationBar.layoutDirection`](https://github.com/material-components/material-components-ios/blob/e4b240934cbf7211790e0929c73652dbd7c2f46f/components/NavigationBar/src/MDCNavigationBar.h#L109)
- [modified] [`MDCNavigationBar.leadingBarButtonItems`](https://github.com/material-components/material-components-ios/blob/e4b240934cbf7211790e0929c73652dbd7c2f46f/components/NavigationBar/src/MDCNavigationBar.h#L82)

| From | To | Kind |
|:---- |:-- |:---- |
| `@property (nonatomic, copy, nullable) NSArray *leadingBarButtonItems` | `@property (nonatomic, copy, nullable) NSArray<UIBarButtonItem *> *leadingBarButtonItems` | `declaration` |

- [modified] [`MDCNavigationBar.leftBarButtonItems`](https://github.com/material-components/material-components-ios/blob/e4b240934cbf7211790e0929c73652dbd7c2f46f/components/NavigationBar/src/MDCNavigationBar.h#L125)

| From | To | Kind |
|:---- |:-- |:---- |
| `@property (nonatomic, copy, nullable) NSArray *leftBarButtonItems` | `@property (nonatomic, copy, nullable) NSArray<UIBarButtonItem *> *leftBarButtonItems` | `declaration` |

- [modified] [`MDCNavigationBar.rightBarButtonItems`](https://github.com/material-components/material-components-ios/blob/e4b240934cbf7211790e0929c73652dbd7c2f46f/components/NavigationBar/src/MDCNavigationBar.h#L128)

| From | To | Kind |
|:---- |:-- |:---- |
| `@property (nonatomic, copy, nullable) NSArray *rightBarButtonItems` | `@property (nonatomic, copy, nullable) NSArray<UIBarButtonItem *> *rightBarButtonItems` | `declaration` |

- [modified] [`MDCNavigationBar.trailingBarButtonItems`](https://github.com/material-components/material-components-ios/blob/e4b240934cbf7211790e0929c73652dbd7c2f46f/components/NavigationBar/src/MDCNavigationBar.h#L83)

| From | To | Kind |
|:---- |:-- |:---- |
| `@property (nonatomic, copy, nullable) NSArray *trailingBarButtonItems` | `@property (nonatomic, copy, nullable) NSArray<UIBarButtonItem *> *trailingBarButtonItems` | `declaration` |

- [modified] [`MDCUINavigationItemObservables.leftBarButtonItems`](https://github.com/material-components/material-components-ios/blob/e4b240934cbf7211790e0929c73652dbd7c2f46f/components/NavigationBar/src/MDCNavigationBar.h#L31)

| From | To | Kind |
|:---- |:-- |:---- |
| `@property (nonatomic, copy, nullable) NSArray *leftBarButtonItems` | `@property (nonatomic, copy, nullable) NSArray<UIBarButtonItem *> *leftBarButtonItems` | `declaration` |

- [modified] [`MDCUINavigationItemObservables.rightBarButtonItems`](https://github.com/material-components/material-components-ios/blob/e4b240934cbf7211790e0929c73652dbd7c2f46f/components/NavigationBar/src/MDCNavigationBar.h#L32)

| From | To | Kind |
|:---- |:-- |:---- |
| `@property (nonatomic, copy, nullable) NSArray *rightBarButtonItems` | `@property (nonatomic, copy, nullable) NSArray<UIBarButtonItem *> *rightBarButtonItems` | `declaration` |

### OverlayWindow

**New component.**

### Snackbar

**New component.**

## Component changes

### ActivityIndicator

#### Changes

* [Fixed all warnings. FEAR ME, WARNINGS.](https://github.com/material-components/material-components-ios/commit/1a3ae8938fbee7d3e02bfd69180b36598217ef85) (Adrian Secord)
* [MDC_#492 - Audit for Objective-C Generics](https://github.com/material-components/material-components-ios/commit/34bad428ee7aeb36220199597d03a240e40ee563) (Justin Shephard)

### AppBar

#### Changes

* [Applied the results of `arc lint --everything`. Again.](https://github.com/material-components/material-components-ios/commit/da7177c74e7d3ca04ad52330188e38e9ab3f5a1d) (Adrian Secord)
* [Fixed usage of |variable| markup in comments.](https://github.com/material-components/material-components-ios/commit/f971eef8d201c9b7700f21ef5474e4f448f751cd) (Adrian Secord)
* [MDC_#492 - Audit for Objective-C Generics](https://github.com/material-components/material-components-ios/commit/34bad428ee7aeb36220199597d03a240e40ee563) (Justin Shephard)
* [Port the rendering mode when flipping on iOS 8 and below.](https://github.com/material-components/material-components-ios/commit/7550398b6cadc712e0ce72a35fc872bc16489b5b) (Louis Romero)
* [Remove code handling SDK olders than iOS 9.](https://github.com/material-components/material-components-ios/commit/bec7ec4010229df4bf05677a25ebc74b35a6ccb8) (Louis Romero)

### ButtonBar

#### Changes

* [Applied the results of `arc lint --everything`. Again.](https://github.com/material-components/material-components-ios/commit/da7177c74e7d3ca04ad52330188e38e9ab3f5a1d) (Adrian Secord)
* [MDC_#492 - Audit for Objective-C Generics](https://github.com/material-components/material-components-ios/commit/34bad428ee7aeb36220199597d03a240e40ee563) (Justin Shephard)
* [MDC_#512 - Outdated comment mentions non-existing MDCButtonBar+Builder.h](https://github.com/material-components/material-components-ios/commit/9432c19d4085f9be9493e9a3e5880492619bcaa2) (Justin Shephard)
* [Port the rendering mode when flipping on iOS 8 and below.](https://github.com/material-components/material-components-ios/commit/7550398b6cadc712e0ce72a35fc872bc16489b5b) (Louis Romero)
* [Remove code handling SDK olders than iOS 9.](https://github.com/material-components/material-components-ios/commit/bec7ec4010229df4bf05677a25ebc74b35a6ccb8) (Louis Romero)
* [≈Prevent buttons from redrawing every time a tint color changes by inlining functionality. Prevent incorrect behavior of nav label getting tint.](https://github.com/material-components/material-components-ios/commit/976e1d6b43e9a1cac08b5aafa0ca04cb538cd95c) (Eric Li)

### Buttons

#### Changes

* [Applied the results of `arc lint --everything`. Again.](https://github.com/material-components/material-components-ios/commit/da7177c74e7d3ca04ad52330188e38e9ab3f5a1d) (Adrian Secord)
* [Fixed usage of |variable| markup in comments.](https://github.com/material-components/material-components-ios/commit/f971eef8d201c9b7700f21ef5474e4f448f751cd) (Adrian Secord)
* [MDC_#492 - Audit for Objective-C Generics](https://github.com/material-components/material-components-ios/commit/34bad428ee7aeb36220199597d03a240e40ee563) (Justin Shephard)

### CollectionCells

#### Changes

* [Fixed usage of |variable| markup in comments.](https://github.com/material-components/material-components-ios/commit/f971eef8d201c9b7700f21ef5474e4f448f751cd) (Adrian Secord)
* [Support RTL](https://github.com/material-components/material-components-ios/commit/361699fb6ce6a64a73d896208b8371d0d264359e) (Louis Romero)

### Collections

#### Changes

* [Applied the results of `arc lint --everything`. Again.](https://github.com/material-components/material-components-ios/commit/da7177c74e7d3ca04ad52330188e38e9ab3f5a1d) (Adrian Secord)
* [Fixed usage of |variable| markup in comments.](https://github.com/material-components/material-components-ios/commit/f971eef8d201c9b7700f21ef5474e4f448f751cd) (Adrian Secord)
* [MDC_#492 - Audit for Objective-C Generics](https://github.com/material-components/material-components-ios/commit/34bad428ee7aeb36220199597d03a240e40ee563) (Justin Shephard)
* [Updates __nullable/__nonnull to _Nullable/_Nonnull.](https://github.com/material-components/material-components-ios/commit/c17de91b48878ff18be7411ef7d45f5ba4de7192) (Adrian Secord)

### FlexibleHeader

#### Changes

* [Remove code handling SDK olders than iOS 9.](https://github.com/material-components/material-components-ios/commit/bec7ec4010229df4bf05677a25ebc74b35a6ccb8) (Louis Romero)
* [Updates __nullable/__nonnull to _Nullable/_Nonnull.](https://github.com/material-components/material-components-ios/commit/c17de91b48878ff18be7411ef7d45f5ba4de7192) (Adrian Secord)

### Ink

#### Changes

* [Applied the results of `arc lint --everything`. Again.](https://github.com/material-components/material-components-ios/commit/da7177c74e7d3ca04ad52330188e38e9ab3f5a1d) (Adrian Secord)
* [Fixed usage of |variable| markup in comments.](https://github.com/material-components/material-components-ios/commit/f971eef8d201c9b7700f21ef5474e4f448f751cd) (Adrian Secord)
* [MDC_#492 - Audit for Objective-C Generics](https://github.com/material-components/material-components-ios/commit/34bad428ee7aeb36220199597d03a240e40ee563) (Justin Shephard)
* [Updates __nullable/__nonnull to _Nullable/_Nonnull.](https://github.com/material-components/material-components-ios/commit/c17de91b48878ff18be7411ef7d45f5ba4de7192) (Adrian Secord)

### NavigationBar

#### Changes

* [Applied the results of `arc lint --everything`. Again.](https://github.com/material-components/material-components-ios/commit/da7177c74e7d3ca04ad52330188e38e9ab3f5a1d) (Adrian Secord)
* [MDC_#492 - Audit for Objective-C Generics](https://github.com/material-components/material-components-ios/commit/34bad428ee7aeb36220199597d03a240e40ee563) (Justin Shephard)
* [Port the rendering mode when flipping on iOS 8 and below.](https://github.com/material-components/material-components-ios/commit/7550398b6cadc712e0ce72a35fc872bc16489b5b) (Louis Romero)
* [Remove code handling SDK olders than iOS 9.](https://github.com/material-components/material-components-ios/commit/bec7ec4010229df4bf05677a25ebc74b35a6ccb8) (Louis Romero)
* [≈Prevent buttons from redrawing every time a tint color changes by inlining functionality. Prevent incorrect behavior of nav label getting tint.](https://github.com/material-components/material-components-ios/commit/976e1d6b43e9a1cac08b5aafa0ca04cb538cd95c) (Eric Li)

### OverlayWindow

#### Changes

* [[Snackbar] Adding Snackbar component and related Overlay Window](https://github.com/material-components/material-components-ios/commit/e8afa47fa6676779923cb571cb99a1dca0e2fb57) (Junius Gunaratne)

### PageControl

#### Changes

* [Added example for button to progress to the next page](https://github.com/material-components/material-components-ios/commit/7f340f053a9ccdc0c56340499d4e5b403ae4b75c) (randallli)
* [Applied the results of `arc lint --everything`. Again.](https://github.com/material-components/material-components-ios/commit/da7177c74e7d3ca04ad52330188e38e9ab3f5a1d) (Adrian Secord)
* [Fixed all warnings. FEAR ME, WARNINGS.](https://github.com/material-components/material-components-ios/commit/1a3ae8938fbee7d3e02bfd69180b36598217ef85) (Adrian Secord)
* [MDC_#492 - Audit for Objective-C Generics](https://github.com/material-components/material-components-ios/commit/34bad428ee7aeb36220199597d03a240e40ee563) (Justin Shephard)
* [Made control compatible with animation blocks adjusting the scrollView.contentOffset.](https://github.com/material-components/material-components-ios/commit/c447675a5d4278647ea8ffcd56927adc855a0b00) (randallli)

### Palettes

#### Changes

* [Applied the results of `arc lint --everything`. Again.](https://github.com/material-components/material-components-ios/commit/da7177c74e7d3ca04ad52330188e38e9ab3f5a1d) (Adrian Secord)
* [MDC_#492 - Audit for Objective-C Generics](https://github.com/material-components/material-components-ios/commit/34bad428ee7aeb36220199597d03a240e40ee563) (Justin Shephard)
* [Updates __nullable/__nonnull to _Nullable/_Nonnull.](https://github.com/material-components/material-components-ios/commit/c17de91b48878ff18be7411ef7d45f5ba4de7192) (Adrian Secord)

### ShadowLayer

#### Changes

* [Updates __nullable/__nonnull to _Nullable/_Nonnull.](https://github.com/material-components/material-components-ios/commit/c17de91b48878ff18be7411ef7d45f5ba4de7192) (Adrian Secord)

### Slider

#### Changes

* [Grow thumb when dragging the slider](https://github.com/material-components/material-components-ios/commit/4365ebb555f28471a6b81381f62a7e0a962583c7) (Max Luzuriaga)

### Snackbar

#### Changes

* [Adding Snackbar component and related Overlay Window](https://github.com/material-components/material-components-ios/commit/e8afa47fa6676779923cb571cb99a1dca0e2fb57) (Junius Gunaratne)

### SpritedAnimationView

#### Changes

* [Applied the results of `arc lint --everything`. Again.](https://github.com/material-components/material-components-ios/commit/da7177c74e7d3ca04ad52330188e38e9ab3f5a1d) (Adrian Secord)
* [MDC_#388 - Added NSLayoutConstraints to _animationView and label in SpritedAnimationViewTypicalUseViewController.m](https://github.com/material-components/material-components-ios/commit/dd761f7f81c4797e0e751305b4f6a6fc42ad7790) (Justin Shephard)
* [MDC_#492 - Audit for Objective-C Generics](https://github.com/material-components/material-components-ios/commit/34bad428ee7aeb36220199597d03a240e40ee563) (Justin Shephard)

# 11.0.1

## API diffs

Auto-generated by running:

    scripts/api_diff -o 5cea05817470a3fd906dc3663aff5628491e3224 -n 914490127624d9526f24a497021efffddcf3d567

No public API changes detected.

## Component changes

### ButtonBar

#### Changes

* [Prevent incorrect baseline shift when updating button bar buttons.](https://github.com/material-components/material-components-ios/commit/9cf321366b49b6d97f21ca3797db6b255f279090) (Eric Li)

### FontDiskLoader

#### Changes

* [Added include sorting to clang-format.](https://github.com/material-components/material-components-ios/commit/6805403fffeb7368df17f74b3ed66326dc8150b9) (Adrian Secord)

### Slider

#### Changes

* [Make thumb view hollow when on the minimum value.](https://github.com/material-components/material-components-ios/commit/fba387153f456f3e0192bbe92714f236c728d6a3) (Max Luzuriaga)

### Switch

#### Changes

* [[Slider] Make thumb view hollow when on the minimum value.](https://github.com/material-components/material-components-ios/commit/fba387153f456f3e0192bbe92714f236c728d6a3) (Max Luzuriaga)

# 11.0.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o a33f87199b2f4e29e35f0b93c75d60520742d5aa -n 0b277c9ff00628400b291d2e6900ff6389b27ecf

### FontDiskLoader

- [deleted] [`-[MDCFontDiskLoader setHasFailedRegistration:]`](https://github.com/material-components/material-components-ios/blob/a33f87199b2f4e29e35f0b93c75d60520742d5aa/components/FontDiskLoader/src/MDCFontDiskLoader.h#L109)
- [deleted] [`-[MDCFontDiskLoader setIsRegistered:]`](https://github.com/material-components/material-components-ios/blob/a33f87199b2f4e29e35f0b93c75d60520742d5aa/components/FontDiskLoader/src/MDCFontDiskLoader.h#L108)

### Palettes

- [new] [`+[MDCPalette paletteWithTints:accents:]`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L141)
- [new] [`-[MDCPalette initWithTints:accents:]`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L157)
- [new] [`MDCPaletteAccent100Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L50)
- [new] [`MDCPaletteAccent200Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L53)
- [new] [`MDCPaletteAccent400Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L56)
- [new] [`MDCPaletteAccent700Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L59)
- [new] [`MDCPaletteTint100Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L23)
- [new] [`MDCPaletteTint200Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L26)
- [new] [`MDCPaletteTint300Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L29)
- [new] [`MDCPaletteTint400Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L32)
- [new] [`MDCPaletteTint500Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L35)
- [new] [`MDCPaletteTint50Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L20)
- [new] [`MDCPaletteTint600Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L38)
- [new] [`MDCPaletteTint700Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L41)
- [new] [`MDCPaletteTint800Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L44)
- [new] [`MDCPaletteTint900Name`](https://github.com/material-components/material-components-ios/blob/0b277c9ff00628400b291d2e6900ff6389b27ecf/components/Palettes/src/MDCPalettes.h#L47)

## Component changes

### ActivityIndicator

#### Changes

* [Add read me and example mov/png](https://github.com/material-components/material-components-ios/commit/a84135fd0f6cd9cbbe1f77221fde21d5590eda77) (Junius Gunaratne)
* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### AppBar

#### Changes

* [Fix a layout issue in Multitasking](https://github.com/material-components/material-components-ios/commit/ab56421cd7cc23b575b1114aa09448347208547a) (Louis Romero)
* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### ButtonBar

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)
* [visual fix to issue #534 by applying a clear color to button rather than nil](https://github.com/material-components/material-components-ios/commit/a08b0a2dc99d717d940453e83535f2ba4203fdc9) (Eric Li)

### Buttons

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### CollectionCells

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### CollectionLayoutAttributes

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### Collections

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### FlexibleHeader

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### FontDiskLoader

#### Breaking changes

* [**Breaking**:  Assert added for missing font name in file.](https://github.com/material-components/material-components-ios/commit/b123e117a6de9fc2439a26ab3885e100a0a59c09) (randallli)
* [**Breaking**:  Removed public setters for isRegistered.](https://github.com/material-components/material-components-ios/commit/0d9c626556fe112b0ff536c1e38749385dc1248c) (randallli)

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### HeaderStackView

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### Ink

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### NavigationBar

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### PageControl

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### Palettes

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)
* [[Palette] Added custom palette initializers.](https://github.com/material-components/material-components-ios/commit/cdb423f8985712d56229d21b9918904d84b8decb) (Adrian Secord)

### RobotoFontLoader

#### Changes

* [Added description method.](https://github.com/material-components/material-components-ios/commit/da2a788b8718b40fb2b8efbab773f96d1f0566c9) (randallli)
* [Copy edit of class comment](https://github.com/material-components/material-components-ios/commit/382a2b6eb23d786c8b2afae7357dde635f4ad540) (randallli)
* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)
* [[FontDiskLoader]! Assert added for missing font name in file.](https://github.com/material-components/material-components-ios/commit/b123e117a6de9fc2439a26ab3885e100a0a59c09) (randallli)

### ShadowElevations

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### ShadowLayer

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### Slider

#### Changes

* [Made disabled thumb view a little smaller to match the Material spec.](https://github.com/material-components/material-components-ios/commit/7e59133741d1b311d09d85918da57cb0154951e0) (Max Luzuriaga)
* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### SpritedAnimationView

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### Switch

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

### Typography

#### Changes

* [Re-enabled 100-character line limit.](https://github.com/material-components/material-components-ios/commit/3aedace95926edb9f2427ca1b80464019120412d) (Adrian Secord)

# 10.1.2

#### Changes

* [Bumped version number to 10.1.2. This was needed because 10.1.1 forgot to update the podspec's.] https://github.com/material-components/material-components-ios/commit/73cea102fd6f02854de69b11f33e91acfcfbc5ab

# 10.1.1

### FontDiskLoader

#### Changes

* [Removed extra /x03 character in comment because it shouldn't be there.](https://github.com/material-components/material-components-ios/commit/b018eb87438ccfd4fa99850d9ed48698ff91e7e3) (randallli)

# 10.1.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o dc74cd290f327e950eab32b48f3105c55972fad9 -n d4a3ac376f5c8498cfb52401f4fbb69d2e318897

### ActivityIndicator

**New component.**

### FontDiskLoader

- [new] [`-[MDCFontDiskLoader unregisterFont]`](https://github.com/material-components/material-components-ios/blob/d4a3ac376f5c8498cfb52401f4fbb69d2e318897/components/FontDiskLoader/src/MDCFontDiskLoader.h#L84)
- [property attribute change] [`MDCFontDiskLoader.hasFailedRegistration`](https://github.com/material-components/material-components-ios/blob/d4a3ac376f5c8498cfb52401f4fbb69d2e318897/components/FontDiskLoader/src/MDCFontDiskLoader.h#L100).
Deprecated setter.
- [property attribute change] [`MDCFontDiskLoader.isRegistered`](https://github.com/material-components/material-components-ios/blob/d4a3ac376f5c8498cfb52401f4fbb69d2e318897/components/FontDiskLoader/src/MDCFontDiskLoader.h#L93).
Deprecated setter.
- [protocols changed] [`MDCFontDiskLoader`](https://github.com/material-components/material-components-ios/blob/d4a3ac376f5c8498cfb52401f4fbb69d2e318897/components/FontDiskLoader/src/MDCFontDiskLoader.h#L28).

Added *NSCopying*.

## Component changes

### ActivityIndicator

#### Changes

* [Adding activity indicator component and demo](https://github.com/material-components/material-components-ios/commit/d589b27330d717c9d7a4bd1ebea562453f5c5639) (Junius Gunaratne)
* [Move layout code into supplemental, support landscape mode](https://github.com/material-components/material-components-ios/commit/06acbe8cb8b9aa0befea566233f5e7b7528dd8dd) (Junius Gunaratne)

### AppBar

#### Changes

* [Fix typo in back item accessibility identifier.](https://github.com/material-components/material-components-ios/commit/f5a6ce7244edd1ad67fc8a04a0a087623936db32) (Louis Romero)
* [Respect the navigation bar's layout direction](https://github.com/material-components/material-components-ios/commit/c60de65ffdef1cf83d664e429615b87238f15ccf) (Louis Romero)
* [Set an accessibility identifier on the default back button.](https://github.com/material-components/material-components-ios/commit/ae21fd0453b3f932e2926a14518009429190c39c) (Louis Romero)

### ButtonBar

#### Changes

* [Updated examples and readme to use new swift selector syntax.](https://github.com/material-components/material-components-ios/commit/25ea19e76a7b4d7baf9420639972127022c27602) (Eric Li)

### Buttons

#### Changes

* [Updated examples and readme to use new swift selector syntax.](https://github.com/material-components/material-components-ios/commit/25ea19e76a7b4d7baf9420639972127022c27602) (Eric Li)

### Collections

#### Changes

* [Fixes bug when initializing collection view with own layout.](https://github.com/material-components/material-components-ios/commit/306da8d238cfd9d85f65ccb33370e1c6485418a1) (Chris Cox)

### FontDiskLoader

#### Changes

* [Added unregisterFont method.](https://github.com/material-components/material-components-ios/commit/77d8ebcd78cf37b9e38b77c5b29136ee37d6f719) (randallli)
* [Correct Roboto Font markdown for design specification link.](https://github.com/material-components/material-components-ios/commit/fa55cdd03099dfb2822e76222e81f631f7e000d0) (Yiran Mao)
* [[FontDiskLoader]? added warning NSLog when failing to load the font by name.](https://github.com/material-components/material-components-ios/commit/d62b6dc116d8db90e1f1953c48c0e8b6c45949de) (randallli)
* [[MDCFontDiskLoader] Added copying protocol](https://github.com/material-components/material-components-ios/commit/7a0a9f0aaa61d47a780fd404916701f373f7e53d) (randallli)
* [[MDCFontDiskLoader] sharing registered state across all instances of objects.](https://github.com/material-components/material-components-ios/commit/1ef21ea7e080664050271576fd85dcea3c4d87b4) (randallli)
* [[MDCFontDiskLoader]? Deprecated properties that should not have been public write.](https://github.com/material-components/material-components-ios/commit/25f4d7caec33172ef9aafc1c633c03740da62d16) (randallli)

### PageControl

#### Changes

* [updated examples and readme to use new swift selector syntax](https://github.com/material-components/material-components-ios/commit/25ea19e76a7b4d7baf9420639972127022c27602) (Eric Li)

### RobotoFontLoader

#### Changes

* [Correct Roboto Font markdown for design specification link.](https://github.com/material-components/material-components-ios/commit/fa55cdd03099dfb2822e76222e81f631f7e000d0) (Yiran Mao)

### ShadowLayer

#### Changes

* [updated examples and readme to use new swift selector syntax](https://github.com/material-components/material-components-ios/commit/25ea19e76a7b4d7baf9420639972127022c27602) (Eric Li)

### Switch

#### Changes

* [updated examples and readme to use new swift selector syntax](https://github.com/material-components/material-components-ios/commit/25ea19e76a7b4d7baf9420639972127022c27602) (Eric Li)

# 10.0.0

## Infrastructure

Material Components for iOS now [requires Cocoapods 1.0.0](https://groups.google.com/d/topic/material-components-ios-discuss/FnipGJXMeww/discussion).

## API diffs

Auto-generated by running:

    scripts/api_diff -o 0c97c7e25888d9da312c8610e21aa635cf9fb395 -n 1fc92b09a8539cf235667c4b2fb83c0f52578d65

### RobotoFontLoader

- [deleted] [`-[MDCRobotoFontLoader init]`](https://github.com/material-components/material-components-ios/blob/0c97c7e25888d9da312c8610e21aa635cf9fb395/components/RobotoFontLoader/src/MDCRobotoFontLoader.h#L33)

# 9.0.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o cdbe7e499d85c320c41f31e51cd7cf29c3afed48 -n 636df09ea57a7cdefdacad3f53277c76df968f72

### ButtonBar

- [new] [`MDCButtonBarLayoutPositionLeading`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/ButtonBar/src/MDCButtonBar.h#L28)
- [new] [`MDCButtonBarLayoutPositionTrailing`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/ButtonBar/src/MDCButtonBar.h#L31)

### NavigationBar

- [new] [`MDCNavigationBar.hidesBackButton`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L68)
- [new] [`MDCNavigationBar.layoutDirection`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L109)
- [new] [`MDCNavigationBar.leadingBarButtonItem`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L97)
- [new] [`MDCNavigationBar.leadingBarButtonItems`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L82)
- [new] [`MDCNavigationBar.leadingItemsSupplementBackButton`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L90)
- [new] [`MDCNavigationBar.leftBarButtonItem`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L142)
- [new] [`MDCNavigationBar.leftBarButtonItems`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L136)
- [new] [`MDCNavigationBar.leftItemsSupplementBackButton`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L148)
- [new] [`MDCNavigationBar.rightBarButtonItem`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L145)
- [new] [`MDCNavigationBar.rightBarButtonItems`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L139)
- [new] [`MDCNavigationBar.title`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L51)
- [new] [`MDCNavigationBar.trailingBarButtonItem`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L98)
- [new] [`MDCNavigationBar.trailingBarButtonItems`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L83)
- [protocols changed] [`MDCNavigationBar`](https://github.com/material-components/material-components-ios/blob/636df09ea57a7cdefdacad3f53277c76df968f72/components/NavigationBar/src/MDCNavigationBar.h#L46).
Removed *MDCUINavigationItemObservables*.

## Component changes

### ButtonBar

#### Changes

* [Hotfix for release.](https://github.com/material-components/material-components-ios/commit/20bcf06d714d45c270fe857a670102ea1085bfeb) (Louis Romero)
* [MDCButtonBar default layout direction is based on the system's.](https://github.com/material-components/material-components-ios/commit/fa171656af0fe8dbacf50808dc88fa4fd2e705d4) (Louis Romero)
* [Re-add previous enum values.](https://github.com/material-components/material-components-ios/commit/8ce80041a41e3f4c7f1ea43f96a3bd192e11dd96) (Ian Gordon)
* [Reload the buttons when the tintColor changes.](https://github.com/material-components/material-components-ios/commit/0ca536cf6c4af594cdaaa8196338fe40596b9404) (Louis Romero)
* [[ButtonBar]? Layout bar button items based on the layout position.](https://github.com/material-components/material-components-ios/commit/56561b40b60ff3c0ea33801b5445c0eaab0f9600) (Louis Romero)

### CollectionCells

#### Changes

* [Fixes reused cells that don't reset their title label frame.](https://github.com/material-components/material-components-ios/commit/79a2054da1346bcc35eb29e23c85bb500ce1860c) (Chris Cox)

### Collections

#### Changes

* [Modify the structure of collection document in preparation for the secondary navigation.](https://github.com/material-components/material-components-ios/commit/5bac0c81f3c68795a4e699826b4de0f4aac399da) (Yiran Mao)

### FlexibleHeader

#### Changes

* [Always update _lastContentOffset when we call fhv_updateLayout.](https://github.com/material-components/material-components-ios/commit/636df09ea57a7cdefdacad3f53277c76df968f72) (Jeff Verkoeyen)
* [Standardize all shift accumulator variable names.](https://github.com/material-components/material-components-ios/commit/bb49bb4265ab3772d5312490df9867baf4c73000) (Jeff Verkoeyen)

### FontDiskLoader

#### Changes

* [Added isEqual and hash logic](https://github.com/material-components/material-components-ios/commit/425a61fe40f5367a6548042af1109951463f41f7) (randallli)

### HeaderStackView

#### Changes

* [[NavigationBar] Use leading/trailing wording in NavigationBar.](https://github.com/material-components/material-components-ios/commit/e413820f83ce05f0e32e4a6e5daf97ae06e80070) (Louis Romero)

### NavigationBar

#### Changes

* [Hotfix for release.](https://github.com/material-components/material-components-ios/commit/20bcf06d714d45c270fe857a670102ea1085bfeb) (Louis Romero)
* [Use leading/trailing wording in NavigationBar.](https://github.com/material-components/material-components-ios/commit/6a5153e1a83c7effe22eb926a71324ce77949449) (Louis Romero)
* [Use leading/trailing wording in NavigationBar.](https://github.com/material-components/material-components-ios/commit/e413820f83ce05f0e32e4a6e5daf97ae06e80070) (Louis Romero)
* [[ButtonBar]? Layout bar button items based on the layout position.](https://github.com/material-components/material-components-ios/commit/56561b40b60ff3c0ea33801b5445c0eaab0f9600) (Louis Romero)

# 8.0.0

## API diffs

Auto-generated by running the following while checked out at
`4bc99e8ad0fe0ac7e9acc044591a8581165fb5c2`:

    scripts/api_diff -o 2153f8fa453ecec4dfe48a328e331846d5d37aac -n bbabb375953fbd01c3f818ac9092b55fe56dd9b9

### AppBar

- [deleted] [`-[MDCAppBarContainerViewController headerViewController]`](https://github.com/material-components/material-components-ios/blob/2153f8fa453ecec4dfe48a328e331846d5d37aac/components/AppBar/src/MDCAppBarContainerViewController.h#L69)
- [deleted] [`MDCAppBarContainerViewController ()`](https://github.com/material-components/material-components-ios/blob/2153f8fa453ecec4dfe48a328e331846d5d37aac/components/AppBar/src/MDCAppBarContainerViewController.h#L66)

### ButtonBar

- [deleted] [`-[MDCButtonBar reloadButtonViews]`](https://github.com/material-components/material-components-ios/blob/2153f8fa453ecec4dfe48a328e331846d5d37aac/components/ButtonBar/src/MDCButtonBar.h#L166)
- [deleted] [`MDCButtonBar ()`](https://github.com/material-components/material-components-ios/blob/2153f8fa453ecec4dfe48a328e331846d5d37aac/components/ButtonBar/src/MDCButtonBar.h#L155)
- [deleted] [`MDCButtonBar.buttonItems`](https://github.com/material-components/material-components-ios/blob/2153f8fa453ecec4dfe48a328e331846d5d37aac/components/ButtonBar/src/MDCButtonBar.h#L158)
- [deleted] [`MDCButtonBar.delegate`](https://github.com/material-components/material-components-ios/blob/2153f8fa453ecec4dfe48a328e331846d5d37aac/components/ButtonBar/src/MDCButtonBar.h#L162)
- [moved] [`MDCButtonBar (Builder)`](https://github.com/material-components/material-components-ios/blob/bbabb375953fbd01c3f818ac9092b55fe56dd9b9/components/ButtonBar/src/MDCButtonBar.h#L177).
From *MDCButtonBar.h* to *private/MDCButtonBar+Private.h*.

### NavigationBar

- [deleted] [`MDCNavigationBar ()`](https://github.com/material-components/material-components-ios/blob/2153f8fa453ecec4dfe48a328e331846d5d37aac/components/NavigationBar/src/MDCNavigationBar.h#L94)
- [deleted] [`MDCNavigationBar.leftButtonBarDelegate`](https://github.com/material-components/material-components-ios/blob/2153f8fa453ecec4dfe48a328e331846d5d37aac/components/NavigationBar/src/MDCNavigationBar.h#L97)
- [deleted] [`MDCNavigationBar.rightButtonBarDelegate`](https://github.com/material-components/material-components-ios/blob/2153f8fa453ecec4dfe48a328e331846d5d37aac/components/NavigationBar/src/MDCNavigationBar.h#L101)
- [deleted] [`MDCUINavigationItemKVO`](https://github.com/material-components/material-components-ios/blob/2153f8fa453ecec4dfe48a328e331846d5d37aac/components/NavigationBar/src/MDCNavigationBar.h#L91)

## Component changes

### AppBar

#### Breaking changes

* [Remove deprecated headerViewController property from MDCAppBarContainerViewController.](https://github.com/material-components/material-components-ios/commit/dbfc6b783d40e229708af1ee956ded363f621601) (Jeff Verkoeyen)

### ButtonBar

#### Breaking changes

* [Remove deprecated APIs.](https://github.com/material-components/material-components-ios/commit/f7c84317ec01774be169bd3486ebb8a561376250) (Jeff Verkoeyen)

#### Changes

* [Propagate the NavigationBar tint color to the bar button items.](https://github.com/material-components/material-components-ios/commit/39bda0a60728a5989971cb0a09ee8d40b7bd4f09) (Louis Romero)


### CollectionCells

#### Changes

* [[Collections|CollectionCells] Updates outdated comments referring to style/editing manager.](https://github.com/material-components/material-components-ios/commit/120030631e3a695559a49100e62cb7a88502cb3b) (Chris Cox)

### Collections

#### Changes

* [Adds border to editing action bar](https://github.com/material-components/material-components-ios/commit/3e7ce26bacd4ee94177bf3daab0c03d2281a6723) (Chris Cox)
* [[Collections|CollectionCells] Updates outdated comments referring to style/editing manager.](https://github.com/material-components/material-components-ios/commit/120030631e3a695559a49100e62cb7a88502cb3b) (Chris Cox)

### NavigationBar

#### Breaking changes

* [[ButtonBar] Remove deprecated APIs.](https://github.com/material-components/material-components-ios/commit/f7c84317ec01774be169bd3486ebb8a561376250) (Jeff Verkoeyen)

# 7.0.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o d2f436fdcfa711da5a8a077b42feb052c1abdf9e -n 6c8ca274056aed6850920f6010b47655c67730c9


### AppBar

- [deleted] [`MDCAppBarAddViews()`](https://github.com/material-components/material-components-ios/blob/d2f436fdcfa711da5a8a077b42feb052c1abdf9e/components/AppBar/src/MDCAppBar.h#L101)
- [deleted] [`MDCAppBarParenting.headerStackView`](https://github.com/material-components/material-components-ios/blob/d2f436fdcfa711da5a8a077b42feb052c1abdf9e/components/AppBar/src/MDCAppBar.h#L74)
- [deleted] [`MDCAppBarParenting.headerViewController`](https://github.com/material-components/material-components-ios/blob/d2f436fdcfa711da5a8a077b42feb052c1abdf9e/components/AppBar/src/MDCAppBar.h#L82)
- [deleted] [`MDCAppBarParenting.navigationBar`](https://github.com/material-components/material-components-ios/blob/d2f436fdcfa711da5a8a077b42feb052c1abdf9e/components/AppBar/src/MDCAppBar.h#L78)
- [deleted] [`MDCAppBarParenting`](https://github.com/material-components/material-components-ios/blob/d2f436fdcfa711da5a8a077b42feb052c1abdf9e/components/AppBar/src/MDCAppBar.h#L69)
- [deleted] [`MDCAppBarPrepareParent()`](https://github.com/material-components/material-components-ios/blob/d2f436fdcfa711da5a8a077b42feb052c1abdf9e/components/AppBar/src/MDCAppBar.h#L93)

### ButtonBar

- [new] [`MDCButtonBar.layoutPosition`](https://github.com/material-components/material-components-ios/blob/6c8ca274056aed6850920f6010b47655c67730c9/components/ButtonBar/src/MDCButtonBar.h#L112)
- [new] [`MDCButtonBarLayoutPositionLeft`](https://github.com/material-components/material-components-ios/blob/6c8ca274056aed6850920f6010b47655c67730c9/components/ButtonBar/src/MDCButtonBar.h#L28)
- [new] [`MDCButtonBarLayoutPositionNone`](https://github.com/material-components/material-components-ios/blob/6c8ca274056aed6850920f6010b47655c67730c9/components/ButtonBar/src/MDCButtonBar.h#L25)
- [new] [`MDCButtonBarLayoutPositionRight`](https://github.com/material-components/material-components-ios/blob/6c8ca274056aed6850920f6010b47655c67730c9/components/ButtonBar/src/MDCButtonBar.h#L31)
- [new] [`MDCButtonBarLayoutPosition`](https://github.com/material-components/material-components-ios/blob/6c8ca274056aed6850920f6010b47655c67730c9/components/ButtonBar/src/MDCButtonBar.h#L24)

### Collections

- [new] [`-[MDCCollectionViewController collectionView:didHighlightItemAtIndexPath:]`](https://github.com/material-components/material-components-ios/blob/6c8ca274056aed6850920f6010b47655c67730c9/components/Collections/src/MDCCollectionViewController.h#L55)
- [new] [`-[MDCCollectionViewController collectionView:didUnhighlightItemAtIndexPath:]`](https://github.com/material-components/material-components-ios/blob/6c8ca274056aed6850920f6010b47655c67730c9/components/Collections/src/MDCCollectionViewController.h#L58)
- [new] [`-[MDCCollectionViewController collectionView:shouldHighlightItemAtIndexPath:]`](https://github.com/material-components/material-components-ios/blob/6c8ca274056aed6850920f6010b47655c67730c9/components/Collections/src/MDCCollectionViewController.h#L52)
- [new] [`-[MDCCollectionViewStylingDelegate collectionView:inkColorAtIndexPath:]`](https://github.com/material-components/material-components-ios/blob/6c8ca274056aed6850920f6010b47655c67730c9/components/Collections/src/MDCCollectionViewStylingDelegate.h#L136)
- [modified] [`-[MDCCollectionViewEditingDelegate collectionView:didDeleteItemsAtIndexPaths:]`](https://github.com/material-components/material-components-ios/blob/d2f436fdcfa711da5a8a077b42feb052c1abdf9e/components/Collections/src/MDCCollectionViewEditingDelegate.h#L197)

| From | To | Kind |
|:---- |:-- |:---- |
| - (void)collectionView:(nonnull UICollectionView *)collectionView didDeleteItemsAtIndexPaths:(nonnull NSArray *)indexPaths | - (void)collectionView:(nonnull UICollectionView *)collectionView didDeleteItemsAtIndexPaths:(nonnull NSArray<NSIndexPath *> *)indexPaths | declaration |

- [modified] [`-[MDCCollectionViewEditingDelegate collectionView:willDeleteItemsAtIndexPaths:]`](https://github.com/material-components/material-components-ios/blob/d2f436fdcfa711da5a8a077b42feb052c1abdf9e/components/Collections/src/MDCCollectionViewEditingDelegate.h#L188)

| From | To | Kind |
|:---- |:-- |:---- |
| - (void)collectionView:(nonnull UICollectionView *)collectionView willDeleteItemsAtIndexPaths:(nonnull NSArray *)indexPaths | - (void)collectionView:(nonnull UICollectionView *)collectionView willDeleteItemsAtIndexPaths:(nonnull NSArray<NSIndexPath *> *)indexPaths | declaration |

- [modified] [`-[MDCCollectionViewStylingDelegate collectionView:didApplyInlayToItemAtIndexPaths:]`](https://github.com/material-components/material-components-ios/blob/d2f436fdcfa711da5a8a077b42feb052c1abdf9e/components/Collections/src/MDCCollectionViewStylingDelegate.h#L102)

| From | To | Kind |
|:---- |:-- |:---- |
| - (void)collectionView:(nonnull UICollectionView *)collectionView didApplyInlayToItemAtIndexPaths:(nonnull NSArray *)indexPaths | - (void)collectionView:(nonnull UICollectionView *)collectionView didApplyInlayToItemAtIndexPaths:(nonnull NSArray<NSIndexPath *> *)indexPaths | declaration |

- [modified] [`-[MDCCollectionViewStylingDelegate collectionView:didRemoveInlayFromItemAtIndexPaths:]`](https://github.com/material-components/material-components-ios/blob/d2f436fdcfa711da5a8a077b42feb052c1abdf9e/components/Collections/src/MDCCollectionViewStylingDelegate.h#L112)

| From | To | Kind |
|:---- |:-- |:---- |
| - (void)collectionView:(nonnull UICollectionView *)collectionView didRemoveInlayFromItemAtIndexPaths:(nonnull NSArray *)indexPaths | - (void)collectionView:(nonnull UICollectionView *)collectionView didRemoveInlayFromItemAtIndexPaths:(nonnull NSArray<NSIndexPath *> *)indexPaths | declaration |

### Palettes

**New component.**

## Component changes

### AppBar

#### Changes

* [Remove deprecated parenting APIs.](https://github.com/material-components/material-components-ios/commit/f21d3adc78b87017d45f50bc806503689a42efa0) (Jeff Verkoeyen)
* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

### ButtonBar

#### Changes

* [Add padding property to button bar buttons and position property to button bar](https://github.com/material-components/material-components-ios/commit/b6a7142a8fe0ccbc268c5f348d330f1a853fab15) (Junius Gunaratne)
* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

### Buttons

#### Changes

* [[MDCButton] Center ink properly when insets change](https://github.com/material-components/material-components-ios/commit/699de7bcfbc346062ac01b59daf31b1b25d30290) (Junius Gunaratne)
* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

### CollectionCells

#### Changes

* [Fixes bug preventing removal of accessoryView.](https://github.com/material-components/material-components-ios/commit/359ac696fa9e5a224f74631a1af1065b14545fa5) (Chris Cox)
* [Initializes ink if not available when requesting inkView](https://github.com/material-components/material-components-ios/commit/98eadc5f4c60d70702c316b1093b50c4a18232f9) (Chris Cox)

### Collections

#### Breaking changes

* [**Breaking**:  Updates ink to fire on cell highlight/unhighlight for faster response. Also adds demo to catalog.](https://github.com/material-components/material-components-ios/commit/86174317b321e73b71a02b8dddb43de17defac64) (Chris Cox)

#### Changes

* [Adds API to allow setting cell ink color at given index path.](https://github.com/material-components/material-components-ios/commit/6c8ca274056aed6850920f6010b47655c67730c9) (Chris Cox)
* [Adds lightweight generics to NSArray of NSIndexPath](https://github.com/material-components/material-components-ios/commit/4e79ce507f20232491ee325a482e04ae58eb3758) (Chris Cox)
* [Breaks out collection styling and editing into own docs.](https://github.com/material-components/material-components-ios/commit/82bd9cf5500641db0a9125c86464b8008493ca58) (Chris Cox)
* [Fixes bug where collection view subviews do not respect auto layout or rotation.](https://github.com/material-components/material-components-ios/commit/de5fdfcd8c3284839a45d8a400ddf89490204ccc) (Chris Cox)
* [Fixes swipe-to-dismiss section bug when attempting to snapshot non-existent 'inf' frame.](https://github.com/material-components/material-components-ios/commit/311ad111948ae0e552ec3cc93840290944322ff2) (Chris Cox)
* [Replaced screenshot with video.](https://github.com/material-components/material-components-ios/commit/7e124034ee9cf16bdb2c27927add5f36fc1a76c8) (Adrian Secord)
* [Updates readme Swipe to dismiss section](https://github.com/material-components/material-components-ios/commit/7e3b64e17f6f0212e073f15ab185f42f3458611e) (Chris Cox)

### FlexibleHeader

#### Changes

* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

### HeaderStackView

#### Changes

* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

### Ink

#### Changes

* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

### NavigationBar

#### Breaking changes

* [**Breaking**:  Pad the outer-most button's icons in accordance to the Material spec](https://github.com/material-components/material-components-ios/commit/968a7bc55bdf3a600ef9adbebc2b7b82f6f0eeaf) (Junius Gunaratne)

#### Changes

* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

### PageControl

#### Changes

* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

### Palettes

#### Changes

* [Final review to land in develop.](https://github.com/material-components/material-components-ios/commit/10cfe433b05f8557dcdb6f8ea1ebcc0b0368cd93) (Adrian Secord)

### RobotoFontLoader

#### Changes

* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

### ShadowLayer

#### Changes

* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

### Slider

#### Changes

* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

### Switch

#### Changes

* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

### Typography

#### Changes

* [[Website] Added hero videos to component README.md files.](https://github.com/material-components/material-components-ios/commit/4b3b06d2ce615965db9c6f73b5fc0825122fd982) (Adrian Secord)

# 6.0.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o da19cc89a5bb91c94480aee818d2f0ac52410e1c -n bac6ea73c709e95ac88f202ca6c02e1ab88e91f5

### CollectionLayoutAttributes

- [new] [`MDCCollectionViewLayoutAttributes.backgroundImageViewInsets`](https://github.com/material-components/material-components-ios/blob/bac6ea73c709e95ac88f202ca6c02e1ab88e91f5/components/CollectionLayoutAttributes/src/MDCCollectionViewLayoutAttributes.h#L80)

### Switch

- [new] [`MDCSwitch.offImage`](https://github.com/material-components/material-components-ios/blob/bac6ea73c709e95ac88f202ca6c02e1ab88e91f5/components/Switch/src/MDCSwitch.h#L62)
- [new] [`MDCSwitch.onImage`](https://github.com/material-components/material-components-ios/blob/bac6ea73c709e95ac88f202ca6c02e1ab88e91f5/components/Switch/src/MDCSwitch.h#L55)

### Typography

- [deleted] [`MDCTypographyFontLoader`](https://github.com/material-components/material-components-ios/blob/da19cc89a5bb91c94480aee818d2f0ac52410e1c/components/Typography/src/MDCTypography.h#L144)

## Component changes

### AppBar

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)
* [Swift Interface Builder Example](https://github.com/material-components/material-components-ios/commit/d51f79c22b82f7ffd0b713316c349fea213ba4ec) (Ian Gordon)

### ButtonBar

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)

### Buttons

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)
* [Split out elevation = 0 special case for default relationship test.](https://github.com/material-components/material-components-ios/commit/3af13f435702e0bfdbc3cb2813b48fdeeb47826e) (Adrian Secord)
* [Temporarily correct MDCCollectionViewFlowLayout and MDCRaisedButton api reference with anchor tag link on summary page.](https://github.com/material-components/material-components-ios/commit/867f1519e799d5503bf26e480b200c16bee5bdb6) (Yiran Mao)
* [[MDCButton] Ink should match button frame to be centered properly](https://github.com/material-components/material-components-ios/commit/5ca5458eb684c90d08f4c9dfa43b788432a336e2) (Junius Gunaratne)

### CollectionCells

#### Changes

* [Fixes separator width which extended past cell bounds. Closes #448.](https://github.com/material-components/material-components-ios/commit/8022c97afa7f4e122e456867cc20bb0840a922fd) (Chris Cox)
* [Removes existing ink subview when setting a new one.](https://github.com/material-components/material-components-ios/commit/dd1b1e0c29d4423d74feb0cf577f7c2d9abf31ce) (Chris Cox)
* [[Collections] Updates attributes component API to allow passing the background image view outsets to the cell.](https://github.com/material-components/material-components-ios/commit/c11e5fce5a68ebc0b1bb0855911a71a7516f7fb5) (Chris Cox)

### CollectionLayoutAttributes

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)
* [[Collections] Updates attributes component API to allow passing the background image view outsets to the cell.](https://github.com/material-components/material-components-ios/commit/c11e5fce5a68ebc0b1bb0855911a71a7516f7fb5) (Chris Cox)

### Collections

#### Changes

* [Adds example of subclass providing own collection view.](https://github.com/material-components/material-components-ios/commit/2e08c3768d79cdad5a4aa7ac5b82a91573f7f5d9) (Chris Cox)
* [Caches decoration views used in grid layout. Cleans up layout invalidation logic.](https://github.com/material-components/material-components-ios/commit/9e37e3adc90e01f0c40be3266d0e9d0c96fcc2b6) (Chris Cox)
* [Fixed InkTouchControllerDelegate usage.](https://github.com/material-components/material-components-ios/commit/1fc3d8decf376bb9d74c20072a8b227da2c24e49) (Adrian Secord)
* [Fixes b/26750509 by copying any layout attributes first before editing.](https://github.com/material-components/material-components-ios/commit/1b1db1d67ab297712ec099be7f3fdb625ada370d) (Chris Cox)
* [Fixes grid layout invalidation causing crash.](https://github.com/material-components/material-components-ios/commit/4c883f073ca7370ea3af3c36b62854ddbf278da6) (Chris Cox)
* [Minor update to background color section of readme](https://github.com/material-components/material-components-ios/commit/4ae4bd796ea038d6bb86addbc0018f5269e0c405) (Chris Cox)
* [Removes internal collection view background color property allowing it to be customized from subclasses.](https://github.com/material-components/material-components-ios/commit/837f923f1cc88af51613ffd5fe9608e9310aecaa) (Chris Cox)
* [Temporarily correct MDCCollectionViewFlowLayout and MDCRaisedButton api reference with anchor tag link on summary page.](https://github.com/material-components/material-components-ios/commit/867f1519e799d5503bf26e480b200c16bee5bdb6) (Yiran Mao)
* [Updates Usage, Styling, and Editing sections of readme.](https://github.com/material-components/material-components-ios/commit/4930ace3b847d9159e9882acffc5d6d115226b94) (Chris Cox)
* [Updates attributes component API to allow passing the background image view outsets to the cell.](https://github.com/material-components/material-components-ios/commit/c11e5fce5a68ebc0b1bb0855911a71a7516f7fb5) (Chris Cox)
* [Updates editing example and readme to reverse sort order index paths before removal.](https://github.com/material-components/material-components-ios/commit/787c09ddb0e7f6066222be5029eb2e4ec84eb8fe) (Chris Cox)
* [Updates layout logic to include isEditing, thereby forcing infoBar positions to get updated.](https://github.com/material-components/material-components-ios/commit/6bb5bec0be597b24b4e01208e05ec8028754d5d9) (Chris Cox)

### FlexibleHeader

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)

### FontDiskLoader

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)
* [[Typography] Added description method.](https://github.com/material-components/material-components-ios/commit/67971238f09f90618fe2aa8037dad341d94b656e) (randallli)

### HeaderStackView

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)

### Ink

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)

### NavigationBar

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)

### PageControl

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)

### RobotoFontLoader

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)

### ShadowElevations

#### Changes

* [Added documentation and sorted alphabetically.](https://github.com/material-components/material-components-ios/commit/65e0db2b396634cb207f70aafaeee7b2db12a341) (Adrian Secord)
* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)
* [Removed typo from ShadowElevations/README.md.](https://github.com/material-components/material-components-ios/commit/4901733a5a7eb359587679adeaeb798bd8891c1f) (Adrian Secord)

### ShadowLayer

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)

### Slider

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)

### Switch

#### Changes

* [Add icons on the thumbview](https://github.com/material-components/material-components-ios/commit/17f46bfe53071ca8d75497eca571669a25aeebf6) (Ian Gordon)
* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)

### Typography

#### Breaking changes

* [**Breaking**:  Removing deprecated protocol.](https://github.com/material-components/material-components-ios/commit/7dc8398d47a4a2226e2f2725ea8e0f72819d2169) (randallli)

#### Changes

* [Remove command prompt ('$') from command-line examples so they can be trivially copied and pasted.](https://github.com/material-components/material-components-ios/commit/f65f9e2ac4ffecaa689b8545339ac7e355cabea9) (Adrian Secord)

# 5.1.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o 037551fa3b17c25f6546d290e41f747e3713bc4f -n 4b6b0a414e599af1fe3a29bba66af8e04ba67b4d

No public API changes.

## Component changes

### AppBar

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Move AppBar header configuration into init so that status bar style is accurate in Hero demo.](https://github.com/material-components/material-components-ios/commit/e46893e0ef87be5629281e1f4c1212a634b2f11c) (Jeff Verkoeyen)

### ButtonBar

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)

### Buttons

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)

### CollectionCells

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Remove unused MaterialCollectionCells.xcassets.](https://github.com/material-components/material-components-ios/commit/4b6b0a414e599af1fe3a29bba66af8e04ba67b4d) (Louis Romero)
* [Rename all images with @2x/@3x.](https://github.com/material-components/material-components-ios/commit/2df5344ee2a5a35d2e2c6d7d33ac79ecbdc1afba) (Louis Romero)

### CollectionLayoutAttributes

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)

### Collections

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Global find-and-replace of 'kMDC' with 'k'.](https://github.com/material-components/material-components-ios/commit/21d5cf1d04c4a6f296eb07fa82bf2d865674c7bb) (Jeff Verkoeyen)

### FlexibleHeader

#### Changes

* [Add contentOffset side effect tests.](https://github.com/material-components/material-components-ios/commit/c042c5f4e43c65b3cb1b35dd3be9f0c4e4606fa5) (Jeff Verkoeyen)
* [Always provide a valid frame for the issue176 tests.](https://github.com/material-components/material-components-ios/commit/283c87e9eb73d4d2d1f8b863a45f2a0ea966a129) (Jeff Verkoeyen)
* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Remove the internal contentOffset property.](https://github.com/material-components/material-components-ios/commit/3d4db0172e6e06109d6a6afdeaf148824a129bef) (Jeff Verkoeyen)
* [Revert "Resolve iOS 8.4 unit test failure of issue176 tests."](https://github.com/material-components/material-components-ios/commit/fe1ac2f14b7ad4179c84b01590df9c93289f2e36) (Jeff Verkoeyen)

### FontDiskLoader

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)

### HeaderStackView

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/b2639f397b7639716957f03a2b3421633796b877) (Jeff Verkoeyen)

### Ink

#### Changes

* [Clarified MDCInkTouchControllerDelegate inkTouchController:shouldProcessInkTouchesAtTouchLocation: documentation.](https://github.com/material-components/material-components-ios/commit/6241d918df44a82218349223285d6b9881d8534b) (Adrian Secord)
* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Global find-and-replace of 'kMDC' with 'k'.](https://github.com/material-components/material-components-ios/commit/21d5cf1d04c4a6f296eb07fa82bf2d865674c7bb) (Jeff Verkoeyen)

### NavigationBar

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)

### PageControl

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Global find-and-replace of 'kMDC' with 'k'.](https://github.com/material-components/material-components-ios/commit/21d5cf1d04c4a6f296eb07fa82bf2d865674c7bb) (Jeff Verkoeyen)

### RobotoFontLoader

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)

### ShadowElevations

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)

### ShadowLayer

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Global find-and-replace of 'kMDC' with 'k'.](https://github.com/material-components/material-components-ios/commit/21d5cf1d04c4a6f296eb07fa82bf2d865674c7bb) (Jeff Verkoeyen)

### Slider

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)

### SpritedAnimationView

#### Changes

* [Global find-and-replace of 'kMDC' with 'k'.](https://github.com/material-components/material-components-ios/commit/21d5cf1d04c4a6f296eb07fa82bf2d865674c7bb) (Jeff Verkoeyen)
* [Rename all images with @2x/@3x.](https://github.com/material-components/material-components-ios/commit/2df5344ee2a5a35d2e2c6d7d33ac79ecbdc1afba) (Louis Romero)

### Switch

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Global find-and-replace of 'kMDC' with 'k'.](https://github.com/material-components/material-components-ios/commit/21d5cf1d04c4a6f296eb07fa82bf2d865674c7bb) (Jeff Verkoeyen)
* [Set the switch's ink's max ripple radius to the spec value.](https://github.com/material-components/material-components-ios/commit/c15fd0c5c18e442947728472b7b33381cae78f45) (Adrian Secord)

### Typography

#### Changes

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)


# 5.0.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o 55afa3aaef67799bdb8a94881f31c5c3b242e9a6 -n fe1ac2f14b7ad4179c84b01590df9c93289f2e36

### CollectionCells

**New component.**

### CollectionLayoutAttributes

**New component.**

### Collections

**New component.**

### FlexibleHeader

- [new] [`MDCFlexibleHeaderView.statusBarHintCanOverlapHeader`](https://github.com/material-components/material-components-ios/blob/fe1ac2f14b7ad4179c84b01590df9c93289f2e36/components/FlexibleHeader/src/MDCFlexibleHeaderView.h#L344)

### PageControl

- [protocols changed] [`MDCPageControl`](https://github.com/material-components/material-components-ios/blob/fe1ac2f14b7ad4179c84b01590df9c93289f2e36/components/PageControl/src/MDCPageControl.h#L41).
Added *UIScrollViewDelegate*.

## Component changes

### AppBar

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Remove mention of deprecated API.](https://github.com/material-components/material-components-ios/commit/1b35fe48b4f411c049689b398711682513b954d1) (Louis Romero)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Remove the internal MDCAppBarContainerViewController contentViewController setter.](https://github.com/material-components/material-components-ios/commit/8100c088133fd5799eb9f692ab76f463acaab715) (Jeff Verkoeyen)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Revert replace + with _ in icon names](https://github.com/material-components/material-components-ios/commit/552d66f3fb2f258446f1b41951457ee494e7bc06) (Junius Gunaratne)
* [Typical Use Example moving logic from init into viewDidLoad](https://github.com/material-components/material-components-ios/commit/0dc8870271222083a2a4dbbf55dd249a5b5cd4f5) (randallli)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[AppBar]! NSLog warning to NSAssert for incorrect parentViewController behavior.](https://github.com/material-components/material-components-ios/commit/8f3c3f8607ff295b8594ea1edbe8dadb244eaaaa) (randallli)
* [[AppBar]? Added NSLog to ensure that addChildViewController: is called before addSubviewsToParent](https://github.com/material-components/material-components-ios/commit/c7a3891fe9754962cbbb14157cd5595ca5b0abec) (randallli)
* [[Catalog & Examples] Added navigationBar example in Swift (Supplemental POC) and corrected slight mistake in Catalog by Convention logic.](https://github.com/material-components/material-components-ios/commit/2ab08f41337d1ef1392bec46f534fe95fb2ac79e) (Will Larche)
* [[Catalog] Example view controllers must implement init.](https://github.com/material-components/material-components-ios/commit/ea405734e97bf96bff2d97f46b28322a0aa2b753) (Jeff Verkoeyen)
* [[Catalog] Fixing Swift example view controller initializers.](https://github.com/material-components/material-components-ios/commit/8e733e163a4b308186345e03d90056e4040c693b) (Jeff Verkoeyen)
* [[Catalog] Make example titles consistent, use Component Name](https://github.com/material-components/material-components-ios/commit/ebd1fbd14c6d2b0c052e28a9bc3cf59a6e01e75e) (Junius Gunaratne)
* [[Catalog] Update AppBar demo design, table view should not have text](https://github.com/material-components/material-components-ios/commit/a147d7b359d1d99fca81aa97594d93263a3cedee) (Junius Gunaratne)
* [[Icons] Replace + with _ in icon names](https://github.com/material-components/material-components-ios/commit/c0bd1de8e5520102f59e9b92d8a1085b285be38e) (Junius Gunaratne)

### ButtonBar

* [Check UIBarButtonItem global appearance configuration when creating the buttons.](https://github.com/material-components/material-components-ios/commit/e3a56fe9624ab978850665ab4f06479ebe5e13bf) (Jeff Verkoeyen)
* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Update tests to reflect that titleTextAttributes appearance only works on iOS 9.](https://github.com/material-components/material-components-ios/commit/916866a5259d3972ff359f0d57bce67bdb982ed2) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog & Examples] Added navigationBar example in Swift (Supplemental POC) and corrected slight mistake in Catalog by Convention logic.](https://github.com/material-components/material-components-ios/commit/2ab08f41337d1ef1392bec46f534fe95fb2ac79e) (Will Larche)
* [[Catalog] Example view controllers must implement init.](https://github.com/material-components/material-components-ios/commit/ea405734e97bf96bff2d97f46b28322a0aa2b753) (Jeff Verkoeyen)
* [[Catalog] Fixing Swift example view controller initializers.](https://github.com/material-components/material-components-ios/commit/8e733e163a4b308186345e03d90056e4040c693b) (Jeff Verkoeyen)
* [[Catalog] Make example titles consistent, use Component Name](https://github.com/material-components/material-components-ios/commit/ebd1fbd14c6d2b0c052e28a9bc3cf59a6e01e75e) (Junius Gunaratne)

### Buttons

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Resolve deprecation warnings.](https://github.com/material-components/material-components-ios/commit/13bb72bed147c249d9db1e8a31e3f7d9a62ecc46) (Jeff Verkoeyen)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog & Examples] Added navigationBar example in Swift (Supplemental POC) and corrected slight mistake in Catalog by Convention logic.](https://github.com/material-components/material-components-ios/commit/2ab08f41337d1ef1392bec46f534fe95fb2ac79e) (Will Larche)
* [[Catalog] Adjust layout for button example in landscape mode, move layout to supplemental](https://github.com/material-components/material-components-ios/commit/28e1904f7884de7c18ff646b722678a044497506) (Junius Gunaratne)
* [[Catalog] Fixing Swift example view controller initializers.](https://github.com/material-components/material-components-ios/commit/8e733e163a4b308186345e03d90056e4040c693b) (Jeff Verkoeyen)

### CollectionCells

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Rename all images with @2x/@3x.](https://github.com/material-components/material-components-ios/commit/2df5344ee2a5a35d2e2c6d7d33ac79ecbdc1afba) (Louis Romero)
* [Update README to indicate its present state.](https://github.com/material-components/material-components-ios/commit/a48e31fb2e9aa814198ad3c510b9e653a0f91e72) (Jeff Verkoeyen)
* [Updates cells to depend on MDCIcons for editing and accessory icons.](https://github.com/material-components/material-components-ios/commit/7598638db3ecd26e09a82988857a86806bc1dfe5) (Chris Cox)
* [[Collections] Merge Collections, CollectionCells, and CollectionLayoutAttributes components.](https://github.com/material-components/material-components-ios/commit/f15f6d5db6bcb0ddc6a750683daa649775f1e049) (Chris Cox)
* [[Collections] Replace EditingManager with an Editing protocol.](https://github.com/material-components/material-components-ios/commit/60ffaa55909fd931d976ecbd55f91b5d71394ce4) (Jeff Verkoeyen)
* [[Collections] Replace StyleManager with a Styling protocol.](https://github.com/material-components/material-components-ios/commit/8b925d001c8de48e226de4c83556ad5c440d9301) (Jeff Verkoeyen)
* [[Collections] Updates readmes.](https://github.com/material-components/material-components-ios/commit/a858523cb27c6b7f891d5cfec4722172deb71b5a) (Chris Cox)

### CollectionLayoutAttributes

* [Added unit tests for MDCCollectionLayoutAttributes.](https://github.com/material-components/material-components-ios/commit/142bd2fb7e8cb846fdb449d58873fd5f75419bd1) (Adrian Secord)
* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Removes broken image.](https://github.com/material-components/material-components-ios/commit/ee3daf2fe52d44c8e552f40ffdd039f6937f896b) (Chris Cox)
* [[Collections] Merge Collections, CollectionCells, and CollectionLayoutAttributes components.](https://github.com/material-components/material-components-ios/commit/f15f6d5db6bcb0ddc6a750683daa649775f1e049) (Chris Cox)
* [[Collections] Updates readmes.](https://github.com/material-components/material-components-ios/commit/a858523cb27c6b7f891d5cfec4722172deb71b5a) (Chris Cox)

### Collections

* [Adds swift example.](https://github.com/material-components/material-components-ios/commit/e88dc4ff3fffd72b29b6b98d2479b4c4334165a4) (Chris Cox)
* [Cells divider is 1 pixel.](https://github.com/material-components/material-components-ios/commit/3ef520462a07f8b015e96b3f5497ec11ff6caf28) (Louis Romero)
* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Merge Collections, CollectionCells, and CollectionLayoutAttributes components.](https://github.com/material-components/material-components-ios/commit/f15f6d5db6bcb0ddc6a750683daa649775f1e049) (Chris Cox)
* [Removes broken image.](https://github.com/material-components/material-components-ios/commit/ee3daf2fe52d44c8e552f40ffdd039f6937f896b) (Chris Cox)
* [Replace EditingManager with an Editing protocol.](https://github.com/material-components/material-components-ios/commit/60ffaa55909fd931d976ecbd55f91b5d71394ce4) (Jeff Verkoeyen)
* [Replace StyleManager with a Styling protocol.](https://github.com/material-components/material-components-ios/commit/8b925d001c8de48e226de4c83556ad5c440d9301) (Jeff Verkoeyen)
* [Updates readmes.](https://github.com/material-components/material-components-ios/commit/a858523cb27c6b7f891d5cfec4722172deb71b5a) (Chris Cox)
* [Updates to readme.](https://github.com/material-components/material-components-ios/commit/24972cb03d7a9ad30c635fd865ffe428788bda95) (Chris Cox)
* [Updates to readme.](https://github.com/material-components/material-components-ios/commit/89f5075dcdc2ddc20e22756ee408db53c8ffa967) (Chris Cox)

### FlexibleHeader

* [Add horizontal paging example.](https://github.com/material-components/material-components-ios/commit/bf2c12bd7c9b46eb23858673e6c63d3dfa20edf4) (Jeff Verkoeyen)
* [Add status bar visibility switch to configurator example.](https://github.com/material-components/material-components-ios/commit/34b656298fd35fe1440a5e0bfcf9e10934199d91) (Jeff Verkoeyen)
* [Add statusBarCanOverlapHeader property to MDCFlexibleHeaderView.](https://github.com/material-components/material-components-ios/commit/1229fc7b266eb939976a652a695f3d0b201cfea3) (Jeff Verkoeyen)
* [Configurator example is now a table view.](https://github.com/material-components/material-components-ios/commit/b9b819536bf19eca5298acc9fd471f92333cb555) (Jeff Verkoeyen)
* [Consolidate frame projection logic.](https://github.com/material-components/material-components-ios/commit/6b38608a33de7227143faa80933df7c2152c509f) (Jeff Verkoeyen)
* [Convert typical use example to use Interface Builder + auto layout.](https://github.com/material-components/material-components-ios/commit/a0690af49c5c92b1659950863ba8df7d21ff4428) (Jeff Verkoeyen)
* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Funnel init through initWithStyle:.](https://github.com/material-components/material-components-ios/commit/35206a410e0fd5bc365d69fbbc0d955006558cdd) (Jeff Verkoeyen)
* [Hide header contents in the configurator when the header is shifting.](https://github.com/material-components/material-components-ios/commit/9310ae9de1f5e7a05cfe195f89852eeb9ea7ae33) (Jeff Verkoeyen)
* [Implement the correct designated initializer chain in the Configurator example.](https://github.com/material-components/material-components-ios/commit/c1777eb1f1e9e095257f20cd30a54d7ebc13fff7) (Jeff Verkoeyen)
* [Pull the instructions view out of the typical use example.](https://github.com/material-components/material-components-ios/commit/589c2bf3396a9844ca91f1a8e92a96fc92eaace1) (Jeff Verkoeyen)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/a15bfbe35bdd6e61e17739ff4199b6a3940398a0) (Jeff Verkoeyen)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Remove usage of iOS 9 API in Configurator example.](https://github.com/material-components/material-components-ios/commit/6951e147d0a140fce0c9df61a5a074765ee0c0e8) (Jeff Verkoeyen)
* [Resolve iOS 8.4 unit test failure of issue176 tests.](https://github.com/material-components/material-components-ios/commit/271572706e98e93edde01a30a14daf129f639306) (Jeff Verkoeyen)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Revert "Resolve iOS 8.4 unit test failure of issue176 tests."](https://github.com/material-components/material-components-ios/commit/fe1ac2f14b7ad4179c84b01590df9c93289f2e36) (Jeff Verkoeyen)
* [Shift status bar with header](https://github.com/material-components/material-components-ios/commit/c8b22b1b344d211ecf04974bcd212a45e4673165) (keefertaylor)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Update README to include Swift examples](https://github.com/material-components/material-components-ios/commit/e46a7a032171b138b2fd62c74e1d8893fd95b166) (Ian Gordon)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [When changing min/max height, update the opposite property to match the new bounds.](https://github.com/material-components/material-components-ios/commit/757c0ec76413f0bd92b92ddc13692e803c6e0bff) (Jeff Verkoeyen)
* [When injecting insets, set the contentOffset rather than change it relatively.](https://github.com/material-components/material-components-ios/commit/fe107a900cde37fd4f4321d8cf333a20e040669f) (Jeff Verkoeyen)
* [[Catalog & Examples] Added navigationBar example in Swift (Supplemental POC) and corrected slight mistake in Catalog by Convention logic.](https://github.com/material-components/material-components-ios/commit/2ab08f41337d1ef1392bec46f534fe95fb2ac79e) (Will Larche)
* [[Catalog] Example view controllers must implement init.](https://github.com/material-components/material-components-ios/commit/ea405734e97bf96bff2d97f46b28322a0aa2b753) (Jeff Verkoeyen)
* [[Catalog] Make example titles consistent, use Component Name](https://github.com/material-components/material-components-ios/commit/ebd1fbd14c6d2b0c052e28a9bc3cf59a6e01e75e) (Junius Gunaratne)
* [[FlexibleHeader]! No longer remove insets from tracking scroll views during dealloc.](https://github.com/material-components/material-components-ios/commit/4ddbae5d6342b3552914e1c4148e4dad11a70d88) (Jeff Verkoeyen)

### FontDiskLoader

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog and Typography] Group Typography and Font Loader examples into Typography and Fonts](https://github.com/material-components/material-components-ios/commit/62f57e2b290155d5bfdfafb3f27839eb8e9c1eb5) (Junius Gunaratne)

### HeaderStackView

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/a15bfbe35bdd6e61e17739ff4199b6a3940398a0) (Jeff Verkoeyen)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Rename mdc_theme.png to header_stack_view_theme.png.](https://github.com/material-components/material-components-ios/commit/03e0cdb05742eca86b0c2f2ee678d99617827cbe) (Jeff Verkoeyen)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog & Examples] Added navigationBar example in Swift (Supplemental POC) and corrected slight mistake in Catalog by Convention logic.](https://github.com/material-components/material-components-ios/commit/2ab08f41337d1ef1392bec46f534fe95fb2ac79e) (Will Larche)
* [[Catalog] Add autoresize masks to header stack view demo for landscape orientation](https://github.com/material-components/material-components-ios/commit/6206c48cb0dfb3c23ed228ba31fce6892c3094b8) (Junius Gunaratne)
* [[Catalog] Fix color change issue in header stack view demo](https://github.com/material-components/material-components-ios/commit/ed9c65c3d22e1318aac4b06b8442e6f8e7fa3428) (Junius Gunaratne)
* [[Catalog] Update AppBar demo design, table view should not have text](https://github.com/material-components/material-components-ios/commit/a147d7b359d1d99fca81aa97594d93263a3cedee) (Junius Gunaratne)
* [[Catalog] Update Header Stack View demo visuals, move layout code into supplemental](https://github.com/material-components/material-components-ios/commit/cdc18fb8ccda075e1f8c56fd638c3a66df6f4a93) (Junius Gunaratne)
* [added missing swift code snippet to readme.](https://github.com/material-components/material-components-ios/commit/06df37a74d2b9e99f620c09a2674cc3853c42b19) (randallli)

### Ink

* [Clarified MDCInkTouchControllerDelegate inkTouchController:shouldProcessInkTouchesAtTouchLocation: documentation.](https://github.com/material-components/material-components-ios/commit/6241d918df44a82218349223285d6b9881d8534b) (Adrian Secord)
* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Update README to include Swift examples](https://github.com/material-components/material-components-ios/commit/6dfac14b518bd81dc62c3398f4416a3cf1fe57e3) (Ian Gordon)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog & Examples] Added navigationBar example in Swift (Supplemental POC) and corrected slight mistake in Catalog by Convention logic.](https://github.com/material-components/material-components-ios/commit/2ab08f41337d1ef1392bec46f534fe95fb2ac79e) (Will Larche)
* [[Catalog] Change ink demo shapes to represent pseudo button/FAB, move layout code into supplemental](https://github.com/material-components/material-components-ios/commit/d0683a0e0bbe73fb36641c9ea92a5e715c438d19) (Junius Gunaratne)

### NavigationBar

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Explain exception for UINavigationBar/MDCNavigationBar comparison.](https://github.com/material-components/material-components-ios/commit/5187441e7d42f8006372dbd245e0f51ce1803c53) (Jeff Verkoeyen)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/a15bfbe35bdd6e61e17739ff4199b6a3940398a0) (Jeff Verkoeyen)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [Use UIViewNoIntrinsicMetric to indicate the the NavigationBar has no intrinsic width.](https://github.com/material-components/material-components-ios/commit/1e84b7cd5173d85bffb77628341e91d08a90ced6) (Jeff Verkoeyen)
* [[Catalog & Examples] Added navigationBar example in Swift (Supplemental POC) and corrected slight mistake in Catalog by Convention logic.](https://github.com/material-components/material-components-ios/commit/2ab08f41337d1ef1392bec46f534fe95fb2ac79e) (Will Larche)
* [[Catalog] Make example titles consistent, use Component Name](https://github.com/material-components/material-components-ios/commit/ebd1fbd14c6d2b0c052e28a9bc3cf59a6e01e75e) (Junius Gunaratne)
* [[Examples] Correcting scope modifier of functions in Swift](https://github.com/material-components/material-components-ios/commit/6d5406baac2d0bb484fff90882c39309a68bc744) (Will Larche)

### PageControl

* [Added MDCPageControl initWithCoder:.](https://github.com/material-components/material-components-ios/commit/43cd7fea3208134fbcf324d11492a9fd182506b4) (Adrian Secord)
* [Added test for updating the currentPage when the contentOffset changes](https://github.com/material-components/material-components-ios/commit/ac8642f4a0b9cd90946ff6fa65440a39b934ebbf) (randallli)
* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Created swift example for page control and added it to readme](https://github.com/material-components/material-components-ios/commit/1272a1275b219d252dffcefc7748b0e025e50829) (randallli)
* [Fix crash when scrollView offset is set out of bounds of the numberOfPages](https://github.com/material-components/material-components-ios/commit/e1f584adad2950a9c46ba7dba2da01461b6ea899) (randallli)
* [Publicized conformance to UIScrollViewDelegate.](https://github.com/material-components/material-components-ios/commit/e0d8050ef395928ba3eee40045059b9c46c9f21a) (randallli)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog & Examples] Added navigationBar example in Swift (Supplemental POC) and corrected slight mistake in Catalog by Convention logic.](https://github.com/material-components/material-components-ios/commit/2ab08f41337d1ef1392bec46f534fe95fb2ac79e) (Will Larche)

### RobotoFontLoader

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog & Examples] Added navigationBar example in Swift (Supplemental POC) and corrected slight mistake in Catalog by Convention logic.](https://github.com/material-components/material-components-ios/commit/2ab08f41337d1ef1392bec46f534fe95fb2ac79e) (Will Larche)
* [[Catalog and Typography] Group Typography and Font Loader examples into Typography and Fonts](https://github.com/material-components/material-components-ios/commit/62f57e2b290155d5bfdfafb3f27839eb8e9c1eb5) (Junius Gunaratne)

### ShadowElevations

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Update documention with Objective C examples](https://github.com/material-components/material-components-ios/commit/49af52411077d5587ccc4bcb4019ac5ece4a55fe) (Ian Gordon)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog & Examples] Added navigationBar example in Swift (Supplemental POC) and corrected slight mistake in Catalog by Convention logic.](https://github.com/material-components/material-components-ios/commit/2ab08f41337d1ef1392bec46f534fe95fb2ac79e) (Will Larche)
* [[Catalog and Shadow] Group shadow elevations with shadow demos](https://github.com/material-components/material-components-ios/commit/b8dc78d58c06c45a8616e6798839b37fd065fc05) (Junius Gunaratne)

### ShadowLayer

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog and Shadow] Group shadow elevations with shadow demos](https://github.com/material-components/material-components-ios/commit/b8dc78d58c06c45a8616e6798839b37fd065fc05) (Junius Gunaratne)
* [[Catalog] Make catalogIsPrimaryDemo static method in demos](https://github.com/material-components/material-components-ios/commit/7bb181a150bc1cf707637fdf112d3a949638c809) (Junius Gunaratne)
* [[Shadow] Add swift examples to the documentation](https://github.com/material-components/material-components-ios/commit/adba94e106b4e576160f15380f97f720800ec373) (Ian Gordon)

### Slider

* [Added swift example to slider readme](https://github.com/material-components/material-components-ios/commit/835a6d358253253cbd3bea960fd8eebb09ddfaf3) (randallli)
* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Fix unit tests by increasing epsilon](https://github.com/material-components/material-components-ios/commit/8ab280fdc926fe389396a248f2d28dc24fa75c97) (randallli)
* [Fixes MDCSlider example build with required import.](https://github.com/material-components/material-components-ios/commit/bd6ef35fd82c4ee16d2a4d077e224499a3abe9ed) (Adrian Secord)
* [Import the umbrella header in the typical use example.](https://github.com/material-components/material-components-ios/commit/917f68f953132ba345fdf70fe79d80c3d68b23b6) (Jeff Verkoeyen)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/a15bfbe35bdd6e61e17739ff4199b6a3940398a0) (Jeff Verkoeyen)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog] Make catalogIsPrimaryDemo method in slider demo static to match other examples](https://github.com/material-components/material-components-ios/commit/a9a28c4cde35e476e886c1f90c44b96988c72f73) (Junius Gunaratne)
* [[Catalog] Use slider in variable names in example layout code](https://github.com/material-components/material-components-ios/commit/784e9a57be01dfa8f93528aa4a92de0b772b4605) (Junius Gunaratne)

### SpritedAnimationView

* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Rename all images with @2x/@3x.](https://github.com/material-components/material-components-ios/commit/2df5344ee2a5a35d2e2c6d7d33ac79ecbdc1afba) (Louis Romero)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog & Examples] Added navigationBar example in Swift (Supplemental POC) and corrected slight mistake in Catalog by Convention logic.](https://github.com/material-components/material-components-ios/commit/2ab08f41337d1ef1392bec46f534fe95fb2ac79e) (Will Larche)

### Switch

* [Added swift example to catalog and readme.](https://github.com/material-components/material-components-ios/commit/1a7d800cc9a6b29320bf57d61806a85cde387f15) (randallli)
* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Rename label from slider to switch.](https://github.com/material-components/material-components-ios/commit/c92a9510bc8ed6d18339b4d7928cc470cc2a4f07) (Ian Gordon)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Set the switch's ink's max ripple radius to the spec value.](https://github.com/material-components/material-components-ios/commit/c15fd0c5c18e442947728472b7b33381cae78f45) (Adrian Secord)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog & Examples] Added navigationBar example in Swift (Supplemental POC) and corrected slight mistake in Catalog by Convention logic.](https://github.com/material-components/material-components-ios/commit/2ab08f41337d1ef1392bec46f534fe95fb2ac79e) (Will Larche)
* [[Catalog and Switch] Update switch demo, move layout code to supplemental, update switch color](https://github.com/material-components/material-components-ios/commit/e700bf58ee43e35d34b565b9b04f0af4b03f1288) (Junius Gunaratne)
* [[Catalog] Make example titles consistent, use Component Name](https://github.com/material-components/material-components-ios/commit/ebd1fbd14c6d2b0c052e28a9bc3cf59a6e01e75e) (Junius Gunaratne)

### Typography

* [Correct links for deploy on various deployment environment.](https://github.com/material-components/material-components-ios/commit/2b6f7f40a75410e57e13c20cab2d18dd09ae2566) (Yiran Mao)
* [Remove obsolete jazzy.yaml files.](https://github.com/material-components/material-components-ios/commit/fffb75e91e8ab5b979dba7a7fec661d1a058bb11) (Yiran Mao)
* [Resolve iOS 8.4 crash in the Typography hero demo.](https://github.com/material-components/material-components-ios/commit/0859d4b2b2ba8e7e9d91fbd757ac4b0a006384fc) (Jeff Verkoeyen)
* [Revert "Remove obsolete jazzy.yaml files."](https://github.com/material-components/material-components-ios/commit/ad228a154455835c3e871109f12670387b9d926d) (Jeff Verkoeyen)
* [Set autoresizing masks on Read Me example.](https://github.com/material-components/material-components-ios/commit/b54b2c96978fdb15d44c15b565f94ab43e60a22a) (Jeff Verkoeyen)
* [Typography hero demo is now a UITableView.](https://github.com/material-components/material-components-ios/commit/25c20a9abf9a6c9d30397dc7387646ead5fcafc4) (Jeff Verkoeyen)
* [Update .jazzy.yaml module property.](https://github.com/material-components/material-components-ios/commit/977626313e702783835f7ad1aba220b99316ba3f) (Jeff Verkoeyen)
* [Updated top-level "Documentation" to "Components".](https://github.com/material-components/material-components-ios/commit/ac38382e86f058593de41756fb8360dc5a156a10) (Adrian Secord)
* [[Catalog and Typography] Group Typography and Font Loader examples into Typography and Fonts](https://github.com/material-components/material-components-ios/commit/62f57e2b290155d5bfdfafb3f27839eb8e9c1eb5) (Junius Gunaratne)
* [[Catalog] Fixing Swift example view controller initializers.](https://github.com/material-components/material-components-ios/commit/8e733e163a4b308186345e03d90056e4040c693b) (Jeff Verkoeyen)
* [[Catalog] Make catalogIsPrimaryDemo static method in demos](https://github.com/material-components/material-components-ios/commit/7bb181a150bc1cf707637fdf112d3a949638c809) (Junius Gunaratne)
* [[Catalog] Title row name should correspond to type style](https://github.com/material-components/material-components-ios/commit/a576d6e7ae209a1d3308f1fe6312ae0ef4c5e54d) (Junius Gunaratne)

# 4.0.1

## API diffs

Auto-generated by running:

    scripts/api_diff -o 1542251633905c3c2089b38f1c01a5010a8894f1 -n 789beeb556aab8b4aeddb71fa837d7db8c4660d7

### Typography

- [deleted] [`MDCFontResource`](https://github.com/material-components/material-components-ios/blob/1542251633905c3c2089b38f1c01a5010a8894f1/components/Typography/src/MDCFontResource.h#L21)

## Component changes

### Typography

* [[Typgoraphy]! Deleted files need for deprecation](https://github.com/material-components/material-components-ios/commit/789beeb556aab8b4aeddb71fa837d7db8c4660d7) (randallli)

# 4.0.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o 11959487eb429c37b382c521a1c469eac96ed0da -n 7cc87bd6d90ed2c641212339f00f67b08fb76314

### Buttons

- [new] [`+[MDCFloatingButton floatingButtonWithShape:]`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/Buttons/src/MDCFloatingButton.h#L50)
- [new] [`MDCButton.inkMaxRippleRadius`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/Buttons/src/MDCButton.h#L66)
- [new] [`MDCButton.inkStyle`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/Buttons/src/MDCButton.h#L57)
- [new] [`MDCButton.underlyingColorHint`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/Buttons/src/MDCButton.h#L116)
- [new] [`MDCButton.uppercaseTitle`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/Buttons/src/MDCButton.h#L90)
- [deprecated] [`+[MDCFloatingButton buttonWithShape:]`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/Buttons/src/MDCFloatingButton.h#L84).
*Use floatingButtonWithShape: instead.*
- [deprecated] [`MDCButton.shouldCapitalizeTitle`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/Buttons/src/MDCButton.h#L166).
*Use uppercaseTitle instead.*
- [deprecated] [`MDCButton.underlyingColor`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/Buttons/src/MDCButton.h#L168).
*Use underlyingColorHint instead.*

### FlexibleHeader

- [new] [`MDCFlexibleHeaderContentImportanceDefault`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/FlexibleHeader/src/MDCFlexibleHeaderView.h#L53)
- [new] [`MDCFlexibleHeaderContentImportanceHigh`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/FlexibleHeader/src/MDCFlexibleHeaderView.h#L63)
- [new] [`MDCFlexibleHeaderContentImportance`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/FlexibleHeader/src/MDCFlexibleHeaderView.h#L48)
- [new] [`MDCFlexibleHeaderView.headerContentImportance`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/FlexibleHeader/src/MDCFlexibleHeaderView.h#L308)
- [property attribute change] [`MDCFlexibleHeaderView.shadowLayer`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/FlexibleHeader/src/MDCFlexibleHeaderView.h#L109).
Removed *retain*.
Added *strong*.

### Ink

- [deleted] [`-[MDCInkView evaporateToPoint:completion:]`](https://github.com/material-components/material-components-ios/blob/11959487eb429c37b382c521a1c469eac96ed0da/components/Ink/src/MDCInkView.h#L123)
- [deleted] [`-[MDCInkView evaporateWithCompletion:]`](https://github.com/material-components/material-components-ios/blob/11959487eb429c37b382c521a1c469eac96ed0da/components/Ink/src/MDCInkView.h#L121)
- [deleted] [`-[MDCInkView reset]`](https://github.com/material-components/material-components-ios/blob/11959487eb429c37b382c521a1c469eac96ed0da/components/Ink/src/MDCInkView.h#L118)
- [deleted] [`-[MDCInkView spreadFromPoint:completion:]`](https://github.com/material-components/material-components-ios/blob/11959487eb429c37b382c521a1c469eac96ed0da/components/Ink/src/MDCInkView.h#L119)
- [deleted] [`MDCInkView.clipsRippleToBounds`](https://github.com/material-components/material-components-ios/blob/11959487eb429c37b382c521a1c469eac96ed0da/components/Ink/src/MDCInkView.h#L115)
- [deleted] [`MDCInkView.fillsBackgroundOnSpread`](https://github.com/material-components/material-components-ios/blob/11959487eb429c37b382c521a1c469eac96ed0da/components/Ink/src/MDCInkView.h#L113)
- [deleted] [`MDCInkView.gravitatesInk`](https://github.com/material-components/material-components-ios/blob/11959487eb429c37b382c521a1c469eac96ed0da/components/Ink/src/MDCInkView.h#L117)
- [new] [`-[MDCInkTouchController inkViewAtTouchLocation:]`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/Ink/src/MDCInkTouchController.h#L114)
- [new] [`MDCInkTouchController.defaultInkView`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/Ink/src/MDCInkTouchController.h#L43)
- [deprecated] [`MDCInkTouchController.inkView`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/Ink/src/MDCInkTouchController.h#L118).
*To configure ink views before display, use defaultInkView or your delegate's inkTouchController:inkViewAtTouchLocation:. To find an ink view at a particular location, use inkViewAtTouchLocation: instead.*

### RobotoFontLoader

- [protocols changed] [`MDCRobotoFontLoader`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/RobotoFontLoader/src/MDCRobotoFontLoader.h#L25).
Added *MDCTypographyFontLoading*.

### ScrollViewDelegateMultiplexer

- [deprecated] [`MDCScrollViewDelegateCombining`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/ScrollViewDelegateMultiplexer/src/MDCScrollViewDelegateMultiplexer.h#L79).
*This component is now available at https://github.com/google/GOSScrollViewDelegateMultiplexer.*
- [deprecated] [`MDCScrollViewDelegateMultiplexer`](https://github.com/material-components/material-components-ios/blob/7cc87bd6d90ed2c641212339f00f67b08fb76314/components/ScrollViewDelegateMultiplexer/src/MDCScrollViewDelegateMultiplexer.h#L45).
*This component is now available at https://github.com/google/GOSScrollViewDelegateMultiplexer.*

## Component changes

### AppBar

* [Add delegate forwarding example.](https://github.com/material-components/material-components-ios/commit/5fa1719a8b999566098b6d67f5b990438e18a0ce) (Jeff Verkoeyen)
* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Change imagery example to use design sanctioned background](https://github.com/material-components/material-components-ios/commit/e3fee6c71211d993b1fc6af8b11964659e183d24) (Junius Gunaratne)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/8416f8e540e32594163ce2d6b55930f8260ad891) (Jeff Verkoeyen)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)
* [[Catalog] Update App Bar bg and text color](https://github.com/material-components/material-components-ios/commit/168f7ecc07655dc77b1e1ec50980a9fab37ec0e5) (Junius Gunaratne)

### ButtonBar

* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Addressing linter warnings.](https://github.com/material-components/material-components-ios/commit/06c44a0e47a0a7fa38efc1f953cdb7e3c33e08e2) (Jeff Verkoeyen)
* [Exposed ink style and max ripple radius and modified MDCButtonBarButton.](https://github.com/material-components/material-components-ios/commit/105810c544aa6cae8cb69bf58d64c057487cff45) (Adrian Secord)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [Icon-only buttons use unbounded ink. Buttons with text us bounded ink.](https://github.com/material-components/material-components-ios/commit/792c128c8b91674d555ac5fcc730ccea99b6db71) (Jeff Verkoeyen)
* [Renamed commonInit methods.](https://github.com/material-components/material-components-ios/commit/2e247f2977456fad0b470f7329f0c61439a8347f) (Adrian Secord)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Center button bar demo example](https://github.com/material-components/material-components-ios/commit/8c258529c068352e15907d62c76e9ed4b3014816) (Junius Gunaratne)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)

### Buttons

* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Addressing linter warnings.](https://github.com/material-components/material-components-ios/commit/06c44a0e47a0a7fa38efc1f953cdb7e3c33e08e2) (Jeff Verkoeyen)
* [Changes from API review.](https://github.com/material-components/material-components-ios/commit/6f79195001fe2afca913658a581d428a7c34f2f0) (Adrian Secord)
* [Exposed ink style and max ripple radius and modified MDCButtonBarButton.](https://github.com/material-components/material-components-ios/commit/105810c544aa6cae8cb69bf58d64c057487cff45) (Adrian Secord)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [Fixed float conversion.](https://github.com/material-components/material-components-ios/commit/1ef0af44c9752e2d2d28fc76bb207242c83230ac) (Adrian Secord)
* [Fixed the order of MDCButton's initWithCoder:.](https://github.com/material-components/material-components-ios/commit/8f149123b32bfc5b38e02d93c36a2bf6dce51488) (Adrian Secord)
* [Layout design updates for buttons demo.](https://github.com/material-components/material-components-ios/commit/1269fbfb4d38261506c3aeee73d12800ecbaffc4) (Jason Striegel)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/8416f8e540e32594163ce2d6b55930f8260ad891) (Jeff Verkoeyen)
* [Renamed commonInit methods.](https://github.com/material-components/material-components-ios/commit/2e247f2977456fad0b470f7329f0c61439a8347f) (Adrian Secord)
* [Update example](https://github.com/material-components/material-components-ios/commit/363a766c94b8157f6030d084be0c934681f7cb1d) (Ian Gordon)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)
* [screen grab demo.](https://github.com/material-components/material-components-ios/commit/58279ee77d4ccfae19b91a72fa9c5efd8a86d6a9) (Jason Striegel)

### FlexibleHeader

* [Add headerContentImportance.](https://github.com/material-components/material-components-ios/commit/d7accbaf244d86a0f64cf5a25dc214b0c676ae4d) (Jeff Verkoeyen)
* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Configurator demo min/max sliders react to each other.](https://github.com/material-components/material-components-ios/commit/6a5918450df03683497d5be923b34cf34ee008b5) (Jeff Verkoeyen)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/8416f8e540e32594163ce2d6b55930f8260ad891) (Jeff Verkoeyen)
* [Replaced retain with strong.](https://github.com/material-components/material-components-ios/commit/2d3c95a9359b825983dab54e16ddb888e38ee098) (Adrian Secord)
* [Update documentation for the deprecated contentView API.](https://github.com/material-components/material-components-ios/commit/6f3707046e621b896abaf69a5a2df15d7a08c3fb) (Jeff Verkoeyen)
* [[AppBar] Add delegate forwarding example.](https://github.com/material-components/material-components-ios/commit/5fa1719a8b999566098b6d67f5b990438e18a0ce) (Jeff Verkoeyen)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)

### FontDiskLoader

* [Addressing linter warnings.](https://github.com/material-components/material-components-ios/commit/06c44a0e47a0a7fa38efc1f953cdb7e3c33e08e2) (Jeff Verkoeyen)
* [[DiskFontLoader] Added readme and simple example.](https://github.com/material-components/material-components-ios/commit/a325fdf973406fb15324409faebe0072f45606f1) (randallli)
* [[RobotoFontLoader, FontDiskLoader, Typography] Readme: Added some missing sections and edits.](https://github.com/material-components/material-components-ios/commit/2fe58210bb9dc57f1a5ad1f09587b3b678aab8b1) (randallli)
* [fix readme spurious }](https://github.com/material-components/material-components-ios/commit/0350ef09a878d160f5c8ee6a634fe6ce24bd906b) (randallli)
* [fix readme syntax](https://github.com/material-components/material-components-ios/commit/d0d72909e8723a88d1aebe449287117320b60e1c) (randallli)

### HeaderStackView

* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Addressing linter warnings.](https://github.com/material-components/material-components-ios/commit/06c44a0e47a0a7fa38efc1f953cdb7e3c33e08e2) (Jeff Verkoeyen)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)

### Ink

* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Adds defaultInkView, inkViewAtLocation:.](https://github.com/material-components/material-components-ios/commit/9ff47756e291793e03d9afec6da84b48c865f863) (Adrian Secord)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [Removed deprecated Ink APIs.](https://github.com/material-components/material-components-ios/commit/fdaba18e1bca7688423f619178daf074a8c31edb) (Adrian Secord)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)
* [[Catalog] Layout ink examples horizontally in landscape orientation](https://github.com/material-components/material-components-ios/commit/ecc87e4410e35d748821c84d5dde81de950eee7e) (Junius Gunaratne)

### NavigationBar

* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Addressing linter warnings.](https://github.com/material-components/material-components-ios/commit/06c44a0e47a0a7fa38efc1f953cdb7e3c33e08e2) (Jeff Verkoeyen)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/8416f8e540e32594163ce2d6b55930f8260ad891) (Jeff Verkoeyen)
* [Renamed commonInit methods.](https://github.com/material-components/material-components-ios/commit/2e247f2977456fad0b470f7329f0c61439a8347f) (Adrian Secord)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)
* [[Catalog] Use white title and hide status bar in Navigation Bar demo](https://github.com/material-components/material-components-ios/commit/49bffc8800302003c3be5bfb00d4c385e259160e) (Junius Gunaratne)

### PageControl

* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Addressing linter warnings.](https://github.com/material-components/material-components-ios/commit/06c44a0e47a0a7fa38efc1f953cdb7e3c33e08e2) (Jeff Verkoeyen)
* [Example: fix vertical scrolling behaviour.](https://github.com/material-components/material-components-ios/commit/317fffcf52eb0df2e806021c97300df3334c406b) (randallli)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [Fixed sizeForNumberOfPages: was not using passed in argument](https://github.com/material-components/material-components-ios/commit/b78ffc5b68d59b16699ee13dc71b70ec34aa8c12) (randallli)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/8416f8e540e32594163ce2d6b55930f8260ad891) (Jeff Verkoeyen)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)

### RobotoFontLoader

* [Add description and set Roboto vs. System as main demo](https://github.com/material-components/material-components-ios/commit/a89f9ab5aba640f0d7a2b4ea5573e9c409fe1564) (Junius Gunaratne)
* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Addressing linter warnings.](https://github.com/material-components/material-components-ios/commit/06c44a0e47a0a7fa38efc1f953cdb7e3c33e08e2) (Jeff Verkoeyen)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)
* [[RobotoFontLoader, FontDiskLoader, Typography] Readme: Added some missing sections and edits.](https://github.com/material-components/material-components-ios/commit/2fe58210bb9dc57f1a5ad1f09587b3b678aab8b1) (randallli)
* [[Roboto] Added simple example](https://github.com/material-components/material-components-ios/commit/489d4355ae5cfb241c261685b397e9ca88260d41) (randallli)
* [[Roboto] created a roboto vs system font example](https://github.com/material-components/material-components-ios/commit/25760fc24083bce068f7fe5d489847fafcfdf6ce) (randallli)
* [[Typogarphy] Set font loader example](https://github.com/material-components/material-components-ios/commit/6f4f2dff211683b1940ed5b782032494e7833dbd) (randallli)
* [[Typography]! Finished splitting out RobotoFontLoader and FontDiskLoader from Typography](https://github.com/material-components/material-components-ios/commit/cbbcb7271cfacb827bd05249760df529a36d1bed) (randallli)

### ScrollViewDelegateMultiplexer

* [Deprecate ScrollViewDelegateMultiplexer.](https://github.com/material-components/material-components-ios/commit/cf08f8319fe62b006f852d9ae97468232a202365) (Jeff Verkoeyen)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)
* [[PageControl] Example: fix vertical scrolling behaviour.](https://github.com/material-components/material-components-ios/commit/317fffcf52eb0df2e806021c97300df3334c406b) (randallli)

### ShadowElevations

* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Addressing linter warnings.](https://github.com/material-components/material-components-ios/commit/06c44a0e47a0a7fa38efc1f953cdb7e3c33e08e2) (Jeff Verkoeyen)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/8416f8e540e32594163ce2d6b55930f8260ad891) (Jeff Verkoeyen)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)

### ShadowLayer

* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Addressing linter warnings.](https://github.com/material-components/material-components-ios/commit/06c44a0e47a0a7fa38efc1f953cdb7e3c33e08e2) (Jeff Verkoeyen)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)
* [[Catalog] Update shadow layer demo color](https://github.com/material-components/material-components-ios/commit/f63da172336b7293cf82b62a1f6a8084a0780057) (Junius Gunaratne)

### Slider

* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Addressing linter warnings.](https://github.com/material-components/material-components-ios/commit/06c44a0e47a0a7fa38efc1f953cdb7e3c33e08e2) (Jeff Verkoeyen)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)
* [[Catalog] Improve slider demo, move layout code into supplemental files](https://github.com/material-components/material-components-ios/commit/7cc87bd6d90ed2c641212339f00f67b08fb76314) (Junius Gunaratne)
* [[ThumbTrack] Re-enable Ink](https://github.com/material-components/material-components-ios/commit/5fa91b67cd3bb8e1c0d91fd44b96acd3a0e9f7e8) (Ian Gordon)

### SpritedAnimationView

* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/8416f8e540e32594163ce2d6b55930f8260ad891) (Jeff Verkoeyen)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)

### Switch

* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Addressing linter warnings.](https://github.com/material-components/material-components-ios/commit/06c44a0e47a0a7fa38efc1f953cdb7e3c33e08e2) (Jeff Verkoeyen)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)
* [[ThumbTrack] Re-enable Ink](https://github.com/material-components/material-components-ios/commit/5fa91b67cd3bb8e1c0d91fd44b96acd3a0e9f7e8) (Ian Gordon)
* [[Typogarphy] Set font loader example](https://github.com/material-components/material-components-ios/commit/6f4f2dff211683b1940ed5b782032494e7833dbd) (randallli)

### Typography

* [Added import sections for each component.](https://github.com/material-components/material-components-ios/commit/2acbf968a59c8db39e86e8d4d9dab303075b1bd0) (Adrian Secord)
* [Addressing linter warnings.](https://github.com/material-components/material-components-ios/commit/06c44a0e47a0a7fa38efc1f953cdb7e3c33e08e2) (Jeff Verkoeyen)
* [Fix .jazzy.yaml objc configuration and regenerate all jazzy yamls.](https://github.com/material-components/material-components-ios/commit/ca70b442a5f4e68f32c90644724a159161e48d6e) (Jeff Verkoeyen)
* [Ran arc lint --everything --apply-patches.](https://github.com/material-components/material-components-ios/commit/8416f8e540e32594163ce2d6b55930f8260ad891) (Jeff Verkoeyen)
* [[Bug Fix] Correct all api reference links in markdowns](https://github.com/material-components/material-components-ios/commit/40fb585bb48d27cd9a4ae1cfceb303b9f16845b0) (Yiran Mao)
* [[Catalog] Demo selection screen updated with description and primary demo](https://github.com/material-components/material-components-ios/commit/0411613c71083be6288a8a73ee9168ec8702552d) (Junius Gunaratne)
* [[Catalog] Fix description text for Swift](https://github.com/material-components/material-components-ios/commit/91dcb1fd37a2245f4302d00efa27d1d108925638) (Junius Gunaratne)
* [[Catalog] Fixed TypographySystemFontLoader example because it need to import MaterialRobotoFontLoader](https://github.com/material-components/material-components-ios/commit/3f8f7e61a951a9aa1f16f6dae7c07c315624203b) (randallli)
* [[RobotoFontLoader, FontDiskLoader, Typography] Readme: Added some missing sections and edits.](https://github.com/material-components/material-components-ios/commit/2fe58210bb9dc57f1a5ad1f09587b3b678aab8b1) (randallli)
* [[Roboto] created a roboto vs system font example](https://github.com/material-components/material-components-ios/commit/25760fc24083bce068f7fe5d489847fafcfdf6ce) (randallli)
* [[Typogarphy] Set font loader example](https://github.com/material-components/material-components-ios/commit/6f4f2dff211683b1940ed5b782032494e7833dbd) (randallli)
* [[Typography]! Finished splitting out RobotoFontLoader and FontDiskLoader from Typography](https://github.com/material-components/material-components-ios/commit/cbbcb7271cfacb827bd05249760df529a36d1bed) (randallli)
* [fix readme screenshot](https://github.com/material-components/material-components-ios/commit/ff70ccc8ba995221474aa81d9d0f83382902fb81) (randallli)
* [fixed import order](https://github.com/material-components/material-components-ios/commit/60b3d6203badb4f6e9fd096a57a304141f99a9e1) (randallli)
* [fixed links in readme](https://github.com/material-components/material-components-ios/commit/0e390b59a397b9ec92cfc42acbde7c08cb7ac0a6) (randallli)

# 3.1.0

## API diffs

Auto-generated by running:

    scripts/api_diff -o ddb35150fe10c2974b63d1e29c4ecce4ccaa51fb -n ad904b8748ce469af886b2f27172d8e3c44928e8

### AppBar

- [new] [`-[MDCAppBar addSubviewsToParent]`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/AppBar/src/MDCAppBar.h#L36)
- [new] [`MDCAppBar.headerStackView`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/AppBar/src/MDCAppBar.h#L47)
- [new] [`MDCAppBar.headerViewController`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/AppBar/src/MDCAppBar.h#L39)
- [new] [`MDCAppBar.navigationBar`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/AppBar/src/MDCAppBar.h#L42)
- [new] [`MDCAppBarContainerViewController.appBar`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/AppBar/src/MDCAppBarContainerViewController.h#L58)
- [new] [`MDCAppBar`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/AppBar/src/MDCAppBar.h#L30)
- [deprecated] [`-[MDCAppBarContainerViewController headerViewController]`](https://github.com/material-components/material-components-ios/blob/ddb35150fe10c2974b63d1e29c4ecce4ccaa51fb/components/AppBar/src/MDCAppBarContainerViewController.h#L57)
*Use appBar.headerViewController instead.*
- [deprecated] [`MDCAppBarAddViews()`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/AppBar/src/MDCAppBar.h#L101).
*Please create an instance of MDCAppBar instead.*
- [deprecated] [`MDCAppBarParenting.headerStackView`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/AppBar/src/MDCAppBar.h#L74).
*Please create an instance of MDCAppBar instead.*
- [deprecated] [`MDCAppBarParenting.headerViewController`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/AppBar/src/MDCAppBar.h#L82).
*Please create an instance of MDCAppBar instead.*
- [deprecated] [`MDCAppBarParenting.navigationBar`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/AppBar/src/MDCAppBar.h#L78).
*Please create an instance of MDCAppBar instead.*
- [deprecated] [`MDCAppBarParenting`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/AppBar/src/MDCAppBar.h#L69).
*Please create an instance of MDCAppBar instead.*
- [deprecated] [`MDCAppBarPrepareParent()`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/AppBar/src/MDCAppBar.h#L93).
*Please create an instance of MDCAppBar instead.*

### ButtonBar

- [new] [`-[MDCButtonBar sizeThatFits:]`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/ButtonBar/src/MDCButtonBar.h#L96)

### Buttons

- [new] [`-[MDCButton setBackgroundColor:]`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/Buttons/src/MDCButton.h#L54)

### FlexibleHeader

- [new] [`-[MDCFlexibleHeaderView shiftHeaderOffScreenAnimated:]`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/FlexibleHeader/src/MDCFlexibleHeaderView.h#L153)
- [new] [`MDCFlexibleHeaderView.shiftBehavior`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/FlexibleHeader/src/MDCFlexibleHeaderView.h#L279)
- [deprecated] [`MDCFlexibleHeaderView.behavior`](https://github.com/material-components/material-components-ios/blob/ddb35150fe10c2974b63d1e29c4ecce4ccaa51fb/components/FlexibleHeader/src/MDCFlexibleHeaderView.h#L283)
*Use shiftBehavior instead.*
- [deprecated] [`MDCFlexibleHeaderView.contentView`](https://github.com/material-components/material-components-ios/blob/ddb35150fe10c2974b63d1e29c4ecce4ccaa51fb/components/FlexibleHeader/src/MDCFlexibleHeaderView.h#L97)
*Please register views directly to the flexible header.*

### RobotoFontLoader

- [new] [`-[MDCRobotoFontLoader init]`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/RobotoFontLoader/src/MDCRobotoFontLoader.h#L35)

### Typography

- [new] [`+[MDCTypography fontLoader]`](https://github.com/material-components/material-components-ios/blob/ad904b8748ce469af886b2f27172d8e3c44928e8/components/Typography/src/MDCTypography.h#L56)

## Component changes

### AppBar

* [Add container tests.](https://github.com/material-components/material-components-ios/commit/f87efd019a0760e67fbe73b7cf4cf6806c0e5dec) (Jeff Verkoeyen)
* [Add parenting tests.](https://github.com/material-components/material-components-ios/commit/4820321787267e262abaa7b26ff8e61849d6bd15) (Jeff Verkoeyen)
* [Changed "$ pod" strings in documentation files.](https://github.com/material-components/material-components-ios/commit/7cf9f64caeadea1b310864133a2dbcbfad297848) (Adrian Secord)
* [Expose MDCAppBar APIs in the container view controller.](https://github.com/material-components/material-components-ios/commit/21d4ea8a0d7ad288860919b16d1dcab45f38dfab) (Jeff Verkoeyen)
* [MDCAppBarContainerViewController now observes the content view controller's navigationItem.](https://github.com/material-components/material-components-ios/commit/3a39cb0811115f45cca6316c572af1ba01870fa0) (Jeff Verkoeyen)
* [Remove unnecessary logic in setContentViewController:](https://github.com/material-components/material-components-ios/commit/e0aca65b97c0eda55adcba7b9faed59beb77fc2c) (Jeff Verkoeyen)
* [Simplify creation/registration mechanisms.](https://github.com/material-components/material-components-ios/commit/adcc69b0eeb835a58e383359c66b805e92577cc4) (Jeff Verkoeyen)
* [[Catalog] Change nav to use top AppBar instead of bottom CatalogBar](https://github.com/material-components/material-components-ios/commit/692287aee468245446e059fe9401937127f88b81) (Junius Gunaratne)
* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)
* [[FlexibleHeader] Deprecate the contentView API.](https://github.com/material-components/material-components-ios/commit/627e238850c6f89d944e40285542a3748b8a4a3f) (Jeff Verkoeyen)
* [[FlexibleHeader] Flesh out the README.md.](https://github.com/material-components/material-components-ios/commit/794cbc964c6d87c9838ad07883d4478031a4173f) (Jeff Verkoeyen)

### ButtonBar

* [Add essential README content.](https://github.com/material-components/material-components-ios/commit/56142f28418dfd42d9e58c182b62acc05cf82508) (Jeff Verkoeyen)
* [Add typical use example.](https://github.com/material-components/material-components-ios/commit/3ae43a1567c73d1fa2cf47f2598cdf9c74ac6c0f) (Jeff Verkoeyen)
* [Changed "$ pod" strings in documentation files.](https://github.com/material-components/material-components-ios/commit/7cf9f64caeadea1b310864133a2dbcbfad297848) (Adrian Secord)
* [Document sizeThatFits: behavior.](https://github.com/material-components/material-components-ios/commit/f086f125a5e957a06727261c46ade108cce0ba78) (Jeff Verkoeyen)
* [First pass at resolving swiftlint warnings.](https://github.com/material-components/material-components-ios/commit/4b435d3e9ef542937152bc8976311e274601b7bf) (Jeff Verkoeyen)
* [Minor documentation touchups in examples.](https://github.com/material-components/material-components-ios/commit/3b8b1f94ab92462812a027b6219c4ad7fcc055f1) (Jeff Verkoeyen)
* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)

### Buttons

* [Ran `arc lint --everything --apply-patches`](https://github.com/material-components/material-components-ios/commit/18434799b306c31f61f1f858b1f3d392d7e209dc) (Jeff Verkoeyen)
* [[Button demos] Add disabled button states to demos, change storyboard bg color](https://github.com/material-components/material-components-ios/commit/36ba8b0197604f03d5c1b0adcc648618811c54f7) (Junius Gunaratne)
* [[Button] Marking setBackgroundColor __deprecated in preperation for NS_UNAVAILABLE](https://github.com/material-components/material-components-ios/commit/c99b5d0014eee336949165b473b6202eb0e8eea6) (randallli)
* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)

### FlexibleHeader

* [Add missing header imports.](https://github.com/material-components/material-components-ios/commit/8236e1aa16a40e53adfb56475f20973ec807987e) (Jeff Verkoeyen)
* [Add scroll view did scroll tests.](https://github.com/material-components/material-components-ios/commit/c70aabb96c11445c313c455ec39fc9f0d55a26fd) (Jeff Verkoeyen)
* [Added nav bar example and small fix to flexible header examples.](https://github.com/material-components/material-components-ios/commit/b0312ed1adec0b4a278236f7a161d44974671498) (Will Larche)
* [Barebones Flexible Header: New styling and content](https://github.com/material-components/material-components-ios/commit/958b94fcef5fbc57aca795b0ee4a6de8dd252eb5) (Will Larche)
* [Deprecate the contentView API.](https://github.com/material-components/material-components-ios/commit/627e238850c6f89d944e40285542a3748b8a4a3f) (Jeff Verkoeyen)
* [Document when to implement childViewControllerForStatusBarHidden.](https://github.com/material-components/material-components-ios/commit/78cdc1364d41d842123d3b6b9c30f52dcebbe920) (Jeff Verkoeyen)
* [Ensure that the header is always front-most when being a child of the trackingScrollView.](https://github.com/material-components/material-components-ios/commit/275e881333bcf1c752a6629b0d3b309e65ace9bc) (Jeff Verkoeyen)
* [Flesh out the README.md.](https://github.com/material-components/material-components-ios/commit/794cbc964c6d87c9838ad07883d4478031a4173f) (Jeff Verkoeyen)
* [Functionality to hide header](https://github.com/material-components/material-components-ios/commit/91e6468fe80a5113936a5d08b46e4d46e5d364a0) (keefertaylor)
* [Ran `arc lint --everything --apply-patches`](https://github.com/material-components/material-components-ios/commit/18434799b306c31f61f1f858b1f3d392d7e209dc) (Jeff Verkoeyen)
* [Remove unnecessary lines from the tests.](https://github.com/material-components/material-components-ios/commit/873865a8027cc38f2201aa0f5cf6e98d3667863b) (Jeff Verkoeyen)
* [Rename behavior to shiftBehavior.](https://github.com/material-components/material-components-ios/commit/d23456c3d734955cb75cf27143466153b2dd1b3c) (Jeff Verkoeyen)
* [The New Configurator (Flexible Header View Example)](https://github.com/material-components/material-components-ios/commit/d3c3389ba032a5792a74d923454268357dc562a4) (Will Larche)
* [Turning off clang format for a portion of code.](https://github.com/material-components/material-components-ios/commit/491bfb57faedf7d98634353adfca48e731548b96) (Will Larche)
* [[Catalog] Change nav to use top AppBar instead of bottom CatalogBar](https://github.com/material-components/material-components-ios/commit/692287aee468245446e059fe9401937127f88b81) (Junius Gunaratne)
* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)

### HeaderStackView

* [Fleshing out the README.md.](https://github.com/material-components/material-components-ios/commit/be002a2f9f6ca099e3b764abd9d68e8abb584991) (Jeff Verkoeyen)
* [Ran `arc lint --everything --apply-patches`](https://github.com/material-components/material-components-ios/commit/18434799b306c31f61f1f858b1f3d392d7e209dc) (Jeff Verkoeyen)
* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)

### Ink

* [Changed "$ pod" strings in documentation files.](https://github.com/material-components/material-components-ios/commit/7cf9f64caeadea1b310864133a2dbcbfad297848) (Adrian Secord)
* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)

### NavigationBar

* [Add overview section to the README.md.](https://github.com/material-components/material-components-ios/commit/9794b46731cde62bce33e2d54669a657e151e4d9) (Jeff Verkoeyen)
* [Added intrinsicContentSize support.](https://github.com/material-components/material-components-ios/commit/c5cf080b3e2fc5cfd40357901d39f3ea3db04beb) (Will Larche)
* [Added nav bar example and small fix to flexible header examples.](https://github.com/material-components/material-components-ios/commit/b0312ed1adec0b4a278236f7a161d44974671498) (Will Larche)
* [Changed "$ pod" strings in documentation files.](https://github.com/material-components/material-components-ios/commit/7cf9f64caeadea1b310864133a2dbcbfad297848) (Adrian Secord)

### PageControl

* [Changed "$ pod" strings in documentation files.](https://github.com/material-components/material-components-ios/commit/7cf9f64caeadea1b310864133a2dbcbfad297848) (Adrian Secord)
* [Ran `arc lint --everything --apply-patches`](https://github.com/material-components/material-components-ios/commit/18434799b306c31f61f1f858b1f3d392d7e209dc) (Jeff Verkoeyen)
* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)
* [[Catalog] Use blue design colors for page control demo](https://github.com/material-components/material-components-ios/commit/9c6a523430843749590610e556db9e3cfd701340) (Junius Gunaratne)

### RobotoFontLoader

* [Created Roboto Font Loader readme file.](https://github.com/material-components/material-components-ios/commit/5c78d68e0822f4cb81c190c5c33b6f1dfd30a760) (randallli)
* [Deprecating init in preperation for marking it NS_UNAVAILABLE](https://github.com/material-components/material-components-ios/commit/60ef07c1af90c6cc38e9427aecb9bddb27b2896a) (randallli)
* [[Typography] Fixed warnings in unit tests](https://github.com/material-components/material-components-ios/commit/3735825360b97415499d529fdea092bab050abe9) (randallli)

### ScrollViewDelegateMultiplexer

* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)

### ShadowElevations

* [Add shadow elevations demo to catalog](https://github.com/material-components/material-components-ios/commit/f4f89c2145b18df34a81a9f91944e3618c29120e) (Junius Gunaratne)
* [Changed "$ pod" strings in documentation files.](https://github.com/material-components/material-components-ios/commit/7cf9f64caeadea1b310864133a2dbcbfad297848) (Adrian Secord)

### ShadowLayer

* [Changed "$ pod" strings in documentation files.](https://github.com/material-components/material-components-ios/commit/7cf9f64caeadea1b310864133a2dbcbfad297848) (Adrian Secord)
* [Ran `arc lint --everything --apply-patches`](https://github.com/material-components/material-components-ios/commit/18434799b306c31f61f1f858b1f3d392d7e209dc) (Jeff Verkoeyen)
* [Removed vestigial duration in elevation-setting methods.](https://github.com/material-components/material-components-ios/commit/cc64a2cf6ecd54e18471c28a1ae078e6b8e06487) (Adrian Secord)
* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)

### Slider

* [Changed "$ pod" strings in documentation files.](https://github.com/material-components/material-components-ios/commit/7cf9f64caeadea1b310864133a2dbcbfad297848) (Adrian Secord)
* [Ran `arc lint --everything --apply-patches`](https://github.com/material-components/material-components-ios/commit/18434799b306c31f61f1f858b1f3d392d7e209dc) (Jeff Verkoeyen)
* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)

### SpritedAnimationView

* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)

### Switch

* [Changed "$ pod" strings in documentation files.](https://github.com/material-components/material-components-ios/commit/7cf9f64caeadea1b310864133a2dbcbfad297848) (Adrian Secord)
* [Ran `arc lint --everything --apply-patches`](https://github.com/material-components/material-components-ios/commit/18434799b306c31f61f1f858b1f3d392d7e209dc) (Jeff Verkoeyen)
* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)

### Typography

* [Adjusted readme.md and custom fonts section.](https://github.com/material-components/material-components-ios/commit/8054ada89ed06227a58d7e0197e63c0cc0b13225) (randallli)
* [Changed "$ pod" strings in documentation files.](https://github.com/material-components/material-components-ios/commit/7cf9f64caeadea1b310864133a2dbcbfad297848) (Adrian Secord)
* [Fixed warnings in unit tests](https://github.com/material-components/material-components-ios/commit/3735825360b97415499d529fdea092bab050abe9) (randallli)
* [Public promotion of fontLoader getter](https://github.com/material-components/material-components-ios/commit/b278e131f978aecb54db314e398c106a4e680985) (randallli)
* [Ran `arc lint --everything --apply-patches`](https://github.com/material-components/material-components-ios/commit/18434799b306c31f61f1f858b1f3d392d7e209dc) (Jeff Verkoeyen)
* [Suppress unit test warning](https://github.com/material-components/material-components-ios/commit/02e085ed42cff940b9121b68b458749f8ff2c769) (randallli)
* [[Catalog] Add typography styles demo to catalog](https://github.com/material-components/material-components-ios/commit/420b1ef7edc7764a08d0e19607b3f8ce3a3afac9) (Junius Gunaratne)
* [[Catalog] Rename catalogHierarchy to catalogBreadcrumbs.](https://github.com/material-components/material-components-ios/commit/61a895c5b18f538df45fa4c762220d0357b3d37a) (Jeff Verkoeyen)

## 3.0.0

##### Breaking

* [FlexibleHeader] contentView is now nonnull and readonly. (Jeff Verkoeyen)
    * Swift code will need to change `contentView!` to `contentView`. This will be made apparent at build time.


##### Enhancements

* [ButtonBar] Rename buttonItems API to items. (Jeff Verkoeyen)
* [ButtonBar] Add Buttons dependency and remove Buttons dependency from AppBar. (Jeff Verkoeyen)
* [Site] Adding excerpts to component docs metadata. (Jason Striegel)
* [RobotoFontLoader] Removed #define that should not have made it public. (randallli)
* [Demos] Fix compilation errors for Xcode 7.2 (Junius Gunaratne)
* [Cleanup] Replaced [Foo new] with [[Foo alloc] init], per the style guide. (Adrian Secord)
* [checks] Add missing_readme check and check_all runner. (Jeff Verkoeyen)
* [ButtonBar] Deprecating all ButtonBar delegate-related APIs. (Jeff Verkoeyen)
* [AppBar] Don't set the bar buttons' title color. (Jeff Verkoeyen)
* [Ink] Update demo so ink is not obstructed by adjacent views (Junius Gunaratne)
* [Switch] Rename commonInit to avoid name collisions (Ian Gordon)
* [Slider] Rename commonInit to avoid name collisions (Ian Gordon)
* [Site] Including component README screenshots. (Jason Striegel)
* [Ink] Use custom ink center property in ink implementation (Junius Gunaratne)
* [AppBar] Implement the App Bar container's header view setter. (Jeff Verkoeyen)
* [Shrine] Add launch screen (Junius Gunaratne)
* [Catalog] Fix build breakage. (Jeff Verkoeyen)
* [Documentation] Initial draft of the Material Components Getting Started guide (Alastair Tse)
* [Documentation] Adding component screenshots from catalog for website (Junius Gunaratne)
* [Site] Created ROADMAP.md (Katy Kasmai)
* [AppBar] Add README section on interacting with background views. (Jeff Verkoeyen)
* [Catalog] Add exit bar for demos (Junius Gunaratne)
* [Shrine] Fix compiler errors (Junius Gunaratne)
* [AppBar|FlexibleHeader] Add section on touch forwarding. (Jeff Verkoeyen)
* [FlexibleHeader] Clarify that touch forwarding does not apply to subviews. (Jeff Verkoeyen)
* [AppBar] Call out the content view in the view hierarchy. (Jeff Verkoeyen)
* [NavigationBar] Add nullability annotations. (Jeff Verkoeyen)
* [Documentation] Fixed pod install instructions for Buttons/README.md. (Adrian Secord)
* [AppBar] Remove excess horizontal rules. (Jeff Verkoeyen)
* [AppBar|FlexibleHeader] Move UINav section from App Bar to Flexible Header. (Jeff Verkoeyen)
* [AppBar|FlexibleHeader] Move section on status bar style from App Bar to Flexible Header. (Jeff Verkoeyen)
* [NavigationBar] Document that the navigationBar's state syncs with navigationItem on observation. (Jeff Verkoeyen)
* [NavigationBar] Rename MDCUINavigationItemKVO to MDCUINavigationItemObservables. (Jeff Verkoeyen)
* [AppBar|NavigationBar] Minor typos in navigation item section title. (Jeff Verkoeyen)
* [CONTRIBUTING] Fix typo. (Jeff Verkoeyen)
* [CONTRIBUTING] Cleaning up the checklist. (Jeff Verkoeyen)
* [AppBar] No longer need to unwrap contentView in the imagery example. (Jeff Verkoeyen)
* [Animated Menu Button] Double/float correction. (Will Larche)
* [Demos] Pesto detail presentation and dismissal. (Will Larche)
* [AppBar|NavigationBar] Added section on observing UINavigationItem. (Jeff Verkoeyen)
* [AppBar] Minor grammatical rearrangements in README. (Jeff Verkoeyen)
* [FlexibleHeader] Explain what the imagery usage example section is. (Jeff Verkoeyen)
* [NavigationBar] Adding more specific documentation. (Jeff Verkoeyen)
* [Docs] Cleanup pass for Markdown style (100 chars). (Adrian Secord)
* [Sample] Pesto: Marking target 'Requires Full Screen' (Will Larche)
* [community] Change Stack Overflow tag to 'material-components-ios'. (Jeff Verkoeyen)
* [AppBar] Replace iOS 9 APIs with older APIs. (Jeff Verkoeyen)
* [AppBar] Add imagery example. (Jeff Verkoeyen)
* [Demos] Pesto: Adding AppBar to Settings (Will Larche)
* [Typography] Corrections to markdown in readme.md (Will Larche)
* [Typography ReadMe] First pass at updated content (Will Larche)
* [Site] Add option hint to build-site.sh (Yiran Mao)
* [Testing] Naming consistency for unit tests. (Jeff Verkoeyen)
* [Other] Remove old @ingroup document annotations. (Adrian Secord)
* [ThumbTrack] Add Ink as a dependency (Ian Gordon)
* [MDCButton] Documentation updates (Ian Gordon)
* [Site] Update code snippet markdown h3 to h4 and corresponding css styles (Yiran Mao)
* [Testing] Unit test target must be 8.0 in order to build Swift unit tests. (Jeff Verkoeyen)
* [Ink] Changed MDCInkView API to better reflect the modern ink behavior (breaking). (Adrian Secord)
* [Other] Fixes block comments globally. (Adrian Secord)
* [FlexibleHeader] Prefer CGFloat when calculating shadow intensity. (Jeff Verkoeyen)
* [Demos] Adding Font Opacities for all labels in Pesto (Will Larche)
* [FlexibleHeader] Always project the flexible header's frame onto the tracking scroll view. (Jeff Verkoeyen)
* [Catalog] Temporarily bump deployment target to 9.0 (Ian Gordon)
* [MDCButton] Remove Work In Progress annotation (Ian Gordon)
* [FlexibleHeader] Comment the #endif statements. (Jeff Verkoeyen)
* [Typography] Re-added deleted file for deprecated class (randallli)
* [FlexibleHeader] Revert tracking scroll view delegate assertion. (Jeff Verkoeyen)
* [Pesto] Add example of MDCInk in Pesto header (Junius Gunaratne)
* [Typography] Remove /** */ internal comments. (Jeff Verkoeyen)
* [AppBar] Templatize the back button image. (Jeff Verkoeyen)
* [Demos] Add legal copy above source files (Junius Gunaratne)
* [Pesto] Change small header logo to text (Junius Gunaratne)
* [UICollectionViewLayout] Correction for arithmetic (Will Larche)
* [Shrine] Use small text logo on scroll, add did change page event handler (Junius Gunaratne)
* [Site] Switch markdown formatting. (Jason Striegel)
* [Site] Slider markdown formatting. (Jason Striegel)
* [Site] ShadowLayer editing intro and markdown formatting. (Jason Striegel)
* [Icons] MDCIcons+BundleLoader.h must be a protected header. (Jeff Verkoeyen)
* [Demos] Pesto: Minor issues in style and safety (Will Larche)
* [Site] ShadowElevations markdown formatting. (Jason Striegel)
* [Site] Bash example consistency pass. (Jason Striegel)
* [Icons] Base source needs its own explicit target. (Jeff Verkoeyen)
* [Site] PageControl docs formatting, images, and video. (Jason Striegel)
* [Icons] Add missing header search paths in pod specs. (Jeff Verkoeyen)
* [Catalog] Update colors to blue branding color (Junius Gunaratne)
* [AppBar] Provide recommendations for status bar style. (Jeff Verkoeyen)
* [SpritedAnimationView] Remove testAnimationPerformance. (Jeff Verkoeyen)
* [AppBar] Minor typo. (Jeff Verkoeyen)

## 2.2.0

##### Deprecations

* [Typography] Marked FontResource deprecated. Use the renamed component as FontDiskLoader. (randallli)

##### Enhancements

* [AppBar Example] Addressing code style feedback from D326. (Jeff Verkoeyen)
* [AppBar] Add typical Swift usage example. (Jeff Verkoeyen)
* [AppBar] Add UINavigatonItem section. (Jeff Verkoeyen)
* [AppBar] readme updates. (Jeff Verkoeyen)
* [AppBar] Remove unnecessary code from the ObjC example. (Jeff Verkoeyen)
* [AppBar] Standardize and document the examples in preparation for upcoming examples. (Jeff Verkoeyen)
* [AppBar] Use the catalog's blue color in the examples. (Jeff Verkoeyen)
* [Button] Change ink color on buttons to improve visibility of ink (Junius Gunaratne)
* [Catalog] Miscellaneous cleanup and fixes to the Catalog. (Jeff Verkoeyen)
* [Catalog] Update catalog home screen to new light themed design (Junius Gunaratne)
* [Docs] Navigationbar initial markdown formatting. (Jason Striegel)
* [FlexibleHeader] Assert that the tracking scroll view has a delegate. (Jeff Verkoeyen)
* [FlexibleHeader] Only call sizeToFit on the flexible header view when it does not have a tracking scroll view. (Jeff Verkoeyen)
* [FlexibleHeader] Poke the header into laying out its content when the view controller has been fully registered. (Jeff Verkoeyen)
* [FontDiskLoader] Revived old class, MDCFontResource, and marked it deprecated. (randallli)
* [Icons] Add private/ directory to Icons target. (Jeff Verkoeyen)
* [Icons] Added component (Jeff Verkoeyen)
* [Icons] Bundles can't have plusses in their names. (Jeff Verkoeyen)
* [Ink] markdown formatting. (Jason Striegel)
* [Ink] Minor tweaks to ink for more consistency with other platforms (Junius Gunaratne)
* [Site] Remove alternate remotes from build-site remote determination. (Jeff Verkoeyen)
* [Site] Updates to top links and markdown formatting. (Jason Striegel)
* [Site] Using HTML markup for lists to avoid github comment issue. (Jason Striegel)
* [Typography] Moved the FontLoader and FontResource into their own components. (randallli)

## 2.1.1

##### Enhancements

###### Code
* [AppBar] Add App Bar builder API. (Jeff Verkoeyen)
* [AppBar] Fix compiler warnings about formatting NSIntegers. (Adrian Secord)
* [FlexibleHeader] MDCFlexibleHeaderViewController conforms to UITableViewDelegate. (Jeff Verkoeyen)
* [Ink] Updated the ink example to include smaller shapes. (Adrian Secord)
* [Ink] Visual adjustments to ink ripple (Junius Gunaratne)
* [NavigationBar] Add back button icon. (Jeff Verkoeyen)

###### Examples
* [Demos] Updates to header behavior and minor layout changes after UX review (Junius Gunaratne)
* [Pesto] Adding 'nonatomic' attribute to all delegates (Will Larche)
* [Pesto] Corrections for build warnings (Will Larche)
* [Pesto] making string and URL propertys 'copy' (Will Larche)
* [Pesto] Style update: @property ivars (larche)
* [Pesto] Update card zoom animation to be more Material Design like (Junius Gunaratne)

###### Docs and site
* [Docs] Minor touchups to FlexibleHeader readme. (Jeff Verkoeyen)
* [Docs] Minor updates to AppBar readme. (Jeff Verkoeyen)
* [Docs] Updated community/README.md (Katy Kasmai)
* [FlexibleHeader] README.md formatting. (Jason Striegel)
* [Site] AppBar jump links to open in new tab. (Jason Striegel)
* [Site] Buttons jump link formatting. (Jason Striegel)
* [Site] Corrected links and formatting. (Jason Striegel)
* [Site] Formatting markdown structure for site. (Jason Striegel)
* [Site] Jump link styling for ButtonBar README. (Jason Striegel)
* [Site] New formatting for Buttons documentation. (Jason Striegel)
* [Site] Removing defunct placeholder documents. (Jason Striegel)
* [Site] Replacing lorem with description content, where possible. (Jason Striegel)
* [Site] Update component landing page's nav list (Yiran Mao)

## 2.1.0

##### Enhancements

* [AppBar] Introducing the App Bar component. (Jeff Verkoeyen)
* [Arcanist] Adds scripts/install_arc.sh, which installs or updates arc and our project-specific
  dependencies. (Adrian Secord)
* [Arcanist] Updated Arcanist config to use submodules. (Adrian Secord)
* [ButtonBar] Add ButtonBar component. (Jeff Verkoeyen)
* [ButtonBar] Add ButtonBar readme. (Jeff Verkoeyen)
* [Buttons] Add Flatbutton commonInit (Ian Gordon)
* [Buttons] Add storyboard sample (Ian Gordon)
* [Buttons] Clean up API documentation style. (Jeff Verkoeyen)
* [Catalog] Adds localizable strings to catalog. Allows changing language in scheme for debugging.
  Closes #166. (Chris Cox)
* [Catalog] Moving assets into catalog by convention. (Jeff Verkoeyen)
* [CocoaPods] Allow pod install to be run from anywhere for the catalog. (Jeff Verkoeyen)
* [CocoaPods] Standardizing the podspec format. (Jeff Verkoeyen)
* [CocoaPods] Variables for podspec. (Jeff Verkoeyen)
* [Examples] Moved all example resources into a examples/resources/ directory by convention. [Jeff Verkoeyen](https://github.com/jverkoey)
* [FlexibleHeader] Add headerIsTranslucent API. (Jeff Verkoeyen)
* [FlexibleHeader] Add sizeThatFits contract tests. (Jeff Verkoeyen)
* [FlexibleHeader] Prefer use of childViewControllerForStatusBarHidden. (Jeff Verkoeyen)
* [FlexibleHeader] Add tests for basic tracking scroll view contract. [Jeff Verkoeyen](https://github.com/jverkoey)
* [HeaderStackView] Add HeaderStackView README. (Jeff Verkoeyen)
* [NavigationBar] Add NavigationBar component. (Jeff Verkoeyen)
* [Pesto] Update layout after design review with UX, fix rotation issues (Junius Gunaratne)
* [Pesto] Update network image request methods, improve collection view cell layout (Junius Gunaratne)
* [Scripts] Add generate_jazzy_yamls script. (Jeff Verkoeyen)
* [Scripts] Added 'bump version' script and updated pod_install_all. (Adrian Secord)
* [Shrine] Layout updates after UX design review, make sure rotation works correctly (Junius Gunaratne)
* [Shrine] Use improved network image class from Pesto (Junius Gunaratne)
* [Testing] Add support for xcode unit tests to arc unit. (Jeff Verkoeyen)

##### Bug Fixes

* [AppBar] Minor changes to MDCAppBar documentation. (Jeff Verkoeyen)
* [Buttons] Adjust the title insets of text buttons, not the frame. (Jeff Verkoeyen)
* [Buttons] Fix uppercasing (Ian Gordon)
* [Buttons] Fixes a bug with contentEdgeInsets for MDCFloatingButtonShapeMini. (Matt Rubin)
* [Catalog] Remove the root catalog workspace. (Jeff Verkoeyen)
* [CocoaPods] Minor fixes to Podspec for ButtonBar and Switch. (Jeff Verkoeyen)
* [CocoaPods] Ran pod install on all Podfiles (randallli)
* [CocoaPods] Update Podfile.lock (Ian Gordon)
* [FlexibleHeader] Cleaning up the README.md. (Jeff Verkoeyen)
* [FlexibleHeader] Minor wording consistency in FlexibleHeader readme. (Jeff Verkoeyen)
* [HeaderStackView] Generated missing HeaderStackView .jazzy.yaml. (Jeff Verkoeyen)
* [Ink] Fix animation, split foreground and background ripple into independent classes (Junius Gunaratne)
* [Ink] Set evaporate point so ink expands from correct point on gesture cancel (Junius Gunaratne)
* [Other] Remove the project templates directory. (Jeff Verkoeyen)
* [PageController] Fix FP conversion warning (Ian Gordon)
* [Site] Add landing page placeholder markdown files & update build-site.sh (Yiran Mao)
* [Site] Continued work on markdown doc formatting. (Jason Striegel)
* [Site] Editing pass at community.md. (Jeff Verkoeyen)
* [Site] Fixed section regarding our license. (Jeff Verkoeyen)
* [Site] Formatting for icon list markdown. (Jason Striegel)
* [Site] Initial import of site build structure. (Jason Striegel)
* [Site] Preliminary additions of the components checklist. (Jeff Verkoeyen)
* [Site] Update community.md (Katy Kasmai)
* [Site] Updates to the community.md doc. [Jeff Verkoeyen](https://github.com/jverkoey)
* [SpritedAnimationView] Replaces example checkmark icon with grid/list icon. Closes #151. (Chris Cox)
* [SpritedAnimationView] Updates readme image assets to new URL (Chris Cox)
* [SpritedAnimationView] Updates readme, test, and example with grid/list icon. (Chris Cox)

## 2.0.4

##### Breaking

##### Enhancements
 * Fixed the reference to the private folder of Typography in podspec.

##### Bug Fixes

## 2.0.3

##### Breaking

##### Enhancements
 * Renamed the privateWasCapitalPrivate folders to private.

##### Bug Fixes

## 2.0.2

##### Breaking

##### Enhancements
* Renamed the Private folders to privateWasCapitalPrivate.

##### Bug Fixes

## 2.0.1

##### Breaking
##### Enhancements
  * Removed unused files: podfile.lock

##### Bug Fixes

## 2.0.0

##### Breaking
* [FlexibleHeader] Removed `-[MDCFlexibleHeaderViewController addFlexibleHeaderViewToParentViewControllerView]`,
  `MDCFlexibleHeaderParentViewController`, and `+[MDCFlexibleHeaderViewController addToParent:]`. These methods
  were marked deprecated in 1.0.0. [Jeff Verkoeyen](https://github.com/jverkoey)

##### Enhancements
* Components
  * [Slider] default color updated to nicer blue.
  * [Ink] Replace rand() with arc4random() to avoid a static analyzer warning. [Ian Gordon](https://github.com/ianegordon)
  * [FlexibleHeader] Removed redundant APIs from MDCFlexibleHeaderContainerViewController. [Jeff Verkoeyen](https://github.com/jverkoey)
  * Rename Private directories to private. (Jeff Verkoeyen)

* Documentation
  * [Button] Readme copy edits
* [Conventions] Moved all docs assets into a `docs/assets` directory per component by
  convention. Issue [#130](https://github.com/material-components/material-components-ios/issues/130) filed by
  [peterfriese](https://github.com/peterfriese). Closed by [Jeff Verkoeyen](https://github.com/jverkoey)
* [CONTRIBUTING] Document our file system conventions in CONTRIBUTING.md. [Jeff Verkoeyen](https://github.com/jverkoey)
* [CONTRIBUTING] Document our pull request expectations in CONTRIBUTING.md. [Jeff Verkoeyen](https://github.com/jverkoey)
* [Switch] Removed internal docs that were pretending to be public docs. [Jeff Verkoeyen](https://github.com/jverkoey)

* Catalog
  * Use single asset for component icons. [Junius Gunaratne](https://github.com/jgunaratne)
  * Style catalog component screen and change to collection view. [Junius Gunaratne](https://github.com/jgunaratne)
  * Sorts titles alphabetically. Also fixes title typo in sliders. [Chris Cox](https://github.com/chriscox)
  * Catalog by convention grabs storyboard resources. [Randall Li](https://github.com/randallli)
  * Increasing our warnings coverage. [Jeff Verkoeyen](https://github.com/jverkoey)
  * Support duplicate hierarchy entries. [Randall Li](https://github.com/randallli)
  * Add support for Swift examples and unit tests [Jeff Verkoeyen](https://github.com/jverkoey)
  * Added Swift sample for buttons. [Peter Friese](https://github.com/peterfriese)
  * Refactored Button example to be compatibile with catalog by convention [Randall Li](https://github.com/randallli)
  * Refactored Slider example to be compatibile with catalog by convention [Randall Li](https://github.com/randallli)
  * Refactored ShadowLayer example to be compatible with catalog by convention
  [Randall Li](https://github.com/randallli)
  * Refactored Switch example to be compatible with catalog by convention
  [Randall Li](https://github.com/randallli)
  * Added Swift example for Typography. [Peter Friese](https://github.com/peterfriese)

* Demos
  * Shrine
    * Adding PageControl to demo app for scrolling through products. [Junius Gunaratne](https://github.com/jgunaratne)
    * Fix crash when trying to load images when network is down. [Junius Gunaratne](http://github.com/jgunaratne)
* Misc
  * [Jazzy] scripts/gendocs.sh now infers Jazzy arguments by convention. [Jeff Verkoeyen](https://github.com/jverkoey)
  * [gh-pages] Minor tiding of the preview script for gh-pages. [Jeff Verkoeyen](https://github.com/jverkoey)
   Enforced lint with `arc lint --everything`.
* Enable line length warnings in arc lint. [Jeff Verkoeyen](https://github.com/jverkoey)
* Added script to run pod install on all pods. [Randall Li](https://github.com/randallli)
* Fix build breakage in MDCCatalog.
* [FlexibleHeader] Removed redundant APIs from MDCFlexibleHeaderContainerViewController. [Jeff Verkoeyen](https://github.com/jverkoey)
* Increasing our warnings coverage. [Jeff Verkoeyen](https://github.com/jverkoey)


##### Bug Fixes

* [scripts/gendocs.sh] Ensure that doc assets show up in jazzy output. [peterfriese](https://github.com/peterfriese)
* [MDCSlider] Fixed to [issue](https://github.com/material-components/material-components-ios/issues/128) that
  was causing the slider to disappear when disabled. [Randall Li](https://github.com/randallli)
* Ensure that all private directory references are lower-cased. [Jeff Verkoeyen](https://github.com/jverkoey)
* [MDCSlider] fixed disabled state so it has the mask around the thumb.
  [Randall Li](https://github.com/randallli)
* MaterialComponentsUnitTests.podspec depends on MaterialComponents. [Jeff Verkoeyen](https://github.com/jverkoey)
* [PageControl] Add missing ss.resource_bundles to the podspec.
* [Various] Fixed floating-point conversion warnings with Xcode 6 release mode.
  [ajsecord](https://github.com/ajsecord)
* [Typography] Add CoreText dependency.


## 1.0.1

##### Enhancements

* [Switch] Removed internal docs that were pretending to be public docs. [Jeff Verkoeyen](https://github.com/jverkoey)

## 1.0.0

##### Breaking

* [MDCFlexibleHeaderView] Removed `shadowIntensity` property, use setShadowLayer:intensityDidChangeBlock: instead. [Jeff Verkoeyen](https://github.com/jverkoey)
* [MDCInkTouchControllerDelegate] Renamed `inkTouchControllerShouldProcessInkTouches:` to `inkTouchController:shouldProcessInkTouchesAtTouchLocation:`. [Chris Cox](https://github.com/chriscox)

##### Deprecations

* MDCFlexibleHeaderParentViewController, +[MDCFlexibleHeaderViewController addToParent], and
  -[MDCFlexibleHeaderViewController addFlexibleHeaderViewToParentViewControllerView]. These APIs
  are being deprecated in favor of the eventual equivalent AppBar convenience APIs. In the meantime
  the FlexibleHeader will need to be instantiated and configured like a typical UIViewController.

##### Enhancements

* [MDCFlexibleHeaderView] Added setShadowLayer:intensityDidChangeBlock:. [Jeff Verkoeyen](https://github.com/jverkoey)
* [MDCHeaderStackView] Added MDCHeaderStackView. [Jeff Verkoeyen](https://github.com/jverkoey)
* [MDCSlider] Changed default color. [Randall Li](https://github.com/randallli)
* [MDCSlider] Readme.md copy edits. [Randall Li](https://github.com/randallli)
* [MDCSwitch] Readme.md copy edits. [Randall Li](https://github.com/randallli)
* [MDCTypograpy:example] Refactored to be compatible with catalog by convention [Randall Li](https://github.com/randallli)
* [Shrine] First pass at a new Swift demo app, "Shrine". [Junius Gunaratne](https://github.com/jgunaratne)

##### Bug Fixes

* Fixed issue where MDCShadowLayer would ghost behind the MDCFlexibleHeaderView. [Jeff Verkoeyen](https://github.com/jverkoey)

## 0.2.1

##### Bug Fixes

* Bumped CocoaPod version numbers. [Adrian Secord](https://github.com/ajsecord)

## 0.2.0

##### Enhancements

* [MDCButton] Component added. [Randall Li](https://github.com/randallli), [Adrian Secord](https://github.com/ajsecord)
* [MDCSlider] Add support for interface builder to MDCSlider. [Ian Gordon](https://github.com/ianegordon)
* [MDCFlexibleHeader] Add contentView and custom shadow layers. [Junius Gunaratne](https://github.com/jgunaratne)
* [MDCSwitch] Autolayout demo app. [Ian Gordon](https://github.com/ianegordon)
* [MDCFlexibleHeader] Component added. [Jeff Verkoeyen](https://github.com/jverkoey)
* [Catalog] Add "catalog by convention" experiment. [Jeff Verkoeyen](https://github.com/jverkoey)
* [MDCSwitch] Switch from IBInspectable to UI_APPEARANCE_SELECTOR. [Ian Gordon](https://github.com/ianegordon)

##### Bug Fixes

* [CocoaPods] Remove private_header_files from podspec. [Jeff Verkoeyen](https://github.com/jverkoey)
* [Pesto] Fixes to Pesto example app. [Junius Gunaratne](https://github.com/jgunaratne)
* [MDCInk] Update background opacity timing to match web implementation of ink. [Junius Gunaratne](https://github.com/jgunaratne)
* [MDCInk] Darken default ink to 12% opacity. [Adrian Secord](https://github.com/ajsecord)
* [MDCInk] Make sure completion block is fired after ink animation completes [Junius Gunaratne](https://github.com/jgunaratne)

## x.x.x

This is a template. When cutting a new release, rename "master" to the release number and create a
new, empty "Master" section.

##### Breaking

##### Enhancements

##### Bug Fixes

* This is a template description
[person responsible](https://github.com/...)
[#xxx](github.com/material-components/material-components-ios/issues/xxx)
